Overview of the MSD Productivity ChemStation

The MSD Productivity ChemStation controls acquisition of 6890 GC data or GC/MSD data, performs library searches and quantitation, and generates selected reports via methods or sequences. It offers a number of productivity tools for data processing, such as QEdit, DOSCAN, DOLIST, and EasyID, as well as two levels of security for access to the system.

The instrument system is represented in the software by a set of "views":

  • Top view

  • Instrument Control view

  • Enhanced Data Analysis

  • Manual Tune, Diagnostics--views of interest to mass spectrometer users in calibrating and troubleshooting their instrument. These must be loaded from the View menu in Instrument Control.

The MSD Productivity ChemStation software can be configured to support two types of instruments: gas chromatographs (GC) only and gas chromatograph / mass spectrometer systems (GC/MS). A GC-only instrument will have some menus and menu items that differ from those on an instrument configured as a mass spectrometer. These differences will be pointed out in the online help for menus. It is also possible to acquire and review mixed mode (GC/detector and GC/MS) data.

Moreover, because some screens are shared by both GC and MS systems, some fields intended specifically for mass spectral information will not apply to GC data analysis. In these cases, the specific fields are labeled in the help as being for mass spectra only.

The software is driven by user-customized methods that specify instrument parameters for data acquisition and analysis.

See Also

Using Methods

Using Sequences

Directory Structure

Instrument Control Layout

Top Menus

Overview of Secured Control

Top View

In the Top view you can edit a method, set up and start a single run or a sequence, tune the mass spectrometer, and access the Data Analysis software. In addition, the laboratory manager can set up two levels of security to control access to the ChemStation.

Whenever a method or sequence is running, Top displays the status of all views: Top, Instrument Control, Data Analysis. The display continues until the method is completed.

This display is particularly helpful in monitoring the progress of a sequence. To modify or add an entry to the Sample Log Table while a sequence is in progress, select Edit Samp Log Tbl. To review a data file while a sequence is in progress, select View / Data Analysis. To stop a method or sequence, select Abort.

Instrument Control View

Instrument Control is where most of your work will originate. You can edit a method, set up and start a single run, tune the mass spectrometer, and access the Data Analysis software. You can also fine-tune and monitor discrete parts of GC and/or MSD control and display various status monitors. This view always appears just below the Top menubar when the software is loaded.

Enhanced Data Analysis View

Data Analysis is an offline "view" that runs independently of the other views. You can open Data Analysis from the View menu in Top or Instrument Control or by selecting it in the Windows Programs menu. Use the Data Analysis view for integrating, quantifying and identifying your data.

It also contains various productivity tools such as QEdit, DOSCAN, DOLIST, and EasyID.


Using Help

When you access the online help from any Help menu in the ChemStation, the Help Topics window is displayed. This window has the following folder tabs:

Contents

Displays the list of available help topics. This list uses help icons to help you find information.

The following icons are used in the Help Topics window:

Indicates a book containing more help topics. To open a book, select the book then double-click.

Indicates an open book of help topics. To close an open book, select the book then double-click.

Indicates a help topic. To jump to a help topic, select the topic then double-click.

Index

Use the Index tab when you want to look up a specific topic in the online help. Specific topics are set up as key words and phrases. When the search window is displayed, type the first few characters of your topic, e.g., "tu" for tuning. All items that begin with "tu" will be displayed.

Use the scroll bar to scan the items. Double-click on the keyword of interest. A list of relevant topic titles in the online help will be displayed at the bottom of the window. Double-click on the title that interests you and the online help will appear.

Search

Lets you type a word or phrase and then displays a list of all the topics in the online help that contain those words.

Buttons

The Help Topics window has the following buttons:

Hide/Show | Lets you turn on or off the display of the help contents panel.
Back/Forward | Goes back or forward to the previously displayed help topic.
Print | Lets you print the current book or help topic.


Visit our Website

To get more information on the Agilent 5973N MSD, visit our website at www.agilent.com/chem/msd.

Note You may need to start your web browser (such as Netscape Navigator, Windows Internet Explorer, or America Online) and then establish an internet connection before you can access this website.


Declaration of System Validation

We herewith inform you that the software products/systems

G1701DA, G1710DA

Product Number

MSD Productivity ChemStation

Product Name

D.00.00 and later until superceded

Revision Number

was developed and tested according to the Agilent Technologies Chemical Analysis Group Lifecycle. Lifecycle checkpoint deliverables were reviewed and approved by management. The product was found to meet its functional and performance specifications, and release criteria at release to shipment.

In order to support this certification we will make the following documents available to an authorized governmental or regulatory agency for inspection at Agilent Technologies, California Avenue Site, Palo Alto, California.

  • Product Description

  • Lifecycle Phase Checkpoint Approval Documents

  • Test Documentation

  • Defect Documentation

  • Design Documentation

  • Revision status

Agilent Technologies will maintain possession of all documents and their reproductions and may require a non-disclosure agreement to be provided by those requiring access to these documents.

November 15, 2001

Date

Engineering Manager

Quality Manager

Product description

    User Documentation

Lifecycle Phase Checkpoint Approval Documents

    Test Phase

Test Documentation

    Test Plans

    Test Scripts

    Test Results

Defect Documentation

    Defect Reports

Design Documentation

    Software Development Environment

    Build Instructions

    Internal Design Documentation

    Source Code

Revision Status

    Documentation of changes by revision

    Software Configuration Management System


Acquiring Data

The Instrument Control view is displayed when you start up the MSD ChemStation. This is where you set and monitor instrument parameters. If you are in some other view, select View / Instrument Control from the menu bar when you are ready to set up the system for data acquisition.


To Acquire GC/MS Data (Overview--6890)

To Acquire GC/MS Data (Overview - 6890 GC)

What you do to acquire data depends on whether you want to alter the method. Click on the type of acquisition you want to do:

Start a run with an existing method

Edit the entire method and start a run

Alter the currently loaded method and start a run

See Also

Using Methods

Using Sequences


To Start a Run with an Existing Method

  1. Select Method / Load from the menu bar and select the *.M file that you wish to use for this acquisition and click OK. If the method is already loaded, go to step 2.

    Note When you load a method on a system configured with a 5973 MSD (6890 GC only), the software compares the actual source/quad temperatures to the setpoints stored in the tune file which is part of that method. If they are not within a three-degree tolerance, you are asked if you want to download the new setpoints.

  2. Select Method / Run and the Start Run panel will be displayed.

  3. Enter information into the Start Run panel and click the Run Method button.

    The Top view will be iconized as acquisition starts. To monitor the progress of the method on the status display, double-click the icon.

    Note On a 5973 MSD system (6890 GC only), when you start a run, the run will not begin until the source and quad temperatures are equilibrated within a three-degree tolerance. You can override this waiting period and a note will be made in the log file that the equilibration was overridden.

  4. You can use the Instrument Control panel to view system monitors or make any runtime changes.


To Edit the Entire Method and Start a Run (6890)

To Edit the Entire Method and Start a Run

This is the procedure with an 6890 GC.

  1. Select Method / Load from the menu bar.

  2. Select the *.M file that you wish to edit and click OK.

Note When you load a method on a system configured with a 5973 MSD, the software compares the actual source/quad temperatures to the setpoints stored in the tune file which is part of that method. If they are not within a three-degree tolerance, you are asked if you want to download the new setpoints.

  3. Select Method / Edit Entire Method from the menu bar. If you choose to edit the Instrument / Acquisition portion of the method, you will be prompted to do the following:

  4. Set the inlet and injection parameters.

  5. Set the desired GC parameters. The GC Instrument | Edit screen will be displayed.

  • Select the GC control you want to modify (click on its icon in the icon bar).

  • Change the entries as needed.

  • Select another icon from the icon bar, if necessary. Do NOT click OK until you have selected all the icons from the Instrument | Edit icon bar that you want to modify.

  • When you have finished modifying instrument controls, click OK to continue with the Edit Entire Method process.

  6. Optional. Display GC real time plots

  7. Select the mass spectrometer tune file (*.U).

  8. Set the MS SIM or Scan Parameters

  9. Save the method under a new name.

  10. To start the acquisition, select Method / Run from the menu bar, fill in the Start Run panel, and click the Run Method button.

The Top view will be iconized as acquisition starts. To monitor the progress of the method on the status display, double-click the icon.

Note On a 5973 MSD system, when you start a run, the run will not begin until the source and quad temperatures are equilibrated within a three-degree tolerance. You can override this waiting period and a note will be made in the log file that the equilibration was overridden.

  11. Use the Instrument Control panel to view system monitors or make any runtime changes.


To Alter the Current Method and Start a Run (6890)

To Alter the Current Method and Start a Run

Use this procedure with the 6890 GC.

  1. Select Method / Load.

  2. Select the *.M file that you wish to use for this acquisition and click OK.

Note When you load a method on a system configured with a 5973 MSD, the software compares the actual source/quad temperatures to the setpoints stored in the tune file which is part of that method. If they are not within a three-degree tolerance, you are asked if you want to download the new setpoints.

  3. Set the inlet and injection parameters.

  4. Set the desired GC parameters:

Click this button and select Edit GC Oven from the popup menu. Edit the parameter tables as required and click OK.

  5. Display GC real time plots.

  6. Optional:

Click this button and select Select MS Tune File to choose a different tune file for the current method.

  7. Optional. Select Instrument / Edit MS Tune Parameters from the menu bar to make changes to acquisition and display parameters in the current tune file.

Click this button and select MS SIM/Scan to set up the scanning parameters for the MSD.

  9. Optional. Set up any timed MS events to occur during acquisition.

  10. Optional. Set up any GC monitors or MS monitors you wish to use.

  11. Start acquisition:

Click this button to display the Sample Information box, fill in the necessary information, and click the Start Run button.

Note On a 5973 MSD system, when you start a run, the run will not begin until the source and quad temperatures are equilibrated within a three-degree tolerance. You can override this waiting period and a note will be made in the log file that the equilibration was overridden.

  12. Monitor the acquisition and make runtime changes to instrument parameters, as desired.


Editing Acquisition Parameters

You can set parameters for data acquisition from:

  • Buttons on the Instrument Control panel

  • The Instrument menu in the Instrument Control panel

  • Edit Entire Method from the Method menu.

These parameters are part of the method used to acquire data. Any changes you make will be stored in memory when you click OK on the panel. They will not be saved when you leave Instrument Control unless you save them.


Inlet / Injection Type

Inlet and Injection Parameters

To set up inlet and injection parameters, select Instrument / Inlet/Injection Type from the Instrument Control view menu bar. The Inlet and Injection Parameters box will prompt for the following information:

Inlet

GC, Other/None

Injection Source

Injection Location

Front, Rear,Dual

Use MS

You must select this box if you intend to acquire data from the mass spectrometer. De-select it if you wish to collect GC data only.


To enable EMF utilities

The EMF (early maintenance feedback) utilities are used to select or reset various limits and counters. These values are used to alert you when a limit has been reached and a maintenance task needs to be performed, such as changing the GC septum. These utilities are only available in an online configuration.

  1. Select Instrument / EMF Utilities.

  2. Select Set Limits. The Enter Limits for EMF Parameters dialog box is displayed.

The first time you use this feature, the default values will be displayed. A -1 in any field indicates that parameter has been disabled.

  3. Set the limits you want to use and click OK.

  4. Click Done. The limits are now set and the counters will begin incrementing whenever a method is run.

See Also

EMF Limits Example

EMF Utilities

Enter Limits for EMF Parameters dialog box


To Acquire Mixed Mode Data

There is growing interest in simultaneous GC detector and MSD signal acquisition and analysis. This mixed data can be used in several ways. Quantitation can be done by a non-selective GC detector (FID/TCD) with identification by mass spectra. Confirmation of mass spectral assignments with a selective GC detector such Nitrogen Phosphorus or Electron Capture can also be used. Finally a combination of the first two techniques can be accomplished using two GC detectors plus the MSD.

To acquire mixed mode data, select one of the following configurations:

Single GC detector and the MSD in a single column configuration

Dual tower configuration and sequencing


Add New Column Model to Catalog

Use this dialog box to add a new type or "model" of column to the catalog, including the column's manufacturer and their specifications for this type of column.

Column Specifications [image] You define a column by specifying its nominal length, diameter, and film thickness. With this information, the GC can calculate the flow through the column. This provides great advantages when using capillary columns because it becomes possible to:

  • Enter split ratios directly and have the instrument calculate and set the appropriate flow rates.

  • Enter flow rate or column head pressure or average linear velocity. The instrument calculates and sets the pressure needed to achieve the flow rate or velocity, and reports all three values.

  • Perform splitless injections without measuring gas flows.

Choices for packed columns and for capillary columns without defined nominal dimensions are limited, and vary depending on the inlet.

Identify the manufacturer and their specifications of the chromatographic capability for this type of column. Click on any of the following for details:

Manufacturer

Model Number

Description

Column Type

Max Temperature

Length (capillary columns only)

Diameter (capillary columns only)

Film Thickness (capillary columns only)

After you add the new column type to the catalog, return (click OK) to the Add New Column to Inventory dialog box and add the new column to your inventory.

OK/Cancel/Help Buttons


Add New Column to Inventory

Once you have assigned the new column an Inventory#, the ChemStation will prompt you to identify its manufacturer and the manufacturer's specifications for its column type or "model." The two lists displayed in this dialog box constitute a catalog of manufacturers and column type specifications to choose from.

To add the new column to your inventory, select its:

  • Manufacturer from the drop-down list box, then its

  • Model Number from the list of column types.

If the Manufacturer and Model Number for the column are not shown [image] Models manufactured by Agilent are already in the catalog. If the type of column are adding to your inventory is produced by another manufacturer, you will need to add it to the catalog first. Click on the Add New Column Model To Catalog button:

To delete a type of column from the catalog, select it and use the Delete Column Model From Catalog button. (Models manufactured by Agilent cannot be deleted from the catalog.)

OK/Cancel/Help Buttons


Calibrate a Column

Follow the steps below to specify both the conditions and the values to calibrate a column:

  1. Open the Column 1/2 Calibration dialog box.

a. Open the Columns dialog box.

    View / Method and Run Control

    Instrument / Edit Parameters... / Columns

b. Click on the Change... button.

c. Click on the Calibrate... button.

  2. Determine what information you can supply to calculate new calibration values and click on the appropriate button to enter the information:

The ChemStation will prompt you for all conditional information required to calculate the new specifications. Length changes are limited to 5 meters, diameter changes to 20 micrometers. (If the calculations do not yield reasonable values, the ChemStation will prompt you to re-calibrate.)

  3. Calculate the new calibration values - Click on OK and return to the Column 1/2 Calibration dialog box.

  4. Download the calibration values - Click on OK once to return to the Change Column 1/2 dialog box. Click on OK again to return to the Columns dialog box, then once more to download the new settings to the GC.

For additional step-by-step instruction, refer to the following task:

Change a Column


Change a Column

Follow the steps below when you install a different column in the 6890 Series GC. Before you start the run:

  1. Open the Install Column 1/2 dialog box.

a. Open the Columns dialog box.

    View / Method and Run Control

    Instrument / Edit Parameters... / Columns

b. Click on the Change... button.

c. Click on the Install... button.

  2. Select the Inventory# for this column from the list of those in your inventory. Its specifications will be displayed.

If the Inventory# is not in the list, return to the Change Column 1/2 dialog box (click on Cancel). Click on the Add... button and then see Add New Column Inventory#.

  3. Download the installed column specifications - Click on OK once to return to the Columns dialog box, then once more to download the new settings to the GC.

For additional step-by-step instruction, refer to the following task:

Calibrate a Column


Runtime

You can use the Runtime dialog box to schedule up to 25 events to occur automatically during a run. Items you may schedule include:

  • Valve states

  • Valve position for stream number selection (multiposition valves only)

  • Signal definition

  • Signal zero

  • Signal range

  • Signal attenuation

  • Signal-store value

  • Signal-zero signal less value

  • Auxiliary channel pressure

  • TCD polarity

  • NPD hydrogen flow

Note: Scheduling signal zero, zero offset, range, and attenuation setpoint changes provides run time contol over analog signal output to a data handling device only (such as an integrator or recorder connected to the GC). Digital signal output to the ChemStation is not affected. (See Signals for more information about analog and digital output.)

Store Value and Zero Signal less Value are used together to re-align the baseline after an upset such as that caused by the switching of a valve. Store Value stores the value of the current signal level. Zero Signal less Value applies an offset to the signal to shift the signal to the Store Value level. Use of these runtime parameters affects both the 6890 analog signal and the digital signal to the ChemStation. At the end of the run, the new signal zero value is retained.

At the end of a run, the ChemStation automatically returns all setpoints to their original values, except for valve state changes.

  • If you rotate a valve as an event in the run time table, the ChemStation does not automatically return it to its initial setpoint position at the end of the run. You must specify this reset operation as a run time event.

Editing the Run Time Table

Use your mouse or keyboard to move the cursor and edit the run time table. Press the up and down arrow keys to scroll through the table.

  • To add a run time event to the table in chronological order, specify the Time, Specifier, Parameter, and Setpoint for the event and use the Add button:

  • To delete an event from the table, select the event and use the Delete button:

  • To replace an event in the table with the currently specified Time, Specifier, Parameter, and Setpoint, select the event you wish to replace and use the Replace button:

  • To delete all of the events in the table, use Clear All button:

If you program pressure setpoints for an auxiliary channel using both the run time table and a ramped pressure program, and have elected to display the pressure setpoint plot for that channel, the ChemStation will plot the combined results of your setpoint programming. (For more information, see Pressure Ramps and Setpoint Plots.)

For step-by-step instruction, refer to the following task:

Edit a Method

For additional information click on any one of the following:


Optimize Data Rate

Click on the Calc button to have the ChemStation automatically calculate and set the optimum rate at which it samples analytical data coming from a detector during a run.

Note: The ChemStation will use these values (which are based on your current column setpoints and flow) for the duration of one run. Repeat this process to use an optimized data rate for another run.

Before you start the run:

  1. Specify a source for signal output:

a. Open the Signals dialog box.

    View / Method and Run Control

    Instrument / Edit Parameters... / Signals

b. Specify the type of signal (Det).

c. Specify the signal Source (from the drop-down list box).

  2. Click on the Calc Button.

The ChemStation will automatically calculate and set the expected Minimum Peak Width and Data Rate values [image] based on your current column setpoints and flow.

  3. Download the optimal values - Click on OK.


Prepare for an Isobaric Run Using Gas Saver

This task is applicable to instruments operating with:

  • an Electronic Pneumatic Control (EPC) module, and

  • a defined column.

Follow the steps below to prepare a ramped column pressure program for an isobaric (constant pressure) run using gas saver, and download it to the GC. Gas saver reduces the carrier gas flow from the split vent after a sample is on the column. The ChemStation maintains column head pressure and the column flow rate, while purge and split vent flows decrease. You can turn on the gas saver any time after one minute into the run.

  1. Activate the Gas Saver - Open the Inlets dialog box.

    VIEW / METHOD AND RUN CONTROL

    INSTRUMENT / EDIT PARAMETERS... / INLETS

  • Place an X in the GasSaver check box.

  • Specify the split vent flow you want (in ml/min).

  • Specify the time (in minutes) after the run has started when you want the ChemStation to decrease the split vent flow. (The default time is one minute.)

  2. Open the Columns dialog box and select the column you will be using (1 or 2).

  3. Set the column's Mode of operation to Const Pressure.

  4. Specify the following column parameters:

    • Inlet

    • Detector

    • Outlet psi/kPa/bar

  5. Specify the following ramp parameters:

    • Next psi/kPa/bar (Initial) = the required column pressure

    • Hold min (Initial) = length of time (in minutes) the isobaric run should last

    • Next psi/kPa/bar (Post Run) = same as Next psi/kPa/bar (Initial)

See Ramps for additional information about ramped column pressure programs.

  6. Download the column settings - Click on OK.


Prepare for an Isothermal Run

An isothermal (constant temperature) run consists of a single ramp temperature program. That is, a program which raises the oven temperature to a specified rate and holds it for a specified time.

To enter the oven settings for an isothermal run:

  1. Open the Oven dialog box.

    VIEW / METHOD AND RUN CONTROL

    INSTRUMENT / EDIT PARAMETERS... / OVEN

  2. Specify the Oven , Oven Configuration , and Cryo Configuration parameters.

  3. Complete the Initial oven ramp settings:

    a. Enter the degree (in [image] C) you want the oven to maintain in the Initial Next [image] C column.

    b. Enter the length of time you want the run to last in the Initial Hold min column.

  4. Set Ramp 1 to zero degrees per minute in the [image] C/min column to disable any ramped oven temperature program.

  5. Download the isothermal temperature settings - Click on OK.

For additional step-by-step instruction, refer to the following task:

Prepare a Ramped Oven Temperature Program


Prepare a Ramped Oven Temperature Program

Follow the steps below to prepare a program of up to six levels (or "ramps"), executed in consecutive order, to control the GC's oven temperature during a run:

A single ramp temperature program raises the initial oven temperature to a specified final temperature at a specified rate and holds at the final temperature for a specified period of time.

The multipleramp temperature program is similar. You can program the oven from an initial temperature to a final temperature, but with various rates, times, and temperatures in between. You can also program multiple ramps for temperature decreases as well as increases.

  1. Open the Oven dialog box.

    VIEW / METHOD AND RUN CONTROL

    INSTRUMENT / EDIT PARAMETERS... / OVEN

  2. Specify the initial Next [image] C and Hold min settings for the Oven Ramp program.

  3. Specify the following parameters for each ramp level:

  • C/min

  • Next [image] C

  • Hold min

  4. Specify the following post run parameters:

  • Next [image] C = final oven temperature (in [image] C)

  • Hold min = length of time (in minutes) the GC should hold the final oven temperature

  5. Download the ramped oven temperature program - Click on OK.

For additional step-by-step instruction, refer to the following task:

Prepare for an Isothermal Run


GC Oven Button (6890)

GC Oven Button

When the GC is ready, the small square at the upper right is green. When the GC is not ready, the square is red. Clicking this button displays a popup menu:

Edit GC Oven | Displays a panel where you can set oven and other GC parameters.
Edit GC Monitors | Displays a panel where you can set up windows on the Instrument Control view that let you monitor selected parameters.


Set Split Ratio

Set the split ratio for an EPC split-splitless inlet in split or pulsed split mode. The ChemStation will adjust split and column flows to attain the setpoint you specify.

Follow the steps below:

  1. Open the Inlet dialog box and specify the Split Ratio setpoint - click on any green area for details:

  2. Download the new setpoint - click on OK.

For additional step-by-step instruction, refer to the following task:

Set Up a Pulsed Pressure Inlet


Set Up a Pulsed Pressure Inlet

Follow the steps below to set up pulsed pressure for an EPC split-splitless inlet:

  1. Set the inlet's Mode of operation to Pulsed Split or Pulsed Splitless - Open the Inlet dialog box.

  2. Specify the Injection Pulse Pressure setpoints.

  3. Download the new setpoints - click on OK.

For additional step-by-step instruction, refer to the following task:

Set Split Ratio


PTV Pulsed Split Mode Operation (w/ column defined)

Before you begin, verify that the column, carrier gas, and flow or pressure program (if used) are configured correctly.

  1. Open the Inlet dialog box for the PTV Inlet.

  2. Set the Inlet’s Mode of operation to Pulsed Split.

  3. Set the inlet temperature and any desired ramps.

  4. Specify the Injection Pulse Pressure setpoints.

  5. If you want a specific split ratio, enter the desired Split ratio and enter that number. The split flow is calculated and set for you. If you want a specific split flow, enter that number. The split ratio is calculated and displayed for you.

  6. Turn Gas saver on, if desired. Set the Saver time greater than Pulse time.

For additional step-by-step instruction, see Split Ratio.


PTV Pulsed Split Mode Operation (w/o column defined)

PTV Pulsed Split Mode Operation (w/ column not defined)

Before you begin, verify that the column, carrier gas, and flow or pressure program (if used) are configured correctly.

  1. Open the Inlet dialog box for the PTV Inlet.

  2. Set the Inlet’s Mode of operation to Pulsed Split.

  3. Set the inlet temperature and any desired ramps.

  4. Specify the Injection Pulse Pressure setpoints.

  5. Set Total Flow into the inlet. Measure flows out of the split vent and septum purge vent using a flow meter.

  6. Subtract the Septum Purge Flow from Total Flow to get Split Flow.

  7. Subtract the Septum Purge Flow and the Split Flow from Total Flow to obtain the Column Flow.

  8. Calculate the split ratio using the following equation:

  9. Split Ratio = Split Flow/Column Flow

  10. Repeat steps 5 thru 8 to adjust the Split Ratio as needed.


PTV Pulsed Splitless Mode Operation (w/ column defined)

Before you begin, verify that the column, carrier gas, and flow or pressure program (if used) are configured correctly.

  1. Open the Inlet dialog box for the PTV Inlet.

  2. Set the Inlet’s Mode of operation to Pulsed Splitless.

  3. Set the inlet temperature and any desired ramps.

  4. Specify the Injection Pulse Pressure setpoints.

  5. Set Total Flow into the inlet.

  6. Enter the Purge Time and the Purge Flow (to Split Vent) setpoint.

  7. If desired, turn Gas saver on. Make certain the Saver time is set after the purge time.


PTV Pulsed Splitless Mode Operation (w/o column defined)

PTV Pulsed Splitless Mode Operation (w/ column not defined)

Before you begin, verify that the column, carrier gas, and flow or pressure program (if used) are configured correctly.

  1. Open the Inlet dialog box for the PTV Inlet.

  2. Set the Inlet’s Mode of operation to Pulsed Splitless.

  3. Set the inlet temperature and any desired ramps.

  4. Specify the Injection Pulse Pressure setpoints.

  5. Set Total Flow into the inlet.

  6. Enter the Purge Time and the Purge Flow (to Split Vent) setpoint. Be sure to set your total flow greater than the column flow plus the septum purge flow (about 3 to 6 mL/min) to guarantee adequate column flow.


PTV Solvent Vent Mode Operation (w/ column defined)

Before you begin, verify that the column, carrier gas, and flow or pressure program (if used) are configured correctly.

Operating in the solvent venting mode with the column defined

  1. Open the Inlet dialog box for the PTV Inlet.

  2. Set the Inlet’s Mode of operation to Solvent Vent.

  3. Set the inlet temperature and any desired ramps.

  4. Enter the Vent Pressure, Vent Flow, and the Vent End time parameters.

  5. Enter the Purge Time and the Purge Flow (to Split Vent) setpoint. Be sure to set your total flow greater than the column flow plus the septum purge flow (about 3 to 6 mL/min) to guarantee adequate column flow.

  6. If desired, turn Gas saver on. Make certain the Saver time is set after the purge time.

Note: For best results, set the Vent End Time < Purge Time < Saver Time.


PTV Solvent Vent Mode Operation (w/o column defined)

PTV Solvent Vent Mode Operation (w/ column not defined)

Before you begin, verify that the column, carrier gas, and flow or pressure program (if used) are configured correctly.

  1. Open the Inlet dialog box for the PTV Inlet.

  2. Set the Inlet’s Mode of operation to Solvent Vent.

  3. Set the inlet temperature and any desired ramps.

  4. Enter the Vent Pressure, Vent Flow, and the Vent End Time parameters.

  5. Enter the Purge Time and the Purge Flow (to Split Vent) setpoint. Be sure to set your total flow greater than the column flow plus the septum purge flow (about 3 to 6 mL/min) to guarantee adequate column flow.

Note: For best results, set the Vent End Time < Purge Time < Saver Time.


PTV Split Mode Operation (w/ column defined)

Before you begin, verify that the column, carrier gas, and flow or pressure program (if used) are configured correctly.

  1. Open the Inlet dialog box for the PTV Inlet.

  2. Set the Inlet’s Mode of operation to Split.

  3. Set the inlet temperature and any desired ramps.

  4. Specify the desired split ratio. The split flow will be calculated and set for you. If you want a specific split flow, enter that number. The split ratio will be calculated and displayed for you.

  5. If desired, turn on Gas saver. Set the Saver time after the injection time.


PTV Split Mode Operation (w/o column defined)

PTV Split Mode Operation (w/ column not defined)

Before you begin, verify that the column, carrier gas, and flow or pressure program (if used) are configured correctly.

  1. Open the Inlet dialog box for the PTV Inlet.

  2. Set the Inlet’s Mode of operation to Split.

  3. Set the inlet temperature and any desired ramps.

  4. Set Total Flow into the inlet. Measure flows out of the split vent and septum purge vent using a flow meter. Subtract the Septum Purge Flow from Total Flow to get Split Flow.

  5. Subtract the Septum Purge Flow and the Split Flow from Total Flow to obtain the Column Flow.

  6. Calculate the split ratio using the following equation:

Split Ratio = Split Flow/Column Flow

  7. Repeat steps 4 thru 6 to adjust the Split Ratio as needed.


PTV Splitless Mode Operation (w/ column defined)

Before you begin, verify that the column, carrier gas, and flow or pressure program (if used) are configured correctly.

  1. Open the Inlet dialog box for the PTV Inlet.

  2. Set the Inlet’s Mode of operation to Splitless.

  3. Set the inlet temperature and any desired ramps.

  4. Set Total Flow into the inlet.

  5. Enter the Purge Time and the Purge Flow (to Split Vent) setpoints.

  6. If desired, turn Gas saver on. Make certain the Saver time is set after the purge time.


PTV Splitless Mode Operation (w/o column defined)

PTV Splitless Mode Operation (w/ column not defined)

Before you begin, verify that the column, carrier gas, and flow or pressure program (if used) are configured correctly.

  1. Open the Inlet dialog box for the PTV Inlet.

  2. Set the Inlet’s Mode of operation to Splitless.

  3. Set the inlet temperature and any desired ramps.

  4. Set Total Flow into the inlet.

  5. Enter the Purge Time and the Purge Flow (to Split Vent) setpoints. Be sure to set your total flow greater than the column flow plus the septum purge flow (about 3 to 6 mL/min) to guarantee adequate column flow.


Using the GC Petochemical Enhancements

Using the GC Petrochemical Enhancements

Applications performed in the petrochemical industry often require greater than average control over the collection, analysis, and reporting of data. The ChemStation has been enhanced to extend it capabilities for this additional level of control.

There enhancements include:

Adding a 3rd and 4th Signal to a GC

Sorting by Signal in the Calibration Table

Allowing a Unique Response Factor for Each Signal

Manual Calibration

Printing a Custom Report to a File


To Set Up the 6890 GC for Operation with the MSD

To run the 6890 series system in GC/MS mode, your instrument must be properly configured by the MS Configuration Editor. This was done when your system was installed. Several other parameters must also be set. (If you need to verify the instrument configuration, click the Windows Start button, point to Programs, and then point to MSD ChemStation and click Config.)

  1. From Instrument Control, select Instrument / Inlet/Injection Types. The Inlet and Injection Parameters box will be displayed.

  2. If you are using an ALS, select GC ALS for Injection Source.

  3. Verify that the Use MS checkbox is selected, then click OK.

  4. Verify that auxiliary channel 2 is set up as the heated transfer line for the MSD:

  • Click on the Aux button to display the Aux dialog box.

  • Verify that MSD is selected as the Type and the Heater is on and is set to the desired temperature.

  • If you want to change the title of the aux. channel, type the new name in the Description box. For example, MSD X-fer line.

  • If you make any changes, click OK. Otherwise, click Cancel because the method already has the information.

  5. Click the Columns button to display the GC Columns dialog box.

    Verify that the Detector is MSD and that Vacuum is selected for the Outlet psi.


Automatic Tuning

Autotune uses PFTBA as the calibration compound and automatically adjusts the MS parameters to meet predefined criteria for operation in EI mode. This is called tuning.

You can select from several autotunes either from the Instrument / Perform MS Autotune menu item in Instrument Control or from the Tune menu in Manual Tune. The autotunes available on the menu depend on which model of MSD you are using.

5973 | 5972 / 6890
Autotune | Max Sensitivity
Low Mass Autotune | Autotune
Standard Spectra Tune | Standard Spectra Autotune
QuickTune | QuickTune
Enter CI Tune Panel |

See Also

To Check the Emission Current (5972A MSD)

Electron Energy Settings (5973 MSD)


MS SIM / Scan Parameters

This dialog box lets you set up the mass spectrometer to acquire data in either Scan or SIM mode. The difference between these modes is that during each scan:

  • Scan mode monitors the abundance at every 0.1 amu over the scan range selected. In normal Scan mode, peaks derived from averaged data are written to disk.

  • SIM mode monitors only the ions specified.

To get here, select Instrument / MS SIM/Scan from the Instrument Control menu bar or click

and select Edit MS SIM/Scan from the popup menu.

The dialog box has 3 sections:

  • MS Instrument Parameters

  • Real Time Plot Parameters

  • MS SIM or Scan Parameters

Timed Events Button

Zones button Displays the MS Temperatures dialog box where you can view the setpoints and actuals of the MS Source and MS Quad. This is a read-only dialog box.


To Display GC Monitors

Use the mouse or the Tab, Shift-Tab, Up, and Down arrow keys to move around the table. Use the pushbuttons to add, delete, or replace entries.

  1. At the top of the table, under Type, select what you want to monitor (Oven, for example).

  2. Tab to the next field and select the Location, if applicable. (This field is inactive for Oven.)

  3. Move to the Parameter field and select one of the options displayed in the list. (Oven has only one option.)

  4. Move to the Display field and select either digital or an analog display.

  5. Click the Add button. The monitor you specified will be displayed in the table.

  6. When you have added all the monitors you wish, click OK. The monitors will be displayed on the Instrument Control panel. . To arrange them on the panel, click on a monitor and drag it to the desired position.

See Also

To Set Monitor Alarms


To Display MS Monitors

In the Edit MS Monitors dialog box, use the mouse or the Tab, Shift-Tab, Up, and Down arrow keys to move around the table. Use the pushbuttons to add, delete, or replace entries.

  1. At the top of the table, under Type, select what you want to monitor (Parameters, for example).

  2. Tab to the next field and select the MS Parameter you wish to monitor.

  3. Move to the Display field and select either an analog or a digital display.

  4. Click the Add button. The monitor you specified will be displayed in the table.

  5. When you have added all the monitors you wish, click OK. The monitors will be displayed on the Instrument Control panel. To arrange them on the panel, click on a monitor and drag it to the desired position.

See Also

To Set Monitor Alarms


To Set Monitor Alarms

You can set a color-coded alarm for each GC and MS monitor that you have displayed on the Instrument Control panel so that you can check status from a distance. The color used for values within the operating range is GREEN.

To set an alarm for a particular monitor, click on the monitor and a dialog box will prompt for the following information:

  • Warning Level (RED)

  • Alarm Level (YELLOW)

  • Below Limit (BLUE)

You can set the levels to any value you choose. Be sure to select the Set Alarm checkbox. Then click OK.

If you have specified an analog monitor, you will also be prompted for the maximum and minimum scale to be displayed.


GC Real Time Plot

Selecting Instrument / GC Plot in Instrument Control displays this dialog box. Use this box to show or remove real time signal monitors from the Instrument Control panel.

Show

Select this box if you want the plot of the designated signal to appear on the Instrument Control panel. De-select it if you want to remove the plot.

Attn:

The range of the detector signal to display full scale in the real time display, expressed as a power of 2. The attenuation can be changed during the run from the real time display.

Offset:

The distance from the bottom of the window to start the plot. Enter the value in %, with 0 as the bottom of the window and 100 as the top. The offset cannot be changed during the run.

Time:

The time span (in minutes) of the chromatogram to show at one time during the run. The time cannot be changed during the run.

See Also

To Adjust the Scale of Real Time GC Plots


To Adjust Y Scale on MS Real Time Plots

Clicking the axis button on the enlarged Total Ion or Extracted Ion window displays a dialog box where you can enter the minimum (limit=0) or maximum (limit=2E9). Alternatively, you can click the adjacent arrow buttons to multiply or divide the minimum or maximum by a power of two.

Timed events such as calibration valve on are labeled on the real time MS plots. These events are set in the MS Timed Events Parameters dialog.


To Display Real Time MS Plots

  1. Set the MS parameters:

Click this button and select Edit MS SIM/Scan to set the scanning parameters.

  2. In the MS SIM/Scan dialog, set up the Real Time Plot section to display the desired data. In the example shown below, two windows were specified in a Scan run, one to show total ion chromatogram and one to show extracted ion chromatogram.

  3. Click on the plot window (left mouse button) to get an enlarged view.

  4. Adjust the Y scale as desired.

See Also

Real Time Plot Parameters


To Use the MS Timed Events Table

Use the mouse or the Tab, Shift-Tab, Up, and Down arrow keys to move around the table. Use the pushbuttons to add, delete, or replace entries.

  1. At the top of the table, under Time, enter the time in minutes after the start of acquisition.

  2. Tab to the next field and select an Event Type from the list.

  3. Move to the Parameter 1 field and select one of the options displayed in the list.

    If you are setting an EMV Delta event, enter the difference in voltage between the tune file setting and the new setting. The tune file setting is displayed on the MS SIM/Scan Parameters panel.

  4. Move to the Parameter 2 field, if it is active, and select one of the options.

  5. Click the Add button. The event will be displayed in the table.

  6. When you have added all the events you wish, click OK.


Logbook
The Logbook button displays a popup menu:

Current Logbook | Display the current logbook. Each entry will include the type of the message, the text of the message, the time and the date.
Open Logbook | Display a list of all logbooks in the directory.
Clear Logbook | Delete the currently displayed logbook.
Save As Logbook | Save the displayed logbook into a new name.
Print Logbook | Print the displayed logbook.


Using Methods

Methods are used for:

  • Running a single analysis using ChemStation software with a 6890 GC

  • Doing analyses in a batch or sequence.

How to

Add compounds to an existing method

Create a new method

Load a method in Top

Add additional information to a method

Reference

Method menu


Using Sequences

A sequence allows you to automate the analysis of one or more samples. When an ALS is installed, the entire analysis, from injection of the sample through reporting of results, can be automated. A barcode reader can be used for further automation.

The Sequence menu in the Top view provides access to all sequence operations.

How to

Set up a sequence

Test (simulate) a sequence

Position and Run a sequence

Save/load a sequence

Start a sequence

Resume a sequence

Print a sequence

Append one sequence to another

Re-sequence data files

Re-sequence vials

Change methods

Import sequence information from a CSV file

Reference

Sample Log Table

Keyword / Keyword String

Sequence log file

Modes of Sequencing for GC Instrument

Sequence Menu


Instrument Control Panel Layout (6890)

Instrument Control Panel Layout

Select View / Instrument Control from the menu bar to display this view. From this panel you can set up the GC, tune the MSD, edit a method, acquire data, and access data analysis software. Click on the items in the picture to learn their use. If your system is configured as GC-only, the mass spectrometer buttons will not appear.


Edit Parameters

Each instrument control option is represented in the icon bar on the Instrument Control screen. The color and appearance of the icons will change as you edit the various instrument controls. Click on any icon below for details about its setpoints:

To change setpoints for the current method:

  1. Click on the icon that represents the instrument control you want to change.

  2. Change the parameters as needed.

  3. Repeat Steps 1 and 2 as needed. When you are finished, click on Apply or OK to download your changes:

For additional information, click on any of the following:

For step-by-step instruction, refer to the following task:

Edit a Method


EMF Utilities

The EMF (early maintenance feedback) utilities are used to select or reset various limits and counters. These values are used to alert you when a limit has been reached and a maintenance task needs to be performed, such as changing the GC septum. These utilities are only available in an online configuration.

Each time a method is run, the limits will be checked. An alert box is displayed if the EMF check indicates a limit has been reached. If the system is running a sequence, any EMF alerts will be logged into the sequence log.

To access these utilities, select Instrument / EMF Utilities in the Instrument Control view. The Select EMF Action dialog box is displayed. Select one of the following:

Set Limits | Displays a dialog box where you can set limits for the GC (septum, liner, and total injections) and the MS (pump oil, tune time and EM voltage).
Set Counters | Displays a dialog box where you can set counters for the the GC septum, liner and total number of injections. This dialog box is only used if a counter has been incremented unnecessarily. For example, if the ALS syringe malfunctioned and did not make actual injections during a sequence, the counter for the GC septum would still increment. In this case, you could use this dialog box to reset the GC septum counter to the number it was prior to the malfunction.
Reset Counters | Displays a dialog box where you can reset counters for the septum, liner, number of injections, and pump oil.

The items available on these dialog boxes are dependent on instrument configuration. For an MS-only system, the septum, liner, and total injection items are not available. For a GC-only system, the pump oil, tune time and EM voltage items are not available. Which EMF items are checked is also dependent on the method. For example, a GC/MS configuration where the method is set to NOT use the MS, will skip the MS values (pump oil, tune time and EM voltage) during a check of the EMF parameters.


Instrument Control Menus (6890)

Instrument Control Menus (6890 GC)

Method | Load, save, run and edit the method. Also, exits the ChemStation.
Instrument | Set GC/MS parameters, change a tune file, or run an Autotune.
View | Switch views (Top, Data Analysis, Diagnostics, Manual Tune).
Abort | Stops the run.
Window | Arrange panels in the display.
Qualify | 5973 systems only. Lets you perform a system check and view several checklists.


Acquisition - Sample Information

To display this dialog box, select:

The information you provide in this box will be associated with the data through all subsequent processing.

Disk Space

Check to see if you have sufficient disk space for data acquisition.

Data File Path

Displays the current path. To change the path, specify it in the Data File Name field.

Operator Name

Optional. Will be included in the data file header.

Vial Number

For a manual injection, set this to 1. If an ALS is installed and you are using the tray in your method or sequence, enter the desired vial number (1 - 100). If you are just using the turret, enter 1 - 3. The high density turret allows 1 - 8. If you are using Multiposition valve injection with the 6890 GC, the vial numbers 1 - 32 are reserved as designations of valve positions. If you are using valve injection, make sure you specify the correct position in this field.

Data File Name

Required. Enter the name (8 characters maximum) to be used. The default path will be used if none is specified.

Sample Name

Optional. Will be included in the data file header.

Misc. Info

Optional. Will be included in the data file header. The field is accessible here and in the Sample Log Table. It can also be modified in Data Analysis by selecting File / Edit File Info.

Start Run Button

Click this button to start the acqusition only. This action does not copy the method into the data directory nor does it start Data Analysis.


Column 1/2 Calibration

Use this dialog box to calibrate the dimensions of the column (for example, after trimming its end).

The ChemStation will display both the manufacturer's nominal specifications:

  • Model Number

  • Max Temperature

  • Description

  • Length

  • Diameter

  • Film Thickness

and the current calibration specifications for the column, including:

  • the date and time the column was last calibrated,

  • the calibrated length and diameter values by which nominal specifications are adjusted to "true" values used by the 6890 Series GC and ChemStation in calculations to adjust pressure and achieve a desired flow (or to adjust flow and acheive a desired pressure), and

  • any holdup time measurement upon which the ChemStation based its calibration.

To update the Calibration Data, determine which of the following you can supply for the calculations. Click on the specified button to enter your values:

If you can estimate the length of the column, use the Set Length... button to calibrate based on the column's estimated length and nominal diameter:

If you have trimmed the column, measure the length of the piece you removed. Use the Adjust Length... button to calibrate based on the length of the trimmed amount and the column's nominal diameter:

If you have measured the holdup time of an unretained peak, you can:

  • use the Calc Length... button to calibrate based on your measurement and the column's nominal diameter:

  • or use the Calc Diameter... button to calibrate based on your measurement and the column's nominal length:

Note: Calibration is also based on nominal film thickness and the current method setpoints for oven temperature, carrier gas, and inlet/outlet pressure. (See Oven, Inlets, and Outlet psi/kPa/bar for more information about these setpoints.)

The ChemStation will prompt you for all conditional information required to calculate the new specifications. Length changes are limited to 5 meters, diameter changes to 20 micrometers. (If the calculations do not yield reasonable values, the ChemStation will prompt you to re-calibrate.)

If you want to use nominal values for 6890 Series GC and ChemStation pressure and flow calculations, use the Reset to Original Manufacturer's Specs button to replace the current calibration data with the manufacturer's specifications:

Note: The display on the GC's front panel always reflects the calibrated dimensions of the installed column. However, since any number of columns of the type needed could be used to run a method, the dimensions that the ChemStation saves with the method are the nominal dimensions of the column type, not the calibrated dimensions of a specific column. As a result, calculated pressure/flow values displayed by the ChemStation may differ from the corresponding pressure/flow values displayed on the GC's front panel.

OK/Cancel/Help Buttons


Auxiliary Channel dialog box

Use the Aux dialog box to:

  • configure up to two thermal and three pressure auxiliary channels

  • configure an optional Cryo Focus thermal trap (option not available)

  • prepare ramped auxiliary channel temperature and pressure programs.

Contents of this Dialog Box:

Aux Channel

Description

Heater (thermal channels)

Cryo Focus Configuration (option not available)

Type (thermal channels)

Pressure (pressure channels)

Gas (pressure channels)

Ramps

For step-by-step instruction, refer to the following task:

Edit a Method

For additional information click on any one of the following:


Columns

Use the Columns dialog box to:

  • configure up to two columns, and

  • prepare ramped column flow and pressure programs.

Select 1 or 2 to display setpoints for the specified Column.

Any time you:

  • install a different column, or

  • calibrate a currently installed column (for example, after snipping off its end), click on the Change... button to identify the new specifications:

Contents of this Dialog Box:

Mode

Inlet

Detector

Outlet psi/kPa/bar

Flow

Installed Column

Manufacturer's Specifications/Column Dimensions

Ramps

For step-by-step instruction, refer to the following task:

Calibrate a Column

Change a Column

Edit a Method

For additional information, click on any of the following:

Inlets


Detectors

The ChemStation presents the detector dialog boxes based on the number and type of detector(s) you have installed on your 6890 GC. You can select either the Front or Back inlet from the drop-down menu.

Following are the types of detectors available. Click on any one of them for details:

Flame Ionization Detector

Electron Capture Detector

Micro-Cell Electron Capture Detector

Thermal Conductivity Detector

Nitrogen Phosphorus Detector

Flame Photometric Detector

Single Channel Analog Input Board

No Detector (used with MSD)

For step-by-step instruction, refer to the following task:

Edit a Method

For additional information click on any one of the following:


Inlets

The ChemStation presents the Inlets dialog boxes based on the number and type of inlet(s) you have installed on your GC. You can select either the Front or Back inlet from the drop-down menu located above the Apply pushbutton.

Following are the types of inlets available. Click on any one of them for details:

Cool On-Column Inlet

Purged Packed Inlet

Split - Splitless Inlet

Volatiles Interface

Pneumatics Control Module (PCM)

Programmed Temperature Vaporization (PTV) Inlet

An Overview of Inlets

Inlet Type | Column Type | Mode | Sample Type | Comments | Sample to Column
Split/ splitless | Capillary | Split | High concentration | none | Very little, most is vented
 |  | Pulsed split | High concentration | New technique; may be useful with large (>2 [image] l) injections | Very little, most is vented
 |  | Splitless | Low concentration | none | All
 |  | Pulsed splitless | Low concentration | Useful with large (>2 [image] l) injections | All
Cool oncolumn | Capillary | n/a | Low concentration or thermally labile | Minimal sample discrimination and decomposition | All
Purged packed | Packed; 1/8 and 1/4in. metal, 1/8in. glass | n/a | Any | none | All
 | Large bore capillary | n/a | Any | Satisfactory if resolution is not an issue | All
PTV | Capillary | Split | High concentration | none | Very little, most is vented
 |  | Pulsed split | High concentration | New technique; may be useful with large (>2 [image] l) injections | Very little, most is vented
 |  | Splitless | Low concentration | none | All
 |  | Pulsed splitless | Low concentration | Useful with large (>2 [image] l) injections | All
 |  | Solvent Vent | Low concentration | Useful with large (>25 [image] l)injections | All
Volatiles Interface | Capillary | Split | High concentration | Gas Samples | Very little, most is vented
 |  | Splitless | Low concentration | Gas Samples | Can switch to Splitless
 |  | Direct | Low concentration | Gas Samples, Interface must be modified | Maximum sample recovery

For step-by-step instruction, refer to the following tasks:

Edit a Method

Prepare for an Isobaric Run Using Gas Saver

Set Split Ratio

Set Up a Pulsed Pressure Inlet

For additional information, click on any of the following:


Cool On-Column Inlet

This inlet introduces liquid sample directly onto a capillary column. To do this, both the inlet and the oven must be cool at injection, at or below the boiling point of the solvent. Because the sample does not vaporize immediately in the inlet, problems with sample discrimination and sample alteration are minimized. If done properly, cool on-column injection also provides accurate and precise results.

You can operate the inlet in oven track mode, where the inlet temperature follows the column oven, or you can program up to three temperature ramps. There is also a cryogenic cooling option that uses liquid to reach subambient temperatures.

Use the Cool On-Column Inlet dialog box to:

  • set inlet parameters and specify setpoints, and

  • optionally, prepare a ramped inlet temperature program for the current method.

Track Oven mode

Parameter | Setpoint Range
COC Inlet Temperature | 3 [image] C higher than the oven temperature to a maximum of 450 [image] C and a minimum temp of -60 [image] C for CO2 and -80 [image] C for N2.

Ramped Temperature mode

Parameter | Setpoint Range
COC Inlet Temperature | -60 [image] C for CO2 and -80 [image] C for N2 to 450 [image] C
 | Without CryoBlast, the operating range is 24 [image] C to 450 [image] C
 | With CryoBlast, the operating range is -40 [image] C to 450 [image] C

Contents of this Dialog Box:

Heater

Gas

Mode

Ramps

Pressure


Purged Packed Inlet

Use this dialog box to set Purged Packed inlet parameters and specify setpoints for the current method.

This inlet is for use with packed column analyses when high-efficiency separations are not necessary. You can also use it with wide-bore capillary columns, provided that flows greater than 10 mL/min are acceptable. When used with packed columns, the inlet is flow controlled and with capillary columns is pressure controlled.

If EPC is installed and the column is:

  • defined, the inlet is pressure-controlled.

  • not defined, the inlet is flow-controlled.

If EPC is not installed (you control the inlet manually), both the pressure and the total flow parameters will be dimmed.

Contents of this Dialog Box:

Heater

Gas

Pressure (if column is defined)

Total Flow (if column is not defined)


Split-Splitless Inlet

Use this dialog box to set Split-Splitless inlet parameters and setpoints for the current method.

If EPC is installed and the column is:

  • defined, the inlet can be pressure- or flow-controlled.

  • not defined, the inlet is pressure-controlled.

If EPC is not installed (you control the inlet manually), both the pressure and the total flow parameters will be dimmed.

Contents of this Dialog Box:

Mode

Gas

Heater

Pressure

Total Flow

GasSaver (if column is defined)


Volatiles Interface

The volatiles interface provides a simple, reliable way to introduce a gas sample into the 6890 GC from an external sampling device such as a headspace, purge and trap, or air toxics sampler. The interface has a small volume and is highly inert, thus ensuring high sensitivity and resolution for applications requiring trace level detection.

Total flow to the interface is measured by a flow sensor and is divided into two streams. One stream connects to the septum purge regulator; the other connects to a frit block. At the frit block, the flow is further divided. One stream goes to the gas-phase sampler and from there is introduced into the interface. The other stream, called the pressure sensing line, passes through the frit block and is measured by a pressure sensor. This stream also provides a trickle flow to the interface.

To operate in the splitless or direct mode, or if you’re using gas saver in the split mode, you must turn on Auto Prep Run from the 6890 GC keyboard or press [Prep Run] if no automation is in use.

Use this dialog box to set Volatiles interface parameters and setpoints to the current method.

Three operating modes are available:


Pneumatics Control Module (PCM)

The Pneumatics Control Module (PCM) provides one channel of flow or pressure control, replacing the standard electronic control module (ECM) for that channel.

The PCM can control gas flows and pressures for a number of applications including:

  • Non-Agilent standard inlets. For example, the SIMDIS application which uses a proprietary PTV inlet by one of Agilent’s channel partners. *

  • Any valve application where no inlet is required, such as providing flow or pressure to a gas sampling valve.

  • Sample preparation devices such as the Headspace Sampler and the Purge and Trap often require a controlled source of purge gas.

  • Catalyst tubes or other conversion devices often require a controlled source of reagent or makeup gas. The nickel catalyst tube accessory is a good example of such a device.

  • Refer to your AC SIMDIS Operating manual (G2131-90310) for additional information.

Contents of this Dialog Box:

Gas

Air Cooling On

Heater

Ramps

Pressure

Total Flow


Programmed Temperature Vaporization (PTV) Inlet

Programmed Temperature Vaporization Inlet

Use this dialog box to set the PTV Inlet parameters and setpoints for the current method.

About the Programmed Temperature Vaporization (PTV) Inlet

Operating the Programmed Temperature Vaporization (PTV) Inlet System is similar to the Split-Splitless Inlet with one additional operating mode, the solvent vent mode, for dealing with Large Volume Injections.

  • The split mode is generally used for major component analyses.

  • The pulsed split mode is like the split mode, but with a pressure pulse applied to the inlet during sample introduction to speed the transfer of material to the column.

  • The splitless mode is used for trace analyses.

  • The pulsed splitless mode allows for a pressure pulse during sample introduction.

  • The solvent vent mode is used for Large Volume Injections. Either single or multiple injections can be made for each run.

Calculated Values

The ChemStation calculates and displays two parameters that are provided for the user to indicate how the PTV Inlet will operate during a run.

  • On the Injector screen, the Total time to perform the multiple injections for the analysis is displayed. It is calculated by multiplying the Volume per Injection by the Injections per Run (Inject <x> uL <y> Times).

  • On the Inlets screen, the Estimated total injection time to perform the multiple injections for the analysis is based on the parameters entered and the mechanical cycle time of the GC Injector. The calculation includes the Delay between injections parameter.

Contents of this Dialog Box:

Mode

Gas

Cryo Config

Heater

Ramps

Pressure

Total Flow

GasSaver (if column is defined)


Injector

The parameters in the Injector dialog box will be available if an Automatic Liquid Sampler is part of your instrument configuration. (Otherwise, they will be dimmed.)

Click on Injector for detailed information.

For step-by-step instruction, refer to the following task:

Edit a Method

For additional information, click on any of the following:


Install Column 1/2

Use this dialog box to identify the column you have installed by Inventory#.

The list displayed in this dialog box represents the columns in your inventory. Also displayed are the manufacturer's specifications:

Model Number

Max Temperature

Description

Length

Diameter

Film Thickness

and your calibrated specifications for the currently selected column. (See Column 1/2 Calibration for details.)

To identify the column you have installed, simply select it.

If the column is not shown [image] Add it to your inventory first. Return (click Cancel) to the Change Column 1/2 dialog box and click on the Add... button:

Note: When two columns are installed in one inlet, actual column flows and split ratios may differ from expected values.

To delete a column from your inventory, select it and use the Delete Column button.

OK/Cancel/Help Buttons


Options

Use the Options dialog box to make the following selections:

  • the pressure unit you want to use in the current method,

  • whether or not you want to lock out setpoint entries from the GC keypad during this 6890 Series GC instrument session, and

  • the detector you want to use for a column compensation run.

Contents of this Dialog Box:

Pressure Units

Lock Keyboard

Column Compensation Detector

For step-by-step instruction, refer to the following tasks:

Edit a Method

For additional information click on any one of the following:


Oven

Oven capabilities

  • Temperature range: -80 [image] C (liquid N2) or -60 [image] C (CO2) to the configured limit

  • Maximum temperature: 70 [image] C to 450 [image] C

  • Temperature programming: Up to six ramps

  • Maximum run time: 999.99 minutes

  • Temperature ramp rates: 0 to 120 [image] C/min, depending on instrument configuration

Use the Oven dialog box to set oven parameters, specify setpoints, and optionally, prepare a ramped oven temperature program for the current method.

Oven Parameters for Splitless Mode Inlet Operation

Parameter | Allowed Setpoint Range | Suggested Starting Value
Oven temperature | No cryo, 24 [image] C to 450 [image] C or max. CO2 cryo, -60 [image] C to 450 [image] C or max. N2 cryo, -80 [image] C to 450 [image] C or max. | 10 [image] C below solvent boiling point
Oven initial time | 0 to 999.9 minutes | Inlet purge time
Inlet purge time | 0 to 999.9 minutes | (Liner volume/ Column flow) x 2
Gas saver time | 0 to 999.9 minutes | After purge time
Gas saver flow | 15 to 1000 mL/min | 15 mL/min greater than maximum column flow

Contents of this Dialog Box:

Oven

Oven Ramp

Oven Configuration

Cryo Configuration

For step-by-step instruction, refer to the following tasks:

Edit a Method

Prepare a Ramped Oven Temperature Program

Prepare for an Isothermal Run

For additional information click on any one of the following:


Signals

A signal is the analog or digital output to a data handling device. It can be the output of detectors or the output from temperature, flow, or pressure sensors.

  • Analog output is available at either of two speeds, suitable to peaks with minimum widths of 0.004 minutes (fast data rate) or 0.01 minutes (normal rate).

  • Digital output to the ChemStation is available at 11 speeds ranging from 0.1 Hz to 200 Hz, capable of handling peaks from 0.001 to 2 minutes wide.

The ChemStation can acquire and save data from two independent signals: Signal 1 and Signal 2.

For each signal, use the Signals dialog box to:

  • designate the source of signal data,

  • specify data acquisition parameters, and

  • specify whether or not to save data to a file during the run.

You can program signal type as a run time event.

Contents of this Dialog Box:

Source

Data Rate

Minimum Peak Width

Calc Button

Save Data

For step-by-step instruction, refer to the following task:

Edit a Method

Optimize Data Rate

For additional information click on any one of the following:


Valves

Use the Valves dialog box to:

  • configure a valve for switching, gas sampling, multiposition, or other purposes.

  • control the initial (pre-run) and immediate (during a run) on/off state of a valve.

  • specify an immediate position for a multiposition valve.

You can configure and control up to eight valves, in addition to the cryo and split/splitless valves:

Valve
Number

Type

Volts

Power or Current

Use

1, 2, 3, and 4

Current source

24 Vdc

13 watts

Pneumatic valve control

5 and 6

Current source

24 Vdc

100 mA

Relays and
low-power devices

7 and 8

Contact closure

48 Vdc or
48 Vac rms

External current source control

To schedule valve events during a run, use the Runtime dialog box.

Contents of this Dialog Box:

Valve

Configure

For step-by-step instruction, refer to the following task:

Edit a Method

For additional information, click on any of the following:


Edit GC Monitors (6890)

Edit GC Monitors (6890 GC)

To display this dialog box, click

and then select Edit GC Monitors from the popup menu. Or, select Instrument / GC Monitors. Use this box to specify the kinds of monitors you want to display on the Instrument Control panel.

Type

The item you wish to monitor: Oven, Inlet, Detector, Column, Auxiliary

Location

As appropriate for the Type selected.

Parameter

For Oven - Temperature

For Inlet - Temperature, Pressure, Total Flow

For Detector - Temperature, Fuel Flow, Utility Flow, Makeup Flow

For Column - Flow Calculated

For Auxiliary - Temperature

Display

Digital or Analog

6890 Status

Select this checkbox if you want to monitor the display on the GC front panel.

See Also

To Display GC Monitors


Timed Events

The MS Timed Events Table is a list of time-programmed events that you want to occur during data acquisition. This table is accessed via the Timed Events button on the MS SIM/Scan Parameters dialog. The following components of the MS may be controlled during data acquisition:

  • Detector (turn all the mass spectrometer voltages on and off)

  • EMV Delta is the change in electron multiplier voltage relative to the tune file electron multiplier voltage. The range of allowed values is such that the EMV (sum of Delta EMV and Tune EMV) is in the range 0 to 3000 volts. The value that you enter is automatically adjusted to the nearest step size (11.76 volts on the MSD).

  • Valves

See Also

To Use the MS Timed Events Table


Edit MS Monitors

To display this dialog box, click

and then select Edit MS Monitors from the popup menu. Or, select Instrument / MS Monitors. Use this box to specify the kinds of monitors you want to display on the Instrument Control panel.

Type

The item you wish to monitor: Parameter, Valve, Zone

Parameter

Parameter | AMU Gain AMU Offset Emission Repeller Ion Focus Entrance Lens X-Ray (not on 5973) EMVolts DC Pol Filament TTI (not on 5973) Wid219 Ent Lens Offset Ion Pol (positive or negative) Electron Energy ( HED Enable (on or off)
Valve | Calibration Out1 (not on 5973) Out2 (not on 5973)
Zone | MS Source (5973 only) MS Quad (5973 only) Foreline (5973 only) TurboSpd (5973 only) MS Temp

Display

Digital or Analog

See Also

To Display MS Monitors


Annotating a Display

To add an annotation

  1. Put the mouse pointer at the point where you want the annotation to appear and click both mouse buttons simultaneously.

  2. When the Annotate dialog box appears, type the text as you want it to appear.

  3. Select whether you want the text centered, left-justified, or right-justified on the point you picked.

  4. Then press the Enter key or click the Add button.

To delete an annotation

  1. Put the mouse pointer anywhere on the annotation to be deleted and click both mouse buttons simultaneously.

  2. When the dialog box appears, press the Enter key or click the Delete button.

For more information, click Help in the Annotate dialog box. Note: This information is not stored.

See Also

Font Selection in the MS ChemStation

Annotate


To Copy a Window

  1. Select Tools / Copy Window.

  2. Answer the prompt for the number of the graphics window you want to copy.

  3. Click OK. The graphics contents of that window are copied to the Clipboard.

From another application you may then use Paste to copy the contents of the Clipboard to that application.


To Print Chromatograms and Spectra

  1. Select File / Print and choose the item you want to print:

    - the selected window

    - both the TIC and spectrum

    - the method

  2. Click OK.


To Zoom In

  1. Move the mouse pointer to one corner of the area you want to magnify.

  2. Press the left mouse button and drag to form a box defining the zoom area.

When you release the mouse button, the area in the box is expanded to fill the window.


To Zoom Out

Put the mouse pointer anywhere in the window to be zoomed out and double-click the left mouse button.


To Use DOLIST

DOLIST is a tool for processing a batch of files in a similar manner. To use DOLIST, follow these steps:

  1. Select Tools / DOLIST from the menu. A Report Option dialog box is displayed.

  2. Select the desired reports and click OK. The Multiple File Select dialog box is displayed.

  3. Select the data directory from the Directories list.

  4. Select a file to be processed from the Data Files list.

  5. Click the arrow button to move the file to the Files Selected for Processing list.

  6. Repeat step 5 for all files to be processed.

  7. Click Process to start processing the files.

See Also

To Use DOSCAN


To Use DOSCAN - GC/MS

To Use DOSCAN

DOSCAN is a tool for batch-processing of user-selected spectra from a data file. For example, you can use it to generate a detailed library search report for 10 spectra in a data file.

To invoke DOSCAN, select Tools / DOSCAN from the menu. You are prompted whether you want to generate a detailed library search report or run a macro on the selected spectra. After this selection, the mouse will respond differently to the annotate operation. (Single click of both mouse buttons)

Position the cursor at the desired location on the total ion chromatogram and press both mouse buttons simultaneously. A "+" is drawn on the chromatogram. Continue to select spectra to be reported using the same mouse action. Zoom-in and out are still available using the mouse.

Once the desired spectra have been selected, select Tools / Process Scan List from the menu. This will initiate the processing.

See Also

DOSCAN command

DOLIST command


EasyID

EasyID is a tool for updating the retention times in a quantitation database on a compound-by-compound basis (not to fix integrations). To shift the retention times of all compounds at once, use Calibrate / Update/Global Update.

EasyID allows you to manually select a peak. The resulting retention time of the integrated peak will become the new expected retention time for the compound. The original integration area of the compound will not be changed. The beginning and ending times for extracting the signal will move relative to the new expected retention time. If no integration has been performed on the currently selected compound, then the calibration table is not modified for that compound.

Any changes to the retention time of an internal standard (ISTD) compound will prompt the user for automatic update of the retention times of target compounds related to that internal standard. The new retention times are calculated based on the difference in the absolute retention time of the internal standard and the old relative retention times of the target compounds.

EasyID can also be used to update reference spectra for any or all target compounds. This is most often needed when there are coeluting compounds. EasyID can be used to select and store a new reference spectrum or “clean up” and store the current reference spectrum.

EasyID is opened by selecting View / EasyID. A new set of menus specific to retention time updating are loaded.

EasyID

Spectrum

Integrate

ChromEval

While in EasyID mode, all edits are made to a temporary file. When you exit EasyID mode, the actual results can be updated (select Exit and Save Changes) or the temporary edits can be discarded (select Abort Changes and Exit).

Selecting EasyID also brings up the Quick Qedit window. This window provides a quick way to locate and select specific compounds in the quantitation database.

See Also

EasyID Mouse Actions

To Update Retention Times Using EasyID


QEdit Quant Result / QEdit Mode

QEdit is the quantitation results editor. It is used to review and edit quantitation results. A new set of menus and mouse actions is used in QEdit mode. The menus are:

Qedit

Spectrum

ChromEval

Display

See Also

To review quantitative results using Qedit

QEdit Mouse Actions


Review Peak Purity - GC/MS

The peak purity tool helps you detect overlapping peaks (multiple-component peaks) in your chromatogram. Overlapping peaks can interfere with library searches or quantitation.

Good chromatography is essential to correct function of the peak purity tool. If chromatography is poor, the peak purity tool may identify single-component peaks as having multiple components.

See Also

To Use the Peak Purity Tool

Peak Purity Display

Mouse Actions in Peak Purity Mode


Alignment View

The Alignment view is accessed from the View / Align GC menu in Data Analysis. It displays four chromatographic windows. The two windows on the top half of the display contain MS signals, and the two windows on the bottom half of the display contain GC signals. The two windows on the left side of the display are used to select the starting alignment point of the MS and GC signals. The two windows on the right side of the display are used to select the ending alignment point of the MS and GC signals.

There are two menus in the Alignment view:

Alignment menu

Show current method alignment points | Displays the beginning and end alignment points currently stored in the method for the GC and MS data alignment.
Perform Alignment | Performs the alignment based on the currently selected points in the GC and MS data.
Restore Alignment Chromatograms | Restores the original unaligned chromatograms from the GC and the MS.
Abort | Stops the operation without saving the alignment points and returns to the main Data Analysis view. You are given a chance to change your mind.
Exit/Save | Saves the current points and returns to the main Data Analysis view.

View menu

Return to DA

Prompts you to save alignment points before returning to the main Data Analysis view.

See Also

To Review Mixed Mode Data Files

To Align the GC Signal with the MS Retention Time

To Quantitate Mixed Mode Data


File Menu

Load Data File | Loads a user-specified data file and displays the total ion chromatogram (TIC) for that file.
Next Data File | Loads the file that follows the current data file in the same directory.
List Header | Displays information from the header of the data file as well as a history of operations performed using the data file.
Edit File Info | Displays a dialog box in which you can change the header information for the current data file.
Take Snapshot | Displays the data that has been acquired up to the time Snapshot is activated. This feature is not available for GC-only data.
Subtract Background (BSB) | Performs background subtraction. This feature is not available for GC-only data.
Select Signals | Lets you select which signal(s) to load from a data file that contains multiple signals. If you select just the MS signal (for example), the next time you load the data file, only the MS signal is loaded and the message line indicates that all signals are NOT loaded.
Printer Setup | Lets you choose portrait (vertical) or landscape (horizontal) orientation
Print | Prints chromatograms and/or spectra.
Abort | Stops Data Analysis routines that are no longer of interest.
Export Data to CSV File | Lets you save data in the CSV format. The CSV file can then be imported into a spreadsheet program, such as Microsoft Excel.
Export Data to AIA Format | Lets you save the data in the AIA (*.CDF) format. You can export one file or a batch of files. The AIA format is the industry standard for the exchange of mass spectral and GC data between the data systems of various manufacturers.
Import AIA Raw Data Files | Lets you import a standard AIA (*.CDF) file.
Exit | Closes the Data Analysis program. Be sure to first save any changes to the method.


Method Menu (Data Analysis)

Method Menu

Run Method | Carries out only the Data Analysis portion of the current method.
Load Method | Brings up a dialog box from which you can select a different method to be loaded.
Save Method | Saves any changes made to the current method.
Edit Method | Allows you to edit the current method.
Generate AutoSIM Method | Displays the Automatic SIM Setup dialog box where you can automatically set up a SIM acquisition method from a quantitation method.
Batch Mode | Changes to Batch Mode Data Analysis. This Method menu will be changed to the Batch Method menu.


Chromatogram Menu

Items available only in GC/MS mode are indicated by (GC/MS). Items available only in GC mode are marked GC only.

Chromatogram Scaling | Scales the selected chromatogram by the specified scale factors.
Draw Chromatogram - No Labels | Redraws the original chromatogram of the current data file without labels or integration marks.
Draw Chromatogram With Labels | Redraws the original chromatogram of the current data file with the specified labels.
Select Chromatogram Labels | Displays the Select Labels and Redraw TIC dialog box which lets you select the type of labeling, if any, that you want to use.
Extract Ion Chromatograms (GC/MS) | Extracts and displays extracted ion chromatograms (EICs) from the total ion chromatogram (TIC) of the current data file.
Display Ion Chromatograms in Merged Format (GC/MS) | Causes extracted ion chromatograms to be displayed overlaid on each other.
Select Integrator | Allows you to temporarily select an integrator (RTE or ChemStation) other than the integrator specified in the method.
MS Signal Integration Parameters (GC/MS) | Depending on the integrator selected, this allows you to edit the ChemStation integration events or the RTE integrator parameters for the mass spec.
GC Signal Integration Parameters (GC/MS) | This item is dimmed unless you are running in mixed mode. Depending on the integrator selected, this allows you to edit the ChemStation integration events or the RTE integrator parameters for the GC.
Signal 1 Integration Parameters (GC only) | Allows you to edit the integration events for Signal 1.
Signal 2 Integration Parameters (GC only) | Allows you to edit the integration events for Signal 2.
AutoIntegrate | Tries to find the best integration parameters for the current chromatogram and then integrates the chromatogram. This item is dimmed if the RTE integrator is currently set in the method.
Integrate | Integrates the current chromatogram using parameters set for the current integrator.
Integration Results | Displays a tabulation of the integration results associated with the current data file.
Percent Report | Generates a percent report for the current data file. If the current data file was acquired on a 5973 MSD in PCI mode, you are prompted to select the adduct ion for the molecular weight calculation.


Spectrum Menu

The Spectrum menu appears only in GC/MS mode and provides access to all features used for PBM searches of mass spectral libraries. It also provides access to the parametric retrieval capabilities of the software.

Add | Adds two spectra and displays the sum.
Subtract | Subtracts one spectrum from another and displays the difference.
Tabulate | Displays a mass spectrum in tabular format.
Select Library | Brings up the Library Search Parameters dialog box where you can select the libraries that will be used for PBM searches of the currently selected spectrum.
Edit Strategy | Brings up the Search Strategy dialog box where you can review and edit the parameters that affect the match quality of a PBM search.
Edit Library | Allows you to create libraries, edit user-created libraries, or view entries in commercial libraries.
Library Search Report | Integrates the current TIC, searches the current library for matches for each peak, and generates a report.
NIST Output | Saves mass spectral data in NIST (ASCII) format to a file.
Change Spectral Display | Displays the Spectral Manipulations dialog box This dialog box lets you change how spectra are displayed.


Calibrate Menu - Data Analysis

Calibrate Menu

Items available only in GC/MS mode are indicated by (GC/MS). Items available only in GC mode are marked GC only.

Set Up Quantitation | Allows you to set up a quantitation database by specifying quantitation database globals and entering compounds in the database.
AutoQuant Setup (GC/MS) | Provides a semi-automated way to create a quantitation database.
Edit Compounds | Allows you to review and edit information in the quantitation database compound-by-compound.
Update | Allows you to add, delete or update a calibration level in the current quantitation database.
Batch Recalibrate | This menu item is only available when you are in Batch Mode Data Analysis. It allows a recalibration WITHOUT recalculating baselines. This is helpful where you have corrected integration abnormalities in the quantitation results via Qedit and want the manual responses used.
List | Displays the Select Method Reports dialog where you can choose to view the calibration history, calibration report, and other reports.
Clear | Displays the Select Clear Option box
Create Quant DB Entries for Second Signal (GC only) | Copies the Signal 1 compound list entries to Signal 2 (the signal for the confirming run).


Quantitate Menu

Items available only in GC/MS mode are indicated by (GC/MS). Items available only in GC mode are marked GC only.

Calculate | Quantitates the current file and generates a quantitation report.
Generate Report | Generates a quantitation report for a file that has already been quantitated.
Manual Int Calc/Gen Report | (GC only) Quantitates a manually integrated data file and generates a quantitation report.
Use Classic Reports | Lets you select the original G1034A/B style quantitative reports used in Standard mode.
Report Options | Allows you to control what information is included in the quantitation report and how it appears.
Report Non Target Peaks | Lets you generate an LSC report of the non-target peaks. This item is only available when Include Non Target Peaks has been selected on the Quantitation Report Options dialog box.
Use Method Aligned GC Trace | (GC/MS) Lets you quantitate on the GC signal if you have already performed alignment and saved the points to the current method,
Trace Mode Quant | (GC/MS) Generates a report containing all quantitation information for a single compound from the quantitation database.
Custom Reports | Starts the Custom Reports software. If the method does not have a quantitation database, or no data file is loaded, you can use default values.
Print Report | Prints the custom report template specified by the method, using the current data file.
Update Database | Updates the database (created in Custom Reports) specified by the method with the quantitation results from the current data file.
Select Template / Database | Allows you to select a custom report template and custom report database to use with the current method.


Tools Menu

Items available only in GC/MS mode are indicated by (GC/MS). Items available only in GC mode are marked GC only.

DOLIST | Allows you to select a batch of data files to be processed together.
DOSCAN (GC/MS) | Allows you to select a group of spectra from a data file (TIC) and process those spectra together.
Process Scan List (GC/MS) | Used with DOSCAN. After the spectra are selected using DOSCAN, selecting this menu item starts the processing.
Export 3-D Data | Lets you export the specified mass and scan range to a CSV file.
Locate a Compound (GC/MS) | Determines if a particular target compound from the current quantitation database is present in the current data file.
Locate All Compounds (GC/MS) | Determines if all target compounds from the current quantitation database are present in the current data file.
Set Overlay Parameters | Allows you to determine how overlaid chromatograms are displayed.
Overlay Chromatograms | Allows you to select multiple chromatograms to be displayed superimposed on each other.
Signal to Noise Check | Lets you perform a signal-to-noise check.
Change Data State | Allows you to append a status to the displayed data file.
Options | Allows you select to Label Spectral Peaks (GC/MS), Autoscale the Y-axis, use the Command Line, view the Stack window, and perform Manual Integration (GC/MS).
Create Screen Results for Current File | Used for RTL (retention time locking). Performs the screen operation with the currently loaded data file and the currently specified method screen database (SCD).
Generate Screen Report for Current File | Used for RTL (retention time locking). Creates a screen report of the currently loaded data file The results are displayed on the screen.
Generate/Print Screen Report for Current File | Used for RTL (retention time locking). Creates a screen report of the currently loaded data file. The results are sent to the printer.
Generate/Print Screen Report for Multiple Files | Used for RTL (retention time locking). Creates a screen report of the selected data files. The results are sent to the printer.
Specify Method Screen Database | Used for RTL (retention time locking). Lets you select or change the screen database to be used during the screen process.
Change Screen Database Parameters | Used for RTL (retention time locking). Lets you change parameters for the current method screen database. If no method screen database has been specified, you are prompted to select one.
List Screen Database | Used for RTL (retention time locking). Displays the contents (compound name, expected retention time, and target ions) of the selected screen database.
Exclude Zero Qualifiers | Used for RTL (retention time locking). (MS only). This menu item can be checked on or off. It determines how the screen report process evaluates a compound that is missing one or more qualifier ions. If this menu item is checked, any compound missing a qualifier will be excluded from the report.
Copy Window | Lets you copy a window to the clipboard.
Reset Windows | Rearranges the graphics windows to their default positions.


View Menu (Data Analysis)

Items available only in GC/MS mode are indicated by (GC/MS). Items available only in GC mode are marked GC only.

EasyID | Lets you update expected retention times and ion ratios for MS data in an existing quantitation database on a compound-by-compound basis.
QEdit Quant Result | Lets you review and edit quantitation results once a data file has been quantitated.
Edit Non Target Peaks | Lets you edit the results of the Non Target Peak search by visually comparing the mass spectra from the data with the mass spectra of possible matches in the library.
Parametric Retrieval (GC/MS) | Accesses the Parametric retrieval view which helps you locate compounds in a mass spectral library.
Align GC (GC/MS) | Accesses the Alignment view where you can align chromatographic peaks from a mixed mode data file. Dimmed except in mixed mode.
Review Peak Purity (GC/MS) | Helps you detect overlapping peaks (multiple-component peaks) in your chromatogram.
Results Screener | The Results Screener is used to evaluate the expected retention time/ions (MS only) for the locked compounds in any data file that has been acquired under locked conditions.
RTLock Setup | Accesses the RTLock Setup view which is used for retention time locking tasks.


Percent Report

This menu item generates an area percent report for the current data. The report is displayed in MultiVu from which it can be printed or copied to the Clipboard. Information provided for each peak includes:

  • Retention time

  • First, last, and maximum scan numbers

  • Peak height

  • Peak area (raw)

  • Peak area (corrected)

  • Peak height relative to the largest peak

  • Percentage contribution to total area of all peaks


Library Search Report Options

The Library Search Report Options dialog box lets you specify:

Style

Destination

for a library search report.

For library searches on integrated peaks automatically selected from the TIC, you can also specify:

Integration parameter file

Spectrum to use


Generating a Quant Report

The Quant Report Options dialog box appears when you select Quantitate / Generate Report from the menu. Use this dialog box to specify the style and the destination for a quantitative report.

To generate a previously-calculated quant report interactively, select Quantitate / Generate Report from the menu. The current data file is used.

To automatically generate a quant report as part of the current method, select Method / Edit Method and select Quant Report in the Select Reports dialog box. Save the method or the change will not take effect and the report will not be generated automatically.

See Also

Quantitation Report Options


To use Classic Reports

Lets you select the original style quantitative reports used by Standard mode in previous versions of the ChemStation software (G1034A/B).

  1. In Data Analysis, select Quantitate / Use Classic Reports.

  2. You will be prompted to save this report style with the method. Click Yes.

    The report style is saved with the method, the Report Options menu item is dimmed, and a check mark appears next to the Use Classic Reports menu item to indicate that this method uses Classic Reports.

To deselect this report style, select Quantitate / Use Classic Reports, click Yes to save the method. The Report Options menu item will now be available.


Display Ion Chromatograms in Merged Format - GC/MS

Selecting this menu item causes the chromatograms generated by the Ion Chromatograms menu item to be displayed overlaid in the same window. This menu item is selected when a check mark appears next to it.


To Display a TIC

To Display a Chromatogram (TIC)

Select the File / Load menu item. Then, select the name of the data file you want to view. The total ion chromatogram (TIC) is displayed in the window labeled [2]. Subsequent operations may replace the TIC with another display (e.g., ion chromatograms).

To redraw the TIC

Select Chromatogram / Draw Chromatogram from the menu.

To subtract background and display the TIC

Select the spectrum to be subtracted and then select Subtract Background (BSB) from the File menu.

To display a TIC of the data currently being acquired

Select Take Snapshot from the File menu.


Take Snapshot - GC/MS

Snapshot is used during data acquisition to display the data that has been acquired up to the time Snapshot is activated. It displays a TIC. Mass spectral data can be extracted from the TIC. Snapshot is activated by selecting File / Take Snapshot.

No snapshot will be taken if the end of the solvent delay time has not been reached. There may be a short delay before the snapshot is displayed. This delay depends on the length of the scans being acquired and the synchronization of communication between Instrument Control and Data Analysis. During the wait, a message displays the elapsed time:

Waited x seconds for Acq to take snapshot. Use Abort to stop.

To cancel the snapshot before it has finished, select File / Abort.


Background Subtracted Chromatograms

When you select File / Subtract Background (BSB), the most recently selected mass spectrum (named X in the stack window) is subtracted from each point in the current chromatogram. The resulting data are saved in the BSB subdirectory (of the DATA directory) in a data file with the same name as the original data file.

This new data file becomes the current data file and the background subtracted chromatogram is displayed. A record of the number of background subtractions that have been performed is kept in the Operator item of the data file header.


To Extract Ion Chromatograms

Ion chromatograms can be extracted from the current data file and then displayed and integrated in the same way as TICs.

  1. Select Chromatogram / Extract Ion Chromatograms. The Extracted Ion Chromatograms dialog box appears.

  2. Select a time range for the ion chromatograms. The complete time range of the data file is displayed initially. You can specify a smaller range by entering the desired times.

  3. Enter a mass for each ion chromatogram you wish to generate. When the ion chromatograms are generated, each mass is converted to a range corresponding to mass - 0.3 and mass + 0.7 amu (which automatically compensates for mass defect). You can change the mass defect setting if instrument conditions warrant.

  4. Click OK. The ion chromatograms are extracted and displayed in graphics window 2. The chromatograms can be displayed separately or in a merged format.


Integration

Selecting Chromatogram / Integrate integrates the current data file using the currently selected integrator and integration parameters.

The Data Analysis software includes two integrators: the RTE integrator and the ChemStation integrator. The integrator is selected either from the Chromatogram menu or in the Quantitation Database Globals dialog box (Calibration / Set Up Quantitation). If the Use RTEINT checkbox is selected, the RTE integrator is used. If the checkbox is not selected, the ChemStation integrator is used.

Integration is controlled by integration parameters which can be reviewed and edited. RTE integrator parameters can be edited from the RTE Integrator Parameters dialog and saved in a parameter (*.P) file. ChemStation integrator parameters can be edited from the Edit Integration Events dialog box and saved in an events file (*.E). Integration parameters can be saved in an integration parameter (.P) file. This file can then be used to integrate the target or qualifier ions for a particular compound or as the default integration for an entire method.


Manual Integration

To integrate peaks in the TIC manually:

  1. Select Tools / Options/Manual Integration from the menu in Data Analysis. A check mark next to this item indicates that it is on. The mouse cursor changes to a crosshair in the TIC window.

  2. Click and drag the left mouse button to zoom in on the peak of interest in the chromatogram.

  3. Click and drag the right mouse button to draw an integration baseline on the peak. When you release the button, the peak will be integrated, using the integrator you have selected.

If you want to delete an integrated peak, put the cursor on it and double-click the right mouse button.


To Use the Peak Purity Tool

To Use the Peak Purity Tool - GC/MS

The peak purity tool can be used to check an entire chromatogram or check the purity of a single peak.

Entire Chromatogram

Single Peak


To Align the GC Signal with the MS Retention Time

If the eluents in a mixed mode data file have different retention times on the MS and GC signals, it is possible to align the GC signal to match the retention time of the MS signal.

  1. Load a mixed-mode data file and integrate the peaks.

  2. Select View / Align GC to enter the Alignment view.

  3. A message will tell you to Zoom windows until the integrator selects desired alignment peaks. Click OK.

  4. Use the left mouse button to zoom in on the beginning chromatographic peak of interest in the upper left window (MS data). Do the same in the lower left window (GC data). Verify your selection in the message line.

  5. In the upper right window, zoom in on the MS peak you wish to end the alignment. Do the same in the lower right window.

  6. To save the alignment factors with the method, select Alignment / Exit/Save from the menu.

The alignment factors will be stored with the method and can be used to automatically align any subsequent file processed by the method if Quantitate / Use Method Aligned GC Trace is selected.


Pick a Spectrum

To Pick a Mass Spectrum

Move the line cursor to the place in the chromatogram where you want to see the mass spectrum. Double-click the right mouse button. The spectrum will be displayed in window 1 and stored in X (in the stack window).

Using the mouse, you can also display the averaged mass spectrum of selected scans.


To Add Spectra

  1. Double-click the right mouse button on the first scan in the chromatogram that you wish to add. The spectrum will be displayed.

  2. Then double-click on the second scan.

  3. Select Spectrum / Add. The sum will be displayed as a spectrum labeled with a [+] following its title.


To Subtract Spectra

  1. Double-click the right mouse button on the scan in the chromatogram from which you wish to subtract a spectrum. The spectrum will be displayed and named "X". A description of spectrum X will appear in the stack window.

  2. Now double-click on the second scan. It will now be named "X". The spectrum formerly named "X" is renamed "Y".

  3. Then select Spectrum / Subtract. The difference (Y - X) will be displayed as a spectrum labeled with a [-] following its title.

Note To subtract spectra in Parametric Retrieval mode, select Spectrum / Normalized Subtract. To subtract spectra in EasyID mode, select Spectrum / Subtract.


To Average Spectra

  1. Move the line cursor to the point on the chromatogram where you want to begin averaging spectra.

  2. Press the right mouse button and drag to form a line or box. The length of the line (box) defines the scans to be averaged when you release the mouse button. The spectrum will be displayed as an average of the range you selected and will have [+,*] following its title.


Searching Libraries

How to

Search a mass spectral library for a match to an unknown spectrum (PBM library search)

Find library compounds by their attributes (parametric retrieval)

Use chemical structures database

Reference

About PBM

Editing a PBM Library

You can use a commercial library for a library search, or you can use a user library created in your own lab for special applications.


DOSCAN

DOSCAN ["macro name"]

Executes a macro on a list of scans.

Before the macro is run, you must select the scans to be processed by this macro. To do this, position the cursor at the desired retention time and press both mouse buttons simultaneously. The time will be marked with +. You can select until the queue is full or all desired scans have been selected.

To initiate the scan processing, type PROCESSSCAN on the command line. Once macro execution has begun, it will continue to process each scan in the list . If there is an error during execution, the remainder of the list is not processed.

"macro name"

The name of the macro that is to be used to process the list of scans. If a name is not specified, the macro file list is displayed. If you select macro file xxx.mac, the last macro in the file will be run (as though the command macro xxx.mac,g had been entered).

Example

DOSCAN "REPORT_TIC 2"

Prompts you to select scans

PROCESSSCAN

Generates a Library Search Compound report for the selected scans.


Performing a PBM Search

You can do a search on an individual peak (spectrum) or on all integrated peaks in the TIC.

To search for an individual spectrum

  1. Select a spectrum to be searched for; it will be displayed in window #1 and recorded in variable X (in the stack window).

  2. Select Spectrum / Select Library and specify the library or libraries to be searched.

  3. Select Spectrum / Edit Strategy and set the search strategy.

  4. Double-click on the spectrum with the right mouse button. A PBM search will be activated and the results displayed.

  5. Review the results.

To search for peaks in the TIC

This is the search performed when Spectrum / Library Search Report is selected.

  1. Select Spectrum / Library Search Report.

  2. Select appropriate Library Search Report Options, and click OK. The search and report will be done immediately. To stop the search, before it is finished, select File / Abort.

  3. Review the Summary or Detailed Report.

To perform the search and generate the report automatically as part of a method

  1. Select Method / Edit Method.

  2. When the Select Reports dialog box appears, select LibSearch Report if it is not checked. You will be prompted for Library Search Parameters and report options.

  3. Finish editing the method and save the modified method.

  4. Run the method.


Using Parametric Retrieval

Parametric retrieval allows you to locate compounds in a spectral library based on specific criteria. The retrieval produces a list of compounds in the library that satisfy the specified criteria. You may then view the spectra of these compounds and compare them with the spectra from your samples.

To access the Parametric Retrieval Mode:

  • In Enhanced Data Analysis, select View / Parametric Retrieval.

  • In EnviroQuant, select Lib / Parametric Retrieval.

  • In the Drug Analysis software, select Library / Parametric Retrieval.

To switch back to the Data Analysis window, select View / Standard Menu.

How to

Compare unknown and library spectra

Create a subset library

Look up compounds in a library

View search results

View library entry only

View TIC and library entry

View unknown spectrum and library entry

View unknown spectrum, library entry, and difference spectrum

Reference

Parametric Retrieval Mode menus

Parametric Retrieval Parameters Dialog Box

Library Search Parameters Dialog Box

Search Strategy Dialog Box

Library Search Report Dialog Box

Parametric Retrieval Results Panel

About Normalized Subtraction

About Library Selection in Parametric Retrieval

A window will accept keyboard input only when it has the focus--as shown by a darkened title bar. For example, when you click on the Parametric Retrieval Results panel, the focus is on that panel and accelerator keystrokes (underscored letters on buttons, e.g., Alt+t for Text display) will work, but accelerator keystrokes directed to the menu bar of the Parametric Retrieval window (e.g., Alt+f for File) will not work. To shift the focus, click on the window in which you wish to type or press Alt-F6 until that window has the focus.


About PBM

PBM refers to the probability-based matching (PBM) algorithm, a library-search routine developed at Cornell University by Professor Fred McLafferty and co-workers.

The algorithm uses a reverse search to verify that peaks in the reference spectrum are present in the unknown spectrum. Extra peaks in the unknown are ignored, thus allowing the analysis of a spectrum resulting from a mixture of compounds.

Since not all mass-to-charge (m/z) values of a mass spectrum are equally likely to occur, the PBM algorithm uses both the mass and abundance values to identify the most significant peaks in the reference spectrum. When a spectrum is added to a library, these peaks are used to generate a condensed reference spectrum that is used by the PBM search routine.

A prefilter within the search routine then assigns a significance to each of the peaks in the unknown spectrum and uses these to find the most probable matches in the condensed reference library. The selected condensed spectra are then compared, using the reverse search described above, with the complete unknown spectrum. The prefilter immediately eliminates approximately 95% of the compounds in the database and greatly speeds up the search (when using the default strategy parameters).

See Also

Factors Affecting Match Quality

Improving Match Quality


Editing a PBM Library

The Edit PBM Library box appears when you select Spectrum / Edit Library from the menu. To perform one of the following tasks, select its button:

Select a library (default)

Add a new entry

Edit an existing entry; this allows you to view, modify, or exclude an entry

Create a library

Delete a library


Quantitative Data Analysis

Two stages are involved in quantitative analysis:

  • Calibration, in which you set up a quantitation database from the analysis of calibration standards. This analysis is used to generate a calibration curve for every compound you plan to quantitate.

  • Quantitation, in which you run unknown samples and generate reports on how much of a particular compound is present in a sample.

How to

Get ready

Create a quant database

Review the quant database

Save the quant database

Globally update a quant database

Quantitate unknowns

Quantitate isomers

Generate a quant report

Find time reference peaks

Edit quantitation results using QEdit tool

Quantitate Mixed Mode Data

Reference

Calibration Overview

Quantitation Overview

Setting Database Globals

About Target Compound Analysis

Target Compound Quantitation

Calibrate menu

Quantitate menu


Getting Ready - Quantitation

Getting Ready

Before proceeding with a target compound analysis, you must:

  1. Know what compounds are to be quantitated.

  2. Know what instrument conditions (heated zone temperatures, pressures, etc.) are to be used, i.e., set up an Acquisition method.

  3. Know what target ion and qualifier ions (if any) are to be used for each compound (GC/MS only).

  4. Prepare calibration sample(s).

  5. Obtain a data file from the analysis of at least one of the above calibration samples in which the instrument conditions are those to be used in the quantitative analysis (e.g., the retention times are correct).


To Create a Quantitation Database

A quantitation database contains all the information needed to generate a quantitative report.

  1. Load a calibration data file into Data Analysis (see Getting Ready). The TIC (total ion chromatogram) is automatically displayed.

  2. Select Calibrate / Set Up Quantitation from the menu to define parameters that will apply to all compounds in the database. When you are finished, click OK.

  3. When the Edit Compounds box appears, click on the position in the list of compounds where you want to insert a compound.

    For example, to associate a compound with an internal standard already in the list, click on an entry below the internal standard. (If you are just starting the database and the list is empty, click on END OF COMPOUND LIST.) Then click the Insert Above button.

  4. The Quant Setup box appears beneath the display of the TIC or EIC. You will use this box to select target ions and qualifiers for each compound that you want to add to the database.

  5. When you are finished adding compounds, click the Exit button in the Quant Setup box. The Edit Compounds box is automatically displayed in case you want to view/edit the compounds in the database.

  6. Exit the Edit Compounds box. To generate response data for a calibration curve, select Calibrate / Update/Update One Level.

  7. Enter the concentration of the compound and the internal standard (if present). Then select Add New Level and enter a Calib Level ID. Click Do Update. The data file will be quantitated.

    Again, the Edit Compounds box is automatically displayed in case you want to view/edit the concentration/response data on Page 3 of the compound entry.

  8. Add additional levels to the curve either by quantitating additional calibration files or by selecting Calibrate / Update/ Quick Levels Update, updating the information in the dialog box, and clicking Do Update.

  9. Save the database in a method. Be sure to do this before you leave Data Analysis. If you do not save, the information just entered into the database is lost.

You are now ready to quantitate mass spectral data files containing unknown concentrations of one or more of the compounds in this database.


Reviewing the Quant Database

To review (or edit) the quantitation database, one compound at a time: Select Calibrate / Edit Compounds.

To look at the calibration curves, one compound at a time, click Plot when reviewing a compound entry. The display lists the concentration and response at all calibration levels and shows the correlation coefficient, type of fit, and the response for compounds not related to an internal standard.

For compounds related to an internal standard, the concentration ratio and response ratio are plotted and listed instead of the concentration and response.

Concentration ratio is Analyte Concentration / ISTD Concentration.

Response ratio is Analyte Response / ISTD Response.


Saving the Quant Database

Before leaving Data Analysis, save the quantitation database:

  1. Select Method / Save Method.

  2. The name of the current method is displayed in the Save Method dialog box. You may:

  • Keep the name of the current method.

  • Enter a different name.

  3. Click OK to save the method, including the quantitation database, to the name specified.

When you leave Data Analysis, you will be reminded to save the changes:

  • Click Yes if you want to save the changes and you will be prompted for the method name.

  • Click No if you do not want to save the changes.


To Globally Update a Database

  1. Select Calibrate / Update/Global Update. A dialog box lets you update selected items in the entire quantitation database, instead of one compound at a time. (A database must exist in the method for this box to appear.)

  2. Select the button next to the item of interest and click OK. You are prompted for the necessary information to make the change.

    Shift Retention Times and Resize Extraction Windows affect the Retention Time Information in the compound database.

    Set Curve Fit affects the Calibration Information.

    Set Identification Method and Set Subtraction Method affect the Quantitation Parameters.

    Set Other (via command) displays a box in which you may update other parameters using commands. See for example Data Point Weight for Linear Regression.


AutoQuant Setup - GC/MS Tutorial

To Use AutoQuant Setup

AutoQuant Setup provides a semi-automated way to create a compound list for your quantitation database. The following tutorial will guide you through the steps of using AutoQuant Setup. This tutorial uses the demo files that are shipped with your ChemStation. You may want to make a copy of default.m and evaldemo.d before using them in this tutorial.

  1. In Data Analysis, load the demonstration method C:\MSDCHEM\1\METHODS\DEFAULT.M and the demonstration data file C:\MSDCHEM\1\DATA\EVALDEMO.D.

  2. Under Spectrum / Select Library, select DEMO.L.

  3. Select Calibrate / AutoQuant Setup.

  4. When the Quantitation Database Globals dialog box appears, make the following changes:

Calibration Title - type AutoQuant Tutorial

Use RTEINT - check this box to use the RTE integrator (leave this box unchecked to use the ChemStation integrator).

and click OK.

  5. When the Choose Compound Name dialog box for Dodecane appears, click Skip. For demonstration purposes you will skip this compound now and add it to the database later.

  6. Biphenyl appears next. Keep the default name and click Add.

  7. 4-Chlorobiphenyl appears next. Keep the default name and click Add.

  8. Methyl palmitate appears next. To designate it as an internal standard, click ISTD. Clicking ISTD also adds the compound to the database.

  9. When the software prompts to Quantitate now? click Yes. After the file is quantitated, the Update Calibration dialog box will appear.

  10. Select Add New Level and enter the following:

Calib Level ID = 50

Cmpd Conc = 50

ISTD Conc = 50

and then click Do Update.

  11. When the Edit Compounds box is displayed, note that Methyl palmitate is correctly positioned at the top of the list, and has a star by its name indicating that it is an internal standard.

  12. Click Exit to close the dialog box, or click View to examine the individual compound parameters in Page 1, 2, and 3.

  13. To learn how to insert compounds into a quantitation database, select AutoQuant Setup.

  14. Select Insert Compounds in Database and Click OK.

  15. When the Quantitation Database Globals dialog box appears, do not change the parameters. Click OK. The software will again start the process of identifying peaks. The Choose Compound Name dialog box will appear.

  16. When Dodecane appears in the dialog box, keep the default name and click Add. The Edit Compounds box will appear.

  17. Select an insertion point by highlighting Biphenyl and clicking Insert Above.

  18. For each of the 3 remaining compounds that appear in the Choose Compound Names dialog box, click Skip since these compounds are already in the quantitation database. After skipping 3 compounds, the software asks you if you want to Stop Now? Click Yes. This feature is useful when working on databases with many compounds.

  19. When asked if you want to quantitate the database, click Yes.

  20. When the Update Calibration dialog box appears, select Recalibrate and select Replace for the Responses and Retention Times fields. Click Do Update.

  21. When the Edit Compounds box appears, click View and examine Page 3 for each of the 4 compounds in the database. Note that Dodecane, which you added, does not have a concentration value.

  22. Type 50 in the Concentration field for level 50. Click OK and then Yes to save the change.

  23. Click Exit.

See Also

AutoQuant Setup


Quantitating Unknowns

After you have set up the quantitation database and calibration curves, you can analyze unknowns:

  • Each compound to be quantitated must have a calibration curve with data from at least one calibration sample.

  • The unknown sample must be analyzed under the same conditions used for the calibration samples.

When you are ready to prepare a report of the quantitative results, select Quantitate / Generate Report; this takes you to the Quant Report Options dialog box.


Quantitating Isomers

Isomers generally have the same retention time and target signal. There is no guarantee that the peak groups found in the analysis of an unknown will be correctly matched to the isomers in the database. Always use View / QEdit Quant Result to check the peak selection and modify it if necessary.


Finding Time Reference Peaks

Many quantitative analyses require the identification of internal standard peaks, some designated as time reference peaks, prior to the identification of analyte compounds. If the usual quantitation procedure fails to correctly identify an ISTD peak, one of the following strategies may be helpful.

  • Set the Maximum number of hits to 1 for ISTDs and Time Reference peaks. Select Largest area/height for Ident by.

  • Just use Largest area/height for Ident by.

  • If the time reference and internal standard peaks are expected to be the most prominent peaks in their local retention time region, and if the RTE integrator is used for the analysis, you can supply an integration parameter file to filter out all but the most prominent peak. This prevents incorrect peak selection (due to smaller, neighboring peaks) when the ISTD itself is being processed.

If you are using the ChemStation Integrator, it is more difficult to reliably limit your integration to one peak. A timed AREAREJECT event or an initial area reject parameter might be used.

Since the quantitative analyses under discussion generally involve larger databases, the RTE integrator is recommended for best performance.


To Quantitate Mixed Mode Data

When a calibrated quantitation database is selected, it is possible to use either the MS signal or the GC signal for quantitation. Select Calibrate / Edit Compounds to change the Quant Signal to GC1 or GC2 if GC signals are to be used for quantitation.

  1. Align the GC with the MS signal and save the points to the current method.

  2. Select Quantitate / Use Method Aligned GC Trace (GC/MS).

  3. Select Quantitate / Generate Report.


Calibration Overview

  1. Getting ready. These are the preparatory steps in which you collect procedural information, prepare calibration samples, and develop and run the method for acquiring data.

  2. Setting up the quantitation database. Selecting Calibrate / Set Up Quantitation sequentially calls each dialog box that requires input for the database:

    a) Quantitation Database Globals to set parameters that will apply to all compounds in a new database or to all compounds added to an existing database.

    b) Edit Compounds to display the current order of compounds in the database, to view a compound's entry in the database, and to insert new entries.

    c) Quant Setup to select target and qualifier ions for each compound using the mouse

    d) Update Calibration to add, delete, or recalibrate concentration/response data for a calibration level. This data is used in generating the calibration curve.

You can use Calibrate / Update/ Global Update to make selected changes to all entries in the database at once.


Quantitation Overview

Once you have created a quant database, there are two stages in performing a target compound analysis.

  1. Quantitating unknowns. Samples containing unknown concentrations of the target compounds can be analyzed only after calibration is completed.

  2. Generating a report. You can print or view the quantitation results in a standard report or in a special format, using Custom Reports.


AutoQuant Setup

AutoQuant Setup provides a semi-automated way to create a compound list for your quantitation database. AutoQuant Setup can be used if:

  • You have a library that contains your target compounds.

  • Your calibration standard does not contain co-eluting compounds.

When you select AutoQuant Setup the software will integrate the Total Ion Chromatogram and then display a series of dialog boxes.

The first two:

<FILENAME.M> has XX compounds

Quantitation Database Globals

allow you to choose whether to add the compounds found to an existing database or create a new database and allow you to establish general quantitation criteria.

Next, for each integrated peak, the specified library is searched and the base peak of the spectra is selected as the target ion. You then:

Choose Compound Name

Update Calibration

Edit Compounds


Setting Quant Database Globals

The Calibrate / Set Up Quantitation menu item in Data Analysis is the starting point for supplying the information and data needed to create a quantitation database. This dialog box is also displayed when you use the AutoQuant Setup feature. Complete the following items:

Quant Reporting Info

Calibration Title

Default Multiplier = 1.00000

Default Sample Concentration = 1.00000

Locating Peaks

Reference Window = 1.00000

Non-Reference Window = 1.00000

Correlation Window = 1.00000

Use RTEINT

New Compound Info

Integration Parameter File

Measure

Default +/-

Units of concentration

ISTD concentration

Curve fit

Data point weight for linear regressions

When you have completed the entries in this dialog box, click OK. The Edit Compounds dialog box is automatically displayed.

Save this information in a method before leaving Data Analysis (otherwise, the information will be lost).


About Target Compound Analysis

Target compound analysis lets you determine how much of a compound is present in a sample. You must be able to find, identify, and quantify a specific compound even in the presence of other, possibly interfering, compounds.

Your GC/MS system is a powerful analytical tool for this type of analysis because the chromatogram also includes mass spectral information for each point (scan) in the TIC. For each compound you can use this information to select a target ion and one or more qualifier ions.

Target compound analysis has three major components:

Identifying target compounds

Quantitating target compounds

Reporting results


Target Compound Quantitation

Quantitation is based on the information entered on pages 1 and 3 of the Compound Entry box:

  • Calibration level concentrations and responses

  • Area Correction mass and factor

  • Area/Height selection (page 1)

  • Calibration curve fit method (page 1)

Before quantitation can occur, there are two opportunities for adjustments to the observed peak response:

  • Area Sum option. Area Sum can be enabled or disabled separately for each qualifier signal. For all qualifier signals for which there is a peak in the peak group for a hit and for which the Area Sum option is enabled, the observed peak response is increased by the response of that qualifier's peak.

    Note that the unadjusted (target) peak response is used in computing qualifier signal ratios. Furthermore Area Sum is only active if the Subtraction Method chosen is Extended Area Quant. Finally it is recommended that Area Sum not be used for target compound entries for which the Quant by Height option is chosen.

  • Area Correction. Like Area Sum, this option is only active (and meaningful) if the Subtraction Method chosen is Extended Area Quant. Recall during the discussion of Signal Extraction that if an Area Correction m/z was specified for the compound, an EIC was extracted over range R. Here is where this EIC is used.

If a peak was found in this EIC, its response is multiplied by the Area Correction Factor, a non-negative value also stored in the target compound entry. The multiplied response is subtracted from the target peak response. If this difference is non-negative, it becomes the new target peak response. Otherwise the target peak response becomes zero! As in Area Sum, the unadjusted target peak response is used for qualifier ratio computation.

All peak groups which have been deemed as hits versus their respective non-Internal Standard target compound entries are now quantitated. The determined concentration ultimately reported to the user for a target compound entry will be the determined concentration for the Best Match for that target compound entry, but determined concentrations for all hits will be saved. If any target compound entry has no hits, no concentration is computed and the user is informed that the target compound was "not found". Discussions below pertain only to target compound entries for which there is at least one hit.

If a compound is marked as an Internal Standard, no quantitation is performed. The determined Concentration is deemed to be the nominal concentration for this internal standard (known as Sample ISTD Concentration).

If a Target Compound is not related to an Internal Standard (as shown by position in the Edit Compounds list), then consult only the calibration table for the Target Compound. The calibration table consists of zero or more mappings from a calibration standard concentration to a corresponding nominal peak response. These mappings are called Calibration Levels.

Consider Cartesian data points all Levels that are defined (i.e., have a standard concentration of zero or more) for the target compound. Apply the curve fit algorithm specified for this target compound from a choice of five algorithms.

If a valid equation is not obtained, the determined Concentration is zero. Otherwise if there is a point on the curve for which the peak response component is equal to the observed peak response of the target compound (there is always such a point for linear calibration curves with nonzero slope, but there is not always such a point for nonlinear calibration curves!), then the corresponding concentration component(s) are examined.

Note that for nonlinear curves there may be several such points on the curve! If there are no positive concentration components, the determined concentration is zero. Otherwise the determined concentration is the least positive concentration component among the points found.

If a target compound is related to an Internal Standard, then consult the calibration table for both the target compound and its related Internal Standard compound. Form the set of Cartesian data points with first component equal to the ratio of the standard concentration of the target compound to that of the Internal Standard, and with second component equal to the ratio of the corresponding nominal peak response of the target compound to that of the Internal Standard.

Note that this set will include only Levels that are defined for both the target compound and the Internal Standard and furthermore for which the level concentrations and responses for the Internal Standard are nonzero.

Apply curve fit as above but to this set of data points to find a "determined concentration ratio" instead of the determined concentration. All of the special conditions in the non-Internal Standard Related Target Compound case that force the determined concentration to zero apply here too. For the normal conditions, multiply the "determined concentration ratio" by the Sample ISTD Concentration value for the related Internal Standard. This will yield the determined concentration for the ISTD-related target compound.


To Compare Unknown and Library Spectra

The Parametric Retrieval software lets you retrieve a spectrum from a library and compare it with spectra you select from your data files. Use this feature to confirm the identity of known components in your sample or to help you identify unknown components in your samples.

  1. Load the data file of interest.

  2. Retrieve spectra from the library as described in To look up compounds in a library using appropriate criteria such as CAS number or Ion Search.

  • Select the CAS Number field on the Search Parameters dialog box, then type in the CAS number for one of the components of interest in the unknown chromatogram. You can type the CAS number in with or without the hyphens. Deselect all other search parameters.

  • Select up to three ions in the Ion Search area of the Search Parameters dialog box, followed by an abundance range for each. Since Ion search uses condensed spectra in the reference library, don't use common ions like m/z 28 and m/z 43, since they are not included in condensed spectra and therefore will not be found. Deselect all other search parameters.

  • If you suspect the presence of a molecular ion in the spectrum, you may also enter a molecular weight range. To use molecular weight as a search parameter, make sure that the checkbox next to the Mol. Weight field is selected (X present in the box) and that a range is specified.

  3. Click the Search button on the Search Parameters dialog box to initiate the retrieval. When the number of hits specified in the search has been retrieved or the entire library has been searched, the Parametric Retrieval Results dialog box appears. Highlight the compound of interest by clicking on it in the list.

  4. Select View / TIC and Library Entry to display the total ion chromatogram above the library spectrum.

  5. Select a spectrum by double-clicking the right mouse button at the desired location on the TIC. The unknown spectrum will be displayed above the library spectrum.

  6. Compare the two spectra visually.

  7. To view the difference between the spectra, select Spectrum / Normalized Subtract. The result of subtracting the library spectrum from the unknown is displayed below the library spectrum. You can search the difference spectrum in a library by double-clicking the right mouse button anywhere in its display window.

  8. To redisplay the total ion chromatogram, select View / TIC and Library Entry.

  9. Repeat Steps 5 - 8 for each spectrum in the data file you wish to compare to the library spectrum.

  10. To select a different library spectrum, click on another compound in the Parametric Retrieval Results dialog box. The library spectrum will be automatically updated, along with the difference spectrum if it is currently displayed.

  11. Click the Search Next button on the Parametric Retrieval Results dialog box to retrieve the next set of matching compounds from the library. The Search Next button is dimmed (not available) when the entire library has been searched.

  12. Click the Close button on the Results dialog box when you are done searching.

  13. To look up other ions or CAS numbers in the library, select Retrieve / Set Parameters and repeat Steps 2 - 12.


To Create a Subset Library (PR)

To Create a Subset Library

  1. Select Library / Subset Library in the Parametric Retrieval window. The Search Parameters panel will appear.

  2. Enter the parameters that define the entries you wish to add to a new or existing library. Then click the Search button.

  3. The Edit PBM Library box is displayed, prompting you to choose whether to Create Library or Append to Library. If you select Create Library, you will be prompted to name the library. If you select Append, you will select a library from the list of existing libraries.

The entries are selected from the library by the parametric retrieval and either added to a new library or appended to an existing library.


To Look Up Compounds in a Library

Use the procedure below to look up compounds contained in a spectral library based on various attributes. This type of search is also called parametric retrieval..

  1. Select Lib / Parametric Retrieval in the Data Analysis window. The Search Parameters box appears and the menu bar changes.

  2. Type in the number of hits you want the system to retrieve at one time before it displays search results. If the entire library is not searched before the specified number of hits is retrieved, the system allows you to continue the search (see Step 8). Up to 100 hits can be retrieved at a time.

  3. Select the criteria to use in the search (X in the checkbox), then specify the value or range of values for those parameters. In general, as you specify more criteria, fewer compounds will be retrieved. If no parameters are specified, the entire library will be retrieved.

  4. Click the Search button to initiate the search. When the number of hits specified in Step 3 have been retrieved or the entire library has been searched, the Parametric Retrieval Results box appears.

    The chemical structure of the reference compound is displayed if you have a structures library selected and the structures library contains an entry for the current reference compound (as in the example above).

  5. View additional information, click on a compound in the list to view information for that compound. Click the Text button to view the header information for the current hit.

  6. Click the Print button to initiate printing the search results.

  7. Click the Search Next button on the Parametric Retrieval Results dialog box to retrieve the next set of matching compounds from the library.

  8. Repeat Step 8 until you have retrieved all results. The Search Next button is dimmed when the entire library has been searched with the current parameters.

  9. Click the Close button to exit the Parametric Retrieval Results dialog box.


To View Search Results

  1. Click the Search button in the Search Parameters panel or, if that panel is not displayed, select Retrieve / Continue Results.

  2. When the Parametric Retrieval Results panel appears, select each match in turn from the match list at the bottom of the panel. The CAS number, molecular weight (MW), molecular formula (MF), entry number, and library spectrum will be displayed for each match.

  3. For more text information, click the Text button.

  4. To retrieve and display the next set of hits, click the Search Next button. (Or select Retrieve / Continue Results.)

  5. To close the Parametric Retrieval Results panel, click the Close button.


To View Library Entry Only

There are three ways to view the parametric search library entry alone:

  • When the Parametric Retrieval Results are displayed at the end of a search, the library entry is displayed automatically.

  • Select View / Library Entry Only when you have more than one item displayed.

  • Expand the window containing the library entry.


To View TIC and Library Entry

  • Select File / Load. The TIC will be displayed in the upper window, the library spectrum in the lower.

  • Alternatively, if a data file is already loaded and you have selected a view that excludes the TIC, select View / TIC and Library Entry.


To View Unknown Spectrum and Library Entry

  1. Select File / Load. The TIC will be displayed in the upper window, the library spectrum in the lower.

  2. Select a spectrum for display by double-clicking the right mouse button on a peak in the TIC. The unknown spectrum will be displayed in the upper window, the library entry in the lower.

Alternatively, if you switch to another view and then want to return to the unknown and library entry display, select View / Unknown and Library Entry.


To View Unknown Spectrum, Library Entry, and Difference Spectrum

  1. Select File / Load. The TIC will be displayed in the upper window, the library spectrum in the lower.

  2. Select a spectrum for display by double-clicking on a peak. The unknown spectrum will be displayed in the upper window, the library entry in the lower.

  3. Select Spectrum / Normalized Subtract. The library entry will be subtracted from the unknown and the resulting difference will be displayed in the bottom window. Note that subtraction will be performed with every library entry and with each new unknown as you cycle through the results list.

If you switch to another view and then want to return to the three-spectra display, select View / Unknown, Library Entry, and Difference.


Using Chemical Structures

The chemical structures software is accessed from the Structures menu in the Data Analysis - Parametric Retrieval View and via mouse/key actions after a PBM or parametric retrieval search. Online help for the software is accessed from Help buttons in the structures panels. The structures software extends the capabilities of the MS ChemStation to the following tasks:

  • To display structures for library search and parametric retrieval results

  • To draw structures within mass spectral plot windows

  • To load structure files

  • To draw clipboard metafiles within mass spectral windows

  • To create your own libraries of structures

  • To search multiple structure library databases

Commands are also available for many of these tasks.

To display structures along with library search results, you need to purchase and install the chemical structures library. Alternatively, you can draw structures using ISIS Draw* software from Molecular Design (or other program that generates Mol files) and create your own library. A demonstration library of 16 structures is shipped with the MS ChemStation software.

* Molecular Design Limited, 2132 Farallon Drive, San Leandro, CA 94577, is a company that produces integrated scientific information systems, including software trademarked ISIS, that permits the user to draw chemical structures. ISIS Draw can generate ASCII text files that describe a connection table for a chemical structure. These files are called “mol files”.


Parametric Retrieval Mode Menus

The Parametric Retrieval Mode menus let you review spectra from a spectral library and use these spectra in a variety of ways.

File

Spectrum

Library

Retrieve

Structures

Options

View


Parametric Retrieval Parameters

To describe the library compounds that you want to find

Library

Number of Hits to Retrieve

Search Parameters

To search for entries matching all specified parameters

Click the Search button. The Parametric Retrieval Results panel is displayed for you to view the results.

To find this panel

The Search Parameters panel is opened in the Data Analysis - Parametric Retrieval Mode window automatically when you select Lib / Parametric Retrieval from the standard Data Analysis menu bar. You can also access it by selecting Retrieve / Set Parameters from the menu in the Parametric Retrieval Mode window.

To close the parameters panel

Click Cancel. The menus in the Parameter Retrieval window become active.

To reopen the panel

Select Retrieve / Set Parameters from the menu.


Library Search Parameters

Up to three libraries may be used in the search for each peak. The second library is used only if there is no hit with a match quality equal to or greater than the value entered for the first library (in the Search Next Library column). The third library is used only if the match criteria for the second library are not met.

To display the list of libraries from which you may select a library, type ? in Library Name column.

The library you select here does not affect the library selected for editing.


Setting Search Strategy

The parameters in the Search Strategy dialog box have been carefully chosen to give the best search results in most cases. The recommended default values are:

U + A = 2

Tilting = on

Flag Threshold = 3

Cross-correlation sort = off

Minimum Estimated Purity = 50%

None of the following parameters have any effect on the search itself or on the speed of the search. They all prune entries from the results list after the search is completed.

Low report MW = 0

High report MW = 9999

Max hits = 20

Remove duplicate CAS numbers = off

Before adjusting these parameters, be sure you are familiar with the PBM search process.

U+A

A parameter to control the PBM prefilter that determines which spectra are retrieved from the library and examined by the search algorithm.

The value for U+A ranges from 1 to 9, where 1 represents the fastest search and 9 forces the algorithm to search the entire database (i.e., this prefilter is not used). The default value is 2.

Setting this parameter to 1 will speed up the search but will increase the probability of missing the correct result if the unknown spectrum differs from the reference spectra. Changing U+A to 3 may be necessary to permit the algorithm to make a retrieval when the reference spectra and the unknown spectra differ due to variations in instruments or instrument conditions.

Tilting

When tilting is on, the search attempts to improve the reliability of the match by scaling the reference spectrum to fit the unknown spectrum. To do this, the search first completes the normal unfitted comparison algorithm on the reference spectrum, then scales the reference spectrum using a quadratic function and reexamines it with the comparison algorithm. The quadratic function is determined by a best fit between the reference and unknown spectrum.

Default is on. This facilitates database retrievals from the large NIST and Wiley mass spectral databases. When you are searching user-created databases, acceptable results can be obtained with Tilting turned off.

Flag Threshold

When each reference spectrum's significant peaks are compared to their corresponding ion mass in the unknown spectrum, a certain ion mass may be inappropriately flagged if the relative abundance in the unknown is low. The flag threshold sets an abundance threshold below which flagging should not occur.

For example, a value of 3 means that any ion with relative abundance less than 3% will not be flagged as a mismatch. If the data acquisition threshold were set high enough to exclude ions with relative intensity less than 5%, then it would be advisable to adjust the Flag Threshold to 5%.

Range is 0-99%; default is 3.

Flag Threshold can be used to adjust PBM's sensitivity to ions of low relative abundance. The PBM algorithm is very sensitive to ions of low intensity and can fail to retrieve a correct hit if several ions of low intensity are missing in the unknown or are present in incorrect intensity ratios.

Cross-Correlation Sort

When cross-correlation sort is on, the most likely hits found by the PBM search are evaluated by a forward search algorithm and a cross-correlation coefficient is generated. This coefficient is used to determine the order of presentation in the hit list.

The forward search algorithm requires that all the significant ions in the spectrum for the unknown be present in the reference spectrum.

The initial value is off, which causes the results to be sorted by PBM match quality.

Minimum Estimated Purity

The purity of an unknown spectrum is calculated by comparing the base peak of a library spectrum to the corresponding unknown peak. For the reference spectrum to be considered by the search, the unknown peak must have a relative abundance equal to or greater than the purity value specified.

Range is 20-80%; default is 50%.

The Minimum Estimated Purity (MEP) parameter is applied after the prefilter has retrieved a reference spectrum from the library but before the actual search comparison occurs. This parameter requires that the base peak in the reference spectrum be found in the unknown spectrum at a user-specified percentage.

For instance, if the base peak (m/z with 100% relative abundance) in the current reference is m/z 224 and MEP is set to 50%, then the MEP test will quickly examine m/z 224 in the unknown spectrum. If the abundance of m/z 224 in the unknown is greater than 50% relative intensity, the actual PBM search comparison will be made; otherwise the reference spectrum is discarded and the next reference spectrum is examined.

For most GC/MS analyses, the default value of 50% MEP successfully eliminates false positives while still maintaining PBM's ability to retrieve one or more components in a spectrum that is a mixture of two or more components.

Setting MEP to 80 will speed up the database search but can also eliminate correct results if there are significant deviations in the unknown spectrum from the reference spectrum.

Low report MW

The number you enter here sets a molecular weight threshold. Any search results with molecular weights lower than the entered number are removed from the list of results and are not reported.

Valid range is 0 to 9999. Default is 0.

Low report MW is the lowest molecular weight that will be reported and high report MW is the highest molecular weight that will be reported. (If low equals high, only compounds that have that molecular weight will be reported. If low is higher than high, no results will be reported.)

High report MW

The number you enter here sets a limit. Any search results with molecular weights higher than the entered number are removed from the list of results and are not reported.

Valid range is 0 to 9999. Default is 9999.

Max hits

A search can normally return up to 20 hits. Changing this number will change the number of hits that will be reported. The search and the search speed are not affected. Max hits just has the effect of pruning the number of hits that will be reported.

Valid range is 1 to 20. Default is 20.

Remove duplicate CAS numbers

When you select this checkbox, only the best match for any particular compound (identified by its CAS number) will be reported. Duplicate matches of lower match quality will be removed from the list of results and will not be reported. Since removing of duplicates is done by CAS number, library entries that do not have CAS numbers associated with them will not be removed even though they may be the same compound.


Parametric Retrieval Results

This panel lets you view the results of each search, one match at a time. For each match, the CAS number, molecular weight (MW), molecular formula (MF), entry number, and compound name are displayed, together with the mass spectrum. A scroll bar appears if a compound name exceeds several lines in its field.

The number of hits in the match list will not exceed the number you specified in the Parametric Retrieval Parameters panel. If there are more than 5 hits, a scroll bar will appear.

The Search Next button searches the library for the next batch of hits.

The Text button lets you see miscellaneous information, melting point, boiling point, retention index, company ID -- all the information associated with the library entry. If melting or boiling point is not available, the value -300 is shown.

The Print button gives you the option of printing a report including Current Entry Text Only, Current Entry Graphics and Text, All Entries Text Only, or All Entries Graphics and Text, using the text results display you select.

The Close button closes this panel.


About Normalized Subtraction

The algorithm for normalized subtraction is:

Difference = unknown - (abundance ratio * library abundance)

where

  • Difference = what will be displayed in the difference spectrum for peak A (any given peak)

  • unknown = abundance of peak A in the unknown

  • abundance ratio = abundance of library entry’s base peak in unknown / abundance of library entry’s base peak in library entry

  • library abundance = abundance of peak A in the library entry

  • base peak = the most abundant peak in the spectrum

To illustrate how normalization works, here are the results you would get when subtracting the following two ions from the library entry spectrum:

Abundance of peak in: | Base peak of library entry m/z 54 | Peak A m/z 157
Unknown | 5000 | 20000
Library Entry | 10000 | 2000
Regular Subtraction | -5000 | 18000
Normalized Subtraction | 0 | 19000

Using m/z 54 as the peak of interest:

After a regular subtraction:

Difference = abundance of library base peak in unknown - abundance of library base peak

the difference spectrum would show a negative abundance for m/z 54

Difference = 5000 - 10000 = -5000

After a normalized subtraction

Difference = unknown - (abundance ratio * library abundance)

the difference spectrum would show no abundance for m/z 54

Difference = 5000 - [(5000 / 10000) * 10000]

Using m/z 157 as the peak of interest

After a regular subtraction

Difference = abundance of peak A in unknown - abundance of peak A in library entry

the difference spectrum would show an abundance of 18000 for m/z 157.

Difference = 20000 - 2000

After a normalized subtraction-

Difference = unknown - (abundance ratio * library abundance)

the difference spectrum would show an abundance of 19000 for m/z 157.

Difference = 20000 - [(5000 / 10000) * 2000]

This example illustrates how a disproportionately large amount of m/z 157 is removed when a regular subtraction is done. By normalizing the unknown to the library entry, a proportional amount of m/z 157 is removed.

Occasionally the base peak in the library entry is not the only contributor to that peak in the unknown. In that case, a different ion should be used to normalize the library entry before subtracting it from the unknown.

See Also

To Select the Normalization Ion


Lbrary selection in parametric retrieval mode

About Library Selection

In Parametric Retrieval Mode, you can make three different library selections:

  • Parametric Retrieval Library is used whenever a parametric retrieval is done. It is selected in the Parametric Retrieval Library dialog box, which appears when you select Retrieve / Select Library. You may also change this library once the Search Parameters dialog box appears.

  • PBM Search Library (or a list of up to three libraries) is used whenever a PBM search is done. Choose Library / Select Library to change the list of PBM libraries.

  • Edit Library is used by default when you are editing a library. There are four ways to select this library:

  1. Select Library / Edit Library and select a new library.

  2. Select Library / Read JCAMP File. The library you specify as the destination for the translation will become the current edit library.

  3. Select Library / Subset Library. The library into which you put the subset will become the current edit library.

  4. Select Library / Add Current Entry. If there is not a current edit library, you will be asked to select one. Otherwise, the current edit library will automatically be used.


To Change Attributes of Structure Drawings

Double-click the left mouse button while the cursor is within a structure drawing. This action will display the Chemical Structure Options dialog box where you can alter various attributes of the structure drawings:

Text options

Display options

This box lets you customize the layout of any one, or all future, chemical structures. If you accessed this box by double-clicking the left mouse button, then any changes that you make here will be applied only to that structure.

If you accessed it through the CSDRAWOPTS command and no structure object was specified as a parameter, then all future structures will have the settings listed.


To Create Your Own Libraries of Structures

  1. Select a structure by double-clicking the left mouse button while the cursor is over a structure plot. This action will display the Chemical Structure Options dialog box.

  2. Click the Add button. The dialog box now prompts for an ID number and name for the structure and a name for the user library.

    Within each library the ID for each structure must be unique (for that reason, the CAS number is generally used). The ID number must begin with a digit. If you specify an ID that is already contained within the given library, you will be asked if it is all right to overwrite the previous entry. Note that an overwrite appends the given structure to the end of the library just as a normal addition would do, but it overwrites the index file for this ID number. This means that the previous structure is still in the library, but unreferenced, and therefore the only way to access it now would be by record number.

  3. Enter the name of your database library. These are files with the extension .sdb. If the specified database exists, the structure will be appended, otherwise a new database will be created.

  4. Click the Add Structure to Library button. If the file you specified does not exist and the directory does exist, a new structure database will be created.

Please note that although any of the configured databases can be selected, you may not add structures to any of the standard libraries (e.g., molstruct.sdb, and subset.sdb).


To Draw Clipboard Metafiles within Mass Spectral Windows

  1. Copy a structure to the clipboard (from a drawing program, for example).

  2. Define the area where you want the metafile to be drawn with a Shift + right mouse button click and drag sequence. Be sure that the Shift key remains pressed during the complete operation (e.g., the right mouse button should be released before the Shift key).

To move or resize the metafile, repeat the above action.


To Draw Structures within Mass Spectral Windows

  1. Perform a library search on the spectrum and select an appropriate hit.

  2. Use the right mouse button click and drag sequence to define the area where you want the structure to be drawn. To move or resize the structure, repeat this action.

See Also

To Change Attributes of Structure Drawings


To Display Structures from Library Search Results

Once the chemical structures package has been loaded, library search will automatically display structures for the various hits if they are contained within the structure databases that have been previously specified.

If no structures are displayed, check the list of structure libraries with the CSLIBS command. In the Parametric Retrieval window, you can select Structures / Select Structure Database from the menu.


To Load Mol Structure Files

  1. Define the area where you want the structure to be drawn with a Ctrl + right mouse button click and drag sequence. Be sure that the control key remains pressed during the complete operation (e.g., the right mouse button should be released before the control key).

  2. Select a Mol file from the file selection box that is displayed. The structure will appear in the spectrum.

To move or resize the structure, repeat the above action.

Note that Mol files containing aromatic rings display the aromatic bonds as localized double bonds. The double bonds are retained when these files are added to a user library. In the optional chemical structures database, aromatic bonds are represented by a circle within the ring.


To Search Multiple Structure Libraries

Multiple structure libraries will be searched if their filenames have been previously configured in the Chemical Structure Databases dialog box.


Chemical Structures Commands and Functions

The following commands and functions are available for use at the command line in Data Analysis when you have installed the Chemical Structures option.

CREATEWINDOW (structure object, window id, xlow:xhigh, ylow:yhigh)

CSADDSTRUCT "database file name", structure object [, structure id [, “structure title”]]

CSATTACH structure object, ms object, xlow:xhigh, ylow:yhigh

CSCOPY structure object

CSCOPY structure window object

CSCOPY structure id

CSCOPY "cas number string"

CSCREATE (structure id, "database file name")

CSCREATE ("cas number string", "database file name")

CSDRAWOPTS [structure object]

CSEXISTS (structure id, "database file name")

CSEXISTS ("cas number string", "database file name")

CSLIBS

CSMFATTACH metafile object, ms object, xlow:xhigh, ylow:yhigh

CSMFATTACH metafile object, gcms object, xlow:xhigh, ylow:yhigh

CSMFCREATE ( )

CSMOLCREATE ("mol file name")

CSSUBSET "structure id list text file", "source structure database file name"

GETWINDOWTEXT$ (structure window object)

SETWINDOWLOC structure window object, x, y

SETWINDOWLOC "window title", x, y

SETWINDOWTEXT structure window object, "window text string"

SHOWWINDOW structure window object, show mode


Chemical Structure Databases

This box is accessed by selecting Structures / Select Structure Database in the Parametric Retrieval window. Alternatively, you can use the CSLIBS command in Data Analysis.

This dialog box is used to configure the structure databases that will be searched by the various structure commands. The order in which the structure databases are listed is also the order in which they will be searched.

To change the order

Either highlight the entry that you wish to be first and click the Move to Top button or double-click the entry.

To add structure libraries to the database

Click the Add New File button and select a .sdb file from the list box. Note that these files are usually kept in the c:\database\*.l directory.


Chemical Structure Options

This dialog box is accessed when you select a structure by double-clicking the left mouse button while the cursor is over a structure plot. The Chemical Structure Options box lets you perform two tasks:

  • Change Attributes of Structure Drawings -- customizing the layout of any one, or all future, chemical structures.

  • Create Your Own Libraries of Structures


Retention Time Locking

Retention Time Locking Overview

Retention time is the fundamental qualitative measurement of chromatography. Most peak identification is performed by comparing the retention time of the unknown peak to that of a standard. It is much easier to identify peaks and validate methods if there is no variation in the retention time of each analyte.

However, shifts in retention time occur frequently. Routine maintenance procedures such as column trimming alter retention times. In a multi-instrument laboratory running duplicate methods, the retention times for each instrument will differ from each other, even when run under nominally identical conditions. These differences in retention times mean that each instrument must have a separate calibration and integration event table, making it time-consuming to transfer methods from one instrument to another. Differences in retention time also complicate comparison of data between instruments over time.

Retention time locking (RTL) is the ability to very closely match retention times on one system to those in another system with the same nominal column. By making an adjustment in the inlet pressure, the retention times on a given system can be closely matched to those on another system. RTL is based on this principle. The process of RTL is to determine what adjustment in inlet pressure is necessary to achieve the desired match in retention times.

To establish and maintain a locked method, RTL should be performed whenever:

  • The column is changed or trimmed

  • The method is installed on a new instrument

  • A detector of different outlet pressure is used

  • System performance is validated

  • Troubleshooting chromatographic problems

To lock a given method for the first time or for the reasons below, you must first develop a retention time versus pressure (RT vs. P) calibration. Even when using columns with the same part number (same id, stationary phase type, phase ratio, and same nominal length), separate/different locking calibration curves are needed when using:

  • Systems with different column outlet pressures (MSD/vacuum, FID/atmospheric, AED/elevated)

  • Columns differing from the “nominal” length by more than 15% (for example, due to trimming)

  • Systems where the predicted locking pressure falls outside the range of the current calibration

A specific solute (usually one found in the normal method calibration standard) must be chosen and then used for both developing the locking calibration and locking all future systems. The solute, or target peak, should be easily identifiable, symmetrical, and should elute in the most critical part of the chromatogram. Solutes that are very polar or subject to degradation should be avoided.

Once the target solute has been chosen and all other chromatographic parameters of the method have been determined, five calibration runs are performed. The runs are made at conditions identical to the nominal method except that four of the runs are made at different pressures. The pressures used are typically:

  • Target pressure - 20%

  • Target pressure - 10%

  • Target pressure (nominal method pressure)

  • Target pressure + 10%

  • Target pressure + 20%

The retention time of the target compound is determined for each run. The resulting five pairs of inlet pressures and corresponding retention times are generated by the ChemStation software and an RTL calibration is generated.

This calibration need only be generated once. Subsequent users of the method can use this calibration when running the method on a similar instrument setup, regardless of location.

See Also

To lock an MS method

To lock a GC method

RTLock Setup View


To lock an MS method

  1. From Instrument Control, load the method you want to lock. Edit the method parameters, if necessary.

  2. For ALS injections, put the vial in position 1.

  3. Select Instrument / Acquire RTLock Calibration Data. This initiates the collection of the RTL calibration files.

    The nominal pressure will be evaluated for the calibration range of -20%, -10%, +10% and +20%, and five runs will be made automatically. You are prompted that the five runs will be made, and if any previous calibration data exists, you are alerted to this fact as well. The five data files will be stored in the method directory under a folder named RTLOCK with the data file names of RTLOCK1 - RTLOCK5.

  4. Following data collection, a new session of Data Analysis will be inititated, and the nominal run (RTLOCK3.D) will be loaded. Select the peak (click and drag right mouse button) you want to use for RTL calibration calculations.

  5. The spectrum of the selected peak will be displayed. Click Yes to have the software automatically locate the lock compound peak in the remaining four runs. The software will now perform spectral comparisons and curve fit determinations. The five selected peaks are then displayed.

  6. The curve equation (based on the retention time vs. pressure values) is displayed and you are asked if you want to continue. Click Yes.

  7. Next, enter the lock retention time you want to use and click OK.

  8. Click Yes to save the lock pressure information to the method. Enter the lock compound name you want to use and click OK.

  9. You are now given the option to delete the calibration data files (RTLOCK1.D - RTLOCK5.D). Select Yes or No. The method is now locked.

Whenever a locked method is loaded into Instrument Control, the title bar will indicate that the method is locked, and which compound was used for the lock. The pressure (online instruments only) will be set to the locked pressure. If you save a locked method with a new name from Instrument Control, you will be asked if the locked status is to be preserved with the new method.

Note When a locked method is run, the pressure is restored to the locked pressure value EVEN if you have made changes using the GC keypad or from Instrument Control.

See Also

To lock a GC method

Retention Time Locking Menus

Results Screener


To lock a GC method

  1. From Instrument Control, load the method you want to lock. Edit the method parameters, if necessary.

  2. For ALS injections, put the vial in position 1.

  3. Select Instrument / Acquire RTLock Calibration Data. This initiates the collection of the RTL calibration files.

    The nominal pressure will be evaluated for the calibration range of -20%, -10%, +10% and +20%, and five runs will be made automatically. You are prompted that the five runs will be made, and if any previous calibration data exists, you are alerted to this fact as well. Previous calibration can be cleared or you can stop the process. The five data files will be stored in the method directory under a folder named RTLOCK with the file names of RTLOCK1 - RTLOCK5.

  4. Following data collection, a new session of Data Analysis will be inititated, and all five runs will be loaded. In the first run (RTLOCK1.D), select the peak (click and drag right mouse button) you want to use for RTL calibration calculations. Repeat this for each of the four remaining runs (RTLOCK2.D - RTLOCK5.D).

  5. The five selected peaks are displayed. The curve equation (based on the retention time vs. pressure values) is displayed and you are asked if you want to continue. Select Yes.

  6. Enter the lock retention time you want to use and click OK.

  7. Click Yes to save the lock pressure information to the method.

  8. Enter the lock compound name you want to use and click OK. The method is now locked.

Whenever a locked method is loaded into Instrument Control, the title bar will indicate that the method is locked, and which compound was used for the lock. The pressure (online instruments only) will be set to the locked pressure. If you save a locked method with a new name from Instrument Control, you will be asked if the locked status is to be preserved with the new method.

Note When a locked method is run, the pressure is restored to the locked pressure value EVEN if you have made changes using the GC keypad or from Instrument Control.

See Also

To lock an MS method

Retention Time Locking Menus

Results Screener


To relock a method

You may need to relock the method if:

  • The column has been changed or trimmed

  • The method is installed on a new instrument

  • A detector of different outlet pressure is used

  • System performance is validated

  • Troubleshooting chromatographic problems

  1. From Instrument Control, run a sample containing the lock compound using the locked method.

  2. Check the retention time of the locked compound. If the compound is eluting at the correct retention time, no further action is required. If the compound is NOT eluting at the correct retention time, go to step 3.

  3. From Data Analysis, select RTLock Setup.

  4. Select RTLock / Relock Method.

  5. The Relock Method menu item will prompt you to select a data file and peak, perform a cross-correlation of the spectrum (MS only; below 0.8 is not allowed), and calculate a suggested pressure based on the retention time of the peak in the selected file, the pressure it was collected with, and the curve stored in the method.

  6. You will be prompted to update the method with the new pressure.

Whenever a locked method is loaded into Instrument Control, the title bar will indicate that the method is locked, and which compound was used for the lock. The pressure (online instruments only) will be set to the locked pressure. If you save a locked method with a new name from Instrument Control, you will be asked if the locked status is to be preserved with the new method.

Note When a locked method is run, the pressure is restored to the locked pressure value EVEN if you have made changes using the GC keypad or from Instrument Control.


To automatically relock a method

  1. In Data Analysis, load the retention-time locked method.

  2. Select View / RTLock Setup (or Tools / RTLock Setup for the Environmental or Drug Analysis software).

  3. Select RTLock / Use AutoRelock. The Select AutoRelock Mode dialog box is displayed.

  4. Select the autorelock option you want to use and click OK.

See Also

Retention Time Locking

Select AutoRelock Mode dialog box


To unlock a method

  • From Instrument Control, select Instrument / Unlock Method.

  • From Data Analysis, select View / RTLock Setup (or Tools / RTLock Setup for the Environmental or Drug Analysis software) and then select RTLock / Unlock Method.

This will remove the lock flag from the method allowing the user to perform manual column flow adjustments.

See Also

Retention Time Locking


To Change Screen Database Parameters

  1. In Data Analysis, select Tools / Change Screen Database Parameters.

  2. If there is no current screen database, you will be prompted for one. Select the screen database file (*.scd) that you want to use and click OK.

  3. When the Screen Database Update dialog box is displayed, select the parameter you want to change. Make the change and click OK.

See Also

To create a custom RTL screener library


To create a custom RTL screener library

The capability for the user to generate their own locked screening library has been implemented in the ChemStation software. The procedure for creating these libraries is described below.

Note These retention time locked libraries are screening libraries. They are designed for rapid assessment of the presence of a wide variety of possible compounds that may appear in a user’s samples. They are not meant, nor designed to be, quantitative. If the user is interested in quantitative compound determinations, then building a quantitation database for a retention time locked GC/MS method is a more appropriate approach.

The procedure involves creating the RTL GC/MS method, creating the mass spectral library from samples acquired by the RTL method, and then converting the library to a screening database. It will be helpful to have the following information prior to creating the mass spectral library: compound identity (name), molecular formula (optional) and molecular weight (optional), CAS number (optional), retention time for each peak in seconds. These can be obtained by integrating the chromatogram and running a library search on the peaks (and converting the peak time in minutes to seconds).

Create a Retention Time Locked GC/MS Method

The necessary steps for locking a method once a suitable method has been developed are described in To lock an MS method. It is important to have sufficient experience with samples that prove the method suits the user’s criteria of optimal separation in a reasonable period of time, and that a good choice is made for the locking compound. Ideally a locking compound would be an internal standard or other compound known to be present in every sample and which elutes toward the middle of the chromatographic run.

Create the Mass Spectral Library

  1. From Data Analysis, load the RTL method you want to use.

  2. Load a data file that was acquired using the selected RTL method.

  3. Select Spectrum / Edit Library. The Edit PBM Library dialog box is displayed.

  4. Select Create Library. Enter a new (8 character) name for the library as filename.L and save it in your database directory.

  5. Select a peak and its mass spectrum which should be displayed in Window 1. You may wish to use the peak apex, average the peak, or background subtract the spectrum.

  6. Select Spectrum / Edit Library. The Edit PBM Library dialog box is displayed.

  7. Select Add New Entry. A dialog box is displayed with fields for the mass spectrum. Entries must be made in the following fields: Name, Molecular Weight; and Retention Index. If you do not have molecular weight information, fill in 9999. The Retention Index field must contain the retention time of the peak (at the apex) in seconds. When the fields are finished, click OK and update the library.

  8. You must then click Cancel before selecting the next spectrum. Move to the next peak, select the spectrum, and continue sequentially through the data file until all the compounds are added. Entries need not be made in order of RT.

  9. If there are other data files with compounds of interest, load the files and add the spectra to the library.

Create the Custom Screening Library

  1. On the command line, type the command MAKESCREENDB and then click Execute.

  2. When prompted, select the mass spectral library you have just created to convert to the screener database (SCD) file.

  3. Select Yes when prompted to “Sort filename.L by Retention Time?”.

  4. When prompted, enter the name and directory to save your SCD file in.

Check the Custom Screening Library

  1. In Data Analysis, select Tools / List Screen Database to check the content of filename.SCD you just created. This will display the compounds in order of RT with their qualifying ions.

  2. Select Tools / Specify Method Screen Database and choose the appropriate filename.SCD to designate the screening library for that particular RTL method.

  3. Load a data file that has been acquired under the locked method.

  4. Select Tools / Create Screen Results For The Current File.

  5. Select View / Result Screener. The Screener should appear with identifications for all compounds in your data file if this was a file used to build the database.


RTLock Setup View

This view is accessed by selecting View / RTLock Setup in Data Analysis (Tools / RTLock Setup in Environmental and Drug Analysis software). Once the RTL calibration files have been collected from Instrument Control, all actual locking is performed from within Data Analysis.

See Also

Retention Time Locking Menus

Retention Time Locking Overview

To lock an MS method

To lock a GC method

Results Screener


Results Screener

The Results Screener is accessed from Data Analysis by selecting View / Results Screener (Tools / Results Screener in Environmental and Drug Analysis software).

The Results Screener is used to evaluate the expected retention time/ions (MS only) for the locked compounds in any data file that has been acquired under locked conditions. If there is no “lock” information (the data was not acquired under locked conditions), the screen process will not be allowed.

A new set of menus is used in Results Screener mode:

Screener

Spectrum (MS mode only)

ChromEval

Display (MS mode only)


Retention Time Locking Menus

In Instrument Control

The retention time locking menu items in Instrument Control are accessed from the Instrument menu.

In Data Analysis

The retention time locking menus in Data Analysis are accessed when you select View / RTLock Setup. All retention time locking calculations and reports are accessed via the RTLock menu. The View menu lets you return to the Data Analysis view.

There are some additional menu items on the Tools menu in Data Analysis (Enhanced mode only) that let you perform certain RTL tasks such as creating an RTL screen report or changing the method screen database.

See Also

Results Screener Menus


Screen Database Update Dialog Box

This dialog box is accessed when you select Tools / Change Screen Database Parameters in Data Analysis. It lets you change the following parameters for the specified screen database.

Set Extraction Window

Prompts you to reset the extraction widow by x minutes. Set Extraction Window affects the retention time information in the screen database.

Set Subtraction Method

Lets you specify the method for calculating qualifier ion ratios: Average of first and last; lower of first or last; no subtraction; extended quantitation (use only with quantitation peak area).

Set Uncertainty Type

Lets you select either Relative or Absolute. For example, a qualifier ion that has a relative response of 40% and a % uncertainty of 20: If Relative is selected, the acceptable range is from 32% to 48%. If Absolute is selected, the acceptable range is from 20% to 60%.

Set Uncertainty Range

Prompts you to select the acceptable range for the relative response of the qualifier ions to the target ions. It may be either relative (the default) or absolute. A default value of 20% uncertainty is supplied for each qualifier ion during the calibration process.

Make New RT/x SCD

Creates a new RTL screen database (SCD) file from the currently selected method SCD file with retention times divided by a constant factor. This is useful when an RTL method that uses a particular SCD file has been modified to produce retention times that differ by an EXACT factor for each compound (for example, the method is twice as fast so all locked retention times are now one half their previous value).

Set Other (via command)

Lets you use commands to make global changes to other parameters. For example, to change the untis of concentration to “ug/L” for all compounds, enter Amt_Units$=”ul/L” and click OK. The units of concentration for all compounds in the screen database are then updated. Note: not all parameters are used in the screening process.

See Also

To change screen database parameters

To create a custom RTL screener library


Select AutoRelock Mode dialog box

This dialog box is displayed when you select RTLock / Use AutoRelock. This dialog box determines if and how the RTL software executes during sequenced acquisition. A calibrated quantitation database is required to use this feature, with the compound used to calibrate the RTL curve designated as type ‘R’ on page 2 of the Edit Compounds panel. The Use AutoRelock menu item will be dimmed if no type ‘R’ compound exists in the method quantitation database. In addition, the compound used to calibrate the RTL method must exist or be added to the sample designated as the RTL recalibrator.

All Calibrators

Selecting this choice will initiate the automated relock after collection of each calibration sample type run in a sequence.

Specified Calibrator Level

Displays a panel indicating the current calibration levels existing within the method. You may select which level is to be used for the automated relock. During sequenced acquisition, only calibration sample types for the selected level will be used to initiate the automatic relock.

All Method Acquisitions

Causes the automated relock process to be performed after each and every sequenced acquisition. Each sample MUST contain the compound used to set up the RTL calibration.

Disable Auto Relock

This option turns off automated relocking.


Example Report

This is an example of a report that is generated when you select RTLock / Report RTLock Calibration from the RTLock Setup view in Data Analysis.

Retention Time Locking Data Report

Retention Locked Method: C:\MSDCHEM\2\METHODS\LFSRTL.M

Retention Locked Cal Date: 21 Jan 1998 12:21

Instrument: GC/MS Ins

Operator: T.Otsuka

Method Lock is currently Off

Compound: dde

Retention Time Calibration:

psi Time Spec Deviation

File Pressure min. Xcor Seconds

RTLOCK1.D 15.00 17.315 1.000 41.748

RTLOCK2.D 16.50 16.959 1.000 20.394

RTLOCK3.D 18.00 16.619 1.000 0.000

RTLOCK4.D 19.50 16.307 1.000 -18.750

RTLOCK5.D 21.00 16.005 0.999 -36.858

Maximum Deviation: 41.748 seconds

RTL Curve: R = 2.86e+004 A*A - 1.27e+006 A + 1.44e+007

Terms of Curve Fit:

Constant = 1.44201e+007

Linear = -1.26786e+006

Quadratic = 28575.7

Locked Retention Time information:

Retention Locked File: C:\MSDCHEM\2\METHODS\LFSRTL.M\RTLOCK\RTLOCK3.D

Acq Date: 21 Jan 1998 12:21

Instrument: GC/MS Ins

Operator: T.Otsuka

Measured Retention Time: 16.619 Pressure: 18.00 (psi)

Locked Retention Time: 16.000 Pressure: 21.02 (psi)

Lock run spectrum XCor: 1.0000

Report created: Tue Feb 10 10:32:44 1998


Glossary of Terms for Retention Time Locking

Term | Description
RTL | Retention time locking
Lock Compound | The compound producing the peak that is evaluated in all RTL calibration and lock files.
Lock Retention Time | Desired retention time of the lock compound
RTL Calibration Files | Five data files collected at varying pressures (-20%, -10%, nominal, +10%, +20%)
RTL Lock File | The data file used to set the lock. In this file, the actual retention time of the lock compound and the pressure used to collect the file are vompared against the calibration curve and lock retention time to determine the lock pressure.
Scouting Run | The data file collected after column maintenance or when running a method that has had the RTL calibration created on another instrument. This file is used in the relock process.
Confirming Run | The data file collected with the new pressure that has been determined by evaluation of the peak location and pressure contained in the scouting run.
Lock Pressure | The pressure determined from a comparison of the RTL lock file acquisition pressure and retention time to the calibration curve and lock retention time.
Nominal Pressure | The inlet pressure at injection setpoint in the currently loaded method.
Screen Database | A compound database (.scd file) with the retention times generated using a locked method. This .scd file can be created from a standard qdb.mth file, possibly with no calibration information.
Screen File | A screen results file from a screening process using a screen database containing retention times generated from a locked method.


To Add Compounds to an Existing Method

  1. Load the method.

Note When you load a method on a system configured with a 5973 MSD, the software compares the actual source/quad temperatures to the setpoints stored in the tune file which is part of that method. If they are not within a 3-degree tolerance, you are asked if you want to download the new setpoints.

  2. Acquire data from a calibration sample containing the compound you want to add to the method. Determine the retention time and, for MS analyses, target and qualifier ions for the new compound.

  3. In Data Analysis, select Calibrate / Set Up Quantitation and add the new compound to the database.

  4. Save the updated method.

  5. Requantitate the data file and update the calibration.


Edit Entire Method

This box appears when you select Method / Edit Entire Method from the menu in the Instrument Control or Top views. The Edit Method dialog box allows you to select which portions of method you want to edit:

  • Method Information

  • Instrument/Acquisition - All relevant GC and MS dialog boxes will be displayed for your input.

  • Data Analysis

When you click OK, the dialog boxes for the method sections selected will be displayed sequentially for you to edit.

When prompted to save the method, you may enter a new name for the method if you wish. If a custom report template has been specified as the report type, you will be prompted whether or not you want to save a copy of the generated report with the data file.


To Load a Method

To Load a Method in Top

When you start the ChemStation software, a default method (usually DEFAULT.M) is loaded into memory.

Before you can edit or run a method you must load it in Top (or Instrument Control). Data Analysis automatically loads the last method and data file used in Data Analysis.

  1. From the Top view, select Method / Load.

  2. Click on the method you want or type the name (and path if the method is in a directory other than the current one), and click OK.

Note When you load a method on a system configured with a 5973 MSD, the software compares the actual source/quad temperatures to the setpoints stored in the tune file that is part of that method. If they are not within a 3-degree tolerance, you are asked if you want to download the new setpoints.


To Add Additional Information to a Method

  1. Load the method.

  2. From the Instrument Control view, select Method / Additional Method Information. The Notepad program is started.

  3. Type the information you want to add to the method. You can enter as much information as you wish.

  4. Select File / Save.

  5. Close the Notepad program.

The file will be stored as a text (.txt) file in the method directory with the same name as the method. This file will be printed whenever the method is printed. If a method is saved as a new name, the system will append the message Method <original method name> renamed as <new method name>.


Methods Menu

Method Menu

Run | Runs the current method. The Start Run dialog box is displayed.
Load | Lets you select a method file from a list of files on the disk.
Save | Lets you save the method
Edit Entire Method | Lets you edit the method currently in memory.
Additional Method Information | Available from Instrument Control only. Opens the Notepad program where you can enter additional method information (such as column or sample information). This information is then stored with the method.
Print | Prints the current method.
Set New Default Paths | Lets you change the default file paths for methods, data files, sequences, and libraries. These changes are saved in the win.ini file.
Exit | Exits all views. Make sure that you have saved all desired changes to a method before you exit!


To Set Up a Sequence

The Sample Log Table dialog box is used to set up a sequence. Each line in the Sample Log Table contains information for the analysis of one sample (one vial, for an ALS).

  1. If the Sample Log Table is not already open, select Sequence / Edit Sample Log Table.

  2. Click on a blank line in the table. Then click the arrow in the box labeled Type and select the type of sample you are going to run.

  3. Use the Tab key or the mouse to move to the Vial box and enter the vial number.

  4. Move to Method and enter the name of the method to be used for the current sample. (For a list of methods, type ? in this field.)

  5. Supply the Data File name, a Sample Name, any Miscellaneous Information and the Expected Barcode.

  6. Move to any other fields that apply to your sample. If a More button is present, click it for additional choices.

Note The fields that appear depend on the Type of sample selected. A help line is displayed at the bottom of the dialog box.

Use the Repeat, Cut, Copy, and Paste buttons as appropriate to add samples to the table. Repeat copies the highlighted line, increments the vial number, and places the new line immediately after the highlighted one. Copy copies the highlighted line without change. Use Paste to position that line where you wish. When you are finished, click OK.

To append the contents of another sequence to the current sequence, select Sequence / More and choose Append Sequence.

See Also

Sample Log Table Dialog Box

To Use the Barcode Reader

To Import Sequence Information from a CSV File

Keywords

Sequencing Modes


Testing a Sequence

To check your sequence for errors before you run the samples, select Sequence / Simulate Sequence. The simulation checks only for common errors of syntax, not logical errors. Note also that it is a simulation and not an actual run.

Simulate Sequence sends its results to the sequence log file. When the simulation ends, you will be asked if you wish to view the log file. The log will contain:

  • A list of injections that will be made

  • The data file names that will be assigned

  • Error messages that may be generated during the sequence

  • The estimated disk space required for data files generated by the sequence

Caution

Simulate sequence does not check the consequences of GC keywords or data file designations.

The Start Sequence box will be displayed first for your input. Then the following items are verified:

  • Data files that already exist to avoid overwriting them if overwrite is not enabled.

  • In a reprocess-only sequence, that data files exist.

  • Non-existent method files.

  • Existence of paths specified with DataPath and MethPath keywords. If the path is a root directory, e.g., C:\, this test will fail. If a data path does not exist, you are asked if you want to create it. If the response is yes, the path is automatically created.

  • Available disk space by using the size of the last data file acquired (including quant output files if any) with each of the methods, multiplied by the number of samples. It assumes that all the files will be stored on the same disk volume.

When a sample is acquired, the RunMethod macro creates a macro file in the method directory that holds the name of the last data file and directory. If this macro or the last data file does not exist, a default size of 50000 bytes is used. If the data path does not contain a drive letter, the drive that contains the ChemStation software is used in the calculation.


To Position a Sequence

To start a sequence at a particular line number in the Sample Log Table, select Sequence / Position and Run. The list portion of the Sample Log Table is displayed for you to select the starting point with an arrow key. When you have made the selection, the Run Sequence box is displayed.

Note that positioning should be done only within the currently executing main sequence or sub-sequence. If you attempt to jump between sequence levels, the results are unpredictable.

Prior to starting the sequence, you are asked whether each keyword occurring prior to the start line should be processed. Those you select will be processed.

If the sequence is paused or aborted during a sub-sequence, the Position and Run menu item will be dimmed. To clear it, reload the sequence.


Saving / Loading a Sequence

To save a sequence in a file, select Sequence / Save. A box will prompt for a file name. Enter the desired name and click OK. The system will supply the .S extension if you do not type it.

To load a sequence, select Sequence / Load and either click on or type the sequence file name and click OK, or double-click on a name in the displayed list.


To Start a Sequence

  • To start a sequence, select Sequence / Run.

  • If you want to load a sequence first, select Load and Run Sequence.

  • If you want to start a sequence at a particular line number in the Sample Log Table, select Position and Run. (Note that positioning should be done only within the currently executing main sequence or sub-sequence. If you attempt to jump between sequence levels, the results are unpredictable. Keywords previous to the specified line are not executed.)

All three choices take you to the Start Sequence dialog box, which requests all the information needed to initiate the sequence. Click Run Sequence when you are ready. Top will display a status box.


To Resume a Sequence

A sequence may stop due to an error, the presence or removal of a Pause keyword, or an abort. Once the problem causing the error has been fixed, the sequence may be resumed at the point where it was stopped as long as a different sequence file has not been loaded. If you have changed the sequence, you will be prompted to save the modified sequence when the run is completed.

To resume a sequence, select Sequence / Run. When you click the Run Sequence button, you are asked if you want to resume the sequence.

When a paused sequence is resumed; the new information is appended to the current Sequence Log File. When an error or an abort occurs and the sequence is resumed, a new log file is created with the new start time.


To Print a Sequence

When Sequence / Print Sequence is selected, you are prompted whether to print the sequence in brief or full format. The time stamp of the Sample Log Table is printed at the bottom of each page.

Brief Format

Select Brief Format to print the tabular information in the Sample Log Table.

Full Format

Select Full Format to print all the information about the sequence in the Sample Log Table.


Appending a Sequence

To append a previously created sequence to the sequence currently in memory, select Sequence / More and choose Append Sequence. You will be prompted for the name of the sequence file to be appended; choose one from the list.

The limit is the size of the sample log table. No error is generated on overflow.


To Import Sequence Information from a CSV File

You can set up and simulate full sequences prior to running any samples by importing CSV files from Excel or LIMS.

  1. From the Top view, select Sequence / Import Sequence Information from CSV file. The Specify Field Numbers dialog box is displayed.

  2. Enter the field numbers that match your CSV file and click OK. The Specify Line Numbers dialog box is displayed..

  3. Enter the start and stop line numbers you want to use from the CSV file. Click OK.

    For example, an entry of 6 and 12 would import lines 6 through 12 and would ignore lines 1-5 or any lines after 12. This means the CSV can contain “header” or “footer” information that will be ignored or not interpreted as a sample.

    If no entries are added, you are prompted whether or not to use the entire file. Click Yes to continue, click NO to return to the Specify Line Numbers dialog box.

  4. Next you are prompted to specify the type of file. Select the Comma Separated (CSV) item and click OK.

    If you select Tab Separated (TSV), the information in your file is separated by tabs instead of commas.

  5. When prompted, select the CSV file you want to use and click OK.

  6. Next, the sequence is built and will be automatically simulated and saved. The name of the sequence file will be ddmmmXnn where “dd” is the day of the month, “mmm” is the month, “X” is the hour (0=”A”,1=”B”), and “nn” is the minute of the hour.

  7. You are prompted whether or not you want to view the sequence simulation. If you select Yes, results like the figure shown below are displayed.

Example CSV File

The following picture shows an example of the CSV file that was used to create the report shown above.

Example Field Numbers

The following picture shows how you would complete the Specify Field Numbers dialog box for the example CSV file shown above. The numbers in each field represent which column the information is in. For example, the data file names are listed in column D which is the fourth column.

Example Line Numbers

The following picture shows how you would complete the Specify Line Numbers dialog box for the example CSV file shown above. This example shows that lines 6-12 of the CSV will be used. Lines 1-5 will be ignored.

Reference Information

For both CSV and TSV formats, the following applies:

  • If the CSV file does not contain the name of a data file, the data file name will default to ddmmmxxx.D, where “dd” is the day of the month (01,02&ldots;), “mmm” is the month (Jan,Feb&ldots;), “xxx” is the sample number (001,002,003&ldots;). If the data file name in the CSV file does not have a *.D extent, the “.D” will be added.

  • If the CSV file does not contain the name of the method, the currently loaded method will be used.

  • If the CSV file does not contain the Sample Name, it will be left blank.

  • If the CSV file does not contain the Miscellaneous Information, it will be left blank.

  • If the CSV file does not contain the Vial Number, it will be incremented (1,2,3,&ldots;100).

  • If the CSV file does not contain the Sample Multiplier, it will be set to 1.0000.

  • If the CSV contains data that does not conform to expected input, i.e, vial number =”abc”, the entry will be inserted into the sequence as a “Comment” and “Bad Entry&ldots;” in the description.


Re-Sequencing Data Files

To re-sequence data files, select Sequence / More and choose Re-Sequence Data Files. You will be asked to enter the starting data file name. The default is the first file name in the sequence.

If the data file name contains a numeric field, for example, Data001, the data file names in the sequence are changed so that they are in consecutive ascending order. If you will have 10 - 99 files, allow for two digits in the name; for 100 or more, allow three digits. (If the data file name does not contain a numeric field, all the files will be given the same name in the sample log table.)

This command is useful for re-ordering the data files after a sample has been inserted or deleted. File names will be edited only up to the END keyword. File names in sub-sequences are not changed.


Re-Sequencing Vials

To change the vial numbers in the sequence so that they are in consecutive ascending order starting with 1, select Sequence / More and choose Re-Sequence Vials. Note that the data file names remain in their previous order; they don't move with their appropriate vial number.

Assigns Vial 1 to the first injection in the sequence and increments the vial number by one for each subsequent injection in the sequence. Be careful when using this option with Staggered Dual Tower mode that the dummy vial is placed in the vial position assigned by the system.


Changing Methods

To change the method for all samples at once, select Sequence / More and choose Change Method. You will be prompted for the name of the old method and then asked to select a new one from the list. All the instances of the old name in the sequence are replaced with the new name.

The methods listed are those in the default method directory specified by the variable _MethPath$. All methods used by a sequence must be located in this directory.

Note that if the method is not in the default method directory, you must change the directory by adding the MethPath keyword to your sequence.


Sample Log Table Dialog Box

This dialog box is displayed when you select Sequence / Edit Sample Log Table. It is used to set up a sequence. Below is a list of the items that are available; the presence of certain fields in the Sample Log Table is determined by the ChemStation configuration and the currently selected sample Type.

Type | Sample Amt
Vial | Multiplier
Data File | Gas Smpl Wt
Method | Gas Density
Sample Name | Gas ISTD Wt
Miscellaneous Information | Area% Report
Expected Barcode | Lib. Search Rep.
Keyword / Keyword String | Quant Report
Level | Post-Quant Macro
Upd RF | CR Database
Upd RT | CR Spreadsheet
Upd QI |

Type

The type of sample to be used for each injection. The types listed will depend on your ChemStation configuration:

Sample | Use this sample type for your non-calibration samples (unknowns). These samples will be processed in Data Analysis according to the method specified.
Blank | These samples are not processed in Data Analysis; only the TIC is reported. Use Blank when you want to see what you get when there is nothing in the sample other than a solvent. Blanks are used to check for system contamination.
Calibration | The method must contain a completed quantitation database. The data file will be processed in Data Analysis as a recalibration sample for the level specified in the item Level. Additional fields appear when this sample type is selected that allow you to set the calibration level and choose how to update response and retention times.
Keyword | Lets you select a keyword to modify execution of the sequence.
QC | This sample type performs a quantitation with summary output to printer and evaluates the quant results against a level with the ID of 'QC' in the calibration table. The report will list actual vs. nominal amounts and percent difference. If the level 'QC' does not exist, no report is generated and a message will be logged into the sequence log file.
RearSamp | In Dual Tower mode, you can use a special sample type called RearSamp. This sample type lets you simultaneously inject samples with a dual injector/dual column setup. The RearSamp sample must come first in the table before the run with which it is paired. This lets the software know that this line in the table and the next one are to be simultaneously injected.
RearCal | Any instrument error stops the sequence. Any Data Analysis error in the processing of a Calibration or Blank sample stops the sequence. For Samples, Data Analysis errors are ignored, but, like all errors, are recorded in the sequence log file.

Vial

For an ALS injection, enter the vial’s physical location according to the following:

ALS tray present | Enter a number from 1 to 100.
Normal density turret | Enter a number from 1 to 3 (no tray present)
High density turret | Enter a number from 1 to 8 (no tray present)

For a manual injection (no ALS present), the Vial field can optionally be used to reflect the label on the vial.

If a sequence with multiple injections per vial is loaded, the multiple injections will be converted to separate entries, up to the limit of the table size. To renumber the vials in consecutive ascending order, select Sequence / More and choose Re-Sequence Vials.

Data File

Naming data files in the sequence table differs depending on your system configuration. There are five ways to name data files in a sequence:

  • Type individual file names for each sample.

  • Leave this field blank to automatically generate names of the default format VVIIRRR (2-digit Vial number, 2-digit Injection number, 3-digit Run count number: 0101001, 0102002, etc.) (The Data File field in the table will be shown with dashes -------.)

  • Use the SwapName keyword and leave this field blank to automatically generate names of the format RRRVVII (run count position swapped).

  • Use the SeedName keyword to automatically generate names of the format ABCDExxx or ABCxxxDE. All the characters can be numeric, but be sure to allow sufficient numeric characters (xxx) somewhere in the name to include the number of samples in the sequence.

  • Use the SwitchGC, MaskName and MakeSec keywords to change the naming of the second signal file.

  • Set up the table, click OK, and then select Sequence / More and choose the Re-Sequence Data Files option. You will be prompted for a starting data file name; supply one that can be incremented, for example, samp01.

To overwrite existing data files with the same name as those in the new sequence, check the Overwrite box on the Start Sequence dialog box, or use the OverWrit keyword.

Method

The name of the method to be used in the analysis of this sample. The method must exist. Type ? to display a list of the available methods. The methods listed are those in the default method directory specified by the variable _MethPath$. All methods used by a sequence must be located in this directory. Note that if the method is not in the default method directory, you must change the directory by adding the MethPath keyword to your sequence. If you want to change the method for all samples at once, select Sequence / More and choose Change Method.

Sample Name

The name of the sample. This line is limited to 45 characters.

Miscellaneous Information

Additional information about the sample. This line is limited to 45 characters.

Expected Barcode

Enter the barcode for the current sample. On the Sample Log Table, you may use the barcode reader.

Level

This box is displayed only when the sample type is Calibration. The name or number of the calibration level (Level ID) to be recalibrated must be entered exactly as it appears in the quantitation database (level ID is case-sensitive).

Upd RF

This box is displayed only when the sample type is Calibration. To update responses, click the arrow and select No Update, Average, Replace, or Clear/Replace. Alternatively, you can type N (for no update), A (for average), R (for replace), or C (Clear/Replace).

Upd RT

This box is displayed only when the sample type is Calibration. To update retention times, click the arrow and select No Update, Average, or Replace. Alternatively, you can type N (for no update), A (for average), or R (for replace).

Upd QI

This box is displayed only when the sample type is Calibration. To replace the qualifier ion relative responses, click the arrow and select Replace or No Update. Alternatively, you can type R (for replace) or N (for no update).

Sample Amt

This field is available only when you select the More button and is not available for calibration runs. This is for use with mass spectrometers. Used only if a quantitative report is specified as part of the method. All results calculated for an unknown sample are divided by this amount and multiplied by 100 before the report is printed. Units of amount is replaced by % in the final report. Zero indicates that the sample amount calculation is not to be done.

Multiplier

This field is available only when you select the More button. This field is not available for calibration runs. The multiplier, used only if a quantitative report is run as part of the method, corrects results for sample dilutions or other sample manipulations. For example, if you have diluted the sample by a factor of 10, you can enter 10 as the default multiplier to correct the final report with the updated sample concentration. Setting this value here affects only the selected sequence line and its sample.

Gas Smpl Wt

The weight of the gasoline sample in grams. This field is only available when your system is configured for Gasoline Analysis.

Gas Density

The density or API index of the gasoline sample. This field is only available when your system is configured for Gasoline Analysis.

Gas ISTD Wt

The weight of the internal standard in grams. This field is only available when your system is configured for Gasoline Analysis.

Area% Report

This field is available only when you select the More button. From the pulldown menu select if the report is per the method (default), or override the saved method by selecting Summary, Detailed or None with the run.

Lib. Search Rep.

This field is available only when you select the More button. Used with mass spectrometer data only.

Quant Report

This field is available only when you select the More button. From the pulldown menu select if the report is per the method (default), or override the saved method by selecting Summary, Full, Profile, or None (no report) with the run.

Post-Quant Macro

This field is available only when you select the More button. From the pulldown menu select if the LSC report is per the method (default), or override the saved method by selecting LSC Summary, LSC Detailed or None with the run.

CR Database

This field is available only when you select the More button. From the pulldown menu select if the Custom Reports database update is per the method (default), or override the saved method by selecting Update or None (for no update is performed)

CR Spreadsheet

This field is available only when you select the More button. From the pulldown menu select if the custom report is per the method (default), or override the saved method by printing a custom report with the run. Or select None.


Keyword / Keyword String

These fields appear only when you select Keyword from the items listed in the Type field of the Sample Log Table. A blue line appears in the log table to mark the position of the keyword entry. Keywords may occur multiple times and in any order.

Click on the arrow in the Keyword field to display the choices. The parameter to be entered in the Keyword String field follows the keyword, where applicable.

You can use keywords to create sequences with built-in logic to affect the order in which samples are injected, the management of file storage, the timing of acquisitions, etc. For example, you may want to inject every sample contained in the Autosampler tray on both columns (dual column GC only).

The keywords available for use on the Sample Log Table are listed below with their associated parameters. If a keyword requires or accepts a parameter, type the parameter into the Keyword String field. Optional parameters are shown in square brackets ([ ]), but don't type the brackets when you type the parameter.

ClockSrt time

Lets you specify a starting time (in 24 hour military time) for the next sample. The starting time is entered into the keyword string.

Example: 16:30 - The next sample will be processed at 4:30 PM.

Command command

Allows any command or macro valid at the Top level to be executed during a sequence. A synchronization takes place after the command, allowing the operation to finish before the sequence continues. Variable locking is turned off (varlock 0) before the command is evaluated, so reserved variables can be assigned. Variable locking is turned back on (varlock 1) after the command is executed.

Comment

Lets you enter a comment (up to 45 characters) into the Sample Log Table. The comment you type into the keyword string field will appear in the sequence log or in a printout of the Sample Log Table.

DataPath path

Changes the data path (the location where data files will be stored) for all subsequent samples. Subsequent samples in the sequence use the new data path.

Example: c:\MSDchem\7\data\may1\ - All subsequent data files will be stored under this directory.

Debug

Places detailed diagnostic information in the sequence log file.

Valid keyword strings are:

NO - turns off debug mode.

Any other entry or a blank keyword string field turns on debug mode.

Interval number

The Interval keyword may be used to time the start of a run to occur every n minutes. For instance, if your chromatographic run takes about 18 minutes, but you want your data files to be acquired or spaced every 60 minutes, an interval value of 60 will hold off the next run until it is 60 minutes since the start of the previous run. This may be useful for studies of kinetics.

The keyword string for the Interval keyword is the time in minutes between runs. If the keyword string is negative (-0.33), or contains alpha characters ("ABCD.."), the interval keyword will be canceled. Use of this feature will start the run (or more correctly, the acquisition) within one second of the specified Interval; however the actual time interval between the acquisition times of two data files may be slightly different from the specified Interval due to temporal repeatability of the sampling device (ALS, headspace, purge and trap).

Valid keystrings are:

"###" - any number such as 60 or 55 may be used to specify the data acquisition interval in minutes.

NO - or any other non-numeric entry in keyword string field cancels any previously specified interval.

The keyword does not take affect until AFTER the first run has been acquired. For example, to acquire two runs 60 minutes apart:

Right way | Wrong way
Interval 60 sample 1 sample 2 | sample 1 Interval 60 sample 2

MethPath path

Change the method path for all subsequent samples. Type the new path, e.g., f:\newmethods\. Subsequent lines use this as method path.

Example: MSDchem\7\methods\pcb\

OverWrit yes/no

Overwrite any files with the same name that appear subsequent to this command. Default is yes. Use this command when you have made changes to a sequence that would cause two files to have the same name.

Pause

Causes the sequence to be suspended. The sequence can be restarted at the next line or positioned to a new line and restarted.

SeedName data file name

Selects the pattern to use for generating names on subsequent lines. Can only be used once and only at the beginning of a sequence. SeedName entries will be ignored after the first sample is run, or if the sequence is restarted. See Data File.

SepGC1

Sends GC Signal 1 data from a mixed mode acquisition to a different data directory. If you don’t use this keyword, both MS and GC data are sent to the same directory.

SepGC2

Sends GC Signal 2 to a different data directory. If you use SepGC1 and SepGC2, they both go to the same directory.

SwapName on/off

If on, use RRRVVII. If off, use VVIIRRR (default). See Data File. Scope is global, applying to main sequence and all sub-sequences until changed.

Tune type Interval

Performs selected AutoTune and optionally repeats the tune at specified intervals. The keyword string determines which tune is run:

5973 MSD

Keyword String | Menu Item
AUTO | Autotune
LOWMASS | Low Mass Autotune
STD | Standard Spectra Tune
QUICK | Quick Tune
DFTPP | DFTPP Tune
BFB | BFB Tune

5972 MSD

Keyword String | Menu Item
MAX | Maximum Sensitivity Tune
STD | Standard Spectra Tune
AUTO | Standard Autotune
QUICK | Quick Tune
DFTPP | DFTPP Tune
BFB | BFB Tune

If you want the tune to run again after a specific interval, type the interval in 24 hour time (HH:MM) format, separated from the tune type by a space. For example, a keystring BFB 08:00 will execute BFB Target Tune when that line in the sequence is encountered, and then again every 8 hours until the sequence completes.

DualTwr

This keyword is specifically designed for Dual Tower operation. Since the GC may have a second data file, this keyword will allow a second destination path to be named for the Secondary data file specified by the RearSamp sample type. When this keyword is invoked, it is assumed that a dual-tower technique is being used and the user does not want the secondary signal to be stored as a subdirectory of the primary signal.

The valid keyword strings are:

  • NO - cancels any previous secondary path and terminates Unlinked mode.

  • " " - no string (the default) causes the extension .sec to be added to the default data path for the primary signal. If the primary path already has an extension, the unlinked data files will be saved in the default method path directory as a precaution to prevent file overwrites.

  • <any path> - an explicit path may be specified. The path must be complete (e.g., c:\MSDchem\8\mydata). If the path doesn't exist, it will be created. If it can't be created, or the path is actually a file, an error will be logged to the sequence log file and the data for the secondary file will be redirected to the default data path + .sec. at the time the keyword is executed.

This keyword is effective only for GC and GC/MS acquisition with dual towers and dual detectors.


Sequence Log File

A sequence log file is maintained throughout the running of a sequence. This log will contain a record of each injection and any error conditions that occurred during the sequence. For a report of each step of the sequence, which is useful in debugging a sequence, set the global variable Seq_Trace=1. This turns the debugging tool on; to turn it off, type Seq_Trace=0.

When you select Sequence / View Sequence Log from the menu, Notepad or Write (depending on the size of the log file) opens and displays the log file. You can use the File menu to print or save this text. Alternatively, you can select Sequence / Print Sequence Log.

When a new sequence is started, the previous log file is overwritten. If you want to save the previous log file, save it from Notepad.

When a sequence ends successfully, a copy of the sequence log is saved in the datapath directory and given a unique name based on the starting time of the sequence. The form of the name is DDMMMXTT.LOG where

DD = the day of the month (01 to 31)

MMM = the three-letter abbreviation of the month (JAN...DEC)

X = the hour of day expressed as a letter (12 am = A, 1 am = B....11 pm = X)

TT = the minute of the hour (00 - 59)

.LOG = the suffix of the file name

To print the sequence log automatically when the sequence is successfully completed, use the keyword Command as follows:

Command printsequencelog=1

To display the sequence log automatically when the sequence is successfully completed, use the keyword Command as follows:

Command viewsequencelog=1


Modes of Sequencing for GC Instrument

The different sequencing modes are invoked through various keyword and sample type combinations in the Sample Log Table. For a full explanation of each keyword, see Keyword / Keyword String.

The three basic sequencing modes for GC are:

Single Sample - Single Signal

Single Sample - Linked Signals

Dual Tower - Unlinked Signals


Sequence Menu

Run | Starts a sequence.
Load | Loads a sequence.
Save | Saves a sequence.
Edit Sample Log Table | Lets you set up or modify a sequence.
Load and Run Sequence | Lets you select a sequence and then displays the Start Sequence dialog box.
Print Sequence | Prints a sequence.
Simulate Sequence | Tests (simulates) a sequence.
Position and Run | Starts a sequence at a particular line number in the Sample Log Table.
View Sequence Log | Lets you view the sequence log in Notepad.
View Sequence Quality Log | Allows you to check ISTD and surrogate QA information for all samples in a sequence.
Print Sequence Log | Lets you print the sequence log.
Import Sequence Information from CSV file | Lets you set up and simulate a sequence by importing a CSV file created in Excel or a LIMS.
Batch Mode | Initiates the batch mode setup process.
More | Displays a dialog box that lets you append one sequence to another, re-sequences data files, re-sequences vials, or change the methods.


Using Batch Mode

Batch Mode operation lets you organize data and methods as a batch. Only the data and method for the batch as collected by the batch sequence you create will be linked. When the sequence is run, the method used and the data files collected are placed in a uniquely named folder. This is a good way to organize your data and ensure that the method file is stored with the data. There are additional batch mode features in Data Analysis that let you reprocess or recalibrate the batch data.

Batch Mode In Top

Batch Mode Data Analysis (not available in Environmental or Drug Analysis modes)


Batch Mode in Top

The Sequence / Batch Mode menu item in Top lets you create a batch directory folder (.b) with a name based on the current date and time, copies a selected method into that folder, and creates a sequence pointing to the batch folder and specifying the method copied there. You are then presented with a partially completed sequence in the Sample Log Table, and can finish entering the information for the sequence. This results in a batch directory containing the method and ALL the data files collected as part of this sequence.

To use batch mode:

  1. In Top, select Sequence / Batch Mode.

  2. When prompted, select the method to be used for data collection and processing and click OK.

  3. Next, a partially completed Sample Log Table like the one shown below is displayed.

  4. Update the Sample Log Table for your analysis and click OK.

  5. You will be prompted to run the batch sequence now. If you select Yes, the Start Sequence dialog box like the one shown below will be displayed:

  6. Click Run Sequence to start collecting the batch data.

Note the sequence name (26JulK14.S) and data directory name (26JulK14.b) both refer to the day, month, hour (expressed as a letter; a=0, b=1,,,k=10), and minute the batch creation was started. Also, data file names use the day and month as a seed, and then increment if the Repeat option in the Sample Log Table editor is used. You are not, however, prevented from using other names for data files.

Note: Calibrators defined in the Sample Log Table MUST refer to a pre-existing calibration level ID as specified during calibration procedures in Data Analysis. All information from the Sample Log Table (sample type, vial, calibration level if applicable, etc.) is stored in the datafile.d\pre_post.ini file.


Batch Mode Data Analysis

Once data has been collected via Batch Mode setup in Top, Data Analysis can use the organized method and data files to provide a more controlled environment. This is accomplished by selecting Method / Batch Mode in Data Analysis and then selecting the desired batch directory containing the method and data files:

If the selected batch (.b) folder contains a method, that method will be loaded as the current Data Analysis method, and a list of data files contained in the batch folder is prepared. The first data file in the folder will be automatically loaded.

Use of Batch Mode Data Analysis can significantly improve data integrity by preserving the link between a method and the data files collected and processed by that method. Reprocessing and calibration capabilities are enhanced due to the pre-assigned calibration levels and ability to preserve manually integrated compound responses, making calibration updates a one-step process.

How does this help?

First, once in Batch Mode Data Analysis, you are prevented from loading methods other than the ONE method that was associated with the batch when data was originally collected – there is no Load Method menu; it has been replaced with Load Batch. This means the correct method will always be the one used when this data is processed or otherwise reanalyzed. Also, the selection of data files is limited to ONLY the data files that are part of that batch:

This prevents you from traversing the directory tree and mismatching methods and data files. Calibration and reprocessing procedures, since the data file information has been stored (pre_post.ini file) and retrieved during the batch load process, is now more straightforward. Method parameters can be changed using normal ChemStation routines (Chromatogram/integration parameters or Edit Compounds) and reprocessing performed via the new Batch Method menu or Batch Recalibrate menus:

Batch Reprocess

Batch Reprocess allows selection of Complete Batch, Calibrators First, and Samples Only. The Complete Batch option will reprocess the batch using CURRENT method setpoints in exactly the same order as the data was first collected. The Calibrators First option will run through the calibration procedure BEFORE processing the samples; this is helpful when calibrators are interspersed throughout the batch but final processing of samples needs to be performed after all calibration is updated.

Batch Recalibrate

Batch Recalibrate allows a recalibration WITHOUT recalculating baselines. This is helpful where you have corrected integration abnormalities in the quantitation results via Qedit and want the manual responses used.

See Also

Batch Method menu


Batch Method menu

This menu replaces the normal Method menu in Data Analysis when you have selected Method / Batch Mode. See Using Batch Mode.

Run Batch Method | Carries out only the Data Analysis portion of the current batch method for the current data file.
Batch Reprocess | Displays the Batch Reprocess dialog box.
Load Batch | Loads the first data file in the selected batch (.b) folder. The method stored in this folder becomes the current method.
Save Batch Method | Saves the method stored in the batch directory.
Edit Method | Lets you edit the method stored in the batch directory.
Non-Batch Mode | Exits Batch Mode Data Analysis. This menu returns to the normal Method menu.


Introduction to Tuning

Tuning should be performed when necessary, perhaps at the beginning of each day, and the final tune report should be kept in a log book. Use this information to detect the start of a tuning problem and to monitor the gradual rise of the electron multiplier and ion focus voltages over time. These reports aid in planning ion source cleaning or multiplier replacement.

Tuning requires several iterations since optimizing one parameter affects the optimal setting of another. The parameters that can be adjusted are: lenses, quadrupole filter, electron multiplier, mass axis, and peak width calibration.

The objectives in tuning are:

Maximize all abundances

Optimize high mass abundance

Adjust peak width

Adjust mass assignments

See Also

Automatic Tuning

Manual Tuning

Tune Report


Troubleshooting Error Messages from Tune (5972 MSD)

Click here for 5973 MSD Error Messages

When a Tune Error message box appears

The Tune window (behind the Tune Error message box) contains a description of the problem. If the description is partially obscured, move the message box to one side. Below are some of the most commonly occurring messages. For those not listed here, see the MSD Hardware Manual.

Can't find peaks

Select Diagnostics / Edit MS Params in the Diagnostics view (or the AdjParam menu in Manual Tune). Then select More Params / Acq Params so that both sets of parameters are in view. Select Mass Window, and set the value to 10. Set AMU Gain and AMU Offset to 0. Click the Prof button. If there are peaks now, open the Calibrate menu, and select Mass axis, then Mass #3 widths. Reset Mass Window to 5. Save the tune file.

If an autotune cannot find peaks, increase EMV. Repeat autotune. If you eventually find peaks, this suggests that the source is very dirty and the default parameters were used in the autotune.

Can't achieve constant peak widths

Follow instructions for "Can't find peaks" and repeat the Mass #3 widths adjustment as many times as needed to get constant peak width. Save the tune file.

Check vacuum

To do this, select Status / Vacuum/Temp Status in Tune. The reported value should be less than 60 mTorr. If the MS has an ion gauge, the high vacuum pressure should be less than 5x10-5 Torr.

Diffusion pump is too COLD.

One or both of the diffusion pumps are too cold to operate the instrument.

DP too hot

Make sure the diffusion pump fan is clear and running.

Difficulty in the mass filter electronics

"Dip coils" (adjust RF coils for minimum voltage). To do this, open the Diagnostics menu in the Diagnostics and Vacuum System Control view. Select Set RFPA and adjust coils as described in Maintenance / Troubleshooting chapter of the MSD Hardware Manual.

Excessive signal

Lower the EMV setting. To do this, select Diagnostics / Edit MS Params in the Diagnostics view (or the AdjParam menu in Manual Tune), select EMVolts, and lower the setting by about 400 volts. Save the tune file.

Excessive source pressure

If you have just refilled the calibration vial, you may get this message the first time the calibration valve is opened. Try again.

Foreline Pressure has exceeded 300 mTorr.

A vacuum fault has caused the foreline pressure to exceed critical vacuum. Perhaps there was an air leak or some other cause of a sudden pressure surge. To resume operation, correct any vacuum faults, pump down the system, and reset temperatures of any heated zones.

No emission current

Try the other filament. To do this, select Diagnostics / Edit MS Params in the Diagnostics view (or the AdjParams menu in Tune) and select the Filament field. The current filament is displayed; select the other one. Save the tune file when prompted.

If you are in CI mode, the wrong leads were connected to the filament.

No Profile or Scan display

In the Tune view, type on the command line:

GDISPLAY ON

Save the tune file when prompted.

SmartCard Buffer Overflow

Too much data has been acquired before the mass spectrometer interface card has been able to download the data to the PC. This may occur in SIM mode with short dwell times, or in raw scan mode if the scan range is too wide or stepsize too small. This may also occur if the computer is running other CPU-intensive applications. Try quitting other applications during acquisition or modifying the MS acquisition parameters.

If these measures fail to clear the buffer, select Diagnostics / Initialize MS Interface in the Diagnostics view.

The system is in VENT state

The system has been vented by a user, probably for maintenance of some kind. To resume operation, complete the required maintenance and pump down the system.

The system is in STANDBY

This is probably due to a shutdown from the GC, such as Helium flow not achievable. Check the GC parameters and status and correct the problem.


Manual Tuning

Manual tuning lets you adjust MS parameters to meet criteria you have defined. The Manual Tune panel is accessed from the View menus in Instrument Control, Target Tune (not on a 5973), and Diagnostics. For more information, click on one of the following topics.

How to

Adjust mass assignments

Adjust peak width

Calibrate mass axis and abundances

Maximize all abundances

Optimize high mass abundance

Overview of Manual Tuning

Set and monitor MS parameters

Reference

Acquisition & Display dialog box

Edit Parameters dialog box

Introduction to Tuning

Manual Tune Menus


To adjust mass assignments

Use the mass filter parameters mass offset and mass gain to adjust mass assignments. Mass Offset affects all masses equally while Mass Gain affects high mass peaks more than low mass peaks.


To adjust peak width

Use the mass filter parameters amu gain and amu offset to adjust peak width. AMU offset affects peak widths equally at all masses while AMU gain affects high mass peaks more than low mass peaks.


Calibrate Menu - Tune

Mass axis | Calibrates the mass axis.
Mass #2 / Mass #3 widths | Calibrates the mass spectral peak width to 0.5+/-0.06 amu (width at one-half of peak height).
PW linearity | Uses amu gain, amu offset, and wid219 to linearize peak widths across the mass range. (5972 / 6890 MSDs)
Adjust abundances | Adjusts the tuning mass with the largest abundance to an acceptable value.

Mass Axis

Calibrates the mass axis by adjusting the mass gain and mass offset so that detected peaks are aligned with known peak values for a given compound. The largest abundance in the scan window is assumed to represent the exact tune mass value. The mass axis calibration is optimized when the tuning masses span the mass range of interest and are as far apart as possible. The minimum mass difference allowed is 100 amu.

  • To stop the calibration process, select Abort from the Tune menu.

  • To view the results, look at the mass gain and offset values in the Edit Parameters panel (accessed from the AdjParam menu. You can also do the mass axis calibration from this panel.)

Mass #2 / Mass #3 Widths

Calibrates the mass spectral peak width to 0.5+/-0.06 amu (width at one-half of peak height). This is the default. The peak width value is printed above each peak profile.

  • To change the peak width, use the PWIDTHS command.

  • To adjust the peak width to target at 10% of peak height, use the PEAKPARM command.


To maximize all abundances

The EMVolts and the X-Ray voltage can affect the abundance of all masses. Raising the Electron Multiplier voltage increases the noise as well as the signal. You should use the lowest possible voltage that still gives acceptable results.

The X-Ray voltage (not used on 5973 MSD) accelerates the ions into the multiplier. The optimal setting is affected by the electron multiplier setting. For that reason, the electron multiplier voltage is usually set first.


To optimize high mass abundance

The Entrance Lens, Repeller, and Ion Focus all work together to affect high mass abundance; adjust them iteratively. The repeller is particularly effective at changing the high mass abundance relative to that of the lower masses.

If the repeller voltage is set too low, too few ions will leave the source, resulting in poor sensitivity and poor high mass response. If the repeller voltage is set too high, too many ions at too high a velocity will leave the ion source. This may result in precursors (poor mass filtering), peak splitting, and poor low mass resolution.


Overview of Manual Tuning

Manual tuning is an iterative process of maximizing sensitivity while maintaining acceptable resolution, ensuring accurate mass assignment, and providing the desired relative abundances across the spectrum.

You can monitor peak shape and abundance for the three tuning masses using Profile scan and Spectrum scan from the Execute menu.

Use the Ramp menu to verify qualitatively that the current parameter setting is optimal. If you want to change any of the settings, use the AdjParam menu.

Use the Calibrate menu to set mass calibration parameters. The Status menu is primarily for use by factory-trained service engineers.


AdjParam Menu - Tune

The AdjParam menu lets you control all vital mass spectrometer parameters, while monitoring the effects in profile scans and spectra. You can also fine tune certain parameters by ramping their voltages and observing the effect on the three tune masses.

Edit MS Params | Displays the Edit Parameters dialog box.
Edit Acq Params | Displays the Acquisition & Display dialog box.
Edit MS Temps | 5973 MSD only. Displays the MS Zones dialog box.
Select Data Filter | 5973 MSD only. Lets you set the data filter to standard or enhanced resolution. The enhanced resolution filter provides better mass peak detection at high mass (greater than 500 amu).
Masses | Prompts you to enter the three tune masses.


Acquisition & Display Parameters - Tune

Acquisition & Display Parameters

The acquisition and display parameters control the acquisition and display of data in profile scans and spectral scans.

Masses

Acquisition - Samples

Acquisition - Averages

Acquisition - StepSize

Acquisition - Threshold

Scan Range

Profile Display

Masses

Mass 1, Mass 2, and Mass 3 are the three masses (in amu) displayed during profile scans. They are the masses to be used in the tuning process. Default values are set for tuning with perfluorotributylamine (PFTBA). Window sets the window size for profile scans; the entered value (in amu) is one-half of the window width. For example, if the window is 10, the profile scan for m/z 69 would be from 59 to 79 amu. The smaller this value, the faster profile scans will be taken. The minimum for this value depends on the Acquisition - Step Size. The range is 0.3 - 100 amu.

Acquisition - Samples 2^N

Use this field to set the number of samples for scan and profile scans. Enter a value for n (the number of samples is equal to 2^n). Allowed values are 0 through 7. For example, entering 5 will give 32 samples (2^5=32) at each mass, which is a way to enhance noisy or small signals. We recommend that you use the same n value for tuning and for data acquisition.

Acquisition - Averages

Use this field to set the number of profile scans to be averaged for each scan reported or displayed. Allowed values are 1 through 9. The smaller this number the faster the scan times. A higher number causes slower acquisition of tuning data but is useful for tuning small or very noisy signals. Default is 1.

Acquisition - StepSize

Use this field to set the mass step size for profile scans. Allowed values are 0.05 through the current value of Window. The larger this value is the faster scans are taken (at the cost of resolution). The range of this value is: 0.05 - 100 amu.

Acquisition - Threshold

Use this field to set the peak detection threshold, which determines what signals are accepted as peaks. The lower the threshold value, the more mass peaks are detected. The higher the value, the cleaner the spectrum. Typical values range from 0 to 500. At each 0.1 amu step, the current signal along with the four previous signals is used to calculate a weighted average. If the average is greater than the threshold, the current signal is accepted as a mass peak and is saved.

Scan Range

From and To set the mass (amu) range over which to scan. The range of values is the maximum scan range of the instrument.

Profile Display

Scale sets the display mode for the Y-axis during profile scans. For Autoset and Relative the values are controlled by the Abundance setting.

Autoset sets the Y-axis to range from minimum to maximum found for each tune mass.

Relative sets the Y-axis maximum for all three tune masses to the value for mass 1.

Fixed from/to sets the Y-axis to absolute values that you specify.

Scale Factor is a divisor for the Y-axis, that is, the abundances are multiplied by this value. Useful values are 0.1 through 100. This factor does not apply when Scale is set to Fixed.

Abundance controls the reporting of the maximum abundance of the tune masses. If Absolute is selected, the abundance of all three masses is reported in counts. If Percent is selected, the abundance of masses 2 and 3 is reported as percent relative to mass 1 (which is reported in counts).


Edit MS Parameters - Tune

5973 MSD

5972 / 6890


Manual Tune Menus

File | Lets you perform various file management and printing tasks.
Tune | Lets you perform an autotune, as well as set tune targets and tune limits.
Execute | Lets you examine mass spectral resolution and line shape
Calibrate | Lets you calibrate mass axis and abundances
Ramp | Lets you ramp mass spectrometer parameters.
AdjParam | Lets you set and monitor mass spectrometer parameters.
Status | Allows you to review the status of the MSD.
View | Allows you to switch between Top, Instrument Control, Data Analysis, Manual Tune, and Diagnostics views.
Abort | Aborts the current process.

See Also

Tune commands


Target Tuning

Target tuning involves tuning the instrument with either DFTPP Tune, BFB Tune, or Target Tune. These menu items are accessed from the Manual Tune view. Target tuning allows you to adjust MS parameters to meet relative abundance criteria defined by EPA (environmental protection agency) methods 624, 625, or any other method.

How to

BFB Tune (EPA method 624)

DFTPP Tune (EPA method 625)

Target Tune (other methods)

Set Tune Targets

Reference

About Target Tuning

Dynamic Ramping

Improving Target Tune Results

Tune commands

Verification method


BFB Tune

The BFB tune is designed to meet the tuning requirements of EPA method 624 and other methods that use BFB as a tuning compound. This tune uses the target relative abundances provided in the tune file BFB.U:

PFTBA ion | Rel. %
50 | 1
131 | 45
219 | 55
414 | 2.4
502 | 2

When a target tune is finished, the instrument parameters are stored in BFB.U. This tune file should be specified in the acquisition methods for analyses that use this tune reference compound,

The test of a successful BFB tune may be made by loading and running the verification method BFB624.M.

If the ion abundances do not match EPA criteria, see Improving Target Tune Results.


DFTPP Tune

The DFTPP tune is designed to meet the tuning requirements of EPA method 625 or other analyses that use DFTPP as the tuning compound.

DFTPP Tune uses the currently loaded tune file and the target relative abundances provided in the tune file DFTPP.U:

PFTBA ion | Rel. %
50 | 1
131 | 45
219 | 55
414 | 2.4
502 | 2

This tune assumes that the instrument is already tuned to PFTBA. When a DFTPP target tune is finished, the instrument parameters are stored in the tune file DFTPP.U.

To verify that the tune meets DFTPP criteria, inject DFTPP and run a sample using the verification method DFTPP625.M.

If the ion abundances do not match EPA criteria, see Improving Target Tune Results.


Target Tune

This tune uses the target relative abundances provided in the tune file TARGETS.U. The initial factory-set relative abundances in this file are:

PFTBA ion | Rel. %
50 | 1
131 | 45
219 | 55
414 | 3.5
502 | 2.5

Use Set Tune Targets to change the target relative abundances for PFTBA target masses such that the relative abundances for the required tune reference compound for your analysis are achieved. The target masses must be 50, 131, 219, 414, and 502 amu.

When a target tune is finished, the instrument parameters are stored in TARGET.U. Specify this tune file in the acquisition methods for analyses that use this tune reference compound.


To Set Tune Targets

  1. Select Tune / Set Tune Targets in the Manual Tune view. A box prompts for the target relative abundance for each of the PFTBA target masses (50, 131, 219, 414, and 502 amu) relative to m/z 69 at 100%.

  2. Enter the % values such that the relative abundances for the required tune reference compound are achieved.

  3. Click OK.


About Target Tuning

Target tuning involves tuning the instrument with either DFTPP Tune, BFB Tune, or Target Tune. The tune is saved in a tune file (respectively, DFTPP.U, BFB.U, or TARGET.U) for your particular instrument. You must run a target tune before running a target tune method: You cannot run a target tune method (such as DFTPP625.M) unless the appropriate tune file (DFTPP.U) already exists.

Then you run a sample using the appropriate acquisition method (for example, DFTPP625.M) and the corresponding tuning compound (DFTPP). The method prints a report detailing whether or not the instrument passed the DFTPP criteria. If it does not pass, you can modify the tune targets and try again.

In target tuning, several instrument parameters are systematically adjusted to attain the desired ratios.

See Also

Dynamic Ramping


Dynamic Ramping

Dynamic ramping allows you to change the voltage on the entrance lens offset at selected points in the mass range. The effect is to change the abundance of the selected mass or masses.

When you select Ramp / Edit Dynamic Lens Ramping, a dialog box prompts you to set voltages for the entrance lens offset at m/z 50, 69, 131, 219, 414, and 502. If the results of a target tune indicate that you want to increase the abundance of a particular ion, increase the voltage. To decrease the abundance, decrease the voltage.

When you have made your changes, click OK. Dynamic Ramping is now enabled. Note that the EntOffs setting in the Edit Parameters panel will be VAR and you will not be able to change it until you select Ramp / Disable Dynamic Lens Ramping.

To view the effects of the dynamic ramping, select Execute / Spectrum scan from the menu. If the result is what you want, be sure to save the tune file. Alternatively, you can select File / Generate Report.


Improving Target Tune Results

If tune results fail to meet EPA criteria or the tune criteria for your analysis, load the appropriate tune file, bfb.u, dftpp.u, or target.u, and then select Set Tune Targets. (You may want to save your previous .U file under another name, such as bfbold.u, because this procedure will change the values in the file.)

To raise the relative abundance

  • Raise the target ratio for its corresponding PFTBA ion; or

  • Lower the target ratios for all other tune ions

To lower the relative abundance

  • Lower the target ratio for its corresponding PFTBA ion; or

  • Raise the target ratios for all other tune ions

Save the new tune value. Then tune to the new targets by selecting the appropriate target tune (DFTPP Tune, BFB Tune or Target Tune). Inject the sample (for example DFTPP), acquire data, and again compare your results against your criteria. This can be an iterative process, but it generally takes only one or two passes.


Verification Methods

Two EPA (environmental protection agency) methods, DFTPP625.M and BFB624.M, are included with the software for your use in verifying the DFTPP and BFB tunes.

These methods provide acquisition and data analysis parameters for running an analysis of DFTPP or BFB and generating a report showing the mass spectrum and a tabulation of relative abundances of the masses. Before using these methods, acquisition parameters should be edited to values suitable for your system.

The report generated by Data Analysis is controlled by the macros in the method's DEUSER.MAC file. The macro init_parms specifies the report title, the base peak, and the number of comparisons. The macro print_ratios includes lines for each mass that specify the target mass, comparison mass, and lower and upper limits.


CI Tuning - 5973 MSD

The CI Tune view is accessed from Instrument / Perform MS Autotune menu item in Instrument Control. CI tuning allows you to adjust the MS parameters for operation in the chemical ionization (CI) mode (available only on MSDs equipped with the chemical ionization hardware). Refer to the CI Hardware Manual for proper setup for chemical ionization and CI tuning.

How to

Set up for CI tuning

Tune for CI

Set and monitor reagent and calibrant masses and purge the calibration valve

Reference

CI Tune Menus


To Set Up for CI Tuning (5973 MSD)

To Set Up for CI Tuning

5973 MSD configured for CI only.

  1. Select Instrument / Select MS Tune File from the Instrument Control view.

  2. Select a CI tune file (such as pcitune.u or ncitune.u).

  3. Save the method.

  4. Select View / Manual Tune to go to the Manual Tune view for CI mode.

  5. You will be asked if you want to proceed through all of the setup menu items. Click Yes to verify setup or to make changes. A series of dialog boxes will be displayed that let you set up for CI tuning:

  • Select the CI reagent gas you want to use and click OK.

  • Select the tune limits you want to use (or use the default values) and click OK. All these parameters are optimized for the specific reagent gas and the ionization mode, to see the PFDTD calibrant. They may need to be adjusted for the specific compound you are analyzing.

  • Enter the reagent ion masses you want to use (or use the default values) and click OK. This panel is only used for PCI, as there are no reagent ions visible in NCI. The ions used for pre-tuning in NCI are m/z 17 (OH-), m/z 35 (Cl-), and m/z 235 (ReO-); there is no flow adjustment available for NCI.

  • Enter the tune ion masses you want to use (or use the default values) and click OK. This panel is only available for methane PCI, as isobutane and ammonia cannot form positive PFDTD ions.

  • Select the primary tune ramp mass and click OK.This mass will be optimized by the autotune.

You will be guided through the rest of the CI tuning process. You can also access the setup dialog boxes individually by selecting the appropriate menu items.

See Also

Setup Menus - CI Tune


Tune Menu - CI Tune (5973 MSD)

Tune Menu - CI Tune

CI Autotune

Performs an automatic tune using the PFDTD compound with methane for the reagent gas The resulting tune parameters are stored in the tune file pcitune.u or ncitune.u (depending on which ion polarity is selected).


AdjParam Menu - CI Tune (5973 MSD)

AdjParam Menu - CI Tune

5973 MSD configured for CI only. The AdjParam menu lets you control all vital MSD parameters, while monitoring the effects in profile scans and spectra. You can also fine-tune certain parameters by ramping their voltages and observing the effect on the three tune masses.

Edit MS Params | Displays the Edit Parameters dialog box.
Edit Acq Params | Displays the Acquisition & Display dialog box.
Edit MS Temps | Displays the MS Zones dialog box.
Select Data Filter | Lets you set the data filter to standard or enhanced resolution. The enhanced resolution filter provides better mass peak detection at high mass (greater than 500 amu).
Purge Cal Valve | Purges the PFDTD calibration valve and vial of air. This is used only for fresh installations.


CI Tune Menus (5973 MSD)

File | Lets you perform various file management and printing tasks.
Setup | Lets you set up for CI tuning.
Tune | Lets you perform a CI autotune and quicktune.
Execute | Lets you examine mass spectral resolution and line shape.
Calibrate | Lets you calibrate mass axis and abundances.
RampParam | Lets you ramp mass spectrometer parameters.
AdjParam | Lets you set and monitor reagent and calibrant masses and purge the calibration valve.
Status | Allows you to review the status of the MSD.
View | Allows you to switch to another ChemStation view.
Abort | Aborts the current process.

See Also

Tune commands


Tune Commands and Functions

The following commands are available for tuning your mass spectrometer. Note that functions include a value in parentheses ( ) following the function name. In commands, optional parameters are shown in brackets [ ]. For more information about a particular command, click on its name.

See Also | Entering Commands
 | Instrument Control Commands

Variables set by a command are listed in the description of the relevant command.

ABUNDANCE [low target] [,high target]

AVERAGES [variable for current value] [,new value]

AXIS [mass]

BUFSIZE [variable for current value][,new value]

CAL_VALVE [variable for current value] [,new value]

CALVALVE [variable for current value] [,new value][,notify]

CAPTURE [mass] [,count] [,"filename"]

DISPPRINT [x] [,y] [,cx] [,cy] [,continue] [,delay]

DYNAMIC

EDDISP

EDITFILEINFO [run info]

EDPARMS

EDRAMP

EDZONE

ENDJOB

FILTERM [type varible] [,type] [,parameter variable] [,filter parameter]

FINDBIT value, bit number [, bit value variable]

FINDMASS low mass [,high mass] [,variable for mass value] [,variable for abundance value] [,range not extended]

FRESHTUNE

GCLEAR

GDISPLAY [1/0]

GETCONFIG ["filename"] [,delay sending]

GETMSFAULT ( )

IOTEST [screen display] [,continuous]

INSTRPARM()

LOGDATA [variable for current value] [,save]

LSTSQFIT data matrix, [m], [n]

MASS [mass1] [,mass2] [,mass3] [,set variables]

MASSES [mass1] [,mass2] [,mass3] [,set variables]

MASSFACTOR [scale factor]

MASSGAIN [variable for current value] [,new value]

MASSOFFSET [variable for current value] [,new value]

MASSWINDOW [size]

MATTOFILE array name, "filename"

MAXSCANRNG ( )

MENUSTATE (menu item number)

MSBUILD #filenumber, y1, y2, y3, y4, y5

MSCHECK [variable]

MSCLOSE #filenumber

MSCREATE ["filename"] [,variable]

MSOFF

MSON

MSOPEN "filename" [FOR OUTPUT] AS #filenumber

MSPARM parameter [,variable for current value] [,new value]

MSPARMINFO keyword [,VAR for enabled] [,VAR for low limit] [,VAR for high limit], [,VAR for resolution]

MSPRINT [y] [,continue] [,delay]

MSSNAP #filenumber

MSTATUS [variable]

MSTEMP SOURCE / QUAD [,actual] [,setpoint current] [,setpoint new] [,limit current] [,limit new]

MSWRITE #filenumber

OPTIM ["filename"] [,use cp variables] [,use current MS values] [,read/write]

PAGESIZE [variable for x][,variable for y]

PEAKPARM[variable for current type] [,newtype] [,variable for current%] [,new%]

PICKTUNEFILE

PROFILE [control]

PROFPARM PW / SHOWABUND [,variable for current value] [,new value]

PWIDTHS [target] [,range] [,agreement] [,% width] [,set variable]

RAMPSMOOTH [var current value] [,var new value]

SAMPLES [variable for current value] [,new value]

SAVECONFIG ["filename"]

SC [low mass] [,high mass] [,samples] [,threshold] [,clear display]

SCALEMODE [mode] [,minimum] [,maximum] [,do scan]

SCAN [low mass] [,high mass] [,samples] [,threshold] [,clear display]

SCANPARM parameter [,variable for current value] [,new value] [,variable for current gap] [,new gap]

SCANPRINT [variable for current value] [,new value]

SCINIT [1/0]

SCIOINIT

SETCIACTIVE ON / OFF

SETRAMP [parameter] [,start] [,stop] [,step size]

SETRFPA [mass]

SETTHRESH keyword [,mass number] [,variable for current value] [,new value]

SETUSER index [,variable] [,new value]

SIMACQ [dwell] [,ion 1] [,ion 2] [...] [,ion 30]

SIMRAMP parameter [,mass number] [,optimum] [,no-op] [,dwell time] [,userselect]

STARTJOB ["jobdescription"]

STEPSIZE [variable for current value] [,new value]

STRPRINT "string" [,x] [,y] [,continue] [,delay]

TEMPEQUIL

THRESHOLD [mass number] [,loops] [,adjust repeller] [,adjust axis]

TRACE ["filename"] [,append]

VACUUM [STATUS/VENT/PUMPDOWN]

WAIT [seconds] [,"comment"]

WIDTHS [loops] [,mass number]

WINDDISP "string1" [,value] [,"string2"] [,x] [,y]

XFER opcode [,data] [,variable name] [,loop]

XFR opcode [,data] [,variable name] [,loop]


General Symptoms

This section describes symptoms you might observe when first turning on the GC/MS system. All of these symptoms would prevent operation of the system.

GC does not turn on

MSD does not turn on

Foreline pump is not operating

Fan for the high vacuum pump is not operating

MSD is on but the status LEDs are all blinking


GC does not turn on

This refers to a condition in which nothing happens when the GC is switched on. The GC fans do not turn on and the keypad display does not light.

Disconnected GC power cord

Make sure the GC power cord is connected to an appropriate electrical outlet.

No voltage or incorrect voltage at the electrical outlet

Make sure power is present and it is the correct voltage for your GC.

WARNING! Only a trained electrician should check the electrical outlet.

Failed fuse in the GC

Refer to the user information supplied with your GC or contact your Agilent Technologies service representative.

GC power supply is not working correctly

Contact your Agilent Technologies service representative


MSD does not turn on

This refers to a condition in which nothing happens when the MSD is switched on. The foreline pump does not start. The cooling fan for the high vacuum pump does not turn on. The status LED on the front of the MSD does not light.

Disconnected MSD power cord

Make sure it is connected to an appropriate electrical outlet

No voltage or incorrect voltage at the electrical outlet

Make sure power is present and it is the correct voltage for your MSD.

WARNING! Only a trained electrician should check the electrical outlet.

Failed primary fuses

Check and, if necessary, replace the primary fuses. See the MSD hardware manual for instructions for replacing the primary fuses. Failed primary fuses are generally a symptom of a more serious problem. If the primary fuses fail repeatedly, contact your Agilent Technologies service representative.

WARNING! The primary fuses carry hazardous voltages. Vent the MSD and disconnect the MSD power cord from the electrical outlet before checking or replacing the primary fuses.

MSD electronics are not working correctly

Contact your Agilent Technologies service representative.


Foreline pump is not operating

This refers to a condition where the MSD is receiving power (the fans are operating and the power LED on the status display is lit) but the foreline pump is not operating.

Disconnected foreline pump power cord

Make sure the foreline pump power cord is securely connected to the socket on the back of the MSD.

Malfunctioning foreline pump

Contact your Agilent Technologies service representative.


Fan for the high vacuum pump is not operating

This refers to a condition where the MSD is on (at least the foreline pump is operating) but the fan for the high vacuum pump is not working. You can determine this by listening or by putting your hand next to the ventilation slots on the front of the instrument. You should be able to feel the flow of air being pulled into the MSD.

If this occurs, first switch off the MSD. Wait about one minute and switch the MSD back on. If the fan is still not operating, check for the following:

Disconnected fan cable

Disconnected high vacuum signal cable

Malfunctioning fan

The 5973 MSD contains a second fan in the electronics module. It is more difficult to tell if this fan is working correctly. The electronics module fan is not user serviceable.

Disconnected fan cable

  1. Remove the upper and lower MSD covers.

    WARNING! Do not remove any other covers. Removing other covers may expose hazardous voltages.

  2. Make sure the fan cable is securely connected to the connector on the MSD frame.

Disconnected high vacuum signal cable

Make sure the high vacuum signal (HIVAC SIGNAL) cable is securely connected to the back panel of the MSD. If the cable is not connected, the high vacuum pump will not turn on.

Malfunctioning fan

  1. Vent the MSD.

  2. Remove the upper and lower MSD covers.

    WARNING! Do not remove any other covers. Removing other covers may expose hazardous voltages.

  3. Disconnect the fan cable.

  4. Make sure the fan blades rotate freely, smoothly, and quietly. Bad bearings will make noise or feel rough as the fan turns.

  5. If the fan is bad, replace it.

See the MSD hardware manual for instructions for replacing the fan for the high vacuum pump.


MSD is on but the status LEDs are all blinking

This is normal when the MSD is initially turned on. The status lights will blink until the data system software is started or the pumpdown cycle is initiated. The data system then downloads the instrument control software to the GPIB/MS control card. When this occurs, the status LEDs will all light for a few seconds and then begin to operate normally, leaving the power LED on and the others off. If the status LEDs do not stop blinking, one of the following may be the cause:

Power failure interrupted communications

A momentary loss of power to the MSD can interrupt communication between the MSD and the data system. This will cause the status LEDs to blink. A longer interruption will cause the MSD to shut down. When the power is restored, the MSD automatically pumps down but communications are not automatically reestablished so the status LEDs will blink. Reinitialize communication between the MSD and the data system.

Software malfunction

A software malfunction can interrupt communications between the MSD and the data system. This will cause the status LEDs to blink. Reinitialize communication between the MSD and the data system.

Bad connection between the MSD and the data system

  1. Make sure the GPIB cable is connected between the MSD and the data system.

  2. Make sure the GPIB cable is securely connected at both ends.

  3. If necessary, clean the connector contacts or tighten the connector screws.

  4. If that does not correct the problem, replace the GPIB cable.

  5. Reinitialize communication between the MSD and the data system.

MSD electronics are not working correctly

Contact your Agilent Technologies service representative.


Chromatographic Symptoms

This section describes symptoms you may observe in the chromatograms generated by data acquisition. In general, these symptoms do not prevent you from operating your GC/MSD system. They indicate, however, that the data you are acquiring may not be the best data obtainable. These symptoms can be caused by instrument malfunctions but are more likely caused by incorrect chromatographic technique.

No peaks | Baseline is high
Peaks are tailing | Baseline is rising
Peaks are fronting | Baseline is falling
Peaks have split tops | Baseline wanders
Peaks have flat tops | Retention time drifts

The following two symptoms apply both to Chromatographic Symptoms and Mass Spectral Symptoms:

Poor sensitivity

Poor repeatability


No peaks

If an analysis show no chromatographic peaks, only a flat baseline or minor noise, run autotune. If the MSD passes, the problem is most likely related to the GC. Check the possible causes listed under Passes tune. If the MSD does not pass, the problem is most likely in the MSD. Check the possible causes listed under Does not pass tune.

Passes tune

Does not pass tune


Peaks are tailing

If an analysis shows peaks with pronounced tailing, one of the following may be the cause:

Active sites in the sample path

Injection is too large

Incorrect injection port temperature

Insufficient column flow

GC/MSD interface temperature is too low

Ion source temperature is too low


Peaks are fronting

If an analysis shows peaks that are not symmetrical, where the top of the peak is shifted to the right and then drops off steeply, check the following possible causes. This symptom is most likely with splitless injections. This is sometimes referred to as overloading because is frequently caused by a large injection that overloads the liner and column.

Column film thickness mismatched with analyte concentration (column overload)

Initial oven temperature too low

Active sites in the sample path

Injection is too large

Injection port temperature too high

Insufficient column flow


Peaks have split tops

If an analysis shows peaks with split tops, check the following:

Bad injection technique

Injection is too large


Peaks have flat tops

If an analysis shows peaks with flat tops, check the following:

Solvent delay is too short

Incorrect display scale

Injection is too large

Electron multiplier voltage is too high


Baseline is high

If an analysis shows an unusually high baseline, check for column bleed or other contamination.

Column bleed

Other contamination

Electron multiplier voltage is too high


Baseline is rising

If an analysis shows a rising baseline, check for column bleed or other contamination.

Column bleed

Other contamination


Baseline is falling

A falling baseline indicates that some source of contamination is being swept away. Wait until the baseline reaches an acceptable level. Common causes include:

Column bleed

Septum bleed

Residual water or solvents

Splitless injection time too long


Baseline wanders

If an analysis shows a baseline that is not level but wanders (rises and falls), it is probably due to problems with the carrier gas.

Insufficient carrier gas supply

Malfunctioning flow or pressure regulator

Intermittent leak in the injection port

These would probably create a fault condition in the GC that would prevent the GC from operating.


Retention time drifts (all peaks)

This refers to a situation where the retention times for all peaks are getting shorter or longer.

Shorter

Longer


Poor sensitivity

If sensitivity is less than you expect, check the following possible causes:

Incorrect tuning

Tune file does not match type of analysis

Repeller voltage is too low

Incorrect temperatures

Incorrect sample concentration

Leaking injection port

Incorrect split ratio

Purge off time in splitless mode is too short

Excessive pressure in the MSD

Dirty ion source

Air leak in the MSD

Detector is not working correctly

Poor filament operation

Incorrect mass filter polarity


Poor Repeatability

Dirty syringe needle

Leaking injection port

Mismatched injection port liner and injection size

Loose column connections

Variations in pressure, column flow, and temperature

Dirty ion source

Loose connections in the analyzer

Ground loop


Mass Spectral Symptoms

This section describes symptoms you might observe in mass spectra. Some of these symptoms will appear in the mass spectra of samples. Others you will observe only in a tune report. Some of these symptoms have causes that can be corrected by the operator. Others, however, require service by a Agilent Technologies service representative.

Isotopes are missing or isotope ratios are incorrect

High background

Peaks at m/z 18, 28, 32, and 44 or at m/z 14 and 16

Mass assignments are incorrect

Peaks have precursors

Peak widths are inconsistent

Relative abundance of m/z 502 is less than 3%

High mass sensitivity is poor

Some of the Chromatographic Symptoms also apply to mass spectra:

Poor sensitivity

Poor repeatability


Isotopes are missing or isotope ratios are incorrect

Autotune reports PFTBA ion ratios. If the MSD does not pass this part of tune, do not acquire data. Check the following:

Peaks are too wide or too narrow problems

High scan speed (scan mode)

Low dwell time (SIM mode)

Electron multiplier voltage is too high

Repeller voltage is too high

High Background

Dirty ion source


High background

Background is the mass spectrum of all substances present in the MSD in the absence of a sample. When a sample is injected, the mass spectrum becomes the spectrum of the background plus the spectrum of the sample. A new MSD, or one that has recently been vented, typically has many background peaks. This decreases with time. Give the MSD plenty of time to pump down. Make sure the ion source, mass filter (quad), and GC/MSD interface heaters are on and at normal operating setpoints. If high background is present after more than one day under vacuum, check the following:

Vacuum manifold pressure is too high

Air leaks

Contamination


Peaks at m/z 18, 28, 32, and 44 or at m/z 14 and 16

Peaks at m/z 18, 28, 32, and 44 are the classic peaks seen when the MSD has an air leak. Large peaks at m/z 14 and 16 are symptomatic of especially large leaks.

Small peaks at these masses are normal, especially if the MSD was recently vented. If these peaks get larger, or if they are interfering with your analyses, check the tune report. The tune report compares the abundance of m/z 18 (water) and m/z 28 (air) to the abundance of m/z 69 (PFTBA). If the tune report indicates unacceptable ratios (m/z 18 > 10% of m/z 69), wait a few hours and repeat tune. If the ratios are still unacceptable, and are not decreasing, check for air leaks.

See Also

Air leaks


Mass assignments are incorrect

Small shape changes at the top of the mass peaks can cause 0.1 amu shifts in mass assignments. Shifts greater than 0.2 amu indicate a possible malfunction. Check the following:

MSD has not had enough time to reach thermal equilibrium

Large variations in the temperature of the laboratory

MSD has not been tuned recently

Incorrect tune file


Peaks have precursors

The tune report lists the size of the precursors for the tune masses. Small precursors are not unusual. There are no specifications for acceptable or unacceptable precursor size. If the precursors are unacceptably large for your application, one of the following may be responsible:

Repeller voltage is too high

Peaks are too wide


Peak widths are inconsistent

Inconsistent peak widths are most apparent in the tune report. Do not acquire data if the MSD cannot pass tune. Possible causes include:

Incorrect tuning

MSD has not had enough time to reach thermal equilibrium

Large variations in the temperature of the laboratory

Calibration vial is empty or almost empty

Calibration valve is not working correctly

Electron multiplier horn is nearing the end of its useful lifetime

Dirty ion source

Ground loop


Relative abundance of m/z 502 is less than 3%

Autotune should give an m/z 502 relative abundance greater than 3%. The relative abundance of m/z 502 can, however, vary a great deal depending on column flow, ion source temperature, and other variables. As long as relative abundance is above 3%, the stability of the relative abundance is more important than the absolute value. If you observe significant changes in the relative abundance of m/z 502 for a fixed set of operating parameters, there may be a problem. The View tunes option in the MSD ChemStation software are useful for identifying changes.

Low relative abundance of m/z 502 should not be confused with low absolute abundances at high masses. Sensitivity at high masses can be excellent even if the relative abundance of m/z 502 is near 3%. If your instrument is producing low absolute abundances at high masses, refer to the symptom High mass sensitivity is poor. If the absolute abundances are acceptable but the relative abundance indicates a problem, check the following:

Wrong tune program

Insufficient time for the MSD to warm up and pump down

Vacuum manifold pressure too high

Ion source temperature too high

Too much column flow

Poor filament operation

Dirty ion source

Incorrect dc polarity on the quadrupole mass filter


High mass sensitivity is poor

This refers to a condition where the absolute abundance at the upper end of the mass range is poor. Absolute abundance should not be confused with the relative abundance (percentage) of m/z 502 to m/z 69. Sensitivity at high masses can be excellent even if the relative abundance of m/z 502 is low.

If your MSD's relative abundance is incorrect for the tune program used, refer to the symptom Relative abundance of m/z 502 is less than 3%. If the relative abundance is correct but absolute abundance at high masses is poor, check the following:

Wrong tune program

Wrong tune file

Insufficient time for the MSD to warm up and pump down

Vacuum manifold pressure too high

Too much column flow

Poor filament operation

Dirty ion source

Incorrect dc polarity on the quadrupole mass filter


Pressure Symptoms

This section describes unusual pressure readings and their possible causes. The symptoms in this section are based on typical pressures. At typical column flow rates (0.1 - 2.0 ml/minute), the foreline pressure will be approximately 20 to 100 mTorr. The vacuum manifold pressure will be approximately 1 x 10^-6 to 1.4 x 10^-4 Torr. These pressures can vary widely from instrument to instrument so it is very important that you are familiar with the pressures that are typical for your instrument at given carrier gas flows.

The foreline pressures listed can only be measured on diffusion pump-equipped systems. Turbomolecular pumps are controlled according to their speed and do not have foreline pressure gauges. The vacuum manifold pressures can only be measured if your system is equipped with the optional gauge controller.

Carrier gas alarm sounds

Foreline pressure is too high

Vacuum manifold pressure is too high

Foreline pressure is too low

Vacuum manifold pressure is too low

Gauge controller displays 9.9+9 and then goes blank

Power indicator on the gauge controller does not light


Carrier gas alarm sounds

The GC has an alarm that beeps if there are problems with the carrier gas or heated zones.

If the carrier gas pressure is too low to maintain current flow setpoints, the alarm beeps for 1 to 2 minutes. If, after that time, the pressure is still too low, the GC heated zones turn off and the column flow stops. A message should appear on the GC display

If the GC is configured for hydrogen carrier gas, the entire GC will shut down and the alarm will beep continually until you press [Clear].

Heating the column with no carrier gas flow can damage it. This is most likely on the ends of the column that are inside the injection port and GC/MSD interface. If the oven is very hot when the carrier gas flow fails, the entire column can be damaged. Leaks that allow oxygen into the column can also damage it.

If you suspect column damage, replace the column or remove the column and break off the ends before reinstalling it. If the column has previously been conditioned, it is not necessary to do it again.

Possible causes of a carrier gas alarm include:

Carrier gas supply pressure is too low

Leaking carrier gas line

Constricted carrier gas line

GC malfunction


Foreline pressure is too high

At typical column flow rates (0.1 - 2.0 ml/minute), the foreline pressure will be approximately 20 - 100 mTorr. If the foreline pressure is significantly above 100 Torr, or if the pressure you observe for a given column flow has increased over time, one the following may be the cause:

Column flow is too high

Air leak

Foreline pump oil level is low or oil is contaminated

Foreline hose is constricted

Foreline gauge is not working correctly

Foreline pump is not working correctly


Vacuum manifold pressure is too high

Vacuum manifold pressure can only be measured if your MSD is equipped with the optional gauge controller. At typical column flow rates (0.1 – 2.0 ml/minute), the vacuum manifold pressure will be approximately 1 x 10^-6 to 1.4 x 10^-4 Torr. If the pressure you observe is significantly above 1.4 x 10^-4 Torr, or if the pressure you observe for a given column flow has increased over time, check the following:

Column flow is too high

Air leak

Foreline pump oil level is low or oil is contaminated

Foreline hose is constricted

Diffusion pump fluid level is low or the fluid is contaminated

Diffusion pump is not working correctly

Turbomolecular pump is not working correctly

See Also

Foreline pressure is too high


Foreline pressure is too low

Foreline can only be measured on MSDs equipped with a diffusion pump. At typical column flows (0.1 - 2.0 ml/minute), the foreline pressure will be approximately 20 - 100 mTorr. If the foreline pressure is below 20 mTorr, check the following:

Not enough column flow

Column plugged or crushed by overtightened nut

Empty or insufficient carrier gas supply*

Constricted carrier gas tubing*

Foreline gauge not working correctly

* These would probably create a fault condition in the GC that would prevent the GC from operating.


Vacuum manifold pressure is too low

Vacuum manifold pressure can only be measured if your MSD is equipped with the optional gauge controller. At typical column flow rates (0.1 – 2.0 ml/minute), the vacuum manifold pressure will be approximately 1 x 10^-6 to 1.4 x 10^-4 Torr. If you observe pressures below 1 x 10^-6 Torr, check for the following:

Not enough column flow

Column plugged or crushed by overtightened nut

Empty or insufficient carrier gas supply*

Constricted carrier gas tubing*

* These would probably create a fault condition in the GC that would prevent the GC from operating.


Gauge controller displays 9.9+9 and then goes blank

This can happen when you try to turn on the triode gauge or when the triode gauge is already on. It indicates the pressure in the vacuum manifold is above 8 x 10^-3 Torr. The triode gauge will not turn on if the pressure is above that level. It automatically turns off if the pressure rises above 8 x 10^-3 Torr.

Solvent peak from an on-column injection

MSD has not had enough time to pump down

Foreline pressure is too high

Bad connection or bad cable between the triode gauge and the gauge controller

Diffusion pump fluid level is low

Triode gauge tube is not working correctly

Line voltage too low


Power indicator on the gauge controller does not light

If the power indicator (LED) on the gauge controller does not light when the gauge controller power switch is on, check the following:

Unplugged gauge controller power cord

Incorrect or inadequate line voltage at the electrical outlet

Failed gauge controller fuse


Temperature Symptoms

The MSD has three heated zones:

  • Ion source (Source or MS Source in the MSD ChemStation software)

  • Mass filter (Quad or MS Quad in the MSD ChemStation software)

  • GC/MSD interface (Thermal Aux 2 in the MSD ChemStation software)

Each of these heated zones has a heater cartridge and temperature sensor. The ion source and mass filter heaters are powered and controlled by the MSD. The GC/MSD interface is powered and controlled by the GC.

Ion source will not heat up

Mass filter (quad) heater will not heat up

GC/MSD interface will not heat up


Ion source will not heat up

This refers to a condition where the ion source does not heat up at all or heats up but does not reach its setpoint. It normally takes about 10 - 20 minutes for the ion source to reach its setpoint*. If, after that time, the ion source is not heating up or has not reached its setpoint, check the following:

High vacuum pump is off or has not reached normal operating conditions

Incorrect setpoint

MSD electronics are not working correctly

Other possible causes are an ion source heater or sensor that is disconnected, shorted, or has failed. All of these should generate the following error message:

Temperature control fault

Note It takes at least 2 hours after all heated zones have reached their setpoints for the MSD to reach thermal equilibrium. Data acquired before the MSD is at thermal equilibrium may not be reproducible.


Mass filter (Quad) heater will not heat up

This refers to a condition where the mass filter does not heat up at all or heats up but does not reach its setpoint. It normally takes about 10 - 20 minutes for the mass filter to reach its setpoint*. If, after that time, the mass filter is not heating up or has not reached its setpoint, check the following:

High vacuum pump is off or has not reached normal operating conditions

Incorrect setpoint

MSD electronics not working correctly

Other possible causes are a heater or sensor that is disconnected, shorted, or has failed. All of these should generate the following error message:

Temperature control fault

Note It takes at least 2 hours after all heated zones have reached their setpoints for the MSD to reach thermal equilibrium. Data acquired before the MSD is at thermal equilibrium may not be reproducible.


GC/MSD interface will not heat up

The GC/MSD temperature is usually controlled by the Thermal Aux 2 heated zone of the GC. The GC will generate a message saying the heated zone is not ready until the heated zone reaches +/- 1 degree C of the setpoint and holds that setpoint for 30 seconds. It normally takes 10 - 20 minutes for the GC/MSD interface to reach its setpoint*. If, after that time, the system indicates the heated zone is still not ready, check the following:

Incorrect setpoint

Setpoint entered in wrong heated zone

GC electronics are not working correctly

Other possible causes are a heater or sensor that is disconnected, shorted, or has failed. If the GC/MSD interface cable is disconnected from the GC, loading a method will result in a warning that the configuration of the GC has changed because the specified heated zone is not available. If the heater or sensor is shorted or open, the GC will generate a fault or warning message as appropriate.

Note: It takes at least 2 hours after all heated zones have reached their setpoints for the MSD to reach thermal equilibrium. Data acquired before the MSD is at thermal equilibrium may not be reproducible.


Error Messages

Sometimes, a problem in your MSD will cause an error message to appear in the MSD ChemStation software. Some error messages appear only during tuning. Other messages will appear during tuning or data acquisition. Sometimes, instead of a message only a number will appear. This number will represent one or more error messages. To translate a number into an error message or messages:

  1. Note the number.

  2. Select Diagnostics/Vacuum Control from the View menu.

  3. Select MS Error Codes from the Status menu.

  4. Type in the error number and press Enter.

The corresponding error message(s) will appear.

Some error messages are "latched". These messages remain active in your data system even if the condition that caused the message has corrected itself. If the cause is removed, these messages can be removed by checking instrument status through the data system.

Difficulty in mass filter electronics

Difficulty with the electron multiplier supply

Difficulty with the fan

Difficulty with the HED supply

Difficulty with the high vacuum pump

Foreline pressure has exceeded 300 mTorr

Internal MS communication fault

Lens supply fault

Log amplifier ADC error

No peaks found

Temperature control disabled

Temperature control fault

The high vacuum pump is not ready

The system is in standby

The system is in VENT state (high vacuum pump off)

There is no emission current

There is not enough signal to begin tune


Difficulty in mass filter electronics

Vacuum manifold pressure is too high

RFPA is not adjusted correctly

Mass filter (quad) contacts are shorted or otherwise not working correctly

Mass filter is not working correctly

MSD electronics are not working correctly


Difficulty with the electron multiplier supply

Large peak such as the solvent peak eluted while the analyzer was on

Vacuum manifold pressure is too high

MSD electronics are not working correctly


Difficulty with the fan

If a cooling fan fault occurs, the vacuum control electronics automatically shut off the high vacuum pump. Therefore, the message: The system is in vent state (high vacuum pump off) may also appear. The essential part of this second message is that the high vacuum pump is off. The vacuum manifold actually may not be vented.

A fan is disconnected or has failed

MSD electronics are not working correctly


Difficulty with the HED supply

Large peak (such as the solvent peak) eluted while the analyzer was on

Vacuum manifold pressure is too high

HED high voltage lead is shorted to ground

Detector is not working correctly

MSD electronics are not working correctly


Difficulty with the high vacuum pump

If your MSD is equipped with a diffusion pump, this indicates the diffusion pump became too hot. If your MSD is equipped with a turbomolecular pump, this indicates the turbo controller has failed to reach 50% of full speed in a preset time or has experienced another fault.

Diffusion pump

Cooling fan for the high vacuum pump is not working

Air intakes to the cooling fan are blocked

Laboratory temperature is too high (generally above 35°C)

Diffusion pump fluid level is low

High vacuum signal cable is disconnected or not working correctly

Diffusion pump temperature sensor is not working correctly

MSD electronics are not working correctly

Turbomolecular pump

Large air leak is preventing the turbo pump from reaching 50% of full speed

Foreline pump is not working correctly

High vacuum signal cable is not connected correctly

Turbo pump controller is not working correctly

Turbo pump is not working correctly

MSD electronics are not working correctly


Foreline pressure has exceeded 300 mTorr

Only diffusion pump equipped MSDs have a foreline pressure gauge.

Excessive carrier gas flow

Air leak

Foreline gauge is not working correctly

Foreline pump is not working correctly


Internal MS communication fault

The MSD electronics are not working correctly. Contact your Agilent Technologies service representative.


Lens supply fault

Electrical short in the analyzer

MSD electronics are not working correctly


Log amplifier ADC error

The MSD electronics are not working correctly. Contact your Agilent Technologies service representative.


No peaks found

Threshold setting is too high

Emission current was set to 0

Electron multiplier voltage is too low

AMU gain or offset too high


Temperature control disabled

One of the heater fuses has failed

MSD electronics are not working correctly


Temperature control fault

This indicates that something has gone wrong with the temperature control of either the ion source or mass filter (quad) heater. The cause can be further isolated by selecting MS Temp Ctlr Status from the Status menu in the Diagnostic/Vacuum Control view. One of the following should be displayed as the cause:

Source temperature sensor is open

Source temperature sensor is shorted

Mass filter (quad) temperature sensor is open

Mass filter (quad) temperature sensor is shorted

No heater voltage

Heater voltage is too low

Temperature zone has timed out

Temperature control electronics are not working correctly (HC11 Fault)


The high vacuum pump is not ready

Diffusion pump is on but has not had enough time to reach normal operating temperature

Turbomolecular pump is on but has not had enough time to reach 80% of its normal operating speed

Foreline pump is not working correctly

Level of fluid in the diffusion pump is too high

Diffusion pump stack is not aligned correctly

Diffusion pump heater has failed

Turbomolecular pump is not working correctly

MSD electronics are not working correctly


The system is in standby

This message is triggered by a shutdown signal on the remote start cable. It is usually caused by a GC fault, an ALS fault, or a bad cable connection. Once the cause of the fault is corrected, selecting MS ON or checking MSD status should remove the message.


The system is in VENT state (high vacuum pump off)

The system is in vent state

This message is normal after the MSD is deliberately vented. If it appears unexpectedly, one of the following may be the cause:

Fan fault has turned off the pump

Fuse for the high vacuum pump has failed

Diffusion pump heater cartridge has failed

MSD electronics are not working correctly

Although this message says the system is in vent state, it does not necessarily mean the vacuum manifold has been vented. Some level of vacuum may still be present in the vacuum manifold.


There is no emission current

Filament has failed or is not connected properly

MSD electronics are not working correctly


There is not enough signal to begin tune

Poor amu (mass) calibration

Vacuum manifold pressure is too high

Air leaks

Electron multiplier voltage is too low

Calibration vial is empty or almost empty

Signal cable is not connected

Electrical leads to the electron multiplier are not connected correctly

Electrical leads to the ion source are not connected correctly


Air Leaks

Air leaks are a problem for any instrument that requires a vacuum to operate. Leaks are generally caused by vacuum seals that are damaged or not fastened properly. Symptoms of leaks include:

Higher than normal vacuum manifold or foreline pressure

Higher than normal background

Peaks characteristic of air (m/z 18, 28, 32, and 44 or m/z 14 and 16)

Poor sensitivity

Low relative abundance of m/z 502 (this varies with the tune program used)

Leaks can occur in either the GC or the MSD. In the GC, most leaks occur in:

  • Injection port septum

  • Injection port column nut

  • Broken or cracked capillary column

Leaks can occur in many more places in the MSD:

  • GC/MSD interface column nut

  • GC/MSD interface O-ring

  • Side plate O-ring (all the way around)

  • Front and rear end cap O-rings

  • Triode gauge tube fitting

  • Calibration valve

  • Vent valve O-ring

  • Seal between the high vacuum pump and the vacuum manifold

Leaks are much more likely in seals that are frequently opened and closed such as the column nut, side plate O-ring, or vent valve O-ring. Leaks are much less likely in seals that are rarely or never opened such as the front and rear end cap O-rings or the GC/MSD interface O-ring.

The following procedures will help you confirm the presence of an air leak and locate the leak.

Confirming the presence of a leak

Finding an air leak in the GC

Finding an air leak in the MSD

Isolating a hard-to-find leak


To confirm the presence of a leak

Do not use the air and water check described below if you have recently vented the MSD. It can take up to 4 hours for the abundance of m/z 28 (nitrogen) to fall to an appropriate level. It can take up to 24 hours for the abundance of m/z 18 (water) to fall to an appropriate level.

  1. In the Diagnostics/Vacuum Control view, select Air and Water Check from the Diagnostics menu.

  2. Compare the abundances of m/z 28 (nitrogen) and m/z 18 (water).

    The abundance of m/z 28 should be less than the abundance of m/z 18.

  3. Compare the abundances of m/z 18 (water) and m/z 69 (PFTBA).

    The abundance of m/z 18 should be less than 10% of the abundance of m/z 69.

  4. Compare the abundances of m/z 28 (nitrogen) and m/z 69 (PFTBA).

    The abundance of m/z 28 should be less than 5% of the abundance of m/z 69.

  5. Compare the abundances of m/z 28 (nitrogen) and m/z 32 (oxygen).

    If an air leak is present, the ratio of m/z 28 to m/z 32 will be about 5:1. If the abundance of m/z 28 is well over 5 times the abundance of m/z 32, then there may be another chemical present with an ion at m/z 28 such as CO or C2H4. If CO is present, there is typically a large peak at m/z 44 (CO2) also.

If the air and water check confirms an air leak, see:

Finding an air leak in the GC

Finding an air leak in the MSD

If you have difficult finding a leak, use the following procedure:

Isolating a hard-to-find leak


Finding an air leak in the GC

Most air leaks in the GC occur at one of three places, the nut on the end of the GC/MSD interface, the injection port, or the septum. Leaks at the nut on the end of the GC/MSD interface are covered in Finding an air leak in the MSD with the MSD leaks.

Leaks in split/splitless injection ports can sometimes be confirmed by switching the injection port purge on and off and checking the abundance of the ions associated with leaks (primarily m/z 28 and m/z 32). If the abundance of these ions with the purge off is much greater (x100) than the abundance of these ions with the purge on, this is confirmation of a leak in the injection port.

A septum will leak after too many injections. The septum should be replaced at least every 100 injections. Keeping a beaker of septa in an oven at 250 degrees C at all times will eliminate the need to condition a new septum once it is in place.

A Merlin Microseal(TM) is highly recommended over conventional septa. The microseal eliminates the need for septa and lasts for tens of thousands of injections without leaking. It is most appropriate for use with an autosampler. It only works with untapered, blunt-tip syringes.

See Also

The Agilent Technologies application note: Optimizing splitless injections on your GC for high performance MS analysis.


To find an air leak in the MSD

The easiest way to find an air leak in your MSD is to use the MSD itself as a detector while spraying potential leak sites with an inert gas. Always start with the seal that was most recently open. This is the most likely point for a leak.

Materials needed:

  • Argon, lecture (0.6 liter) bottle

  • Pipette (optional)

  • Screwdriver, TORX T-15 (8710-1622)

  • Tubing

  1. If your GC is equipped with a split/splitless injection port, turn on the injection port purge during leak checking.

  2. If your MSD is equipped with a gauge controller, turn off the triode gauge and gauge controller before proceeding.

  3. With the MSD still on, remove the upper and lower MSD covers.

    WARNING! Do not remove any other covers. Dangerous voltages are present under these covers. The diffusion pump will be dangerously hot. The triode gauge may be dangerously hot.

  4. If the foreline pump is located under the MSD, move it out so you have access to the high vacuum pump.

  5. In the Manual Tune view, select Masses from the AdjParam menu.

  6. Enter 40, the main ion for argon, for all three masses and click OK.

    If you choose to use an inert gas other than argon, enter the main ion of that gas.

  7. Select Edit MS Params from the AdjParam menu.

  8. Change the PFTBA field from OPEN to CLOSE.

  9. Select the Prof (repeat profile scan) button.

    This starts continual scans of the 3 tune masses. In this case m/z 40 for all 3 masses.

  10. Connect the tubing to the outlet of the cylinder of argon gas.

    The tubing makes it easier to direct the gas precisely. Putting a pipette on the end of the tubing further improves your ability to direct the gas precisely.

  11. Immerse the end of the tubing or tip of the pipette in a beaker of water and adjust the gas flow until you achieve a gentle stream of bubbles.

    Too much flow will waste argon and flood the outside of the instrument with gas, making it more difficult to precisely locate the leak.

  12. One point at a time, spray argon at the potential leak sites listed below.

    Always start with the seal that was most recently open. This is the most likely point for a leak. After spraying each point, observe the peak profile on the data system. If, after 2 to 5 seconds, you see an abrupt and significant increase at m/z 40, there is a leak where you just sprayed. If, after 5 to 20 seconds, you see a gradual increase at m/z 40, there is a leak near, but not at, the point you just sprayed.

  • GC/MSD interface column nut

  • GC interface O-ring

  • Side plate O-ring (all the way around*)

  • Triode gauge tube fitting

  • Calibration valve (with the valve closed)

  • Calibration valve (after changing the PFTBA field to OPEN)

  • Vent valve O-ring

  • High vacuum pump where it joins the vacuum manifold

    • WARNING! Do not touch the high vacuum pump. It is very hot.

  13. After you have located and repaired a leak, test that point again to make sure it is repaired.

    If repairing a leak requires shutting down or venting the MSD, check the remaining points before correcting the first leak. There may be more than one leak and it is more efficient to correct them all at once.

    An extension of the side plate O-ring groove is machined into the lower right hand corner of the vacuum manifold. The end of this extension extends just past the lower right hand corner of the side plate. If the leak check gas is sprayed on this point, it will proceed around the O-ring and check the O-ring for leaks. This is much more convenient than trying to spray all the way around the side plate.


Isolating a hard-to-find leak

If you have difficulty finding an air leak, the following procedure provides a way to determine whether the leak is in the GC or the MSD. This procedure is not recommended for normal troubleshooting because if it is not performed correctly it can result in a plugged or damaged capillary column.

  1. In the Diagnostics/Vacuum Control view, select Air and Water Check from the Diagnostics menu. Save the results.

  2. Turn off the GC/MSD interface heater and injection port heaters. Reduce the GC oven to room temperature. Allow all heated zones to cool.

    WARNING! Make sure the oven and injection port are cool before removing the column.

    Caution Heating a capillary column without carrier gas flow can damage the column.

  3. Remove the GC column from the injection port.

  4. Cap the end of the column with a septum.

  5. Wait 15 – 20 minutes.

    Steps 2 and 3 allow a small amount of air into the MSD. If you continue before the MSD has a chance to pump away this air, the results of this test will be invalid.

  6. Run another air and water check.

  7. Compare the results of the first check with the second check.

    If the results are essentially the same, the leak is in the MSD or in the column nut on the end of the GC/MSD interface. If the results are significantly different, the leak is probably in the injection port of the GC.

  8. Remove the septum.

  9. Score and break off the first 30 mm of the capillary column.

    Caution If the column is not broken off correctly, it can be plugged by septum or column fragments.

  10. Reinstall the column in the injection port.

Depending on the location of the leak, go to:

Finding an air leak in the GC

Finding an air leak in the MSD


Contamination

Contamination is usually identified by excessive background in the mass spectra. It can come from the GC or from the MSD. The source of the contamination can sometimes be determined by identifying the contaminants. Some contaminants are much more likely to originate in the GC. Others are more likely to originate in the MSD.

Contamination in the GC

Contamination originating in the GC typically comes from one of these sources:

Column or septum bleed

Dirty injection port

Injection port liner

Contaminated syringe

Poor quality carrier gas

Contamination in the MSD

Contamination originating in the MSD typically comes from one of the following sources:

Air leak

Cleaning solvents

Diffusion pump fluid

Foreline pump oil

Fingerprints

A procedure is available for testing the ion source to see if it is contaminated (dirty):

Testing for a dirty ion source

Common contaminants

The following table lists some of the more common contaminants, the ions characteristic of those contaminants, and the likely sources of those contaminants.

Ions (m/z) | Compound | Possible source
18, 28, 32, 44 or 14, 16 | H20, N2, O2, CO2 or N, O | Residual air and water, air leaks, outgassing from Vespel ferrules
31, 51, 69, 100, 119, 131, 169, 181, 214, 219, 264, 376, 414, 426, 464, 502, 576, 614 | PFTBA and related ions | PFTBA (tuning compound)
31 | Methanol | Cleaning solvent
43, 58 | Acetone | Cleaning solvent
78 | Benzene | Cleaning solvent
91, 92 | Toluene or xylene | Cleaning solvent
105, 106 | Xylene | Cleaning solvent
151, 153 | Trichloroethane | Cleaning solvent
69 | Foreline pump fluid or PFTBA | Foreline pump vapor or calibration valve leak
73, 147, 207, 221, 281, 295, 355, 429 | Dimethylpolysiloxane | Septum bleed or methyl silicone column bleed
77, 94, 115, 141, 168, 170, 262, 354, 446 | Diffusion pump fluid and related ions | Diffusion pump fluid
149 | Plasticizer (phthalates) | Vacuum seals (O-rings) damaged by high temp-eratures, vinyl gloves
Peaks spaced 14 amu apart | Hydrocarbons | Fingerprints, foreline pump oil

The action required to remove contamination in an MSD depends on the type of contamination and the level of contamination. Minor contamination by water or solvents can usually be removed by allowing the system to pump (with a flow of clean carrier gas) overnight. Serious contamination by pump fluid or fingerprints is much more difficult to remove; it may require extensive cleaning.


Column or septum bleed

These can frequently be identified by an intense peak at 207 amu (dimethylpolysiloxane). Non cross-linked capillary columns are a major cause. High-bleed septa are also a common cause. We recommend cross-linked capillary columns for almost all applications. We also recommend low-bleed septa such as the Agilent Technologies “red” septa (5181-3383).

A simple test to detect column bleed is to increase the GC oven temperature 20 or 30 degrees C. A corresponding increase in background indicates column bleed. Column bleed can be prevented or minimized by conditioning the column.

See the MSD hardware manual for instructions for conditioning columns and septa.


Dirty injection ports, liners, syringes, and contaminated carrier gas

These are harder to diagnose because the background spectra you see will depend on the contaminants. If the contamination problem is coming from the GC, but it is not septum or column bleed, try:

  • Cleaning the injection port

  • Replacing the injection port liner

  • Cleaning or replacing the syringe

  • Switching to a different source of carrier gas and/or replacing the gas traps

  • Replacing the carrier gas tubing with new (clean) tubing

See Also

The Agilent Technologies application note: Optimizing splitless injections on your GC for high performance MS analysis


Cleaning solvents

It is common to see cleaning solvent peaks in the mass spectra shortly after the ion source is cleaned. To avoid this, dry all cleaned metal parts in the GC oven before reassembling and reinstalling them. Use a temperature above the boiling point of the solvent but below the limit of the column. Make sure carrier gas is flowing through the column.

WARNING! Do not allow hydrogen to flow into an MSD that is not on and under vacuum.

Avoid contact between solvents and O-rings. Do not bake O-rings or parts that contain Teflon.


Diffusion pump fluid

If the diffusion pump is allowed to operate with no column (carrier gas) flow into the vacuum system, vapor from the diffusion pump fluid can drift up into the vacuum manifold. More serious is fluid back streamed into the vacuum manifold by sudden or improper venting of the vacuum system. If a diffusion pump has back streamed, a prominent peak will often be seen at m/z 446 and the spectral baseline will exhibit small peaks at most masses. It may also be possible to see a fluid film on parts in the vacuum manifold.


Foreline pump oil

Foreline pump oil contamination is characterized by peaks spaced 14 amu apart (hydrocarbons). Contamination with foreline pump oil is less common than contamination with diffusion pump fluid, but can occur if the foreline pump is allowed to operate for an extended time with the diffusion pump off and no carrier gas flow into the system.


Fingerprints

Fingerprints contain hydrocarbons that can appear in mass spectra. Fingerprint contamination is characterized by a series of mass peaks 14 amu apart. The abundances of these peaks decrease as peak mass increases. Fingerprint contamination is usually caused by the failure to wear clean gloves during ion source cleaning or GC inlet maintenance. Use special care to avoid recontaminating parts after you clean them.


Testing for a dirty ion source

A dirty ion source is one of the more common causes of poor sensitivity and other performance problems. All ion sources eventually become dirty. How quickly the ion source in your MSD will become dirty depends on several factors:

  • Number of samples analyzed - more samples dirty the ion source more quickly

  • Type of samples and sample matrix - highly concentrated samples in complex matrices dirty the ion source more quickly than trace samples in clean matrices.

  • Operating conditions (primarily ion source temperature) - higher ion source temperatures generally keep the ion source cleaner, longer.

A dirty ion source does not always look dirty on visual inspection. Clues to the ion source's actual condition can be determined from tune reports. The MSD ChemStation software automatically stores the results of previous Autotunes (but not Standard Spectra, BFB, DFTPP, or other tunes) and charts trends in tune parameters and tune values.

If, after following this procedure, you determine that the ion source is dirty, its performance can be restored by performing the cleaning procedure in the Maintenance chapter of the MSD hardware manual.

  1. Select View tunes from the Qualify menu in the Instrument Control view. The following trends may indicate the ion source is becoming dirty:

  • Steadily increasing ion focus voltage

  • Steadily increasing repeller voltage

  • Steadily increasing electron multiplier voltage (can also indicate an old electron multiplier horn)

  • Steadily poorer low mass resolution

  • Steadily decreasing relative abundance of m/z 502

  2. Perform an Autotune (Autotune only, not Standard Spectra Tune, Quick Tune, etc). Signs of a dirty ion source include:

  • Relative abundance of m/z 502 less than 3%

  • Relative abundance of m/z 219 less than 30%

  • Repeller voltage is at maximum (35 volts for Autotune)

  3. In the Edit Parameters window, ramp the repeller voltage. A clean ion source will generate a response curve with a single, well-defined peak between 15 and 35 volts. As an ion source becomes dirty, the peak will shift higher and higher until it occurs at the maximum repeller (42.7 volts). A dirty ion source can also show little or no response at lower repeller voltages with a sudden step and a steep response curve after the step. With this type of response, the peaks is still at the maximum repeller voltage.


Common CI-specific problems

Because of the added complexity of the parts required for CI, there are many potential problems added. By far the greatest number and most serious problems with CI are associated with leaks or contamination in the reagent gas introduction system. NCI is especially sensitive to the presence of air, and air leaks small enough to cause no problems in PCI can destroy NCI sensitivity.

As with EI, if the MSD tunes well, and no air leak is present, sample sensitivity problems should be addressed by GC injection port maintenance first.

  • Wrong reagent gas

  • Reagent gas not hooked up or hooked up to wrong reagent gas inlet port

  • Wrong ions entered in tune file

  • Wrong tune file selected

  • Not enough bake-out time has elapsed since vent (background is too high)

  • Wrong column positioning (extending > 1mm past tip of interface.)

  • Interface tip seal not installed

  • EI source installed in CI mode

  • EI filament or other EI source parts in CI ion source

  • Air leaks in reagent gas flow path

  • CI filament has stretched and sagged:

High EMV

Linear (no inflection point) electron energy (EleEnergy) ramp.


Troubleshooting tips and tricks

The following are general rules for troubleshooting, with specific CI examples.

Rule 1: “Look for what has been changed.”

Many problems are introduced accidentally by human actions. Every time any system is disturbed, there is a chance of introducing a new problem.

  • If the MSD was just pumped down after maintenance, suspect air leaks or incorrect assembly.

  • If the reagent gas bottle or gas purifier were just changed, suspect leaks or contaminated or incorrect gas.

  • If the GC column was just replaced, suspect air leaks or contaminated or bleeding column.

  • If you have just switched ion polarity or reagent gas, suspect the tune file you have loaded in memory -- is it the appropriate file for your mode of operation?

Rule 2: “If complex isn’t working, go back to simple.”

A complex task is not only more difficult to perform, but also more difficult to troubleshoot as well. For example, CI requires more parts to work correctly than EI does, and all those additional parts

  • If you’re having trouble with NCI, verify that PCI still works.

  • If you’re having trouble with other reagent gases, verify that methane still works.

  • If you’re having trouble with CI, verify that EI still works.

Rule 3: “Divide and conquer.”

This technique is known as “half-split” troubleshooting. If you can isolate the problem to only part of the system, it is much easier to locate.

  • To isolate an air leak, start by shutting the gas select valve while leaving the isolation valve and MFC open (turn on Purge and Gas Off.) If abundance of m/z 32 decreases, the problem is “upstream” of the flow module.


Air leaks

How do I know if I have an air leak?

Large air leaks can be detected by vacuum symptoms: loud gurgling noise from the foreline pump, inability of the turbo pump to reach 95% speed, or, in the case of smaller leaks, high pressure readings on the high vacuum gauge controller.

Note that the mass flow controller is calibrated for methane, and the high vacuum gauge controller is calibrated for helium, so these measurements are not accurate in absolute terms, but are intended as a guide to typical observed readings. They were taken with the following set of conditions:

Source temperature 250°C

Quad temperature 106°C

Interface temperature 320°C

Helium carrier gas flow 1ml/min

MFC (%) | Pressure (Torr)
 | Methane | Isobutane | Ammonia
10 | 5.6 x 10-5 | 6.5 x 10-5 | 4.7 x 10-5
15 | 7.7 x 10-5 | 9.2 x 10-5 | 6.7 x 10-5
20 | 9.8 x 10-5 | 1.2 x 10-4 | 8.5 x 10-5
25 | 1.2 x 10-4 | 1.4 x 10-4 | 1.0 x 10-4
30 | 1.4 x 10-4 | 1.8 x 10-4 | 1.2 x 10-4
35 | 1.6 x 10-4 | 2.0 x 10-4 | 1.4 x 10-4
40 | 1.8 x 10-4 | 2.3 x 10-4 | 1.6 x 10-4
45 | 2.0 x 10-4 | 2.6 x 10-4 | 1.9 x 10-4
50 | 2.2 x 10-4 | 3.0 x 10-4 | 2.1 x 10-4
60 | 2.7 x 10-4 | 3.5 x 10-4 | 2.5 x 10-4

Always look for small air leaks when setting up methane flow. Run the methane pre-tune. The abundance of m/z 19 (protonated water) should be less than that of m/z 17. If the MSD was just pumped down, look for the abundance of m/z 19 to be decreasing.

There should not be any peak visible at m/z 32 (O2). This almost always indicates an air leak.

Special negative CI notes

Since NCI is so extremely sensitive, air leaks that are not detectable in EI or PCI can cause sensitivity problems in NCI. To check for this kind of air leak in NCI, inject OFN. The base peak should be at m/z 272. If the abundance of m/z 238 is much greater than that of m/z 272, you have an air leak.

How do I find the air leak?

  1. Look for the last seal that was disturbed.

  • If you just pumped down the MSD, press on the sideplate to check for proper seal. Poor alignment between the analyzer and the GC/MSD interface seal can prevent the sideplate from sealing.

  • If you just replaced the reagent gas bottle or gas purifier, check the fittings you just opened and refastened.

  2. Check for tightness of seals at injection port and interface column nuts.

    Ferrules for capillary columns often loosen after several heat cycles. Do not overtighten the interface nut.

  3. If any of the VCR fittings in the flow module have been loosened and then retightened, the gasket must be replaced. These gaskets are good for one use only.

    Caution

    Do not loosen the nuts on any VCR fittings unless you intend to replace the gaskets. Otherwise, you will create an air leak.

  4. Remember that most small air leaks visible in CI mode are located in either the carrier gas or reagent gas flow paths.

    Leaks into the vacuum manifold are not likely to be seen in CI because of the higher pressure inside the ionization chamber.

  5. Half-split the system.

  • By closing valves starting at the gas select valves (Gas Off and Purge turned on), then moving farther “downstream” to the isolation valve (Gas Off turned on and Purge turned off.)

  • You can cool and vent the MSD, remove the GC column, and cap off the interface.

If you are used to using argon or other introduced gas to find air leaks, note that this does not work well for the reagent gas flow system — it takes as long as 15 minutes for the peak to reach the ion source if the leak is at the inlet to the flow module.

Schematic of CI flow control module

Flow module state diagram:

Result

Gas A flows

Gas B flows

Purge with Gas A

Purge with Gas B

Pump out
flow module

Standby, vented, or EI mode

Control panel lights (LEDs)

Gas A (green) | On | Off | On | Off | Off | Off
Gas B (amber) | Off | On | Off | On | Off | Off
Purge (red) | Off | Off | On | On | On | Off
Gas Off (red) | Off | Off | Off | Off | On | On

Valve state

Valve A | Open | Closed | Open | Closed | Closed | Closed
Valve B | Closed | Open | Closed | Open | Closed | Closed
MFC | On setpoint | On setpoint | On 100% | On 100% | On 100% | Off (0%)
Isolation valve | Open | Open | Open | Open | Open | Closed


Pressure-related symptoms (overview)

The following symptoms are all related to high vacuum pressure.

Poor vacuum without reagent gas flow

High pressure with reagent gas flow

Pressure does not change when reagent flow is changed

The mass flow controller is calibrated for methane, and the high vacuum gauge controller is calibrated for helium, so these measurements are not accurate in absolute terms, They are intended as a guide to typical observed readings. They were taken with the following set of conditions:

Source temperature 250°C

Quad temperature 106°C

Interface temperature 320°C

Helium carrier gas flow 1ml/min.

MFC (%) | Pressure (Torr)
 | Methane | Isobutane | Ammonia
10 | 5.6 x 10-5 | 6.5 x 10-5 | 4.7 x 10-5
15 | 7.7 x 10-5 | 9.2 x 10-5 | 6.7 x 10-5
20 | 9.8 x 10-5 | 1.2 x 10-4 | 8.5 x 10-5
25 | 1.2 x 10-4 | 1.4 x 10-4 | 1.0 x 10-4
30 | 1.4 x 10-4 | 1.8 x 10-4 | 1.2 x 10-4
35 | 1.6 x 10-4 | 2.0 x 10-4 | 1.4 x 10-4
40 | 1.8 x 10-4 | 2.3 x 10-4 | 1.6 x 10-4
45 | 2.0 x 10-4 | 2.6 x 10-4 | 1.9 x 10-4
50 | 2.2 x 10-4 | 3.0 x 10-4 | 2.1 x 10-4
60 | 2.7 x 10-4 | 3.5 x 10-4 | 2.5 x 10-4


Poor vacuum without reagent gas flow

Possible Cause

Excess water in the background.

Action

Scan from 10 – 40 amu. A large peak at m/z 19 (> m/z 17) indicates water in the background. If water is present, allow the instrument to bake out more and flow reagent gas through the lines to purge any accumulated water.

Possible Cause

Air leak.

Action

Run Methane Pre-tune. A visible peak at m/z 32 indicates air in the system. Check for and correct any leaks. See the section Air leaks.

Possible Cause

The foreline pump is not working properly.

Action

Replace the pump oil. If that does not help, it may be necessary to replace the pump. Contact your local Agilent Technologies Customer Engineer.

Possible Cause

The turbo pump is not working properly.

Action

Check the pump speed. It should be at least 95%. Contact your local Agilent Technologies service representative.

Caution

Use of ammonia as reagent gas can shorten the life of the foreline pump oil and possibly of the foreline pump itself. See the Maintenance chapter of the hardware manual.


High pressure with reagent gas flow

Possible Cause

The reagent gas flow rate is too high.

Action

On the flow controller, turn down reagent gas flow as appropriate. Verify that reagent ion ratios are correct.

Possible Cause

Air leak.

Action

Run Methane Pre-tune. Visible peak at m/z 32 indicates air in the system. Check for and correct any leaks. See the section Air leaks.

Possible Cause

Interface tip seal wasn’t installed.

Action

Check the source storage box. If the seal is not in the box, vent the MSD and verify that the seal is correctly installed.


Pressure does not change when reagent flow is changed

Possible Cause

The reagent gas regulator is closed.

Action

Check and, if necessary, open the reagent gas regulator.

Possible Cause

The reagent gas regulator is set to the wrong pressure.

Action

Set the reagent gas regulator to 10 psi (70 kPa) for methane or to 3 – 10 psi

(20 – 70 kPa) for isobutane or ammonia.

Possible Cause

The valve on the reagent gas bottle is closed.

Action

Check and, if necessary, open the valve on the reagent gas bottle.

Possible Cause

The reagent gas supply is empty.

Action

Check, and if necessary, replace the reagent gas supply.

Possible Cause

Reagent lines kinked, bent, pinched, or disconnected.

Action

Inspect the reagent lines and repair any defects. Check especially to make sure the reagent line is connected to the tee connector on the end of the GC interface.

Possible Cause

GC/MSD interface clogged or damaged.

Action

Check for flow and repair or replace components as indicated.


Signal-related symptoms (overview)

This section describes symptoms related to the signal. The symptom may be too much signal, too little signal, a noisy signal, or an incorrect signal. Signal-related symptoms are generally observed during tuning but may also be observed during data acquisition. Error messages in autotune due to insufficient signal may vary.

The following symptoms are covered in more detail in this section:

No peaks

No or low reagent gas signal

No or low PFDTD signal, but reagent ions are normal

Excessive noise or low signal-to-noise ratio

Large peak at m/z 19

Peak at m/z 32


No peaks (CI)

No peaks

When troubleshooting “no peaks” it is important to specify what mode of operation is being used, and what kind of peaks are not being seen. Always start with methane PCI and verify presence of reagent ions.

No reagent gas peaks in PCI

If MSD has been working well and nothing seems to have been changed

  • Wrong tune file loaded, or tune file corrupted

  • Wrong ion polarity (there are no reagent ions visible in NCI)

  • No reagent gas flow; look for background ions and check pressure

  • Wrong reagent gas selected for the tune file (looking for wrong ions)

  • Large air leak

  • Dirty ion source

  • Poor vacuum (pump problem).

If MSD was recently switched from EI to CI

  • Interface tip seal not installed

  • No reagent gas flow

  • Analyzer not sealed (big air leak)

  • Wrong tune file loaded or tune file corrupted

  • Ion source not assembled or connected correctly

  • Wrong reagent gas selected for the tune file (looking for wrong ions)

No PFDTD peaks in PCI

  • Incorrect reagent gas. There are no PCI PFDTD peaks created with isobutane or ammonia. Switch to methane.

  • Analyzer not sealed (big air leak)

  • No calibrant in vial

  • Defective calibration valve

  • Air leak in carrier or reagent gas path

No reagent gas peaks in NCI

  • Reagent gases do not ionize in NCI; look for background ions instead.

  • Verify tune parameters

  • If no background ions are visible, go back to methane PCI

No PFDTD calibrant peaks in NCI

  • Look for background ions

  • Verify tune parameters

  • Go back to methane PCI

No sample peaks in NCI

  • Look for background ions

  • Go back to methane PCI

Large peak at m/z 283 in NCI OFN spectrum

  • Look for background ions

  • Find and fix your small air leak


No or low reagent gas signal

Possible Cause

If you have just installed the CI ion source, and have an air leak or large amounts of water in the system, and have run one or more autotunes, the ion source is probably dirty now.

Action

Fix the air leak. Clean the ion source. Then bake out for 8 hours before tuning. See the Maintenance chapter of the hardware manual for more information.

Possible Cause

The wrong reagent gas is flowing.

Action

Turn on the correct reagent gas for your tune file.

Possible Cause

Ion polarity is set to Negative. No reagent gas ions are formed in NCI.

Action

Switch to Positive ionization mode.

Possible Cause

The reagent gas flow is set too low.

Action

Increase the reagent gas flow.

Possible Cause

Reagent gas supply tubing is blocked, kinked, pinched, or disconnected.

Action

Inspect and, if necessary, repair or replace the reagent gas supply tubing.

Possible Cause

Wrong filament wires are connected to filament.

Action

Make sure that the filament 1 wires are connected to the CI ion source filament and that the filament 2 wires are connected to the dummy filament.

Possible Cause

Carbon has built up on the filament, or filament has sagged out of alignment.

Action

Inspect the filament. If necessary, replace the filament.

Possible Cause

Too much air or water in the system.

Action

Run the methane pre-tune. Peaks at m/z 32 and 19 usually indicate air and water, respectively. Bake out and purge the instrument until the peak at m/z 32 is smaller than that at m/z 31 and the peak at m/z 19 is reduced to a very low level. If the peak at m/z 32 does not decrease, an air leak is likely. See the section Air leaks.

Possible Cause

The signal cable is not connected.

Action

Check and, if necessary, reconnect the signal cable.

Possible Cause

The filament or filament support is shorted to the ion source body or repeller.

Action

Inspect the filament. If necessary, realign the filament support arms.

Possible Cause

The electron inlet hole is blocked.

Action

Inspect the electron inlet hole. If necessary, clean the hole with the supplied 0.016-inch drill bit. If the electron inlet hole is that dirty, the entire ion source probably needs to be cleaned. See the Maintenance chapter of the hardware manual for more information.

Possible Cause

Ion source wires are not connected, or incorrectly connected.

Action

Inspect the repeller. Make sure the repeller lead is firmly attached to the repeller. Inspect the wires to the ion focus and entrance lenses. If the connections are reversed, correct the problem.

Possible Cause

One of the electron multiplier leads (in the vacuum manifold) is not connected.

Action

Check and, if necessary, reconnect the electron multiplier leads.

Possible Cause

Saturated methane / isobutane gas purifier.

Action

Replace the gas purifier.


No or low PFDTD signal, but reagent ions are normal

Possible Cause

You are flowing any reagent gas but methane in PCI.

Action

Switch to methane.

Possible Cause

Wrong or corrupted tune file loaded.

Action

Check your tune file.

Possible Cause

No PFDTD in the calibrant vial.

Action

Inspect the calibration vial on the back of the flow controller. If necessary, fill the vial with PFDTD. Do not fill the vial completely; keep the level at least 0.5 cm from the top of the vial.

Possible Cause

The pressure of the methane entering the flow controller is too high.

Action

Make sure the regulator on the methane supply is set to 10 psig (70 kPa).

Possible Cause

The CI ion source is dirty.

Action

Clean the ion source. See the Maintenance chapter of the hardware manual for more information.

Possible Cause

The calibration valve was not purged after the vial was refilled.

Action

Purge the calibration valve as described in the Maintenance chapter of the hardware manual. Then clean the ion source.

Possible Cause

The calibrant vial was overfilled. Excess PFDTD can quench the chemical ionization reactions.

Action

Check the level of the PFDTD in the calibration vial as described in Maintenance chapter of the hardware manual.


Excessive noise or low signal-to-noise ratio

Possible Cause

The GC injection port needs maintenance.

Action

Refer to the 6890 GC manual.

Possible Cause

The CI ion source is dirty.

Action

Clean the ion source. See the Maintenance chapter of the hardware manual for more information.

Possible Cause

Poor vacuum

Action

Check the pressure on the high vacuum gauge controller.

Possible Cause

Air leak.

Action

Run Methane Pre-tune (in PCI). Large peak at m/z 32 indicates air in the system. Check for and correct any leaks. See the section Air leaks.

Possible Cause

Saturated methane / isobutane gas purifier.

Action

Replace the gas purifier.


Large peak at m/z 19

If the abundance of the peak at m/z 19 is more than twice the abundance of the peak at m/z 17, then there is probably too much water in the system.

Possible Cause

The system was not baked out sufficiently after it was last vented.

Action

Bake out the system as described in the Maintenance chapter of the hardware manual.

Possible Cause

Moisture left over in the reagent gas supply tubing and flow module.

Action

Purge the reagent gas supply lines for at least 60 minutes. See the Maintenance chapter of the hardware manual.

Possible Cause

Contaminated reagent gas supply.

Action

Replace the reagent gas supply and purge the lines and flow module.

Possible Cause

Saturated methane / isobutane gas purifier.

Action

Replace the gas purifier.


Peak at m/z 32

A visible peak at m/z 32 in methane pre-tune often indicates air in the system.

Possible Cause

Residual air from recent venting — check for water indicated by a large peak at m/z 19.

Action

Bake out the system as described in the Maintenance chapter of the hardware manual.

Possible Cause

New or dirty reagent gas supply tubing.

Action

Purge the reagent gas supply lines and flow module for at least 60 minutes as described in the Maintenance chapter of the hardware manual.

Possible Cause

Air leak.

Action

Check for leaks and correct any that you find. See the section Air leaks. After all leaks have been corrected, clean the ion source.

Possible Cause

Contaminated reagent gas supply. Suspect this if you have recently replaced your gas tank, and you have ruled out air leaks.

Action

Replace the reagent gas supply.

Possible Cause

The capillary column is broken or disconnected.

Action

Inspect the capillary column. Make sure it is not broken and it is installed correctly.

Possible Cause

Saturated methane / isobutane gas purifier.

Action

Replace the gas purifier.


Tuning-related symptoms (overview)

This section describes symptoms related to tuning. Most symptoms involve difficulties with tuning or with the results of tuning. The following symptoms are covered in this section:

Reagent gas ion ratio is difficult to adjust or unstable

High electron multiplier voltage

Can not complete autotune

Peak widths are unstable


Reagent gas ion ratio is difficult to adjust or unstable

Possible Cause

Residual air and water in the MSD or in the reagent gas supply lines.

Action

Run the methane pre-tune. Air will appear as a peak at m/z 32 and excessive water as a peak at m/z 19 > m/z 17. If either of conditions is present, purge the reagent gas supply lines and bake out the MSD. Continued presence of a large peak at m/z 32 may indicate an air leak. After correcting the problems, you may need to clean the ion source.

Possible Cause

Air leak.

Action

Run Methane Pre-tune (in PCI). Large peak at m/z 32 indicates air in the system. Check for and correct any leaks. See the section on Air leaks.

Possible Cause

The reagent gas supply is at the wrong pressure.

Action

Check the regulator on the reagent gas supply. It should be adjusted to

20 psi (140 kPa).

Possible Cause

A leak in the reagent gas delivery path. This is especially likely if you have set the methane flow much higher than normal and the ratio is still too low.

Action

Check the reagent gas path. Tighten fittings.

Possible Cause

The CI ion source is dirty.

Action

Clean the ion source. See the Maintenance chapter of the hardware manual for more information.

Possible Cause

The interface tip seal is incorrectly placed, damaged, or missing.

Action

Inspect the interface tip seal. If necessary, remove and reinstall it to insure a good seal with the CI ion source. Replace it if it is damaged. Install it if it is missing.


High electron multiplier voltage

The electron multiplier voltage can range from a few hundred volts to 3000 V. If the CI autotune program consistently sets the electron multiplier voltage at or near 3000 V, but can still find peaks and complete the tune, it may indicate a problem.

Possible Cause

The filament is worn out. The CI filament may wear out without actually breaking. Check the Electron Energy ramp; the curve should have a definite maximum with an inflection point. If the curve is linear with a positive slope and no inflection point, and the EMV is high, the filament has stretched to the point where it does not line up with the hole in the ion source body, and most electrons are not getting into the source.

Action

Replace the filament.

Possible Cause

The analyzer is not at the proper operating temperature.

Action

Verify the ion source and quadrupole temperatures. The default source temperature is 250°C for PCI and 150°C for NCI. The quadrupole temperature is 106°C for both CI modes.

Possible Cause

The CI ion source is dirty.

Action

Clean the ion source. See the Maintenance chapter of the hardware manual for more information.

Possible Cause

The electron multiplier (detector) is failing. Switch to EI mode and confirm.

Action

Replace the electron multiplier.


Can not complete autotune

Possible Cause

Wrong or corrupted tune file.

Action

Check the tune parameters.

Possible Cause

The m/z 28/27 ion ratio (for methane) is incorrect. The correct ratio should be between 1.5 and 5.0.

Action

If the ion ratio is incorrect, adjust it.

Possible Cause

The CI ion source is dirty.

Action

Clean the ion source. See the Maintenance chapter of the hardware manual for more information.

Possible Cause

Too much air or water in the system.

Action

See the section on Air leaks. After eliminating these problems, clean the ion source.


Peak widths are unstable

Possible Cause

Wrong or corrupted tune file.

Action

Check the tune parameters.

Possible Cause

The CI ion source is dirty.

Action

Clean the ion source. See the Maintenance chapter of the hardware manual for more information.

Possible Cause

Air leak.

Action

Run Methane Pre-tune (in PCI). A visible peak at m/z 32 indicates air in the system. Check for and correct any leaks. See the section Air leaks. After eliminating all air leaks, clean the ion source.


Diagnostics / Vacuum System Control

The Diagnostics and Vacuum System Control view, accessed from the View menu in Instrument Control and the Tune views, includes the following menu items:

File | Lets you perform file management tasks
Status | Lets you check the status of the MSD.
Vacuum | Controls venting or pumping down the MSD; purging the calibration valve.
Diagnostics | Accesses MS diagnostics
Logs | Accesses log files
View | Changes from one view to another
Stop/Abort | Stops or aborts the current process. Use Abort unless instructed by the software to use Stop.


Overview of Secured Control

Secured Control allows the laboratory manager to set up two modes of security for operation of the MSD ChemStation. Both modes use an accounts system that requires an operator to be logged in before using the instrument. The first mode is the normal ChemStation environment, which gives the operator complete access to method development, instrument tuning and data processing. The second mode restricts the operator to running samples with a pre-defined set of methods using an Autosampler. The first mode is typically used to ensure that only trained and qualified individuals access the ChemStation. The second mode is used to permit untrained individuals to submit samples for analysis, but not to have access to the full capability of the ChemStation.

The accounts system is set up by a manager with a level 300 permission. Secured control may be started by a supervisor with a level 200 permission. The day-to-day operator is assigned a level 100 permission, which at a minimum requires login and may mean restricted access to the ChemStation software if secured control is on.

Secured Control is accessed and managed from the Top view of the MSD ChemStation.

See Also

Secured Control Menu


Secured Control Menu

Enable Security | Initiates password requirement for use of the MSD ChemStation menus and views. The passwords and users are determined using the Edit Accounts menu item below. When control is already enabled, this menu item is Disable Security.
Start Secured Control | Initiates restricted access mode in which a user with the proper account name and password has no access to menus or views, but is restricted to starting predefined methods using an Autosampler.
Select Methods for Secured Control | Lets the manager specify which methods may be run by an operator when the system is under secured control.
Set / Change Startup Method | Lets the manager specify the method to be run whenever someone logs in.
Set / Change Standby Method | Lets the manager specify the method to be run whenever a method is concluded and the system is not in use.
Assign Sample Names to Method | Lets the manager associate up to 15 sample names to the currently loaded method.
Use Sample-centric Secured Control | When this item is checked, the sample-centric sample names will be selected by the operator instead of the current method names. This menu item will be dimmed if no methods have been assigned sample names or if all methods have been deleted from the sample-centric method list.
Report Manager Password | Prompts you for your password for Report Manager. See the Report Manager help.
Edit Accounts | Prompts you for an account file password and then displays an accounts list. For more information, click the Help buttons in these dialog boxes.


Enable Security

Enable Security is used to initiate Secured Control. Security may be turned on or off only by managerial personnel who have a security level of 300. Once security is invoked, the other menu items of the Secured Control menu are activated, and any time the ChemStation or Data Analysis is started, the operator will be prompted for a login account and password. The accounts file initially is set up with the following accounts, passwords, and capability levels:

Account | Password | Level | Comment
manager | manager | 300 | Required to edit accounts
supervisor | supervisor | 200 | Required to start secured control
operator | operator | 100 |
MANAGER | MANAGER | 300 | Required to edit accounts
SUPERVISOR | SUPERVISOR | 200 | Required to start secured control
OPERATOR | OPERATOR | 100 |
CEUSER | Known to Agilent Technologies only; do not change or remove
ceuser | Known to Agilent Technologies only; do not change or remove

Note The account names and passwords are case sensitive.

The Accounts file also has a password. The default password for the Accounts file is msd. To ensure a secure system it is advisable to use the Edit Account menu item to change the passwords or the MANAGER, SUPERVISOR, and OPERATOR accounts and to change the password of the accounts file. If the password of the accounts file is forgotten, the software must be reloaded. The CEUSER accounts must be left in the accounts file for Agilent Technologies service personnel.


Start Secured Control

The restricted access mode of secured control is invoked by the Start Secured Control menu item. This mode may be invoked only by an individual whose account level if 200 or greater. Once this mode is invoked, individuals must log in prior to submitting a sample and are only permitted to submit samples. Access to the other capabilities of the ChemStation is not permitted.

Note For this function to work, an autosampler must be installed.

Once an operator is in the restricted access mode of secured control, only the following activities are permitted:

Activity | Permission
Run an Individual Sample | Any Level
Run a Batch of Samples | Any Level
Restart the Secured System | Supervisor
Reset Counters (File or Vial) | Supervisor
Method Select Manager | Manager
Exit Secured Control | Supervisor

Each time one of these acitivities is attempted, the user is prompted for an account name and password. If it is not at the right level, the action will not be completed.

When Start Secured Control is selected, the operator is asked whether to start MS-1, which is the restricted mode window and is controlled by the Report Manager. To run the samples and generate reports, the answer must be yes.

The operator is then asked to select whether to:

Run Individual Sample

This choice prompts for login, displays list of secured analysis methods, and tells operator to place the vial in a specific position in the Autosampler rack. Then it prompts for Sample Title and Misc Info.

Then it prompts for Another AutoQueue. A Yes answer causes the program to recycle through the steps just described.

As each sample is recorded, it is listed with its file name sequentially in Report Manager, which is iconized in the icon bar. You can open this program to see what the sequence of runs will look like. When you are ready to run samples, click the Start button in Report Manager.

Run Batch of Samples

This choice generates the same sequence of events as Individual Sample, except that you are prompted for Sample Title, Misc Info, and Number of Vials. All samples will have the same sample name with an incrementing counter and miscellaneous information.

Restart Secured System

Restarts the system and sets up another sequence of runs in the Report Manager.

Reset counters (File or Vial)

Resetting the file counter changes the last 1 or 2 digits of the file name assigned by the Report Manager. Resetting the vial counter enables you to skip a slot in the tray and changes the listing on the Report Manager window.

Method Select Manager

Exit

Prompts for password. Shutting down the Secured Control sample queue panel prevents the submission of new samples for analysis, but will not prevent acquisition of previously submitted samples that have not yet been run. To fully terminate secured control, you must also select the Report Manager from the Task Bar, and select the Shutdown button for MS-1. The shutdown will occur after the current data acquisition has completed.


Set / Change Startup / Standby Method

The supervisor or manager can also specify a Startup method and a Standby method. The startup method is executed any time restricted access mode of secured control is started. Typically, the startup method is used to heat up the chromatographic system to temperatures slightly higher than the temperatures used in the acquisition methods. The Standby method is invoked when there are no samples to be analyzed. The Standby method typically reduces column flow to conserve carrier gas and reduces oven temperatures to minimize the heat load within the laboratory.

When you select Set / Change Startup Method, a dialog is displayed that prompts you to select one of the following:

Select Startup Method | Displays a select file box
Load/Edit/Save/Select Method | Lets you select a method, edit the entire method if you wish, and save it
Disable Startup Method | Disables the current startup method.

When you select Set / Change Standby Method, a dialog is displayed that prompts you to select one of the following:

Select Standby Method | Displays a select file box
Load/Edit/Save/Select Method | Lets you select a method, edit the entire method if you wish, and save it
Disable Standby Method | Disables the current standby method.
Select Standby Timeout | Disables the current startup method.


Select Methods for Secured Control

This menu item is available only to individuals with a level 200 or 300 account. Selecting this menu item displays the Secured Control Method Manager where up to 6 methods can be selected for use in the restricted access mode of secured control.


To Use Sample-centric Secured Control

  1. Enable Secured Control mode.

  2. Assign sample names to a method.

  3. Select Secured Control / Use Sample-centric Secured Control. A check mark appears next to this menu item.

  4. Select Secured Control / Start Secured Control.

  5. Select Run Individual Sample or Run Batch of Sample and click OK. The Select Sample Name dialog box will be displayed.

  6. Selecting one of the sample names in the list will cause the associated method to by used by Secured Control. The method to be used is added to the list to the right of the FIRST sample name for that method if there are multiple methods in the sample centric method list.


Overview

The Report Manager software manages report generation and data acquisition from ChemStations. Data Analysis reports are initiated from the Jobs menu in Data Analysis. Data Acquisition is initiated from the Secured Control menu of the Top view (not in the Environmental software). For either process, a request or job is sent to the Report Manager. The Report Manager maintains a queue or list of requests for each configured process. Requests are processed in the order in which they are received by a non-interactive or background copy of Data Analysis or Instrument Control. The Report Manager may be configured to redirect reports to other instances of the Report Manager or other networked computers.


Configure Report Manager

To Configure Report Manager

The Report Manager configuration determines the destination and program for processing requests. There are two major steps to configure a Report Manager system:

Select a Node

Select a Process

Additional Report Manager systems can be added by selecting the Add button on the Configure Reporting System dialog box. This prompts you for the name of the system to be added.

The Report Manager is pre-configured with two Data Analysis processes, MSDA and MSDA2 that will execute on the local system. Whenever Secured Control is first started, an Instrument Control process, MS-1, on the local system will be created automatically.


To Manage Report Systems

A Report System is the application and node which process a request. In most cases, the application will be Data Analysis.

When Report Manager is displayed, you will see a list of configured Report Systems.

  1. Select a Report System from the list.

  2. Click one of the following buttons:

    Start

    Pause

    Resume

    Shutdown

See Also

To Check the Status of a Report System


To View Requests

To refresh the list of requests currently in the request stack, select File / Refresh.

Report Manager lists all requests sorted by Report System. This list is automatically updated whenever an item is added or deleted.

Requests Not Listed

Report Manager lists requests based on node and process. It is possible for a request not to appear in the list. If there are pending requests for a Report System and the node of that system is changed, the requests will not be displayed under the system name with the changed node name.


To Prioritize a Request

To move a request to the top of the stack:

  1. Select the request.

  2. Click the Move to Top button.

The selected request will be next in line to be processed.


To Delete a Request

To delete a request from the Report Manager:

  1. Select the request.

  2. Click the Delete button. The selected request is then deleted from your request stack.

To delete all requests from Report Manager:

  1. Select File / Delete File in Report Manager.

  2. You are prompted to confirm the deletion of all requests. Click OK or Cancel.

Note: Deleting all requests may leave requests on another Report Manager system. When deleting all requests, it is recommended to delete all requests on all systems in the network.


QList Configuration

QList / DOLIST Configuration

This Configuration Panel is used to modify the list of options available when selecting multiple data files for processing using Report Manager (QList) or local Data Analysis (DOLIST). Because the selection panel for QList is limited to only 6 options, the options you want to use may not be in the list.

This Configuration Panel lets you pick from nearly thirty Report Manager or Data Analysis tasks, or new options to be added. Once the options are in the Selected Options list, click OK to update the selections available in QList or DOLIST.

Add

Copies the current selection in the Option List to the Selected Options list.

Remove

Deletes the selected item from the Selected Options list.

Add Option

Lets you enter a new option to the Option List.

Delete Option

Lets you delete an item from the Option List.

Command Name

Lets you specify the name of a command as it is to appear in the panel.

Command String

Lets you specify the command to run. Go to the help for the individual command for more information. For example, quantitation commands use the QT command.


To Import from an Outside Source

Report Manager can be configured to monitor the existence of files in a directory and to automatically create requests when files are detected. Monitoring occurs twice per minute if one or more of the following options is configured.

Import from RTE

Import from UNIX

Import from 3365

Import from Peak - 96

Import from an External Source


Delete File

Lets you delete all requests from a Report Manager:

  1. Select File / Delete File in Report Manager.

  2. You are prompted to confirm the deletion of all requests. Click OK or Cancel.

Note: Deleting all requests may leave requests on another Report Manager system. When deleting all requests, it is recommended to delete all requests on all systems in the network.


Exit

Exits Report Manager. Processes running in the background are not affected.


System Name

Used to identify the computer where a report was generated. This name will appear in the footer of most reports generated by Environmental Data Analysis.


To Import from RTE

Note: AdvanceLink for Windows, the RTE.ACP file, and the RTE procedure files described in this topic are no longer supplied with this software. This capability has remained in the Report Manager to serve existing customers.

Overview

When used with AdvanceLink for Windows, Report Manager can automatically receive data files from an RTE-6 or RTE-A data system through an RS-232 serial port and generate requests to process the data.

The RTE system uses a procedure file to convert the data into ChemStation format and initiates an XMODEM transfer. The procedure also transfers the values of the globals 1G-4G.

A script running in AdvanceLink for Windows monitors the serial port and does the handshaking to receive the converted data file. The data file on the PC has the same file name as on the RTE system except the > character is removed and the extension .MS is added.

In addition to the data file, a text file is created which contains the values of the globals 1G-4G. This file has the same name as the data file except the extension is .RTE.

Report Manager monitors for files with the extension .RTE. When a file is detected, a directory is created with the data file name and .D extension (the standard ChemStation format). The data file is renamed DATA.MS and is put into the new directory.

The globals in the .RTE file are used to create a request. 3G is entered as the Environmental method to run and 4G as the command. If no command is entered then RUNMETHOD is used.

To Configure Your System

  1. Configure RTE.

  2. Configure AdvanceLink for Windows.

  3. Configure Report Manager for RTE Import.


To Import from UNIX

Overview

Report Manager can process data acquired using the 59940 MS ChemSystem (HP-UX series). This configuration requires transparent file access to the HP-UX system from the PC using software such as ChemLan.

When using Report Manager to process files acquired on the HP-UX ChemSystem, a post-run macro generates an ASCII file with the extension .UNX in the same directory as the data file. Report Manager monitors for the presence of the *.UNX files.

When a file is detected, it is read to determine the method to run. After the file is read, a request is added to Report Manager and the .UNX file is deleted.

UNIX Post Run Macro

Name PostRun

! Macro to Create an ASCII file containing Report Manager Request

Open d_file$[1:len(d_file$)-2]+".unx" for output as #7

Print using #7,"[PostRun]"+ Chr$(13) + Chr$(10)

print using #7,"Source=HPUX"+Chr$(13)+Chr$(10)

! The name of the Environmental method to run. In the example, RTE.M

Print using #7,"RptMethod=RTE.M"+Chr$(13) + Chr$(10)

Close #7

! Give the file write access

Execwait "chmod a+w "+d_file$[1:len(d_file$)-2]+".unx"

Return

On the HP-UX ChemSystem, select a post-run macro in the Method Run Checklist and enter PostRun as the name of the macro to run. Edit the file user.mac in the method directory to contain the PostRun macro. HP-UX and DOS use different characters for end of line markers so Chr$(13) + Chr$(10) is used in place of "/" for end of line.

To Configure Report Manager

  1. In Report Manager, select Options / UNIX Monitor.

  2. Enter the directory to monitor for the presence of .UNX files

  3. Check the box Start Monitor during initialization.

The method must exist in the directory specified by _methpath$ found in [PCS,1] section in win.ini.


To Import from Peak - 96

Overview

Report Manager can be used to process data acquired using an integrator connected to Peak 96 running on a PC. Peak 96 uploads the data file from the integrator to the PC and converts it to 3365 GC ChemStation format. Report Manager then detects the file and runs the specified method on the data file.

To Configure Peak 96

  1. Select Set Up PC from the Data Acquisition menu.

  2. Enter Y for Auto Export, Data to ChemStation.

To Configure Report Manager

Report Manager can be configured to receive data from up to 4 integrators.

  1. Select Options / Peak - 96 Monitor.

  2. Enter the path and method for each integrator configured in Peak - 96. The method must exist in the MSDchem\1\methods directory.

  3. Check the box Start Monitor during initialization.


To Import from an External Source

Overview

Report Manager can process data acquired using previous or current versions of the G1701DA MS ChemStation. This configuration requires transparent file access between the external system and the PC running the Report Manager.

When using Report Manager to process files acquired on an external MS ChemStation, data files are copied from the external acquisition PC to the processing PC, A contributed macro (expdata.mac) is executed on the external ChemStation to configure the destination folder on the processing PC. This same macro is then used as a post-run method macro to copy the data files to the processing PC, and generate an ASCII file with the extension .DAT in the same directory as the data file. Report Manager monitors for the presence of the *.DAT files.

When a .DAT file is detected, it is read to determine the method to run. After the file is read, a request is added to Report Manager and the .DAT file is deleted.

"Imported" folders are created in a similar fashion to the folders on the external ChemStation to allow data storage from multiple external sources.

To Configure the External ChemStation

  1. Copy the contributed macro expdata.mac from msdchem\supplemental\utility programs\file_transfer to the default executable folder of the external ChemStation (for MS ChemStations, this is the msexe folder).

  2. Load the macro from the TOP process by typing macro "expdata.mac" on the command line.

  3. Begin the configuration process by typing configexport on the command line. Enter the path the data files will be copied to on the Report Manager PC. This MUST be a drive the report manager PC can access transparently.

  4. Edit the method on the external PC to add the post-run macro command:

    macro "expdata.mac",go

Note: The method used to collect the data will be the one that is specified as the data processing method. See the note regarding method location on the processing PC below.

To Configure Report Manager

  1. In Report Manager, select Options / ImportData Monitor.

  2. Enter the folder to monitor for the presence of .DAT files. This is the folder that the external PC will copy the data files to as specified during the configuration. Up to 4 folders can be specified for monitoring.

  3. Check the box Start Monitor during initialization.

Note: The processing method must exist on the processing PC in the directory specified by _methpath$ found in [PCS,1] section in msdchem.ini.


Contents

Displays the Contents page of the online help for Report Manager.


About

About Report Manager

Displays the Report Manager software revision and license information.


Glossary - Report Manager

Glossary

Node

A node is a system on a network. In Report Manager, a node can be a mass spectrometer and data system or a data processing-only system.

Process

A process is an application which can execute a command represented by a request. In most cases the process will be Data Analysis. The Report Manager has two configured processes, MSDA and MSDA2.

Report System

A Report System is a process configured to run on a particular node. When generating requests, Data Analysis deals with a Report System name. The defaults are RPT1 and RPT2. When a request is added to Report Manager, the Report System name is used to determine the ultimate destination and the process to execute the report generation.


System Commands

Each ChemStation application has a set of commands:

Instrument Control

Tune

Data Analysis

Top

Common commands and functions are available in all applications.

You may use these commands by entering them on the command line or by incorporating them into macros. Variables are used by some of the commands.

See Also

Using Help on Commands

Entering Commands

Using Functions

Using Variables


Using Help on Commands

All commands are presented in this generalized style:

COMMAND required parameter [, optional parameter] [, KEYWORD1 / KEYWORD2] ["string"] [1/0]

  • Commands are mnemonic words shown in upper case (but you can type them in lower case).

  • Commands are followed by parameters that are presented in lower case if they specify a type of information to be entered and in upper case if they are keywords to be entered exactly as shown. No blank spaces are allowed in keywords.

  • Any parameter that must be enclosed in quotation marks when you type it is shown as "parameter" in the syntax summary or, when the parameter may be a scalar or a string, in the definition of the parameter.

  • There are two types of parameters: optional and required. Optional parameters are indicated by brackets [parameter]. Do not type the brackets if you use the parameter.

  • If only one of several options for a parameter is to be selected, the options are separated by slashes: KEYWORD1 / KEYWORD2.

  • Unlike previous versions of the ChemStation, ON / OFF, TRUE / FALSE, YES / NO are not keywords and cannot be used. Parameters with these functions are set by entering 1 (on) or 0 (off).

  • When brackets are nested, parameters in inner brackets can only be specified if parameters in outer brackets are specified.

  • The system has several commands that can be used only in macros. In the help, these commands are identified by beginning the description with "Used in a macro to. . ."


Entering Commands

Do not mix the use of commands with menus unless you are fully aware of the consequences of the commands. For example, certain commands in Data Analysis place chromatograms and spectra in different variables than do the apparently identical menu items. Thus, some menu items may appear not to work after certain commands are used.

  • Use upper and/or lower case. You may shorten the command to as many letters as will uniquely identify it.

  • Separate the first parameter from the command by a space.

  • Parameters enclosed in brackets are optional; to specify such parameters, do not type the brackets.

  • To give new values to optional parameters, type them after the command in the order specified in the description of the command.

  • Each optional parameter has a default value. To use the default values of all parameters, enter the command only. If some parameters are required, rather than optional, and you do not enter them, an error will be generated.

  • To use the default value of a single parameter within a string of parameters, enter only a comma for that parameter.

  • All text strings used in commands must be enclosed in quotation marks: "text".

  • When entering a file name, use the complete path (path/filename) unless the file is in the current directory. The entire path must be enclosed in quotation marks.

  • When you have typed the command and any parameters, press Enter.

  • Fractional values used as parameters must be entered with a number before the decimal point, e.g., 1.5, 0.5.


Using Functions

Functions perform some type of processing on a parameter list and return a result. When you enter a function name at the command line, the result is printed on the message line. (See Entering Function Names.) Functions are most commonly used as part of a statement that assigns a value to a variable. For example, Number = SQRT(4) + 1 assigns the value 3 to the variable Number.

The name of a function tells whether the value returned is a number or a string. If the name ends with a $ symbol, the function returns a string. If the name does not end in a $, the function returns a number. If the result of a function is to be assigned to a variable, the type of variable and the type of function result must match:

Today$ = DATE$()

NumSeconds = TIME()


Using Variables

Variables are named locations in computer memory where data is stored. Some commands affect the value of certain variables; these variables are listed in the description of the command. Variables can be used by macros to temporarily store a value or to return a result. See Assigning Values to Variables.

Not all variables are present or available in all programs. To view the list of variables currently defined in a program, use the REMOVE command.

Variable names are not case-sensitive. They can be up to 132 characters long, but only the first 15 characters are significant

There are three basic types of variables: numeric (scalar), string, and array. These variables may either be reserved for system use or not. A reserved variable is recognizable in the REMOVE list by the underscore character (_) that precedes its name.


Common Commands

Common Commands and Functions

These commands and functions are available for use in all ChemStation applications. Note that functions include a value in parentheses ( ) following the function name. In commands, optional parameters are shown in brackets [ ]. For more information about a particular command or function, click on its name.

See also Entering Commands

ABS (numeric expression)

ALERT ["message string"] [,type] [,variable]

ARRAYSTAT (array1, number of items)

ASC ("ascii character")

BIT_AND (a,b)

BYE

CEIL (numeric expression)

CHECK ("keyword", "name")

CHR$ (ascii number)

CLOSE [#file number] [,...]

CMDLINE 1/0

COLS (matrix name)

COMMANDS

COPY "from name", "to name" [,DONTASK]

CPBYE

CPPURGE symbol

CPSHOWWIN winid [,loc]

CPTAG symbol

CPTITLE "title string"

CPTITLE$ ( )

CPTOOL symbol, anyobject, symbol, scalar

DATE$ ( )

DDEADVISE channel, "item", variable name

DDEEXECUTE channel, "command"

DDEINITIATE ("application name", "topic")

DDEPOKE channel, "item", "string"

DDEREQUEST channel, "item", variable name

DDETERMINATE channel

DELETE "file / directory" [,DONTASK]

DIM variable name, scalar1 [,scalar2]

DLLINSTALL ("filename")

DLLREMOVE scalar

DOSRUN "runstring"

ECHO 1/0

ECHOMODE 1/0

ELSE

ENDIF

EOF (filenumber)

EQSTR ("s1", "s2")

EVALUATE "command string"

EXEC ("runstring", window size)

EXP (numeric expression)

FILEATTRIBUTES$ ("path", "attributes")

FILESIZE "filename"

FILESTAT ("directory" / "filename")

FINDFIRSTFILE ("mask", "output variable", "attributes")

FINDNEXTFILE (handle, "output variable")

FLOOR (numeric expression)

FREESPACE ("drive letter")

GENERATE_ERROR [error number] [,"string"]

GETCWD$ ( )

GETINFO ("item name")

GETINIINT ("filename", "application name","keyname")

GETINISTRING$ ("filename", "application name", "keyname")

GETPROPERTY string, string, symbol

GETWINDOWID "title"

GETWINLOC [x] [,y] [,width] [,height]

HELP

IF THEN [ELSE] ENDIF

INISTRFORINT$ ("filename", "application name", scalar)

INPUT "string expression", string variable

INPUT #file number, variable$

INPUT6 type, count, "title", label object, button object, variable name [,help index] [,help file]

INSERT index, destination, source

INSTR ("s1", "s2")

JOIN destination name, source name

LEN ("string expression")

LN (numeric expression)

LOCAL variable name [,variable name] [,...]

LOG (numeric expression)

LOGGING [1/0] [,"filename"] [,commands] [,messages] [,errors] [,info] [,erase]

LOWER$ ("string")

MACRO ["macro filename"] [,GO]

MDIARRANGE

MDICASCADE

MDITILE 0/1

MENUBEG

MENUCHG objectname, "string" [,"menu item"] [,"command / macro"] [,"help text"] ["control text"]

MENUCMD "label string", "command string" [,"message string"] [,variable name]

MENUCMDFN "label string", "command string" [,"message string"] [,"string"]

MENUEND [objectname]

MENUHLP 1/0

MENUNEW "name string"

MENUSEP

MENUSHW [objectname]

MENUSTP ["label string"] [,"message string"]

MENUVAR "label string", "assignment statement", "message string"

MKDIR "directory name"

MOD (a,b)

MTIME (numeric expression)

NAME macroname

NUM (setname / arrayname)

ON_ERROR trap

OPEN "filename" FOR OUTPUT / FOR APPEND / FOR INPUT AS #file number

PARAMETER parameter list

PRINT expression [,...]

PRINT #file number, expression [,...]

PRINT USING "format image string", expression [,expression] [,...]

PRINT USING #file number, "format image string", expression [,expression] [,..]

PRINTTEXTFILE "filename"

PROTECTMACRO ["filename"], ["password"]

PULLOUT index, source, destination

REMOVE [macro name / variable name] [,...]

REMOVELIST ["basename"]

RENAME "from name", "to name", [,DONTASK]

RETURN

RMDIR "directory name"

ROUND (number)

ROWS (matrix name)

RUNCLASS (run type)

SELECTFILE attribute, "title" [,"extension"], name for path variable, name for file variable, name for file status variable

SDIM set name, positive integer

SETINFO "item name"

SETINISTRING ("filename", "application name", "keyname", "string")

SLEEP time

SPRINT variable name, expression [,...]

SPRINT USING "format image string", expression [,expression] [,...]

SQR (expression)

SQRT (expression)

STRCMP ("string1" ,"string2")

TIME ( )

TIME$ ( )

TOPCMD "command"

TOPDOT variable name

TRUNC (expression)

UNPROTECTMACRO ["filename"], [“password”]

UPPER$ ("string")

VAL ("string")

VAL$ (expression)

VARLOCK 1/0

VERSION

VERSION$ ( )

WHILE - ENDWHILE

WINMOVE [x] [,y]

WINSIZE [width] [,height]


Top Commands

These commands are available for use in Top. Optional parameters are shown in brackets [ ]. For more information about a particular command, click on its name.

See Also Entering Commands.

DATANALYSIS ["command"] [,"autostart macro file"] [,QUIT] [,ICON]

EDITMETHPANEL [edittop] [,editacq] [,editda]

LOADMETHPANEL ["method"] [,clear]

LOADMODE [insctl] [,da]

LOADSEQUENCE ["sequence filename"]

METHINFOPANEL

MSINSCTL ["command"] [,"autostart macro file"] [,QUIT] [,ICON]

POP / PUSH

PROMPTMODE [insctlmode] [,damode]

RUNMODE ["mode"]

SAMPLELOGTABLE keyword [,"string"]

SAVEMETHPANEL "methodpath"

SAVESEQUENCE ["sequence file name"]

SAVETOPMETHOD

SETDATAFILE type, argument

STARTRUNPANEL

STARTSEQPANEL

STATUSPANEL [1/0]

SYNCHRONIZE

TOPBOX1 "message", color

TOPBOX2 "message", color


Instrument Control Commands

Instrument Control Commands and Functions

The following commands and functions are available to control the 6890 Series GC/MSD system. Note that functions include a value in parentheses ( ) following the function name. In commands, optional parameters are shown in brackets [ ]. For more information about a particular command, click on the name of the command.

See Also | Entering Commands.
 | Common Commands Tune Commands

EDZONE

FIRMWARE7673$ ( )

GCMETHODEDIT (panel number)

GCMETHODEDIT$ ( )

GCMETHODLOAD "method filename and full path"

GCMETHODNAME ( )

GCMETHODNUM ( )

GCMETHODPRINT "filename and full path"

GCMETHODSAVE "method filename and full path"

GCPLOTEDIT ( )

GCPLOTOFF [plot number]

GCPLOTON [plot number]

GCSHOWDEVICEWIN [window number] ,bitmap number, x position,y position

GCVIEWPARAMS ( )

ICARRANGEPLOTS [scalar] [,scalar] [,scalar]

ICCREATEBAR ( scalar, string, scalar, scalar, scalar, scalar )

ICCREATEHP (scalar, scalar, scalar )

ICDESTROYGADGET scalar

ICDUMPERROR

ICMAKEDIR "string"

ICSAMPLEINFO scalar

ICSHOW scalar

INJECTORS7673 ( )

INSTRVIEW symbol, scalar

LBADDENTRY "message", "text", ["helpfilename"] [,help number]

LBCLEAR ["filename"]

LBCREATEBM (bitmap,x,y)

LBDISPLAY 0/1 [,"filename"]

LBPRINT ["spool file name"] [,"data path and file for logbook"]

LBSAVEAS "source data path and file", "destination data path and file"

MSMETHODEDIT ( scalar, string )

MSMETHODLOAD

MSMETHODPRINT "string"

MSMETHODSAVE "directory name"

MSQUERYTUNE ( )

MSRECOVER "filename - full path"

MSRTCHANGE

MSSENDVALVES

MSSHOWDEVICEWIN scalar, scalar, scalar, scalar

MSTEMP SOURCE / QUAD [,actual] [,setpoint current] [,setpoint new] [,limit current] [,limit new]

MSVIEWPARAMS ( )

MS_SEND_VALVES

NOTRAY7673

PICKTUNEFILE

READBARCODE$ ( )

RCMETHODEDIT ( )

RCMETHODLOAD

RCMETHODPRINT "filename"

RCMETHODSAVE "directory name"

RUNABORT

RUNERROR

RUNSTART scalar, scalar

SCCLEAR

SCERROR [echo]

SCPOLL

SCQUERY "SC command string", [variable name]

SCTRACE [overwrite]

SCWRITE "SC command string"

SCWRITERD "SC command string", [variable name]

SENDMODULE$ ("68GC", "command string")

SETCIACTIVE ON / OFF

TEMPEQUIL

USETRAY7673

WRITEMODULE "68GC", "command string"


Data Analysis Commands

Data Analysis Commands and Functions

The following commands and functions are available for use in Data Analysis. The list includes general data analysis, quantitation, library and integration commands. Commands specific to the Chemical Structures software are identified and will not work in macros unless you have configured the appropriate software.

Note that functions include a value in parentheses ( ) following the function name. In commands, optional parameters are shown in brackets [ ].

See Also

Entering Commands

+ operator

- operator

* operator

[ ] operator

ABORT

ADDPEAKS variable

ALLCONT [1/0]

ANNOTATE window, object number, x, y [,"text", rel position [,NOREFRESH] [colorindex]

AREAREJECT value, time

AREASUM 1/0, time

AUTOINT variable, , , area reject

AVERAGE time1:time2 [,variable] [,file descriptor object]

BASELINE NOW / NEXTVALLEY / BACK, time

BASELINE ALLVALLEY / HOLD, 1/0, time

BSB [time1:time2] [,variable] [,"filename"] [,DONTASK] [,ignored] [,file descriptor object]

CALEXCEL

CALIBPRINT x0, y0, x1, y1, result number, "filename", scalar

CALRPT [destination]

CCCHK [destination]

CCRPT [destination]

CHROMATOGR [time1:time2] [,mass1] [, ...] [,mass10]

CLEAR [window]

CLEAR variable, result type

CLEARCPNDS [option] [,mode]

CLIP window [,filename]

CLREVENTS

CMI gcms object, left time, right time, left height, right height, baseline checking

COMPOUND [compound number]

CPDANALYZE [file descriptor object] [,n]

CREATEWINDOW (structure object, window id, xlow:xhigh, ylow:yhigh)

CSADDSTRUCT "database file name", structure object [, structure id [, "structure title"]]

CSATTACH structure object, ms object, xlow:xhigh, ylow:yhigh

CSCHRO [file descriptor] [,scan range], filter spectrum; destination

CSCOPY structure object

CSCOPY structure window object

CSCOPY structure id

CSCOPY "cas number string"

CSCREATE (structure id, "database file name")

CSCREATE ("cas number string", "database file name")

CSDRAWOPTS [structure object]

CSEXISTS (structure id, "database file name")

CSEXISTS ("cas number string", "database file name")

CSLIBS

CSMFATTACH metafile object, ms object, xlow:xhigh, ylow:yhigh

CSMFATTACH metafile object, gcms object, xlow:xhigh, ylow:yhigh

CSMFCREATE ( )

CSMOLCREATE ("mol file name")

CSSUBSET "structure id list text file", "source structure database file name"

DELETEINTPEAK window, object, retention time

DLGQDBSETUP code

DOLIST ["macro name"]

DOSCAN ["macro name"]

DRAW [window] [,variable] [,x1:x2] [,y1:y2]

EASYID

EDITCPNDS [variable1], variable2, [n]

EDITEVENTS scalar

EDITGCVALCC

EDITGCVALEPA

EDITGCVALLSC

EDITGCVALTUNE

EDITHEADER [X] [,operation] [,entry number]

EDITMETHFILE "file name"

EDITSTRATEGY [u+a] [,flag threshold] [,tilting] [,purity] [,cross corr] [,duplicates] [,low filter] [,high filter] [,max hits]

EDITVALCC

EDITVALEPA

EDITVALLCS

EDITVALTUNE

EIC [time1:time2] ,mass [,variable] [,file descriptor object]

ENDJOB

ENDLOG

ENDPRINT

ENDSET [correlation window]

ENDWHILE

EXCHANGE [variable] [,variable]

EXIT

EXPORTRSLT ["source file"] [,"Excel destination file"] [,file descriptor object]

FILEcd13 ["data filename"]

FILEPRINT "filename", x, y

FILTER (type, number, width, step)

FINDBYCAS cas number [,"library"]

FORMAT [MERGED / SEPARATED] [,LABELPEAKS / NOLABELPEAKS] [,redraw] [,autoscaleY] [,TIMEPEAKS / NOTIMEPEAKS]

GET keyword, MS object / GC/MS object [,scalar] [,scalar] [,range]

GETCOMPOUND [type] [,compound number] [,FULL]

GETMSREF entry number [,"library filename"] [,variable] [,CONDMS / FULLMS]

GETRESULT , result number, "filename" [,FULL] [,hit number]

GETSCALARS [INFO] [,object]

GETSCALARS INDEX [,type] [,index] [,object ]

GETSCALARS POINT [,Xval:Xval] [,object ]

GETSCALARS RESULTS [,object] , [,result number]

GETWINDOWTEXT$ (structure window object)

GRAPHICS

GRP

HGFILE "data filename"

INITREJECT value

INITTHRESH value

INITWIDTH value

INSERTINTPEAK window,object,time1,time2,abund1,abund2,baseline

checking

INTEGRATE [variable] [,time1:time2]

INTEGRATOR 1/0, time

INVERSEB (GCMS object)

INVERSEM (GCMS object)

LABEL [destination] [,# of pages]

LIBRESULTS [object]

LIST

LOADMETHPANEL ["method"] [,clear]

LOADQUANTMETH

MAKEBAR variable

MAKECONT variable

MENUSTATE (menu item number)

MENUSTP ["label string"] [,"message string"]

MI [variable], time1, time2, abund1, abund2 [,baseline checking]

MSCLIP [variable] ,mass1:mass2

MSTRUNC [variable], percent

MULTITHUMB

MW "molecular formula"

NEGPEAKS 1/0, time

_NML [normalization value] [,ms object / gcms object]

NORMALIZE [normalization value] [,variable]

ORIGINAL

PAGESIZE [variable name for x] [,variable name for y]

PBMSEARCH ["library filename"], variable

PCTRPTOPT [calculation type, to screen, to printer, to file, "report file name", report flag, integration type, "integration file name"]

PEAKFIND retention time, object

PEAKNUMBER [peaknumber] [,START / TOP / END], variable [,result]

PEAKVARS [peak number] [,START / TOP / END], variable

PEAKVARS , peak number, group number

PEAKWIDTH value, time

PICSIX

POINTS [variable]

PRCLOSERESULTS

PRGETRETRESULTS entry number, library name

PRPARAMS

PRRESULTS

PRRETRIEVE [continue]

PRSAVEPARAMS

PRSETPARAMS variable to change, on or off, RANGE / SCALAR / STRING

PRSETWINPOSITION x position, y position

PUTCOMPOUND compound number [,INSERT]

QCAL ["levelid"] [,"file"] [,upd_resp_tp] [,upd_rt_tp] [,upd_qi] [,upd_ref] [,save]

QCALCC

QDEL [compound number] [, hit number]

QEDIT

QLIST ["macro name"]

QREF

QT [calculation] [,destination] [,"option"] [,compound number]

QUALPARMS ["library1", "library2", "library3"] [,threshold1, threshold2] [,selection method] [,background time] [,integration type] [,"filename"]

QUALRPTOPT [verbosity, to screen, to printer, to file, "filename", during run method]

QUANTPARMS ref window size, ref window type, non-ref window size, non-ref window type, correl window, multiplier, conc

QUANTRPTOPT [report style, to screen, to printer, to file, "filename", generate report, compound number]

QUANTSAVE [path] [,file]

QUEUE ["command"] [,"report system"]

RECALIB "results file.RES" [,scalar]

RECALL variable, "filename"

REFRESH [window]

REPORT_TIC [destination] [,"type"]

ROLL [number]

RRCAL [type] [,tic]

RRCAL [type] , compound type

RTEINT [variable]

RTEINTPARMS [type, area, maxpeaks, data point bunching, start, stop, reset, valley, filter, baseline, scale factor, location, IP]

SAVEEVENTS "filename"

SAVEMETHPANEL "methodpath"

SAVEMISC "filename.mac" [,scalar]

SAVESTRATEGY "filename.mac"

SCAN scan number [,variable] [,file descriptor object]

SCREEN docalc, dest, format

SELECTFILTER filtertype, [filterspec, stepsize, showstepsize]

SETUPCALIB

SETWINATTRIBUTE window, attribute, value, "macroname"

SETWINDOWLOC structure window object, x, y

SETWINDOWLOC "window title", x, y

SETWINDOWTEXT structure window object, "window text string"

SHOULDERS 1/0

SHOWWINDOW structure window object, show mode

SLOG [detail]

SMOOTH (z, filter_array)

SMOOTHCHR (z, filter_array)

SOLVENTS 1/0, time

SPECTRUM time [,variable] [,file descriptor object]

SPIKE [destination] [,matrix]

STACK [1/0]

STARTANALYSIS ["filename"] [,scalar]

STARTJOB ["jobdescription"]

STARTPRINT

STARTREPORT "results filename"

STARTSET sort order

STORE variable, "filename"

STRPRINT "string", x, y

SUBTRACT [SUPPRESS]

SUBZERO (y,x)

TABULATE [information type] [,"PRINTER" / "CRT" / "CONSOLE" / "filename"] [,variable]

_TAB [information type] [,"PRINTER" / "CRT" / "CONSOLE" / "filename"], ms object [,data range] [,abundance value]

_TAB [information type] [,"PRINTER" / "CRT" / "CONSOLE" / "filename"] ,gcms object [,data range]

_TABH , "PRINTER" / "CRT" / "CONSOLE" / "filename" , file descriptor object

TANSKIM time

THRESHOLD value, time

TIC [time1:time2] [,variable] [,file descriptor object]

TOOL ["compound number" / "all"]

TRANSFORM X0:X1, X2:X3 [,variable] [,XAXIS / YAXIS]

TRFILE

TUNECHECK [destination] ,"parameter file"

UPDATECALIB ["level ID", "level file name", ,,respact,,rtact,qiact]

UPDATERSLT peak area, retention time, start time, end time, start baseline, end baseline, result number, "results filename", hit number

VIEWCALCURVE

VIEWPBMTEXT variable, hit number

WINDOW [window], X1:X2,Y1:Y2

WINEXIST (window)

WINPOSITION window [,x1] [,x2] [,y1] [,y2]

WINPRINT window, x, y, width, length [,no Y-axis]

WINVARNAME$ (window)

_XFM X0:X1, X2:X3 [,variable] [,XAXIS / YAXIS]

XPAND [minutes]

ZOOM window, X1:X2, Y1:Y2

ZOOMOUT window


Variables

All MSD ChemStation variables are described here in alphabetical order:

Reserved variables A to D (_A to _D)

Reserved variables E to P (_E to _P)

Reserved variables R to Z (_R to _Z)

A to D | Q
E to M | R to S
N to P | T to Z

The application and command by which a variable is used are given on the last line of each entry, for example:

(Top, STARTSEQPANEL).

A variable that is used by all applications (Data Analysis, Instrument Control, and Top) is designated by (All).

See Also

Using Variables


ABS

value = ABS (numeric expression)

This function returns the absolute value of the expression.


ALERT

ALERT ["message string"] [,type] [,variable]

Displays a message box with buttons requiring user response.

"message string"

The message to be displayed in the box. It may be any valid string expression involving strings, variables, or functions. The default is no message.

type

Enter a number:

1 = Question mark (caution symbol) and OK (default) and Cancel buttons

2 = i (information symbol) and OK button

3 = Exclamation point (stop symbol) and OK button

4 = Question mark (caution symbol) and Yes (default) and No buttons

5 = Question mark (caution symbol) and Yes, No, Cancel buttons

variable

The name (no quotation marks) of a CP variable to receive the value of the user response to the ALERT box. Formerly, this value was stored in the CP variable _Button. This parameter provides an override for that variable. If this parameter is omitted, _Button is used as before.

Examples

ALERT "About to delete files, proceed?", 1

ALERT "File deleted.", 2

ALERT "Error! File not deleted.", 3

Variables Set

_Button

0 = Cancel or No button selected

1 = OK or Yes button selected

If type 5:

0 = Cancel button selected

1 = No button selected

2 = Yes button selected


ARRAYSTAT( )

value = ARRAYSTAT (array1, number of items)

An array function that takes the values in the supplied array and returns the following information in an array:

[1] - Average

[2] - Standard deviation

[3] - Standard deviation of the mean

[4] - Total

[5] - Maximum value

[6] - Minimum value

array1

The name of an array that has been previously dimensioned: For example,

DIM TEST, 40

creates the array named Test of size 40.

number of items

The number of items to be passed to the array. For example, ARRAYSTAT(test,3). Note that if you try to send more items to the array than it is sized to accept (in the example, more than 40 items), the size of the array determines how many items are accepted (only 40 items in the example).

If you send fewer items than the size of the array, the number of items is used. This allows you to dimension a large array, but fill in and use only a portion of it, instead of having to delete and then recreate and dimension the array every time you want to use ARRAYSTAT.

Example

dim test, 40 !Create the array test with 40 "slots"

test[1]=3 !Send a value of 3 to test[1]

test[2]=5 !Send a value of 5 to test[2]

test[3]=7 !Send a value of 7 to test[3]

A=arraystat(test,3) !Send the results to A

The results for A[1]= would be 15/3 or 5

A[4]= would be 15

etc.


ASC( )

number = ASC("ascii character")

Returns the ASCII table number associated with the first character of the argument.

"ascii character"

The character to find the number of in the ASCII table. If this argument contains more than one character, only the first character will be used.

Example

b = ASC("A")

assigns 65 to b


BIT_AND( )

value = BIT_AND (a,b)

A function that converts a and b into 16-bit integers (in binary format) and returns the result of a bitwise AND of these two integers. Useful in decoding mass spectrometer error codes.

Example

result = BIT_AND(6,2)

0110

*0010

0010

Note: * is used here as a bit and operator.


BYE

Quits the current application.

Discussion

All applications except Top load a macro named BYE that does not exit directly but prompts to confirm the exit.

This command quits the current application, erasing all data, variables, and macros. It restores all default settings and hides the window. However, to allow for quick activation, Top may not completely remove the application from memory (see the command MEMMODE).

To temporarily put aside an application without erasing data or changing it in any way, iconize it (for example, use WINSIZE 0,0).


CEIL( )

value = CEIL (numeric expression)

This function rounds the expression up to the nearest integer.


CHECK( )

value = CHECK ("VARIABLE / MACRO / COMMAND / FUNCTION", "name")

Checks for the existence of a particular variable, macro, command, or function having the given "name". If it exists, 1 is returned by the function, otherwise 0 is returned.

"VARIABLE / MACRO / COMMAND / FUNCTION"

A keyword specifying whether you are checking for a variable, a macro, command, or function. Keywords for checking the type of variable are SCALAR, STRING, RANGE, ARRAY, MATRIX, SET, MENU.

"name"

The name of the macro, variable, command, or function to check. The name must be an exact match (that is, no abbreviation).

Example

value = CHECK(“SCALAR”, “X”)

returns 0 if “x” does not exist or if x is not a scalar; returns 1 if x exists and is a scalar.


CHR$( )

ascii$ = CHR$(ascii number)

Returns the character asociated with a number in the ASCII table.

ascii number

The number in the ASCII table for which to return the character. This number must be between 0 and 255.

Example

b$=CHR$(65)

assigns the character "A" to b$


CLOSE

CLOSE [#file number] [,...]

Removes the association of a file number with a file name. The associations are generated with the command OPEN.

#file number

If a file number is not specified, then all file number/file name associations are removed.

Examples

Assume files 1-10 were opened previously. To close files 3 and 5, enter:

CLOSE #3, #5


CMDLINE

CMDLINE 1/0

Turns the display of the command line on (1) or off (0).

The command line for an application can be turned on from the control menu for that application's window. When the command line is visible, you may use the F3 function key to recall the last command entered (by you or the system).

Variables Set

CmdLineState

0 = command line off

1 = command line on


COLS( )

value = COLS ( matrix name)

Returns the number of columns in a matrix object.

matrix name

variable containing the matrix object.

Examples

Y = COLS(X)

puts the number of columns in X into Y

COLS(X)

writes the number of columns in X into the message line.


COMMANDS

Lists macros and commands available in the current application. If the command line is visible and you click on the macro or command name, it is displayed on the command line.

OK keeps the command display, allowing you to add parameters, if needed, and then use the command. Cancel clears the command from the command line.


COPY

COPY "from name", "to name" [,DONTASK]

Copies a file or directory including all files and subdirectories.

"from name"

The name of the file or directory to copy. Fully qualified file and directory names are recommended.

"to name"

The name of the file or directory to create. If no path is specified, the path used for the from file is used. From name and to name must be separated by a comma.

DONTASK

If this keyword is specified, COPY does not warn about overwriting files or directories. This keyword cannot be abbreviated; it must be preceded by a comma.


CPBYE

Internal use only.


CPPURGE

CPPURGE symbol

Internal use only.


CPSHOWWIN

CPSHOWWIN winid [,loc]

Iconizes the current application and then shows the specified application.

winid

The id of the program to show (window handle)

loc

Location to show at:

0 = no size or move, just show

1 = current (x,y) of this CP program

2 = current (x,y) and (dx,dy) of this CP program.


CPTAG

CPTAG symbol

Internal use only.


CPTITLE

CPTITLE "title string"

Changes the title for the current application window. You may use any valid string expression involving strings, variables, or functions.


CPTITLE$( )

title string$ = CPTITLE$ ( )

Returns the current window caption set by the CPTITLE command.


CPTOOL

CPTOOL symbol, anyobject, symbol, scalar

Internal use only.


DATE$( )

date$ = DATE$ ( )

This function returns today's date in mm/dd/yy format.


DDEADVISE

DDEADVISE channel, "item", variable name

Sets up a hot link with a DDE server to get data from the server whenever the data changes.

channel

A number that identifies a specific DDE conversation. This value is obtained with the DDEINITIATE () function.

"item"

A string that identifies the item of information being requested.

variable name

The name of a variable to receive the requested item. Note that this command only works with global variables NOT local variables.


DDEEXECUTE

DDEEXECUTE channel, "command"

Sends a command to a DDE server for execution.

channel

A number that identifies a specific DDE conversation. This value is obtained with the DDEINITIATE () function.

"command"

A string that is the command for the DDE server to perform.

Discussion

This command is used by a DDE client to start actions in the DDE server. The command waits until the DDE server indicates that it is OK to proceed. Each server has its own style of indicating when it is OK. Some say OK only after the command has been executed. Others say OK immediately and then perform the command. MS ChemStations support two distinct topics (CPWAIT and CPNOWAIT) so that a DDE client can achieve whichever behavior is desired.


DDEINITIATE( )

channel = DDEINITIATE ("application name", "topic")

This function initiates a DDE conversation and returns a number that identifies the conversation.

"application name"

A string that specifies the name of the application with which to start a conversation. An application name has the form:

name[taskid]

where name is a string and taskid is a number. The latter is obtained from the EXEC() function. See also descriptions of the following variables:

_DDEname$

_INSCTLDDE$

_DaDDE$

"topic"

A string that specifies the topic of the conversation.

Discussion

This function returns a number that identifies the DDE conversation. It will be zero if no conversation could be established. This number must be used in all subsequent DDE commands that involve this conversation.


DDEPOKE

DDEPOKE channel, "item", "string"

Unilaterally sends an unrequested data item from a DDE client to a DDE server.

channel

A number that identifies a specific DDE conversation. This value is obtained with the DDEINITIATE () function.

"item"

A string that identifies the item of information being sent.

"string"

A string that is the data being sent to the server.


DDEREQUEST

DDEREQUEST channel, "item", variable name

Used by a DDE client to get a data item from a DDE server.

channel

A number that identifies a specific DDE conversation. This value is obtained with the DDEINITIATE () function.

"item"

A string that identifies the item of information being requested.

variable name

The name of a variable to receive the requested item.


DDETERMINATE

DDETERMINATE channel

Used by a DDE client to terminate the specified DDE conversation.

channel

A number that identifies a specific DDE conversation. This value is obtained with the DDEINITIATE () function.


DELETE

DELETE "file/directory" [,DONTASK]

Removes a file or directory including all files and subdirectories. Fully qualified file and directory names are recommended.

"file/directory"

The name of the file or directory to remove. Fully qualified file or directory names are recommended. If a directory is specified, all its files and subdirectories are also removed.

DONTASK

If specified, no warning prompt is given. This keyword cannot be abbreviated; it must be preceded by a comma.


DIM

DIM variable name, scalar1 [,scalar2]

Sets dimensions of an array variable.

variable name

The name of the array variable to be dimensioned.

scalar1

Specifies the size of a one-dimensional array.

scalar2

Specifies the size of a second dimension. Default=1.

Examples

DIM test, 4

dimensions an array of four "slots" to be specified as test[1], test[2], test[3], test[4].

DIM test, 4,4

dimensions a two-dimensional array of 16 "slots" to be specified as

test[1,1] test[1,2] test[1,3] test[1,4]

test[2,1] test[2,2]...

test[3,1]...

...test[4,4]


DLLINSTALL( )

value = DLLINSTALL ("filename")

This function tries to install the dynamic link library called "filename". If the path is not part of filename, the default execute path is used. If the function executes successfully, the ID of the loaded dll is returned.


DLLREMOVE

DLLREMOVE scalar

Removes the dll specified by the ID scalar.


DOSRUN

DOSRUN "runstring"

Runs a DOS application.

"runstring"

Normally consists of a filename, followed by a space, followed by arguments.

The file name is the name of the application including extension (.EXE, .BAT, etc) to execute. If a path is not given, the current working directory and then the contents of the PATH command in the file autoexec.bat are used.

The arguments are those needed by the application.

Discussion

This command submits all parameters on the command line to DOS for interpretation as the name of a program to load and execute just as if the user had selected the Run option in the Program Manager. The current application does not wait for the DOS program to complete, nor does it communicate with the application in any way.

In macros you should give the application time to start by including a SLEEP command after DOSRUN.

Examples

DOSRUN "wordpad.exe"


ECHO

ECHO 1/0

Used in a macro to override the application's echo mode. Echo is local to the macro in which it appears and has no effect on any other macros.

1/0

1 (on) enables the override.

See Also

ECHOMODE


ECHOMODE

ECHOMODE 1/0

Sets the echo mode for the current application. When the echo mode is on (1), all information-only and error messages are displayed; when it is off (0), the information-only messages are not displayed.

If a macro does not contain an ECHO command, this value will be used.

Discussion

Initially ECHOMODE is on for all applications. It is recommended that ECHOMODE be set to off to increase speed. If you are writing a macro in which it is important to see the information-only messages, use the ECHO command to override the current echo mode.


IF - THEN - [ELSE] - ENDIF

IF - THEN - [ELSE -] ENDIF

Used in macros. Tests for a specified condition; if it exists, a specified set of commands is executed, else a different set of commands is executed; ELSE is optional.

The syntax is:

IF condition THEN

<command list>

ELSE

<command list>

ENDIF


EOF( )

iseof = EOF(filenum)

This function determines if the specified filenumber is at the end of the file. Returns 1 if at end of file; 0 otherwise.

filenum

The file number of the file to check.

Example

OPEN "test.txt" FOR INPUT AS #1

WHILE (EOF(1) <> 1)

INPUT #1, line$

! Process line$

ENDWHILE

CLOSE #1


EQSTR( )

result = EQSTR ("s1", "s2")

This function tests two strings for equality; case is not significant in the comparison.

0 = strings are not equal

1 = strings are equal

"s1", "s2"

The strings being compared.

Examples

EQSTR ("ABC", "aBc")

returns 1

EQSTR ("ABCd", "ABC")

returns 0


EVALUATE

EVALUATE "command string"

Evaluates a string expression and executes the result as a command. Useful for constructing commands to be executed as in the example below.

"command string"

Any valid string expression involving strings, variables, or functions. The resulting string must be a syntactically correct macro name, command, or expression.

Examples

B$ = "THIS IS A TEST"

A$ = "PRINT B$"

EVALUATE A$

Executing this sequence of commands causes THIS IS A TEST to be displayed.


EXEC( )

TaskID = EXEC ("runstring", window size)

This function starts a Windows application and returns the task id of the application if it actually starts. The task id is zero if the application is not running. In macros you should give the application time to start by including a SLEEP command after EXEC( ).

This is typically used just before DDEINITIATE.

"runstring"

A string specifying the name of application to start. It must include any arguments needed by the application.

window size

A number specifying the size of the application's window:

0 = hidden window

1 = normal window

2 = minimized window

3 = maximized window


EXP( )

value = EXP (numeric expression)

This function returns the value of e to the power of the expression.


FILEATTRIBUTES$( )

string$ = FILEATTRIBUTES$ ("path", "attributes")

Sets / returns the attributes of the specified file. Returns the attributes of the specified file in string format.

"path"

Full path name of the file.

"attributes"

"N" Normal file; read and write permission.

"R" Read only files.

"H" Hidden files. Cannot be found by directory search.

"Y" System files; Cannot be found by directory search.

"V" Volume ID. This file must be in the root directory.

"S" Subdirectory. Lists all the subdirectories.

"A" Archive. Lists all the files with the DOS archive bit set.

Attributes can be combined (for example, "NRS") for all the normal files, read only files, and subdirectories. If no attributes are given, the file's attributes are not changed, but they are reported.


FILESIZE

FILESIZE "filename"

Gets the size (in bytes) of the specified file. If the path is not specified, the current working directory is used. This command does not work for directories, and therefore does not work for methods or data files.

Variables Set

Size - size of file in bytes, if file exists;

-1 = file does not exist


FILESTAT( )

value = FILESTAT ("directory" / "filename")

An array function that returns information about the file or directory (root directory not allowed e.g., C:\) in the following array elements. If a directory is specified, the size returned is the sum of the sizes of all the files in that directory (not the subdirectories). This includes hidden and system files.

[1] - Month of last update (1-12).

[2] - Day of last update (1-31).

[3] - Year of last update since 1900.

[4] - Hour of last update (0-23)

[5] - Minute of last update (0-59)

[6] - Size of file(s) in bytes.

[7] - Type (0 = does not exist, 1 = file, 2 = directory).

[8] - Read access flag (0 = no, 1 = yes).

[9] - Write access flag (0 = no, 1 = yes).

[10] - Execute access flag (0 = no, 1 = yes).


FINDFIRSTFILE( )

value = FINDFIRSTFILE ("mask", output variable, "attributes")

Returns a number known as a “handle” that can be used to identify and manipulate specific types of files. Will return a 0 if an error occurs (no files of that type are found).

"mask"

File mask, for example, *.mac for all the files in the current working directory with the extension "mac".

"output variable"

String variable to hold the name of the first file found. This variable is undefined if no files were found

"attributes"

"N" Normal file. File with read and write permission.

"R" Read only files.

"H" Hidden files. Cannot be found by a directory search.

"Y" System files. Cannot be found by a directory search.

"V" Volume ID. This file must be in the root directory.

"S" Subdirectory. Lists all the subdirectories.

"A" Archive. Lists all the files with the DOS archive bit set.

Attributes can be combined, such as "NRS" for all the normal files, read only files, and subdirectories.

Example

a = FINDFIRSTFILE("*.mac","a$","NR")

returns the handle for all normal and read-only macro files in the current working directory; will place the first file found in string variable a$.


FINDNEXTFILE( )

value = FINDNEXTFILE (handle, "output variable")

Can be used with the function FINDFIRSTFILE( ) to identify and manipulate types of files. Will return a 0 if it finds a file of the type identified by the handle and will place the file name into the output variable. If there is an error, it returns a DOS file error and the output variable is empty.

handle

Value returned by FINDFIRSTFILE.

"output variable"

String variable containing name of file (if present).

Example

Find all the files with the "mac" extension, and list them to a file.

Name Findtest

local a,a$

open _ExePath$+"test.out" for output as #2

a=FINDFIRSTFILE(_ExePath$+"*.mac","a$","NR")

if (a = 0) ! No files found

close #2

return

endif

print using #2, "%/", a$

while (FINDNEXTFILE(a,"a$") = 0)

print using #2, "%/", a$

endwhile

close #2

return

Print the volume ID of the supplied drive letter.

Name VolID

parameter drive$ default "C"

local a,a$

a = FINDFIRSTFILE(drive$+":\*.*","a$","V")

if (a <> 0) ! file found

print a$

endif

return


FLOOR( )

value = FLOOR (numeric expression)

This function rounds the expression down to the nearest integer.


FREESPACE( )

bytes = FREESPACE("drive letter")

This function returns the number of bytes available on the specified drive.


GENERATE_ERROR

GENERATE_ERROR [error number] [,"string"]

Generates a specific error.

error number

The error number to use. Default is the contents of the variable _Error.

"string"

The message to report on the message line. Default is the contents of the variable _ErrMsg$.

Discussion

Any time an error occurs, its value and message are recorded in the reserved variables _Error and _ErrMsg$. Errors normally stop execution of macros; however, if an ON_ERROR is in effect, the error is ignored. This command allows an error handling routine to recreate errors it cannot handle.


GETCWD$( )

cwd$ = GETCWD$ ( )

This function returns the name of the current working directory.


GETINFO( )

value = GETINFO ("item name")

This function returns information about the state of the specified hardware component.

"item name"

Specifies the component for which to retrieve information. The meaning of the value returned is listed below. x indicates a nonzero number.

"ALS_ID"

0 = no ALS connected (default)

x = value in WIN.INI

"ALS_TYPE"

0 = none

1 = 7673

"GC_ID"

0 = no GC connected (default)

x = value in WIN.INI

"INLET_GC"

0 = 6890 (default)

2 = other or none

"MS_CI"

0 = not installed (default)

1 = installed

"MSCONNECTION"

0 = front injection port

1 = rear injection port

"MS_DCI"

0 = not installed (default)

1 = installed

"MS_DCPOL"

0 = positive set for the 5972

1 = negative set for the 5972

2 = not set

"MS_DIP"

0 = not installed (default)

1 = installed

"MS_EI"

0 = not installed

1 = installed (default)

"MS_EXTRA"

0 = none (default)

x = extra

"MS_EXTRA2"

0 = none (default)

x = extra

"MS_FAB"

0 = not installed (default)

1 = installed

"MS_HED"

0 = not installed (default)

1 = installed

"MS_ID"

0 = no MS connected (default)

x = value in WIN.INI

"MS_NI"

0 = not installed (default)

1 = installed

"MS_TYPE"

4 = 5973 MSD

99 = No MS

"OFFLINE"

0 = instrument is online

1 = instrument is offline


GETINIINT( )

value = GETINIINT("filename", "application name", "keyname")

This function searches the supplied .ini file for the specified application and returns the positive integer associated with the keyname. If the filename parameter is an empty string (""), the ini file used is %SystemRoot%\msdchem.ini. If the keyname does not exist, -1 is returned.


GETINISTRING$( )

string$ = GETINISTRING$("filename", "application name", "keyname")

This function searches the supplied .ini file for the specified application and returns the string associated with the keyname, up to 132 characters. If an error is encountered, the function returns a null string. If the filename parameter is an empty string (" "), the ini file used is %SystemRoot%\msdchem.ini.


GETPROPERTY

GETPROPERTY string, string, symbol

Internal use only.


GETWINDOWID

GETWINDOWID "title"

Gets the Windows ID associated with an MS Windows application and places it in the variable _WindowID. If a window with the specified title is not open, the variable is set to zero.

"title"

The title appearing in the title bar of the application; for example, "notepad".

Example

The following macro may be used to wait until some other application finishes, for example, a network file transfer program.

NAME WaitForWindowToGoAway

PARAMETER WinName$

GETWINDOWID WinName$

WHILE (_WindowID > 0)

SLEEP 3

GETWINDOWID Title$

ENDWHILE

RETURN

NAME WaitFor FTP

WaitForWindowToGoAway "FTP - network transfer"

RETURN

Variables Set

_WindowID

0 = no window with that title exists

>0 = the window exists


GETWINLOC

GETWINLOC [x] [,y] [,width] [,height]

Gets the application window's location and size.

x,y

Specifies the current location of the upper left corner of the window. Values are in fraction of the screen width and height. These values can be used later in the WINMOVE command.

width, height

Specifies the current width and height of the window. Values are in fraction of the screen width and height. If the window is zoomed, both values will be 1. If the window is iconized, both values will be 0. These values can be used later in the WINSIZE command.


HELP

Brings up the Help window with the topics list displayed. An optional scalar argument specifies the context number of a specific help screen (internal use only.)


INISTRFORINT$( )

string$ = INISTRFORINT$ ("filename", "application name", scalar)

The file, application and int are supplied, and the keyname is returned in a string variable. If the filename parameter is an empty string (""), the ini file used is %SystemRoot%\msdchem.ini. If an error is encountered, the function returns a null string.


INPUT "string"

INPUT "string expression", string variable

If the first parameter is a string expression, a dialog box is displayed, containing a prompt for information that will be placed in the string variable named. Can be used to create an interactive macro.

"string expression"

This may be any valid string expression involving strings, variables, or functions. A maximum of 79 characters may be entered.

string variable

Text entered in the edit box is assigned to this variable.

Discussion

This command displays a dialog box with the specified prompt string, an edit box, and OK and Cancel buttons. If the variable exists, its value is displayed in the edit box. If the Cancel button is selected, no values are read and the variable _Button is set to 0. Otherwise, the string variable is set to whatever was entered in the edit box and _Button is set to 1.

Example

NAME Example

ON_ERROR EnterNumber !turn on error trap

EnterNumber

ON_ERROR GENERATE_ERROR !turn off error trap

RETURN

NAME EnterNumber

INPUT "Type a number greater than zero", string$

IF VAL(string$)>=0

PRINT VAL(string$)

ELSE

GENERATE_ERROR 1, "That is not a number"

ENDIF

RETURN

Variables Set

_Button

The number of the button pushed (1, 2, or 3). If Enter is pressed, _Button returns 1, even if button 1 is not displayed. If Esc is pressed, _Button returns 2.


INPUT #filenumber

INPUT #file number, variable$

Reads a newline-terminated text line from the file designated by #file number and assigns it to the specified variable name, which must end in $.


INPUT6

INPUT6 type, count, "title", label object, button object, variable name, [help index], [help file]

Used in macros to allow user input.

type

1 = A panel with 1 to 6 edit boxes will be displayed

2 = A panel with 1 to 6 check boxes will be displayed

3 = A panel with 1 to 6 radio buttons will be displayed

count

The number of items to be displayed.

"title"

String to be displayed in the caption bar of the panel.

label object

A string array that contains the labels for all the controls. The maximum number of characters for each label is 40. The number of characters actually displayed may be less due to variations in character width. If you want to designate an accelerator keystroke within a label, enter an ampersand before the letter (for example, "Se&cond Label" lets the user access this item by typing Alt-c).

button object

A string array that contains the strings for the buttons. Buttons are numbered from left to right, starting with 1. If the label string is null the button will not be displayed.

The maximum number of characters for each button is 8. The number of characters actually displayed may be less due to variations in character width.

Note: In the case of the radio buttons, a double click on an entry has the same effect as a single click and pressing the Enter key.

Enter key - If one of the buttons has the label "OK" (with no accelerator defined), the Enter key will function the same as the OK button.

Escape key - If one of the buttons has the label "Cancel" (with no accelerator defined), the Escape key will function the same as the Cancel button.

variable name

The name of the variable where results will be stored. The type of variable created depends on the type of controls displayed.

Edit boxes - A string array holding the strings typed in each of the edit boxes. Array element 1 corresponds to the top item on the panel.

Check boxes - A scalar array containing the status of each of the displayed check boxes. A 1 indicates the box was checked, and a 0 indicates the box was not checked. Array element 1 corresponds to the top item on the panel.

Radio buttons - A scalar variable indicating which button was last pressed.

help index

Index number in the help file where the help is located. If this number is 0 or missing, the help button is not displayed.

help file

The full path name of the help file. Default is _HelpPath$+_HelpName$.

Example

name six

local a,array,labels$,text$,buttons$,i

sdim labels$,6

labels$[1] = "First Label"

labels$[2] = "Second Label"

labels$[3] = "Third Label"

labels$[4] = "Fourth Label"

labels$[5] = "Fifth Label"

labels$[6] = "Sixth Label"

sdim buttons$,3

buttons$[1] = "One"

i=1

while (i <= 6)

dim array,6

array[1] = 1

array[2] = 0

array[3] = 1

array[4] = 0

array[5] = 1

array[6] = 0

Input6 2,i,"Test of Check Six Box",labels$,buttons$,array,4998

!print array[1], array[2], array[3], array[4], array[5]

print "Button = ",_Button

i=i+1

endwhile

i=1

while (i <= 6)

a = 1

buttons$[2] = "Two"

Input6 3,i,"Test of Radio Six Box",labels$,buttons$,a,4998

!print c

print "Button = ",_Button

i=i+1

endwhile

i=1

while (i <= 6)

sdim text$,6

text$[1] = "First Line of Text"

text$[2] = "Second Line of Text"

text$[3] = "Third Line of Text"

text$[4] = "Fourth Line of Text"

text$[5] = "Fifth Line of Text"

text$[6] = "Sixth Line of Text"

buttons$[3] = "Three"

Input6 1,i,"Test of Input Six Box",labels$,buttons$,text$,4998

!print text$[1], text$[2], text$[3], text$[4], text$[5]

print "Button = ",_Button

i=i+1

endwhile

return

Variables Set

_Button

The number of the button pushed (1, 2, or 3). If Enter is pressed, _Button returns 1, even if button 1 is not displayed. If Esc is pressed, _Button returns 2.


INSERT

INSERT index, destination, source

Inserts a source object into a set.

index

A number, which is the position in the set (list) where the source is to be placed. A value <=1 puts the object at the head of the list. A number greater than the current size puts the object at the end. Otherwise for a value of 'n', the source object is inserted in the 'nth' position.

destination

The name of a set (list) into which the source object is to be inserted.

source

The name of the object to be inserted. It must not be a set. The name is removed if the operation is successful.


INSTR( )

value = INSTR ("s1", "s2")

This function returns an integer that is the position in string s1 where string s2 starts. Case is significant.

Example

INSTR ("look in here", "in")

returns 6


JOIN

JOIN destination name, source name

Appends the objects in source name to the objects in destination name and then deletes source name.

destination name, source name

These are required parameters. The source name object must exist. If the destination name object does not exist, JOIN acts exactly like the EXCHANGE command.

Discussion

This is a destructive append operation on objects. This command partially replaces the old Data Analysis MERGE command. A complete transformation of the MERGE command is as follows:

JOIN Y, X !append X to Y, destroying X

EXCHANGE X, Y !roll the stack

EXCHANGE Y, Z

EXCHANGE Z, T


LEN( )

value = LEN ("string expression")

This function returns the number of characters (including blank spaces) in the expression.


LN( )

value = LN (numeric expression)

This function returns the natural logarithm (base e) of the expression.


LOCAL

LOCAL variable name [,variable name] [,...]

Used in a macro to set variables for use only in that macro.

variable name

The name of a numeric or string variable. IF the local variable does not exist, it is created. Strings are initialized to the empty string (""), and scalars are initialized to zero.

Discussion

The LOCAL command can occur anywhere in a macro. If the local variable already exists because of a preceding PARAMETER statement or a LOCAL command, it is reset as described above.

Assigning a new value to a local variable is allowed. It need not remain as a string or scalar. Local variables are removed from memory upon completion of the macro that sets them.

It is possible to have a local and a global variable with the same name. In that case, only the local can be accessed.

When you are troubleshooting a macro, a convenient way to view the contents of a local variable is through the REMOVE command.


LOG( )

value = LOG (numeric expression)

This function returns the logarithm (base 10) of the expression.


LOGGING

LOGGING [1/0] [,"filename"] [,commands] [,messages] [,errors] [,info] [,erase]

Logs commands, messages, and errors to a file.

1/0

Enables (1) or disables (0) logging to a file. If not specified, the current value and the log file name are displayed.

"filename"

The default file name is the application name with the extension .LOG. If the file exists, it is appended to; otherwise, it is created. If no path is specified, the file is placed in the _InstPath$ directory.

commands

0 = off (initial value)

1 = on. If this is turned on, all commands executed by the system will be logged to the log file. If a value is not entered, the current value is used.

messages

0 = off (initial value)

1 = on. If this is turned on, all messages printed on the command line (regardless of ECHO or ECHOMODE will be logged to the log file. If a value is not entered, the current value is used.

errors

0 = off

1 = on (initial value). If this is turned on, all error messages printed on the command line will be logged to the log file. If a value is not entered, the current value is used.

info

0 = off (initial value)

1 = on. If this is turned on, all error messages printed on the command line will be logged to the log file. The error messages are printed with additional descriptive information:

  • Date and Time

  • Application, Method, Run type, Vial

  • Macro, Command

  • Error message

If a value is not entered, the current value is used.

erase

0 = off (default)

1 = on. If both erase and logging are being turned on, the log file is erased. Otherwise, the log file is untouched. on, all error messages printed on the command line will be logged to the log file. 1/0; use 1 (yes) when turning logging on to erase the log file prior to use.

Discussion

Use of this command will dramatically slow down the execution of macros and should be used sparingly.

Example

Assume that Top is running and no logging command has been given, then

LOGGING ON

causes errors to be logged to c:\MSDchem\1\mstop.log


LOWER$( )

string$ = LOWER$ ("string")

Converts the supplied string to lower case based on the criteria of the current language selected by the user at Windows setup.


MACRO

MACRO ["macro filename"] [,GO]

Loads macros from a file and, if GO is specified, executes the last macro in the file. If no path is specified, the contents of _AutoPath$ are used. If no file name is specified, a dialog box lists the available files.

Variables Set

_Button

Set only if filename not specified

0 = Cancel button selected

1 = OK button selected


MDIARRANGE

Arrange icons.


MDICASCADE

Cascade windows.


MDITILE

MDITILE 0/1

Tile windows.

0 = Tile windows horizontally (default)

1 = Tile windows vertically


MENUBEG

Used in a menu bar macro to signal the start of a new menu bar. This command must be followed by others that define the menu bar and the menu items. The definition of the menu bar must be completed by using the command MENUEND.

See also the commands: MENUNEW. MENUCMD, MENUVAR, MENUSTP, MENUCHG, MENUSEP.

Examples

MENUCMD


MENUCHG

MENUCHG [objectname], "string" [,"menu item"] [,"command/macro"] [,"help text"] ["control text"]

Immediately changes the menu object. If the menu object is currently displayed, then it is changed as well--there is no need to call MENUSHW.

objectname

Menu object to modify (a variable name). The default is STDMENU

"string"

A navigational label (a quoted string) that ignores white space, "&", ".", and is case insensitive. "&&" is treated as a literal "&". Example: "file|exit". Note: No caps, accelerators, ellipsis or case equality needed. A truncated label is OK. For example, "File|1" will match a menu item like File|1 c:\MSDchem\1\data\evaldemo.d

"menu item label"

The name of the new menu item.

"command/macro"

New command or macro.

“help text”

New help text for message line.

“control text”

New control text for dimming / checking.


MENUCMD

MENUCMD "label string", "command string" [,"message string"] [,variable name]

Used in a menu bar macro to define a menu item that executes a macro or command. See also MENUNEW. MENUVAR, MENUSTP, MENUCHG, MENUSEP.

"label string"

The label for this item within the menu. To enable keyboard (Alt+key) access to a menu item, place an ampersand (&) before the letter in this label that is to be used. This letter is identified by an underscore in the menu.

"command string"

A macro or command that determines the action to be carried out when this menu item is selected.

"message string"

The information that appears on the message line when this menu item is active and highlighted. To turn off the message display, use the MENUHLP 0 command.

variable name

The name of a scalar variable to be used for controlling the appearance of a menu item. If the variable does not exist, or if its value is not recognized, a default value of zero is used. The recognized values for the scalar are:

0 = normal

1 = checked

2 = grayed

3 = grayed and checked

Discussion

You can use this command repeatedly to define the items within a menu. To define groups of items within a menu, use the command MENUSEP, which separates the groups with a line. To create a menu item that sets a variable while a command or macro is running, use the command MENUVAR.

Example

The following macro produces the menu bar and menus shown below:

NAME ExampleMac

MENUBEG

MENUNEW "&File"

MENUCMD "&Load Data File...", "Idnewfile", "Provides dialog box for selecting a file"

MENUSEP

MENUCMD "E&xit", "Bye", "Quits this application"

MENUNEW "&Abort"

MENUSTP "Stop Now"

MENUEND

RETURN


MENUCMDFN

MENUCMDFN "label string", "command string" [,"message string"][,"string"]

Used in a menu bar macro to define a menu item that executes a macro or command. See also MENUNEW. MENUCMD, MENUVAR, MENUSTP, MENUCHG, MENUSEP.

"label string"

The label for this item within the menu. To enable keyboard (Alt+key) access to a menu item, place an ampersand (&) before the letter in this label that is to be used. This letter is identified by an underscore in the menu.

"command string"

A macro or command that determines the action to be carried out when this menu item is selected.

"message string"

The information that appears on the message line when this menu item is active and highlighted. To turn off the message display, use the MENUHLP 0 command.

"string"

A string containing up to 25 characters that is evaluated to a scalar used to set the state of the menu item (normal, checked, etc.).


MENUEND

MENUEND [objectname]

Used in a menu bar macro to signal the completion of a menu bar.

objectname

The name of a menu object to create. If a name is given, the object is created but no menu is shown.

If no name is given, the name STDMENU is used by default and the command MENUSHW STDMENU is submitted as the next CP command.

This command must be preceded by MENUBEG and other commands that define the menu bar and the menu items.

See Also

MENUNEW

MENUCMD

MENUVAR

ENUSTP

MENUCHG

MENUSEP


MENUHLP

MENUHLP 1/0

Enables (1) or disables (0) the display on the message line of the help messages for menu items. The help messages are defined by the last parameter of the MENUCMD command.


MENUNEW

MENUNEW "name string"

Used in a menu bar macro to define the start of a new menu in the menu bar. This command must be followed by commands that define items in a menu, for example,

MENUCMD

MENUVAR

MENUSEP

"name string"

The label or title that appears in the menu bar. This may be any valid string expression involving strings, variables, or functions.

Example

See the MENUCMD command.

See Also

MENUSTP

MENUCHG


MENUSEP

Used in a menu bar macro to place a horizontal line in the menu.

See Also

MENUNEW

MENUCMD

MENUVAR

MENUSTP

MENUCHG


MENUSHW

MENUSHW [objectname]

Causes the named menu object to be visible. The previous menu object is not altered in any way. Many menu objects can exit at the same time. MENSHW will quickly switch between them. See also MENUNEW. MENUCMD, MENUVAR, MENUSTP, MENUCHG, MENUSEP.

Discussion

The menubar macro can be removed. Also, the menuobject can be removed as well, because the menu system has “locked” it via ref counts.

Example

NAME MyMenuBar

MENUBEG

...

MENUEND mymenuobj

remove MyMenuBar

!can remove macro at any time

MENUSHW mymenuobj

!displays the menu

remove mymenuobj

!can remove object even while displayed, although not really useful


MENUSTP

MENUSTP ["label string"] [,"message string"]

Used in a menu bar macro to define a menu item that stops the current macro or command. See also MENUNEW. MENUCMD, MENUVAR, MENUCHG, MENUSEP.

"label string"

The label that appears in the menu; this may be any valid string expression involving strings, variables, or functions.

"message string"

A message that will appear at the top of the window, highlighted in yellow, when this menu item is used.

Discussion

The stop capability is inactive (and appears gray in the menu) when there is not a stoppable operation in progress. When this item is active and has been selected, an internal flag is set and a message highlighted in yellow is displayed on the line below the menu bar. The current application honors this flag by stopping the operation in progress; this may occur within the command currently being executed (if possible) or between commands within a macro.

Example

See the command MENUCMD.


MENUVAR

MENUVAR "label string", "assignment statement", "message string"

Used in a menu bar macro to define a menu item that sets the value of a variable. See also MENUNEW. MENUCMD, MENUSTP, MENUCHG, MENUSEP.

"label string"

The label that appears in the menu; this may be any valid string expression involving strings, variables, or functions.

"assignment statement"

Must be entered as:

"variable name = expression"

"message string"

The message to appear on a yellow line under the menu bar.

Discussion

The menu item is inactive (and appears gray in the menu) unless there is a stoppable operation in progress. When this item is active and has been selected, the defined variable is set within the current application and a message is displayed on the line below the menu bar. The command or macro in progress is not interrupted. The variable remains in memory until the current application is exited or until it is explicitly removed by the REMOVE command.

Example

If the following menu item has been defined:

MENUVAR "Stop_Loop", "Stop_Loop=1"

and if the following portion of a macro is running:

Stop_Loop=0

WHILE (Stop_Loop=0) DO

  •

  •

ENDWHILE

then selecting the item Stop Loop on the menu terminates the WHILE loop at a precise point (the top of the loop) without stopping the remainder of the macro.


MKDIR

MKDIR "directory name"

Makes a DOS directory. Fully qualified file and directory names are recommended.

Example

MKDIR "d:\archive"

makes a directory called archive on disk drive d:


MOD( )

remainder = MOD (a,b)

A function that returns the remainder of a/b.


MTIME( )

value = MTIME ( )

This function returns the number of milliseconds elapsed since the system was started.


NAME

NAME macroname

Used in macros. Specifies a name for a macro. This is the first statement of a macro definition and is not available from the command line.

macroname

The name by which the macro program will be invoked.

command list

The list of commands comprising the macro.

Discussion

This form of the command is used for macros that do not return values. See the RETURN command if you want your macro to return a value. See also the Using and Writing Macros manual.


NUM( )

value = NUM (set name/arrayname)

Returns the number of objects in a set or the number of elements in a one-dimensional array.

set name/arrayname

Name of a variable containing the set or array.

Examples

Y = NUM(X)

puts the number of objects (or elements) in X into Y

NUM(X)

writes the number of objects (or elements) in X into the message line.


ON_ERROR

ON_ERROR trap

Used in a macro to specify the command or macro to execute when an error occurs.

trap

Any valid ChemStation macro or command including parameters.

Discussion

An ON_ERROR applies to every command or macro "below" it. Suppose macro A has an ON_ERROR command and calls macro B, which does not have an ON_ERROR command. Then an error in macro B will cause a return to macro A. Since macro A has an ON_ERROR trap set, the trap will be executed and macro execution will continue with the line following the line invoking macro B.

ON_ERROR commands can also be nested. To continue the example, suppose that macro B now calls macro C, which has its own ON_ERROR command. Any errors in macro C will be trapped by macro C's ON_ERROR command. The trap is executed and macro C's execution continues with the line following the line that caused the error. When macro C returns to macro B, macro A's ON_ERROR becomes active again.

Each macro may have one or more ON_ERROR commands. In each macro, only the most recently executed ON_ERROR is active.

If the current macro does not have an ON_ERROR in effect, the system will return up the macro stack until an ON_ERROR command is found. After execution of the ON_ERROR macro, control is returned to the macro where the ON_ERROR statement was initiated. Execution continues with the command that started the chain of macro calls (see Example 2).

There are two special cases:

ON_ERROR (with no argument) effectively ignores all errors and blindly continues.

ON_ERROR GENERATE_ERROR effectively cancels error trapping.

Example 1

NAME TestError

ON_ERROR print "This is error handler #1"

  •

JUNKCMD

  •

ON_ERROR print "This is error handler #2"

JUNKCMD

  •

RETURN

When the first error occurs (caused by the first JUNKCMD), this macro prints the message "This is error handler #1". When the second error occurs (caused by the second JUNKCMD), the macro prints the second message and then completes normally.

Example 2

NAME LevelA

ON_ERROR LevelA_macro

LevelB

PRINT "I am in Macro LevelA"

RETURN

NAME LevelB

<INVALID COMMAND>

PRINT "I am in macro LevelB"

RETURN

When the macro LevelB is executed in macro LevelA, control will go to the statement following the LevelB macro invocation after the error is processed.

Example 3

NAME Example

ON_ERROR EnterNumber ! Turn on error trap

EnterNumber

ON_ERROR GENERATE_ERROR ! Turn off error trap

RETURN

NAME EnterNumber

INPUT "Type a number greater than zero", string$

IF VAL(string$)>=0

PRINT VAL(string$)

ELSE

GENERATE_ERROR 1, "That is not a number"

ENDIF

RETURN


OPEN

OPEN "filename" FOR OUTPUT / FOR APPEND / FOR INPUT AS #file number

Depending on the key phrase used, associates a file number with a file name for use with PRINT # and PRINT USING # or with INPUT #. Use the CLOSE command when you have finished printing to the file.

"filename"

The file to be opened. If no path is specified, the current working directory is used.

FOR OUTPUT / FOR APPEND

One of these key phrases must be entered to specify how to write to the file. The file can then be accessed using PRINT # or PRINT USING #.

FOR INPUT

Use this key phrase when you want to access the opened file using INPUT #.

AS #file number

A number from 1 through 100; the # symbol (e.g., #3) must be included.

Example

OPEN "myfile" FOR OUTPUT AS #1


PARAMETER

PARAMETER parameter list

Used in macros only. Specifies call arguments for macros. The arguments are processed in order (left to right) matching the actual argument passed. The optional keyword DEFAULT allows specification of default values when a parameter is not specified. Multiple parameter statements may be specified on successive lines. More than one parameter can be used. See the Using and Writing Macros manual.


PRINT expression [,...]

Writes the results of string or scalar expressions to the message line of the current application.

expression

Any valid string or scalar expression. A string expression must be enclosed in quotation marks.

Variables Set

LastPrint$

The contents of the last PRINT command; must be defined initially (before first PRINT)


PRINT #filenumber

PRINT #file number, expression [,...]

Writes the results of string or scalar expressions to an ASCII file.

#file number

The number of an open file (see the OPEN command) that has been opened for OUTPUT or APPEND.

expression

Any valid string or scalar expression. Strings must be enclosed in quotation marks.

Variables Set

LastPrint$

The contents of the last PRINT command; must be defined initially (before first PRINT)


PRINT USING "format string"

PRINT USING "format image string",expression [,expression] [,...]

Writes formatted results of string or scalar expressions to the message line of the current application.

"format image string"

Must include the special characters needed to format the expression(s). May also include printable text.

# Represents one digit. ##.### or 2#.3#, with a period representing the decimal point. All digits to the left of the decimal are printed as long as there is at least one # to the left of the period in the format string. If there are more #s than digits, the extra #s are replaced with blank spaces before the number. Digits to the right of the decimal are rounded to match the # specified. If no period is used, the number is rounded and printed right justified. Numbers larger than 100,000,000 will be printed in scientific notation.

% Represents one character. If there are more %s than characters in the string, the string is printed left justified. If there are more characters in the string than there are %s, all characters are printed.

\ Prints the special formatting characters (#, %) used by this command as regular characters. Must immediately precede each character to be printed.

/ Used to insert a carriage return when printing to files. If this is not included, the next PRINT command will continue on the same line.

expression

Any valid string or scalar expression:

# in format string requires a scalar expression

% in format string requires a string expression; the string expression must be enclosed in quotation marks

Examples

PRINT USING "#.##", 999.5555

produces 999.56

PRINT USING "% %", "example", "one"

produces example one

PRINT USING "\# \% \\"

produces # % \

PRINT USING "9% This is column 11", " "

produces (in column 11): This is column 11. The 9% prints 9 blanks. There are 2 imbedded blanks between the % sign and the phrase.

Variables Set

LastPrint$

The contents of the last PRINT command; must be defined initially (before first PRINT)


PRINT USING #filenumber

PRINT USING #file number, "format image string", expression [,expression] [,..]

Writes formatted results of string or scalar expressions to an ASCII file. File numbers are set by the OPEN command.

#file number

The number of an open file (see the OPEN command).

"format image string", expression

See PRINT USING.

Variables Set

LastPrint$

The contents of the last PRINT command; must be defined initially (before first PRINT)


PRINTTEXTFILE

PRINTTEXTFILE "filename"

Prints the contents of a text file on the printer. Multiple pages can be printed. Graphics are not printed. A line of text and a page number will be printed at the bottom of each page if the variables Footer$ and PageNum exist. The footer text is defined by Footer$ and the page numbers are incremented beginning with the value of PageNum. Reverse page printing is supported.

"filename"

Fully qualified name of a text file.

Discussion

Uses the CP variable OrientPr to determine the printer orientation. If OrientPr is set to 1, portrait mode is used. If OrientPr is set to 2, landscape mode is used. If OrientPr doesn't exist, the orientation set for the current printer in win.ini is used. If the orientation isn't set in win. ini, portrait mode is used.

If DirectPr = 1, file is sent directly to printer (ChemStation spooler is not used). If DirectPr = 0,

ChemStation spooler is used.


PROTECTMACRO

PROTECTMACRO [“filename”], [“password”]

This command will transform normal macro files into protected macro files of the same name. This command is only available in Top and Instrument Control. This command is not available in Data Analysis and protected macros will not work in Data Analysis.

“filename”

The name of the macro file to protect. If a filename is not specified, then a file selection box will be displayed. The default path for a macro is the path specified by _ExePath$.

password

The protection password for the file. If a password is not specified, a dialog box requesting the password will be displayed. Passwords are case sensitive.

Discussion

When a macro is protected, a human-readable warning message is attached to the beginning of the file.

The remaining portion of the macro file is scrambled by use of a proprietary algorithm. All comments in the macro file will be preserved and the file can be recovered intact by use of the UNPROTECTMACRO command, provided the file has not been tampered with. If a protected macro file is modified, there is no way to restore the file.

After a macro file is protected, it is changed into a read-only file. This is done to prevent accidental modification or erasure of the protected file.

Using a "zero-length string" ("") for the password prevents unprotection. A "zero-length string" password can only be entered from the command line; it cannot be entered in the dialog box. Since a file protected with a "zero-length string" password cannot be unprotected, a "zero-length string" password should only be used for files that must remain secure at all times.

The password parameter is provided to allow the automated protection of a set of files. For security, the routine that explicitly contains the password should be kept proprietary, perhaps by residing in a protected macro file.

WARNING and DISCLAIMER

The PROTECTMACRO command employs a sophisticated data encryption algorithm to secure macro files. There is no way to unsecure a protected macro file without the password. Revisions of the MSD ChemStation software will be able to read macros that have been protected, but there is no guarantee that enhancements to the ChemStation will be backwards compatible. Therefore it is the responsibility of the macro developer to maintain an unprotected copy of the secured macro files.

Usage of the PROTECTMACRO and UNPROTECTMACRO commands should be limited to macro developers who will assume responsibility for the maintenance of the macro environments that they create. The PROTECTMACRO command should only be used to protect macros developed locally. Unprotected macros supplied with ChemStation products should not be protected. Similarly, non-macro files (*.EXE, *.DOC, ...) should not be protected.


PULLOUT

PULLOUT index, source, destination

Pulls a specified object from a set (source) and places it in a variable (destination).

index

A number, which is the position in the source set (list) from which the object for the destination will be pulled. If the index is <1 or greater than the size of the list, an error message is given.

source

The name of a set (list) from which the destination object is to be removed. If the source initially contains two objects, after pullout is executed, the source will be changed from a set to the type of the object remaining.

destination

The name of the variable where the 'pulled out' object is to be placed.


REMOVE

REMOVE [macro name / variable name] [,...]

Removes macros or variables from memory.

If a name is not specified, a dialog box listing the macros and variables currently available is displayed. You can click on the variable name to read its current value. If you then click the OK button, the command REMOVE variable name will appear on the command line. Press Enter to remove the variable.

Discussion

Reserved variables (those preceded by an underscore) cannot be removed or assigned (see the VARLOCK command).

REMOVE may be used at the end of a macro to cause the macro to remove itself. In this case, if this is a nested macro, REMOVE acts like the RETURN command and causes the macro to return to the macro that called it.


REMOVELIST

REMOVELIST ["basename"]

Removes a series of variables all at once. If the optional basename is not supplied, "METHCOMMENT" is used as the basename.

basename

A portion of the full name of a series of variables. The fullname of the variables is basenameX$, where X is one or two digits that vary from 0 to 99. (If basename were test, then test0$,test1$,..,test99$ would all be removed by the command REMOVELIST "test")

Discussion

The variables are removed in increasing digit order. If one of the variables in the series is not defined, the command stops at that variable and the later variables are not removed.

Example

Assume that the following variables exist : test0$,test1$,test2$,test3$,test4$,test6$,test7$, and test8$.

After executing REMOVELIST "test", the following variables would exist : test6$,test7$, and test8$


RENAME

RENAME "from name", "to name" [,DONTASK]

Renames a file or directory; moves files. Fully qualified file and directory names are required.

"from name"

The name of the file or directory to rename. If no path is specified, the current working directory is used.

"to name"

The new name. A different path can be given when renaming files (i.e., a file can be moved to a new directory). A different path cannot be specified when renaming directories.

DONTASK

If this keyword is specified, RENAME does not warn about overwriting files or directories. This keyword cannot be abbreviated; it must be preceded by a comma.

Examples

RENAME "\mypath\MYDIR", "\mypath\YOURDIR"

Renames the MYDIR directory to YOURDIR.

RENAME "MYDIR\myfile", "YOURDIR\myfile"

Moves the file myfile from the MYDIR directory to the YOURDIR directory.


RETURN

Used in nested macros to force a macro to return to the calling macro.

Discussion

RETURN is used in nested macros. If there is no RETURN, all macros are stopped. If there is no calling macro, the RETURN does nothing.


RMDIR

RMDIR "directory name"

Removes an empty directory. Fully qualified file and directory names are recommended.

Discussion

This command removes empty directories. To remove directories containing files, use the DELETE command.


ROUND( )

val = ROUND(num)

This function rounds a scalar value to the closest integer value.

num

A scalar value or variable.

Examples

val = ROUND(1.2)

PRINT val ! Prints 1.0

val = ROUND(1.8)

PRINT val ! Prints 2.0


ROWS( )

var2 = ROWS (matrix name)

Returns the number of rows in a matrix object.

matrix name

variable containing the matrix object.

var2

variable where result will be placed.

Examples

Y = ROWS(X)

puts the number of rows in X into Y

ROWS(X)

writes the number of rows in X into the message line.


RUNCLASS( )

value = RUNCLASS(run type)

Will convert the run type to a run class. Run classes are:

1 = Blank

2 = Sample

3 = Calibration

Run types can be 0, 1, 2, 3, or in the range of 100 - 399 for user defined types:

100 - 199 are in the Blank class.

200 - 299 are in the Sample class.

300 - 399 are in the Calibration class.


SELECTFILE

SELECTFILE attributes, "title" [,"extension"], name for path variable, name for file variable, name for file status variable

Displays a file-select dialog box.

attributes

The attributes of the dialog box:

0 = No list box, no existence checking

1 = List box for displaying and selecting files, existence checking enforced

2 = List box for displaying and selecting directories, existence checking enforced

3 = List box for displaying and selecting files, no existence checking enforced

4 = List box for displaying and selecting directories, no existence checking enforced

"title"

Title of the dialog box.

"extension"

Extension to enforce; it must be of the form *.xyz.

name for path variable

String variable containing drive and path; the string must end with a \. For example, "c:\MSDchem\msexe\"

name for file variable

String variable containing file or directory name exclusive of path; the string never ends with a \.

name for file status variable

Scalar variable containing status of selected file or directory:

0 = does not exist

1 = is a file

2 = is a directory

Discussion

If the path variable name or file variable name variables exist before the command is used, their values are used as defaults. Otherwise, the current working directory is used for the path and *.* is used for the file name.

Examples

SELECTFILE 2, "Load Method", "*.M", _MethPath$, _MethFile$, Fstat

SELECTFILE 1, "Load Sequence", "*.S", _SeqPath$, _SeqFile$, Fstat

Variables Set

_Button

0 = Cancel pressed

1 = both output variables unchanged

2 = either output variable changed


SDIM

SDIM set name, positive integer

A macro that sets the dimensions of a set variable. The positive integer should be >1.

See the DIM command. See also the Using and Writing Macros manual in the online help.


SETINFO

SETINFO "item name"

This command sets information about the state of the specified hardware component.

"ALS_ID"

0 = no ALS connected (default)

x = value in WIN.INI

"ALS_TYPE"

0 = none

1 = 7673

"GC_ID"

0 = no GC connected (default)

x = value in WIN.INI

"INLET_GC"

0 = 6890(default)

2 = other or none

"MS_CI"

0 = not installed (default)

1 = installed

"MSCONNECTION"

0 = front injection port

1 = rear injection port

"MS_DCI"

0 = not installed (default)

1 = installed

"MS_DCPOL"

0 = POS set

1 = NEG set

2 = not set (default)

"MS_EI"

0 = not installed

1 = installed (default)

"MS_EXTRA"

0 = none (default)

x = extra

"MS_EXTRA2"

0 = none (default)

x = extra

"MS_FAB"

0 = not installed (default)

1 = installed

"MS_HED"

0 = not installed (default)

1 = installed

"MS_ID"

0 = no MS connected (default)

x = value in WIN.INI

"MS_NI"

0 = not installed (default)

1 = installed

"MS_TYPE"

4 = 5972 / 6890 MSD

99 = No MS

"OFFLINE"

0 = instrument is online

1 = instrument is offline


SETINISTRING ( )

value = SETINISTRING ("filename", "application name", "keyname", "string")

This function searches the supplied .ini file for the specified application and sets the string associated with the keyname, to the string provided, up to 132 characters. If the keyname does not exist, a new entry is created, and the field is set to the string. If the filename parameter is an empty string (""), the ini file used is %SystemRoot%\msdchem.ini.

If an error is encountered, the function returns a 0, otherwise it returns a non-zero value.

If the string is entered as a null string, "", the keyname and the string are deleted from the file.

To keep the key and delete just the string, enter a string that is one space, " ".

If the keyname is entered as a null string, "", the entire application is deleted from the file.


SLEEP

SLEEP time

Used in a macro to pause the current application for the time specified.

time

The time in seconds. The sleep time will always be at least as long as specified, but may be longer.

Examples

The following macro may be used to wait until some other application finishes, for example, a network file transfer program.

NAME WaitFor WindowToGoAway

PARAMETER WinName$

GETWINDOWID WinName$

WHILE (_WindowID > 0)

SLEEP 3

GETWINDOWID WinName$

ENDWHILE

RETURN

NAME WaitForFTP

WaitForWindowToGoAwau "FTP - network transfer"

RETURN


SPRINT

SPRINT variable, "expression" [,...]

Writes the results of string expressions to the specified variable.

"expression"

Any valid string expression. A string expression must be enclosed in quotation marks.


SPRINT var USING

SPRINT variable USING "format image string", "expression" [,...]

Writes formatted string expressions to the specified variable.

"expression"

Any valid string expression. A string expression must be enclosed in quotation marks.

"format image string"

Must include the special characters needed to format the expression(s). May also include printable text.

# Represents one digit. ##.### or 2#.3#, with a period representing the decimal point. All digits to the left of the decimal are printed as long as there is at least one # to the left of the period in the format string. If there are more #s than digits, the extra #s are replaced with blank spaces before the number. Digits to the right of the decimal are rounded to match the # specified. If no period is used, the number is rounded and printed right justified. Numbers larger than 100,000,000 will be printed in scientific notation.

% Represents one character. If there are more %s than characters in the string, the string is printed left justified. If there are more characters in the string than there are %s, all characters are printed.

\ Prints the special formatting characters (#, %) used by this command as regular characters. Must immediately precede each character to be printed.

/ Used to insert a carriage return when printing to files. If this is not included, the next SPRINT command will continue on the same line.

Example

To obtain output in the variables Var3$ and Var4$:

B$ = "dichloromethane"

C = 16.7

D$ = "ppm"

SPRINT var3$ USING "16%, 6# 5%, B$, C, D$

n = 96

SPRINT var4$ USING "The square root of # = #.##, n,"

sqrt(n)

The contents of the variables are:

Var3$ dichloromethane, 17 ppm

Var4$ The square root of 96 = 9.80


SQR( )

value = SQR (expression)

This function returns the square of the expression.


SQRT( )

value = SQRT (expression)

This function returns the square root of the expression.


STRCMP( )

value = STRCMP("string1" ,"string2")

Compares two strings lexicographically and returns a value indicating their relationship. The comparison is case sensitive. The returned value will be one of the following:

<0 if "string1" is less than "string2"

=0 if "string1" is identical to "string2"

>0 if "string1" is greater than "string2"

"string1", "string2"

The two strings to compare.


TIME( )

value = TIME ( )

This function returns the current time in seconds since January 1, 1970.


TIME$( )

value$ = TIME$ ( )

This function returns the current time as a 24-character string; for example, Wed Oct 21 02:03:55 1992. Midnight is 00:00:00. Hours run from 0 to 23; minutes from 0 to 59. Greenwich Mean Time is used.


TOPCMD

TOPCMD "command"

Sends a command from an application to Top.

"command"

A string submitted to Top from an application to be executed by Top.


TOPDOT

TOPDOT variable

Sends a variable to Top.

variable

The name and value of the variable to be sent to Top.

Discussion

Can be used by all applications except Top to dynamically alter the flow of a macro in Top. For example, a "survey method" in Data Analysis may detect that a sample injection needs to be repeated using a more precise method (e.g., to quantify the amount of some substance). The flow of a sequence, which is a macro in Top, can be altered by setting the appropriate Top variables.


TRUNC( )

value = TRUNC (expression)

This function returns only the whole number part of the expression.


UNPROTECTMACRO

UNPROTECTMACRO [“filename”], [“password”]

This command will reverse the transformation of protected macro files, creating normal macro files of the same name.

filename

The name of the macro file to unprotect. If a filename is not specified, then a file selection box will be displayed. The default path for a macro is the path specified by _ExePath$.

password

The password used when the file was protected. If a password is not specified, a dialog box requesting the password will be displayed. Passwords are case sensitive.

If the file has been modified since it has been protected, the file cannot be unprotected.

The password parameter is provided to allow the automated unprotection of a set of files. For security, the routine that explicitly contains the password should be kept proprietary, perhaps by residing in a protected macro file.

See Also

PROTECTMACRO


UPPER$( )

string$ = UPPER$ ("string")

Converts the supplied string to upper case based on the criteria of the current language selected by the user at Windows setup.


VAL( )

value = VAL ("string")

This function evaluates a string expression and returns the numeric equivalent. If the string is not a valid numeral, the function returns zero.

Example

If a$ = "3" and b$ = "4", then VAL(a$ + b$) returns the numeric value 34.


VAL$( )

value$ = VAL$ (expression)

This function returns the string version of a numeric value.


VARLOCK

VARLOCK 1/0

Controls the use of reserved variables as targets of assignment statements:

1/0

Locks or unlocks reserved variables.

1 = Reserved variables cannot be assigned.

0 = Reserved variables can be assigned.

If no parameter is specified, the current lock mode is reported on the message line.

Discussion

Normally, reserved variables cannot be assigned or removed; their contents are managed by the system. However, to allow for custom operation, the lock on the assignment operation can be defeated by specifying VARLOCK 0. The lock on the remove operation can never be defeated.


VERSION

Displays version information about the current application on the message line.


VERSION$()

string = VERSION$( )

Returns the version information on the message line.


WHILE - ENDWHILE

Used in macros. Provides a loop construct with the test at the beginning of the loop. Syntax is:

WHILE condition

<command list>

ENDWHILE

See the Using and Writing Macros manual in the online help.


WINMOVE

WINMOVE [x] [,y]

Moves the application window to a new location.

x,y

New location of upper left corner of the window. Values are in fraction of a screen and range from 0 to 1; 1,1 is the lower right corner of the screen. Default is the initial value. Fractional values are entered as decimals with a zero before the decimal, e.g., 0.5.

Discussion

An application can never actually be moved to position (1,1). Part of the window is always visible so that it may be activated from the keyboard or grabbed with the mouse.

If a window is iconized or zoomed, this command has no effect.


WINSIZE

WINSIZE [width] [,height]

Changes the size of the application window.

width,height

The new width and height. Values are in fraction of a screen, where 1,1 means all of the screen and 0,0 means iconize. If a parameter is omitted, the original (default) value is used.


DATANALYSIS

DATANALYSIS ["command"] [,"autostart macro file"] [,QUIT] [,ICON]

Activates Data Analysis.

"command"

The Data Analysis command to perform once the autostart macro has completed.

"autostart macro file"

Allows Top to override the default autotstart macro file (da.mac).

QUIT

Forces Data Analysis to quit after the autostart macro and the command have completed, or after an error has occurred.

ICON

Forces Data Analysis to display itself as an icon.

Variables Set

_DACode

Data Analysis error code

_DADDE$

Top's identifier for a particular instance of Data Analysis (MSDA3750, for example)

_DAErr

0 = no error in Data Analysis

1 = Data Analysis is busy

2 = Data Analysis aborted

3 = Data Analysis had an error (see _DACode, _DAMsg$)

4 = Data Analysis terminated in an error state (see _DACode, _DAMsg$)

_DAErrMsg$

Top's description of the error in case Data Analysis does not respond.

_DAMsg$

Explanation of the error in Data Analysis

_DAState

1 = Data Analysis not in memory at all

2 = Data Analysis loading from disk

3 = Data Analysis starting from standby

4 = Data Analysis active and visible

5 = Data Analysis standing by and invisible


EDITMETHPANEL

EDITMETHPANEL [editop] [,editacq] [,editda]

Displays the Edit Method dialog box if used without optional parameters. Normal operation is to display the panel.

Edittop, editacq, editda

Optional parameters corresponding to the three checkboxes in the Edit Method panel: Method Information, Instrument/Acquisition, and Data Analysis. For each checkbox (parameter):

0 = don't edit

1 = edit

The selections made in the dialog box or via the optional parameters set variables.

Variables Set

_Button

0 = Cancel selected

1 = OK selected

_EditAcq

0 = do not edit

1 = edit

_EditDa

0 = do not edit

1 = edit

_EditTop

0 = do not edit

1 = edit


LOADMETHPANEL

LOADMETHPANEL ["method"] [,clear]

For internal use only. Displays the Load Method dialog box. This command is part of a multistep process that loads a new method.

"method"

The name of the method to load. If it is not given, the dialog box is displayed.

clear

0 = do not remove all variables of the form MethCommentx$

1 = do remove the variables (default)

Variables Set

_Button

0 = Cancel selected

1 = OK selected

_MethFile$

Current method file name

_MethPath$

Drive and path information for methods


MEMMODE

LOADMODE [insctl] [,da]

Changes the memory mode of the applications. The memory mode determines what happens to an application when it is closed.

insctl,da

T = terminate; the application is taken out of memory.

S = standby; the application is left partially in memory thereby reducing load time.

The default is the current value for each of the applications. If you use the command with its arguments, the current value is also displayed.

Examples

LOADMODE t,s


LOADSEQUENCE

LOADSEQUENCE ["sequence filename"]

Loads a sequence into memory. Displays the Load Sequence dialog box if a sequence file name is not specified. If the extension .S is not entered, it is appended.

Variables Set

_Button

0 = Cancel selected

1 = OK selected

_SeqFile$

Name of sequence file

_SeqPath$

Path for sequence file


METHINFOPANEL

Displays the Method Information dialog box. The selections made in the dialog box set variables.

Variables Set

_CopyMeth

0 = no

1 = yes

_PostCmd$ - command string

_PreCmd$ - command string

_RunAcq

0 = no

1 = yes

_RunDa

0 = no

1 = yes

_RunPost

0 = no

1 = yes

_RunPre

0 = no

1 = yes

MethCommentxxx$ - comments about the method; xxx starts at 0, increments by 1


MSINCTL

MSINSCTL ["command"] [,"autostart macro file"] [,QUIT] [,ICON]

Activates Instrument Control.

"command"

The Instrment Control command to perform once the autostart macro has completed.

"autostart macro file"

Allows Top to override the default autostart macro file (msacq.mac).

QUIT

Forces Instrument Control to quit after the autostart macro and the command have completed, or after an error has occurred.

ICON

Forces Instrument Control to display itself as an icon.

Variables Set

_InsCtlCode - Instrument Control's error code

_InsCtlDDE$ - Top's identifier for a particular instance of Acquisition (MSACQ3750, for example)

_InsCtlErr

0 = no error in Instrument Control

1 = Instrument Control busy

2 = Instrument Control aborted

3 = Instrument Control had an error (see _InsCtlCode, _InsCtlMsg$)

_InsCtlErrMsg$ - Top's description of the error in case Instrument Control does not respond

_InsCtlMsg$ - Instrument Control's explanation of the error

_InsCtlState

1 = Instrument Control not in memory at all

2 = Instrument Control loading from disk

3 = Instrument Control starting from standby

4 = Instrument Control active and visible

5 = Instrument Control standing by and invisible


POP

PUSH [scalar1], [scalar2], [scalar3], [scalar4] [string1], [string2], [string3], [string4]

POP [variable name1], [variable name2], [variable name3], ... [,variable name8]

For internal use only. Each PUSH or POP can handle up to 8 variables ( 4 scalars and 4 strings). For POP the variable names are where the popped variables are to be stored (the first four scalars and the next four strings).

Undefined scalars will be stored and popped as 0 and undefined strings are popped as null strings. If an attempt is made to pop an empty stack, the scalar value is set to 0, the string values are unchanged, and an error is generated. Each string can be up to 16 characters. Additional characters are truncated.

The stack size is limited to 100 entries.

For POP, after the last entry is 'popped' off the stack, the stack is destroyed.

For PUSH, if the stack is empty or absent, it is created.


PROMPTMODE

PROMPTMODE [insctlmode] [,damode]

Optionally determines whether you are prompted to save the method when exiting an application or whether the method is automatically saved. If no parameters are given, the current save mode is displayed for each application.

insctlmode,damode

Optional keywords N, S, and P, respectively, for the applications Instrument Control and Data Analysis. S causes the method to be automatically saved when exiting the application. N or P will cause a message box prompt about saving the method when exiting the appropriate application.


RUNMODE

RUNMODE ["mode"]

Used in a macro to set the run mode for Top. The run mode controls the status display and the editing of the Sample Log Table.

"mode"

"I" = interactive mode; status display is off, save mode is P

"M" = method mode; status display is on, save mode is N

"S" = sequencing mode; status display is on, save mode is N, and Sample Log Table entries can be edited only for samples not yet run.

Discussion

Normally, Top is in interactive mode. However, during a method or sequence the run mode changes to M or S. When the method or sequence is done, Top returns to run mode I. During run mode S, the Sample Log Table displays "past" entries as grayed text and does not acknowledge any changes made to such entries. All other entries may be changed as desired.

Variables Set

The following variables are set to zero or null strings:

_DaCode - error number for any errors occurring in Data Analysis

_DaErr

0 = no error

1 = Data Analysis busy

2 = Data Analysis aborted

3 = Data Analysis had an error

4 = Data Analysis died

_DaErrMsg$ - Top's description of the error

_DaMsg$ - error message returned from Data Analysis

_DaState

1 = Data Analysis absent (not in memory)

2 = Data Analysis loading

3 = Data Analysis starting (from standby)

4 = Data Analysis in standby

_ErrMsg$ - system error messages

_Error - system error number for macros on system wide basis

_InsCtlCode - error number for any errors occurring in Instrument Control

_InsCtlErr

0 = no error

1 = Instrument Control busy

2 = Instrument Control aborted

3 = Instrument Control had an error

4 = Instrument Control died

_InsCtlErrMsg$ - Top's description of the error

_InsCtlMsg$ - error message returned from Tune

_InsCtlState

1 = Instrument Control absent (not in memory)

2 = Instrument Control loading

3 = Instrument Control starting (from standby)

4 = Instrument Control (from disk) is idel (visible and ready)

5 = Instrument Control is standing by (not visible, not ready)

6 = Instrument Control is busy (visible; doing something)


SAMPLELOGTABLE

SAMPLELOGTABLE keyword [,"string"]

Manipulates the Sample Log Table.

keyword

ADVANCE = move to next injection

GETENTRY = get values for current injection and puts them in variables.

EDIT = display the short Sample Log Table

INIFILE = set which .ini file will be used by the Sample Log Table. Must be a valid, full-qualified file name. This is a “power-user” feature and should be used with extreme caution. No checking is done on the validity of the file name. The standard .ini file used by the Sample Log Table is mstop.ini.

MERGE, "seqfilename"

This command appends the sequence in the specified file with sequence in memory. (Note that sequence files from previous versions of ChemStation are not compatible with MERGE and must first be converted to the new format by loading and saving them.)

PUTENTRY = sweep the values stored in the reserved variables and place them in the Sample Log Table entry as set in the variable _SeqLine. The entry is overwritten. The line status is set to 2 (line ready) unless the run type is 6 (keyword), in which case it is set to 0 (line empty). _SeqLine points to the last entry in the table, which is always blank. The blank entry will be filled in and another blank entry created. If an attempt is made to put an entry while a sequence is active, an error is generated.

POSITION, "label or line number"

This command positions the sequence so that the line specified is the pending line. "-1" positions the sequence so that the last line in the table is the pending line.

START = move to first line in Sample Log Table

VIEW = display the Sample Log Table, but do not all changes. On exit, set the variables _Button and _Seqline.

"string"

This parameter is used only with the MERGE and POSITION keywords.

Variables Set

_AlsBottle - current vial number

_AlsBottle2 - not currently used

_Button - set with View keyword

_DataFile$ - date file name

_Datafile2$ - not currently used

_DataName$ - comments from the sample name field

_DataName2$ - not currently used

_DataPath$ - path for data file

_ExpBarcode$ - expected barcode

_InjPerVial - injections per vial

_LevelId$ - ID for level to be recalibrated

_LineStat - status of this line

0 = empty

1 = no type (not ready)

2 = type given (ready)

3 = done (marked)

_MethFile$ - current method file name

_MethPath$ - drive and path information for methods

_MiscInfo$ - string from Misc. Info item

_MiscInfo2$ - not currently used

_MoreSamp - set by START and ADVANCE keywords

_Multiplr - value of Multiplier for quantitative reports

_Replicate2 - not currrently used

_RunType

1 = sample

2 = blank

3 = recalibration

_SampAmt - value for Sample Amount for quantitative reports

_SeqArgs[ ] - eight-element array for scalar variables to be passed to Data Analysis when it is run from Top. Reference these as SeqArgs[1], SeqArgs[2], etc.

0 = default

_SeqStr$[ ] - set of 8 strings passed from sequence table to other ChemStation applications

_SeqIndex - currently not used

_SeqIndex2 - currently not used

_SeqInj - the current injection for the current vial

_SeqLine - line number that is source of current values

_SkipAcq

0 = run full method selected

1 = reprocess only selected

_UpdQi - qualifier ion relative responses

0 = do not update

1 = update

_UpdRf - response factors

0 = do not update

1 = update

_UpdRt - retention times

0 = do not update

1 = update


SAVEMETHPANEL

SAVEMETHPANEL "methodpath"

For internal use only. Displays a dialog box for saving a method.

"methodpath"

The name of the method to save to.

Variables Set

_Button

0 = Cancel selected

1 = OK selected, new path same as old path

2 = OK selected, new path differs from old but exists

3 = OK, new path differs from old and does not exist

_SaveMeth$

Fully qualified path of the method to save to


SAVESEQUENCE

SAVESEQUENCE ["sequence file name"]

Saves a sequence to a file. Displays the Save Sequence dialog box if a sequence file name is not specified. If the extension .S is not entered, it is appended.

Variables Set

_Button

0 = Cancel selected

1 = OK selected

_SeqFile$ - name of sequence file

_SeqPath$ - path for sequence file


SAVETOPMETHOD

Saves the "Top" part of a method in the current method directory.


SETDATAFILE

SETDATAFILE type, argument

Generates a data file name for sequencing in one of three types and saves the name in the variable _DataFile$.

type

Scalar expression whose value determines the form of the data file name generated and the type of argument expected.

1 = scalar expression for runcount; data file name is vviirrr.D

2 = scalar expression for runcount; data file name is rrrvvii.D

3 = string expression for seed file name; data file name is PPPPP

vv = vial number 0 - 100 (from _AlsBottle)

ii = injection number (from _SeqInj)

rrr = run number (from argument)

PPPPP must contain at least one digit

argument

Depending on type, a scalar representing the current run count, or a string expression representing a seed file name.

Discussion

When executed, the seed file name is scanned from the right to find the first continuous string of digits. This number is extracted and incremented and the result is written to _DataFile$. If the number cannot be incremented (that is , it would overflow), an error is generated.

For example, if the pattern is A44BC, then DataFile$ would be A45BC.

Examples

VARLOCK OFF

_DataFile$ = "A00BC"

VARLOCK ON

WHILE (_MoreSamp)

  •

  •

SETDATAFILE 3, _DataFile$

  •

  •

ENDWHILE

_DataFile$ takes on the successive values:

A01BC

A02BC

A03BC

Variables Set

_DataFile$ - data file generated


STARTRUNPANEL

Displays the Start Run dialog box.

The selections made in the dialog box set variables. To set the variables for parts of a method to run, use the METHINFOPANEL command.

Variables Set

_AlsBottle - current vial number

_Barcode$ - barcode read in by barcode reader function in Instrument Control

_Button

0 = Cancel selected

1 = OK selected

2 = Run Method button selected

_DataFile$ - data file name

_DataName$ - contents of Sample Name field

_DataPath$ - path for data file

_ExpBarcod$ - 16-character string containing the expected barcode for a vial

_MiscInfo$ - string from Misc. Info item

_Multiplr - value of Multiplier for quantitative reports

_Operator$- string from Operator Name item

_RunAcq

0 = no

1 = yes

_RunDa

0 = no

1 = yes

_RunPost

0 = no

1 = yes

_RunPre

0 = no

1 = yes

_SampAmt - value for Sample Amount for quantitative reports

_SkipAcq - always set to zero. See the command STARTSEQPANEL.


STARTSEQPANEL

Displays the Start Sequence dialog box.

Variables Set

_Button

0 = Cancel button selected

1 = OK button selected

2 = Run Sequence button selected

_CheckBar

0 = ignore barcode checking

1 = enforce barcode checking

_DataPath$ - path for data file

_Operator$ - string from Operator Name item

_OverWrite

1 = overwrite checkbox checked

0 = not checked

_PostSeqCmd$ - postsequence macro drive, path, and file name; default is null

_PreSeqCmd$ - presequence macro drive, path, and file name; default is null

_SeqComment$ - string from Sequence Comment item

_SeqTimeStamp$ - time stamp of sequence when started

_SkipAcq

0 = run full method selected

1 = reprocess only selected


STATUSPANEL

STATUSPANEL [1/0]

Controls the status display in Top. The default is 1 (on).

Top's status display is displayed in run modes M (method) and S (sequencing). Normally, it is off in run mode I (interactive).


SYNCHRONIZE

Waits until all applications are finished before continuing.

Discussion

This command is used by the Sequence macro to wait until all applications are finished. The wait may be terminated prematurely by pushing the Edit Samp Log Tbl, New Data Analysis, or Abort pushbutton in the Top status display.

Examples

NAME MyMethod

ACQUISITION RunMethod, AcqSeq, QUIT, ICON

SYNCHRONIZE

DATANALYSIS RunMethod, DeSeq, QUIT, ICON

SYNCHRONIZE

RETURN

Instructs TOP to wait for the application programs Instrument Control and DataAnalysis before proceeding to the next stage of the method.

Variables Set

_Button

0 = command finished, no applications are active

1 = Edit Samp Log Tbl button selected

2 = New Data Analysis button selected

99 = Abort button selected


TOPBOX1

TOPBOX1 "message", color

Places a message on line 1 of Top's box in the status display.

color

One of the following keywords identifies the color of the message text:

  • WHITE

  • YELLOW

  • GREEN

  • RED

Examples

TOPBOX1 "This is a yellow line", YELLOW


TOPBOX2

TOPBOX2 "message", color

Places a message on line 2 of Top's box in the status display.

color

One of the following keywords identifies the color of the message text:

  • WHITE

  • YELLOW

  • GREEN

  • RED

Example

TOPBOX2 "This is a green line", GREEN


MS Zones Dialog Box

This dialog box lets you edit the MSD temperature zones. Type the desired setpoint in the Setpoint field. The Limit must be at least as high as the setpoint for each zone.

The recommended settings for EI are:

Zone | Setpoint | Limit
MS Source | 230 | 250
MS Quad | 150 | 200

The recommended settings for CI are:

Zone | Setpoint | Limit
MS Source | 250 – PCI 150 – NCI | 300 -- PCI* 300 – NCI
MS Quad | 106 – PCI 106 – NCI | 200 – PCI 150 – NCI

Buttons

Apply | Sends the selected values to the instrument.
Cancel | Exits the panel without changing the currently loaded tune file or downloading anything to the instrument.
OK | Changes the currently loaded tune file, but does not download anything to the instrument (use Apply).


FIRMWARE7673$ ( )

string = FIRMWARE7673$( )

Returns the firmware revision as a string.


GCMETHODEDIT()

value = GCMETHODEDIT (panel number)

Displays one of 10 panels.

panel number

The number (1 - 10) of the panel.25

Variables Set

_Button

0 = OK

1 = Cancel. Otherwise error.


GCMETHODEDIT$()

value = GCMETHODEDIT$ ( )

Internal use only.


GCMETHODLOAD

GCMETHODLOAD "method path and method filename"

Downloads GC parameters to the instrument.


GCMETHODNAME( )

string = GCMETHODNAME( )

Internal use only.


GCMETHODNUM( )

value = GCMETHODNUM( )

Returns the number of GC panels (10).


GCMETHODPRINT

GCMETHODPRINT "filename and full path"

Copies the GC parameters in the current method into a specified file and prints the file. The file must already exist and must be closed when the command is invoked.


GCMETHODSAVE( )

GCMETHODSAVE "method filename and full path"

Saves the method.


GCPLOTEDIT()

value = GCPLOTEDIT( )

Displays the real time plot panel. Returns:

0 = OK

1 = Cancel

2 = Error

Variables Set

_Button

0 = Cancel or error

1 = OK


GCPLOTOFF

GCPLOTOFF [plot number]

Destroys the real time plot. The ChemStation will save the positions as well.

plot number

The number of the plot (1 or 2).


GCPLOTON

GCPLOTON [plot number]

Displays the real time plot.

plot number

The number of the plot (-2, -1, 1 or 2). A positive number will use the win.pos to determine whether or not to show the plot. A negative number will show the plot regardless of win.pos.


GCSHOWDEVICEWIN

GCSHOWDEVICEWIN [window number], bitmap number, x position, y position

Creates a bitmap, places it on the Instrument Control panel, or moves it.

window number

The window number for the Instrument Control panel or 0 for the current Instrument Control panel.

bitmap number

The number specifying the bitmap.

x position, y position

The x,y coordinates to position the bitmap on the panel.


GCVIEWPARAMS()

value = GCVIEWPARAMS( )

Displays the Edit GC Monitors dialog box. Returns:

0 = OK

1 = Cancel

2 = Error

Variables Set

_Button

0 = Cancel or error

1 = OK


ICARRANGEPLOTS

ICARRANGEPLOTS [scalar] [,scalar] [,scalar]

Rearranges the plots and monitors on the Instrument Control panel. The screen is divided between GC (or LC) and MS (or other detectors). GC plots and monitors are on the left and bottom; MS plots and monitors are in the right and bottom. (X,Y) point divides the line.

parameter 1

(Scalar) (Optional) Instrument Control panel window handle.

parameter 2

(Scalar) (Optional) x position

parameter 3

(Scalar) (Optional) y position


ICCREATEBAR( )

value = ICCREATEBAR( scalar, "string", scalar, scalar, scalar, scalar )

Adds or moves the static text in the Instrument Control panel. Returns a (scalar) bitmap window.

parameter 1

(Scalar) Number for the text (100 - 199)

parameter 2

(String) The "text"

parameter 3

(Scalar) x position

parameter 4

(Scalar) y position

parameter 5

(Scalar) width

parameter 6

(Scalar) height


ICCREATEHP( )

value = ICCREATEHP(scalar, scalar, scalar)

Adds or moves a bitmap on the Instrument Control screen. Returns a (scalar) bitmap window.

parameter 1

(Scalar) Bitmap number:

3 = sample information

7 = Help

8 = Stop

10 = Clock

parameter 2

(Scalar) x position

parameter 3

(Scalar) y position


ICDESTROYGADGET

ICDESTROYGADGET scalar

Removes a bitmap from the screen.

parameter 1

Scalar: Bitmap number


ICDUMPERROR

Displays any outstanding errors.


ICMAKEDIR

ICMAKEDIR "string"

Creates a new directory, or if the directory exists, checks for files under the directory.

parameter 1

Absolute "path name" to create or check for files.

Variables Set

_Button

0 = the directory exists and files under that

1 = the directory was created

otherwise = error.


ICSAMPLEINFO

ICSAMPLEINFO scalar

Displays the sample information panel.

parameter 1

Scalar

0 = Enable the Start Run button

1 = Disable the Start Run button.

Variables Set

_Button

0 = IDCancel

1 = IDOK


ICSHOW

ICSHOW scalar

Displays or hides the Instrument Control panel.

parameter 1

Scalar

0 = Hide

1 = Display


INJECTORS7673( )

value = INJECTORS7673( )

Checks for the presence of injectors. Returns:

0 = noinjectors or not supported

1 = front only

2 = back only

3 = both injectors


INSTRVIEW

INSTRVIEW symbol, scalar

Internal use only.


LBADDENTRY

LBADDENTRY "message", "text", ["helpfilename"] [,help number]

Puts an entry into the logbook and optionally links it to a help screen.

parameter 1

Type the message (example: 6890)

parameter 2

Text

parameter 3

The name of the Help file (if it is available)

parameter 4: (Scalar):

Help number (if it is available)


LBCLEAR

LBCLEAR ["filename"]

Deletes a logbook.

parameter 1

Null = delete the currently open logbook

Filename = Data path and data file for deleting the logbook.


LBCREATEBM( )

window = LBCREATEBM( bitmap, x, y )

Creates the logbook bitmap on the Instrument Control panel. Returns (Scalar): Window for the bitmap.

parameter 1

Scalar: Bitmap number (200)

parameter 2

Scalar: x position

parameter 3

Scalar: y position


LBDISPLAY

LBDISPLAY 0/1 [,"filename"]

Controls display of the logbook.

parameter 1

0 = Close the logbook window

1 = Display the logbook window

parameter 2

Null = Display the current logbook

File = Data path and data file.

Parameter 2 is used if parameter 1 = 1


LBPRINT

LBPRINT ["spool file name"] [,"data path and file for logbook"]

Prints logbook.

parameter 1

Spool file name to be printed

parameter 2

Null = current logbook

File = Data path and data file for logbook.


LBSAVEAS

LBSAVEAS "destination data path and file", "source data path and file"

Saves logbook.

parameter 2

Destination data path and data file for logbook

parameter 1

Source data path and data file for logbook.


MSMETHODEDIT( )

value = MSMETHODEDIT ( scalar, string )

Displays one of the mass spectrometer panels. Returns:

0 = OK

1 = Cancel

2 = Error

scalar

The first parameter is the panel number:

1 = MS Tune File

2 = MS SIM/Scan Parameters

3 = MS Timed Events Table

6 = MS Monitors

string

The second parameter is used for MS Tune File only. Other panels must have " " as the second parameter. If the first parameter is 1 (MS Tune File) and second parameter is " ", MSMethodEdit will display a panel to select the tune file. If the first parameter is 1, and the second parameter is a valid string, MSMETHODEDIT links _TunePath$ with second parameter and will not display the panel.

Variables Set

_Button

1 = OK

0 = Cancel or Error

Examples

MSMETHODEDIT( 1, “” )

MSMETHODEDIT ( 1, “atune.u” ) {No panel}

MSMETHODEDIT ( 2, “” )


MSMETHODPRINT

MSMETHODPRINT "string"

Print the MS method with the file name if MS is active. If the parameter is empty, the MSMETHODPRINT will use the parameter as “PRTMETH.TXT”.

Example

MSMETHODPRINT _InstPath$ + “METHOD.TXT”


MSMETHODSAVE

MSMETHODSAVE "directory name"

Save the MS method into the specified directory if the MS is active.

Example

MSMETHODSAVE “c:\MSDchem\1\methods\pest.m”


MSQUERYTUNE( )

string = MSQUERYTUNE( )

Query the tune file. Returns a string for the current tune file.

Example

MSQUERYTUNE()

Returns: atune.u


MSRECOVER

MSRECOVER "filename - full path"

Recovers portion of data after certain error conditions when Instrument Control is unable to complete the data file.

"filename - full path"

You must specify the full file path for the data file that was truncated; for example: "c:\MSDchem\1\data\evaldemo.d"

Discussion

During data acquisition a temporary file called "tempdat" is created in the data file subdirectory. The MSRECOVER command converts this file to a file called "data.ms" that you can view in Data Analysis by selecting the original filename (evaldemo.d, in the example).

If you run out of disk space during acquisition, you can back up and delete some other files and then use this command to recover the data collected before the disk became full.


MSRTCHANGE

Internal use only.


MSSENDVALVES

Closes the EI calibration valve.


MSSHOWDEVICEWIN

MSSHOWDEVICEWIN scalar, scalar, scalar, scalar

Displays a mass spectrometer icon / bitmap on top of the Instrument Control window.

parameter 1

The instrument control number. If the parameter is empty, MSSHOWDEVICEWIN will query the Instrument Control program for the number.

parameter 2

The icon/bitmap number. It should be 1.

parameter 3

The x position for the icon / bitmap.

parameter 4

The y position for the icon / bitmap.


MSTEMP

MSTEMP SOURCE / QUAD [,actual] [,setpoint current] [,setpoint new] [,limit current] [,limit new]

5973 MSD only. Get and set the MS source and quadrupole temperature.

SOURCE / QUAD

Keyword that specifies that you want to get or set temperatures for the source or quadrupole.

actual, setpoint current, limit current

CP variables to read the current settings of the ChemStation. Note that the set point may not match the setpoint of the MS control card.

setpoint new, limit new

New values. If setpoint new is given, the value is sent to the MS control card immediately. Note that all temperature values are rounded to even degrees.


MSVIEWPARAMS ( )

Displays the MS monitor panel where you can modify, add, or delete the monitors if the MS is active.

Returns:

0 = OK

1 = Cancel

2 = Error

Variables Set

_Button

1 = OK

0 = Cancel or Error

Example

MSVIEWPARAMS ( )


MS_SEND_VALVES

Sends "close the EI calibration valve" to the MS.


NOTRAY7673

Disables the tray. This is intended for Bench to deliver the vial to the injection tower rather than to an intermediate place in the tray.


PICKTUNEFILE

5973 MSD only. Displays the Select Tune File dialog box.


READBARCODE$()

string = READBARCODE$ ( )

This function returns the barcode string that has been read (a string of characters) whether or not the 7673 is enabled. If no barcode is read, an emptry string is returned. The vial is expected to be in the barcode reader.


RCMETHODEDIT( )

value = RCMETHODEDIT( )

Displays the Inlet and Injection Parameters panel.

Returns

0 = OK

1 = Cancel

2 = Error

Variables Set

_Button

1 = OK

0 = Cancel or Error


RCMETHODLOAD

Loads the Run Control current method from the CP variables _MethPath$ and _MethFile$. This comand will cause the instrument devices to load their methods as well.


RCMETHODPRINT

RCMETHODPRINT "filename"

Prints the Run Control method into the file name.

Example

MSMETHODPRINT _InstPath$ + “METHOD.TXT”


RCMETHODSAVE

RCMETHODSAVE "directory name"

Saves the Run Control method in the specified directory.

Example

RCMETHODSAVE “c:\MSDchem\1\methods\pest.m”


RUNABORT

Internal use only.


RUNERROR

Internal use only.


RUNSTART

RUNSTART scalar, scalar

Starts data acquisition. When the run is started, the parameters set in the Instrument Control dialog boxes and the autotune file are used.

parameter 1

0 = non-interactive (for sequencing)

1 = interactive

parameter 2

0 = non-blocking (internal use only)

1 = normal (default)


SCCLEAR

For use by service personnel only. Sends a device clear to the mass spectrometer interface card.


SCERROR

SCERROR [echo]

Retrieves mass spectrometer interface card error string in the CP variable.

echo

0 = The last SC error string is not displayed on the message line.

1 = The error string is displayed (default).

Variables Set

ScErrString$


SCPOLL

Sends a serial poll to the mass spectrometer interface card.


SCQUERY

SCQUERY "SC command string" [,variable]

Sends commands to the mass spectrometer control card.

The default timeout period is 2 seconds. If the CP variable ScTimeOut is defined and set to >=1, the timeout period is set to ScTimeOut, clipped to a lower limit of 1 s and upper limit of 600 s. If ScTimeOut is <1, the default 2 s is used.

Example

SCQUERY "*idn?"

returns the version number of the mass spectrometer control card.


SCTRACE

SCTRACE [overwrite]

Gets the mass spectrometer control card internal trace data and appends it to the file sctrace.txt under _TunePath$. This command requires the correct version of the mass spectrometer interface card; otherwise, an error message is given.

overwrite

1 = old file is overwritten

0 = default

Discussion

The default timeout period is 2 s. If the CP variable ScTimeOut is defined and set to >=1, the timeout period is set to ScTimeOut, clipped to a lower limit of 1 s and upper limit of 600 s. If ScTimeOut is <1, the default 2 s is used.


SCWRITE

SCWRITE "SC command string"

Sends commands to the mass spectrometer control card.

The default timeout period is 2 s. If the CP variable ScTimeOut is defined and set to >=1, the timeout period is set to ScTimeOut, clipped to a lower limit of 1 s and upper limit of 600 s. If ScTimeOut is <1, the default 2 s is used.


SCWRITERD

SCWRITERD "SC command string" [,variable]

Sends commands to the mass spectrometer control card. Response from the mass spectrometer control card is displayed on the message line and optionally saved in the variable (parameter 2).

The default timeout period is 2 s. If the CP variable ScTimeOut is defined and set to >=1, the timeout period is set to ScTimeOut, clipped to a lower limit of 1 s and upper limit of 600 s. If ScTimeOut is <1, the default 2 s is used.


SENDMODULE$( )

string = SENDMODULE$ ("68GC", "command string")

Sends a command to the 6890 GC and reads the response.

command string

A command string to the 6890 GC.

Example

a$ = SENDMODULE$("68GC", "CCID")


setciactive

SETCIACTIVE ON / OFF

This command is used with the 5973 MSD to turn the CI mode on or off.


TEMPEQUIL

5973 MSD only. This command is used by the tuning engine to check the source and quad temperatures. If the temperatures are not within 3 degrees of the setpoints in the current tune file, then a dialog box is displayed asking if you want to override the equilibration period. This box is displayed until you select the override button or until the temperatures finally equilibrate.


USETRAY7673

Enables the tray, if it is present. This is intended for Bench to deliver the vial to the injection tower rather than to an intermediate place in the tray.


ABUNDANCE

ABUNDANCE [low target] [,high target]

Adjusts electron multiplier voltage. The Abort menu item may be used to stop this command.

low target, high target

Minimum and maximum desired signal from the most abundant of the tune masses. Defaults are the current values. Once an autotune has been run, the default profile abundance values provide the appropriate target values. Note that these are targets, not absolutes. Moreover, if the specified range ends with a very low EMV, the signal is unstable and can fluctuate inside and outside the range.

When Tune is first entered, the intial low target is 200,000 and the initial high target is 400,00.

Discussion

Increases or decreases the electron multiplier voltage to adjust the most abundant of the current tune masses to fall within the abundance range.


AVERAGES

AVERAGES [variable for current value] [,new value]

Sets the number of averages for profile scans.

variable for current value

If specified, the current value is stored in this variable before the new value goes into effect.

new value

The number of profile scans to be averaged for each scan reported or displayed. Range is 1-9; default is the current value.

Examples

AVERAGES A

Puts the current number of averages into variable A.

AVERAGES , 9

Sets the number of averages to 9.


AXIS

AXIS [mass]

Calculates the mass axis gain and offset necessary to calibrate the mass axis. The Abort menu item may be used to stop this command.

mass

0=adjust axis using tune mass 1 and tune mass 2, followed by adjusting using mass 1 and 3. The average of 10 spectral scans is obtained for tune mass 1 and tune mass 2. The results are used to estimate axis gain and offset. The estimated axis gain and offset are used to estimate new gain and offset values using the average of 10 scans at tune mass 1 and 3. Default is 0.

2 = adjust axis using mass 1 and mass 2.

3 = adjust axis using mass 1 and mass 3.

The masses must be at least 10 amu apart; a warning is given if they are less than 100 amu apart.


BUFSIZE

BUFSIZE [variable for current value][,new value]

Use this command to increase the I/O data buffer from the default 8K to a maximum of 64K. This buffer is used for acquiring data (scan, profile, etc.) from the instrument.

variable for current value

If specified, the current value is stored in this variable before the new value goes into effect.

new value

Must be between the system default of 8464 bytes to a maximum of 65064 bytes.


CAL_VALVE

CAL_VALVE [variable for current value] [,new value][,notify]

This is the same as CALVALVE.


CALVALVE

CALVALVE [variable for current value] [,new value][,notify]

Controls the on/off status of the automatic calibration valve by setting an internal value that causes the valve to open or close the next time the MS is turned on. This command affects the EI or CI valve, depending on the ionization mode.

variable for current value

If specified, the current value is stored in this variable before the new value goes into effect.

new value

0 = valve to be closed

1 = valve to be opened

notify

0 = MS control card not notified

1 = MS control card notified immediately (default)

Discussion

This command does not actually open or close the valve but sets an internal value that causes it to open or close the next time the mass spectrometer is turned on. This command applies only to instruments that have an automatic calibration valve; it has no effect on an instrument with a manual valve.

The command CAL_VALVE is the same as CALVALVE.


CAPTURE

CAPTURE [mass] [,count] [,"filename"]

Repeatedly measures the abundance of the specified mass, determines mean and standard deviation of readings, and displays results graphically (if GDISPLAY is on). Tick marks on the Y-axis show the offset from minimum abundance. Be sure the mass spec is on before you use this command.

mass

The mass (amu) at which to take abundance readings. Default is 502 amu.

count

The number of readings to take and use to calculate mean and standard deviation. 10 -10,000 allowed. Default is 100. Use the command BUFSIZE to allocate a larger buffer for more than a count of 2000. A count of 10,000 requires a buffer of at least 40,064 bytes.

"filename"

Data will be written in ASCII to this file. One number per line.

Variables Set

CapData - data from CAPTURE

CapDataPts - # of data points from CAPTURE

CapMax - maximum abundance

CapMean - mean of the abundances

CapMin - minimum abundance

CapStdDev - standard deviation

CapTime - the time (microseconds) taken to get the data


DISPPRINT

DISPPRINT [x] [,y] [,cx] [,cy] [,continue] [,delay]

Prints the graphics and text currently in the Tune display window.

x,y

The location of the upper left corner of the printout. The values are in fraction of a page, with the lower right corner of the page as the reference point designated 1,1. Range with reference to that point is 0 to 0.95. If x is omitted, the default location and size are used (0.05, 0.2, 0.9, 0.5).

cx, cy

The new size of the graphics window as a fraction of the page. Range is 0.05 to 1-x (or 1-y). A minimum size is enforced, which depends on the number of characters in the display and the type of printer. A maximum size (1-x and 1-y) is enforced for the same reasons. Note that some printers cannot adjust the print size, only the size of the actual graphics. In such cases, the words may not align with the graphics.

continue

0 = Start new page (default).

1 = Continue drawing on the current page.

delay

0 = Print immediately (default).

1 = Do not print yet; more drawing for the current page to follow.

Discussion

See also STRPRINT and PAGESIZE.


DYNAMIC

DYNAMIC <lens name>|CLEAR|LIST, (see more syntax below)

(following <lens name>)

ENABLE|DISABLE | |SET|APPEND | |READ|PLOT
<curve type> | |<mass> | |<point # or cp variable for C0>
<ramp step> | |<lens setting> | |<cp variable for mass or C1>
 | <mass> | |<cp variable for lens setting or C2>
 | <lens setting> | | <cp variable for C3>

(following LIST)

<cp string variables for enabled lenses>

Used in system target tuning macros to set up lenses for ramping dynamically while scanning. Dynamic ramping can amplify or attenuate specific mass peaks to achieve a particular target ratio. Ramping can follow a piecewise or cubic polynomial curve. This command is not intended for general use.

lens name

A standard lens name such as ENTR or a variable containing a standard lens name:

REPELLER

IONFOCUS

ENTRANCE_LENS

XRAY

ENTLENSOFFSET

CLEAR

A keyword that turns dynamic ramping off for all lenses.

LIST

A keyword that lists the lens names currently enabled and writes them into user-supplied string variables. If the number of variables exceeds the number of lenses enabled, the extra variables are ignored. If this parameter is absent the default LIST is used.

DISABLE / ENABLE

Keywords that respectively disable or enable dynamic ramping for a specified lens. The maximum number of lenses that can be dynamically ramped at the same time is 4.

SET

A keyword specifying that the ramp parameters are to be set as specified by the subsequent curve set points or parameters.

APPEND

A keyword that allows additional mass/setting pairs to be specified piecewise curve. It is identical to SET for cubic. Up to a total of 10 pairs may be specified

READ

A keyword indicates that cp variables are to follow to get information for the set points.

PLOT

A keyword that will plot the mass vs. setting. It is not implemented now. Currently no default is allowed. When PLOT is implemented, PLOT will be the default..

Enabling Lenses

<curve type>

Only applicable if ENABLE is specified. The allowed curve types are PIECE or CUBIC. PIECE means piecewise linear. The cubic curve is

C0 + C1*mass + C2*mass*mass + C3*mass*mass*mass

The default curve type is PIECE. The default curve parameters are set to have a constant lens value as if the ramping is disabled.

<ramp step>

Only applicable if ENABLE is specified. These are mass resolution steps during ramping. The default value is 1 mass unit.

Setting Curve Parameters

<mass>

Only applicable if SET or APPEND is specified. This specifies the mass of the mass/setting pair for the piecewise curve or C0 of the cubic curve.

<setting>

Only applicable if SET is specified. This specifies the setting of the mass/setting pair or C1 of the cubic curve.

<mass>

Mass of the second mass/setting pair, or C2 of the cubic curve.

<setting>

Setting of the second mass/setting pair. Up to 10 mass/setting pairs can be specified.

The default value for <setting> after <mass> is the current lens value if dynamic ramping is off.

The masses entered must be in increasing order differing at least by a ramp step defined above.

Reading Curve Parameters

<point # or cp variable for C0>

Only applicable if READ is specified. This is the number for the mass/lens pair of the piecewise function you want to read or the cp variable for C0 of the cubic function.

If the point # is 0, the number of available (mass,voltage) pairs is returned.

For example,

DYNAMIC CAPEX, READ, 0, a

returns number of pairs in a.

< cp variable for mass or C1>

Only applicable if READ is specified. Mass for PIECEWISE and C1 for cubic.

< cp variable for lens setting or C2> -

Only applicable if READ is specified. Setting for PIECEWISE and C2 for cubic.

< cp variable for C3>

For reading Cubic function only.

Parameters Following LIST

<cp string variables for enabled lenses>

Names of enabled lenses will be assigned to the cp string variables. The cp string variables will be assigned the name of the lenses enabled. If there are more cp string variables following LIST than the number of lenses enabled, they will not be used. The string variables will have lens names such as ENTLENSOFFSET and can be used for the command DYNAMIC.

Note: If you do not know how many lenses are enabled, you can initialize 2 cp string variables to "".

The LIST option will fill as many as the number of lenses enabled. Then you can check whether the cp variable is NULL to find out lenses enabled.

Caution

The command string should be kept to less than 130 bytes, or truncation will occur. For piecewise ramping, the option APPEND can be used if there are too many mass/setting pairs.

Examples

DYNAMIC ENTLENS, ENABLE, PIECE

Enables piecewise linear dynamic ramping of the Entrance Lens Offset with the default ramp step of 1 amu.

DYNAMIC LIST, lens1$, lens2$

Returns the names of the two lenses enabled for ramping into the variables lens1$ and lens2$.

DYNAMIC lens1$, SET, 131, 50, 219, 10, 502, 20

Sets up dynamic ramping of the lens specified by the variables lens1$. The mass/setting pairs 131/50, 219/10, and 502/20 are specified.


EDDISP

Displays the Acquisition & Display Parameters dialog box, which allows you to edit the parameters that control the display of profile scans and spectral scans.


EDITFILEINFO

EDITFILEINFO [run info]

Displays a modal dialog box for editing miscellaneous information in the MS data file header.

run info

0 = Displays dialog box without run control information

1 = Displays dialog box with run control information allowing you to set number of scans or number of minutes

Variables Set

_Button

0 = Cancel

1 = OK

_DataName$ - the name of the data file

_MiscInfo$ - miscellaneous information for the data file

_Operator$ - the name of the operator

ScanNumOn - if 0, sets TRun_Duration; if 1, sets TRun_NScans


EDPARMS

Displays the Edit Parameters dialog box, which allows you to edit instrument parameters while data for tuning is being acquired and displayed.

Note that the positions of the various dialog boxes available in Edit Parameters are remembered by the software if you move them. The next time you enter Edit Parameters and call the boxes, they will be displayed where you last positioned them. The positions are saved under [EDPPOS] in the file _TunePath$ + "mstune.ini".

Edit Parameters also "remembers" which panels were up when Tune was last exited. This "memory" fails if the ionization mode is changed or the screen is less than 100 characters wide. The information is stored in the same mstune.ini file under [EDPON] as "onstate" and "ionmode".

To defeat these features and restore the software defaults, delete the file _TunePath&+"mstune.ini" or set the variable EDPDefPos to a non-zero value.


EDRAMP

Displays the Ramp Parameters dialog box, which allows you to edit the ramp parameters.


ENDJOB

Sends the print job accumulated since the last STARTJOB command to the Windows Print Manager for printing.

The pages may be printed in reverse order. To do this, you must first modify the win.ini file. In the section labeled [PCS], add the line:

REVERSEPAGE = TRUE


FILTERM

FILTERM [type varible] [,type] [,parameter variable] [,filter parameter]

5973 MSD only. Sets the data response filter in the mass domain. If no parameters are entered, a Data Filter dialog box is displayed.

type variable

For reading current type.

type

STD for standard type of filter

ERES for enhanced resolution filter

The enhanced resolution filter provides better mass peak detection at high (greater than 500 amu) mass.

parameter variable

For reading current filter parameter.

filter parameter

This parameter is automatically set to zero. If you enter any other value, it is ignored.


FINDBIT

FINDBIT value, bit number [, bit value variable]

Finds the bit value of a 16-bit word.

value

The limits are 0 to 2^16 - 1. Any value is truncated before evaluation.

bit number

The limits are 0 to 15. Non-integers are truncated.

bit value variable

Bit value is returned as 0 or 1.


FINDMASS

FINDMASS low mass [,high mass] [,variable for mass value] [,variable for abundance value] [,range not extended]

Finds the exact mass and abundance of the maximum peak within the given range.

low mass, high mass

Masses (amu) defining the mass range in which to find the largest mass peak.

variable for mass value

If specified, the exact mass of the largest peak is stored in this variable.

variable for abundance value

If specified, the abundance of the largest peak is stored in this variable.

range not extended

0 = (default) search for maximum peak within the given mass range -0.3 to +0.7 amu.

1 = search the given mass range without extension.

Discussion

If the current scan used Gaussian peak detection, and the current peak detection specified is not the simple method, the centroid of a Gaussian curve fit is returned as mass. The abundance is still the maximum in the raw data peak.

If you see "m/z" reported under a SCAN plot, you are getting centroid data; otherwise, you are getting mass of maximum abundance.

Example

FINDMASS 69

searches between 68.7 and 69.7 for the maximum peak.


FRESHTUNE

Resets all tune parameters to their initial values. It also resets the valve states according to the current ionization mode and inlet. To display the current tune parameters, enter the command EDPARMS. You can print the current parameters from the Edit Parameters dialog box or by using the MSPRINT command.


GCLEAR

Clears the Tune display window; also packs and shrinks local memory (which is particularly useful in memory management when using local variables in macros).


GDISPLAY

GDISPLAY [1/0]

Controls the graphics display in the Tune display window.

1/0

0 = off

1 = on

If a value is not entered, a dialog box with the current value is displayed.

Discussion

This command controls the graphics display of the tune commands ABUNDANCE, CAPTURE, PROFILE, SCAN, SIMRAMP, THRESHOLD, and WIDTHS.


GETCONFIG

GETCONFIG ["filename"] [,delay sending]

Loads a tune file.

"filename"

The name of the tune file (.U) to be loaded. The values in the file overwrite the values currently in memory. A path is not needed because tune files are stored only in the mstune directory for your instrument name and type, for example:

c:\MSDchem\1\mstune\5973\*.U

delay sending

1 = instrument parameters such as valves are not set until the next time the MS is turned on.

0 = set them now

Variables Set

_Button

0 = Cancel selected in dialog box

1 = OK selected in dialog box

TuneFileName$

Current tune file; initial value is ATUNE.U

TuneFilePath$

Directory path for current tune file; initial value is \MSDchem\inst name\mstune\inst type.


GETMSFAULT ( )

value = GETMSFAULT ( )

Returns the last MS fault condition as a number that can be translated in the Diagnostics window.


IOTEST

IOTEST [screen display] [,continuous]

Performs an IO test. The Abort menu item may be used to stop this command.

screen display

1 = Display on screen (default)

0 = No display

In both cases, a message is sent to message line when the test is done.

continuous

1 = Test continuously repeated until error occurs or Abort is selected; useful for detecting an intermittent instrument problem.

0 = Test done once (default)


INSTRPARM

value = INSTRPARM ("type")

Returns instrument parameters.

"type"

Is one of the following strings:

"maxmass" = maximum mass for this instrument

"minmass" = minimum mass for this instrument

If an error occurs, -1 is returned.

Example

a = INSTRPARM("maxmass")

a now has the high mass limit


LOGDATA

LOGDATA [variable for current value] [,save]

Save profile, ramp, capture, and scan data to predefined CP arrays.

save

1 = Save data

0 = Don't save data

The default is the current state; the initial state is 0 or off.

Discussion

Only a maximum of 4096 data points is saved in any array. If acquired data have more, the rest are ignored. Use the standard CP language to access array elements. To write the matrix to a file, see MATTOFILE.

The arrays are:

profdata1 | data from mass 1 profile scan
profdatapts1 | # of data from mass 1 profile
profdata2 | data from mass 2 profile scan
profdatapts2 | # of data from mass 2 profile
profdata3 | data from mass 3 profile scan
profdatapts3 | # of data from mass 3 profile
scandata | data from spectrum scan
scandatapts | # of data from spectrum scan
ramp data | data from SIMRAMP, highest mass number
rampdatapts | # of data from SIMRAMP, highest mass number
capdata | data from capture
capdatapts | # of data from capture

Example

To save scan raw data:

SCANPARM scantype,,1

! filtered raw data

PEAKPARM ,1

! peak detection type

BUFSIZE ,65064

!maximum acquisition buffer

LOGDATA s, 1

!save data in an array

SCAN

LOGDATA ,s

!restore or unsave to speed up

MATTOFILE scandata, "scan.txt"

!save in file

REMOVE scandata, scandatapts

!save memory

Variables Set

ProfData1 - Data from mass 1 profile scan

ProfDataPts1 - # of data points from mass 1 profile

ProfData2 - Data from mass 2 profile scan

ProfDataPts2 - # of data points from mass 2 profile

ProfData3 - Data from mass 3 profile scan

ProfDataPts3 - # of data points from mass 3 profile

ScanData - Data from spectrum scan

ScanDataPts - # of data points from spectrum scan

RampData - Data from SIMRAMP, highest mass number

RampDataPts - # of data points from SIMRAMP, highest mass number

CapData - Data from CAPTURE

CapDataPts - # of data points from CAPTURE


MASS

MASS [mass1] [,mass2] [,mass3] [,set variables]

This is the same as MASSES.


MASSES

MASSES [mass1] [,mass2] [,mass3] [,set variables]

Specify new tune masses.

mass1, mass2, mass3

The masses (in amu) of the ions to be used for tuning. Default is the current value. When PFTBA is used for tuning, the masses are normally 69, 219, and 502.

If the set variables parameter is set to 1, names for variables in which to place the current values of the tune masses are entered here.

set variables

0 = Set masses using values specified (default)

1 = Read current tune masses and put values in variables specified for each mass

Example

MASSES a1, a2, a3, 1

puts the current tune mass values in the variables a1, a2, and a3.


MASSFACTOR

MASSFACTOR [scale factor]

Adjusts the Y-axis scale of profile scans. This factor is not applied when SCALEMODE is set to fixed scale.

scale factor

The Y-axis scale for all three tune masses is divided by this factor (i.e., the abundances are multiplied by this factor).

Useful range is 0.1 to 100. Default is the current value, normally 1.


MASSGAIN

MASSGAIN [variable for current value] [,new value]

Sets the mass axis gain (mass axis calibration parameter).

variable for current value

If specified, the current value is stored in this variable before the new value goes into effect.

new value

The new value for the mass axis gain. This is the multiplication factor used in the equation to calibrate the mass axis. Range is -4999 to 4999 for the 5972, 6890 MSD. The default is the current value (which is displayed on the message line and stored in the variable if one is specified).

Discussion

See also MASSOFFSET to set the additive factor. These parameters are also set by the AXIS command.

Do not confuse these parameters with the amu gain and amu offset (set via MSPARM or WIDTHS commands), which adjust the instrument to achieve the desired peak widths across the spectrum.

Example

MASSGAIN MG

MASSGAIN , MG+5

stores the current value of the mass axis gain in the variable MG and then increments the value by 5.


MASSOFFSET

MASSOFFSET [variable for current value] [,new value]

Sets the mass axis offset.

variable for current value

If specified, the current value is stored in this variable before the new value goes into effect.

new value

The new value for the mass axis offset; this is the additive factor used in the equation to calibrate the mass axis. Range is -99 to 99 for the 5972 and 6890 MSD. The default is the current value (which is displayed on the message line and stored in the variable if one is specified).

Discussion

See also MASSGAIN to set the multiplication factor. These parameters are also set by the AXIS command.

Do not confuse these parameters with the amu gain and amu offset (set via MSPARM or WIDTHS commands), which adjust the instrument to achieve the desired peak widths across the spectrum.

Example

MASSOFFSET MO

MASSOFFSET ,MO-5

stores the current value of the mass axis offset in the variable MO and then decrements the value by 5.


MASSWINDOW

MASSWINDOW [size]

Sets the window size for profile scans.

size

An m/z value between 0.2 and 100 amu. The resulting window is twice the value entered here. Default is the current value. The initial value is 5 amu.

Example

MASSWINDOW 2

defines a window +/- 2 amu on either side of the tune mass.


MATTOFILE

MATTOFILE array name, "filename"

Writes matrices produced by LOGDATA to an ASCII file.

array name

Name of an array (m x n) where n<=4 and the numbers are between -9999999 and +9999999. In order to support the specified fixed format, numbers greater than 1e7 or smaller than -1e7 will generate an error.

"filename"

The ASCII filename. Each row of the matrix is written as one text line with the number format of +/-nnnnnnn.nn. There are 4 spaces between numbers.


MAXSCANRNG( )

value = MAXSCANRNG ( )

Returns the maximum scan range for raw data without buffer overflow. The return value is never larger than the allowed scan range for the instrument.


MENUSTATE ( ) (in Tune)

value = MENUSTATE (menu item number)

Function that supports checking or graying of menu items.

menu item number

100 = Checks for raw data. If the current scan data type is filtered raw data or raw data, returns 1. Otherwise, 0 is returned.

101 = Checks for ES Ionization. If the current ionization is ES, returns 0; otherwise 2 is returned.

102 = Checks state of Trace on/off. Returns a value of 1 if the menu item is selected; 0 if it is off.


MSBUILD

MSBUILD #filenumber, y1, y2, y3, y4, y5

Builds a scan in the specified file from the abundance values entered.

#filenumber

A number from 1 through 10. It must be the number of a file previously opened with the MSOPEN command.

y1, y2, y3, y4, y5

A number from 0 through 10,000 for each. These y values are written to the file as abundance values. The corresponding mass values are 0.1, 0.2, 0.3, 0.4, and 0.5. If a y value is not specified, a value of zero is used.

Discussion

This command creates a scan that can be written to an auxiliary data file using MSWRITE, allowing auxiliary data sources to be manipulated as MS data files. The ability to create multiple auxiliary data files at the same time allows for the correlation of different data sources with MS data.

See Also

MSOPEN

MSCLOSE

MSWRITE

MSSNAP


MSCHECK

MSCHECK [variable]

Check the last I/O state. To save time, no I/O is attempted.

variable

If entered, 0 = no MS response so far; 1 = MS response.


MSCLOSE

MSCLOSE [#filenumber] [,...]

Closes the specified tune data file. If a file number is not entered, all data files are closed.

#filenumber

A number from 1 through 10. It must be the number of a file previously opened with the MSOPEN command.

See Also

MSWRITE

MSCREATE

MSSNAP

MSBUILD


MSCREATE

MSCREATE ["filename"] [,variable]

Creates a spectrum scan data file. Path name and .D extension are automatically appended.

"filename"

If no filename is supplied with the command, a dialog box prompts for a name. If the selected file already exists, you are asked if you want to overwrite it.

variable

If the specified file exists and can be used for MSWRITE, the variable MsDataFile$ has the data file name. Otherwise, it is empty (null string). If you click Cancel on either of the dialog boxes, the variable also has the null string.

Variables Set

_Button

0 = Cancel select in dialog box

1 = OK selected in dialog box


MSOFF

Turns off all mass spectrometer voltages and closes the calibration valve.


MSON

Sends the current MS parameters to the instrument interface, turns on the mass spectrometer, and opens or closes the calibration valve (depending on the current setting of CALVALVE).

Note that the MSPARM and CALVALVE commands only change the parameter values in memory.


MSOPEN

MSOPEN "filename" [FOR OUTPUT] AS #filenumber

Creates and opens a tune data file and associates its name with a number. This number is then used by the other tune data file commands to manipulate this data file; see:

MSCLOSE

MSWRITE

MSSNAP

MSBUILD

MSCREATE

"filename"

Must be the name of an existing directory that ends with the extension .D. The full path must be specified.

#filenumber

A number from 1 through 10.

Discussion

If the variables _MiscInfo$, _Operator$, and _InstName$ have been set prior to using MSOPEN, then MSOPEN will read the information in the variables into the data file, where it is available for data analysis and reports.. (You can set these only after using the VARLOCK command.)

If ScanNumOn is set to 1, MSOPEN will use scan number instead of time to index the scans for the data file. This can be useful when you are interactively collecting data in Tune.

Variables Set

_TuneData

0 = No MS data available in file number 10

1 = MS data available in file number 10


MSPARM

MSPARM parameter [,variable for current value] [,new value]

Sets the specified mass spectrometer parameter to a new value. The new value is rounded to the nearest DAC (digital to analog converter) step for that parameter.

parameter

A keyword specifying the parameter to be set. A keyword may be abbreviated to as few characters as are needed to uniquely define it in the following list. The DAC step for each parameter is given in parentheses.

Keyword (Volts/DAC step)

AMUGAIN (1.0)

AMUOFFSET (1.0)

DCPOLARITY (pos or neg)

EMISSION ( 0 = off or 1 = on)

ELECTRON (0 = off or 1 = on (5973 MSD only)

EMVOLTS (11.764)

ENTLENSOFFSET (0.25098)

ENTRANCE_LENS (0.50196)

FILAMENT (1 or 2)

IONFOCUS (0.5)

REPELLER (0.07765)

TTI (on or off)

XRAY (0.8549)

WIDTH219 (0.001176)

variable for current value

If specified, the current value is stored in this variable before the new value goes into effect.

new value

The new value for the parameter. The default is the current value, which is displayed on the screen (and stored in the variable if one is specified).

Discussion

The new values are only in memory. They are not used to set MS voltages until the MSON command is used to turn the mass spectrometer on.

Example

MSPARM EMV

Returns the current electron multiplier voltage.

MSPARM REPELLER,,17

Sets the repeller voltage to 17.


MSPARMINFO

MSPARMINFO keyword [,VAR for enabled] [,VAR for low limit] [,VAR for high limit], [,VAR for resolution]

Gives MS parameter information.

keyword (Volts/DAC step)

AMUGAIN (1.0)

AMUOFFSET (1.0)

DCPOLARITY (pos or neg)

EMISSION ( 0 = off or 1 = on)

ELECTRON (0 = off or 1 = on (5973 MSD only)

EMVOLTS (11.764)

ENTLENSOFFSET (0.25098)

ENTRANCE_LENS (0.50196)

FILAMENT (1 or 2)

IONFOCUS (0.5)

REPELLER (0.07765)

TTI (on or off)

XRAY (0.8549)

WIDTH219 (0.001176)

VAR

CP variables to receive information.

Return

If the keyword is not a valid MS parameter, VAR for enabled will return 0. When VAR for enabled is 0, low and high limits, and resolution are set to be 0.


MSPRINT

MSPRINT [y] [,continue] [,delay]

Print MS parameters. You can use this command to produce tune reports with scan and profile data on the same page.

y

Starting location of the MS parameters in units of characters. y >= 0. Default = 5. y+1 is the actual line number. Thus a value of y=2 starts the MS parameters at line 3. The parameters are centered in the x direction.

continue

1 = Continue drawing on the current page.

0 = Don't continue (default)

delay

0 = Print now.

1 = Do not print yet; the current page has more drawing to come (default)

Discussion

Only the default printer from win.ini is used (the first DEVICE under [windows]). The printer is assumed to be present.

The user must ensure that succeeding print commands do not print overlapping strings or graphs.

Use continue and delay carefully. It is possible to overlay multiple graphs with these parameters, possibly producing garbage. Very complex output lengthens the printing time. These parameters are principally for producing tune reports with scan and profile data on the same page.

Example

MSPRINT 2

Print on the third line of the printer.


MSSNAP

MSSNAP #filenumber

Creates a snapshot file of the specified tune data file.

#filenumber

A number from 1 through 10. It must be the number of a file previously opened with the MSOPEN command.

See Also

MSCLOSE

MSWRITE

MSBUILD


MSTATUS

MSTATUS [variable]

Checks status of MS.

variable

If specified, the status of the MS is stored in this variable. If a name is not specified, the status is displayed in the Tune display window.

If a variable is specified, it will contain a number that is the sum of the values of the errors that occurred:

bit# | bit value | meaning
 | 0 | no errors
0 | 1 | Party fault (one or more errors)
1 | 2 | There was an excessive signal level
2 | 4 | Difficulty in mass filter electronics
3 | 8 | There is no emission current
4 | 16 | Excessive source pressure
5 | 32 | The diffusion pump is too hot
6 | 64 | The foreline pressure has exceeded 300 mTorr
7 | 128 | The diffusion pump is too cold
8 | 256 | The system is in VENT state
9 | 512 | Difficulty with the detector HV supply
13 | 8192 | Difficulty with MS internal communication.
14 | 16384 | The system is in STANDBY (shut down by APG remote cable to MS interface, probably by GC or LC).

Use the FINDBIT command to decode the error bit.

Example

MSTATUS status

The variable status has a value of 12, indicating that two problems (4+8) were encountered and are being reported:

"Difficulty in the mass filter electronics." (4) and

"There is no emission current." (8)

If the status has a value of 14 ("The system is in Standby"), the 6890 GC may have shut down the MS if GC detector, temperature, pressure, or flow setpoints have not be reached. The MS will remain in standby until the problem is fixed or the APG cable is disconnected.


MSWRITE

MSWRITE #filenumber

Writes the current scan to the specified tune data file.

#filenumber

A number from 1 through 10. It must be the number of a file previously opened with the MSOPEN command.

See Also

MSCLOSE

MSCREATE

MSSNAP

MSBUILD


OPTIM

OPTIM ["filename"] [,use CP variables] [,use current MS values] [,read/write]

For internal use only. Optimizes the MS lenses to achieve target ratios or maximum abundance at the desired masses.

"filename"

The name of a file with an .OPT extension; the available files are DFTPP4.OPT, BFB.OPT, and TARGET.OPT. This file contains all of the required optimization parameters. If a file is not specified, default parameters are used. Certain parameters will be superceded if the following OPTIM command parameters are specified.

use CP variables

1 = Use the following CP variables instead of the values in the .OPT file:

targmass = first target mass in amu

target1 ... target6 = target ratios

0 = CP variables not used (default)

use current MS values

1 = Use current MS parameter values for the first set of values used by the optimization.

0 = Current MS parameters not used (default)

read/write

1 = Write default parameter values to the file DFTPP4.OPT

0 = Do not write to file (default)

Discussion

This command is used in target and DFTPP autotunes. The Abort menu item is supported.

If tracing is enabled in Tune, the optimization parameters and the optimization progress are recorded in the trace file.


PAGESIZE

PAGESIZE [variable name for x][,variable name for y]

Displays on the message line the dimensions of the page used by the current printer configuration. If the parameters are not specified, the information is displayed on the message line.

variable name for x

The width of the page is returned in this variable. The value is the average number of characters minus 1 in the width.

variable name for y

The length of the page is returned in this variable. The value is the average number of characters minus 1 in the height of the page.

Discussion

The following values are returned for various configurations using the standard system font. These values may vary depending on the actual cartridge loaded in your printer.

Configuration # Columns # Rows

DeskJet Plus 80 60

DeskJet Plus (A4) 77 65

LaserJet III 79 63

LaserJet III (A4) 76 67

LaserMaster 76 60

LaserMaster (A4) 76 64


PEAKPARM

PEAKPARM [variable for current type] [,new type] [,variable for current%] [,new%]

Sets peak detection parameters. Used by PROFILE, AXIS, and WIDTHS commands.

variable for current type, new type

These parameters are for reading and setting the peak detection type as in other Tune commands.

0 = simple peak detection; For PROFILE, it means maximum of profile data. For AXIS it means simple peak-detected scan data.

1 = peak from the Gaussian fit of filtered raw scan data for both PROFILE and AXIS.

2 = peak from the Gaussian fit of unfiltered raw scan data for both PROFILE and AXIS.

Default is the tune file value; initially 0.

variable for current%, new%

These parameters apply only to types 1 and 2. They specify which data points are to be included in the peak centroid detection. For example, a new% of 20 means that all data points with abundances >=20% of maximum abundance in the peak are included. Default is the tune file value; initially 30.


PROFILE

PROFILE [control]

Acquires and displays profile scans of the current tune masses.

The abundance value reported on each profile scan is the difference between the abundance of the largest peak in the scan window and the abundance at the scale minimum (see SCALEMODE).

control

A number that controls the profile scan procedure:

1 = Repeats profile scans continuously; the Abort menu item, Stop button, space bar, or Enter key stops this process.

0 = Does a single profile scan (default)

-1= Does a single profile scan; displays report

Variables Set

BasePeak1, BasePeak2, BasePeak3 - mass where maximum abundance occurs

ConFidm_z1, ConFidm_z2, ConFidm_z3 - 95% confidence level of Peakm_z

IsoAbund1, IsoAbund2, IsoAbund3 - abundance of isotope peak

IsoMass1, IsoMass2, IsoMass3 - mass of isotope peak

Peakm_z1, Peakm_z2, Peakm_z3 - m/z value from curve fitting

PeakMax1, PeakMax2, PeakMax3 - maximum abundance of each tune mass

PeakMin1, PeakMin2, PeakMin3 - minimum abundance of each tune mass

PeakWidth1, PeakWidth2, PeakWidth3 - peak width at 50% height of each tune mass

Precursor1, Precursor2, Precursor3 - abundance of precursor

ProfData1, ProfData2, ProfData3 - Data from profile scan. These variables exist only if LOGDATA is on and the MATTOFILE command is used.

ProfDataPts1, ProfDataPts2, ProfDataPts3 - # of data points from profile scan for each mass. These variables exist only if LOGDATA is on and the MATTOFILE command is used.

PW101, PW102, PW103 - peak width at 10% height of each tune mass

Valley1, Valley2, Valley3 - abundance of valley


PROFPARM

PROFPARM PW / SHOWABUND [,variable for current value] [,new value]

Set profile scan parameters.

PW

0 = using peakwidth at 50% maximum abundance. Initial value is 0.

1 = using peakwidth at 10% maximum abundance. This parameter controls the peakwidth display of profile scans, and it also controls the WIDTHS command to achieve 10% or 50% peakwidth targets.

SHOWABUND

0 = showing % abundance if not in fixed scale.

1 = showing abundance counts. This parameter controls the profile scan display only

Discussion

Note that both PW at 50% and at 10% are available through CP variables after a profile scan:

PeakWidth1, PeakWidth2, PeakWidth3 = 50%

PW101, PW102, PW103 = 10%


PWIDTHS

PWIDTHS [target] [,range] [,agreement] [,% width] [,set variable]

Sets the target for the peak width adjustment. The targets can be set or read via CP variables for either the peakwidth at 10% or 50% maximum abundance.

target

A value between 0.3 and 2.5. The default is the current value, initially 0.5 amu. Note that this value is a target only and will not necessarily be achieved.

range

The maximum acceptable difference between the actual and target peak widths. The default is the current value, initially 0.06 amu.

agreement

The maximum acceptable difference between the actual peak widths of the tune masses. The default is the current value, initially 0.03 amu.

% width

1 = set peakwidth parameters for 10% of maximum abundance.

0 = set peakwidth parameters for 50% of maximum abundance (default).

set variable

1 = the first three command parameters are CP variables, and the current values are saved in these CP variables.

0 = the first three command parameters are numbers and set the peakwidth parameters in memory. Default = 0.

Example

PWIDTHS 1.0,,,1

sets the 10% peak width target at 1.0

PWIDTHS a,b,c,1,1

reads the 10% peak width parameters in the CP variables a, b, and c.


RAMPSMOOTH

RAMPSMOOTH [var current value] [,var new value]

Specifies the number of points to smooth for SIM-ramp data.

var current value, var new value

A variable containing the current value and a variable for the new value. The new value must be 0, or an odd number between 5 and 101. If you enter a number between 5 and 101, Savitsky-Golay quadratic/cubic smoothing is applied using the specified points. If the entered number is not odd, the nearest odd number is used.

To reset smoothing, enter 0 as the new parameter.

Discussion

The number of points used in smoothing is labeled on SIM ramp graphics. This smoothing command is also available from the Edit Ramp Parameters panel.


SAMPLES

SAMPLES [variable for current value] [,new value]

Sets the number of samples for scan and profile scans.

variable for current value

If specified, the current value is stored in this variable before the new value goes into effect.

new value

A value for n where the number of samples is equal to 2^n. The allowed values are 0 through 7. Default is the current value; initial value is 4.

Example

SAMPLES N,6

saves the current value in variable N and sets the new value to 6. 2^6=64 samples.


SAVECONFIG

SAVECONFIG ["filename"]

Saves MS parameters to a tune file.

"filename"

The name of the tune file in which to store the parameters. If a file name is not entered, the Select File dialog box is displayed. The extension .U is appended to the name if it is not supplied.

Tune files can be stored only in the ChemStation's \MSDchem\inst number\inst name directory.

Example

For ChemStation software on the C: drive, configured with instrument 1 as an 5972 mass spectrometer:

SAVECONFIG "SAVE.U"

saves tune parameters in C:\MSDCHEM\1\ 5972\SAVE.U

Variables Set

_Button

0 = Cancel selected in dialog box

1 = OK selected in dialog box

TuneFileName$ - Current tune file; initial value is ATUNE.U

TuneFilePath$ - Directory path for current tune file; initial value is

\MSDchem\inst number\inst name.


SCAN (Tune)

SCAN [low mass] [,high mass] [,samples] [,threshold] [,clear display]
SC [low mass] [,high mass] [,samples] [,threshold] [,clear display]

Obtains and displays a mass spectrum. If parameters are entered with this command, they are used only to obtain the current scan; they do not affect the current values. To change the current values use FRESHTUNE, GETCONFIG, MASSES, SAMPLES, or SCANPARM.

low mass, high mass

Defines the mass range over which to scan. Allowed values are 1.2 through 700 amu. The default is the current value.

samples

A number n, where the number of samples is 2^n; allowed values for n are 0 through 7 (see SAMPLES). The default is the current value.

threshold

Peak detection threshold. The default is the current value.

clear display

0 = do not clear the display until the scan data is received. When this parameter is 0, this command will not generate an error if the error is "no scan peaks". It will instead set the CP variable Scan_No_Peaks to 1. This flag is used for continuous acquisition of data.

1 = clear the display early (default)

Discussion

If the data is not peak-detected type (see SCANPARM command) and the peak detection is not simple (see the PEAKPARM command), the Gaussian centroid is reported for masses and isotope masses. The text under the graph uses m/z instead of mass. Abundance, however, is still the maximum abundance in the raw data peak.

Example

If the current setting of mass range is 10 to 600:

SCAN 50,200

scans from 50 to 200 amu.

SCAN

scans 10 to 600 amu again.

Variables Set

NumScanPeaks - number of peaks

ScanAbund1, ScanAbund2, ScanAbund3 - abundance at each tune mass

ScanBaseAbund - abundance of base peak

ScanBasePeak - base peak (amu)

ScanData - data from spectrum scan

ScanDataPts - # of data points from spectrum scan

ScanIsoAbund1, ScanIsoAbund2, ScanIsoAbund3 - isotope abundance

ScanIsoMass1, ScanIsoMass2, ScanIsoMass3 - isotope mass

ScanMass1, ScanMass2, ScanMass3 - mass (amu) for each tune mass


SCALEMODE

SCALEMODE [mode] [,minimum] [,maximum] [,do scan]

Sets the display mode for the Y-axis scale for profile or spectrum scans.

mode

0 = fixed scale; values are set by minimum, maximum parameters

1 = scale to first tune mass for profile scans; autoscale for scans; scale minimum for each tune mass set by the PROFILE variables PeakMin1, PeakMin2, and PeakMin3, respectively; scale maximum for all tune masses set by PROFILE variable Peakmax1.

2 = autoscale for each tune mass; scale minimum for each tune mass set by the PROFILE variables PeakMin1, PeakMin2, and PeakMin3, respectively; scale maximum for all tune masses set by PROFILE variables Peakmax1, PeakMax2, and PeakMax3, respectively.

The default is the current value, which is displayed on the message line. The initial value is 2.

minimum, maximum

Abundance values to set the Y-axis limits for fixed-scale mode. Ignored for other modes. Default values are 0 and 100, respectively. Limits are 0 and 6,400,000.

do scan

This parameter determines the type of scans that will be affected by the previous parameters.

0 = profile scans (default)

1 = scans

Discussion

The fixed scale for scans feature is for internal diagnostics. To save time and reduce screen real estate for y axis labeling, the y axis for scans is still in percent of the difference between scale minimum and scale maximum. If autoscale is used, the scale minimum is 0 and the maximum is the base peak abundance.


SCANPARM

SCANPARM parameter [,variable for current value][,new value] [,variable for current gap] [,new gap]

Sets scan parameters.

parameter

A keyword specifying the parameter to be set.

LOWMASS

HIMASS

THRESHOLD

SCANTYPE

0 = normal peak detected scans, bar graph representation

1 = filtered raw data, continuous curve

2 = raw data, continuous curve

variable for current value

If specified, the current value is stored in this variable before the new value goes into effect.

new value

Default is the current value.

variable for current gap / new gap

These parameters are used only with SCANTYPE = 1 and for internal development purposes. The default and recommended gap is 0. When scan data has a non-zero threshold and the peaks have a mass gap greater than the gap specified, the scan plot will drop down to threshold to indicate that the abundances have dropped below threshold.

Range for the new gap value is 0 - 20. When you enter a gap value of 0 or a value less than the narrowest possible for the detector, the narrowest possible value will be used.


SCANPRINT

SCANPRINT [variable for current value] [,new value]

Controls printing of abundance and isotope data for SCAN.

variable for current value

If specified, the current value is stored in this variable before the new value goes into effect.

new value

0 = off; do not print data

1 = on; print abundance and isotope data


SCINIT

SCINIT [1/0]

Initializes MS interface by downloading the control program, if necessary. This is also a way to verify communication between the computer and the MS interface. There is a 10 - 20 seconds delay before the download happens.

1/0

0 = Download occurs only if needed (default).

1 = Download forced; useful for loading new firmware revisions without turning off power to MS (recommended for 5972/6890; otherwise, you must vent the system and then turn off power).


SCIOINIT

SCIOINIT 1/0

Initializes MS interface by downloading the control program, if necessary. This is also a way to verify communication between the computer and the MS interface. There is a 10 - 20 seconds delay before the download happens.

1/0

0 = Download occurs only if needed (default).

1 = Download forced; useful for loading new firmware revisions without turning off power to MS (recommended for 5972/6890; otherwise, you must vent the system and then turn off power).


SETRAMP

SETRAMP [parameter] [,start] [,stop] [,step size]

Sets limits and step size for ramping the specified parameter.

parameter

A keyword specifying the MS parameter to be set. A keyword may be abbreviated to as few characters as are needed to uniquely define it.

AMUGAIN

AMUOFFSET

ENTLENSOFFSET

ENTRANCE_LENS

IONFOCUS

REPELLER

XRAY

start, stop

Starting and ending points for the ramp.

step size

The amount by which the parameter is changed between points of the ramp.

Discussion

The actual values for the start, stop, and step size parameters may be slightly different from those entered. The values are rounded to the nearest volts/DAC (digital to analog converter) step for that parameter (see MSPARM).

The values set by SETRAMP are used by SIMRAMP.


SETRFPA

SETRFPA [mass]

Sends the command to set the RFPA to the MS interface. Diagnostic command.

mass

Mass in amu. If a mass is not specified, a dialog box prompts you for the value. The default value in the dialog box is the first tune mass.


SETTHRESH

SETTHRESH keyword [,mass number] [,variable for current value] [,new value]

Overrides the default threshold associated with the WIDTHS or THRESHOLD command for the specified mass.

keyword

A keyword specifying which command's threshold is to be set:

WIDTH - affects the threshold value to raise EMV for the WIDTHS command

THRESH - affects the threshold value to raise EMV for the THRESHOLD command.

RESET - removes all thresholds set with this command and restores the default values. All other parameters are ignored.

mass number

Tune mass number 1, 2, or 3; the default is 1.

variable for current value

If specified, the current value is stored in this variable before the new value goes into effect.

new value

The value to be used for the threshold for the specified mass.

Example

SETTHRESH THRESH, 2, A, 1000

Sets the threshold value of the second tune mass to 1000 for use by the THRESHOLD command. The current value will be stored in the variable A.


SETUSER

SETUSER index [,variable] [,new value]

Sets user parameters that can be saved to tune files for use in macros.

index

A value from 0 - 19 that is used to point to another value (new value) stored in the tune file. Default is 0.

variable, new value

Allows read and write.

Discussion

After FRESHTUNE, these parameters are reset to -1.0e+99.


SIMACQ

SIMACQ [dwell] [,ion 1] [,ion 2] [...] [,ion 30]

Acquires SIM data and displays it graphically.

dwell

The time in milliseconds for acquiring data at each mass. Acceptable range is 10-9999; default is 100. The dwell time multiplied by the number of ions must be less than 100 s.

ion 1, ... ,ion 30

Mass of the ion in amu. Default is 74.1 for ion 1. A command line entry accepts a maximum of 132 characters; any beyond this are truncated.

Discussion

The display shows the selected ions +/-10 amu. To turn off the report displayed under the plot, use SCANPRINT.


SIMRAMP

SIMRAMP parameter [,mass number] [,optimum] [,no-op] [,dwell time] [,userselect]

Ramps and graphs the specified MS parameter. The Abort menu item may be used to stop this command.

parameter

A keyword specifying the MS parameter to be ramped. A keyword may be abbreviated to as few characters as are needed to uniquely define it.

AMUGAIN

AMUOFFSET

ENTLENSOFFSET

ENTRANCE_LENS

IONFOCUS

REPELLER

XRAY

mass number

Determines which of the tune masses are to be monitored while the parameter is ramped; values are 1, 2, 3, or -1, which ramps all lenses. If you do not specify the second parameter, all masses are ramped.

optimum

A keyword that indicates whether the optimum value found for the parameter should be retained (i.e., should replace the previous value).

NONE - Default. Previous value is retained.

MAXIMUM - The value corresponding to the maximum of the ramp is retained. If all three masses are ramped, the optimum for mass 3 is retained.

FIRST_INFLECTION - The value corresponding to the first maximum peak when a certain threshold criterion is met (to rule out noise).

no-op

Inoperative parameter.

dwell time

The time in milliseconds for acquiring data at each lens value. Default is 50.

userselect

0 = User selection option not displayed (default).

1 = Displays a dialog box with a slide bar so that you can manually choose the MS parameter value.

Discussion

SIMRAMP ramps the parameter over the range set by SETRAMP and displays a plot of tune mass abundance versus parameter settings (volts or DAC).

Variables Set

RampData - data from ramp

RampDataPts - # of data points from ramp

RampMax - maximum abundance of last ramp if optimize parameter set to MAX


STARTJOB

STARTJOB "jobdescription"

Initiates a multiple page print job. Several pages of output may be accumulated using the appropriate print commands. The pages are not printed until the ENDJOB command is issued. The order in which the pages are printed may be reversed; see ENDJOB.

"jobdescription"

A descriptive string that appears in the Windows Print Manager.

Variables Set

JobName$ - name of the print job (specified in the first parameter)


STEPSIZE

STEPSIZE [variable for current value] [,new value]

Sets the mass step size for profile scans.

variable for current value

If specified, the current value is stored in this variable before the new value goes into effect.

new value

The new mass step size; range is 0.05 amu to the current value of MASSWINDOW. The initial value is 0.10 amu. The default is the current value.

Discussion

The actual value of STEPSIZE may differ slightly from that entered; it is rounded to the nearest resolution step (0.05).


STRPRINT (Tune)

STRPRINT "string" [,x] [,y] [,continue] [,delay]

Sends a string to the printer.

"string"

The string to be printed.

x,y

The starting location for printing the string in units of characters. The minimum value is 0; the maximum value is determined by the number of lines per page allowed by the printer. If you enter a value greater than this, the string is not printed. Default is 5,1.

continue

0 = Start new page (default).

1 = Continue drawing on the current page.

delay

0 = Print immediately (default).

1 = Do not print yet; more drawing for the current page to follow.

Discussion

An alphanumeric string may be formatted using the PRINT USING command. See also PAGESIZE.


THRESHOLD (Tune)

THRESHOLD [mass number] [,loops] [,adjust repeller] [,adjust axis]

Obtains a threshold response from the MS for tune mass 1 and the selected tune mass. The Abort menu item may be used to stop this command.

mass number

Tune mass number 2 or 3; 2 is the default.

loops

The number of attempts made to adjust the threshold. The default is 50.

adjust repeller

0 = do not adjust repeller voltage

1 = adjust repeller voltage (default)

adjust axis

0 = do not reset mass gain and mass offset

1 = reset mass gain and offset to zero (default)

Discussion

This command may adjust the electron multiplier and repeller voltages and the amu gain and offset to obtain responses for the tune masses that equal or exceed threshold values set with a SETTHRESH command.


TRACE

TRACE ["filename"] [,append]

Toggles the logging of tuning steps (MSON, IO Test, etc). If TRACE was previously off, this command logs to the specified file. If TRACE was previously on, this turns TRACE off (file name is ignored).

"filename"

The name of the file. If a file name is not specified, you are prompted to enter a name. The default path is TuneTracePath$: For example:

c:\MSDchem\1\5972\yourfile.TRC.

append

If file already exists:

0 = overwrite (default)

1 = append

Variables Set

TuneTraceName$ - Initial value is TUNE.TRC

TuneTracePath$ - Initial value is \MSDchem\inst number/inst name


VACUUM

VACUUM [STATUS/VENT/PUMPDOWN]

Initiates a vent or pumpdown process and displays the MS vacuum status.

STATUS/VENT/PUMPDOWN

The MS temperature is monitored in all cases, but the temperature controller must be turned on or off by the user.

STATUS - Displays a dialog box showing the status of the MS (default).

VENT - Initiates the venting process. The diffusion pump is turned off and the pump temperature and MS foreline pressure are monitored until okay. The dialog box goes away automatically when the process is complete.

PUMPDOWN - Initiates the pumpdown process. The diffusion pump is turned on and the pump temperature and MS foreline pressure are monitored until okay. The dialog box goes away automatically when the process is complete.

Discussion

You may exit the dialog box during a vent or pumpdown. This does not stop the process, but you will not be prompted when the system is ready. It is recommended that you use the command VACUUM STATUS before you actually vent or start measurements.

Variables Set

_Button

1 = OK selected in Status dialog box

2 = Exit selected in vent or pumpdown box


WAIT

WAIT [seconds] [, "comment"]

Stops operation for the specified time and displays the comment. The Abort menu item may be used to stop this command.

seconds

The number of seconds to wait. The default is 1 s.

"comment"

The comment to be displayed on the message line while waiting.


WIDTHS

WIDTHS [loops] [,mass number]

Adjusts mass spectral peak width of mass 1 and the specified mass to fit the tune file criteria. The Abort menu item may be used to stop this command.

loops

The maximum number of iterations to be done in attempting to adjust the peak width. If set to zero or less, profile scans of the two masses are obtained, but no attempt is made to adjust the peak width. The default is 50.

mass number

Tune mass number 2 or 3; the default is 2.

Discussion

Use the SETTHRESH command to set a threshold for WIDTHS.


WINDDISP

WINDDISP "string1" [,value] [,"string2"] [,x] [,y]

Displays messages in the Tune display window. The window is cleared before the message is displayed.

"string1"

String to display preceding the value.

value

A scalar; displayed with two places after decimal; blank space on each side. Default is no value and no spaces.

"string2"

String to display after the value.

x,y

Position of the message. x can be -79 to 79; y, 0 to 19. The default is 0,0, which is the upper left corner. If x is negative, the display is cleared first. If y corresponds to a line that contains a message, the existing message is deleted.

Discussion

This command clears the window before displaying the message. Use DISPPRINT to send the display to the printer.

Alphanumeric strings may be formatted using the PRINT USING command.


XFER

XFER opcode [,data] [,variable name] [,loop]

For internal use only. Returns information about the mass spectrometer. XFER and XFR are different names for the same command.

opcode

A number to be sent to the mass spec, the operation code.

data

An optional number that is the data associated with the particular opcode.

variable name

The name of a variable in which to store information returned by the XFER command.

loop

The number of times to execute the opcode command.


+ operator

result = object1 + object2

The + operator adds objects 1 and 2. . Object1 and object2 must be single objects of the same type. If they are numbers, the result will be displayed on the message line. Object1, object2, and result may also be specified as variables.

An object that is the result of an addition is identified by the characters (+) at the end of the title.

Example

Z=X+Y

adds the spectrum in X to the spectrum in Y and places the results in Z.


- operator

result = variable1 - variable2

This operator is not recommended to be used with complex variables such as mass spectra or chromatograms. Use SUBZERO or SUBTRACT.

The - operator subtracts the object in variable2 from the object in variable1 and places the result in result. Both variable1 and variable2 must contain single objects (not sets) of the same type (i.e., both chromatograms or both spectra). When chromatograms are subtracted, their X-ranges (time) must overlap at some point.

A subtracted object is identified by the characters (-) at the end of the title (which is the title of the object originally in variable1).

You can use the variable Suppress to determine whether or not negative remainders will be included in the result. If you set Suppress=1, the resulting object will contain only positive remainders from subtraction. If you set Suppress=0, positive and negative remainders are included in the result. There is no effect when chromatograms are subtracted.


* operator

variable1 = value * variable2

The * operator multiplies the contents of variable2 by the specified value and assigns the product to variable1. An asterisk (*) in the plot title indicates that a chromatogram or spectrum has been scaled (via the * operator, NORMALIZE, or TRANSFORM).

variable1 / variable2

The variable2 parameter contains the object to be multiplied. There is no default. The product is assigned to variable1.

value

The number by which to multiply the contents of a variable.

Caution

You can lose data by scaling downward. For example:

X= 0.001 * X
X = 1000 * X
often does not produce the same original spectrum or chromatogram.

Example

Y = 0.01 * X

multiplies the contents of X by 0.01 and places the results in Y.


[ ] operator

variable name1 = variable name2 [object number]

The [ ] operator lets you extract an object from a set of objects and assign it to a variable.

variable name1 / variable name2

Variables. Variable name2 must identify a set of objects.

object number

The number of the object to be extracted. Valid numbers are >0 and <= the number of objects in the set. There is no default number. To display a list of the objects and their assigned numbers, use the TABULATE command.

Example

If X is a set of 3, then

Y =X[3]

assigns the third object in X to Y.


ABORT

Used in EasyID or QEdit to leave without saving changes. A message box asks you to confirm your decision. To discard the changes and restore the original database or quant results file, click YES. To retain the changes and return to EasyID or QEdit, click NO.


ADDPEAKS

ADDPEAKS variable

Gets peak information from the integration results associated with the chromatogram(s) stored in variable and adds this information to the individual peaks list. Used by the standard quantitation macro.

After all integration results have been processed with this command, the individual peaks list is processed using the ENDSET command to create the correlated peaks list that is used by other quantitative reports commands.

The STARTSET command should be used to clear any existing peaks lists before you use ADDPEAKS to generate a new individual peaks list.


ALLCONT

ALLCONT [1/0]

Affects the drawing of spectra as either continuous curves or bar graphs.

If ALLCONT is turned on (1), any subsequently created spectra will be drawn as continuous curves. If it is turned off (0), any subsequently created spectra will be drawn as a bar graph. If no parameter is specified, the drawing method is toggled.

To change the drawing format of an existing spectrum, use the MAKEBAR and MAKECONT commands.

Example

ALLCONT 1 ! Turn continuous curves on.

SCAN 1,X

DRAW 1,X ! X is drawn as a continuous curve.

ALLCONT 0 ! Turn continuous curves off.

SCAN 1,X

DRAW 1,X ! X is drawn as a bar graph.


ANNOTATE

ANNOTATE window, object number, x, y [,"text", rel position [,NOREFRESH], [colorindex]

Displays the Annotate dialog box where you can specify the text and relative placement of the text.

window

Number (1-30) of the graphics window in which annotation is to appear.

object number

0 = Single object; merged set; first (top) object in display of separated set.

1 = Second (from top) object in display of separated set.

N = N+1 (from top) object in display of separated set.

x

X value of the point about which the annotation will be positioned. For spectrum, enter amu*20; for chromatogram, enter time*60000. The X value before scaling must be between the highest and lowest X value for the object. Use the GETSCALARS POINT command to find the low and high values.

y

Y value (abundance counts) of the point about which the annotation will be positioned. The Y value must be between the highest and lowest Y value for the object. Use the GETSCALARS POINT command to find the low and high values.

"text"

The annotation text. If "text" is entered with the command, the annotation is completed and the dialog box is not displayed.

rel position

If rel position is not specified when "text" is entered, the text will be centered.

0 = left

1 = center (default)

2 = right

NOREFRESH

If this keyword is specified, then the window being annotated is not refreshed. Useful when doing a series of annotations.

colorindex

Specifies the color of the text. Valid values are 0 to 16 inclusive. The values match colors specified in the windows registery file.

Color Index | Color Name in win.ini
0 | DEFrame
1 | DETitle
2 | DEAxes
3 | DEChrom1
4 | DEChrom2
5 | DEChrom3
6 | DEChrom4
7 | DEChrom5
8 | DEChrom6
9 | DEChrom7
10 | DEChrom8
11 | DEChrom9
12 | DEAnnotation (default)
13 | DEBaselines
14 | DERtimes
15 | DEBackground
16 | DEBarline


AREAREJECT

AREAREJECT value, time

Creates an area reject event for the ChemStation integrator. Areas less than the specified value are not included in the integration results. To view the list of integration events currently in memory, enter TABULATE EVENTS.

value

0 to 1E14. Very large values may be entered in exponential notation. For example, 4x10^12 can be typed as 4E12.

time

Allowed values are -650 through 650 minutes. To delete a timed event, enter the command for the event with a negative time value.

Examples

AREAREJECT 100,2

sets an area reject value of 100 at 2 minutes

AREAREJECT 100,-2

deletes the entry created above


AREASUM

AREASUM 1/0, time

Creates an area sum event for the ChemStation integrator. All peaks between times given by AREASUM 1 (on) and AREASUM 0 (off) are treated as a single peak and the areas are summed.

time

Allowed values are -650 through 650 minutes. To delete a timed event, enter the command for the event with the corresponding negative time value.

Examples

AREASUM 1,3

tells the integrator to start summing the areas of the peaks at 3.0 minutes. This continues until the time given in an AREASUM 0,time command.

AREASUM 1,-3

deletes the entry created in the previous example.


AUTOINT

AUTOINT variable, , signal number, area reject

Automatically integrates the specified chromatogram or set of chromatograms.

variable

The name of a variable specifying the chromatogram to be integrated. The data in the variable must be chromatographic data. There is no default.

signal number

Determines which signal(s) to integrate.

0 = integrate all signals in object (default)

1 = [image] signal number [image] num (variable) means integrate only that signal.

area reject

Percent of the largest peak for area reject. Default is zero (or no area reject).

Discussion

AUTOINT automatically finds the best values for initial threshold and initial peak width, sets the area reject to 0, and then performs the integration. The current setting of shoulder detection is used.

Parameters 2 and 3 are unused and are present because of their former location in the autointegrate macro.

Variables Set

Npeaks - number of chromatograhic peaks found in the integration


AVERAGE

AVERAGE time1:time2 [,variable] [,file descriptor object]

Averages spectra over the specified time range and places the results in variable.

time1:time2

Time range in minutes. If a time outside the range of the data is entered, the time corresponding to the actual data is used.

variable

Variable containing the results. Default is X (which rolls the stack).

file descriptor object

The data file loaded from the FILE command.

Discussion

An averaged spectrum is identified by the characters (*,+) at the end of the title. Averaging is done on the current data file (_DataFile$).


BASELINE

BASELINE NOW / NEXTVALLEY / BACK, time
BASELINE ALLVALLEY / HOLD, 1/0, time

Creates a baseline event for the ChemStation integrator. To view the list of integration events currently in memory, enter TABULATE EVENTS.

NOW

Sets the baseline at the specified time.

NEXTVALLEY

Sets the baseline at the next detected valley.

BACK

Draws the baseline backwards horizontally from the value of the signal at the time specified.

ALLVALLEY

Sets the baseline at all detected valley points (between peaks) following the specified time.

HOLD

Draws the baseline forward horizontally from the value of the signal at the time specified.

1/0

Turns the baseline event on (1) or off (0).

time

Allowed values are -650 through 650 minutes. To delete a timed event, enter the command for the event with the corresponding negative time value.

Examples

BASELINE NOW, 5.5

sets a baseline point at 5.5 minutes

BASELINE NOW, -5.5

deletes the entry created above

BASELINE ALLVALLEY, 1, 0

sets a baseline point at all valleys detected after 0.00 minutes until turned off.


BSB

BSB [time1:time2] [,variable] [, "new filename"] [,DONTASK] [,] [,file descriptor object]

Subtracts background on all mass spectra within the specified time range and creates a new data file. Reads the Spectral_Window variable.

time1:time2

Retention time range in minutes. Default is the entire range of the data file. Mass spectra for points outside of the time range are put in the new datafile unchanged.

variable

Variable containing the mass spectrum to be used for the background values. Default is X.

"new filename"

The name of the new data file that will contain the background subtracted data. The name must end with the extension .D. If a file name is not entered, a name is constructed from the variables _DataPath$ and _DataFile$:

If _DataPath$ does not end in BSB\

new filename = _DataPath$ + BSB\ + _DataFile$

(If the BSB directory does not exist, it is created)

If _DataPath$ does end in BSB\

new filename = _DataPath$ + _DataFile$

DONTASK

If this keyword is specified, no warning message is displayed if the new data file is about to overwrite an existing data file.

file descriptor object

The data file loaded from the FILE command.

Discussion

The Operator field of the new file is modified to show how many background subtractions have been done. The string [BSBx] is prefixed to the contents of this field, where x is a number from 1 to 9 indicating the number of times the file has been background subtracted. All results are subject to a 14-bit precision limit.

Examples

Assume the current data file is:

C:\MSDchem\1\data\alkdemo.d

The background subtracted file would be:

C:\MSDchem\1\data\bsb\alkdemo.d


CALEXCEL

Reports relative response factors for the initial calibration to an Excel spreadsheet.

A tabulation of all compounds in the database is sorted by an internal standard number. Listed for each compound are the relative response factors for each level, the average of all levels, and the standard deviation. The CC level is not included.

If there is no amount for a level, the relative response factor is left blank. If there is an amount but no response, the relative response factor is reported as 0.

Compounds with average relative response factors or relative standard deviations out of range are not flagged.


CALIBPRINT

CALIBPRINT x0, y0, x1, y1, result #, "file name", scalar

Gathers and formats data from a QuantResults file in preparation for printing a calibration curve. Must be preceded by the STARTPRINT command; to print the data use ENDPRINT.

x0, y0,

The coordinates defining the upper left corner of the plot; x is in characters, y is in lines. The default for x is 7, for y, 5. The range is 0 to the value of x reported by the PAGESIZE command.

x1, y1

The width and length of the plot; x is in characters, y is in lines. If these values are too small, a minimum size plot is produced. If they are too large, part of the printed graph will be clipped. The minimum for x is 25, the default 65. The minimum for y is 14, the default 20.

result #

The number of the entry in the QuantResults file containing the calibration data to be plotted.

"filename"

The QuantResults file name, normally quant.res. The quant.res file must be fully qualified with its complete path.

scalar

If non-zero retrieve the calibration plot from data from the Quant database instead of the Quant Results File.

Variables Set

Eqn1$ - calibration equation

Eqn2$ - RSD or RHO and curve fit type.


CALRPT

CALRPT [destination]

Reports relative response factors for the initial calibration of the current method.

A tabulation of all compounds in the database is sorted by internal standard number. Listed for each compound are the relative response factors for each level, the average of all levels, and the standard deviation. The CC level is not included. If there is no amount for a level, the relative response factor is left blank. If there is an amount but no response, the relative response factor is reported as 0.

destination

0 = screen (default). Displayed in Multivu. The file calrpt.txt is added to the method directory.

1 = printer

2 = forms file. The file calib.csv is added to the data directory.


CCCHK

CCCHK [destination] [,file] [,drift]

Evaluates the relative response factors of the current data file against the relative response factors for the initial calibration of the current method. The level ID of the initial calibration level having the same concentration as the daily calibration sample being evaluated must be set using Edit Continuing Calibration Criteria.

A tabulation of all compounds in the database is sorted by internal standard number. Listed for each compound are the average relative response factors for all levels of the initial calibration, the relative response factor from the data file, and the percent difference of the two. The CC level is not included. If there is no amount for a level, the relative response factor is left blank. If there is an amount but no response, the relative response factor is reported as 0.

Out of range values are flagged based on the criteria in Edit Continuing Calibration Criteria.

destination

0 = screen (default). Displayed in Multivu. The file cccheck.txt is added to the method directory.

1 = printer

2 = forms file. The file calib.csv is added to the data directory.

file

The data file to be evaluated. The default is the currently loaded data file.

drift

0 = (default) Report values based on response factors.

1 = Report values based on nominal vs. calculated amounts. Useful where Average RF is not used.

Individual compound critera can be set for compound types "C" Continuing Calibration Check, and "P" System Performance Check Compounds.

"C"

N4=Maximum RSD between Initial and Continuing RRF's

"P"

Signal Level Minimum = Minimum RRF

Signal Level Maximum = Maximum RSD in RF's


CCRPT

CCRPT [destination]

Evaluates the relative response factors of the continuing calibration level against the relative response factors for the initial calibration of the current method.

A tabulation of all compounds in the database is sorted by internal standard number. Listed for each compound are the average relative response factors for all levels of the initial calibration, the relative response factor from the CC level, and the percent difference of the two. The CC level is not included.

If there is no amount for a level, the relative response factor is left blank. If there is an amount but no response, the relative response factor is reported as 0.

Out of range values are flagged based on the criteria stored in the file cc.val which is located in the current method directory.

destination

0 = screen (default). Displayed in Multivu. The file ccrpt.txt is added to the method directory.

1 = printer


CHROMATOGR

CHROMATOGR [time1:time2] [,mass1] [,...] [,mass10]

Generates extracted ion chromatograms and places them in X as a merged set. Always rolls the stack.

time1:time2

The retention time range in minutes.

mass1, mass2, ... ,mass10

A positive number specifying the mass (amu) of each ion to be extracted. Each mass value (N) is treated as the mass range (N-0.3):(N+0.7). Zero masses are ignored. Negative masses or masses greater than 2000 generate an error message. If more than 10 mass values are entered, masses beyond the tenth are ignored; no error message is generated.

To override the -0.3:0.7 amu setting, set the variable MzRange. For example:

MzRange=-0.2:0.4

To specify a mass range, use the syntax mass1:mass2, where mass1 is the starting mass and mass2 the ending mass.

If no masses are specified, the Extracted Ion Chromatograms dialog box is displayed.

A mass larger than any in the current data file will generate an empty object. There are no default values.

Variables Set

NIons - how many EICs were retrieved by the command


CLEAR

CLEAR [window]

Clears a graphics window.

window

A number (1 through 30) of a graphics window. The default is to clear all graphics windows.

Examples

CLEAR clears all graphics windows

CLEAR 2 clears window #2


CLEAR var

CLEAR variable, result type

Clears results that are associated with an MS object.

variable

The name of the variable containing the spectra.

result type

A keyword specifying the type of results to clear. It may be one of the following:

INTRESULTS - clear integration results

LIBRESULTS - clear library search results


CLEARCPNDS

CLEARCPNDS [option] [,mode]

Clears compound entries from the quantitation database of the current method. A message box gives a warning before the entries are cleared. Restores default values to Quantitation Globals panel.

option

0 = Default; clears entire database after confirmation. (See Discussion, below.)

non-zero = Clears only the calibration level IDs and files after confirmation.

mode

0 = Default; this is the interactive mode and sets variable _Button.

1 = Batch mode; suppresses the Warning panel and performs the appropriate clear compounds or levels operation.

Discussion

If the option parameter is set to zero, the following global values are set:

Reference Window=10%

Non-Reference Window=5%

Correlation Window=0.02 minutes

Multiplier=1

Default Sample Concentration=0

Report type=Summary

To Screen=True

To Printer=False

To File=False

Generate Report during RUNMETHOD=False

Report File Name=null string

Single Compound Number=1

Quant by Height=False

Title=null string

Timestamp=null string

Default units string=null string

Default curve fit=Linear Regression

Use RTEINT=False

Default +/- extraction window length=0.5 minutes

Default integration parameter file=null string

Default ISTD concentration=0

All Level IDs=null string

All Level filenames=null string

Variables Set

_Button (when mode is interactive): 0 = cancelled; 1 = accepted.


CLIP

CLIP window, [filename]

Copies a graphics window to the Clipboard. From the Clipboard, the graphics may then be pasted into another application or, optionally, into a file with Windows metafile format (.WMF).

window

Number (1-30) of the graphics window to be copied.

filename

The file in which you want to store the clipboard image in Windows metafile format. It is a good idea to use the .WMF extension for these files to faciltate import into other programs such as Microsoft Excel, Word, etc.

Note: Use double quotes (" ") with this parameter if symbols such as ( ) or [ ] are to be used.


CLREVENTS

Clears all ChemStation integrator timed events currently in memory; resets initial settings (see the INITTHRESH, INITREJECT, INITWIDTH, and SHOULDERS commands) to the default values for the INTEGRATE command.

To view the list of integration events currently in memory, use the TABULATE EVENTS command.


CMI

CMI variable, left time, right time, left height, right height, baseline checking, signal number

Integrates manually with the ChemStation integrator.

variable

The TIC, EIC, or EIRC for manual integration.

left time, right time

Left (starting retention time) and right (ending retention time) baseline times in milliseconds.

left height, right height

Left (start of the peak) and right (end of the peak) baseline heights in counts.

baseline checking

Scalar. This parameter is accepted but is not implemented. You can leave it blank or enter a scalar value.

signal number

Determines which signal(s) to integrate.

0 = integrate all signals in object (default)

1 = [image] signal number [image] num (variable) means integrate only that signal.

Discussion

If the signal has no previous integration results, the resulting CMI peak becomes the integration result.

If the signal has previous integration results,the new CMI peak is added to the existing list. Also,if there were previous peaks in the list whose start and end time range include the retention time of the new peak, then the first such peak in ascending retention time order from the old list is deleted.


COMPOUND

COMPOUND [compound number]

Used in EasyID or QEdit to select a compound.

compound number

The number of the compound to edit. The default is the next compound.


CPDANALYZE

CPDANALYZE [file descriptor object] [,n]

Used in a macro to do the identification and quantitation calculations on a compound in the database versus signals from an acquired data file.

file descriptor object

The data file loaded from the FILE command.

n

n = 0 marks the internal standard with an asterisk in the Edit Compounds list.

If n = non-zero, use the labeled internal standard technique.

Append records for all peaks deemed "hits" to the results file whose name was specified in the most recent call to STARTANALYSIS. The maximum number of hits is specified on page 1 of the Compound Entry panel.

Variables Set

Istd_Area - response of the ISTD, which could be area or height depending on the Measure Response By selection for a compound. Only has meaning if the target compound of interest is an analyte related to an internal standard compound.

Q_XCResp - area correction response. Zero if area correction is not enabled. This is the value subtracted from the ordinary peak area to yield the corrected area. Read by UPDATERSLT.

TR_Corr - time reference correlation; set to ratio of the actual and expected retention times if a compound is marked as a time reference compound; otherwise, not set.


CREATEWINDOW

window = CREATEWINDOW (structure object, window id, xlow:xhigh, ylow:yhigh)

Creates a structure window (as seen in library search and parametric retrieval.)

structure object

Any object that was created with the CSCREATE function.

window id

Any integer (0-255) that will be used to identify the window.

xlow:xhigh

ylow:yhigh

Describes a box that gives the location and size of the window. These values are specified as a percentage of the parents window's client area (range 0.0 to 1.0).


CSADDSTRUCT

CSADDSTRUCT "database file name", structure object [,structure id [,"structure title"]]

This command will add the given structure to the database specified. If all parameters are not specified, then a dialog box will be displayed that asks for them.

"database file name"

The name of the database file that should be used for this structure. Although this parameter is required, if it is an empty string (i.e., "") all of the databases that have been set up through the CSLIBS command will be used.

structure object

Any object that was created with the CSCREATE function.

structure id

A number that uniquely identifies a structure, generally the CAS number is used.

"structure title"

A string that describes this structure.


CSATTACH

CSATTACH structure object, ms object, xlow:xhigh, ylow:yhigh

This command will associate the given structure with the given mass spectrum. Whenever the spectrum is drawn, printed or copied to the clipboard, the structure will also be drawn, printed, or copied to the clipboard.

structure object

Any object that was created with the CSCREATE function.

ms object

An existing mass spectrum object.

xlow:xhigh, ylow:yhigh

Describes a box (in data units) into which the structure will be drawn and the data is displayed.


CSCHRO

CSCHRO ["file descriptor"] [,scan range], filter spectrum, destination

Extracts a chromatographic signal from a data file filtered by a mass spectrum.

"file descriptor"

The path and name of the desired data file; the default is the current data file.

scan range

The default is the entire scan range (all scans in the data file). Otherwise, it is a range expressed as, for example, 10:20.

filter spectrum

The name of the mass spectrum to be used as a filter for the chromatogram. It must be a variable name, such as X or MyScan. There is no default.

destination

The name of the output chromatogram. It must be a variable name, such as R1 or CsChro1. There is no default.

Discussion

Each scan in the scan range is read from the data file. The algorithm compares each m/z point in the filter spectrum to m/z points in each scan. The abundances of all points in the scan that match the filter spectrum within the tolerance set in the variable Spectral_Window are summed.


CSCOPY

CSCOPY structure object
CSCOPY structure window object
CSCOPY structure id
CSCOPY "cas number string"

This command will copy a structure (an exact data image and a metafile picture) to the Microsoft Windows clipboard. The two forms that accept a structure ID or a CAS number string will access the structure database(s), the others access the structure object given.

structure object

Any object that was created with the CSCREATE function.

structure window object

Any object that was created with the CREATEWINDOW function specifying a structure object as the first parameter.

structure id

A number that uniquely identifies a structure, generally the CAS number is used.

cas number string

A number represented as a string, formatted as though it was a CAS number (e.g., "xxxx-xx-x"), that uniquely identifies a structure.


CSCREATE

structure = CSCREATE (structure id, "database file name")
structure = CSCREATE ("cas number string", "database file name")

This function searches the database file(s) and creates a structure object.

structure id

A number that uniquely identifies a structure, generally the CAS number is used. If a negative number is used, then the absolute value is treated as a record number and the structure at that record number is loaded.

cas number string

A number represented as a string, formatted as though it was a CAS number (e.g., "xxxx-xx-x"), that uniquely identifies a structure.

database file name

The name of the database file (*.sdb) that should be searched for this structure. Although this parameter is required, if it is an empty string (i.e., "") all of the databases that have been configured through the CSLIBS command will be searched.


CSDRAWOPTS

CSDRAWOPTS [structure object]

This command will display the Chemical Structure Options dialog box, which permits the changing of various attributes of the given structure. If it is called without a structure object, then the changes will be applied to all future structures; otherwise the changes are applied only to the given structure.

structure object

Any object that was created with the CSCREATE function.


CSEXISTS

value = CSEXISTS (structure id, "database file name")
value = CSEXISTS ("cas number string", "database file name")

structure id

A number that uniquely identifies a structure, generally the CAS number is used.

cas number string

A number represented as a string, formatted as though it was a CAS number (e.g., "xxxx-xx-x"), that uniquely identifies a structure.

"database file name"

The name of the database file that should be searched for this structure. Although this parameter is required, if it is an empty string (i.e., "") all of the databases that have been set up through the CSLIBS command will be searched.


CSLIBS

This command displays a dialog box that lets you configure and order the structure database files that will be accessed for the various commands.


CSMFATTACH

CSMFATTACH metafile object, ms object, xlow:xhigh, ylow:yhigh
CSMFATTACH metafile object, gcms object, xlow:xhigh, ylow:yhigh

This command will associate a metafile object with either a mass spectrum or a GC/MS chromatogram. Whenever the spectrum or chromatogram is drawn, printed, or copied to the clipboard, the structure will also be drawn, printed, or copied to the clipboard.

metafile object

Any object that was created with the CSMFCREATE function.

ms object or gcms object

Data object that is to have the metafile association.

xlow:xhigh, ylow:yhigh

Describes a box (in data units) into which the metafile will be drawn.


CSMOLCREATE

structure = CSMOLCREATE ("mol file name")

This function reads an Molecular Design Mol file and creates a structure object.

mol file name

The name of the file that contains the structure connection table data. Although this parameter is required, if it is an empty string (i.e., "") a file selection dialog box will be presented.


CSSUBSET

CSSUBSET "structure id list text file", "source structure database file name"

This command will generate a structure database file that is a subset of the source structure database filename given.

structure id text file

The name of the ASCII text file that contains the ordered list of CAS numbers.

source structure database file name

The name of the database file that should be searched for these structures.


DELETEINTPEAK

DELETEINTPEAK window, object, retention time

This command deletes one integrated peak from the object associated with the specified window.

window

The number (1 - 30) of the graphics window containing the peak to be deleted.

object

0 = Single object; merged set; first (top) object in display of separated set.

1 = Second (from top) object in display of separated set.

N = N+1 (from top) object in display of separated set.

retention time

The retention time (in milliseconds) of the peak to delete. Enter time * 60000.


DLGQDBSETUP

DLGQDBSETUP code

For internal use only. Controls Quant Setup dialog box.

code

0 = close the Quant Setup box if it is open.

1 = open the Quant Setup box if it is not open.

2 = update the currently selected signal using the value X0 for m/z and YVal (to give relative response vs. target signal).

3 = update the retention time value in the dialog box using the variable X0.


DOLIST

DOLIST ["command / macro"]

Executes a macro or command on a list of selected data files.

Before the command or macro is run, you are prompted to select the data files to be processed. Once you have selected the files you want to process, click the Process button to begin execution of the command or macro. If there is an error during execution, the remainder of the list is not processed.

"command / macro"

The command or macro that is to be used to process the list of files. If a command or macro is not specified, you are prompted to select a report option or to select the macro checkbox. If you select the macro checkbox, you are prompted to select a macro from the list.

Example

DOLIST can be used to process any command string. Macros or commands requiring double quotes in the runstring require the use of left and right single quotes to start and end the command string. This example works only with previously quantitated data files.

DOLIST `QT 0,1,"S"'

Prompts you to select data files and then processes a quantitation report on the selected files. The left single quote (`) is on the same key as the tilde (~). The right single quote is the apostrophe.


DRAW

DRAW [window] [,variable] [,X1:X2] [,Y1:Y2]

Plots the data in the specified variable to the specified graphics window. When drawing mass spectra, the variable Label_Peaks_Thr (takes values 0 through 1) may be set to limit labeling of mass peaks to those whose relative abundance is equal to or greater than the value of Label_Peaks_Thr.

You can plot sets of objects as well as single objects. When a set is drawn, whether the plots are separated or merged is controlled by the FORMAT command.

window

Number (1 - 30) of the graphics window to which the object is to be drawn. Default is 1.

variable

Variable containing the object to be drawn. Default is X. If there is more than one object in the variable, all objects must be of the same data type.

X1:X2

Range of the X-axis to use for drawing. Default is the entire range of the object. A range of 0:0 also means the entire range.

Y1:Y2

Range of the Y-axis to use for drawing. Default range is zero to the maximum Y-value (if all Y-values are non-negative) or minimum to maximum Y-value (if some Y-values are negative). A range of 0:0 gives the same results as the default.

Examples

DRAW

draws whatever is in X into window #1 using the entire range of data to scale the X- and Y-axes

DRAW 2, X, 200:400

draws whatever is in X into window #2 and displays the data with X-values between 200 and 400


EASYID

Loads the EasyID menus and commands for graphically updating the quantitation database. To abandon EasyID changes and return to the original results file, select Abort.

EasyID and QEdit are special modes of data analysis and not intended for use in combination with other commands such as DOLIST, DOSCAN, LABEL and others.

Several mouse actions are available in the EasyID windows.


EDITCPNDS

EDITCPNDS [variable1] [,variable2] [,n]

Displays the Edit Compounds dialog box.

variable1

If non-zero, disable the Delete and View buttons in the dialog box. If Insert Above is selected when the variable is non-zero, set QDB_Insert to the ordinal of the compound.

variable2

If set to 1, delete compound number n. If set to 0, display the Edit Compounds dialog box.

n

If variable2 is set to 1, n specifies the number of the compound in the list.


EDITEVENTS

EDITEVENTS scalar

Displays either the Integration Parameters dialog box for the ChemStation integrator where you can enter values for initial threshold, peak width, and area reject and control shoulder detection or the Edit Integration Parameters box where you can schedule timed events.

To activate the Load and Save buttons in the dialog box, this command must be executed from a macro. These buttons are not available when this command is entered from the command line.

scalar

0 = put up the simple initial parameters panel.

Non-zero = put up the timed events panel.

Variables Set

_Button

0 = Cancel selected

1 = OK selected

2 = Save selected

3 = Load selected


EDITGCVALCC command

EDITGCVALCC

Displays the continuing calibration report parameters for editing.

This command reads the file "CC.VAL" in the current method directory and displays those values in a dialog box for editing. When the OK button is pressed on the dialog box, the settings are written back to the file "CC.VAL".

Used in EnviroQuant GC-only mode.


EDITGCVALEPA command

EDITGCVALEPA

GC-only mode. Displays the quantitation report parameters for editing.

This command reads the file "EPA.VAL" in the current method directory and displays those values in a dialog box for editing. When the OK button is pressed on the dialog box, the settings are written back to the file "EPA.VAL".


EDITGCVALLSC command

EDITGCVALLCS

Not used. Internal use only.


EDITGCVALTUNE command

EDITGCVALTUNE

Not used. Internal use only.


EDITHEADER

EDITHEADER [X] [,operation] [,entry number]

Displays the Edit PBM Library dialog box. If an entry is to be added during the session, a mass spectrum named X must exist when this command is invoked.

operation

A value specifying what is to be done:

1 = Select Library (default)

2 = Add New Entry (a library has to be selected first)

3 = Edit Existing Entry (a library has to be selected first)

4 = Create Library

5 = Delete Library

6 = BatchInsert

entry number

Entry number of interest. Only meaningful when operation is set to 3. Default is entry 1.

If operation 6 is selected, there are 10 additional arguments to the EDITHEADER command (parameters 4 - 13):

compound name (string, 80 characters)

molecular formula (string, 24 characters)

molecular weight (scalar, in daltons)

miscellaneous information (string, 128 characters)

CAS number (scalar, enter without dashes)

company ID (string, 10 characters)

retention index (scalar)

melting point (scalar, degrees Celsius)

boiling point (scalar, degrees Celsius)

include in search flag (scalar, 0=yes, non-zero=no

Variables Set

_Button is set by this command when the operation is either 1 or 4.

_Button

0 = Cancel button selected

1 = OK button selected


EDITMETHFILE

EDITMETHFILE "file name"

Displays the specified file in Multivu for review and editing.

"file name"

The name of a parameter file in the current method directory. The extension must be included, for example, bfb.val or rteparm.p.


EDITSTRATEGY

EDITSTRATEGY [U+A] [,flag threshold] [,tilting] [,purity] [,cross corr] [,duplicates] [,low filter] [,high filter] [,max hits]

Sets the PBM search strategy parameters.

U+A

A number (1-9) that sets the selectivity of the prefilter. Initial value is 2. A value of 1 results in the fewest comparisons, while 9 results in searching the entire library. Most commonly used values are 1, 2, and 3. Initial value is 2.

flag threshold

A number (0 - 10) that specifies which unknown peaks the PBM algorithm may flag. A value of zero means "let the algorithm decide". Higher values (N) mean that only peaks larger than N% of the base peak may be flagged. Initial value is 3.

tilting

1/0; initial value is 1 (on). Specifies whether quadratic fitting of the reference spectra to the unknown is invoked (1) or not (0).

purity

A number (20 to 80) that causes a purity prefilter to be used. Initial value is 50. This prefilter compares the base peak of a library spectrum to the corresponding peak in the unknown; the unknown peak must have a relative abundance equal to or greater than the purity value in order for the library spectrum to be retained in the search. Enter 0 to bypass this prefilter. (This setting improves PBM's ability to retrieve components in a mixture.)

cross corr

1/0; initial value is 0 (off). If set to 1, the most likely hits found by the PBM search are evaluated by a forward search. Zero causes the results to be sorted by PBM match quality.

duplicates

If this argument is not zero, only the best match for any particular compound (identified by its CAS number) will be reported. Duplicate matches of lower match quality will be removed from the list of results and will not be reported. Since removing of duplicates is done by CAS number, library entries that do not have CAS numbers associated with them will not be removed even though they may be the same compound.

low filter, high filter

Molecular weight thresholds. Any search results with molecular weights lower (higher) than the entered number are removed from the list of results and are not reported. Low report MW is the lowest molecular weight that will be reported and high report MW is the highest molecular weight that will be reported. (If low equals high, only compounds that have that molecular weight will be reported. If low is higher than high, no results will be reported.) Valid range is 0 to 9999. Default is 0 for low filter, 9999 for high filter.

max hits

A search can normally return up to 20 hits. Changing this number will change the number of hits that will be reported. The search and the search speed are not affected. Max hits limits the number of hits that will be reported.

Valid range is 1 to 20. Default is 20.

Discussion

The default value for each parameter is its own current value. If no parameters are entered, the Search Strategy dialog box is displayed where you can set the parameters and also select the search library.


EDITVALCC

Displays the continuing calibration report parameters for editing.

This command reads the file "CC.VAL" in the current method directory and displays those values in a dialog box for editing. When the OK button is pressed on the dialog box, the settings are written back to the file "CC.VAL".

Used in EnviroQuant mode only.


EDITVALEPA

Displays the quantitation report parameters for editing.

This command reads the file "EPA.VAL" in the current method directory and displays those values in a dialog box for editing. When the OK button is pressed on the dialog box, the settings are written back to the file "EPA.VAL".

Used in EnviroQuant mode only


EDITVALLCS

Displays the library search compound report parameters for editing.

This command reads the file "TIC.VAL" in the current method directory and displays those values in a dialog box for editing. When the OK button is pressed on the dialog box, the settings are written back to the file "TIC.VAL".

Used in EnviroQuant mode only


EDITVALTUNE

EDITVALTUNE “BFB / DFTPP”

Displays the tune evaluation report parameters for editing.

This command reads the file "BFB.VAL" or "DFTPP.VAL" in the current method directory and displays those values in a dialog box for editing. When the OK button is pressed on the dialog box, the settings are written back to the file "BFB.VAL" or "DFTPP.VAL".

Used in EnviroQuant mode only


EIC

EIC [time1:time2] ,mass [,variable] [,mass array] [,file descriptor object]

Extracts one or more chromatograms from one or more m/z ("mass") values or ranges.

time1:time2

Time range in minutes. The default is the full range.

mass

The amu value of the mass for extraction. This parameter is required and has no default.

variable

The name of the variable where the chromatogram will be stored. The default is X.

mass array

An array of encoded mass and mass range values for EIC extraction. If this parameter is present, parameter 2 is ignored. The encoding is as follows: for a single mass chromatogram, there is one array element for that mass. For a mass range chromatogram, there is an array element -3 followed by two mass values representing the range bounds. At the end of the list, there is a -2 in the array.

For example, to request the mass chromatograms for 162 and 174 daltons followed by the mass range chromatogram for 112 to 113.6 daltons followed by the mass chromatogram for 59 daltons, the array to represent this request could be constructed as follows:

DIM mymasses, 7

mymasses[1] = 162

mymasses[2] = 174

mymasses[3] = -3

mymasses[4] = 112

mymasses[5] = 113.6

mymasses[6] = 59

mymasses[7] = -2

file descriptor object

The data file loaded from the FILE command.


ENDLOG

Used in conjunction with SLOG to display a log file.

The command is used after SLOG to display the contents of the logging file using MultiVu or Wordpad (depending on the file size). In typical use, the command SLOG would be used to start logging errors to a file. The problem macro or report would be executed and the ENDLOG command used to display the errors encountered.


ENDPRINT

Prints a page with all data gathered and formatted since the last STARTPRINT command. Data is gathered and formatted with the commands:

CALIBPRINT

FILEPRINT

STRPRINT

WINPRINT


ENDSET

ENDSET [correlation window]

Invokes the signal correlation algorithm that creates the correlated peaks list from the individual peaks list (see ADDPEAKS).

correlation window

A time (in minutes). The default is the correlation window in the current method. (See the Quantitation Database Globals - page 1 dialog box using the SETUPCALIB command.)


EXCHANGE

EXCHANGE [variable] [,variable]

Exchanges the contents of two variables. The default variables are X and Y.

Examples

EXCHANGE

exchanges the contents of the X- and Y-variables

EXCHANGE Z,Y

exchanges the contents of the Z- and Y-variables

EXCHANGE ,T

exchanges the contents of the X- and T-variables


EXIT

Used in EasyID or QEdit to leave and save the changes. A message box asks you to confirm your decision. To save the changes (update the original database or quant results file) and return to the EDA menus, click YES.

To return to EasyID or QEdit, click NO.


EXPORTRSLT

EXPORTRSLT ["source file"] [,"Excel destination file"] [,file descriptor object]

Writes an Excel .XLS file for Custom Reports from a Quant Results file.

"source file"

The source results file. Default is the null string.

"Excel destination file"

The destination Excel BIFF file. Default is the null string.

file descriptor object

This variable name is needed to retrieve the scan number in the data file that corresponds to the retention time of the primary hit’s peak.


FILE

FILE ["data filename"]

A macro that loads the specified data file for use in Data Analysis. If a file name is not specified, the Select File dialog box is displayed.

Variables Set

_ActBarcode$ - character string containing barcode read from sample (if any)

_AlsBottle - vial number

_Button - set only if dialog box is displayed;

0 = Cancel button selected

1 = OK button selected

_DataFile$ - name of data file

_DataName$ - sample name

_DataPath$ - path for data file

_DateAcquired$ - date of data acquisition

_ExpBarcode$ - character string containing barcode EXPECTED from sample (if any)

File_End - time (minutes) of last scan in file

File_Start - time (minutes) of first scan in file

_Inlet$ - how the sample is introduced into MS

_MiscInfo$ - comments

_Operator$ - name of analyst

_OrgMethFile$ - method used to acquire data

_Replicate - if sequenced, this is the repetition count for the current method. If not sequenced, this is zero.

_SeqIndex - if sequenced, this is the line number in the sequence file for the current method. If not sequenced, this is zero.


FILEPRINT

FILEPRINT "filename", x, y

Formats up to one page of text from an ASCII file in preparation for printing. Must be preceded by the STARTPRINT command; to print the data use ENDPRINT. A maximum of 80 lines will be printed.

Use of this command is discouraged. It may not be supported in future revisions.

"filename"

Must be an ASCII file.

x, y

The position at which the printing begins; x is in characters, y is in lines. The range of acceptable values is 0 to the value of x or y reported by the PAGESIZE command.

Variables Set

FilePrint_Lines - number of lines printed


FILTER

FILTER(type, number, width, step)

Creates a predefined filter in a CP array. Returns a filter_array that is a one dimensional array. The first element in the array is the number of points in the filter. This is followed by the filter coefficients.

Note: If the parameters are out of range, the nearest acceptable values are used.

type

0 = Gaussian; uses parameters width and step.

1 = Savitzky-Golay quartic/quintic

2 = Savitzky-Golay quadratic/cubic

number

Number of points to generate.

For Gaussian type, a negative number means to get enough points to cover ABS(n)*(standard deviation).

width and step are used.

number can be -2 to -5 for Gaussian type.

Otherwise, number = 2*m+1, where m is an integer between 3 and 50. This means that number has a range of 7 to 101.

width

If type is Gaussian, width is the FWHM(full width half maximum) in amu. If 0 is entered, 0.5 amu is used. width must be at least 2*step. If width < 2*step, width is set to 2*step.

step

If type is Gaussian, this is the scan step size in amu. If 0 is entered, 0.1 amu is used. If step is <0.0001, it is changed to 0.0001.

Examples

a = filter(1,19,0,0)

! get 19 point Savitzky-Golay quartic/quintic filter in the array a.

b = filter(0,11,0,0)

! get 11 point Gaussian filter with the default FWHM of 0.5 amu and scan step size of 0.1 amu.

c = filter(0,-3,1,0.15)

! get Gaussian filter to cover +/- 3 sigma, using FWHM of 1 amu and scan step size of 0.15 amu.

To generate 1,2,2,2,1 filter:

dim d, 8

! define an array of 8 elements.

d[1]=7

! first element is number of coefficients.

d[2]=0

d[3]=1/8

! normalized so that the sum of all coefficients is 1..

d[4]=2/8

d[5]=2/8

d[6]=2/8

d[7]=1/8

d[8]=0


FINDBYCAS

FINDBYCAS CAS number [,"library"]

Finds all the entries in a library with the specified CAS (Chemical Abstracts Service) number. The library must include the CAS.IND file for this command to work. A maximum of 20 compounds is reported. The search concludes after the twentieth matching compound is observed or at the end of the library file, whichever occurs first.

CAS number

The CAS number. Only digits are allowed; do not use dashes or other symbols.

"library"

The name of the library file from which the mass spectrum is to be recalled. If a library name is not specified, the name of the library most recently used for a PBM search is used.

If a path is not specified, the current library path (_LibPath$) is used. If the extension .L is not entered, it is appended. An error message is displayed if:

  • A library has not been selected since entering Data Analysis and a library is not specified here.

  • The current library name is invalid.

Variables Set

Cas_Hits - number of hits found

Cas_Hit1, Cas_Hit2, etc. - entry number of the hit


FORMAT

FORMAT [MERGED / SEPARATED] [,LABELPEAKS / NOLABELPEAKS] [,redraw] [,autoscaleY] [,TIMEPEAKS / NOTIMEPEAKS]

Sets the format for displaying a set of data objects. At startup, the format is separated and peaks are labeled. Data currently displayed is not redrawn automatically when the format is changed.

MERGED / SEPARATED

Controls the display in a graphics window when multiple objects are in the variable being plotted:

MERGED = All objects are placed in the same plot. Merged format must be used when there are large number of objects in the set to be plotted, because only a limited number of objects can be plotted in the separated format.

SEPARATED = Each object is plotted separately.

LABELPEAKS / NOLABELPEAKS

Controls labeling of spectral peaks (if labels exist). Labels are affected only on data objects drawn after a FORMAT command is entered.

redraw

1 = redraw existing windows according to the FORMAT parameters

0 = no immediate redraw (default)

autoscaleY

Determines how the Y axis for a set of objects will be drawn when the drawing format is SEPARATED.

1 = allow the Y-axis range for each object in the set to be different. The Y-axis range for each object will be the entire Y data range for that object. Zooming in on the object with the mouse or specifying a Y range with the DRAW command will not change the Y-axis range for the object. Only the X-axis range can change. Set autoscaleY to 0 to allow changes to theY-axis range.

0 = ensure that each object in the set will have the same Y-axis range.

TIMEPEAKS / NOTIMEPEAKS

Controls labeling of integrated peaks for chromatograms (if any exist). Labels are affected only on data objects drawn after a FORMAT command is entered. Baseliines are still drawn.


_GET

_GET keyword, MS object / GC/MS object [,scalar] [,scalar] [,range]

Gets information about the specified object. This is command has different versions: The meaning of the parameters depends on the setting of parameter 2.

If parameter 2 is an MS object, the _GET parameters are as follows:

keyword

INFORMATION

INDEX

POINT

RESULTS

MS object

Variable containing mass spectral data.

scalar

For INDEX option:

0 = for m/z value (default)

1 = for mass spectral response value (i.e., "abundance").

For RESULTS option:

The PBM result number. Results are ordered according to either quality or cross-correlation value, according to the user's selection before the search. Valid values are 1 to the number of PBM hits for the operand MS. Default is 1.

scalar

For INDEX option:

Specifies the ordinal of the m/z abundance point in the mass spectrum. Zero-based. Must be in the range 0 to (number of points in the spectrum minus 1).

range

For POINT option:

The m/z range to be evaluated. Default is the entire mass range of the MS object.

If parameter 2 is a GC/MS object, the _GET parameters are as follows:

keyword

INFORMATION

INDEX

POINT

GC/MS object

Variable containing GC/MS chromatograms.

scalar

For INDEX option:

0 = for retention time value (default)

1 = for retention time response value (i.e., "abundance")

scalar

For INDEX option:

Ordinal of the retention-time / abundance point in the chromatogram. Zero-based. Must be in the range 0 to (number of points in chromatogram minus 1).

range

For POINT option:

The retention time range to be evaluated. Default is the entire time range of the chromatogram.


GETCOMPOUND

GETCOMPOUND [type] [,compound number] [,FULL]

Retrieves specified compound information from the quantitation database.

type

A keyword indicating the compound type for which information will be retrieved: TIMEREF / ISTD / SELECT

If TIMEREF or ISTD is entered, the next compound of that type is retrieved.

If SELECT is entered, the compound number specified in the second parameter is retrieved. If a compound number is not entered,

it is an error.

If a type keyword is not entered, information for each compound in the database is retrieved one at a time. The first compound is retrieved for the first GETCOMPOUND command after a STARTANALYSIS command. Subsequent GETCOMPOUND commands retrieve the compounds in the order in which they occur in the database.

FULL

If the FULL keyword is specified as the third parameter, the extra variables set by GETRESULT invoked with the FULL option are set by GETCOMPOUND.

Discussion

This command cycles through the quantitation database obtaining information for one compound at a time. If the quantitation database is empty, an error code is set and an error message is displayed.

Variables Set

Amt_Units$

String indicating units of concentration

Cavg

Calibration table level average counters. This is an array variable; reference the values within the array as Cavg[1], Cavg[2], etc.

Cconc

Calibration table level concentrations. This is an array variable; reference the values within the array as Cconc[1], Cconc[2], etc.

Cal_Fit

Curve fit type

0 = linear

1 = average RF

2 = linear (0,0)

3 = quadratic

4 = quadratic (0,0)

Cal_Istd

Internal standard compound

0 = not an ISTD

1 = compound is an ISTD

Cal_Pk_Num

Entry number of quant database compound using SELECT option

Cal_TR

Time reference compound

0 = not time reference compound

1 = time reference compound

CpndType$

User-defined compound type

Cresp

Calibration table level responses. This is an array variable; reference the values within the array as Cresp[1], Cresp[2], etc.

Exp_Rt

Expected retention time for compound

Height_Quant

Quantitation by area or height

0 = area

1 = height

Istd_Amt

Amount of ISTD in unknown; -1 = ISTD amount not applicable

Lcv

Loop control flag for all options except SELECT

0 = reached end of database for option selected

Linear_wt

Weight

0 = equal weighting

1 = inverse of concentration

2 = inverse square of concentration

Peak_Name$ - name of compound

Q1, Q2, Q3 - qualifier ion mass

Q1_Pu, Q2_Pu, Q3_Pu - qualifier ion uncertainty in %

Q1_Rr, Q2_Rr, Q3_Rr - qualifier ion relative response in %

Q1_Sum, Q2_Sum, Q3_Sum

Area sum on/off for qualifier ions

1 = on

0 = off

Q1Events$, Q2Events$, Q3Events$

Integration mode used on the qualifier ion

QHits_Max

Maximum number of target compound hits saved by the Target Compound Ident procedure.

Q_XCF, Q_XCI

Area correction factor and area correction ion m/z from Edit Compounds panel for the target compound entry of interest

Ratio_Method

Ratio method

0 = Extended Area Quant

1 = No subtraction

2 = Low first & last

3 = Avg first & last

Ref_Name$

Reference spectrum name

RTWinMod

Format of extraction window

0 = display extraction window on Compounds panel in minutes format

1 = display extraction window on Compounds panel in percent format

Sig_Num - target ion mass

T0, T1 - integration time range

TgtEvents$ - target ion integration mode

Unc_Tp

Percent uncertainty type

0 = relative

1 = absolute

UseQIons

Qualifier ions identification method

0 = use closest RT only

1 = use closest RT of peak groups satisfying qualifier ratios, or just closest RT if no peak groups satisfy qualifiers

2 = use largest target peak response

3 = use best qualifier value

4 = use all hits

Set by the GETCOMPOUND and GETRESULT commands when the FULL option is selected (set in addition to above variables)

A1$, A2$, A3$ - user-defined string items

CasNo$ - Chemical Abstracts number

EntryNo - entry number in mass spectral library

MatALo, MatAHi, MatARpd, MatAMdl - matrix A data

MatBLo, MatBHi, MatBRpd, MatBMdl - matrix B data

MatSpk - matrix spike amount

MsDbName$ - mass spectral library name

N4, N5, N6, N7, N8, N9 - user-defined numeric items

SigMin, SigMax - minimum and maximum signal levels

Surrogate - surrogate level


GETMSREF

GETMSREF entry number [,"library filename"] [,variable] [,CONDMS / FULLMS]

Retrieves a spectrum from an MS library.

entry number

The number of the entry in the specified library.

"library filename"

The name of the library file. The default is the library most recently used for a PBM search. If a path is not specified, the current library path (_LibPath$) is used. If the extension .L is not entered, it is appended. If a library has not been selected since entering Data Analysis, or if the current library name is invalid, an error message is displayed on the message line.

variable

A CP variable into which the spectrum is placed. If this variable had a previous value, the old value is lost.

CONDMS / FULLMS

CONDMS, the default, retrieves the condensed spectrum from the library.

FULLMS retrieves the full spectrum if the library includes the file of full spectra; if not, the condensed spectrum is retrieved. The full spectrum is desirable for a user library.

Variables Set

Boil_Pt

Boiling point

Cas_Num$

CAS number (from library header in the format nnnnn-nn-n)

Company_ID$

Company ID (10 characters maximum) associated with retrieved reference compound

EntryNo

Library entry number

Hit_Name$

Name of entry

Mol_Formula$

First 132 characters of the molecular formula of retrieved reference compound

Melt_Pt

Melting point. If no information available, -300.00 is reported.

Misc_Info$

First 132 characters of miscellaneous information associated with retrieved reference compound

Mol_Wt

Molecular weight (from library header)

PbmInclude

1 if "Include In Search" is selected; 0 otherwise

Ret_Index

Retention index


GETRESULT

GETRESULT , result number, "filename" [,FULL] [,hit number]

Gets information about a quantitative result.

result number

The number of the result in the QuantResults file. (The comma preceding result number is necessary because it represents an unused parameter.)

"filename"

The name of the QuantResults file containing the results of the quantitation calculations. The file name must include a .RES extension and must be fully qualified.

FULL

If this keyword is specified, all information for the specified result is retrieved and placed in variables; if not, only selected variables are set.

hit number

If this parameter is zero or blank, the primary matching peak's result information is retrieved. A hit number of k>1 retrieves from the hit list the peak with the kth lowest retention time. A value greater than the number of hits for the given result is an error.

Variables Set

General compound variables

Amt_Units$ - string indicating units of concentration

Cavg - array; calibration table level average counters

Bl0, Bl1 - starting height and ending height of integration baseline

Cconc - array; calibration table level concentrations

Cal_Fit - curve fit type;

0 = linear

1 = average RF

2 = linear (0,0)

3 = quadratic

4 = quadratic (0,0)

Cal_Istd - internal standard compound

0 = not an ISTD

1 = compound is an ISTD

Cal_Pk_Amt - calculated concentration of target signal

Cal_Pk_Found - target signal status

0 = missed

1 = found but not qualified

2 = found and fully qualified

Cal_Pk_Ret - retention time of target signal in milliseconds (integrated)

Cal_TR - time reference compound

0 = not time reference compound

1 = time reference compound

Coef0, Coef1, Coef2 - calibration curve equation coefficients

CpndType$ - user-defined compound type

Cresp - array; calibration table level responses

Exp_Rt - expected retention time for compound

Exp_Rt_Hi - expected high retention time for compound

Exp_Rt_Lo - expected low retention time for compound

Int0, Int1 - retention time in milliseconds of beginning and end of the baseline

Istd_Amt - concentration of ISTD in unknown; -1 = ISTD concentration not applicable

Istd_Area - response of the ISTD, which could be area or height depending on the Measure Response By selection for a compound. Only has meaning if the target compound of interest is an analyte related to an internal standard compound.

Lcv - loop control flag for the TIMEREF and ISTD compound types (see GETCOMPOUND)

0 = reached end of database for option selected

Mi_Used - manual integration

0 = not used

1 = used

Peak_Name$ - name of compound

Pk_Area - peak area or height, depending on selection

Q1, Q2, Q3 - qualifier ion mass

Q1_HiRat, Q2_HiRat, Q3_HiRat - high limit signal ratios for qualifiers in percent

0 = not used

Q1_LoRat, Q2_LoRat, Q3_LoRat - low limit signal ratios for qualifiers in percent

0 = not used

Q1_Pk_Area, Q2_Pk_Area, Q3_Pk_Area - integrated areas of qualifiers

0 = not used

Q1_Pk_Ret, Q2_Pk_Ret, Q3_Pk_Ret - retention times in milliseconds (integrated) of qualifiers

0 = not used

Q1_Pu, Q2_Pu, Q3_Pu - uncertainty in % of qualifier ion relative response

Q1_Rr, Q2_Rr, Q3_Rr - qualifier ion relative response in %

Q1_Sum, Q2_Sum, Q3_Sum - area sum on/off for qualifier ions

1 = on

0 = off

Q1Events$, Q2Events$, Q3Events$ - qualifier ion integration mode

QDel - quantitation hit status

1 = quantitation hit deleted

0 = quantitation hit not deleted.

QHits

Number of quantitation hits in the result record.

QHits_Max - maximum number of target compound hits saved by the Target Compound Ident procedure.

QValue - computed QValue for a Target Compound hit

Q_XCF, Q_XCI - area correction factor and area correction ion m/z from Edit Compounds panel for the target compound entry of interest

RF array - response factors

Rho - calibration curve fit statistic

Sig_Num - target ion mass

T0, T1 - integration time range

TgtEvents$ - target signal integration mode

Unc_Tp - percent uncertainty type

0 = relative

1 = absolute

UseQIons

0 = use closest RT only

1 = use closest RT of peak groups satisfying qualifier ratios, or just closest RT if no peak groups satisfy qualifiers

2 = use largest target peak response

Set by the GETCOMPOUND and GETRESULT commands when the FULL option is selected (set in addition to above variables)

A1$, A2$, A3$ - user-defined string items

CasNo$ - Chemical Abstracts number

EntryNo - entry number in mass spectral library

MatALo, MatAHi, MatARpd, MatAMdl - matrix A data

MatBLo, MatBHi, MatBRpd, MatBMdl - matrix B data

MatSpk - matrix spike amount

MsDbName$ - mass spectral library name

N4, N5, N6, N7, N8, N9 - user-defined numeric items

SigMin, SigMax - minimum and maximum signal levels

Surrogate - surrogate level


GETSCALARS

GETSCALARS [INFO] [,object]

Gets information about the specified object.

INFO

This is the default information type for this command. For other types see GETSCALARS INDEX, GETSCALARS POINT, and GETSCALARS RESULTS.

object

Default is X, a simple identifier. If the object is the nth component of a set named A, use the notation A[n].

Variables Set

Nobjects - number of objects in the variable; always set to 1

Xval - X-value corresponding to maximum Y-value (y)

Xlow - lowest X-value in the object

Xhigh - highest X-value in the object

Yval - highest Y-value in the object

Ylow - lowest Y-value in the object

Yhigh - highest Y-value in the object


GETSCALARS INDEX

GETSCALARS INDEX [,type] [,index] [,object]

Gets the X- or Y-value of a point within a matrix.

type

A number indicating the type of information to be returned:

0 = X-value (default)

1 = Y-value

index

The number of the point within the matrix. For a matrix of n points, 0 is the first point and n-1 is the last. The default is 0.

object

Default is X, a simple identifier. If the object is the nth component of a set named A, use the notation A[n].

Examples

GETSCALARS INDEX, 1, 32, Z

puts the Y-value of the 33rd point in Z into the variable Value

Variables Set

Value - value found. If the index is out of range, the nearest existing index is used.


GETSCALARS POINT

GETSCALARS POINT [,Xval:Xval] [,object ]

Finds the maximum Y-value within the specified X-range.

Xval:Xval

Default is entire X-range. Note that a range of 0:0 does not imply the entire X-range of the object.

object

Default is X, a simple identifier. If the object is the nth component of a set named A, use the notation A[n].

Variables Set

Nobjects - number of objects in the variable; always set to 1

Xval - X-value corresponding to maximum Y-value (y)

Xlow - lowest X-value in the object in the specified range

Xhigh - highest X-value in the object in the specified range

Yval - highest Y-value in the object in the specified range

Ylow - lowest Y-value in the object in the specified range

Yhigh - highest Y-value in the object in the specified range

Discussion

If a set of objects is given to the GETSCALARS POINT command, the variables set by the command are appropriate for the last object in the set.


GETSCALARS RESULTS

GETSCALARS RESULTS [,object] , [,result number]

Gets information about a mass spectrum that has been library searched. The two commas between the first and second parameters are required.

object

Default is X, a simple identifier. If the object is the nth component of a set named A, use the notation A[n].

result number

A number specifying a hit found in the search. The default is 1, the hit with highest match quality; 20 is the maximum.

Variables Set

If the mass spectrum has not been library searched, or if no hits were found, all variables are set to null or zero value.

Boil_Pt - boiling point

Cas_Num$ - CAS number (from library header in the format nnnnn-nn-n)

Entry_Num - library entry number

Hit_Name$ - name of entry

Lib$ - name of library searched

Melt_Pt - melting point. If no information available, -300.00 is reported.

Mol_Wt - molecular weight (from library header)

Num_Hits - number of matches found. Set to 0 if no hits found (or if no search has been done).

PBM_Class1 -

Quality - quality of specified result

Ret_Index - retention index


GETWINDOWTEXT$

string = GETWINDOWTEXT$ (structure window object)

Returns the current window title.

structure window object

Any object that was created with the CreateWindow function specifying a structure object as the first parameter.


GRAPHICS

Used in EasyID or QEdit to produce the graphics display. A chromatogram is displayed in window 6, a spectrum in window 1, and text in window 7.


GRP

Adds together results for a single compound to report as a single result.

GRP groups undeleted hits for a compound and updates the primary result. The result is a single hit which will show the total area and total concentration of the undeleted hits.

The starting retention time will be for the first hit and the ending retention time will be for the last hit. The retention time for the grouped hit will be the retention time for the peak with the largest area.

GRP should be used whenever total concentrations are desired. The compound type is used to trigger grouping. If you want to group all the undeleted hits for a given entry in the quantitation database, enter "G" as the compound type in page 2 of Edit Compounds.


HGFILE

HGFILE “data filename”

Creates an MSFHG CP object from a data file and names it “_”. Since this object is used as the default for all data retrieval functions (e.g., SCAN, AVERAGE), this action effectively “loads” the data file.

The user should be using the FILE macro or the Load Data File menu item because these operations are intended to be independent of data file format. This macro causes HGFILE to be invoked when it learns that the data file involved is in the HG format. If the file is determined to be in another format by the FILE macro (and related macros in LOADFILE.MAC) a different file load function is invoked.

“data filename”

Full path name of MS data file in the smartcard 1 format (generated by Pascal, DOS ChemStation, HP-UX ChemSystem). This string must include the actual file name (typically data.ms).


INITREJECT

INITREJECT value

Sets the initial area reject value for the ChemStation integrator. Areas less than the specified value are not included in the integration results. The system default is 0; the range is 0 to 1E14.

To view the list of integration events currently in memory, enter TABULATE EVENTS.


INITTHRESH

INITTHRESH value

Sets the initial threshold value for the ChemStation integrator. To view the list of integration events currently in memory, enter TABULATE EVENTS.

value

Allowed values are -12 through 25. The system default is 18. Each change of 1 in the threshold value changes the sensitivity of the integrator by a factor of 2 (e.g., a value of 8 is four times less sensitive that a value of 6.)


INITWIDTH

INITWIDTH value

Sets the initial peak width value for the ChemStation integrator. To view the list of integration events currently in memory, enter TABULATE EVENTS.

value

Allowed values are 0.001 through 100 or 0; 0 allows the integrator to automatically assign the appropriate peak width value. The system default is 0.02.

Discussion

The integrator pre-processes the data points in the raw chromatogram by filtering (a moving, weighted-average calculation to reduce the effects of noise) and by bunching (averaging every N adjacent data points).

The width parameter affects whether bunching is used (and how much) and whether a strong, medium, or weak filter is used. Bunching is not done until at least 8 data points (based on the average over the entire run) occur within the width value specified here. After this, each increase of a factor of two in the width parameter results in an increase of the amount of bunching. Changes of less than a factor of two change the amount of filtering without affecting bunching.

If the width is too great, narrow peaks may be missed entirely or may demonstrate poor quantitation. If the width is too small, signal noise may be detected as peaks (if the threshold is too low) and very broad peaks may even be missed.


INSERTINTPEAK

INSERTINTPEAK window ,object ,time1,time2 ,abund1 ,abund2 ,baseline checking

This command inserts one integrated peak using the RTE integration algorithm. It is intended to be used during the Update Quantitation Results process.

window

The number (1-30) of the graphics window in which peak is to be inserted.

object

0 = Single object; merged set; first (top) object in display of separated set.

1 = Second (from top) object in display of separated set.

N = N+1 (from top) object in display of separated set.

time1, time2

Retention time (in milliseconds) at which to begin and end the integration. Time1 is the time value for the first endpoint of the peak, time2 for the second. Enter time * 60000.

abund1, abund2

Baseline level at the beginning and end of the peak.

baseline checking

Determines whether the specified endpoints must lie under the curve.

0 = turn baseline checking off

1 = turn baseline checking on (default) If baseline checking is on, the endpoints must lie under the curve.


INTEGRATE

INTEGRATE [variable] [,time1:time2], [,signal number]

Performs the ChemStation integrator peak detection and integration operations. This process is controlled by integration events. To view the results of the integration, use the TABULATE RESULTS on the variable just integrated. To view the list of integration events currently in memory, use the TABULATE EVENTS command.

variable

The default is X. The data in the variable must be chromatographic data; however, it can be a single object (TIC) or a set of objects (set of extracted ion chromatograms).

time1:time2

Time range in minutes over which to integrate; default is entire time range in current data file.

signal number

Determines which signal(s) to integrate.

0 = integrate all signals in object (default)

1 = [image] signal number [image] num (variable) means integrate only that signal.

Discussion

Once the data in a variable have been integrated, you can draw the baseline used by the integrator by displaying the contents of the variable with a DRAW command. The peaks detected by the integrator are labeled on the plot with the retention time of the peak.

Example

INTEGRATE R0

integrates the data in the variable R0

Variables Set

Npeaks

Number of chromatographic peaks found in the integration


INTEGRATOR

INTEGRATOR 1/0, time

Creates an integrator event for the ChemStation integrator. Data integration is turned on or off at specified times. To view the list of integration events currently in memory, enter TABULATE EVENTS.

The integrator is initially on (1). If you wish to start integration at a later time, t, the following events should be entered:

INTEGRATOR 0,0

INTEGRATOR 1,t

time

Allowed values are -650 through 650 minutes. To delete a timed event, enter the command for the event with the corresponding negative time value.

Examples

INTEGRATOR 1,3

turns on integration at 3 minutes

INTEGRATOR 1,-3

deletes the entry created above


INVERSEB( )

value = INVERSEB (GCMS object)

Returns the y intercept of a linear mathematical function that can be used to calculate the original retention time from a transformed chromatographic object.

For example, if a TIC has had the TRANSFORM command applied to its y-axis, the INVERSEB function can be used with the INVERSEM function to calculate the original retention time with the following equation:

original RT = transformed RT * INVERSEM(R0) + INVERSEB R0)

where RT is retention time and R0 is the variable that contains the TIC.

If the retention time axis has not been TRANSFORM'd, then INVERSEM(R0) = 1 and INVERSEB(R0) = 0.


INVERSEM( )

value = INVERSEM (GCMS object)

Returns the slope of a linear mathematical function that can be used to calculate the original retention time from a transformed chromatographic object.

For example, if a TIC has had the TRANSFORM command applied to its y-axis, the INVERSEB function can be used with the INVERSEM function to calculate the original retention time with the following equation:

original RT = transformed RT * INVERSEM(R0) + INVERSEB(R0)

where RT is retention time and R0 is the variable that contains the TIC.

If the retention time axis has not been TRANSFORM'd, the INVERSEM(R0) = 1 and INVERSEB(R0) = 0.


LABEL

LABEL [destination] [,# of pages]

Redraws the chromatogram from the current data file with compound number and type labels. Labels are based on the criteria in the Quant Reports Options list. The data file must have been previously quantitated.

destination

0 = screen (default)

1 = printer

# of pages

The number of pages to be used in printing the TIC. Default is 1. If more than one page is specified, there is a 2% overlap on each successive page.


LIBRESULTS

LIBRESULTS [object]

Used in macros only. Displays PBM search results in a dialog box and allows you to view statistics, text, and graphics results.

object

The name of a variable containing a searched spectrum. X is used if no variable name is specified.

Discussion

This command should only be used from a macro. The dialog box displayed uses macros (pbmrslt.mac) that expect the name of the searched variable to be PbmSearchVar.

To view statistics, graphics, or text results, perform a library search on the displayed spectrum.

To see a tabular listing for a spectrum that has already been searched, use TABULATE RESULTS.


LIST

Tabulates the compounds with their retention times and quantitation ions from the current quantitation database. The tabulation is placed in the file list.txt in the current method and is displayed in Multivu.


LOADQUANTMETH

Loads all quantitation-related items in the current method except the compound records in the quantitation database.

Variables Set

AutoIntItem

Specifies state of the Autointegrate item on the Chromatogram menu as either normal or grayed out. 2=Use RTEINT selected in Quant Globals panel; 0=Use RTEINT deselected in Quant Globals panel.

Cal_Title$

Identifying title associated with a quantitation database.

Cal_UpdTime$

String giving time and date of the last update to the quantitation database.

Clfl$

Calibration file base name. An array variable; reference the values within the array as ClFl$[1], ClFl$[2], etc.

Clid$

A string ID for the calibration level. An array variable; reference the values within the array as Clid$[1], Clid$[2], etc.

DefSampAmt

Default sample amount value for quantitative reports.

Multiplier

Multiplier value used in quantitative reports.

NRfWin

Non-reference window. One half this value is the limit in time that a given peak can lie and still be considered as a potential match for a non-time reference compound.

NRfWin_TP

How NRfWin is expressed: 0=minutes; 1=percent relative to the expected retention time.

Quant_Detailed

0 = summary; 1 = detailed / text; 2 = detailed + graphics; 3 = single compound; 4 = area %.

Quant_File$

Filename, if not null.

Quant_Method

0 = no; 1 = yes

Quant_Printer

0 = no; 1 = yes

Quant_Screen

0 = no; 1 = yes

Quant_Select

Single compound selection.

QuantItems

Tracks the selection of Integrator by the quant database for the method: It is 0 if RTEINT is selected and 2 otherwise.

RefWin

Reference window: one-half of this value is the limit in time from the expected retention time a given peak can be and still be considered as a potential match for a time reference compound.

RefWin_TP

How the RefWin value is expressed: 0=minutes; 1=percent relative to the expected retention time.

Rt_Delta

The range around an expected retention time a given peak can be and still be considered a potential match when a compound is added to the quant database.

ScWin

The signal correlation window for quantitation.

UseRteInt

>0=the RTE integrator is used where integration is called for in standard MSDA procedures. 0=the MS ChemStation integrator is used.


MAKEBAR

MAKEBAR variable

Causes any subsequent drawing of the spectrum in the specified variable to be drawn as a bar graph. See MAKECONT and ALLCONT for other ways of controlling the drawing format of a spectrum.

variable

Name of the variable containing the spectrum.

Example

ALLCONT 1 ! Turn continuous curves on.

SCAN 1,X

DRAW 1,X ! X is drawn as a continuous curve.

MAKEBAR X

DRAW 1,X ! X is drawn as a bar graph.


MAKECONT

MAKECONT variable

Causes any subsequent drawing of the spectrum in the specified variable to be drawn as a continuous curve. See MAKEBAR and ALLCONT for other ways of controlling the drawing format of a spectrum.

variable

The name of the variable containing the spectrum.

Example

ALLCONT 0 ! Turn continuous curves off.

SCAN 1,X

DRAW 1,X ! X is drawn as a bar graph.

MAKECONT X

DRAW 1,X ! X is drawn as a continuous curve.


MENUSTATE ( ) (in Data Analysis)

value = MENUSTATE (menu item number)

Function that supports checking or graying of menu items.

menu item number

500 = check whether sets of objects will be drawn separated or merged (overlaid). Returns 1 if sets of objects will be drawn overlayed; returns zero if sets of objects will be drawn separated.

501 = check whether mass peaks will be labeled or not. Returns 1 if mass peaks will be labeled; returns zero if they will not be labeled.

502 = check whether y axis for separated graphs will be autoscaled (scaled individually) or not. Returns 1 if y axis is individually scaled; returns 0 if it is not.


MI

MI [variable], time1, time2, abund1, abund2 [,baseline checking] [,signal number]

Performs a manual integration of a single peak selected during the review of quantitative results.

variable

Variable containing the extracted ion or total ion chromatogram used for quantitative calculation. Default is X.

time1, time2

Retention time (in milliseconds) at which to begin and end the integration. Time1 is the time value for the first endpoint of the peak, time2 for the second. Enter time * 60000.

abund1, abund2

Baseline level at the beginning and end of the peak.

baseline checking

Determines whether the specified endpoints must lie under the curve.

0 = turn baseline checking off

1 = turn baseline checking on (default) If baseline checking is on, the endpoints must lie under the curve.

signal number

Determines which signal(s) to integrate.

0 = integrate all signals in object (default)

1 = [image] signal number [image] num (variable) means integrate only that signal.

Discussion

This command produces exactly one integrated peak using the RTE integration algorithm. It is intended to be used during the Update Quantitation Results process.


MSCLIP

MSCLIP [variable], mass1:mass2

Removes mass/abundance data from a mass spectrum over the specified mass range.

variable

The variable containing a single mass spectrum. Default is X.

mass1:mass2

The mass range (amu) for which mass/abundance data are to be removed. This parameter is required.

See Also

MSTRUNC


MSTRUNC

MSTRUNC [variable] ,percent

Removes mass/abundance data from a mass spectrum for masses with less than the specified relative abundance.

variable

The variable containing a single mass spectrum. Default is X.

percent

The percentage of the largest abundance value below which the mass/abundance data will be removed. Values <0 will be forced to 0; values >100 will be forced to 100.

See also MSCLIP.


MULTITHUMB

Lets you print detailed SIM style reports with more than one data file per page. When you enter this command on the command line, a multiple file select dialog box is displayed that lets you select the data files you want to process.

This command is advantageous when there are 4 or fewer compounds in the quantitation database.


MW

MW "molecular formula"

Calculates the molecular weight from the molecular formula.

"molecular formula"

Use standard elemental abbreviations with uppercase and lower case letters; for example, Cl not CL. Quotes are required in all cases.

Discussion

The weight of an element is taken to be the weight of the most abundant isotope (not the weighted average of all naturally occurring isotopes of that element). The table of elemental weights is in the file MWTABLE.P in the ChemStation MSEXE directory.

Variables Set

Mol_Wt

Calculated molecular weight


NEGPEAKS

NEGPEAKS 1/0, time

Creates a negative peak event for the ChemStation integrator. The detection and integration of negative peaks is turned on (1) or off (0) at specified times. To view the list of integration events currently in memory, enter TABULATE EVENTS.

time

Allowed values are -650 through 650 minutes.

To delete a timed event, enter the command for the event with the corresponding negative time value.

Examples

NEGPEAKS 1,6.43

turns on negative peak integration at 6.43 minutes

NEGPEAKS 1,-6.43

deletes the entry above


_NML

_NML [normalization value] [,MS object / GC/MS object]

Normalizes the Y-values in the specified data to the specified value. This is an overloaded version of the NORMALIZE command and implements NORMALIZE separately for different object types.

normalization value

The value to which the largest Y-value in the data will be set. All other Y-values will be set based on their proportion to the largest Y-value multiplied by this value. The default is 10,000.

MS object / GC/MS object

Variable containing the object to normalize. Default is X.

Caution

You can lose data while normalizing.

Discussion

An asterisk (*) in the plot title indicates that a chromatogram or spectrum has been scaled (via the * operator, NORMALIZE, _NML, or TRANSFORM commands).

If the chromatogram has been integrated or if a spectrum has been library searched, the results will be removed. Abundances between 0.0 and 1.0 are set to 0.0.


NORMALIZE

NORMALIZE [normalization value] [,variable]

Normalizes the Y-values in the specified variable to the specified value.

normalization value

The value to which the largest Y-value in the data will be set. All other Y-values will be set based on their proportion to the largest Y-value multiplied by this value. The default is 10,000.

variable

Variable containing the object to normalize. Default is X.

Caution

You can lose data while normalizing.

Discussion

An asterisk (*) in the plot title indicates that a chromatogram or spectrum has been scaled (via the * operator, NORMALIZE, or TRANSFORM commands).

If the chromatogram has been integrated or if a spectrum has been library searched, the results will be removed. Abundances between 0.0 and 1.0 are set to 0.0.


ORIGINAL

Used in EasyID or QEdit to extract ion chromatograms from the current data file and display them in the original ion chromatogram window. Any manual integrations or annotations in the window are lost.


PBMSEARCH

PBMSEARCH ["library filename"], variable

Performs a PBM library search using the specified library on the specified spectrum . Results are available via the TABULATE RESULTS menu item.

"library filename"

The name of the library file. If a path is not specified, the current library path (_LibPath$) is used. If the extension .L is not entered, it is appended.

The default is the library most recently edited or used for a PBM search. If a library has not been selected since entering Data Analysis, or if the current library name is invalid, an error message is displayed on the message line.

variable

Mass spectrum to be searched. The default is X.


PCTRPTOPT

PCTRPTOPT [calculation type, to screen, to printer, to file, "report file name", report flag, integration type, "integration file name"]

Used only in macros to set parameters for a percent report. If no parameters are specified, the Percent Parameter report is displayed.

calculation type

0 = by signal

1 = by retention time

to screen

Report to screen

0 = no

1 = yes

to printer

Report to printer

0 = no

1 = yes

to file

Report to file

0 = no

1 = yes

"report filename"

Name of the file to send reports to.

report flag

Generate report during RunMethod

integration type

0 = autointegrate for INTEGRATE; method defaults for RTEINT

1 = parameters file

"integration filename"

Name of the integration parameters file.

Variables Set

_Button

0 = Cancel button selected

1 = OK button selected

2 = Generate Report button selected

Percent_Events$

Name of integration parameter file; null if autointegration specified

Percent_File$

Name of file to send report to; null if report not sent to file

Percent_Method

0 = report not generated during RunMethod

1 = report generated during RunMethod

Percent_Printer

0 = report not sent to printer

1 = report sent to printer

Percent_Screen

0 = report not sent to screen

1 = report sent to screen

Percent_Type

Type of calculation

0 = calculated by signal

1 = calculated by retention time


PEAKFIND

PEAKFIND retention time, object

This command retrieves information regarding the integrated peak in the specified object that is closest to the specified retention time.

retention time

The retention time of the peak to locate.

object

0 = Single object; merged set; first (top) object in display of separated set.

1 = Second (from top) object in display of separated set.

N = N+1 (from top) object in display of separated set.

Variables Set

AbsPeakHeight | The non baseline-corrected peak height
BslPeakHeight | The baseline-corrected peak height
End_Time | The ending time of chromatographic peak
Peak_Area | The integrated area of the chromatographic peak
Peak_Type | Gives the peak-type code for the integration result specified.
Peak_Width | The width of peak in time units
Pk_End_BLine | The baseline height in counts at end of peak
Pk_Start_BLine | The baseline height in counts at beginning of peak
Ret_Time | The retention time of integrated peak
Scan_Num | The scan number of retrieved spectrum (PEAKNUMBER only)
Start_Scan, Stop_Scan | The starting and ending scan number associated with an integrated peak. Only useful for RTEINT integration -- values are always 1 for ChemStation integration.
Start_Time | The starting time of chromatographic peak

Note: The non-baseline-corrected peak height (AbsPeakHeight) reported by the ChemStation integrator is typically not the exact height reported by the Yhigh variable of the GETSCALARS command because the ChemStation integrator performs a curve fit to more precisely estimate the true peak height.


PEAKNUMBER [peaknumber] [,START / TOP / END] ,variable [,result]

Gets a spectrum from an integrated chromatogram. The spectrum selected is the one closest to the retention time of the specified peak location.

peaknumber

The number of the GC peak from which to pick the spectrum (1 = the first peak, 2 = the second, etc.). Default is 1.

START / TOP / END

The part of the peak from which to pick the spectrum. Default is TOP (apex of the peak).

variable

The variable containing an integrated chromatogram. The variable may be an array indexed expression such as a[2]. This parameter is required.

result

Name of the variable where the results will be placed. Default is X (which rolls the previous contents of X into Y, Y into Z, Z into T, with the old T being lost).

Variables Set

AbsPeakHeight - non baseline-corrected peak height

BslPeakHeight - baseline-corrected peak height

End_Time - ending time of chromatographic peak

Peak_Area - integrated area of the chromatographic peak

Peak_Type$ - gives the Peak Type code for the integration result specified.

Peak_Width - width of peak in time units

Pk_End_BLine - baseline height in counts at end of peak

Pk_Start_BLine - baseline height in counts at beginning of peak

Ret_Time - retention time of integrated peak

Scan_Num - scan number of retrieved spectrum (PEAKNUMBER only)

Start_Scan, Stop_Scan - starting and ending scan number associated with an integrated peak. Only useful for RTEINT integration -- values are always 1 for ChemStation integration.

Start_Time - starting time of chromatographic peak


PEAKVARS

PEAKVARS [peak number] [,START / TOP / END] ,variable

Sets variables with information from an integrated chromatogram stored in a variable. (Cf. the scalar version of PEAKVARS.)

peak number

The number of the GC peak from which to set the variables (1 = the first peak, 2 = the second, etc.). If zero is entered, the variable NPeaks is set to the number of peaks found when the chromatogram in the specified variable and object was integrated (and no other variables are set). Default is 1.

START / TOP / END

The part of the peak from which to read the retention time.

variable

The variable containing an integrated chromatogram. The variable may be a square-bracket expression such as A[2]. This parameter is required.

Variables Set

AbsPeakHeight - non baseline-corrected peak height

BslPeakHeight - baseline-corrected peak height

End_Time - ending time of chromatographic peak

Peak_Area - integrated area of the chromatographic peak

Peak_Type - gives the Peak Type code for the integration result specified.

Peak_Width - width of peak in time units

Pk_End_BLine - baseline height in counts at end of peak

Pk_Start_BLine - baseline height in counts at beginning of peak

Ret_Time - retention time of integrated peak

Scan_Num - scan number of retrieved spectrum (PEAKNUMBER only)

Start_Scan, Stop_Scan - starting and ending scan number associated with an integrated peak. Only useful for RTEINT integration -- values are always 1 for ChemStation integration.

Start_Time - starting time of chromatographic peak

Note: The non-baseline-corrected peak height (AbsPeakHeight) reported by the ChemStation integrator is typically not the exact height reported by the Yhigh variable of the GETSCALARS command because the ChemStation integrator performs a curve fit to more precisely estimate the true peak height.


PEAKVARS

PEAKVARS , peak number ,group number

Sets variables from the integrated peaks structure. This version of PEAKVARS uses a scalar as the third parameter (cf. the other version of PEAKVARS.) The first parameter is ignored in this version of the command.

peak number

Required parameter; no default. Peaks refers to the raw number of integration peaks added to the structure, sorted by signal description.

group number

Required parameter; no default. Groups refer to collections of peaks at the same retention time as determined by signal correlation.

, 0, 0 | Set NPeaks to the number of peaks in the integrated peaks structure (formed by the use of STARTSET and ADDPEAKS)
, m>0, 0 | Retrieve peak number m from the individual peaks list, not the grouped peak list. Set Ret_Time to peak retention time in minutes, Peak_Area to peak response, and Peak_Sig to signal description in amu (0 for total ion signal).
, 0, n>0 | Set NGroups to the number of peak groups formed by ENDSET with respect to the integrated peaks structure.
, m>0, n>0 | Retrieve peak m from group n and set Ret_Time, Peak_Area, and Peak_Sig as indicated above.

Variables Set

NGroups - number of groups; set by scalar version of command

NPeaks - number of peaks found during integration

Peak_Area - integrated area of the chromatographic peak

Peak_Sig - signal description (TIC or EIC m/z) for the group # and peak # specified in the scalar version of command

Ret_Time - retention time of integrated peak


PEAKWIDTH

PEAKWIDTH value, time

Creates a peak width event for the ChemStation integrator. To view the list of integration events currently in memory, enter TABULATE EVENTS,

value

Allowed values are 0.001 through 100 or 0. Zero (0) allows the integrator to automatically assign the appropriate peak width value.

time

Allowed values are -650 through 650 minutes.

To delete a timed event, enter the command for the event with the corresponding negative time value.

Discussion

The integrator pre-processes the data points in the raw chromatogram by filtering (a moving, weighted-average calculation to reduce the effects of noise) and by bunching (averaging every N adjacent data points).

The width parameter affects whether bunching is used (and how much) and whether a strong, medium, or weak filter is used. Bunching is not done until at least 8 data points (based on the average over the entire run) occur within the width value specified here. After this, each increase of a factor of two in the width parameter results in an increase of the amount of bunching Changes of less than a factor of two change the amount of filtering without affecting bunching.

If the width is too great, narrow peaks may be missed entirely or may demonstrate poor quantitation. If the width is too small, signal noise may be detected as peaks (if the threshold is too low) and very broad peaks may even be missed.

Examples

PEAKWIDTH 0.5, 1.70

sets the peak width to 0.5 minutes at 1.70 minutes

PEAKWIDTH 1.5,5

sets the peak width to 1.5 minutes at 5.0 minutes.

PEAKWIDTH 1.5, -5

deletes the entry above


PICSIX

PICSIX displays the configuration editor for QList options.

The configuration editor reads the file QLISTIN.INI and writes the file QLISTOUT.INI, in the \MSDCHEM\MSMACROS directory. The file QLISTOUT.INI is read by the command QList to display configured options.


POINTS

POINTS [variable]

Gets the number of data points in the first object in the specified variable.

variable

The variable containing one or more chromatograms or spectra. Default is X.

Variables Set

NPoints

Number of points


PRCLOSERESULTS

This command will close the Parametric Retrieval Results panel if it is currently displayed. Used in Parametric Retrieval only.


PRGETRETRESULTS

PRGETRETRESULTS entry number,library name

This command will set many CP variables based on the entry number and the library specified. Used in Parametric Retrieval only.

Variables Set

Boil_Pt - boiling point

Cas_Num$ - CAS number (from library header in the format nnnnn-nn-n)

Company_ID - company ID (10 characters maximum) associated with retrieved reference compound

EntryNum - library entry number

Melt_Pt - melting point. If no information available, -300.00 is reported.

Misc_InfoN - the miscellaneous information field broken into 60-character strings with the CP variable names of Misc_Info1, Misc_Info2

Mol_Formula - first 132 characters of the molecular formula of retrieved reference compound

Mol_NameN - the chemical name broken into 60-character strings with the CP variable names of Mol_Name1, Mol_Name2, etc.

Num_Misc_Info - the number of strings comprising the miscellaneous information

Num_Mol_Name - the number of string comprising the molecular name

PRLibName$ - the name of the library from which the entry was retrieved

Ret_Index - retention index


PRPARAMS

This command displays the Set Parameters panel, which allows you to change the parameters to be used during the next parametric retrieval. Used in Parametric Retrieval only.


PRRESULTS

This command displays the Parametric Retrieval Results dialog box. The name of the object containing the parametric retrieval result (the library search specturm) is PRSpectrum. Used in Parametric Retrieval only.

PRRESULTS sets the variable entrynum and calls the macro PRDORESULT whenever the entry selected changes. It calls other macros when different pushbuttons are pressed:

Text - PRPBText

Print - PRPBPrint

Next - PRPBNext and then PRPBNext2


PRRETRIEVE

PRRETRIEVE [continue]

This command retrieves the next N matches found. You can specify whether to start the search over or continue from where the last search ended by using the continue parameter. Used in Parametric Retrieval only.

continue

1 = continue the search from where the last search ended

0 = restart search at the beginning of the library

default = use current setting. If a search is currently in progress, the search will be continued. Otherwise, it will start over at the beginning.

Variables Set

EntryNum - the entry number for the first match

PRMaxMatches - the maximum number of matches specified

PRNumMatches - the number of matches actually found (0 to PRMaxMatches)

PRLibName$ - the name of the library that was searched

PRMatches - an array of 100 entries containing the entry numbers for the last search


PRSAVEPARAMS

This command will save the current settings from the Set Parameters panel to the file PARAMRET.INI. These values will be the default values the next time that Data Analysis is started. Used in Parametric Retrieval only.


PRSETPARAMS

PRSETPARAMS variable to change, on or off, RANGE/SCALAR/STRING

This command allows you to change one of the search parameters from the command line. Used in Parametric Retrieval only.

The variable must be enclosed in quotation marks. OFF deletes the parameter setting from the search.

The last parameter is the new value to set; it can be a range, a scalar, or a string. Values in a range must be separated with a colon (:). The variables to change and the types of variables to use are:

MOLNAME STRING

CAS SCALAR

MOLFORMULA STRING

MOLWEIGHT RANGE

ENTRYNUMBER RANGE

MISCINFO STRING

COMPANYID STRING

MELTINGPOINT RANGE

BOILINGPOINT RANGE

RETINDEX RANGE

ION1MASS SCALAR

ION1ABUND RANGE

ION2MASS SCALAR

ION2ABUND RANGE

ION3MASS SCALAR

ION3ABUND RANGE

MAXNUMMATCHES SCALAR

LIBRARYNAME STRING

CLEAR STRING -- turns off all settings


PRSETWINPOSITION

PRSETWINPOSITION x-position, y position

Specifies where the upper left corner of the Parametric Retrieval Results panel should go. The range for x-position and y-position is from 0 to 1, with 1 being the maximum amount of available window space and 0 being the origin of the x and y axes. Used in Parametric Retrieval only.


PUTCOMPOUND

PUTCOMPOUND compound number [,INSERT]

Reads the variables set by GETCOMPOUND and updates the existing compound record in the quantitation database.

If INSERT is entered, the compound is added to the quantitation database just before the position specified by compound number.


QCAL

QCAL ["levelid"] [,"file"] [,upd_resp_tp] [,upd_rt_tp] [,upd_qi] [,upd_ref] [,save]

Updates the calibration table using a quantitative results file. You are prompted for the type of update to be done. Qualifier ion ratios cannot be updated with this command.

"levelid"

String identifying the calibration level to update.

"file"

Name of the data file to be used when updating calibration.

upd_resp_tp

Update response type:

0 = average

1 = replace

2 = no update

upd_rt_tp

Update retention time type

0 = average

1 = replace

2 = no update

upd_qi

Update qualifier ion ratios:

0 = do not update

1 = update

upd_ref

Update reference spectra:

0 = do not update

1 = update

save

Save the method after update:

0 = do not save

1 = save


QCALCC

Updates the continuing calibration level of the quantitation database.

QCALCC updates the Continuing Calibration,"CC", level of calibration using the parameters specified in Edit Continuing Calibration Criteria.


QDEL

QDEL [compound number] [,hit number]

Used in QEdit to set a compound's quantitation result to zero. The variable mi_used is set to 1 (see GETRESULT in the Commands manual).

compound number

The number of the compound. The default is the current compound.

hit number

The hit number of the compound. The default is 0, the primary hit.


QEDIT

Loads the QEdit menus and commands for manually integrating the current data file and updating the quantitation results file. To abandon QEdit changes and return to the original results file, select Abort.

EasyID and QEdit are special modes of data analysis and not intended for use in combination with other commands such as DOLIST, DOSCAN, LABEL and others.

Several mouse actions are available in the QEdit windows.


QLIST

QLIST ["macro name"]

Queues selected reports or a macro on a list of data files.

This command is used to send request to the report manager to process a list of files. If no macro is specified the user can select from up to 6 command options which have previously configured using Configure QList.

Before the report or macro is queued, you are prompted to select the data files to be processed. The multiple file select utility is used to select the files. Choose the directory (on the left side) where the data files reside, then choose the data files from the center column. Double-click the file or highlight a group of files and click the right (-->) arrow to select the files. Click the Process button to begin the file queue.

Once macro execution has begun, it will continue to process each file in the list . If there is an error during execution, the remainder of the list is not processed.

"macro name"

The name of the macro that is to be used to process the list of files. If a name is not specified, the macro file list is displayed. If you select macro file xxx.mac, the last macro in the file will be run (as though the command macro xxx.mac,g had been entered). The macro must exist on the Report Manager processing system.

Example

This example works only with previously quantitated or manually integrated files.

QLIST 'QT 0,1,"S"'

Prompts you to select data files

PROCESSLISTQ

Queues a summary quantitation report to the printer for each of the data files selected.


QREF

Used to update the reference spectra used by the quantitation database.

This command looks through the quantitative results file for the current data file for located compounds. When a compound is considered as found the spectrum before the beginning of the peak is subtracted from the spectrum at the apex of the peak. The result is stored in the method for use in detailed quantitation reports, QEdit and EasyID.


QT

QT [calculation] [,destination] [,"option"] [,compound number]

Generates a quantitative report. The options for the report are stored in the file epa.val in the current method. To review or edit these options, select Quant / Edit Quant Report Options or enter the command EDITMETHFILE "EPA.VAL".

calculation

0 = skip calculations and generate report (using existing results file)

1 = do calculations (create new results file) and generate report

destination

0 = screen (default)

1 = printer

"option"

"S" = summary

"F" = full; summary report plus spectrum for each compound

"P" = profile, summary report plus ion chromatograms for each compound

"X" = Excel; report to the file <methodname>.xls which is in the format used by Custom Reports.

"C" = comma separated value; report to the file quant.csv which is in the format used by the Forms software.

compound number

If the number is supplied, then the detailed report for that compound is generated.


QUALPARMS

QUALPARMS ["library1", "library2", "library3"] [,threshold1, threshold2] [,selection method] [,background time] [,integration type] [,"filename"]

Sets parameters for a library search or displays the Library Search Parameters dialog box.

"library1", "library2", "library3"

Names of the primary, secondary, and tertiary libraries to be used for the search.

threshold1, threshold2

Hit threshold (expressed as match quality) for the primary library and for the secondary library.

selection method

1 = apex

2 = apex minus background present at start of peak

3 = apex minus background at specified time

4 = peak average

background time

Time for background spectrum selection

integration type

0 = autointegrate (not valid for RTEINT)

1 = use parameter file

"filename"

Integration parameters file name

If no parameters are entered, the Library Search Parameters dialog box is displayed.

Variables Set

_Button

0 = Cancel button selected

1 = OK button selected

Qual_Apex

1 = spectrum taken from peak apex

2 = spectrum at peak apex minus background at start of peak

3 = spectrum at peak apex minus background at specified time

4 = spectrum that is the average of all spectra in the peak

Qual_Events$ - name of the integration parameter file; null if autointegration specified

Qual_Hit1, Qual_Hit2 - hit quality threshold for primary and secondary libraries

Qual_Lib1$, Qual_Lib2$, Qual_Lib3$ - names of primary, secondary, and tertiary libraries for searching

Qual_Time - time for background spectrum


QUALRPTOPT

QUALRPTOPT [verbosity, to screen, to printer, to file, "filename", during run method]

Used in a macro to display the Library Search Report Options dialog box.

verbosity

Report verbosity

0 = summary

1 = detailed

to screen

Report to screen

0 = no

1 = yes

to printer

Report to printer

0 = no

1 = yes

to file

Report to file

0 = no

1 = yes

"filename"

Destination file for the report.

during run method

Generate the report during the run method:

0 = no

1 = yes

Discussion

Defaults are the current settings. Thus, the command can be used to modify selected settings without affecting the others.

Variables Set

_Button

0 = Cancel button selected

1 = OK button selected

2 = Generate Report button selected

Qual_File$ - name of the file report sent to; null if report not sent to file

Qual_Method

0 = "Generate During Run Method" not selected

1 = "Generate During Run Method" selected

Qual_Printer

0 = report not sent to printer

1 = report sent to printer

Qual_Screen

0 = report not sent to screen

1 = report sent to screen

Qual_RepType - type of report

0 = summary report

1 = detailed report


QUANTPARMS

QUANTPARMS ref window size, ref window type, non-ref window size, non-ref window type, correl window, multiplier, conc

Sets the following quantitation globals directly (without a dialog box). All parameters must be entered.

ref window size

Size of reference window in percent or minutes, based on the setting of ref window type.

ref window type

0 = minutes

1 = percent

non-ref window size

Size of non-reference window in minutes or percent, based on the setting of non-ref window type.

non-ref window type

0 = minutes

1 = percent

correl window

Size of signal correlation window in minutes.

multiplier

A default factor used to multiply the results; any value other than 0 is valid.

conc

Default sample concentration in the units specified in the current quantitation database.


QUANTRPTOPT

QUANTRPTOPT [report style, to screen, to printer, to file, "filename", generate report, compound number]

Used in a macro to set up the quantitation report. If no parameters are given, the Quant Report Options dialog box is displayed.

report style

0 = summary

1 = detailed / text only

2 = detailed

3 = detailed / single compound

4 = percent report only using quantitation database

to screen

0 = no

1 = yes

to printer

0 = no

1 = yes

to file

0 = no

1 = yes

"filename"

The name of the destination file, up to 80 characters long.

generate report (yes or no)

Generate report during RunMethod (note that this parameter is not on the Quant Report Options panel; it is on the Select Reports box accessed from the Method menu in Data Analysis).

compound number

Number of the compound for which a detail report is desired. Valid only when report style = 3. The range is 1 - 250.

Discussion

Defaults are the current settings. Thus, the command can be used to modify selected settings without affecting the others.

Variables Set

Quant_File$

Filename, if not null

Quant_Detailed

0 = summary

1 = detailed / text

2 = detailed + graphics

3 = single compound

4 = %

Quant_Method - 0 = no; 1 = yes

Quant_Printer - 0 = no; 1 = yes

Quant_Screen - 0 = no; 1 = yes

Quant_Select - single compound selection


QUANTSAVE

QUANTSAVE [path] [,file]

Writes the current quantitation database to permanent storage.

path

The path component of the full file name. The default value is the current method (_methpath$ + _methname$)

file

The name of the file component of the full file name. The default value is QBD.MTH.


QUEUE

QUEUE ["command"] [,"report system"]

Queues a command to the Report Manager. The current data and method file are used.

"command"

A string representing the command to invoke on the current data file through use of the Report Manager

"report system"

A string representing the name of the Report Manager system to process the request.

Example

This example works only with previously quantitated or manually integrated files.

QUEUE 'QT 0,1,"S"',"RPT1"

This queues the current data file for summary quantitation report generation to the printer on Report Manager system "RPT1".


RECALIB

RECALIB "result file.RES" [,scalar]

Used in a macro to update the current quantitation database from information contained in result file.RES (file must be fully qualified path). The parameters controlling the process are entered on the Update Calibration dialog box.

scalar

0 or null=no effect

non-zero=sets an array variableRecalStat.

Variables Set

RecalStat - an array providing information when an Update Calibration operation uses a ChemStation G1034C results file that was created at some previous time.

RecalStat[1]=the number of compounds in the quant database that was the target of the Update Calibration operation.

RecalStat[2]=the number of result records in the Quant Results file, including NOT FOUNDS and excluding multiple hit records. Note that quantitating file XYZ.D vs ABC.M, where the quant database in ABC.M has C compounds, causes the Quant Results file XYZ.D\QUANT.RES to be created with C result records.

RecalStat[3]=the number of updates to the quant database that actually occurred during the Update Calibration operation. For a result record to cause an update to a quant database compound, the result record must not be a NOT FOUND record, and the result record's compound's name must exactly match the name of a compound in the quant database.

RecalStat[4]=the number of records in the Results file that were successful IDENT/QUANTs (that is, not NOT FOUNDs) but for which no compound in the quant database yielded an exact name match.

If an Update Calibration immediately follows quantitation of a calibration standard file--without any file, method, or database being loaded in the interim--the values of the array variable RecalStat are C, C, C, and 0, where C is the number of compounds in the quantitation database. The calibration standard file is from the run of a sample containing all the compounds in the database at a standard concentration level.


RECALL

RECALL variable, "filename"

Retrieves a spectrum from a file that was previously saved using the STORE command.

variable

The name of the variable where the spectrum will be placed.

"filename"

The full path filename of the file containing the spectrum.


REFRESH

REFRESH [window]

Refreshes the specified window.

window

Number (1-30) of the graphics window to be refreshed. If no window number is specified, then all graphics windows will be refreshed.

Discussion

Unlike the DRAW command, REFRESH retains certain current attributes of the window, such as its zoom position and all those set by the SETWINATTRIBUTE command.


REPORT_TIC

REPORT_TIC [calculation] [destination] [,option]

Generates an LSC (Library Search Compound) report. The current data file must have been previously quantitated. The parameters used to locate peaks of non-target compounds and specify the library to use in the search are set in Edit Parameter for LSC Report and stored in the file TIC.VAL located in the current method directory .

calculation

0 = skip calculations and generate report (using existing results file)

1 = do calculations (create new results file)

destination

0 = screen (default)

1 = printer

option

"S" = Summary report

"F" = Full, detailed LSC report, printer only

"RR" = Produces a report to a reduced results file, xxx.TIC, which is in a format that can be used by the Forms software


ROLL

ROLL [number]

Changes the arrangement of the contents within the stack window (only X, Y, Z, and T).

number

The default is +1. A positive number rolls up the specified number of times; a negative number rolls down.


RRCAL

RRCAL [type] [,tic]
RRCAL [type] , compound type

Generates a reduced results (RR) file.

type

0 = standard sample

1 = calibration standard; you will be prompted to enter a level number (1-20).

2 = instrument tune evaluation; you must enter a compound type ( 0 or 1).

tic

0 = no LSC report (default)

1 = include LSC report to file; the .qz portion of the file is generated using the report parameters stored in the file TIC.VAL in the current method.

2 = include LSC report to printer and to file

Discussion

The resulting file is the data file name with the extension ".RR" for types 0 and 1. Type 2 will genrate a file with the data file name and extension ".PC".

compound type

0 = BFB

1 = DFTPP


RTEINT

RTEINT variable [,signal number]

Performs peak detection and integration using the RTE integrator.

variable

The variable containing one or more chromatograms.

signal number

Determines which signal(s) to integrate.

0 = integrate all signals in object (default)

1 = [image] signal number [image] num (variable) means integrate only that signal.

Discussion

The integration is based on the integration parameters currently in memory. To view the current parameters, use the RTEINTPARMS command. To list the results of the integration, use TABULATE RESULTS.

The baseline used by the integrator is drawn when the contents of the variable are displayed with the DRAW command. Peaks detected by the integrator are labeled with their retention times.

Variables Set

NPeaks

Number of peaks found during integration


RTEINTPARMS

RTEINTPARMS [type, area, maxpeaks, data point bunching, start, stop, reset, valley, filter, baseline, scale factor, location, IP]

Sets integration parameters for the RTE integrator; see RTEINT. If all of the first 12 parameters are omitted, the RTE Integrator Parameters dialog box is displayed. If any parameters are specified, they will be changed and any null parameters, except filter and baseline, will be left as they were before the command was invoked.

To activate the Load and Save buttons in the dialog box, this command must be executed from a macro. These buttons are not available when this command is entered from the command line.

type

Selects parameter type for area threshold.

0 = absolute units (count*seconds)

1 = percentage of largest peak detected (default)

area

The area threshold for the minimum peak area to be reported. Range is 0 to 100% or 0 to 1E8 counts*seconds. Default is 5% of the largest peak detected.

maxpeaks

Maximum number of peaks to report. Range is 1 to 250. Default is 100.

data point bunching

Selects the number of data points used in a moving average of bunched data points. Range is the integers 1 to 9 and -1 to -9. The default is 1. If you wish to average data points (e.g., for SIM or very noisy data), use a value in the range 2 to 9. Higher values will minimize the effect of split peaks. If a value greater than 9 is entered, sampling is set to 9. A negative value causes smoothing of the derivative in the same way as checking the smoothing checkbox in the panel.

start

Start threshold. Determines how much the slope sensitivity calculation must exceed the absolute value of the data in order for a peak to start. The default value of 0.2 is optimal for most data. Valid range is 0.001 to 100.

stop

Stop threshold. The default value is 0, which means that the baseline has been detected. For noisy signals, increase the stop parameter to 0.3 to 0.5, so that RTEINT will not be triggered prematurely. Range is 0 to 100.

reset

Baseline reset. The number of scans that must separate two adjacent peaks to define the baseline cardinal point or the abundance at that point. If two or more peaks are separated by less than the number of scans indicated by the reset parameter, the baseline will be drawn below the abundance at the start or stop of the peak. Range is 0 to 500. The default is 5 scans.

valley

Determines whether peaks will have their raw area corrected by a baseline drop calculation or by a tangent calculation. Range is 1 to 100%. The default is 100%, which causes the baseline drop area correction method to be used for all peaks.

filter

Determines which filter will be used to filter the data:

0 = 5 point digital filter(default)

1 = 7 point digital filter

2 = 9 point digital filter

baseline

Determines how the baseline will be drawn:

0 = horizontal (default)

1 = tangent to start/stop

scale factor

Scales the reported area result from integration. Range is 0 to 100; default is 1. When scale factor is 1, area counts = count-seconds. To set the area counts reported by RTE integrator to approximate the output of the ChemStation integrator, set the scale factor to 10.

If scale factor is 0, the units are "raw area counts".

location

0 = peak retention time is at top of peak

1 = peak retention time is the coordinate of the first moment of area (centroid)

IP

An array named IP that is dimensioned at 12. If 0 do nothing. If not zero, set an array IP with the values of the first 12 parameters.

Variables Set

Variables are set by this command if the RTE Integrator Parameters box was displayed.

_Button

0 = Cancel selected

1 = OK selected

2 = Save selected

3 = Load selected

IP

An array of 12 scalar elements containing the values of the previous 12 parameters; set when parameter 13 is nonzero.


SAVEEVENTS

SAVEEVENTS "filename"

Saves the ChemStation integrator events currently in memory to a file. The file is saved with the current method unless a path name is supplied. The extension .E is supplied automatically if not entered.

EVENTS.E is the default ChemStation integrator events file in each method; the events currently in memory are saved to this file whenever the Data Analysis method is saved. When the method is reloaded, EVENTS.E is also automatically loaded and subsequent integrations, excluding Autointegrate, will use any timed events that were saved in EVENTS.E.


SAVEMISC

SAVEMISC "filename.mac" [,scalar]

For internal use only. Saves the library search parameters and report options and the percent report options to the macro file specified. The default path is the current working directory. The extension .mac is NOT automatically appended.

scalar

If specified and non-zero, write only the RTEINT parameter macro.

Discussion

This commands saves variables related to the QUALPARMS, QUALRPTOPT, PCTRPTOPT, and RTEINTPARMS commands, as well as the Spectral_Window and Pctscwin variables.

The variables are saved in a macro file that will initialize the variables to the values saved when executed. The file created is typically stored with a method. This command is intended for use as part of the multistep "savemethod" operation.


SAVESTRATEGY

SAVESTRATEGY "filename.mac"

For internal use only. Saves the PBM strategy settings to the macro file name specified. The default path is the current database directory. The extension .mac is NOT automatically appended.

This command is used as part of the multistep "save method" operation.


SCAN (Data Analysis)

SCAN scan number [,variable] [,file descriptor object]

Assigns the mass spectrum from the specified scan to the specified variable.

scan number

The number of the scan to be read in from the current data file (1 = first scan in the file).

variable

The name of the variable where the scan will be placed. Default is X (which rolls the stack).

file descriptor object

The data file loaded from the FILE command.

Discussion

The scan number of a spectrum is labeled on the display whenever a DRAW command is used on a variable containing a mass spectrum.

Variables Set

Ret_Tim e

Retention time of the retrieved spectrum

Scan_Nu m

Scan number of the retrieved spectrum

Scan_Status

0 = normal scan

123 = Record Overflow

136 = Value Overflow

212 = MS Fault

359 = Total Ion Overflow

456 = MS I/O Error

567 = CPU Hardware Error


SCREEN

SCREEN docalc, dest [,“S”]

Generates a screen report.

docalc

Select whether or not to perform a calculation.

0 = no calculations are performed; just reports the last screen results. This is useful if Quick Screener has been used to eliminate or add results.

1 = Perform the screen process with the currently selected screen database. This will overwrite the old screen results from the screen database.

dest

0 = send report to screen

1 = send report to printer

“S”

Summary


SELECTFILTER

SELECTFILTER filtertype, [filterspec, stepsize, showstepsize]

Displays the Response Filter dialog panel and allows the user to set filter specifications.

filtertype

Scalar value indicating which panel to display.

0 = indicates a mass filter

1 = indicates a time filter

filterspec

Variable name for an array object. This parameter can be used for both input and output. If this parameter is specified and the variable exists, its contents are used to initialize editable fields in the panel. The contents of the variable are updated to the user's selections when the user presses the OK button.

The filterspec variable is an array containing the following information:

filterSpec[1] - type of filter selected

0 - Gaussian

1 - Savitzky-Golay quartic/quintic

2 - Savitzky-Golay quadratic/cubic

filterSpec[2] - if [1] is Gaussian, then this is the FWHM. If Savitzky-Golay, then this is the number of points to generate.

filterSpec[3] - Only exists for mass filters. This is the scan stepsize.

stepsize

This is only used by time filters. It sets the stepsize field on the dialog panel for a Gaussian filter. This value is used to verify that the value for FWHM entered for a Gaussian filter is valid. FWHM must be at least 2 * stepsize. For mass filters, the stepsize field is an editable field and may be initialized using the filterSpec variable.

showStepSize

Determines whether the StepSize fields will be shown for a Gaussian filter. If the stepsize fields are not shown, no verification checking is done on FWHM.

0= don't show stepsize fields.

nonzero = show stepsize fields.

The contents of the filterspec variable may be used to create a filter using the FILTER function.

See also FILTER, SMOOTHCHR, and SMOOTH.

Variables Set

_Button

0 = Cancel pressed

1 = O K pressed

Example

POINTS R0

GETSCALARS INFO, R0

StepSize = (xhigh - xlow) / npoints

IF StepSize < 0.0001

StepSize = 0.0001

ENDIF

SelectFilter 1,TimeSpec, StepSize

IF _BUTTON <> 0

IF TimeSpec[1] = 0

! User chose a Gaussian filter

TIMEFILTER = FILTER(TimeSpec[1],-2,TimeSpec[2],StepSize)

ELSE

! User chose a Savitzky-Golay Filter

TIMEFILTER = FILTER(TimeSpec[1],TimeSpec[2],0,0)

ENDIF

ENDIF


SETUPCALIB

Displays the Set Up Quantitation Globals dialog box.

Variables Set

AutoIntItem

Specifies state of the Autointegrate item on the Chromatogram menu as either normal or grayed out. 2=Use RTEINT selected in Quant Globals panel; 0=Use RTEINT deselected in Quant Globals panel.

_Button

0 = Cancel button selected

1 = Enter Compound Info button selected


SETWINATTRIBUTE

SETWINDOWATTRIBUTE window, attribute, value, "macroname"

Sets the attributes of the specified graphics window.

window

Number (1-30) of the graphics window. This parameter is not required if the attribute is RESETALL.

attribute

A keyword indicating which attribute to set.

CURSORSHAPE

MOUSEMACRO

MARKERSHAPE

SNAPTOACTUAL

RIGHTDRAGSHAPE

SHOWTITLES

LEFTDRAGSHAPE

COLOROFFSET

USERCODE

RESETALL

value

An integer specifying the property of the specified attribute.

CURSORSHAPE

1 = arrow cursor

2 = white cross

3 = gun sight

4 = gun sight with square center

5 = hour glass

6 = black cross

7 = text I-beam

8 = empty icon

9 = four arrow cross pointing NSEW

10 = double-pointed arrow pointing NE and SW

11 = double-pointed arrow pointing N and S

12 = double-pointed arrow pointing NW and SE

13 = reserved

14 = vertical arrow pointing N

MARKERSHAPE

0 = no marker

1 = vertical line

2 = horizontal line

3 = both vertical and horizontal

RIGHTDRAGSHAPE/LEFTDRAGSHAPE

0 = none

1 = box

2 = line

3 = filled box

USERCODE

Can be set as a test in macros.

0 = none

MOUSEMACRO

Value parameter ignored.

SNAPTOACTUAL

Converts the mouse location to the closest actual data point when the mouse is double-clicked.

0 = do not convert

1 = convert

SHOWTITLES

0 = do not show the title in the graphics window

1 = show the title in the graphics window.

The change will not be seen until the next time the graphics window is drawn.

COLOROFFSET

Rotates all colors in the color table by the value specified. Changes the colors of all objects drawn in the graphics window. The new colors will not be seen until the window is refreshed.

RESETALL

The valu e parameter is ignored. Resets all attributes for all graphics windows to their initial settings. The initial settings for the attributes are:

CURSORSHAPE=1

MARKERSHAPE=1

SNAPTOACTUAL=0

RIGHTDRAGSHAPE=1

LEFTDRAGSHAPE=1

SHOWTITLES=1

COLOROFFSET=0

USERCODE=0

MOUSEMACRO="mouseaction"

"macroname"

Assigns a mouse action macro to a window. Ignored for all attributes except MOUSEMACRO. The initial mouse action macro name is "mouseaction". Setting this window attribute changes which macro is invoked when a mouse action occurs in the window.


SETWINDOWLOC

SETWINDOWLOC structure window object, x, y

"window title", x, y

This command will move a structure window.

structure window object

Any object that was created with the CreateWindow function specifying a structure object as the first parameter.

window title

A string that specifies the title of an existing child window.

x, y

The coordinates where the upper left hand corner of the window will be placed. These values are specified as a percentage of the parents window's client area (range 0.0 to 1.0).


SETWINDOWTEXT

SETWINDOWTEXT structure window object, "window text string"

This command will change the title of a structure window.

structure window object

Any object that was created with the CREATEWINDOW function specifying a structure object as the first parameter.

window text string

A string that contains the new title for the window object given.


SHOULDERS

SHOULDERS 1/0

Enables (1) or disables (0) the shoulder detection logic for the ChemStation integrator. The system default is off.

To view the list of integration events currently in memory, enter TABULATE EVENTS.


SHOWWINDOW

SHOWWINDOW structure window object, show mode

This command will display, hide, or size a structure window.

structure window object

Any object that was created with the CREATEWINDOW function specifying a structure object as the first parameter.

show mode

0 = HIDE

1 = NORMAL

2 = MINIMIZE

3 = MAXIMIZE

5 = SHOW

9 = RESTORE


SLOG

SLOG [detail]

This command initiates logging of errors to a file.

detail

Controls the detail of messages logged to the logging file.

0 = Errors Only (Default)

1 = All commands

This command is used to log errors and commands to a file. It is useful when developing and troubleshooting macros. It is used in conjunction with ENDLOG to display the contents of the log file.


SMOOTH

Svalue = SMOOTH(z, filter_array)

Returns the smoothed MS object. This function convolves the filter_arra y with the MS object z to smooth MS data.

Note: Assumes equal spacing in m/z.

z

An MS object.

filter_array

A one-dimensional array. The first element is the number of filter coefficients, followed by the coefficients. The filter must have 2m+1 elements, where m is an integer. To preserve the centroid of filtered data, the filter must be symmetrical. The output of the FILTER function can be used by this SMOOTH function.

Examples

y = SMOOTH(z, a)

where y and z are MS objects and a is an array object.

The following examples use commands and functions to set up and run a Gaussian and a Savitsky-Golay mass filter on a spectrum in X.

To run a Gaussian filter:

  1. Specify continuous curves if you are running in regular Data Analysis:

    allcont on

  2. Now load a file and select a spectrum. The selected spectrum is in MS object X.

  3. Create a Gaussian filter of 3 sigma:

    gaus=filter(0,-3,0,0)

  4. Smooth the contents of X and put it in R8:

    R8=smooth(x,gaus)

  5. Merge X and R8 and put it in X. Use the STACK command to examine the registers.

    join X,R8

    stack

  6. Display the contents of X.

    draw 1, X !draw

  7. Select the display format. If you are in regular Data Analysis, you can select Overlay graphs in the Options menu to toggle merged or separated display format. If you are in Electrospray Data Analysis, use the commands FORMAT MERGED or FORMAT SEPARATED.

  8. Redraw in the new format.

    draw 1, X

To run a Savitsky-Golay filter:

  1. Create a 31-point S.G. filter.

    sg31=filter(1,31,0,0)

  2. Select a spectrum from the TIC to get a MS spectrum in X

  3. Smooth the spectrum and put it in R7:

    R7=smooth(X , sg31)

  4. Merge the spectrum in X and in R7:

    join X ,R7

  5. Display the spectrum in X:

    draw 1, X


SMOOTHCHR

SMOOTHCHR (z, filter_array)

Returns the smoothed GC/MS object. This function convolves the filter_arra y with the GC/MS object z. Used to smooth GC/MS TIC or ion chromatogram data.

Note: Assumes equal spacing in m/z.

z

A GC/MS object.

filter_array

A one-dimensional array. The first element is the number of filter coefficients, followed by the coefficients. The filter must have 2m+1 elements, where m is an integer. To preserve the centroid of filtered data, the filter must be symmetrical. The output of the FILTER function can be used by this SMOOTHCHR function.

Examples

y = SMOOTHCHR(z, a)

where y and z are GC/MS objects and a is an array object.

This example uses commands and functions to set up and run a Gaussian time filter on an ion chromatogram.

  1. Load the data file and select the extracted ion chromatogram.

  2. Set up the filter. One possibility follows:

    gaus=filter(0,-2,4,1)

    This sets up a Gaussian of 2 sigma, for peaks with spacing of 1 unit and FWHM of 4 units. Scan numbers were used to find FWHM of the narrowest peak of interest.

  3. Smooth the ion chromatogram in R0 and put the result in R6:

    R6=smoothchr(R0,gaus)

  4. Copy the original ion chromatogram in Y:

    Y=R0

  5. Merge the smoothed R6 with the original:

    join Y, R6

  6. Display both ion chromatograms:

    draw 3, Y


SOLVENTS

SOLVENTS 1/0, time

Creates a solvent peak event for the ChemStation integrator. 1 turns the automatic solvent peak detection on; 0 turns it off. To view the list of integration events currently in memory, enter TABULATE EVENTS.

time

Allowed values are -650 through 650 minutes.

To delete a timed event, enter the command for the event with the corresponding negative time value.


SPECTRUM

SPECTRUM time [,variable] [,file descriptor object]

Assigns the mass spectrum from the scan closest to the specified time to the specified variable.

variable

Name of variable where result will be placed. Default is X (which rolls the stack).

file descriptor object

The data file loaded from the FILE command.

Discussion

See also SCAN. The spectrum is taken from the current data file.

Variables Set

Ret_Time

Retention time of the retrieved spectrum

Scan_Nu m

Scan number of the retrieved spectrum

Scan_Status

0 = normal scan

123 = Record Overflow

136 = Value Overflow

212 = MS Fault

359 = Total Ion Overflow

456 = MS I/O Error

567 = CPU Hardware Error


SPIKE

SPIKE [destination] [,matrix]

Generates a report of recovery of matrix spike compounds. The three data files (sample, matrix spike, and matrix spike duplicate) needed for this report must have been previously quantitated. You are prompted to select each of the three files.

The results, which are tabulated in Multivu, list the following for each matrix spike compound: compound name, concentration found in sample, amount added as spike, amount found in spike and spike duplicate samples, % recovery in spike and spike duplicate samples,

destination

0 = screen (default)

1 = printer

matrix

1 = water (Matrix A) (default)

2 = soil (Matrix B)

If a value is not entered, the sample name and miscellaneous information are searched for the characters H2O, WATER, or SOIL, and, if found, the appropriate criteria are used. If not found the criteria for water are used.


STACK

STACK [1/0]

Toggles the display of the stack window. To set explicitly: 1 = on; 0 = off.

There are 14 common variables displayed in the stack window: X, Y, T, Z, R0, R1, R2, R3, R4, R5, R6, R7, R8, and R9. The default size of the window displays only the first six variables. It may be expanded to display the others.


STARTANALYSIS

STARTANALYSIS ["filename"] [,scalar]

Initializes the internal quantitation structure and the QuantResults file, if one is specified.

"filename"

The fully qualified name of the QuantResults file in which the results of the quantitation calculations are to be stored. If no file name is provided, no results file is created.

scalar

0 = yes, reset the implicit compound counter

1 = no, don’t reset

Typical quantitation cycles through compounds 1 to n, and usually the compound number should be reset to 1 when quantitation begins. Some applications such as EnviroQuant may perform quantitation in multiple stages and need to suppress resetting the counter.

Variables Set

TR_Corr - time reference correlation

1 = set

Cal_Peaks - number of results


STARTPRINT

Initializes the system to accept data for printing a formatted page. Data is gathered and formatted with the commands:

CALIBPRINT

FILEPRINT

STRPRINT

WINPRINT

The page is printed using the ENDPRINT command. STARTPRINT cancels any print commands that have not been printed by entering ENDPRINT (when the ChemStation spooler is used to direct the print job to the printer).

If direct printing has been set up (the variable Direct_Pr = 1 thus bypassing the ChemStation spooler), a second STARTPRINT acts as ENDPRINT, first printing the current page and then initializing the system for a new page.


STARTREPORT

STARTREPORT "results filename"

For internal use only. Initializes quant report control information using a result file. Sets variables to the number of results and the number of time reference compounds in the results file. The filename is required; there is no default.

"filename"

The fully qualified name of the file to open.

Variables Set

Cal_Peaks - number of results

NTimeRefs - number of time reference compounds


STARTSET

STARTSET sort order

Clears any existing individual peaks list (see ADDPEAKS) and correlated peaks list (see ENDSET) from memory and determines how new peaks will be sorted.

sort order

0 = peaks collected in the individual peak structure will be sorted primarily by peak retention time and secondarily by peak signal (TIC is first in order, then ascending m/z values.) Used for peak identification stage of the quant algorithm.

non zero = peaks will be sorted primarily by peak signal and secondarily by peak retention time. Used for area percent reports by signal.


STORE

STORE variable, "filename"

Stores a spectrum in a file for archiving purposes. To retrieve the spectrum, see the RECALL command.

variable

The name of the variable containing the spectrum to be saved.

"filename"

The full path filename of the file where the spectrum will be stored.


STRPRINT (Data Analysis)

STRPRINT "string", x, y

Formats the specified string in preparation for printing. Must be preceded by the STARTPRINT command; to print the data use ENDPRINT.

x, y

The starting location for printing; x is in characters, y is in lines. The maximum values can be determined using the PAGESIZE command. Any string longer that the number of characters available on the selected line will be clipped.


SUBTRACT

SUBTRACT [SUPPRESS]

suppress

If this optional keyword is used, the resulting spectrum contains only the positive valued remainders fromthe subtraction. There is no effect when subtracting chromatograms. The function SUBZERO(y,x) gives the same results as SUBTRACT SUPPRESS.

Discussion

The resulting object resides in the X variable, and the stack is rolled down once. The two original objects are discarded. When the subtracted object is displayed (using DRAW), the graphics window is titled with the same information as the original mass spectrum that was contained in the Y variable, and the label (-) appears at the end of the title.

When chromatograms are subtracted, their X ranges (time) must overlap at some point.


SUBZERO( )

value = SUBZERO (y,x)

A function that subtracts the spectrum in variable x from the spectrum in variable y, and returns only positive valued remainders. There is no effect when subtracting chromatograms.


TABULATE

TABULATE [information type] [,"PRINTER" / "CRT" / "CONSOLE" / "filename"] [,variable]

Displays information about the current data file, the contents of a variable, or the current integration events for the ChemStation integrator.

information type

X1:X 2 Specify the range of data to be tabulated (the default is the entire range; this is also the default information type). If the variable contains more than one object, each object will be tabulated separately, in turn.

RESULT S A keyword to specify the integration or library search results associated with the object in the specified variable.

HEADE R A keyword to specify the header information from the current data file.

EVENT S A keyword to specify the current integration events for the ChemStation integrator.

PERCEN T A keyword to specify Percent results. If Sort by Signal is selected on the Percent Report Options dialog box, the specified variable must contain an integrated chromatogram. If Sort by Retention Time is selected, an integration set must exist (see ADDPEAKS).

"PRINTER" / "CRT" / "CONSOLE" / "filename"

The destination for the tabulation. The quotation marks are required. Default is "CRT". "PRINTER" is the default system printer.

variable

Used only by information types X1:X2, RESULTS and PERCENT; ignored for other types. Default is X.

Discussion

A line of text followed by a page number will be printed at the bottom of each page if the variables TabFooter$ and PageNum exist. The footer text is defined by TabFooter$ and the page numbers are incremented beginning with the value of PageNum. If the destination is the CRT or a file, the footer appears only once at the end of the tabulation; PageNum is not needed nor used. Reverse page printing is not supported.


_TAB

_TAB [keyword] [,"filename"] ,MS object [,data range] [,abundance value]
_TAB [keyword] [,"filename"] ,GC/MS object [,data range]

Displays information about the current data file, the contents of a variable, or the current integration events for the ChemStation integrator. This is an overloaded version of the TABULATE command.

keyword

RESULT S A keyword to specify the integration or library search results associated with the object in the specified variable.

PERCEN T A keyword to specify percent results when parameter 3 is a GC/MS object. If Sort by Signal is selected on the Percent Report Options dialog box, the specified variable must contain an integrated chromatogram. If Sort by Retention Time is selected, an integration set must exist (see ADDPEAKS). This keyword option may be eliminated in future software revisions; its use is not recommended.

"filename"

The destination file for the tabulation. The default is the null string.

MS object / GC/MS object

The choice of parameter 3 determines whether _TAB accepts four or five parameters. If parameter 3 specifies a variable containing spectral data (MS objec t), then an abundance value may be specified as parameter 5. If parameter 3 is a GC/MS objec t, the command has only four parameters.

data range

The range of data to be tabulated. This parameter is relevant only if no keywor d is specified in parameter 1. For MS objec t, the default is the full mass spectral range. For GC/MS objec t, the default is the full chromatographic retention time range.

abundance value

This parameter is available only when mass spectral data are specified in parameter 3. Specifies the minimum abundance a data point must have to be included in the tabulation.

0 = all data points included (default)

>0 - <1 = a percent abundance of the maximum abundance

>=1 = absolute abundance


_TABH

_TABH , "PRINTER" / "CRT" / "CONSOLE" / "filename" , file descriptor object ,

Tabulates the header of a data file denoted by a file descriptor object. The first and fourth arguments are ignored and should be left blank.

"PRINTER" / "CRT" / "CONSOLE" / "filename"

The destination for the tabulation. The quotation marks are required. Default is "CRT". "PRINTER" is the default system printer.

file descriptor object

No default, null is illegal.


TANSKIM

TANSKIM time

Creates a tangent skim event for the ChemStation integrator. To view the list of integration events currently in memory, enter TABULATE EVENTS.

time

Allowed values are -650 through 650 minutes.

To delete a timed event, enter the command for the event with the corresponding negative time value.

Examples

TANSKIM 2.30

creates a tangent-skim event at 2.30 minutes

TANSKIM -2.30

deletes the entry above


THRESHOLD (Data Analysis)

THRESHOLD value, time

Creates a threshold event for the ChemStation integrator. The threshold changes to the specified value at the specified time. To view the list of integration events currently in memory, enter TABULATE EVENTS.

value

Allowed values are -12 through 25, where -12 specifies the most sensitive (lowest) threshold value and 25 the least sensitive (highest) threshold. Each change of 1 in the threshold changes the sensitivity of the integrator by a factor of 2 (e.g., a value of 8 is four times less sensitive than a value of 6).

time

Allowed values are -650 through 650 minutes.

To delete a timed event, enter the command for the event with the corresponding negative time value.

Examples

THRESHOLD -6,4

sets the threshold to -6 at 4.00 minutes

THRESHOLD 15, 6.005

sets the threshold to 15 at 6.005 minutes

THRESHOLD 15, -6.005

deletes the entry above


TIC

TIC [time1:time2] [,variable] [,file descriptor object]

Constructs the total ion chromatogram from the current data file and puts it in the specified variable.

time1:time2

The default is the entire time range.

variable

The name of the variable where the TIC will be placed. The default is X (which rolls the stack).

file descriptor object

The data file loaded from the FILE command.


TOOL

TOOL ["compound number" / "all"]

Locates a compound in an unquantitated data file. If the compound is not found in the expected retention time window, the window is widened and the search repeated. This continues until the peak is found or the complete data file has been searched. The presence of the compound is verified using the qualifier ion ratios

The current integrator settings are used. For best results, set the following integration parameters:

Area Threshold = 10000 counts

Threshold Type = Absolute

"compound number" / "all"

A string specifying the number of the compound to be located or "all" to locate all compounds listed in the current quantitation database.


TRANSFORM

TRANSFORM X0:X1, X2:X3 [,variable] [,XAXIS / YAXIS]

Shifts and scales the data along the X- or Y-axis. An asterisk (*) in the plot title indicates that a chromatogram or spectrum has been scaled (via the * operator, NORMALIZE, or TRANSFORM).

X0:X1

The range of data to be transformed.

X2:X3

The range of the data after the transformation.

variable

The name of the variable containg the object. The default is X.

XAXIS / YAXIS

The coordinates to be transformed. Default is XAXIS.

Caution

You can lose data by transforming downwards.

Examples

TRANSFORM 4:12, 2:10

Shifts the time axis of the chromatogram in the X-variable to the left by 2 minutes. The new chromatogram replaces the original chromatogram in X.

TRANSFORM 3.5:7.8, 3:7,Z

Transforms the X-axis so that 3.5 is shifted to 3.0 and 7.8 is shifted to 7.0 and the entire axis is rescaled. The object is in the Z-variable.

TRANSFORM 100:100000, 0:50000,, YAXIS

Transforms the Y-axis so that 100 is shifted to 0 and 10000 is shifted to 50000 and the entire axis is rescaled. The object is in the X-variable.

See Also

INVERSEM( )

INVERSEB( )


TRFILE

Prompts for a macro to run and sends the request to the Report Manager.

This command is used to select a macro to run on the current data file and to send that request to the Report Manager. This command displays a list of macros in the /MSDCHEM/MSEXE directory.

When one of these files is selected, the request is sent to the Report Manager to run the last macro in the select macro file on the current data file and process it using the default Report Manager System.


TUNECHECK

TUNECHECK [destination] ,"parameter file" [,autofind)

Evaluates the spectrum in the X register against the tune evaluation criteria.

destination

0 = screen (default). Displayed in Multivu. The file tuneeval.txt is added to the current method directory.

1 = printer; includes spectrum

2 = forms file. The file tune.csv is added to the current data directory.

"parameter file"

A string specifying the name of the parameter file (.val) that is stored in the current method.

autofind

0 = default; current spectrum in X-register is evaluated.

1 = locate spectrum by integrating ion chromatogram of base m/3 in crieria file.


UPDATECALIB

UPDATECALIB ["level ID", "level filename",,respact,,rtact,qiact ]

Used to find the level ID and update the associated file name or to display the Update Calibration dialog box. If a macro is running and if all parameters are null, the dialog box is displayed.

"level ID"

A name or number used to keep track of the sample used to calibrate this level.

"level filename"

The data file that is the source of the calibration data.

respact

Update response factors (RF)

0 = no action

1 = average

2 = replace

rtact

Update retention times (RT)

0 = no action

1 = average

2 = replace

qiact

Update ion ratios

0 = no action

2 = replace

Variables Set

_Button

0 = Cancel button selected

1 = OK button selected

2 = Do Update button selected (add level)

3 = Do Update button selected (recalibrate)

4 = Do Update button selected (delete level)

Uqr

0 = update qualifier ratios

1 = do not update qualifier ratios


UPDATERSLT

UPDATERSLT peak area, retention time, start time, end time, start baseline, end baseline, result number, "results filename", hit number

Updates a Quant result record. All parameters are required; there are no defaults.

peak area

Peak area in area counts.

retention time

Retention time in milliseconds (time * 60000).

start time /end time

Start time and end time in milliseconds.

start baseline / end baseline

Baseline start and end in area counts.

result number

The result number, between 1 and the number of results in the file.

"results filename"

Fully qualified name of the file where results are stored.

hit number

The hit number, between 1 and the number of hits for the results record. Or use 0 to indicate the Best Hit.

Discussion

The UPDATERSLT command reads the value of the variable Cal_Pk_Found. If the variable does not exist, the value in the result record corresponding to Cal_Pk_Found is set to zero.


VIEWCALCURVE

VIEWCALCURVE [N]

If VIEWCALCURVE is invoked (without the N parameter), the View Calibration Curves dialog box is displayed.

If VIEWCALCURVE N is called, where N is a number between 1 and the number of compounds in the Quant Database, no dialog box will be displayed, and instead, the following variables are set.

Variables

COEF0

Constant-term coefficient in calibration equation

COEF1

Linear-term coefficient in calibration equation

COEF2

Quadratic-term coefficient in calibration equation

RHO

Coefficient of determination


VIEWPBMTEXT

VIEWPBMTEXT variable, hit number

Displays PBM text results of a PBM search.

variable

Name of variable containing the PBM search results. This parameter is required; there is no default.

hit number

PBM search hit number, between 1 and number of hits. This parameter is required; there is no default.


WINDOW [window], X1:X2,Y1:Y2

Resets the sizes and positions of the graphics windows, but does not affect iconized windows.

window

Number (1-30) of the graphics window to be reset. If no window number is specified, the positions and sizes of all graphic windows will be reset to their initial settings.

X1:X2, Y1:Y2

The ranges specifying the width and height of the window. X 1 and Y 1 are the coordinates of the lower left corner; X 2 and Y 2 of the upper right corner. Valid values for X and Y are such that:

  • X1 is less than or equal to 0.95

  • X2 is greater than or equal to 0.04

  • The width of the window (X2-X1) is less than or equal to 1.025.

  • Y2 must be between 0.04 and 1.03.

  • The height of the window (Y2-Y1) is less than or equal to 1.5

Example

WINDOW 4, 0:0.5, 0:0.5

Defines window 4 to be in the lower left quadrant of the Data Analysis window


WINEXIST

value = WINEXIST (window)

Determines if the specified graphics window is currently displayed in the Data Analysis window. Returns 1 if the window is displayed; 0 if it is not displayed.

window

The window number to check.


WINPOSITION

WINPOSITION window [,x1] [,x2] [,y1] [,y2]

Gets a graphics window's position and size. The values returned can be used for the WINDOW command.

window

The number (1-30)of the window for which to get position and size. This parameter is required.

x1

The variable where the x coordinate of the lower left corner of the window will be stored. This parameter is optional. The default variable name is xleft.

x2

The variable where the x coordinate of the upper right corner of the window will be stored. This parameter is optional. The default variable name is xright.

y1

The variable where the y coordinate of the lower left corner of the window will be stored. This parameter is optional. The default variable name is ylower.

y2

The variable where the y coordinate of the upper right corner of the window will be stored. This parameter is optional. The default variable name is yupper.


WINPRINT

WINPRINT window, x, y, width, length [,no Y-axis]

Gathers and formats data from a graphics window in preparation for printing. Must be preceded by the STARTPRINT command; to print the data use ENDPRINT.

window

Number (1-30) of the graphics window containing the data to be printed.

x, y

The starting position for the printing; x is in characters, y is in lines. The range for both is zero to the value reported by the PAGESIZE command.

width, length

The size of the plot in characters and lines.

no Y-axis

0 = (default) normal display, all axes and labels are printed

1 = No printing of Y-axis and labels, X-axis label, title, and integrated peak labels


WINVARNAME$ ( )

name$ = WINVARNAME$ (window)

Returns the name of the CP object displayed in the specified window. If the object displayed in the window does not have a name, then a null string is returned.

window

The window number whether the object is currently displayed.

Example

DRAW 2, R0

NAME$=WINVARNAME$(2)

PRINT NAME$ ! prints "R0" on the message line


_XFM

_XFM X0:X1, X2:X3 [,variable] [,XAXIS / YAXIS]

Shifts and scales the data along the X- or Y-axis. An asterisk (*) in the plot title indicates that a chromatogram or spectrum has been scaled (via the * operator, NORMALIZE, TRANSFORM, or _XFM). This is an overloaded version of the TRANSFORM command.

X0:X1

The range of data to be transformed. This parameter is required; there is no default.

X2:X3

The range of the data after the transformation. This parameter is required; there is no default.

variable

The default is X. The contents of variable may either be an MS object (spectra) or a GC/MS object (chromatograms).

XAXIS / YAXIS

Keywords specifying the coordinates to be transformed. Default is XAXIS.

For MS objects (parameter 3): XAXIS indicates that the m/z dimension is being transformed. YAXIS indicates that the mass spectral response dimension is being transformed.

For GC/MS objects (parameter 3): XAXIS indicates that the retention time dimension is being transformed. YAXIS indicates that the chromatographic response dimension is being transformed.

Caution

You can lose data by transforming downward.


XPAND

XPAND [minutes]

Used in EasyID or QEdit to expand the view of the extracted ion chromatograms. Any manual integrations that exist are lost. If you have zoomed in using the mouse and then enter XPAND, the new start and stop time are relative to the data as first drawn in the window, not to the zoomed in view.

To return to the original view, enter the command ORIGINAL.

minutes

Number of minutes to expand on each end of the chromatograms. The default is 2 minutes.


ZOOM

ZOOM window, X1:X2, Y1:Y2

Zooms in on a portion of the specified graphics window.

window

Number (1-30) of the graphics window in which the zoom will occur.

X1:X2

A range defining the width of the zoom box. For spectra, enter amu*20; for chromatograms, enter time*60000.

Y1:Y2

A range defining the height of the zoom box. The Y-values are entered as abundance.


ZOOMOUT

ZOOMOUT window

Restores a zoomed graphics window to its original, unzoomed state.

window

The number (1-30) of the graphics window to restore.


Example Macros

This online book, Using and Writing Macros, uses many macro examples as it explains the concepts and use of commands in creating macros. These example macros are available on your system in the MSDchem/msexe directory in the file macros.mac. You can use the macros in this file to follow along with the chapters while you're learning about macros or as a starting point for creating your own macros. The macros.mac file can be opened using a text editor such as Notepad or Wordpad.


Chapter 1 -- Macro Basics

This chapter gives an example of creating and using a macro to simplify a task in the MS ChemStation. You may use the instructions in this chapter as a tutorial for performing the task manually and for developing the macro. Since the purpose of this example is to introduce the concept of macro programming, don't be concerned if you don't understand everything you are asked to do at this point. The same topics are covered in more detail in later chapters.

Why use macros?

Are macros for you?

To create a macro

To use a macro

To edit a macro

In summary


Why use macros?

As a user, you can greatly extend the power and convenience of your MS ChemStation software by using and writing macro programs.

For example, you could write a macro to change the system's interpretation of mouse input. Such a macro would allow you to carry out, with a single mouse click, an operation that ordinarily requires much more input from you. For example, you could create a macro to transfer data from the MS ChemStation to an Excel spreadsheet with just a click of the mouse.

Similarly, a macro can be called from the command line of an MS ChemStation application program to execute a lengthy series of DOS commands, to input a large amount of information from a text file, or to generate a customized report combining text and plots of chromatograms, spectra, and associated reference spectra from a library search.

A macro program (or just macro for short) is basically just a series of MS ChemStation commands. The macro is given a name and stored in a file. Once you load the file into system memory, you can execute the macro as a unit in a variety of ways.

Macro programming gives you the power to automate and customize ChemStation operation. Since all methods, sequences, and most menu items are actually implemented as calls to macros, you can tailor nearly every facet of MS ChemStation operation by writing new custom macros or by editing and using modified versions of existing system macros.


Are macros for you?

You may at times feel that you are spending too much time on tedious and repetitious tasks while operating the MS ChemStation in special applications. As an example, suppose you frequently need to zoom in on spectra, label certain peaks, and print the resulting display. This activity requires the following steps:

  1. Start up the MS ChemStation.

  2. Select View / Data Analysis (offline).

  3. Select File / Load Data File from the Data Analysis view.

  4. Select evaldemo.d (for example) from the list of data files displayed, and click OK. The TIC is displayed.

  5. Double click the right mouse button on the first peak of the TIC (time = 5.27 minutes).

  6. When the spectrum has been drawn in window 1, box the part of the graph between x=50 and x=60 by dragging with the left mouse button, and then release the button. The selected area is expanded to fill the plot area.

  7. Make sure the printer is ready, then type the following instructions on the command line of the Data Analysis window. If the command line is not currently displayed, select Cmdline on from the Control menu of the application window.

FILE _DATAPATH$ _DATAFILE$
STARTPRINT
STRPRINT "Name of file: " _DATAPATH$ _DATAFILE$, 1, 1
STRPRINT "Name of operator: " _OPERATOR$, 1, 2
WINPRINT 1, 1, 4, 65, 15
ENDPRINT

When these steps are carried out, the name of the data file, name of the operator, and zoomed graph are printed. The job gets done, but the procedure is tedious and slow, especially if you have many spectra to process in this way. Paper will be wasted too, since each plot appears on a separate page.

The solution? Write a macro!

Macros can save time by automating procedures such as the one above that are performed frequently in your lab. Writing a macro is only slightly more difficult than the process of typing in the commands one time on the command line.

A macro is basically a list of instructions for a ChemStation command processor. The list can be quite long, yet you can execute all the instructions by typing only a few characters (the name of the macro) on a command line.

The ChemStation software is comprised of various software modules that run in separate windows or views. These modules, such as Top and Data Analysis, are also called applications. Each ChemStation application has a command line that you can access. When you type commands on the command line of a ChemStation application window, the commands are processed directly by the command processor for that application. The command processor, or CP, is a software module which continuously reads an instruction, interprets it, executes it, reads another instruction, and so on. CPs are crucial to the operation of the ChemStation; every action performed by the ChemStation is the result of one or more instructions being processed by a CP.


To create a macro

As an example of a simple macro program, let's write a macro to perform Step 7 in the preceding example.

  1. Click the Start button, point to Programs / Accessories and select Notepad. This starts up the Notepad text editor program.

  2. Type in the following text:

NAME ZoomPrint
FILE _DATAPATH$ _DATAFILE$
STARTPRINT
STRPRINT "Name of file: " _DATAPATH$ _DATAFILE$, 1, 1
STRPRINT "Name of operator: " _OPERATOR$, 1, 2
WINPRINT 1, 1, 4, 65, 15
ENDPRINT
RETURN

  3. Select File / Save As, navigate to the directory you wish to store the file in (\MSDchem\my_macs for example), and type the name reports.mac in the Filename box.

You have just created a macro! As you can see, it is basically just a list of commands to execute in a ChemStation application window. The keywords NAME and RETURN mark the beginning and end of the macro. The line NAME ZoomPrint above also serves to give the macro the name ZoomPrint.


To use a macro

  1. Switch to the application window you wish to use the macro in.

  2. Load the macro into memory by typing the word MACRO on the command line of the Data Analysis window, followed by a space, and the complete pathname of the file containing the macro, and press the Enter key. Enclose the pathname of the file in double quotes as shown in the following example:

    MACRO "\MSDchem\my_macs\reports.mac"

  3. If you haven't done so already, follow the directions given previously for loading a data file in the Data Analysis window and placing a zoomed spectrum plot in window 1.

  4. Execute the macro by typing its name on the command line as shown in the following example:

    ZoomPrint

The labeled plot appears on the printer.


To edit a macro

After running the macro, you might decide to change some aspect of it or to enhance it in some way. The final macro you write may be quite complex. When writing macros, you may want to start out simply, then add layers of complexity one at a time. You can use the Notepad application to make and save variations of the original macro as described below.

  1. In Notepad, select File / Open.

  2. Navigate to the directory containing the macro, select reports.mac from the list of files, and click OK.

  3. Edit the file to make the desired changes or additions.

As an example, let's assume that the plots printed by your original macro are larger than you need, and that you want to fit many such plots on a single page. As a first step, modify the macro to print the text and graph side-by-side.

Change the text in the Notepad window to the following by duplicating the two lines which begin with STRPRINT, then editing all four STRPRINT lines, and finally modifying the numerical parameters as indicated in boldface below.

Name ZoomPrint
FILE _DATAPATH$ _DATAFILE$
STARTPRINT
STRPRINT "Name of file: ", 1, 1
STRPRINT " "_DATAPATH$ _DATAFILE$, 1, 2
STRPRINT "Name of Operator: ", 1, 3
STRPRINT " "_OPERATOR$, 1, 4
WINPRINT 1, 37, 1, 43, 18
ENDPRINT

The resulting macro prints the text on lines 1-4 instead of 1-2, places the upper left corner of the graph at the 37th character of the 1st line, and scales the graph so it is 43 characters wide and 18 lines long.

  4. Save this edited version of the macro in the file Reports2.mac.

  5. Test the new version of the macro from Data Analysis as follows:

Load the macro file with the MACRO command, using the new filename (Reports2.mac in this example).

Test the macro by typing its name on the command line (ZoomPrint in this example) and pressing the Enter key.


In summary

A macro is a list of instructions stored together in a file. You can execute a macro with a few keystrokes. Macros are useful for automating tasks you frequently perform on the MS ChemStation that otherwise require you to make many mouse actions, menu choices, panel entries, or command line entries. They can also be used to customize operation of the MS ChemStation, such as to print a report in a special format. As shown in the preceding example, macros are easy to create, store, modify, and use.

Proceed to Chapter 2 to learn more about the MS ChemStation macro language.


Chapter 2 -- The ChemStation Macro Language

This chapter describes the ChemStation macro language in enough depth to get you started writing your own macros.

What is a macro?

Comment statements

Assignment statements and variables

Expressions and operators

Declaration statements

Control statements

Call statements

Parameters


What is a macro?

A macro, or macro program, is a series of instructions (called statements) written in the MS ChemStation macro language. A macro is given a name and stored in a text file, which may contain more than one macro. Once the macro exists, a user can load and execute it as described in Chapter 1.

The purpose of most instructions in a macro is to execute MS ChemStation commands or functions. Information about the use and effects of these commands and functions is available online, by selecting Help / Help Topics from any MS ChemStation application window. You can see a list of the commands and functions defined in an MS ChemStation application by typing COMMANDS on the command line of that application.

Macros that are part of the original MS ChemStation software are called system macros. The command processor responsible for each major MS ChemStation application (Top, Tune, Instrument Control, and Data Analysis) loads a set of system macros when the application starts up. All methods and many menu choices are implemented as system macros.

Macros that MS ChemStation users create to automate or customize some aspect of ChemStation operation are called user macros.

A command processor, or CP, is a software module that continuously loops thru the following cycle waiting for an instruction, interpreting the instruction, and executing the instruction. CPs are crucial to the operation of the MS ChemStation; everything the ChemStation does is the result of the execution of instructions by a CP.

The command lines of the Top level, Tune, Acquisition, and Data Analysis application windows give the user a way to submit commands to a CP for execution. When you type in a command name with its associated parameter list and press the Enter key, the command processor executes the command. As described in Chapter 1, you can also type the name of a macro on to an MS ChemStation command line. In that case, all the commands in the macro are executed sequentially by the CP.

The statements used in a macro can be classified as either assignments, declarations, control statements, call statements, or comments. These categories are useful, even though they have some overlap. In fact, every statement can be thought of as a call to a command, macro, function, or operator. All statements, except for comments, are referred to as executable statements.


Comment statements

Comment statements are ignored by the command processor. They are helpful remarks placed in a macro to document the purpose of the macro and to tell how it accomplishes that purpose. Comments make the macro understandable to people who read it, including the author who make work on many macros at once or may have to modify the macro at a later time.

Use the following rule to determined exactly where a comment starts and ends:

An unquoted exclamation point (!) in any line of a file containing macro(s) will be ignored by the command processor, as will all the characters following it on the same line. The exclamation point does not have to be the first character on a line, although it often is.

Examples of comments

! This is a comment.
!
H2O$ = "water" ! This is a comment too.
!
! There are six comments in this group
! and one executable statement.

Existence of a comment on one line of a macro has no effect on the interpretation of subsequent or previous lines by the command processor.


Assignment statements and variables

An assignment statement stores the value of an expression in a variable. For example:

Sum = 1 5 ! stores 6 in the variable Sum

A variable is a named portion of the memory of a computer and is used to store data. Variables can be classified according to their data type and scope . The predefined data types in the MS ChemStation are scalar, scalar range, string, scalar array, scalar matrix, and set. Variables may be local or global in scope. They are called local variables or global variables.

The use of variables is central to the operation of macros and all facets of MS ChemStation software. When variables are used in macros, data is either being written to or read from them as shown in the following examples.

Sum = 21 3.42 ! stores 24.42 in Sum
Index = Index 1 ! retrieves Index, adds 1 to it, and stores
! the new value back into Index
Index_range = 1:10 ! stores a range value
Time_range = 4.39:8.46E1 ! stores a range value
X_array = Y_array ! retrieves y_array and stores it in x_array
My_set[3] = Line_of_text$ ! stores a string in a set
Covar_matrix[25, 31] = 0.741 ! stores to a scalar matrix

A local variable is a variable defined within a macro for use exclusively by that macro. The command processor removes local variables when the macro finishes executing. The local variables specified by the macros will be recreated each time the macro is executed.

A global variable is maintained by a command processor and exists independently of any macro. Global variables can be used by any macro, command, or function executed by the CP. A global variable exists for as long as the CP is running, unless it is explicitly destroyed with the REMOVE command.

Variables

Scalar variables

Scalar range variables

String variables

Scalar array variables

Scalar matrix variables

Set variables


Scalar variables

A scalar variable is used for storing a single floating point number as shown in the following examples.

Enough = 7.99
Avogadros_num = 6.02e23
Total = Subtotal * (1 Tax_rate) Postage Handling
PRINT VAL$(Total)


Scalar range variables

A scalar range variable is used to represent a set of numbers ranging in value from a lower bound to an upper bound as shown in the following examples.

Range1 = 4:9 ! represents the numbers from 4 to 9 (inclusive)
Range2 = 5.17:9.253
Range3 = Range1 Range2 ! stores the range sum 4:9.253 into Range3
Range7 = Alpha:Beta
AVERAGE Range2, results ! averages spectra over Range2


String variables

A string variable is used to store a sequence of characters (a string of text) as shown in the following examples. Although not strictly required by the system, the names of string variables usually end with a $ character.

Part1$ = "Good morning! "
Part2$ = "How are you?"
PRINT Part1$ Part2$
ALERT Part1$[6:12] Part2$[12], 4
! puts panel on screen that says "morning?"


Scalar array variables

A scalar array variable is used to store a collection of elements, each of which is a scalar variable. Individual elements can be accessed using an integer index, which can be thought of as the row number of the element. Examples of using scalar array variables:

My_array[122] = 97 ! assigns 97 to the variable in row 122

Total[23] = Price[23] * ( 1 Tax_rate)
! assigns the contents of Price[23], plus tax, to Total[23]

Res_array = Arraystat(Total, 40)
! get a result array of statistics about Total

If the value for the array index is not an integer, the value is rounded to the nearest integer.


Scalar matrix variables

A scalar matrix variable is like a scalar array except that it is doubly indexed. It can be thought of as a rectangular array, the first index denoting a row, and the second index denoting a column. An example of using scalar matrix variables:

My_matrix[21,31] = 98.6
! assigns 98.6 to the variable in row 21, column 31


Set variables

A set variable stores a collection of two or more elements, in such a way that each element can be accessed with an integer index. The elements can be any of the following types: scalar, scalar range, string, scalar array, or scalar matrix. Sets are not allowed themselves to be elements of a set. Frequently, strings are stored into all the elements of a set, making the set functionally equivalent to an array of strings.

Examples of using set variables

My_set[1] = My_matrix
My_set[4] = 1.2:3.92
My_set[17] = "... With eyes severe and beard of formal cut,"
My_set[18] = "Full of wise saws and modern instances;"


Expressions and operators

Anything that has a value is an expression. In the ChemStation macro language, expressions can have the following kinds of values: scalar, scalar range, string, scalar array, scalar matrix, set, or logical (integer). Literals and variables are the simplest examples of expressions. More complicated expressions can be formed by using operators and functions.

Examples of expressions

5 ! scalar expressions
Sum
2 LOG(3.142)
(Sum <0) AND (Checking =1) ! logical expression
"The cat" " came back." ! string expression

5.682e-12 ! literals
0
39.9999
"It was a dark and stormy night ..."
2.13:47.95

The operators of the ChemStation macro language are:

- * / : > >= < <= = NOT AND OR () []


Declaration statements

A declaration names or reserves storage for a variable, parameter, or macro as shown in the following examples:

NAME My_Macro
! declares a macro
PARAMETER Amt, Size DEFAULT 0, Result BYNAME defaultRsltVar
! declares three formal parameters: Amt, Size, and Result

LOCAL Tax_rate, My_array, My_matrix, My_set
! declares variables, makes them local, and gives them names

DIM my_array, 125
! reserves storage for 125 scalars
DIM my_matrix, 30, 40
! reserves storage for 1200 scalars
Sdim my_set, 10
! reserves storage for 10 elements


Control statements

Control statements direct the flow of execution of other statements. They determine which statements of a macro will be executed and how many times. Control statements allow a macro to perform differently, depending on the values of variables and parameters at the time of execution. Some control statements terminate the execution of a macro.

Examples of control statements

! IF-THEN-ELSE-ENDIF statement for conditional execution
!
IF discriminant >= THEN
num_real_solutions = 2
ELSE
IF discriminant = 0 THEN
num_real_solutions = 1
ELSE
num_real_solutions = 0
ENDIF
ENDIF

! WHILE loop, including index initialization
! It prints the elements indexed from 1 to 5.
!
index = 1
WHILE index <6
PRINT #1, my_set[index]
index = index 1
ENDWHILE
! handle_error is a call to make if an error occurs
!
ON_ERROR handle_error
! each statement terminates execution
!
RETURN
REMOVE This_macro


Call statements

A call is a request for the execution of an operation. Calls can be entered on a command line or placed in a macro. Many calls consist simply of the name of a ChemStation command followed by a list of any needed parameters separated by commas. Lists of parameters in calls to functions must be enclosed in parentheses.

Examples of calls

INITTHRESH 10 ! a call to a command

PRINT "The print command is " , "printing two strings."
! a call to a command with two parameters

OPEN "C:\MSDchem\temp" FOR OUTPUT AS #1
! opens a file and makes #1 a synonym for the filename

! If either of the next two calls is entered on a command line,
! the CP will write the absolute value, 32, on the message line.
! Neither call results in any output at all if executed in a macro.

abs(-32)
=abs(-32)
result = eqstr("AbC", "abC")

! assignment and function call.
! result gets value of 1 because the strings are considered equal
! nested function calls, on the right side of the assignment.

! Computes a third power.

ThirdPowerOfN = EXP(3*ln(N))
Date_string$ = DATE$()

The macro in which a given call appears is termed the caller. If a call is entered on the command line, the CP may be viewed as the caller. The callee is the operation that the call requests.


Parameters

Parameters are variables or values used to pass data between a caller and its callee. You type in the appropriate parameters if you call a command or macro from the command line. Macros that call other macros pass parameters as part of the call to the macro as shown in the following example.

! This is a macro named CallER.
!
NAME CallER
! this macro makes a call to CallEE
! the parameter "Hello" is passed to the parameter String$
! when the call to CallEE is executed.
! CallEE then prints "Hello!" on the message line.
!
CallEE "Hello!"
RETURN

! This is a macro named CallEE.
!
NAME CallEE
PARAMETER String$ ! String$ is a formal parameter
PRINT String$ ! prints the value in String$ on the message line
RETURN

A parameter can be passed to a macro in two very different ways: by value or by name. A parameter is usually passed by value if it is only needed for sending data in one direction: from the caller to the callee. Parameters are passed by name when it is necessary for the callee to assign a value to the actual parameter and for the caller to have access to this value after the call has executed. The following example shows the declaration of value and name parameters:

! declares three formal parameters: Amt, Size, and
! Result. Amt and Size are value parameters.
! Result is a byname parameter
!
PARAMETER Amt, Size DEFAULT 0, Result BYNAME defaultRsltVar

See Also

Chapter 4, More About ChemStation Macros


Chapter 3 -- An Example Macro

This chapter presents and explains each line of a simple macro program to illustrate some of the concepts and commands commonly used in ChemStation macros.

The macro

The explanation


The macro

The example macro in this chapter serves to illustrate some general features of the ChemStation macro language. If you are new to writing macros, you might want to type the macro into a Notepad window, save it to a file, load it into Data Analysis, and execute it. For more information on editing, loading, and running macros, see Chapter 1.

What this macro does is display a dialog box to collect user input. The box has several fields for text information such as Name, Title, and Organization. The fields have defaults displayed, but the user has the option of changing these defaults.

When the user clicks the Save pushbutton, the information from the text fields on the dialog box is saved to a file, then displayed in a Notepad window. From Notepad, the user can edit the information, add to it, and/or save it under a new file name.

The macro presented in this chapter illustrates how to assign values to variables and to use the value of a system variable to make decisions in the macro. The macro also illustrates the use of the following ChemStation commands and the useful Sdim macro:

  • NAME

  • PARAMETER

  • LOCAL

  • INPUT6

  • IF-ENDIF

  • OPEN

  • WHILE-ENDWHILE

  • PRINT

  • CLOSE

  • RETURN

Note The line numbers displayed in this example are included for reference only. If you type in this example, do not enter the line numbers!!! Line numbers are not allowed in macros and will generate errors when the macro file is loaded.

1 ! A macro for a Data Analysis command processor.
2 ! This macro demonstrates the use of the command
3 ! INPUT6 to accept up to six character strings from the
4 ! user. The line numbers are not part of the macro
5 ! and appear only for easy reference to the example.
6 NAME Get_Address
7 PARAMETER prompt$ DEFAULT "Enter up to 5 lines"
8 LOCAL label, button, addr, index, filename$
9 Sdim label,5
10 Sdim button,2
11 Sdim addr,5
12 label[1] = "Name"
13 label[2] = "Title"
14 label[3] = "Organization"
15 label[4] = "Street Address"
16 label[5] = "City, State, Zip"
17 addr[1] = "Dr. Jean C. Doe"
18 addr[2] = "Laboratory Supervisor"
19 ! addr[2] = "Laboratory Manager"
20 addr[3] = "Ident-Rite Analytical Laboratories, Inc."
21 addr[4] = "10001 Industrial Avenue"
22 addr[5] = "Wichita, CA 92001"
23 button[1] = "Save"
24 button[2] = "Cancel"
25 INPUT6 1, 5, prompt$, label, button, addr
26 IF _Button = 1 ! if user pushed the Save button
27 ! Create a file to write the strings to
!
28 filename$ = _EXEPATH$ "addrfile.txt"
29 OPEN filename$ FOR OUTPUT AS #1
30 index = 1
31 WHILE index <= 5
32 PRINT #1, addr[index]
33 index = index 1
34 ENDWHILE
35 CLOSE #1
36 ! Display the contents of this file.
37 ! ViewFile is a system macro defined
38 ! in Data Analysis CP's.
!
39 ViewFile filename$
40 ENDIF
41 RETURN


The explanation

Lines 1-5

! A Macro for a Data Analysis command processor.
! This macro demonstrates the use of the command
! INPUT6 to accept up to six character strings from the
! user. The line numbers are not part of the macro
! and appear only for easy reference to the example.

These five lines are comments. Comments are vital to anyone who wants to use, debug, or modify the macro, or copy a portion of it for use in another macro.

The executable part of this example macro begins with the declaration statement:

Line 6

NAME Get_Address

When the macro is loaded from the file, the declaration above has a twofold effect. It reserves a location in the main memory of the computer in which to store the macro, and it associates that location with the name Get_Address by making an entry in a table. The declaration makes it possible for a command processor to respond appropriately to a call to Get_Address. When a call occurs, the CP will determine the location of the macro by looking the name up in the table, and it will then retrieve, interpret, and execute the instructions.

Other declarations have similar effects. They make it possible to access parameters and variables by name. Unlike the declaration in Line 6 which has an effect when the macro is loaded into memory, most declarations are executed when the macro is called.

Line 7

PARAMETER prompt$ DEFAULT "Enter up to 5 lines"

This line declares a value parameter for the macro. The parameter is the prompt that will appear in the dialog box the macro displays on the screen. The keyword DEFAULT is used here to signal that a default value for the parameter is being included in the declaration. A default value is given so that the parameter will have a reasonable value, even if the caller does not specify one. If the call to the macro is:

Get_Address

the prompt in the dialog box is:

Enter up to 5 lines

If the call to the macro is:

Get_Address "Tell me about yourself"

then the prompt in the dialog box is:

Tell me about yourself

Line 8

LOCAL label, button, addr, index, filename$

This statement creates some local variables and gives each variable a name. The variables created are label, button, addr, index, and filename$.

Lines 9-11

Sdim label,5
Sdim button,2
Sdim addr,5

These lines establish set variables. For example Sdim label,5 makes room to store 5 elements in the variable named label and arranges for each element to be individually accessible by giving its index. Scalar arrays and scalar matrices are dimensioned in a similar manner, except the DIM command is used, and two size arguments have to be listed if the object being dimensioned is a matrix.

Lines 12-16

label[1] = "Name"
label[2] = "Title"
label[3] = "Organization"
label[4] = "Street Address"
label[5] = "City, State, Zip"

These are examples of assignment statements. Each statement gives a value to one element of the variable called label. The elements are label[1], label[2], and so on. The values assigned are the strings "Name", "Title", "Organization","Street Address", and "City, State, Zip". The strings are used to label the fields in the dialog box that the macro displays on the screen.

Lines 17-22

addr[1] = "Dr. Jean C. Doe"
addr[2] = "Laboratory Supervisor"
! addr[2] = "Laboratory Manager"
addr[3] = "Ident-Rite Analytical Laboratories, Inc."
addr[4] = "10001 Industrial Avenue"
addr[5] = "Wichita, CA 92001"

The statements assign values to the elements of addr. Each of these elements will appear in a field of the dialog box that the macro displays on the screen.

Notice that Line 19 has been turned into a comment by preceding it with an exclamation point. This is a convenient way to keep an instruction from being executed, without having to remove it completely. If you decide that Line 19 should be executed instead of Line 18, all you do is change the position of the (!) and reload the macro.

Lines 23-24

button[1] = "Save"
button[2] = "Cancel"

These lines assign values to the elements of button. These values are labels that appear on control buttons that the macro displays on the screen.

Line 25

INPUT6 1, 5, prompt$, label, button, addr

This line is a call to the command INPUT6, which displays a dialog box on the screen. The panel contains edit boxes and buttons. Parameters are used in the call to send data from the macro to the INPUT6 command and back to the macro as described below.

Parameter | Meaning
1 | Signals that a dialog box with edit boxes is desired
5 | Tells how many edit boxes
prompt$ | The caption for the dialog box. It is a parameter of the macro, being passed through the macro as a parameter to INPUT6
label | The set of labels for the edit boxes
button | The set of labels for the pushbuttons at the bottom of the dialog box
addr | The set of values to be displayed in the edit boxes and possibly modified by the user.

When the dialog box shown below is displayed on the screen, the user sees one element of addr in each edit box and can edit these values. A change to the contents of a box has the effect of assigning a new value to the corresponding element of addr. These new values remain after the call to INPUT6 has terminated. This works because addr is passed by name. All the other parameters are passed by value.

The user clicks the mouse on either the Save or the Cancel button to close the dialog box. When a button is clicked, INPUT6 assigns the button number to the global variable _Button, and then the call to INPUT6 ends.

Line 26

IF _Button = 1 ! if user pushed the Save button

This line is an example of a control statement. It tells the command processor to execute the instructions between Line 26 and the matching ENDIF on Line 40 only if the value of _Button equals 1.

It is very common for ChemStation commands to make assignments to one or more global variables. Macros and commands that execute later can examine these variables and tailor their actions based on the values found. The IF statement above is an example of how a macro can determine what lines will be executed based on the value of a variable (_Button in this case). See Chapter 4 for more information on using global variables in your macros.

Line 27

! Create a file to write the strings to

Another comment.

Line 28

filename$ = _ExePath$ "addrfile.txt"

This line stores a string to the variable named filename$. The expression on the right side of the equal sign is an example of a string-valued expression. _ExePath$ is a system global variable whose value represents the path to a directory. The expression is a string sum, the concatenation of "addrfile.txt" to the end of the value of _ExePath$. For example, if the value of _ExePath$ is c:\MSDchem\msexe\ then filename$ receives the value c:\MSDchem\msexe\addrfile.txt.

Line 29

OPEN filename$ FOR OUTPUT AS #1

This statement opens a file for the purpose of writing data to it. The file is opened with the name stored in the variable filename$. The statement also establishes the descriptor #1 as a synonym for the name of the file.

Line 30

index = 1

This line initializes the variable index, used in theWHILE loop below.

Lines 31-34

WHILE index <=5
PRINT #1, addr[index]
index = index 1
ENDWHILE

These lines define a control statement, known as a WHILE loop. The series of statements between the WHILE line and the ENDWHILE line will be executed over and over, as long as the condition in the WHILE line remains true. The effect of lines 31 to 34 is to write all five elements of addr to the file opened in Line 29.

Line 35

CLOSE #1

This statement closes the file.

Line 39

ViewFile filename$

This statement calls the macro ViewFile. The ViewFile macro is defined in Data Analysis. It copies the contents of the file into a Notepad window so that the user can see that the changes made in the dialog box really took effect.

Line 41

RETURN

The RETURN statement is used to signal the end of the current macro. If some other macro has called the macro Get_Address above, the command processor will interpret the RETURN statement as an order to terminate the execution of Get_Address and to resume executing the calling macro at the next instruction after the call.


Chapter 4 -- More About ChemStation Macros

This chapter discusses various aspects of the ChemStation macro language in great detail.

Loading, calling, and removing macros

Naming macros, parameters, and variables

Using statements

Using parameters

Using control statements

Using logical expressions

Operator precedence


Loading, calling, and removing macros

It is customary to store collections of related macros together in one file. The name you give to the file should be self-documenting, so that it calls to mind the purpose of the macros contained in it.

Any command processor can execute macros. There is a separate CP within each of these ChemStation applications: Top Level, Tune, Acquisition, and Data Analysis. You can load and execute a macro from the command line of a ChemStation application program. If the command line is not visible at the bottom of the application window, select Cmdline on from the Control menu of that application.

See Also

Loading macros

Nested macro calls

Memory considerations

Caveats to proper execution


Loading macros

The syntax of the MACRO command is:

MACRO ["macro filename"] [,GO]

If GO is specified, the last macro in the file will be executed immediately after the file is loaded.

If a file name is not specified with the call, a dialog box will prompt you for it. If a file name is specified without a path, the path is assumed to be the contents of the global variable _ExePath$. If the extension of the file name is not specfied, it will be assumed to be ".MAC".

If you are calling the MACRO command repeatedly from a command line, you may want to use the F3 function key. It recalls the last command you typed in.

If the macro you are loading contains a line longer than approximately 132 characters, an error results and the macro file will not be loaded (see Using statements later in this chapter).

Examples

MACRO "C:\MSDchem\msexe\spcl_rpt.txt",GO
! loads all macros in the file
! C:\MSDchem\msexe\spcl_rpt.txt and executes
! the last one

MACRO "test_rpt"
! loads all macros in the file test_rpt.mac
! from the directory
! specified by the value of _ExePath$


Nested macro calls

One macro, while it is executing, can load a file containing other macros and execute any of them, as illustrated by the following example:

! start first file
! The name of this file is hello_1.mac
! It contains macros to be loaded and executed
! by the macro named Greeting
!
NAME Regular_hello
PRINT "Hello!"
RETURN

NAME Big_hello
PRINT "HELLO!"
RETURN

! end first file

! start second file

! The name of this file is hello_2.mac
! It contains the macro named Greeting.
!
NAME Greeting
PARAMETER all_caps DEFAULT 0
MACRO "C:\MSDchem\test_macs\hello_1" ! load the macro file
IF all_caps = 0 THEN
Regular_hello
ELSE
Big_hello
ENDIF
RETURN

! end second file

If you use a command line to load and execute the macro named Greeting above, then Greeting will load the macros in hello_1.mac, and will execute one of them, based on the value of all_caps.

Macros called by other macros must end with a RETURN or REMOVE statement. If the RETURN or REMOVE is left out of the called macro, the instructions in the caller that come after the call will not be executed. Get in the habit of ending every macro with a RETURN or REMOVE statement. It is easy to do and will make the distinction between macros stored in the same file more obvious.

Chains of macro calls can extend through many levels. MacroA can call macroB, which may call macroC, and so on. There is no specific limit on the length of these chains. System resources will not support chains of calls that are too long, but exactly how long they can be depends on many factors.


Memory considerations

The amount of memory available for loading macros is limited. You should arrange to remove macros when they are not needed. Many large system macros are written so that a REMOVE is always the last instruction executed. The large macros can be loaded and executed when needed by small macros that remain in memory.

The syntax of the REMOVE command is

REMOVE [macro name / variable name] [,...]

Keep in mind this difference between the MACRO and REMOVE commands: The REMOVE command requires the name of the macro you want to erase, while the MACRO command requires the name of the file that contains the macro.


Caveats to proper execution

The names assigned to macros can sometimes cause problems with the proper execution of the macro as described below. Use the following guidelines for naming and calling macros:

  • Don't give a macro the same name as an existing command or macro

  • Don't call a macro or command by using an abbreviation of its name

You can examine lists of the macro and variable names already being used in a command processor. Just type REMOVE on the command line. Use the panel that comes up to browse through the lists or to print a copy. Similarly, you can check command and function names by typing COMMANDS. The lists are different for each command processor, although some items will appear on more that one list. The commands and functions that are available in all programs are listed as the Common commands in online help.

Duplicate names

Sometimes it is difficult to avoid giving two macros the same name. For example, when you create a macro you need to test it. Usually you revise and test it numerous times. It is inconvenient to have to make up a new name for each version.

The question arises, "If I load a macro with the same name as a previously loaded macro, which one will execute when I make a call?" The answer is that if two or more macros with the same name are loaded, from any number of files, only one of them is callable. The macro that will execute when the name is used in a call statement is the first one in the last file loaded. The other macros will be inaccessible (removed), as though removed by the REMOVE command and would have to be reloaded in order to be used. If one file containing two or more macros with the same name is loaded with the MACRO command, only the first macro with the duplicate name will be callable. If two macros with the same name are loaded, from separate files, the callable macro will be the one in the last file loaded.

For example, if a file is created containing the following macros:

NAME Duplicate
ALERT "This is the first Duplicate.", 3
RETURN

NAME Duplicate
ALERT "This is the second Duplicate.", 3
RETURN

and if a call is made to Duplicate after loading the file, then the ALERT panel that is drawn on the screen will have the string "This is the first Duplicate." printed in it. But if the first of the two macros is placed in file1, the second in file2 and file1 is loaded before file2; then a call to Duplicate contains the message "This is the second Duplicate."

CAUTION

This kind of effect is not limited to user macros. An important system macro can be removed if you load a different macro with the same name. Also, a macro will mask a command that has the same name. The command is not erased, but it can no longer be called because the macro will be executed instead. When this situation arises, the ChemStation may perform in unexpected ways, since calls to commands and macros are responsible for all system operations.

The following macro would mask the VARLOCK command:

! Masking Test -- test only in an application that is
! not currently being used for anything. Remove the macro
! after the test or exit the application and restart it.
!
NAME Varlock
PRINT "This is a message from the macro named Varlock."
RETURN

VARLOCK is the name of a ChemStation command used to turn variable locking on and off. Normally, you execute it by typing VARLOCK 1 to turn locking on, or VARLOCK 0 to turn locking off. The message "Variable locking is on" or "Variable locking is off" prints on the message line when you execute the command.

After the macro above is loaded, an attempt to execute the VARLOCK command results only in the execution of the macro, which prints, "This is a message from the macro named Varlock." on the message line. The command processor now interprets VARLOCK 1 as a call to the macro, even though a parameter is included in the call, and the macro has no declaration of a parameter.

A command that is masked by a macro will be unmasked if the macro is erased with the REMOVE command. So typing REMOVE Varlock on the command line after loading the macro above unmasks the VARLOCK command.

The following example shows how a call to a function can result in the wrong operation being executed because the function call is interpreted as an abbreviation to a macro call (see Abbreviations below). The lesson from this example is to use care in naming your macros so that they don't conflict with names of system commands, macros, and functions!

! Test 2
NAME Abs_SPOOF
PRINT "This is the Abs_SPOOF macro."
RETURN

! Test 3
NAME Call_abs
PARAMETER number
ABS(number)
RETURN

After Abs_SPOOF is loaded, typing abs(-32) on the command line, which ordinarily would cause 32 (the absolute value of -32) to be written on the message line, results instead in a call to Abs_SPOOF. This happens because the name of the ABS function is an abbreviation of abs_SPOOF, and when a line starts with a name, the CP gives precedence to an abbreviation of a macro name over the full name of a function. Useful function calls in macros never appear at the beginning of a line. The macro Call_abs has the same effect. Calling it causes abs_SPOOF to be called. You can avoid this problem from the command line by typing =ABS(-32), instead of ABS(-32).

Abbreviations

Past revisions of the ChemStation allowed you to make calls to macros and commands by abbreviating their names with two or more initial characters. For example, a macro called Greeting could be executed by typing gr on a command line. Abbreviations still work in G1034C, but their use is discouraged. Especially from within macros, use the full command and macro names to eliminate confusion about what command or macro is actually being called and to assure that the correct one is executed. Get out of the habit of using abbreviations now, since future revisions of the ChemStation may not support them.

A command processor maintains separate lists of the names of its currently defined macros, commands, variables, and functions. Each list is lexicographically ordered (based on ASCII, the American Standard Code for Information Interchange).

When the CP interprets a line in a macro that begins with a name, it will first check to see if the line is an assignment statement by looking for an equal sign after the name. If the equal sign is not found, the CP will next try to determine if the line is a call to a macro or command. It does this by searching the lists described above for a matching name. The lists are searched in the following order:

  • macro list for an exact match

  • command list for an exact match

  • macro list for a matching abbreviation of at least two characters

  • command list for a matching abbreviation of at least two characters

If a match is found, the search stops, and the CP attempts to execute the matching macro or command. If no match is found, the CP attempts to interpret the line as an expression and the name at the beginning of the line may be interpreted as a variable or function name.

Due to the nature of this search process, the results of calling a macro or command with an abbreviation are unpredictable. An abbreviation that works as desired today may not work tomorrow because someone has loaded a new macro. Abbreviating Greeting as gr stops working when macros called Gr or Greetb are loaded. The same kinds of problems arise with the use of abbreviated command names.

The following example shows how the wrong operation may be executed when using an abbreviation:

! Abbreviation Test 1
! If you run this test, be sure that the Varlock macro
! listed above is not loaded too.
!
NAME VARL
PRINT "This is a message from the macro named VARL."
RETURN

If VARL is loaded, calls using the names va, var and varl will execute VARL, even though they would have caused the VARLOCK command to execute before. On the other hand, calls using the names varlo, varloc, and varlock will still execute the VARLOCK command.


Naming macros, parameters, and variables

Names, also called identifiers, are very important in most kinds of programming. The names that users give to objects such as files, macros, variables, and parameters should be simple, readable, easy to remember, and should make clear what the objects are being used for. The names should be self-documenting as in the following examples.

Sum

Peak_Value

X_Coord

Get_Address

Compound_Name$

Index

  • Macro names must start with a letter or underscore (_) and consist of only letters, digits, underscores, and an optional trailing dollar sign ($).

  • The rule for forming the names of variables or parameters is the same; the dollar sign is not allowed unless it is the last character.

  • All variables or parameters whose names begin with an underscore are assumed to be reserved variables. They cannot be assigned a value unless variable locking is turned off using the VARLOCK command.

  • The names of string variables are not required to end with a dollar sign, as was the case in earlier revisions. Using this convention will however make it easier for the readers of macros to notice which names refer to strings.

See Also

Length restrictions

Case insensitivity

Duplicate names


Length restrictions

Limit the names of macros, parameters, and variables to 15 characters. A command processor will not assign a longer name. If a declared name has more than 15 characters, the CP will just assign the first 15, provided that the resulting name has no illegal characters. For example, a command processor would put a 1 on the message line if it executed these lines:

LOCAL start0123456789x, start0123456789y
start0123456789x = 0
start0123456789y = 1
PRINT val$(start0123456789x)

because both identifiers would be start0123456789, as far as the CP was concerned.


Case insensitivity

Command processors are case insensitive in their treatment of the names of macros, commands, functions, variables, and parameters. This means that CPs do not make a distinction between upper and lower case letters in such identifiers. Macros with declared names GET_ADDRESS, get_address, or Get_AddREss all have exactly the same name, as far as a CP is concerned.


Duplicate names

The problems that result from using the same name for two macros or with giving a macro the same name as a command or function were discussed in Loading, calling, and removing macros earlier in this chapter. Problems with duplicate names for variables are discussed in Using variables later in this chapter. As a general rule, keep the following caveats in mind when naming macros and variables:

  • An important system macro can be removed if someone loads a different macro with the same name.

  • A macro will mask a command that has the same name and may cause serious and widespread execution errors.

  • If a global variable used in a macro has the same name as an important system variable, the two variables are the same. Any change made to that variable by the macro or macros called by that macro could lead to unexpected results, if the ChemStation software accesses a bogus value stored in a system variable.


Using statements

Generally, all statements are required to be on a line by themselves. A comment following an executable statement on the same line can be viewed as a minor exception. Control statements seem to be an exception, but are really not. Control statements are implemented as calls to primitive commands such as IF, ENDIF, WHILE, and ENDWHILE, which are required to be placed on a line by themselves.

In any case, a command processor can misinterpret or fail to execute a statement that is not entered clearly and properly on a line. Lines in macros that are too long cannot be executed and should not exceed 132 characters.

Extra space or tab characters placed in statements have no effect on their interpretation, as long as the white space does not occur inside of names or literals. For example,

43 5

is not the same thing as

435.

A name such as

my_array

cannot be written as

my _array.

Use spacing and indentation to make a macro more readable. Indent all statements nested inside control statements for clarity.

White space is necessary in some instances to allow the command processor to recognize the boundaries between symbols. For example,

a>2 OR 2>c

may not be written as

a>2OR2>c

because it makes the logical connective OR difficult to recognize. (A CP will ignore the part of the second expression after a>2.)

See Also

Comment statements

Declaration statements

Assignment statements


Comment statements

A comment statement begins with an unquoted exclamation point (!) and may occur in any line of a macro. The exclamation point and all the characters following it on the same line are ignored by the command processor. Comments are vital to anyone who wants to learn how to use a macro correctly, to diagnose a problem with it, to modify it, or to copy a piece of it into a new macro. Comments are useful even to the author of the macro, because what is clear and obvious at the time you are writing the macro may be much less obvious later on if you need to modify or enhance the macro.

Every macro should begin with a comment that explains what the macro is designed to do and describes any input or conditions required for its correct operation. Include comments to explain sections of the macro that are complex, obscure, or difficult to understand.

When testing or editing macros, it is often useful to "comment out" lines which would otherwise be executed, by inserting exclamation points in front of them. For example, the following line from the example macro in Chapter 3 has been commented out.

! addr[2] = "Laboratory Manager"


Declaration statements

The form for a macro declaration is:

NAME identifier

The first executable statement in a macro must be such a declaration. Nesting of macro declarations is not supported. For example, if the following lines are placed in a file and loaded with the MACRO command, the command processor doing the loading will interpret the second NAME statement as a signal not only of the beginning of Inner_macro, but also the end of Outer_macro. When Outer_macro is called, only the first ALERT command will be executed.

! This macro has an ERROR
!
NAME Outer_macro
ALERT "This is before the inner macro!",3

NAME Inner_macro ! ERROR
ALERT "Hello, I am the inner macro!",3
RETURN

Inner_macro
ALERT "This is after the inner macro!", 3
RETURN


Assignment statements

An assignment statement has the form:

variable designation = expression

The variable designation can be the name of any variable or parameter. It can be an element selected from a scalar array, scalar matrix, or set. For example, a macro could start out like this:

NAME my_macro
LOCAL my_array, my_scalar, my_other_array
DIM my_array, 2
DIM my_other_array, 2
my_array[1] = 27.3
my_array[2] = 39.112 * my_array[1] exp(14)
my_other_array = my_array
my_scalar = my_array[2]

There is no restriction on the the expression on the right side of an assignment statement, as long as its value is one of the following types: scalar, string, scalar range, scalar array, scalar matrix, or set. A value of one data type can be assigned to a variable, and then later a value of a different data type can be assigned to the same variable. The command processor is able to, in effect, reallocate storage for the variable, and thus automatically convert its data type when the assignment is executed. Since changing data types in this way can be confusing to people who try to read a macro, use each variable for just one data type whenever possible.


Using variables

Using variables

Global variables

System global variables

Local variables

Scalars

Scalar ranges

Strings

Scalar arrays and scalar matrices

Sets


Global variables

Variables not included in a LOCAL declaration before they are dimensioned or assigned a value become global variables by default.

Caution

If a global variable used in a macro has the same name as an important system variable, the two variables are the same. Any change made to that variable by the macro or macros called by that macro could lead to unexpected results, if the ChemStation software accesses a bogus value stored in a system variable.

Use local variables in your macros whenever possible. The names of any global variables should be chosen with care as described in System global variables.

The following example shows the different ways to declare global variables. Global variables are, in effect, automatically declared when assigned a value, if they do not exist already. Also, global scalar arrays, scalar matrices, and sets can be declared by being dimensioned.

NAME Var_test

LOCAL local_var, local_array

DIM local_array, 12
DIM global_array, 12 ! declares global_array

local_var = 10 * 10.00
local_array[3] = 14.312

global_var = 20 ! declares global_var
global_array[12] = -8.910
global_arr2 = global_array ! declares global_arr2
RETURN

Differences in the scope of a variable affect whether it can be accessed. If you use a command line to load a file containing the macro above, execute Var_test, and then type local_var on the command line. The error message 'Undefined symbol: local_var' is printed on the message line. All local variables are removed by the CP after the macro in which they are declared finishes executing. If you type global_var and global_array[12] the values 20 and -8.91 are printed on the message line, because the following lines in the macro had the effect of declaring global variables, which exist independently of the macro.

DIM global_array, 12
global_var=20

If you type global_arr2[12] the value -8.91 is displayed again, because the line

global_arr2 = global_array

had the effect of making global_arr2 a global variable.


System global variables

Many ChemStation commands assign values to one or more global variables as a way of communicating results or other information. Macros and commands that execute later can examine these variables and tailor their actions based on the values found.

User macros need to retrieve values of such system variables in order to perform many desired tasks. Also, many of the variables will be changed by user macros, if only because the commands called by the macros change them.

Caution

When writing macros, be sure you understand the meanings of important system variables that your macro uses. These variables may contain critical information about the state of the equipment or the results of an analysis. Take extra care if you intend for your macro to directly change the values of any system variables, as doing so might put the equipment out of adjustment or even damage it.

Here is a checklist to go through before using a macro:

  1. Make a list of all the system variables your macro might change, either directly or indirectly. To see what variables it may change indirectly, follow all chains of macro calls that originate in your macro. A chain of calls is what occurs when macroA calls macroB, which calls macroC, and so on. Read your macro and all the macros in the call chains. Look for direct changes made to system variables. Look for all commands that are called and use online help for these commands to tell what variables they set.

  2. Read through the appropriate subtopics of the section titled Variables in online help to make sure that you know which applications and commands use the system variables that your macro can change. Also, read the description of these commands online to determine how the variables set in your macro might affect their operation.

  3. To see a list of the global variables and macros currently defined in a command processor, you can type REMOVE on the command line. Variables and macros you have created will be listed in addition to those which are a standard part of the ChemStation software. You can examine the values of the simple variables by clicking the mouse on their names.


Local variables

Whenever possible, use local variables instead of global variables. Global variables tend to waste the memory of the computer, because they are permanent.

Caution

If a global variable used in a macro has the same name as an important system variable, the two variables are the same. Any change made to that variable by the macro or macros called by that macro could lead to unexpected results, if the ChemStation software accesses a bogus value stored in a system variable.

On the other hand, when a local variable is given the same name as a system variable, the system variable is protected, by being masked.

The form of the declaration of local variables is:

LOCAL variable name [, variable name] [,...]

Generally, only the macro that declares a local variable is able to access it. The only exception to this is that a caller can make a local variable accessible to a callee, by passing the variable as a parameter, either by value or by name. The local variables of a callee are never accessible to its caller.

A list of variables in a LOCAL declaration may not be continued onto a new line, but there can be several LOCAL declarations in a macro as shown below.

LOCAL label, button, addr
LOCAL index, filename

Local variables are initialized as follows:

  • If the identifier ends with a $, the variable is initialized to an empty string.

  • If the identifier ends with anything else, the variable is initialized to 0.

You can place a LOCAL declaration on any line of a macro, provided that each local variable is declared before it is used. Local scalar array, scalar matrix, and set variables must be declared in a LOCAL statement before they are dimensioned with the DIM command or the Sdim macro and before values are assigned to them or their elements. Variables dimensioned or assigned values before they are declared local will become global by default.

Ordinarily, good programming style dictates that you place all LOCAL statements near the beginning of a macro, before any assignment, control, or call statements. You should also place all DIM and Sdim statements for local variables immediately after the last LOCAL statement, when possible. Sometimes a macro will need to do a calculation to determine the number of elements needed in an array, matrix, or set, and naturally the instructions that perform that calculation would have to come before the dimensioning of the object.

If a macro declares a local variable with the same name as a global variable, the two variables are different and the local variable masks the global variable. In other words, when the name is used in the macro, the name references the local variable and not the global variable. The effect of this kind of masking is generally beneficial. The programmer is free to choose a convenient name for a local variable, without having to be concerned about affecting an important system variable.


Scalars

Scalars are used to represent real numbers. Scalar literals may be written in decimal or scientific notation. Leading - or signs are allowed, both in mantissas and exponents. Integers may be written with or without a decimal point. Here are some examples of correctly expressed scalar literals:

5

5.

1743.245

1.743245e3

-2.931

14

220

2.2E2

-.345

-345E-3

Scalars may be combined in expressions with with the basic arithmetic operators: (addition), - (subtraction), * (multiplication), and / (division); with parentheses; and with all the ChemStation real-valued functions. Scalars can also be compared with the relational operators > (greater than), < (less than), >= (greater than or equal), <=(less than or equal), <> (not equal), and = (equal). For more information, see Using logical expressions and Operator precedence.


Scalar ranges

A scalar range variable is used to represent the set of numbers ranging in value from a lower bound to an upper bound. The bounds themselves are part of the range.

The form for specifying a scalar range value is:

expression:expression

The only restriction on the expressions is that they be real-valued. For example,

range1 = small/2:abs(est)1

is a valid assignment of a range value. Ranges may be written by placing the bounds in either order around the colon. The range will have the same value, lower bound, and upper bound regardless of which order is used.

The operator can be used to combine two ranges. Range1 range2 is the smallest range containing both range1 and range2. In particular, if range1 has lower bound L1 and upper bound U1; and range2 has lower bound L2 and upper bound U2; then the lower bound of range1 range2 is the minimum of L1 and L2, and the upper bound of range1 range2 is the maximum of U1 and U2.

Scalar operator)ranges can also be compared with the relational operators: (not equal), and = (equal). Two scalar ranges are equal if their lower bounds are equal and their upper bounds are equal, otherwise they are not equal. Examples of scalar ranges:

(4.124:8.4) (5.7:9.2) = 4.124:9.2

4.124:9.2 = (8.4:4.124) (5.7:9.2)

(1:2) (3:5) = 5:1

(1:2) (3:5) <>1:6

The parentheses in the expressions above are required because the () operator has higher precedence than the (:) operator. For more information, see Operator precedence at the end of this chapter.


Strings

Quotes around string literals are required. In previous versions of the MS ChemStation, the quotes were optional.

String literals can be written in two ways:

  • Form A: "X" double-quote X double-quote

  • Form B: 'X' opening single-quote X closing single-quote

Within a form A string literal, single quotes have no special meaning but two double quotes in a row mean an imbedded double quote.

Form A Examples

! Prints Hello
!
phrase1$ = "Hello"
PRINT phrase1$

! Prints "Hello"
!
phrase2$ = """Hello"""
PRINT phrase2$

! Prints "Hello," he said, "I must be going."
!phrase3$ = """Hello,"" he said, ""I must be going."""
PRINT phrase3$

Within a form B string literal, double quotes have no special meaning but single quotes mean nested quoted strings and must balance, as parentheses do. These kinds of string literals are most useful when passing a parameter that is itself text to be executed later.

Form B Examples

! First example
! Prints "hello," he said, "I must be going."
!
PRINT `"hello," he said, "I must be going."'

! Second Example
!
! Passes a parameter that is to be executed.
! The imbedded command takes a parameter that
! requires quotes.
!
NAME DoThis
PARAMETER text$
EVALUATE text$
RETURN

NAME Example
DoThis `macro `myfile',GO'
RETURN

One character substrings can be selected from a string variable with the [] operator. The [] and : operators can be used together to select an arbitrary substring from a string variable. For example, the lines:

sentence$ = "Macros are fun!"
ALERT sentence$[9], 3
PRINT sentence$[12:15]

causes an ALERT panel to be drawn on the screen with the one-character string r printed on it, and causes fun! to be printed on a message line. This kind of selection cannot be done on string literals, as shown in the following examples which do not work:

! These instructions have errors.
!
ALERT "Macros are fun!"[9], 3
PRINT "Macros are fun!"[12:15]

The operator concatenates strings. For example,

sentence$ = "Macros are fun!"
PRINT sentence$[1:11] 'a lot of ' sentence$[12:15]

prints

Macros are a lot of fun!

on a message line. Literals can be used with the operator.

Strings cannot be compared using relational operators like = or <>, but the function EQSTR( ) may be used instead. The syntax of the function is

EQSTR ("string1", "string2")

String literals used as parameters may be of form A or form B. The function will return 1 if the two strings are the same, and 0 otherwise. The function is not case-sensitive. For example,

eqstr ("ABC", 'abc')

returns 1.

There is a string literal called the empty or null string, consisting of zero characters. The empty string can be represented as:

""

The empty string can be used in a way analogous to the number 0. For example,

NAME Do_panel
PARAMETER value_known DEFAULT 0
LOCAL part1$, part2$, part3$
part1$ = "The value is "
IF value_known = 1 THEN
part2$ = ""
ELSE
part2$ = "un"
ENDIF
part3$ = "known"
ALERT part1$ part2$ part3$, 2
RETURN

will print

The value is known

or

The value is unknown

in the ALERT panel, depending on the value of the parameter value_known.


Scalar arrays and scalar matrices

Scalar arrays and scalar matrices are dimensioned with the DIM command. The form for a DIM command call is:

DIM scalar array name, positive integer

or

DIM scalar matrix name, positive integer, positive integer

The following example dimensions a scalar array variable, reserving storage for 125 scalars, indexed from 1 to 125:

DIM my_array, 125

The following declaration dimensions a scalar matrix variable, reserving storage for 1200 scalars, with first index (row index) ranging from 1 to 30, and second index (column index) ranging from 1 to 40:

DIM my_matrix, 30, 40

The size parameters in dimensioning statements are allowed to be expressions as shown in the following example. The object named size could be a variable or a parameter.

DIM my_array, 2 * size

Use the selection operator [] to access an element of an array or matrix for storage or retrieval. The following example assigns a value to one of the elements of my_array. Notice that the selection operator is used to retrieve matrix elements on the right side of the assignment and to store an array element on the left.

my_array[size4] = my_matrix[abs(t),j-2] my_matrix[i,23]

The example above also illustrates the fact that the indices used to make a selection can be an expression. Any expression is allowed as long as its value rounds to an integer within the dimensioned bounds of the array.

Scalar arrays can be added directly with the operator as shown in the following example:

z_array = x_array y_array

Scalar matrices cannot be added in this way. Use a WHILE loop to add two scalar matrices one element at a time. For more information, see Using control statements.

Arrays operator)may also be compared directly with = and as shown in the following example.

IF x_array = y_array
ALERT "They are: Equal.",3
ELSE
ALERT "They are: Not Equal.",3
ENDIF

IF x_array <>y_array
ALERT "They are: Not Equal.",3
ELSE
ALERT "They are: Equal.",3
ENDIF

Scalar matrices cannot be compared in these ways. Use a WHILE loop to compare two scalar matrices one element at a time. For more information, see Using control statements.


Sets

A set variable is established with the Sdim macro. The form for the declaration is:

Sdim set name, positive integer

Aside from the difference in the keywords, the rules for dimensioning and selecting set variables are like those for scalar arrays. For more information, see Scalar arrays and scalar matrices.

The positive integer in the Sdim statement should be greater than one. Sets of less than two elements revert to being simple variables. The selection operator cannot be used to access the element of a one-element set. For example, the Sdim statement below is technically correct, but the assignment is an error.

Sdim my_set, 1

! ERROR: This is a disallowed assignment operation
!
my_set[1] = "Hello."

However,

my_set = "Hello."

is allowed and makes my_set a simple string variable.

Unlike scalar array and scalar matrix elements, which can only be assigned scalar values, an element of a set can be assigned a value of any of the following types: scalar, scalar range, string, scalar array, scalar matrix. The assignment of a set to a set element is not allowed.

Sets are frequently used as arrays of strings, by assigning each element a string value.


Using parameters

Formal and actual parameters

Passing parameters by value or by name

Parameters and calls


Formal and actual parameters

Actual parameters are the parameters specified in a call. Formal parameters are the placeholders for actual parameters that are used in a callee. Actual parameters are often called arguments. Formal parameters are sometimes called dummy parameters. For example, the following lines from the example macro in Chapter 3 declare a macro named Get_Address that has a formal parameter named prompt$.

NAME Get_Address
PARAMETER prompt$ DEFAULT "Enter up to 5 lines"

Statements in the macro, such as:

25 INPUT6 1, 5, prompt$, label, button, addr

use the formal name, prompt$, when they refer to the parameter. Calls to the macro, such as:

Get_Address "Tell me a little about yourself."
Get_Address prompt83$
Get_Address word[4] word[29]

specify an actual parameter.


Passing parameters by value or by name

Confusion between parameters passed by value and those passed by name is one of the most common sources of error in programs. Here are typical symptoms: something is wrong with a macro that calls another macro. All the instructions in the caller and the callee have been checked and re-checked. They all seem to be perfectly correct, yet the caller is not producing the expected results. When this happens, you should look to see if a parameter is being passed by value when it should be passed by name. Remember that when you need an argument to have a different value after a call than it had before the call, it must be passed by name.

An actual parameter passed by name is required to be a variable. When the execution of a call begins, the command processor identifies this variable with the formal parameter. Then the command processor executes the instructions in the callee. Because of the identification, every reference to the formal parameter in every one of those instructions is interpreted as really being a reference to the variable. In particular, every instruction in the callee that assigns a value to the formal parameter really assigns the value to the variable. Therefore, the variable can have a different value after the call.

In contrast, a command processor evaluates an actual parameter passed by value, and stores a copy of the value in a special location in memory. The callee has access only to the copy. All the instructions executed by the callee that make changes to the formal parameter really change only the copy. When the execution of the call has ended, nothing is copied back. Even if the actual parameter was a variable, the value of the parameter is not copied back to that variable. Therefore, the variable always has the same value after the call that it had before.

One might wonder at this point if all parameters ought to be passed by name. The answer is no, because that would mean that arbitrary expressions could never be used as arguments.


Parameters and calls

If parameters are to be passed to a macro, they must all be declared in a single PARAMETER statement. The PARAMETER statement must be the first executable statement after the NAME statement. Values and variables of the following types can be passed as parameters: scalar, scalar range, string, scalar array, scalar matrix, and set. Passing elements of arrays, matrices, and sets by name is not allowed.

The form of a parameter statement is:

PARAMETER parameter list

where parameter list stands for a list of parameters separated by commas. Each element of the list must match one of the following patterns:

Pattern 1: formal parameter name

Pattern 2: formal parameter name DEFAULT expression

Pattern 3: formal parameter name BYNAME simple identifier

Use pattern 1 when you want a parameter to be passed by value, but you do not want to specify a default value. Use pattern 2 when you want a parameter to be passed by value, and you want to specify a default value. Use pattern 3 when you want a parameter to be passed by name. Pattern 3 requires you to specify a default value.

Examples of valid PARAMETER declarations:

! using patterns 3 and 1
PARAMETER my_array BYNAME z_array, length

! using patterns 3, 2, and 2 again
PARAMETER my_array BYNAME z_array, length DEFAULT 10, format DEFAULT portrait

When making calls, be sure to put arguments in the proper order. Some parameters are optional. You can omit any parameter for which a default has been provided. You may have to enter commas as placeholders so that the remaining parameters will not be misinterpreted. For example, if

NAME Calc_volume
PARAMETER height, width DEFAULT 350, depth

are the first two lines of a macro, then a correct call that leaves the width parameter out would be:

Calc_volume 89,,240

The width is assumed to be the default 350, and the height and depth are interpreted as 89 and 240. If the call is made this way:

Calc_volume 89,240

the height would be set to 89, the width to 240, and the depth parameter would be missing.

If the macro begins

NAME Calc_volumePARAMETER height, width DEFAULT 350, depth DEFAULT 240

then the following call is permissable because all the parameters after the height have defaults and all are being omitted.

Calc_volume 89

If you omit a value parameter that has no default value and the callee uses it as a scalar, the effect will be the same as if there was a default value of zero. Similarly, if the parameter is used as a string, it defaults to the empty string.

When a parameter is a scalar array, scalar matrix, or set, do not include square brackets when you place its name in a parameter declaration or a call. The brackets are the selection operator and should only be used when accessing an individual element. In the following correct example macro, brackets do not appear in the name of the formal parameter (some_array) or the default variable (xx_array).

NAME Test_A
PARAMETER some_array BYNAME xx_array
PRINT val$(some_array[4])
RETURN

Brackets are used in the third line of the above example which selects the fourth element of some_array.

In the following correct call to the above macro, brackets do not appear in the actual parameter (my_array).

Test_A my_array

Do not assume that the rule above implies that brackets never belong in a PARAMETER statement or call. The rule only applies when the data type of the parameter is scalar array, scalar matrix, or set. In the following example the formal parameter of Test_B is a scalar passed by value:

Test_B my_array[3]

The following is a valid use of brackets in a PARAMETER statement:

NAME Test_C
PARAMETER a_scalar DEFAULT my_array[3]

An actual parameter passed by name is required to be designated by a simple identifier. Although a selected element from an array, matrix, or set is a variable, it cannot be passed by name. Only the simple names of local variables, global variables, and formal parameters accessible to the caller are allowed. The same rule applies to the identifier given after the keyword BYNAME in a PARAMETER statement. If the actual parameter is not specified in the call, the command processor will assume that it is the variable referred to by that identifier.

Arguments passed by value are very unrestricted. If the caller can evaluate an expression and it is of the appropriate data type, the expression is allowed. The same rule applies to the default expression given after the keyword DEFAULT in a PARAMETER statement.

It may seem strange at first to consider that the defaults specified in the PARAMETER statement of the callee have to designate variables or expressions that the caller can access or evaluate, and that the callee does not need to be able to directly access or evaluate them. It may seem to make more sense if you think of the defaults as things that the CP will fill into blanks left in the call. They will have the the same status as any actual parameter. The callee's access to them will be arranged by the identification of the formal and actual parameter at the time of the call. If you intend for a macro to perform a general task and to be called at various times by many different macros, make sure that the defaults will work for all callers that rely on them.

The following sample macros illustrate the difference between a parameter called by name and one called by value. To run this example, load it, and execute Caller.

NAME PassByNameTest
PARAMETER a DEFAULT "", b BYNAME zzz
A = "New Value for A"
B = "New Value for B"
RETURN

NAME Caller
LOCAL a, b, zzz, result
a = "Old Value for A"
b = "Old Value for B" ! The first call to PassByNameTest uses the defaults.
! The local parameter zzz declared here in Caller
! becomes the actual parameter corresponding to b.
!

PassByNameTest
! The ALERT command below draws a panel on the screen
! with the value of the string zzz written in it.
! Since zzz was passed by name, the string that
! PassByNameTest assigned to it ("New Value for B")
! is still its value now, after the call to
! PassByNameTest ended. So "New Value for B" is the
! string the user sees in the panel.
!

ALERT "ZZZ = "zzz,3
! The next call passes a by value and b by name.
! After the call, only b is affected by the assignments
! done in PassByNameTest.
!

PassByNameTest a,b
! The SPRINT command assigns a formatted string
! to the local variable named result. "A = %/B = %"
! is the format image string. Result will be assigned
! the string that is obtained from the format image
! string by placing the value of a where the first %
! is, a carriage return where the / is, and the value
! of b where the second % is.
! SPRINT result USING "A = %/B = %",a, b
! Since the parameter a was passed by value, the call to
! PassByNameTest has not changed a. Thus it still
! has the value it received in the assignment at the
! beginning of this macro ("Old Value for A"). But b
! was passed by name and assigned a value in the call
! to PassByNameTest, and it retained that value
! ("New Value for B"). Therefore, these are the
! two strings the ALERT command writes in the panel.
!

ALERT result,3

RETURN

Here is a more extensive example that illustrates the range of things that can and cannot be passed as parameters:

! Third_mac is called by Second_mac
!
NAME Third_mac
! Note The default declared here in the callee Third_mac
! is Second_var$, a variable accessible by the caller,
! Second_mac. The callee is not required to have direct
! access to the default parameter.
!!
PARAMETER Th_name_parm$ BYNAME Second_var$
! This assignment has real effect on whatever variable
! is passed in as the actual parameter.
!
Th_name_parm$ = "The value Third_mac assigns."

RETURN

! Second_mac is called by First_mac
!
NAME Second_mac
PARAMETER Sec_val_parm$, Sec_name_parm$ BYNAME First_var2$
LOCAL Second_var$, Second_set
Sdim Second_set,2
! Start by assigning a value. This value is
! going to be changed by the call to Third_mac below.
!
Second_var$ = "The value Second_mac assigns."
! using a local variable of Second_mac as an actual
! parameter for Third_mac. Any global variable would
! be allowed too.
!
Third_mac Second_var$
! Since the variable is passed by name, the call to
!Third_mac has changed the value of Second_var$. The
! value now stored there is
! "The value Third_mac assigns."
!
ALERT "The string in Second_var$ is: " Second_var$,3
!
! Similar cases with different kinds of actual parameters used:
!
! using a value parameter of Second_mac as an actual
! parameter for Third_mac
!
Sec_val_parm$ = "The value Second_mac assigns."
Third_mac Sec_val_parm$
ALERT "The string in Sec_val_parm$ is: " Sec_val_parm$,3

! using a name parameter of Second_mac as an actual
! parameter for Third_mac
!
Sec_name_parm$ = "The value Second_mac assigns."
Third_mac Sec_name_parm$
ALERT "The string in Sec_name_parm$ is: " Sec_name_parm$,3

! using the default parameter. It could have been
! any of the actual parameters specified in calls above.
!
Second_var$ = "The value Second_mac assigns."
Third_mac
ALERT "The string in Second_var$ is: " Second_var$,3
!
! This illustrates something you cannot do.
! Second_set[1] = "The value Second_mac assigns."

! ERROR: attempting to use an element of a set
! as a byname parameter. The CP will
! only allow a simple identifier.
!
!!Third_mac Second_set[1]
! Since no call to Third_mac changes Second_set[1]
! The ALERT panel displays
! "The value Second_mac assigns."
!
ALERT "The string in Second_set[1] is: " Second_set[1],3
RETURN

NAME First_mac
LOCAL First_var1$, First_var2$
First_var1$ = "The value First_mac assigns."
First_var2$ = First_var1$
! The second argument is omitted in the call to
! Second_mac. Therefore the default specified after
! the BYNAME in Second_mac is assumed to be the
! argument (it is First_var2$).
!

Second_mac First_var1$

! Since First_var1$ was passed by value, it still contains
! the same value it did before the call to Second_mac. The
! panel put up by the ALERT command below will say "The
! string in First_var1$ is: The value First_mac assigns."
!
ALERT "The string in First_var1$ is: " First_var1$, 3

! Since First_var2$ was passed by name, it was changed.
! Second_mac changed it, and then passed it through to
! Third_mac, where it was changed again. The panel put
! up by this ALERT command says "The string in First_var2$
! is: The value Third_mac assigns."
!

ALERT "The string in First_var2$ is: " First_var2$, 3
! Since the first parameter of Second_mac is a value parameter,
! we can make the following call.
! Second_mac "Twas" " brillig and the slithey " "toves..."
RETURN


Using control statements

RETURN and REMOVE

IF-THEN-ENDIF

IF-THEN-ELSE-ENDIF

WHILE-DO-ENDWHILE

ON_ERROR


RETURN and REMOVE

The form of a RETURN statement is simply:

RETURN

One effect of a RETURN is to terminate the execution of a macro. If the macro in which the RETURN appears is a callee of another macro, then the RETURN also causes the execution of the caller to resume at the next instruction after the call. When Caller is executed in the following example, it gives control of the command processor to Callee after the first ALERT statement. Without the RETURN statement at the end of Callee, control would not return to Caller, and the second ALERT statement in Caller would not be executed.

NAME Callee
ALERT "Hi, I am the callee.",3
RETURN

NAME Caller
ALERT "Hi, I am the caller.",3
Callee
ALERT "Hi, I'm back because of Callee's RETURN.",3
RETURN

A RETURN can also be placed somewhere in the middle of a macro to prevent the remaining statements from being executed as shown in the following example:

NAME Big_switch
PARAMETER setting

IF setting = 1 THEN
Do_job_1
RETURN
ENDIF

IF setting = 2 THEN
Do_job_2
RETURN
ENDIF

IF setting = 3 THEN
Do_job_3
RETURN
ENDIF
...

The purpose of the macro above is to match the parameter with a value and to then call a corresponding operation. The RETURN statements break off the search, once a match has been found. This saves the time it would take to execute the remaining IF-THEN-ENDIF statements, searching for more matches. As the form of the example suggests, there might not be any more matches anyway.

Use RETURN statements sparingly, since a macro with many RETURNS in it can be hard to read and therefore to modify or fix. Where practical, use other control structures. Creative uses of data types, commands, and functions often makes this easier. The example above might be re-written as shown below if the appropriate commands were stored as strings in command_set:

NAME Big_Switch
PARAMETER setting, command_set BYNAME command_list
EVALUATE command_set[setting]
RETURN

A form of the REMOVE command can be used in place of a RETURN statement. The form is:

REMOVE This_macro

where This_macro is the name of the macro in which the statement appears. The effect is to remove the macro from memory and cause a RETURN. For example:

NAME Big_macro
! insert instructions of Big_macro here.
REMOVE Big_macro

NAME Call_big_macro
ALERT "Hi, I am the little macro that calls Big_macro.",3
MACRO "C:\MSDchem\some_dir\bg_mac.mac"
Big_macro
ALERT "Big_macro finished and removed. Lots of memory free.",3
RETURN

When Call_big_macro runs, the MACRO command loads a large file called bg_mac.mac into the command processor. Then Big_macro, which is in the file, is called. The REMOVE instruction at the end of Big_macro erases Big_macro from memory, and causes a return to Call_big_macro, which then displays its second ALERT panel.


IF-THEN-ENDIF

The form of an IF-THEN-ENDIF statement is:

IF logical expression [THEN] statement listENDIF

The THEN in square brackets is optional. It helps to make the statement more readable, but leaving it out has no effect on what the statement does. The logical expression must be something that the command processor can evaluate to see if it is true or false. For more information see Using logical expressions.

When the IF-THEN-ENDIF statement is executed, the logical expression is first evaluated. If the logical expression is true, the statement list is executed next. After that, whatever comes after the ENDIF will be executed, unless a RETURN, REMOVE, or error in the statement list prevents this. If the logical expression is false, the statement list is skipped and whatever comes after the ENDIF is executed next.

! This macro draws an ALERT panel on the screen that
! wishes you Happy New Year if the date, as returned
! by the DATE$() function, is the first of January.
!
Name Happy_New_Mac
LOCAL d_str$

! Assign the value of the date$() function to d_str$. The
! value is a string of the form dd/mm/yy.
! For example: 07/28/92
! d_str$ = DATE$()
! If the numerical equivalent of dd and mm are both 1
!
IF VAL(d_str$[1:2]) = 1 AND VAL(d_str$[4:5]) = 1 THEN

! Put up a panel. Get all four digits of the year in
! the message by concatenating yy onto "19".
!
! Programmers note: The "19" below will have to
! be changed to "20" when the millennium arrives.
!

ALERT "HAPPY NEW YEAR! -- " "19" d_str$[7:8] "!", 3
ENDIF
RETURN

The parts of the IF-THEN-ENDIF statement must appear as shown above. The IF and logical expression must be together on one line. If the keyword THEN is present, it must appear after the logical expression (on the same line). The ENDIF must be alone on a line. These rules are especially important because IF and ENDIF are actually implemented as separate commands, each of which has its own required syntax. The statement list can be any series of statements, including other control statements.


IF-THEN-ELSE-ENDIF

The form of an IF-THEN-ELSE-ENDIF statement is:

IF logical expression [THEN]
statement list1
ELSE
statement list2
ENDIF

The THEN in square brackets is optional. It helps to make the statement more readable, but leaving it out has no effect on what the statement does. The logical expression must be something that the command processor can evaluate to see if it is true or false. For more information, see Using logical expressions.

When the IF-THEN-ELSE-ENDIF statement is executed, the logical expression is first evaluated. Then exactly one of the statement lists is executed. List1 is executed if the expression is true, and list2 is executed if the expression is false. Next, whatever follows the ENDIF is executed, unless a RETURN, REMOVE, or error in the list executed prevents this.

The parts of the IF-THEN-ELSE-ENDIF statement must appear as shown above. The IF and logical expression must be together on one line. If the keyword THEN is present, it must appear after the logical expression (on the same line). The ELSE and ENDIF statements must each be alone on a line. These rules are especially important because IF, ELSE, and ENDIF are actually implemented as separate commands, each of which has its own required syntax. The statement list can be any series of statements, including other control statements. Example:

The Happy_New_Mac macro above could be fixed before the millennium using a nested IF-THEN-ELSE-ENDIF statement as shown below:

Name Happy_New_Mac2
LOCAL d_str$, wish$, first_dgts$
wish$ = "HAPPY NEW YEAR! -- "
d_str$ = DATE$()
IF val(d_str$[1:2]) = 1 AND val(d_str$[4:5]) = 1 THEN
IF val(d_str$[7:8]) >92
first_dgts$ = "19"
ELSE
first_dgts$ = "20"
ENDIF
ALERT wish$ first_dgts$ d_str$[7:8] "!", 3
ENDIF
RETURN


WHILE-DO-ENDWHILE

The form of a WHILE-DO-ENDWHILE loop is:

WHILE logical expression [DO] statement list
ENDWHILE

The DO in square brackets is optional. It helps to make the statement more readable, but leaving it out has no effect on what the statement does. The logical expression must be something that the command processor can evaluate to see if it is true or false. For more information see Using logical expressions.

WHILE-DO-ENDWHILE loops are also called WHILE loops. The purpose of the statement is to allow the programmer to cause a statement list to be executed over and over, as many times as desired. The form of the statement is quite flexible. When a WHILE loop is executed, the effect is to execute this conceptual list of instructions:

Step 1 | Evaluate the logical expression and then do Step 2
Step 2 | If the expression was true, execute the entire statement list and then do Step 1. Otherwise, do whatever comes after the ENDWHILE.

The statement list will not be executed at all if the logical expression is false the first time it is evaluated. For example, the ALERT command below is not executed even once because the logical expression 0 = 1 is always false:

WHILE 0 = 1
ALERT "Paradox!", 3
ENDWHILE

If the first statement in the statement list is executed, then all of the statements in the list will be executed, unless something like a RETURN, REMOVE, or error condition in the statement list forces a halt. The execution of the list will not stop somewhere in the middle just because the logical expression becomes false. In the following loop, the logical expression is true the first time it is evaluated, so both statements preceding the ENDWHILE are executed, even though index is greater than 1 as soon as the first of the statements is executed.

index = 1
WHILE index <= 1 DO
index = index 1
ALERT "Do you think I'll be executed?", 3
ENDWHILE

The WHILE loop is the only looping control statement in the ChemStation macro language. Fortunately, the form is quite flexible and powerful and can do the same things that loops do in other programming languages. For example, many programming languages have a special FOR-loop statement that executes a list of statements a specific number of times. The form of the WHILE loop shown below works like a FOR-loop. The loop executes its statement list exactly N times.

index = 1
WHILE index <= N DO
! put the statement list here.
index = index 1
ENDWHILE

The following general form can be used get the effect of a REPEAT-loop, which is another control statement found in many programming languages. The idea is to repeat the statement list until some logical expression becomes true. This may seem like the same thing as a WHILE loop, but in a REPEAT-loop, the statement list will always be executed at least once, no matter what the logical expression is.

statement list
WHILE NOT logical expression DO
statement list
ENDWHILE

If the statement list is very long, it can be made into a macro call and then the form above might become:

Statement_list stop_param
WHILE NOT logical expression DO
Statement_list stop_param
ENDWHILE

The macro should have at least one parameter (stop_param in the example above), so that whatever it does can have an effect on the logical expression. If not, the statement list will be executed indefinitely whenever the logical expression is initially true. Loops that exhibit that error are called infinite loops. Once they start running, they can be difficult to stop. Choosing Abort from the control button in the upper left corner of the application window usually works.

The number of times that the statement list of a WHILE loop executes can be made to depend on the condition of the data being processed by the list. This makes it relatively easy to design loops that run only as long as they need to. The loop below is a simple example:

string$ = "It sure is a hot day. I could use some lemonade"
index = 1
sentence$ = ""
WHILE NOT eqstr(string$[index], ".") DO
sentence$ = sentence$ string$[index]
index = index 1
ENDWHILE
ALERT "The first sentence is: " sentence$ ".",2

The statements in the loop execute only until the end of the first sentence in the input string is reached. The loop has the flexibility to work with input strings of arbitrary length and to do only the work necessary to get the desired result.


ON_ERROR

The form of an ON_ERROR statement is:

ON_ERROR [trap]

An ON_ERROR statement is used to specify the macro or command to execute when an error occurs. The trap parameter can be any valid ChemStation macro or command and can include parameters.

When a command processor is executing a macro and it encounters an instruction that it cannot execute, it normally stops executing the macro and writes an error message on the message line. The effect of an ON_ERROR statement is to cause the CP to execute the trap instead of terminating execution of the macro. The trap can be used to repair a problem and restart the macro at the next instruction after the one that caused the error or simply to save some results and re-initialize some equipment or data before allowing the macro to stop.

There may be any number of ON_ERROR statements in a macro. Basically, each will apply to all the statements that come after it in the branching paths of execution, until the next ON_ERROR statement in each path occurs.

If no trap is specified, then nothing will be done when an error occurs, except to attempt to execute the next instruction after the one that caused the error. Normally this has the effect of compounding errors, but in a trap macro, it can be useful.

If the special command GENERATE_ERROR is used as the trap, it has the effect of canceling any error trapping that is in force due to an earlier ON_ERROR statement.

For some additional information and examples, see Chapter 5.


Using logical expressions

Logical expressions are often used in conjunction with control statements (see Using control statements). All logical expressions are really scalars, but they are used differently. A value of zero is interpreted as meaning false and any other value is interpreted as true. In the following example, the ALERT panel will say 'The value is TRUE except when the scalar_value is zero.

IF scalar_value
ALERT "The value is TRUE."
ELSE
ALERT "The value is FALSE."
ENDIF

The statement PRINT VAL$(14=3) will print a 0 on the message line. PRINT VAL$(3=3) prints a 1.

A simple logical expression may be made by using a comparison operator with two allowed operands. The comparison operators are: = (equal), <> (not equal), > (greater than), and >= (greater than or equal). The form for using all these operators is:

expression1 operator expression2

The two expressions must have the same data type. For example

8 < 7 ! false
2.33 <> 2.34 4 - 3.91 ! true
4/2 = 2 ! true
array1 <> array2 array 3
(2:3) = (3:2) ! true

Scalar expressions may be used freely with the comparison operators. Scalar arrays and scalar ranges can only be compared directly with = and . Scalar matrices, sets, and strings cannot be used as the operands of any of the comparison operators. (Use the EQSTR( ) function to compare strings). For more information see Scalars, Scalar ranges, Scalar arrays and scalar matrices, and Sets.

Simpler logical expressions may be combined into more complex expressions using the logical operators NOT, AND, and OR.


NOT

The form for using the NOT operator is:

NOT logical expression

The value of the form is true if the logical expression is false and the value of the form is false if the logical expression is true. The logical expression is arbitrary, except that it cannot begin with NOT, as in NOT NOT logical expression. However, NOT (NOT logical expression) is acceptable.

Example

NOT 1 = 0 ! true
NOT 1 = 1 ! false


AND

The form for using the AND operator is:

logical expression1 AND logical expression2

The value of the form is true if both logical expression1 and logical expression2 are true, otherwise the value of the form is false.

Examples

30 >24 AND EQSTR("abc", "abcd") ! false
ln(10) < 10 AND 1<>0 ! true


OR

The form for using the OR operator is:

logical expression1 OR logical expression2

The value of the form is true if either logical expression1 or logical expression2 is true or if both are true. The form is false only if both logical expression1 and logical expression2 are false.

Examples

2 < 3 OR 3 < 2 ! true
8 <> 6 OR 7 <> 3 ! true
(21 = 3 * 7 OR 0 = 1) AND 10 < 10/3 ! false
21 = 3 * 7 OR (0 = 1 AND 10 < 10/3) ! true
21 = 3 * 7 OR 0 = 1 AND 10 < 10/3 ! true

Note that the only difference in the last three examples has to do with the presence and placement of parentheses. Because AND has higher precedence than OR, the last example is evaluated as if it had parentheses placed just like the example above it. Parentheses should be used freely, in expressions of all kinds, to make them more readable. In some cases, parentheses are necessary to force the desired interpretation from the command processor. For more information, see Operator precedence.


Operator precedence

An expression like

10 4 / 2

can be evaluated in two different ways. If 10 4 is calculated first, and the result divided by 2, the answer is 7. On the other hand if 4 is divided by 2 first, and the result added to 10, the answer is 12. To resolve such ambiguities the ChemStation command processor uses the following precedence list (highest precedence at the top). Notice that parentheses are treated as operators of the highest precedence.

( ), []

unary , unary -

/

binary , binary -

:

>, <, >=, <=, <>, =

NOT

AND

OR

In the above list, unary and unary - refer to the plus or minus signs that may appear before an expression. The binary and binary - operators refer to addition and subtraction.

This precedence list is applied by ChemStation CPs as follows in evaluating an expression:

  • The operations with the highest precedence are performed first, then the next highest, and so on until the entire expression has been evaluated.

  • Operations on the same row of the above list have equal precedence and are performed in left-to-right order.

Examples

10 4 / 2 is the same as 10 (4/2) and evaluates to 12

3 * 16 - 20 / 8 / -13 2 is the same as ((3 * 16) - ((20 / 8) / -13)) 2 and evaluates to 50.1923

The minus sign before the 13 above is an example of a unary minus sign.


Chapter 5 -- Useful Techniques in Macros

This chapter contains helpful sample macros for doing user interaction, file input and output, printing, and error handling. To use this chapter to learn how to do a specific task, find the topic of interest, read the discussion, and study the examples. You can type in these examples, save them in a file, then run them to see what they do. You can also use them as templates for your own macros.

To get more information about individual commands used in the examples, see the commands section of the online help.

User interaction

File input and output

Printing

Error handling


User interaction

The need often exists to collect information from or report information to a user while a macro is running, such as to get the name of a file or directory. The ChemStation macro language provides several methods for doing user interaction. This section covers simple data oriented interactions as well as the more advanced topics of customizing menu bars and mouse actions.

Typically macros obtain such information by calling commands such as INPUT, INPUT6, or SELECTFILE. These commands allow the user to enter characters and/or mouse clicks. The communication between the user and the macro is complete when the command stores a representation of what the user entered into one or more variables. The macro can then interpret and use the information.

When a small amount of data needs to pass from the macro to the user, the macro can print a string on a message line with the PRINT command or use the ALERT command to draw a dialog box on the screen.

See Also

Passing strings and scalars

Getting file and directory names

Getting several items at a time

Modifying application menhu bars

Customizing mouse action macros


Passing strings and scalars

INPUT command

The simplest way to get a string or scalar from a user is to employ a form of the INPUT command. The syntax is:

INPUT "string expression", string variable

INPUT draws a dialog box on the screen with the string expression as its caption. The dialog box contains an edit box that the user can type a string into. If the user clicks the OK button in the dialog box, the INPUT command assigns the string in the edit box to the string variable and returns. If the user clicks the Cancel button, the value of the variable is unchanged. The variable can be given an initial value before INPUT is called. This value will be displayed in the edit box until the user changes it. The macro calling INPUT can check to see which button the user clicked by examining the value of the reserved variable _Button.

PRINT command

PRINT is the simplest command for sending information to a user. The syntax is:

PRINT expression [,...]

Arbitrary scalar or string expressions are allowed as arguments. The effect of PRINT is to put the value of the expression(s) on the message line of the application window.

Example 1

NAME Get_string
LOCAL str$
str$ = "Your string goes here."
INPUT "Please enter a string.", str$
IF _Button = 1 THEN
! if the OK button was pushed ...
!
! Here, put any instructions you want to execute
! after the user has chosen a string. The string is
! stored in the variable str$. Do whatever you like
! with it.
!
PRINT "You chose the string: " , str$
ELSE
!
! Here, put instructions to execute if the Cancel
! button was pushed.
!
PRINT "You pressed the Cancel button."
ENDIF
RETURN

Example 2

A simple way to get a scalar value from a user is to employ VAL( ) to translate the string that is entered as shown below:

NAME Get_scalar
LOCAL str$, the_num
INPUT "Please enter a number.", str$
! translate the string into a number.
!
the_num = val(str$)
! This line shows that the_num is a scalar.
!
the_num = the_num / 2
PRINT "What you entered was twice: ", the_num, "."
RETURN


Getting file and directory names

SELECTFILE command

SELECTFILE is usually a better choice than INPUT for getting a file or directory name from a user. SELECTFILE can display a dialog box that allows the user to navigate through the file system and can also prevent the user from choosing the name of a file or directory that does not exist. The syntax of the SELECTFILE command is:

SELECTFILE attr, "title", ["extension"], path$, entry$, status

The attr parameter should be 1 for a file or 2 for a directory. Title is a caption for the dialog box. Extension is a string of the form "*.xyz" to limit the allowed file extension. Path$ and entry$ are string variables for returning parts of the full pathname. Status is a required scalar variable for returning file state. SELECTFILE also sets the reserved variable _Button. Here is an example of the use of the SELECTFILE command:

Example 3

! This macro needs to be run by a Data Analysis command
! processor, or one that has previously loaded the system
! macro, ViewFile
!
NAME Show_file
LOCAL prompt$, ext$, path$, file$, status
LOCAL fmt$, msg$
prompt$ = "Please find and select the file you wish to see..."
ext$ = "*.txt" ! allow only files with ".txt" extension
path$ = "C:\" ! initial directory
file$ = "" ! initial filename is null
SELECTFILE 1, prompt$, ext$, path$, file$, status
IF _Button 0 THEN ! if the user did not click on Cancel
! Show the file in the drive and directory indicated
! by path$, with name the value of file$. Use the
! system macro ViewFile. (See below)
!
Viewfile path$ file$
ENDIF
PRINT `Path$ is: "' path$ `"', ` File$ is: "' file$ `"'
RETURN


Getting several items at a time

INPUT6 command

The INPUT6 comand is similar to the INPUT command, but is designed to present and collect up to six different choices. INPUT6 can be used in different ways, depending on the kind of information desired and has the following syntax:

INPUT6 type, count, "title", label, button, data

INPUT6 puts a dialog box on the screen. Depending on the value of the argument named type (1, 2, or 3), the dialog box appears with edit boxes, check boxes, or option buttons. Count is the number of boxes desired. Title is the caption for the dialog box. Label is the set of strings to label the boxes or option buttons. Button is a set of labels for the control buttons that appear on the bottom of the dialog box. Data is the name of the variable that stores what the user enters. In addition to using the parameters listed, INPUT6 sets the reserved variable _Button to 1, 2, or 3, depending on which control button is clicked.

ALERT command

The ALERT command puts one of several kinds of dialog boxes on the screen, with a string for the user to read in the dialog box. The syntax for ALERT is:

ALERT ["message string"] [,type]

SPRINT USING command

The message string can be formatted with the SPRINT USING command. The syntax for SPRINT USING is:

SPRINT variable USING "format image string", "expression" [,...]

ViewFile macro

ViewFile is a system macro that puts a Notepad or Write window on the screen and displays a file in it. ViewFile is sometimes more convenient to use than ALERT. Normally, ViewFile is only available in Data Analysis or Tune command processors, but you can make a copy, and load it anywhere you like. The full text of ViewFile is given below as Example 5. The syntax for using ViewFile is:

ViewFile "complete filename"

Example 4

In the following example, INPUT6 is used to get up to six lines of address information from a user. The data is entered into edit boxes and is returned as a set of strings called addr. The data is then stored in a file and displayed on the screen using ViewFile.

! This macro is written for a Data Analysis command
! processor, or one that has previously loaded the ViewFile
! system macro.
!
NAME GetAddress
LOCAL label, button, addr, index, filename$
SDim label,6
SDim button,3
SDim addr,6
label[1] = "Line &1" label[2] = "Line &2"
label[3] = "Line &3"
label[4] = "Line &4"
label[5] = "Line &5"
label[6] = "Line &6"
button[1] = ""
button[2] = "&Save"
button[3] = "Cancel"
addr[1] = "Dr. Jean C. Doe"
addr[2] = "Laboratory Supervisor"
addr[3] = "Ident-Rite Analytical Laboratories, Inc."
addr[4] = "10001 Industrial Avenue"
addr[5] = "Wichita, CA 92001"
addr[6] = ""
! get edit boxes by using 1 as the type argument
! ! get 6 boxes by using 6 as the count argument
! ! INPUT6 1, 6,"Enter up to 6 lines of Address",label,button,addr
IF _Button = 2 ! if the Save button was pushed
! Build a filename string.
! filename$ = _EXEPATH$ "addrfile.txt"
! Open a file and establish #1 as a synonym for the
! filename.
!
OPEN filename$ FOR OUTPUT AS #1
index = 1
WHILE index <= 6
! write the contents of addr[index] to the file,
! on a line by itself
!
PRINT #1, addr[index]
index = index1
ENDWHILE
CLOSE #1
! Display the contents of this file
!
ViewFile filename$
ENDIF
REMOVE GetAddress ! performs a RETURN

The ampersands in the above example define accelerator keys for the fields on the dialog box. For example, the user will be able to press Alt-3 to select edit box 3 for input. The ampersand can be placed before any character of a box or button label. The designated character will be underlined in the display.

Notice also that button[1] is assigned the empty string as its label. This causes button number 1 not to be displayed in the dialog box, which has the effect of centering the buttons that are visible.

Example 5

! ViewFile !
! Starts up Notepad or Write depending on the file
! size. Changes the _EXEPATH$ temporarily so that
! doing an open file from the editor will show the
! path of the file being viewed.
!
! The filename$ must be a full path filename!!!!
!
NAME ViewFile
PARAMETER filename$, deletefile DEFAULT 0
LOCAL exedir$, size
! Check for file existence
! FILESIZE filename$
IF size = -1
ALERT filename$ " does not exist.", 3
ELSE
! Save current _EXEPATH$
! exedir$ = _EXEPATH$
ON ERROR
VARLOCK OFF
_EXEPATH$ = filename$
IF size
DOSRUN "notepad.exe " filename$
IF deletefile 0
DELETE filename$, DONTASK
ENDIF
ELSE
DOSRUN "write.exe " filename$
!
! Don't delete a text file that is being viewed
! in Write. Write may try to access the file
! (as when doing a file conversion) and will
! produce an error if the file no longer exists.
!
ENDIF
! Restore _EXEPATH$
!
_EXEPATH$ = exedir$
VARLOCK ON
ENDIF
RETURN

Example 6

In the example below, INPUT6 is employed to allow the user to select up to three options by clicking on check boxes. The selections are returned as a scalar array called choice. One or more elements of choice can be given an initial value of 1, which causes the dialog box to be drawn with the corresponding boxes already checked (selected). The SPRINT USING command is called to create a string formatted with carriage returns. ALERT is called to put the string in a dialog box on the screen.

NAME CheckList
LOCAL label, button, choice, onOff, fmt$, msg$, index
SDim label, 3
SDim button, 2
DIM choice, 3
SDim onOff, 3
label[1] = "Option One"
label[2] = "Option Two"
label[3] = "Option Three" button[1] = "OK" button[2] = "Cancel"
choice[2] = 1 ! initialize this box to checked state
! get check boxes by using 2 as the type argument
! ! get 3 boxes by using 3 as the count argument
! !
INPUT6 2,<= 3, "Select Options", label, button, choice
index = 1
WHILE index <= 3 ! Convert choices to ON and OFF strings
IF choice[index]
onOff[index] = "ON"
ELSE
onOff[index] = "OFF"
ENDIF
index = index 1
ENDWHILE
! Create a format string. [%] and [/] are place holders
! for strings and carriage returns.
!
fmt$ = "Option 1 %/Option 2 %/Option 3 %/"
! Copy an image of the format string into msg$, putting
! onOff[1], onOff[2], and onOff[3] in the positions of the
! percent signs [%], and carriage returns where the
! slashes [/] appear.
!
SPRINT msg$ USING fmt$, onOff[1], onOff[2], onOff[3]
ALERT msg$, 2
REMOVE CheckList ! performs a RETURN

The WHILE loop in Example 6 illustrates a way to translate scalar data into string data. Here the translation consists of substituting the word ON for a 1 and OFF for a zero.

Example 7

In the example below, INPUT6 is employed to draw a dialog box with option buttons. The user selects a single option from among those offered, and the number of the selection is returned in the scalar variable choice.

NAME PickOne
LOCAL label, button, choice
SDim label, 5
SDim button, 3 label[1] = "Pick Me. I'm first."
label[2] = "Pick Me. I'm second."
label[3] = "Pick Me. I'm third."
label[4] = "Pick Me. I'm fourth."
label[5] = "Pick Me. I'm fifth."
button[1] = ""
button[2] = "OK"
button[3] = "Cancel"
choice = 1
! get option buttons by using 3 as the type argument
! ! get 5 buttons by using 5 as the count argument
! !
INPUT6 3, 5,"Select one.", label, button, choice
IF _Button = 2
ALERT "Choice was number " VAL$(choice), 2
ENDIF
REMOVE PickOne ! performs a RETURN


Modifying application menu bars

You can customize the ChemStation by installing additional menus in application windows. For example, you can make the execution of a custom macro available as a menu item. You can extend the menu selections available in ChemStation applications by adding instructions to the macros that create the system menu bars. Some of the relevant files and macros are:

Application | File * | Macro Name
Top | ~\msexe\topmenu.mac | FullBar
Tune | ~\msexe\atune.mnu | TuneBar
Data Acquisition | ~\msexe\msacq.mac | AcqBar
Data Analysis | ~\msexe\msda.mac | DABar

[~] means the directory where ChemStation is installed. For a standard installation, this is \MSDchem.

CAUTION

Naturally you should not make any changes to these important system macros until you understand the potential effects. Also, before making a change you should save a copy of the original file. That way, if necessary, you can restore the system to a known state.

Two important commands used to create menu items are MENUCMD and MENUCMDFN. The syntax for these commands is shown below:

MENUCMD "label", "command" [,"message"] [,variable]
MENUCMDFN "label", "command" [,"message"] [,"string"]

Label is the string that will appear on the menu. Command is the instruction to be executed when the menu item is selected. Message is the string that will appear on the status line when the menu item is highlighted. The fourth parameter to these commands controls whether the item is grayed out or checked. With MENUCMD the fourth parameter is a scalar variable. With MENUCMDFN the fourth parameter is a string that represents a function call or expression.

Example 8

You can safely learn how menu bar macros work by reading and testing Example 8 below. The example does not extend a menu set, but rather replaces it with a new one. To test the example, start up a standalone Data Analysis application, load the macro, then execute it. Make selections from the menus you see and notice how the effects correspond to the instructions in the example. You can terminate the macro by closing the application.

After you become familiar with the example and what it does, you can try extending the menu commands in a system macro if you wish.

The commands to affect menus are MENUBEG, MENUNEW, MENUCMD, MENUCMDFN, MENUVAR, MENUSTP, MENUSEP, MENUEND, MENUHLP, and MENUSTATE( ).

! Macros that will be called by menu selections.
!
NAME Op1
PARAMETER a BYNAME N
a = a1
PRINT a
RETURN

NAME Op2
PARAMETER a BYNAME N
a = a/3
PRINT a
RETURN

NAME Op3
PARAMETER a BYNAME N
a = sqr(a)
PRINT a
RETURN

NAME Op4
PARAMETER a BYNAME NLOCAL string$
INPUT "New Value", string$
a = trunc(val(string$))
PRINT a
RETURN

Name Print1
PARAMETER a
IF trunc(a) = a AND mod(a,2) = 0
PRINT a, " is even."
ELSE
PRINT "NOT!"
ENDIF
RETURN

Name Print2
PARAMETER a
IF ((trunc(sqrt(abs(a)))=sqrt(abs(a))) AND (a = >= 0))
PRINT a," is a perfect square."
ELSE
PRINT "NOT!"
ENDIF
RETURN

NAME MyMenuBar
LOCAL lbl$
MENUBEG
! Start a new menu bar description
MENUNEW "&Change N"
! Start the first menu description
lbl$
= "to one higher to make it Even"
MENUCMDFN lbl$, "Op1 N", "Add one to make even", "3*(1-mod(N,2))"
lbl$ = "to N/3"
MENUCMDFN lbl$,"Op2 N", "Divide evenly by three", "2*(mod(N,3)0)"
lbl$ = "to square of N"
MENUCMDFN lbl$,"Op3 N", "Square, if < 1,000,000", "2*(1-(abs(N)<1000))”
MENUSEP
! Place a line in the menu here
MENUCMD "N = N 1", "N=N1", "Add 1 to N"
MENUCMD "to new input Value", "Op4 N", "Pick new value for N"
MENUNEW "&Messages" ! Start the second menu description
lbl$ = "N is even"
MENUCMDFN lbl$, "Print1 N", "Display Even sentence", "mod(N,2)=0"
lbl$ = "N is a perfect square"
MENUCMDFN lbl$, "Print2 N", "Display Perfect Square sentence"
MENUEND ! Marks the end of the menu bar description
RETURN
! Perform initializations before calling MyMenuBar
!
NAME Dummy
N=1
PRINT " Initial value of N is 1"
MyMenuBar
! REMOVE Dummy
RETURN


Customizing mouse action macros

Example 9 below illustrates techniques that can be used to customize mouse actions using the SETWINATTRIBUTE command. If you wish to customize a mouse action on your system, study this example and use it as a template to create your own macro.

Run this macro in Data Analysis after establishing a current data file whose total ion chromatogram contains one peak that can be integrated with the RTE integrator using the current integration parameter settings.

Example 9

NAME Mouse1
PARAMETER w, o, m, tp, x0, y0, x1, y1, cs, ms, lds, rds, un
! LEFT CLICK AND DRAG -- Zoom in
!
IF m = 128
PRINT "<MOUSE1> L CLICKDRAG--Zoom in"
ZOOM w,x0:x1,y0:y1
RETURN
ENDIF
! LEFT DOUBLE CLICK -- Zoom out
! IF m = 160
PRINT "<MOUSE1> L DOUBLE CLICK--Zoom out"
ZOOMOUT w
RETURN
ENDIF
! RIGHT DOUBLE CLICK, GC/MS DATA
! Pick Spectrum and Display it
! IF m = 288 AND tp = 1
PRINT " <MOUSE1> R DOUBLE CLICK on TIC/EIC--Get Spectrum at",x0/60000," minutes"
SPECTRUM x0/60000,X
DRAW 10,X
RETURN
ENDIF
! RIGHT CLICK AND DRAG, GC/MS DATA
! Generate average mass spectrum and Display it
!
IF m = 256 AND tp = 1 AND un = 0
PRINT "Averaging..."
AVERAGE x0/60000:x1/60000,X
DRAW 10,X
PRINT "<MOUSE1> R CLICKDRAG Window contains: GC/MS--Average MS"
RETURN
ENDIF
! RIGHT DOUBLE CLICK, MS DATA -- Library Search MS
!
IF m = 288 AND tp = 0
PRINT "<MOUSE1> R DOUBLE CLICK Window contains: MS = 0"
MACRO "libsrch.mac"
LibSrch X
RETURN
ENDIF
! BOTH CLICK --Put up Annotate Box
!
IF m = 194 OR m = 321
PRINT "<MOUSE1> BOTH CLICK--Annotate using Panel"
ANNOTATE w,o,x0,y0
RETURN
ENDIF
RETURN

NAME Mouse2
PARAMETER w, o, m, tp, x0, y0, x1, y1, cs, ms, lds, rds, un
LOCAL tempSpec
! LEFT CLICK AND DRAG -- Zoom in
!
IF m = 128
PRINT "<MOUSE2> L CLICK AND DRAG--Zoom in"
ZOOM w,x0:x1,y0:y1
RETURN
ENDIF
! LEFT DOUBLE CLICK -- Zoom out
IF m = 160
PRINT "<MOUSE2> L DOUBLE CLICK--Zoom out"
ZOOMOUT w
RETURN
ENDIF
! RIGHT DOUBLE CLICK, MS DATA
! Extract ion chromatogram & draw to window 2
!
IF m = 288 AND tp = 0
PRINT "<MOUSE2> R DOUBLE CLICK Window contains: MS--Get EIC "
EIC ,ROUND(x0/20),R0
DRAW 11,R0
RETURN
ENDIF
! RIGHT DOUBLE CLICK, GC/MS DATA
! Pick Spectrum and tabulate it
!
IF m = 288 AND tp = 1
PRINT "<MOUSE2> R DOUBLE CLICK/Window contains: TIC/EIC--Show Scan"
SPECTRUM x0/60000,tempSpec
_TAB ,,tempSpec
RETURN
ENDIF
! RIGHT CLICK AND DRAG, GC/MS DATA
! Tabulate subset, assuming associated MS named R8 or
! associated TIC/EIC named R6
!
IF m = 256
IF tp = 0
PRINT "<MOUSE2> R CLICK AND DRAG. Window contains MS.Show subset"
_TAB ,,R8,x0/20:x1/20
ENDIF
IF tp = 1
PRINT "<MOUSE2> R CLICK AND DRAG. Window contains TIC/EIC. Show subset"
_TAB ,,R6,x0/60000:x1/60000
ENDIF
RETURN

! BOTH CLICK -- Annotate automatically
!
IF m = 194 OR m = 321
IF tp = 0
PRINT "<MOUSE2> BOTH CLICK. Annotate MS Automatically"
ANNOTATE w,o,x0,y0,"#",0
ENDIF
IF tp = 1
PRINT "<MOUSE2> BOTH CLICK. Annotate TIC/EIC Automatically"
ANNOTATE w,o,x0,y0,"*",0
ENDIF
RETURN
ENDIF
RETURN

NAME SetupMouseAct
PARAMETER fileName DEFAULT _DATAPATH$ _DATAFILE$
LOCAL left,right,top,bottom,horizCenter
left = 0.0:0.5 top = 0.5:1.0
right = top
bottom = left
horizCenter = 0.25:0.75
! Get sample data for this demonstration
!
FILE fileName
TIC ,R6
RTEINT R6
PEAKNUMBER 1,TOP,R6,R8
! Place windows in each quadrant of the
! Data Analysis plot window area
!
WINDOW 6, left, top
WINDOW 7, right, top
WINDOW 8, left, bottom
WINDOW 9, right, bottom
WINDOW 10, horizCenter, bottom
WINDOW 11, horizCenter, top
! Plot data to the windows in each quadrant
!
DRAW 6,R6
DRAW 7,R6
DRAW 8,R8
DRAW 9,R8
! Set cursor shapes for each window
!
SETWINATTRIBUTE 6,CURSORSHAPE,1 ! arrow
SETWINATTRIBUTE 7,CURSORSHAPE,2 ! cross
SETWINATTRIBUTE 8,CURSORSHAPE,3 ! open cross
SETWINATTRIBUTE 9,CURSORSHAPE,4 ! gun sight
! Set position marker shapes for each window
!
SETWINATTRIBUTE 6,MARKERSHAPE,0 ! none
SETWINATTRIBUTE 7,MARKERSHAPE,1 ! vertical line
SETWINATTRIBUTE 8,MARKERSHAPE,2 ! horizontal line
SETWINATTRIBUTE 9,MARKERSHAPE,3 ! both vertical and horizontal
! Set right drag shape for each window
!
SETWINATTRIBUTE 6,RIGHTDRAGSHAPE,0 ! none
SETWINATTRIBUTE 7,RIGHTDRAGSHAPE,1 ! vertical line
SETWINATTRIBUTE 8,RIGHTDRAGSHAPE,2 ! horizontal line
SETWINATTRIBUTE 9,RIGHTDRAGSHAPE,3 ! both vertical and horizontal
! Set left drag shape for each window
!
SETWINATTRIBUTE 6,LEFTDRAGSHAPE,1 ! none
SETWINATTRIBUTE 7,LEFTDRAGSHAPE,3 ! vertical line
SETWINATTRIBUTE 8,LEFTDRAGSHAPE,2 ! horizontal line
SETWINATTRIBUTE 9,LEFTDRAGSHAPE,0 ! both vertical and horizontal
! Set title toggle for each window
!
SETWINATTRIBUTE 6,SHOWTITLES,1 ! off
SETWINATTRIBUTE 7,SHOWTITLES,0 ! on
SETWINATTRIBUTE 8,SHOWTITLES,0 ! on
SETWINATTRIBUTE 9,SHOWTITLES,1 ! on
! Set mouse action macro for each window
!
SETWINATTRIBUTE 6,MOUSEMACRO,,"Mouse1"
SETWINATTRIBUTE 7,MOUSEMACRO,,"Mouse2"
SETWINATTRIBUTE 8,MOUSEMACRO,,"Mouse1"
SETWINATTRIBUTE 9,MOUSEMACRO,,"Mouse2"
REMOVE SetupMouseAct


File input and output

This section contains several examples of macros that read data from and write data to files. The following commands are available for use in ChemStation macros for line-by-line processing of plain text files: OPEN, CLOSE, PRINT #filenumber, PRINT USING #filenumber, and INPUT #filenumber. Special ChemStation commands such as FILE, TABULATE, GETCOMPOUND, PUTCOMPOUND, and STARTANALYSIS are used for input and output to an MS data file.

Output to a file

Input from a file

File I/O in quantitation


Output to a file

Example 10 illustrates the use of OPEN, PRINT USING #filenumber, and CLOSE to write text to a file one line at a time. FILE is called to read from a data file and store the information in system variables. With the PRINT USING # command, the macro formats the information and writes it to a text file. Then it displays the text file with a call to the ViewFile macro.

Example 10

! Formats file header information lines for various
! MSDA reports. This macro should be run by the Data
! Analysis command processor.
!
NAME HdrFormat
PARAMETER filename$ DEFAULT _DATAPATH$_DATAFILE$
LOCAL headerOutput$
FILE filename$
! Set a path for the output text file. Typically
! the resulting path will be \MSDchem\msexe\file_hdr.txt,
!
headerOutput$ = _EXEPATH$"FILE_HDR.TXT"
! Initialize a new file for writing. Make the descriptor #1
! a synonym for the file name. If the file exists already,
! the OPEN FOR OUTPUT will remove it. Use OPEN FOR APPEND
! if a non-destructive OPEN is desired.
!
OPEN headerOutput$ FOR OUTPUT AS #1
! Write the format string "File name is %/" to the file
! opened above, except substitute the string
! _DATAPATH$ _DATAFILE$ for the [%] in the format string,
! and place a newline character in the file where the [/]
! appears in the format string. _DATAPATH$ and _DATAFILE$
! are two of the variables set previously by the call to
! FILE.
!
PRINT USING #1, "File name is %/",_DATAPATH$ _DATAFILE$
PRINT USING #1, "Operator is %/",_OPERATOR$
PRINT USING #1, "Date Acquired is : %/",_DATEACQUIRED$
PRINT USING #1, "Method used for acquisition %/",_ORGMETHFILE$
PRINT USING #1, "Sample Name is %/",_DATANAME$
PRINT USING #1, "Expected bar code is %/", _EXPBARCODE$
PRINT USING #1, "Miscellaneous Information: %/",_MISCINFO$
PRINT USING #1, "Actual Barcode is %/",_ACTBARCODE$
! Format a scalar with the [#] character.
!
PRINT USING #1, "Vial Number is #/",_ALSBOTTLE
! Close the file. This frees the descriptor for re-use
!
CLOSE #1
ViewFile headerOutput$
RETURN


Input from a file

Example 11 illustrates the use of the INPUT #filenumber command to read information from a file one line at a time. The macro accepts a table of mass spectral data produced by the TABULATE command of Data Analysis, processes the data, and writes out a new file containing the N points in the mass spectrum with greatest response.

To run the example, first choose Load from the File menu in Data Analysis and select a data file. When you see the TIC in window 2, double click the right mouse button on a peak to cause a mass spectrum to be displayed in window 1. Then load the file containing the example macros and call FileFilter with an argument N that equals the number of points to be output. For example, the call could be FileFilter 5.

Example 11

! InsertSort
!
! This inserts a new (m/z, response) point into two
! parallel arrays M and R. R is sorted in increasing
! order of response.
!
NAME InsertSort
PARAMETER rsltArrBound, newM, newRLOCAL stage, movingM, movingR, swapM, swapR
stage = 0
WHILE rsltArrBound > 0
IF stage = 0
! check if new element is to be inserted
!
IF newR > R[rsltArrBound]
movingM = M[rsltArrBound]
movingR = R[rsltArrBound]
M[rsltArrBound] = newM
R[rsltArrBound] = newR
stage = 1
ENDIF
ELSE
! move existing element down one for insert
! of new value
!
swapM = M[rsltArrBound]
swapR = R[rsltArrBound]
M[rsltArrBound] = movingM
R[rsltArrBound] = movingR
movingM = swapM
movingR = swapR
ENDIF
rsltArrBound = rsltArrBound - 1
ENDWHILE
RETURN
! CompareOne
!
! This macro takes extracted fields from the TABULATE
! text file lines, converts these to m/z and response
! values, and checks if the (m/z, response) point ought to
! be added to to the list of points with greatest response.
!
NAME CompareOne
PARAMETER mzBounds, respBounds, rsltArrBound, inputLine
LOCAL mz, resp mz = VAL(inputLine[mzBounds])
resp = VAL(inputLine[respBounds])
IF resp > R[1]
InsertSort rsltArrBound, mz, resp
ENDIF
RETURN
! FileFilter
!
! Use TABULATE to get a file with a human-readable
! numerical display of the mass spectrum. Open the
! file for input. Read lines. Extract fields containing
! (m/z, response) points. See if each point is in the
! list of points with the greatest m/z. The value
! rsltArrBound determines the length of the list.
!
NAME FileFilter
PARAMETER rsltArrBound DEFAULT 5, zzz BYNAME x
LOCAL line$, desc$, i, fileName$
DIM M, rsltArrBound
! global variable MDIM R, rsltArrBound
! global variable R fileName$ = _EXEPATH$ "INPUT.TXT"
! Read information from the data file, and put into a plain
! text file with name fileName$.
!
TABULATE , fileName$, zzz
! Open the file for reading. Establish descriptor #1 as a
! synonym for the file name
OPEN fileName$ FOR INPUT AS #1
! Read past the header lines. Each INPUT command reads
! one line into desc$ or line$.
!
INPUT #1, desc$ ! save the description for later comparison
INPUT #1, line$
INPUT #1, line$
INPUT #1, line$
! stop when two consecutive lines of zero length string are found
! i = 0
WHILE i < 2
INPUT #1, line$
IF LEN(line$) = 0
i = i1
ELSE
! reset end-of-file checker
!
i = 0
! if line is the description, skip it.
!
IF EQSTR(line$, desc$)
line$=""
ENDIF
! Check (m/z, response) points
!
IF LEN(line$) > 18
CompareOne 1:9, 10:19, rsltArrBound, line$
ENDIF
IF LEN(line$) > 37
CompareOne 20:28, 29:38, rsltArrBound, line$
ENDIF
!
IF LEN(line$) > 56
CompareOne 39:47, 48:57, rsltArrBound, line$
ENDIF
IF LEN(line$) > 75
CompareOne 58:66, 67:76, rsltArrBound, line$
ENDIF
ENDIF
ENDWHILE
CLOSE #1
fileName$ = _EXEPATH$"OUTPUT.TXT"
! write out results. Use a second descriptor #2, so two
! files can be open at the same time.
!
OPEN fileName$ FOR OUTPUT as #2
i = rsltArrBound
! output the top hits to the file
!
WHILE i > 0
! Format scalars. Specify precision with [#]
!
PRINT USING #2, "Abundant ion ### is ####.## at ######### counts/", rsltArrBound-i1,M[i],R[i]
i = i-1
ENDWHILE
CLOSE #2
ViewFile fileName$
REMOVE FileFilter


File I/O in quantitation

Example 12 illustrates the use of the GETCOMPOUNDS and PUTCOMPOUNDS commands. The main macros of the example, DisplayCpnds and QdbCycle, retrieve each compound in the target compound identification/quantitation database of a method. The compounds are retrieved in the order they appear in the database.

DisplayCpnds displays each compound name, expected retention time, and target signal.

QdbCycle and MyUpdateCpnd together model a way of updating the database according to changes to the values of system variables which are set by GETCOMPOUND and read by PUTCOMPOUND. See the online help sections on GETCOMPOUND and PUTCOMPOUND for lists of the variables of interest.

Test DisplayCpnds and QdbCycle in Data Analysis, after loading a method with a valid target compound database (~\msdemo\rptmeth.m will do nicely because it contains just a few compounds. Note: [~] means the directory where ChemStation is installed. For a standard installation, this is \MSDchem.)

Example 12

NAME DisplayCpnds
LOCAL index, msg$, CAL_PEAKS, sigDescription$, fmt$
STARTANALYSIS ! sets CAL_PEAKS to number of compounds
index = 1
WHILE index <= CAL_PEAKS
GETCOMPOUND SELECT, index ! sets PEAK_NAME$, EXP_RT, SIG_NUM
IF SIG_NUM = 0
sigDescription$ = "TIC"
ELSE
SPRINT sigDescription$ USING "####.##", SIG_NUM
ENDIF
fmt$ = "%/ RT = ####.### Target signal = %"
SPRINT msg$ USING fmt$, PEAK_NAME$, EXP_RT, sigDescription$
ALERT msg$, 2
index = index 1
ENDWHILE
ALERT "End of Target Compound Database", 2
RETURN

NAME MyUpdateCpnd
PARAMETER cpndNum default 1
LOCAL msg$, fmt$
GETCOMPOUND SELECT, cpndNum, FULL
!
! Here insert macro lines to update compounds. Update
! values of variables set by GETCOMPOUND and read by
! PUTCOMPOUND.
!
fmt$ = "Now simulating update of://%"
SPRINT msg$ USING fmt$, PEAK_NAME$
ALERT msg$, 2
PUTCOMPOUND cpndNum
RETURN

NAME QdbCycle
LOCAL index, CAL_PEAKS
STARTANALYSIS
! sets CAL_PEAKS to number of compounds
index = 1
WHILE index <= CAL_PEAKS
MyUpdateCpnd index
index = index 1
ENDWHILE
RETURN


Printing

This section presents examples that illustrate the use of commands for printing text and graphics. The examples also help to indicate how to use ChemStation commands and system variables to access important information for reports.

Single-page printing

Multiple-page printing

Other examples of macros


Single-page printing

A macro being executed by a Data Analysis command processor prints a page of formatted text and graphics by calling STARTPRINT, making a series of calls to commands that gather and format data, and then calling ENDPRINT to begin printing. The commands to format and gather data are STRPRINT, WINPRINT, CALIBPRINT, and FILEPRINT.

STRPRINT formats a string of text, designating a specific location on the page where it will be printed. WINPRINT is a similar command that formats data from a graphics window.

Calls to formatting commands can be made in any order. They do not have to be made in the order in which the material will be printed. For example, a series of graphs can be formatted first, followed by a series of strings which are to be printed within the graphs.

The QuadrantPrint macro of Example 13 is a simple illustration of the technique described above. It should be used in a Data Analysis application, after loading a data file with four integrable peaks.

The syntax of a call to the macro is:

QuadrantPrint whichPeak, mode

The argument whichPeak determines both a peak number and a quadrant in which to print the spectrum of the peak. Its value should be 1, 2, 3, or 4. Mode should be 1 for portrait mode printing or 2 for landscape mode.

Example 13

NAME QuadrantPrint
PARAMETER whichPeak DEFAULT 1, mode DEFAULT 1
LOCAL row, col, halfWidth, halfHeight
! check Quadrant the data plot is to go
!
IF (whichPeak > 4)
whichPeak = 1
ENDIF
! set orientation system variable
!
IF mode = 1
ORIENTPR = 1
ELSE
ORIENTPR = 2
ENDIF
! Get data for graphical output
!
FILE _DATAPATH$ _DATAFILE$
TIC, R0 RTEINT R0
PEAKNUMBER 1,,R0,R1
DRAW 17,R1
PEAKNUMBER 2,,R0,R2 DRAW 18,R2
PEAKNUMBER 3,,R0,R3 DRAW 19,R3
PEAKNUMBER 4,,R0,R4 DRAW 20,R4
! set row and col, according to orientation
! Row is the row width -- the number of characters
! across the display, minus one. Likewise, col is
! column height
!
PAGESIZE row,col
halfWidth = row/2 - 1
halfHeight = col/2 - 1
! Begin formatting a page of text.
!
STARTPRINT
! upper left quadrant
!
IF whichPeak = 2
! Format the printing of window 17 at column zero,
! line zero. Make the width of the plot in
! characters and height in lines equal to the values
! of halfWidth and halfHeight.
!
WINPRINT 17, 0, 0, halfWidth, halfHeight
ELSE
! Format the printing of a label,
! starting at the center of the quadrant
!
STRPRINT "Quadrant II", halfWidth/2, halfHeight/2
ENDIF
! lower left quadrant
!
IF whichPeak = 3
WINPRINT 18, 0, halfHeight1, halfWidth, halfHeight
ELSE
STRPRINT "Quadrant III", halfWidth/2, 3*halfHeight/2
ENDIF
! upper right quadrant
!
IF whichPeak = 1
WINPRINT 19, halfWidth1, 0, halfWidth, halfHeight
ELSE
STRPRINT "Quadrant I", 3*halfWidth/2, halfHeight/2
ENDIF
! lower right quadrant
!
IF whichPeak = 4
WINPRINT 20, halfWidth1, halfHeight1, halfWidth, halfHeight
ELSE
STRPRINT "Quadrant IV", 3*halfWidth/2, 3*halfHeight/2
ENDIF
! Stop formatting this page and allow
! printing to start.
!
ENDPRINT
RETURN


Multiple-page printing

Example 14 is a collection of macros which work together to print graphs of calibration curves.

The STARTREPORT command is called to initialize quant report control information using a QuantResults file. GETRESULT retrieves information about the current compound from the QuantResults file, and stores it in system variables. CALIBPRINT generates the graphs.

The STARTJOB and ENDJOB commands are employed to defer the printing of a multiple page printing task until the last page has been formatted. An assortment of variables are used to keep track of how much space is left on a page, so that a new page can be started when necessary.

See Error handling for a discussion of the error handling techniques used in this example macro.

Test this example in Data Analysis, after loading a method with a valid target compound database (~\msdemo\rptmeth.m will do nicely because it contains just a few compounds. Note: [~] means the directory where ChemStation is installed. For a standard installation, this is \MSDchem.)

Example 14

! PlotCpnd: Print a single plot for compound cpndNum.
!
NAME PlotCpnd
PARAMETER cpndNum, numPerPage
! Difference of max row and current row, minus 2 for footer
!
IF ROW-ROWNUM-3
! Not enough room for next plot. Paginate.
! DoFooter
ENDPRINT
STARTPRINT
PrintTopHeader cpndNum, numPerPage
ENDIF
! Format the plot for the current compound,
! as determined by cpndNum
!
CALIBPRINT STARTCOL, ROWNUM, COL-STARTCOL-2, PLOTHEIGHT, cpndNum, RSLTFILE$
! The plus two is a correction
ROWNUM = ROWNUM PLOTHEIGHT 2
RETURN
! Cleanup: free system resources used for the
! calibration curve printing procedure.
!
NAME Cleanup
PARAMETER doall DEFAULT 0
IF doall = 1
ON ERROR
REMOVE RepAbort
ENDIF
ON ERROR
STARTPRINT
! Allow the fully formatted pages to be printed.
! ENDJOB
REMOVE STARTCOL, DOFOOTER
REMOVE COL, ROW, ROWNUM, CENTER, PAGENUM
REMOVE EQN1$, EQN2$
REMOVE EXP_RT, EXP_RT_HI, EXP_RT_LO, ISTD_AMT
REMOVE CAL_PK_FOUND, CAL_PEAKS, CAL_PK_AMT, CAL_FIT
REMOVE CAL_PK_RET, CAL_ISTD, CAL_TR, AMT_UNITS$, PEAK_NAME$
REMOVE Q1, Q1EVENTS$, Q1_HIRAT, Q1_LORAT
REMOVE Q1_PK_AREA, Q1_PK_RET, Q1_PU, Q1_RR
REMOVE Q2, Q2EVENTS$, Q2_HIRAT, Q2_LORAT
REMOVE Q2_PK_AREA, Q2_PK_RET, Q2_PU, Q2_RR
REMOVE Q3, Q3EVENTS$, Q3_HIRAT, Q3_LORAT
REMOVE Q3_PK_AREA, Q3_PK_RET, Q3_PU, Q3_RR
REMOVE UNC_TP, T0, T1, TGTEVENTS$, USEQIONS
REMOVE RSLTFILE$, STARTPLOTSROW
REMOVE PlotCpnd, PrintTopHeader
REMOVE Cleanup
! DoFooter: print date, time, and page number at
! bottom of page
!
NAME DoFooter
LOCAL page$, footerRow footerRow = ROW - 1
STRPRINT TIME$(),STARTCOL,footerRow
page$="Page "VAL$(PAGENUM)
STRPRINT page$,Col - 8,footerRow
PAGENUM = PAGENUM 1
RETURN
! RepAbort: Report abort and error handler
!
NAME RepAbort
ON ERROR
LOCAL saveerror, saveerror$
saveerror$ = _ERRMSG$
saveerror = _ERROR
Cleanup 0
!assign correct error message
!
VARLOCK OFF
_ERROR = saveerror
_ERRMSG$ = saveerror$
VARLOCK ON
PRINT _ERRMSG$
!
! Fall out of this macro: no RETURN
!

! PrintTopHeader: At top of page, print time of last
! update, and number range of compounds on this page.
!
NAME PrintTopHeader
PARAMETER cpndNum, numPerPage
LOCAL updatestr, numstr, lastonpage
updatestr = "Calibration Curves Last Updated: " CAL_UPDTIME$
STRPRINT CAL_TITLE$,CENTER-LEN(cal_title$)/2,1
STRPRINT updatestr,CENTER-LEN(updatestr)/2,2
lastonpage = cpndNumnumPerPage-1
IF lastonpage > CAL_PEAKS
lastonpage = CAL_PEAKS
ENDIF
IF cpndNum = lastonpage
SPRINT numstr USING "Curve for Compound # (of #)",cpndNum, CAL_PEAKS
ELSE
SPRINT numstr USING "Curves for Compounds # to # (of #)",cpndNum,lastonpage,CAL_PEAKS
ENDIF
STRPRINT numstr,CENTER-LEN(numstr)/2,3
ROWNUM = STARTPLOTSROWRETURN
! PrintAllCurves: Main routine for curve printing procedure.
NAME PrintAllCurvesLOCAL count, numPerPage
RSLTFILE$ = _datapath$ _datafile$ "\quant.res"
ON ERROR RepAbort
FILESIZE RSLTFILE$
IF size = -1
GENERATE ERROR 1, "No results file available!"
ENDIF
STARTREPORT RSLTFILE$
STARTCOL = 2
STARTPLOTSROW = 6
PLOTHEIGHT = 16
ROWNUM = 0
PAGESIZE COL,ROW
CENTER = (COL - STARTCOL)/2
CURVEPLOTSIZE = 18
numPerPage = TRUNC((ROW - STARTPLOTSROW) / CurvePlotSize)
! Begin multiple page formatting job. The argument is a
! title for the job list in the Print Manager
!
STARTJOB _METHFILE$"CalCurve"
PAGENUM = 1
STARTPRINT
cpndNum = 1
PrintTopHeader cpndNum, numPerPage
count = CAL_PEAKS
WHILE cpndNum <= count
GETRESULT ,cpndNum,RSLTFILE$,FULL
PlotCpnd cpndNum, numPerPage
cpndNum = cpndNum 1
ENDWHILE
IF TRUNC(CAL_PEAKS/numPerPage) - CAL_PEAKS/numPerPage<> 0
DoFooter
ENDPRINT
ENDIF
Cleanup 1
PRINT "Calibration Curves Generated !"
REMOVE PrintAllCurves


Other examples of macros

If you are interested in writing macros to do customized reporting of results in Data Analysis, read the online help sections on the GETRESULT, GETSCALARS, GETSCALARS INDEX, GETSCALARS POINT, and GETSCALARS RESULTS commands, including the lists of the system variables set by these commands. Also, examine the following files:

Example 15

~\msdemo\dftpp625.m\deuser.mac

Example 16

~\msexe\qual_rpt.mac

where [~] is the directory where ChemStation is installed (\MSDchem for a standard installation).

Dftpp625.m\deuser.mac is of interest because it uses GETSCALARS, GETSCALARS POINT, GETSCALARS INFO, and the system variables these commands set. To test the macros in the file, first start Data Analysis, choose Load from the File menu, and select the dftpp625.d file in the \msdemo directory. Then use the MACRO command to load \msdemo\dftpp625.m\deuser.mac, and execute the macro run_method_test.

Msexe\qual_rpt.mac is important because it prints the results of a library search and uses GETSCALARS RESULTS and the system variables set by that command. The macros in msexe\qual_rpt.mac can be tested by loading a data file and choosing Library Search Report from the Spectrum menu.


Error handling

The ON_ERROR command can be used to mitigate the effects of execution errors in a macro. Typically ON_ERROR is called to arrange for a special trap macro to be executed in the event of an error. It is difficult to write trap macros because, to some degree, they must act blindly. One can seldom anticipate all the error situations that might occur. Also, the possibility of errors happening during the execution of the trap itself has to be considered with extra care.

Sometimes the trap can be written so it will repair a problem and restart the normal chain of instructions. More often it will just save partial results and perform reinitialization or cleanup procedures before allowing the macro that got the error to be terminated. Example 14 earlier in this chapter illustrates this second type of trap. Basically, it has the following form:

Example 17

1 NAME PlotCpnd
2 ((Print a single plot for compound cpndNum))
3 RETURN
4 NAME CleanUp
5 PARAMETER doall DEFAULT 0
6 IF doall = 1
7 ON_ERROR
8 REMOVE RepAbort
9 ENDIF
10 ON_ERROR
11 STARTPRINT
12 ENDJOB
13 ((Remove variables and macros to conserve memory))
14 REMOVE Cleanup
15 NAME DoFooter
16 ((print time and page number at bottom of page))
17 RETURN
18 NAME RepAbort
19 ON_ERROR
20 saveerror$ = _ERRMSG$
21 saveerror = _ERROR
22 CleanUp 0
23 VARLOCK OFF
24 _ERROR = saveerror
25 _ERRMSG$ = saveerror$
26 VARLOCK ON
27 PRINT _ERRMSG$
28 ! Fall out of this macro
29 NAME PrintTopHeader
30 ((Print header at top of page.))
31 RETURN
32 NAME PrintAllCurves
33 ((Initialize))
34 ON_ERROR RepAbort
35 IF size = -1
36 GENERATE_ERROR 1, "No results file available!"
37 ENDIF
38 ((Initialize))
39 WHILE cpndNum
40 ((format graph for current compound))
41 ENDWHILE
42 CleanUp 1
43 REMOVE PrintAllCurves

Note The line numbers in the above macro are included for reference only. Line numbers are not allowed in macros and will generate errors.

The following discussion assumes that you are familiar with the ON_ERROR and GENERATE_ERROR commands. See online help for more information.

In Line 34 above, RepAbort is installed as the trap to be executed if an error occurs during the execution of PrintAllCurves. RepAbort makes sure that the error message and error number accurately reflect the problem that caused the print job to abort, calls CleanUp, puts the error message on the message line of the main application dialog box, and then causes execution to terminate. CleanUp prints all the fully formatted pages and then frees memory that has been allocated to the printing task.

The first call made by RepAbort is the ON_ERROR on Line 19. This command specifies that no trap is to be called when an error occurs. If an instruction in RepAbort can't be executed, the command processor will simply go on to the next one. In many macros, calling ON_ERROR with no argument would be a very bad idea. However, such calls are commonly made in macros used as traps. There are few alternatives.

Omitting the ON_ERROR command entirely is dangerous. If this were done, an error in RepAbort would stop it. The error condition would then be passed back to the caller, PrintAllCurves. Then RepAbort would be called again, because it is the trap specified by PrintAllCurves. After that, the error in RepAbort would probably happen again. This could lead to a runaway cycle of calls and errors.

A second trap macro could be specified in the call RepAbort makes to ON_ERROR, but that would only move the problem without solving it. One would still have to decide whether to use ON_ERROR in the second trap, and how to use it.

Using the call ON_ERROR GENERATE_ERROR is a viable alternative. If this call were made in RepAbort, then all execution would stop when an error occured.

Both ON_ERROR and ON_ERROR GENERATE_ERROR are reasonable ways of handling errors in trap macros. The latter is more conservative, and would be advisable in situations where harm could be done by continuing after an error. In RepAbort and CleanUp, there is really nothing to be lost by just continuing blindly on.

On Lines 20 and 21, RepAbort saves the current error message string and error number as a precaution. If another error occurs while RepAbort and its callee execute, the message and number for the new error will overwrite the contents of the reserved variables _ErrMsg$ and _Error. Saving the contents of these variables insures that the error message printed by RepAbort will give the user or caller of PrintAllCurves a more accurate representation of what went wrong. Printing the error message last, before exiting, is a good idea because it minimizes the chance that some other message will overwrite this one before it is read.

RepAbort next makes a call to CleanUp on Line 22. CleanUp has to be carefully written, because it is also called by PrintAllCurves at the end of a normal run.

The ON_ERROR calls in CleanUp are made for the same reasons that ON_ERROR is used in RepAbort.

STARTPRINT is called on Line 11 to cancel the printing of any pages that have not been completely formatted. When CleanUp is called from RepAbort, this can have the effect of cancelling the printing of the current page, because there may not have been a call to ENDPRINT made since the last call to STARTPRINT.

The call to ENDJOB on Line 12 causes all the fully formatted pages to be printed. Placing one call to ENDJOB in CleanUp, and no call to it anywhere else, is a good strategy. This way RepAbort can use it to print all salvagable pages, and there is no danger that two calls to ENDJOB will be made.

After a return from CleanUp to RepAbort, RepAbort restores the error information and prints the error message. In order to allow all execution to stop at this point, it does not call RETURN. If it called RETURN, the command processor would attempt to continue execution of PrintAllCurves at the instruction following the one that caused the error. The strategy employed here is to stop after preserving what has already been formatted.


Chapter 6 -- MS ChemStation Commands by Category

This chapter contains lists of MS ChemStation commands by category. Use this chapter to learn about which commands can be used for various tasks. You can also use the listings to learn about related commands. Some commands appear in more than one list.

For complete information on all MS ChemStation commands, use the online help.

Window output and position

Menu definition and control

File system

Array, matrix and set operations

Arithmetic

String object support

Microsoft Windows DDE

Other operating system services

Command processor utilities

Macros and control flow

User interaction

Instrument data extraction (Data Analysis only)

Instrument data display (Data Analysis only)

Instrument data manipulation (Data Analysis only)

ChemStation integration (Data Analysis only)

RTE integration (Data Analysis only)

Qualitative analysis and mass spectral databases (Data Analysis only)

Target compound identification and quantitative analysis (Data Analysis only)


Window output and position

CMDLINE

CPTITLE

CPTITLE$( )

ECHO

ECHOMODE

GETWINLOC

PRINT

SPRINT

WINMOVE

WINSIZE


Menu definition and control

MENUBEG

MENUCMD

MENUCMDFN

MENUEND

MENUHLP

MENUNEW

MENUSEP

MENUSTP

MENUVAR


File system

CLOSE

COPY

DELETE

FILEATTRIBUTES$( )

FINDFIRSTFILE( )

FINDNEXTFILE( )

FILESIZE

FILESTAT( )

FREESPACE( )

GETCWD$( )

INPUT #

MKDIR

OPEN

PRINT #

RENAME

RMDIR

SELECTFILE


Array, matrix and set operations

ARRAYSTAT( )

COLS( )

DIM

INSERT

JOIN

NUM( )

PULLOUT

ROWS( )


Arithmetic

ABS( )

BIT_AND( )

CEIL( )

EXP( )

FLOOR( )

LN( )

LOG( )

MOD( )

ROUND( )

SQR( )

SQRT( )

TRUNC( )

VAL$( )


String object support

EQSTR( )

INSTR( )

LEN( )

LOWER$( )

UPPER$( )

VAL( )


Microsoft Windows DDE

DDEADVISE

DDEEXECUTE

DDEINITIATE ( )

DDEPOKE

DDEREQUEST

DDETERMINATE


Other operating system services

DATE$( )

DOSRUN

EXEC( )

GETINIINT( )

GETWINDOWID

MTIME( )

PRINTTEXTFILE

SLEEP

TIME( )

TIME$( )


Command processor utilities

CHECK( )

COMMANDS

DLLINSTALL( )

GETINFO( )

HELP

LOGGING

RUNCLASS( )

TOPCMD

TOPDOT

VARLOCK

VERSION


Macros and control flow

BYE

ELSE

ENDIF

ENDWHILE

EVALUATE

GENERATE_ERROR

IF

LOCAL

MACRO

ON_ERROR

REMOVE

RETURN

WHILE


User interaction

ALERT

INPUT

INPUT6

LOADMETHPANEL

SAVEMETHPANEL


Instrument data extraction

AVERAGE

CHROMATOGR

EIC

FILE

SCAN

SPECTRUM

TIC


Instrument data display

_TAB

ALLCONT

ANNOTATE

CLEAR

CLIP

DRAW

FORMAT

MAKEBAR

MAKECONT

MENUSTATE( )

REFRESH

SETWINATTRIBUTE

STACK

TABULATE

WINDOW

WINEXIST( )

WINPOSITION

ZOOM

ZOOMOUT


Instrument data manipulation

operator + ( )

operator- ( )

operator* ( )

_GET

_NML

_XFM

BSB

CLEAR

GETSCALARS

MSCLIP

MSTRUNC

NORMALIZE

PEAKNUMBER

PEAKVARS

POINTS

RECALL

SAVEMISC

STORE

SUBZERO( )

TRANSFORM


ChemStation integration

AUTOINT

AREAREJECT

AREASUM

BASELINE

CLREVENTS

EDITEVENTS

INITREJECT

INITTHRESH

INITWIDTH

INTEGRATE

INTEGRATOR

NEGPEAKS

PEAKWIDTH

SAVEEVENTS

SHOULDERS

SOLVENTS

TANSKIM

THRESHOLD


RTE integration

MI

RTEINT

RTEINTPARMS


Qualitative analysis and mass spectral databases

EDITHEADER

EDITSTRATEGY

FINDBYCAS

GETMSREF

MW

PBMSEARCH

QUALPARMS

QUALRPTOPT

SAVESTRATEGY

VIEWPBMTEXT


Target compound identification and quantitative analysis

ADDPEAKS

CALIBPRINT

CLEARCPNDS

CPDANALYZE

DELLEVEL

DLGQDBSETUP

EDITCPNDS

ENDSET

EXPORTRSLT

GETCOMPOUND

GETRESULT

LOADQUANTMETH

PCTRPTOPT

PUTCOMPOUND

QUANTPARMS

QUANTRPTOPT

RECALIB

SETUPCALIB

STARTANALYSIS

STARTREPORT

STARTSET

UPDATECALIB

UPDATERSLT

VIEWCALCURVE


Hpmsduntitled00000458

A-B

ALS

amu

Amu Gain

Amu Offset

Annotate

Autotune

Average spectra

BFB

BNA compounds


Hpmsduntitled00000459

C

Calibration

Calibration curve

Calibration level

Calibration level ID

Calibration sample

Calibration table

ChemStation integrator

Chromatogram

CI mode

Clipboard

Continuing calibration

Curve fits


Hpmsduntitled00000460

D

Daily calibration

DFTPP

Dwell time

Dynamic ramping


Hpmsduntitled00000461

E-F

EIC

Emission

EMVolts

EntLens

Environmental analysis protocol

External standard calibration

Extracted ion chromatogram

Filtered raw data

Forward search


Hpmsduntitled00000462

G-I

HED

Initial calibration

Integration

Internal standard

Ion Focus

ISTD


Hpmsduntitled00000463

J-L

JCAMP

Library

LSC


Hpmsduntitled00000464

M-O

Macro

Mass Gain

Mass Offset

Mass spectral library

Mass spectrum

Matrix

Matrix spike

Matrix spike compound

Matrix spiking

Method

m/z


Hpmsduntitled00000465

P-Q

Parametric retrieval

PBM search

Percent Report

PFTBA

PFDTD

Qualifier ion

Quantitation database

Quantitative analysis

QuickTune


Hpmsduntitled00000466

R-S

Recalibration

Relative response factor

Repeller

RTE Integrator

Sample

Scan mode

Semivolatile compounds

Sequence

SIM mode

SIM ramping

Standard

Surrogate


Hpmsduntitled00000467

T-Z

Target ion

Target compounds

Target tune

Target tune compound

TIC

Time Reference Peak

Total ion chromatogram

Tune evaluation

Tune evaluation compound

Tuning

Unknown

VOA compounds

Xray(HED)


Troubleshooting a 5973 CI troubleshooting configured with CI

Troubleshooting a 5973 configured with CI

This section outlines the troubleshooting of 5973 MSDs equipped with PCI/NCI (positive/negative chemical ionization). Most of the troubleshooting information in the Troubleshooting the 5973 MSD also applies to CI MSDs.

Common CI-specific problems

Troubleshooting tips and tricks

Air leaks

Pressure-related symptoms (overview)

Poor vacuum without reagent gas flow

High pressure with reagent gas flow

Pressure does not change when reagent flow is changed

Signal-related symptoms (overview)

No peaks

No or low reagent gas signal

No or low PFDTD signal, but reagent ions are normal

Excessive noise or low signal-to-noise ratio

Large peak at m/z 19

Peak at m/z 32

Tuning-related symptoms (overview)

Reagent gas ion ratio is difficult to adjust or unstable

High electron multiplier voltage

Can not complete autotune

Peak widths are unstable


Automatic SIM Setup Dialog Box

The Automatic SIM Setup dialog box is displayed when you select Method / Generate AutoSIM Method in Data Analysis. This dialog box lets you automatically generate a SIM acquisition method from a quantitation method.

Min. Time between Peak and Group Start, 0-1 min.

This is the absolute minimum time that must exist between a SIM group switch time and the end of the last peak in the current group and the start of the first peak in the next group.

The units are minutes with a default of 0.017 min (1 sec). Making this parameter larger makes fewer groups.

Minimum # of Scans or SIM cycles on Peak

The SIM Setup algorithm will adjust the dwell times of the ions in each group to achieve the minimum number of Scan or SIM cycles on the narrowest peak in the group.

The default is 10 scans per peak for the smallest peak in the group. Making this smaller will increase the dwell times.

Group Start Location in Gap, 0-100%

The time between the end of the last peak in the current group and the start of the first peak in the next group is referred to as the "gap". The location of the start of the next group should occur somewhere near the middle (50%) of the "gap". A value of 60% to 70% will be more tolerant of peak tailing of the last compound in the previous group.

Making this parameter larger will start the Group times closer to the beginning of the first peak in a group; a value > 50% means closer to beginning of the next peak and allows for tailing. Making this parameter smaller (< 50%) starts the group closer to the last peak.

Peak Broadening Factor, 0-100%

The Peak Broadening Factor adds to the Minimum time between peaks and group start times. The amount of time added is equal to the Broadening Factor times the width of the first peak in the next group. This parameter may be used to compensate for peak tailing, degrading chromatography over time, or satuated components.

Making this parameter larger will decrease the number of groups and add more compounds into groups; preferentially those that tail.

Max Dwell Time per Ion in ms, 10-9999

If a group consists of one component with only one ion, the algorithm will calculate a relatively large dwell time based on the Minimum Scans or SIM cycles on Peak parameter. This parameter establishes a maximum dwell time per ion and can be used to ensure more scans across the peak.

Low (0) or High (1) Resolution SIM

Low Resolution SIM adjusts the MSD electronics to produce slightly broader mass peaks with slightly higher intensities, i.e., more sensitive.

High Resolution SIM adjusts the MSD electronics to product narrower mass peaks to minimize interference from adjacent masses. Operating in high resolution may require optimizing the ion masses to 0.05 amu.


Batch Reprocess Dialog Box

This dialog box is accessed when you select Batch Method / Batch Reprocess in Batch Mode Data Analysis.

Complete Batch

Will reprocess the complete batch using CURRENT method setpoints in exactly the same order as the data was first collected.

Calibrators First

Will run through the calibration procedure BEFORE processing the samples; this is helpful when calibrators are interspersed throughout the batch but final processing of samples needs to be performed after all calibration is updated.

Samples Only

Will reprocess only the samples.


Index

Contents Index


Content

Contents Index


5973 Mass Selective Detector Troubleshooting

General Symptoms

Chromatographic Symptoms

Mass Spectral Symptoms

Pressure Symptoms

Temperature Symptoms

Error Messages

Air Leaks

Contamination

Testing for a Dirty Ion Source


6890 GC Valve

Inject samples using a valve.

Specify the valve(s) you'll be using for injection by selecting Valve 1, Valve 2, or Dual.

A run will not start until the chromatographic instrument is ready.


7673 Injector Parameters

GC Injector Parameters

Use the GC Injector Parameters dialog box to specify the operating parameters for the GC Injector.

Specify whether you'll be using the front, the back, or both injectors. Click on the corresponding option button:

Use Front Injector - front injector parameters become available

Use Back Injector - back injector parameters become available

Use Both Injectors - parameters for both injectors become available

The selection you make here determines which injector parameters front, back, or both) are available for editing and saved with the method.

Contents of this Dialog Box:

Injection Volume

Washes

More Button (6890 GC)

Configuration Button

OK/Cancel/Help Buttons

Contents of this Dialog Box (for multiple injections with PTV Inlet):

Different GC Injector parameters are displayed for Multiple Injections.

Multiple injections are possible only with the Programmed Temperature Vaporization (PTV) Inlet Inlet and a properly configured G1513A GC Injector installed on an 6890 GC.

Select the Configuration Button on the Injector screen to configure the GC Injector for Multiple Injections.


A fan is disconnected or has failed

  1. Remove the upper and lower MSD covers.

    WARNING! Do not remove any other covers. Dangerous voltages will be present.

  2. Check the fan for the high vacuum pump. Make sure it is drawing air into the MSD.

  3. If the fan for the high vacuum pump is not working, check its wiring. Make sure is securely connected. If the fan is connected correctly and is still not working, replace it. See the MSD hardware manual for instructions for replacing the fan for the high vacuum pump.

  4. Check the fan in the electronics module (make sure air is blowing out of the electronics module).

    WARNING! Do not open the electronics module. Dangerous voltages are present inside. If the electronics module fan is not working, contact your Agilent Technologies service representative.


Abbreviating Commands

You may type a command using only the number of letters necessary to distinguish it from others in the current list of macros and commands. The system searches this list in the following order:

  • an exact match in the list of macros

  • an exact match in the list of commands

  • an abbreviated match in the list of macros

  • an abbreviated match in the list of commands.

Thus, the abbreviation for a command may vary. If you have added a macro with an abbreviation that matches a command abbreviation, the system finds the macro first. You can avoid this by using a naming convention for your macros in which the first two or three letters are unique in the list of system macros and commands.


About BSB Data

If you view a tabular listing of BSB data, you may observe differences due to the precision of data representation. The representational range for an MS object is a 32-bit signed integer. In a scan record, the representational capacity is only 14 bits of mantissa (and 2 of exponent in a packed 16-bit exponential representation). This can cause a relative rounding error of up to 2*2e-14 = 2e-13 = 1/8096.

BSB starts with a difference of two MS objects (31 bits of precision) and writes out a scan record in a new data file (14 bits of precision). When a scan record is later retrieved from the new data file, it has lost 17 bits of precision.

While this loss is not significant, the differences observed in a tabular listing of the background-subtracted spectrum versus the separate subtrahend and minuend scan records can be disconcerting unless you know about the precision limits.


Accumulating Integrated Peaks

After all signals are integrated, the integrated peak records are added to a peak list (via the ADDPEAKS command) and grouped by retention time (via the ENDSET command). Groups formed contain at most one peak with any given signal description (TIC or EIC m/z) by definition, but can contain many different peaks.

The user-specified Signal Correlation Window, which is given in minutes, determines the grouping. The algorithm produces a list of peak groups ordered by a group retention time calculated by the signal correlation algorithm.


Acquisition Status Indicator

Lets you tell at a glance the status of the current run (if any):

The system is loading the software. | Setting up the instrument(s).
A run is in progress | The run is over. Appears when Post Time was added to the oven temperature ramp.
An error occurred and stopped a run. | The system is idle (no run in progress); it is ready for an injection.
The system is configured as offline (no GC or mass spectrometer connected). |


Active sites in the sample path

Active sites can cause a number of symptoms. The most common symptom is peak tailing. Others symptoms include peak fronting and increased retention times.

  1. Replace the injection port liner with a new, deactivated liner.

  2. Make sure the liner is installed properly. Column fragments in the liner can cause peak tailing.

  3. Replace the injection port seal.

  4. Remove the column from the injection port. Break off the first 10 cm. Reinstall the column in the injection port.

See the documentation supplied with the GC for help with injection port maintenance.


Actuals Available

Following is the information that is monitored for each item in the Actuals Available list.

  • Actual: Actual value of monitored item, transmitted from the GC.

  • Setpoint: Target value for monitored item.

  • State: Ready state of instrument. If instrument is not ready, the current reason is specified.

Actuals Available

Actual

Setpoint

State
_______________________________________________________

Aux Pressure (3/4/5)

Aux Temp (1/2)

Column Flow (1/2)

_______________________________________________________

Current Run Time

Det Air Flow (F/B)

Det Anode Flow (F/B)

_______________________________________________________

Det H2 Flow (F/B)

Det Makeup Flow (F/B)

Det Ref Flow (F/B)

_______________________________________________________

Det Temperature (F/B)

Inlet Pressure (F/B)

Inlet Temperature (F/B)

_______________________________________________________

Inlet Total Flow (F/B)

MPV (multiposition) Position

MPV State (7)

_______________________________________________________

Oven Temperature

Signal Value (1/2)

Valve State (1 - 8)


Adding a 3rd and 4th Signal to a GC

To obtain four analysis signals for the GC, a 35900 must already be configured with the GC as a data collector to provide Signal 3 and Signal 4.

To use the additional signals:

  1. Prepare the analysis method in the usual manner for Signal 1 and Signal 2.

  2. Double-click on the (BMC ADC.bmp) icon of the GC instrument graphical interface to display and edit the 35900 Signal 3 and Signal 4 parameters. You can also access these parameters by selecting Instrument Control from the View menu.

  3. Edit the 35900 signal parameters as required by your analysis.


AdjParam Menu - CI Tune (5972 MSD)

The AdjParam menu lets you control all vital mass spectrometer parameters, while monitoring the effects in profile scans and spectra. You can also fine tune certain parameters by ramping their voltages and observing the effect on the three tune masses.

Edit MS Params | Takes you to the Edit Parameters dialog box.
Edit Acq Params | Takes you to the Acquisition & Display dialog box.
PCI Methane reagent masses | Quickly sets tune masses for examining the important methane reagent ions at 17, 29, and 41 amu.
PCI PFTBA masses | Quickly sets tune masses for examining the PFTBA masses for CI, 69, 219, and 414 amu.
PCI Isobutane reagent masses | Quickly sets tune masses for examining the isobutane reagent masses 57, 43, and 39 amu.
PCI Ammonia reagent masses | Quickly sets tune masses for examining the ammonia reagent masses 18, 35, and 52 amu.
Purge Cal Valve | Purges the PFTBA calibration valve and vial of air. This is used only for fresh installations.


AdjParam Menu - Target Tune

The AdjParam menu lets you control all vital mass spectrometer parameters, while monitoring the effects in profile scans and spectra. You can also fine tune certain parameters by ramping their voltages and observing the effect on the three tune masses.

Edit MS Params | Takes you to the Edit Parameters dialog box.
Edit Acq Params | Takes you to the Acquisition & Display dialog box.


Adjust Offset

If you are using an ECD or NPD, use the Adjust... button to adjust the detector's sensitivity.

Specify the following value(s) for the detector you want to adjust (click on any of them for details):

ECD: Adjust Offset, Hz

NPD: Adjust Offset, pA

Equib Time, min

If you want to begin the adjustment process immediately, use the Start button:

It will take about 10 - 30 minutes to complete the process. During this time, you may track adjustment progress by following the status messages in the message box. If you need to cancel the process, use the Abort button:

Once the adjustment process is complete, click OK to close the Adjust Offset dialog box.

If you choose not to start the adjustment process from this dialog box, click OK to close it. The adjustment will take place the next time you click on OK or Apply at the Instrument Control screen (see Buttons for additional details).


Adjust Offset, Hz

Specify a setpoint for detector sensitivity. The reference current will increase or decrease until the detector output frequency is stable and equal to the setpoint. The adjustment process takes about 30 seconds.

Use Adjust Offset to achieve the same baseline on different ECDs or to ensure a consistent baseline from day to day.

Note: If the detector output frequency while on baseline is less that 100 Hz, sensitivity will be reduced. Use Adjust Offset to increase output.

Valid Range: 20 to 200 Hz


Adjust Offset, pA

Specify a setpoint for detector sensitivity. The bead voltage will be adjusted until the detector output frequency is stable and equal to the setpoint.

Note: The adjustment process does not include turning on detector gas flows nor activating current to heat the bead.

Valid Range: 10 to 99 pA


AdvanceLink for Windows Script Files

Exit.ttx Exit from AdvanceLink

FromRTE.ttx Transfer from RTE

LoadRTE.ttx Load buttons and start script

NewPath.ttx Enter a new transfer path


Air Cooling On

To activate accelerated cooling with compressed air, select the Air Cooling On checkbox.

Other Items in this Dialog Box:

Gas

Heater

Ramps

Pressure

Total Flow


Air Flow, mL/min

To activate air flow to the detector, place an X in the On checkbox.

The Actual flow, which the GC transmits, is a read-only display.

EPC Setpoint: 0 to 800 mL/min


Air Flow, mL/min

To activate air flow to the detector, place an X in the On checkbox.

The Actual flow, which the GC transmits, is a read-only display.

EPC Setpoint: 0 to 320 mL/min


Air intakes to the cooling fan are blocked

Blocked air intakes can prevent the fan from efficiently cooling the diffusion pump.

  1. Remove the upper and lower MSD covers.

    WARNING! Do not remove any other covers. Dangerous voltages will be present.

  2. Check the air intake slots on the front of the lower MSD cover. Make sure they are not blocked.

  3. Check the safety grill over the fan. Make sure it is not blocked.

    WARNING! Do not remove the fan safety grill while the MSD is on.

See the MSD hardware manual for instructions for removing the MSD covers.


Air leak in the MSD

Look for mass spectral peaks associated with air (m/z 18, 28, 32, and 44 or m/z 14 and 16). If you find significant peaks at these masses, check for air leaks.


All Reports

This section of the dialog box applies to all reports. It lets you:

Include Non Target Peaks

Include Secondary Hits

This section also lets you omit detailed reports for target compounds that:

  • are missed (both modes)

  • have qualifiers ions out of range (GC/MS mode)

Check the corresponding box to exclude any of these items.


ALS - definition

ALS refers to the Automatic Liquid Sampler, which helps to automate the process of injecting samples. Once a vial is placed in the tray, the instrument can retrieve the vial, do sample and solvent washes and inject the specified amount of the sample.

The ALS provides for the automatic injection of up to 100 samples.


Ambient Temperature

Normal room temperature (in [image] C) of the laboratory.

The Ambient Temperature setpoint is used to set an optimal temperature setting for efficient use of cryogenic fluid. It determines the temperature at which cryogenic cooling is enabled:

  • Regular cryo operation is enabled at 35°C above the Ambient Temperature setpoint.

  • Quick cooling operation is enabled at 55°C above the Ambient Temperature setpoint.


amu - definition

amu (atomic mass units) are sometimes used to refer to the size of the ion fragments produced in the mass spectrometer. The precise term is mass-to-charge ratio, abbreviated m/z.


AMU gain or offset too high

Retune the MSD or reduce the amu gain and offset.


AmuGain (Parameter)

AmuGain affects the width of the mass peaks by adjusting the ratio of dc voltage to RF voltage on the mass filter. A higher value gives narrower peaks, but affects peaks at high masses more than those at low masses.

MSD | MIN | MAX | STEPSIZE
5972 / 6890 | 0 | 1023 | 1
5973 | 0 | 4095 | 1


AmuOffs (Parameter)

AmuOffs affects the width of the mass peaks by adjusting the ratio of dc voltage to RF voltage on the mass filter. A higher value gives narrower peaks at all masses.

MIN | MAX | STEPSIZE
0 | 255 | 1


Analyzing Data

How to

Display and manipulate chromatograms

Display and manipulate mass spectra

Perform a library search on a spectrum

Quantitate

Generate Reports

Review mixed mode data files

Annotate graphics displays

Copy a window to the Clipboard

Print chromatograms and spectra

Zoom in on chromatograms or spectra

Zoom out of chromatograms or spectra

Reference

Data Analysis Menus

GC and MS Alignment tool

DOLIST tool

DOSCAN tool

EASYID tool

Parametric retrieval tool

Peak Purity tool

QEdit


annotate - definition

Annotation may be added to any of the graphics windows displaying data in Data Analysis or Parametric Retrieval mode.

The mouse action for initiating an annotation is to click both buttons at the point where the annotation is to appear or disappear.


Annotate Dialog Box

This box is used when you are adding or deleting annotation from the graphics display.

Adding

Use Justify to place the text relative to the point you selected. Right justify means the text appears to the left of the point; left justify means the text appears to the right of the point.

Type the text that you want to appear on the graphics display. Press Enter on the keyboard, or click Add in the dialog box.

Deleting

The text you clicked on is displayed in the text box. Press Enter on the keyboard or click Delete in the dialog box.

See Also

Font Selection in the MS ChemStation


Anode Flow, mL/min

To activate anode purge flow, place an X in the On checkbox.

EPC Setpoint: 0 to 15 mL/min


Apply Button

Click on the Apply button to download parameters which are new or have been revised since the last time you clicked on Apply (or Edit Parameters...). The ChemStation will clear blue checkmarks and Xs.

Note: The ChemStation will not download any parameters until you have corrected all illegal values.


Apply Dilution Factors

Apply Sample Multiplier to:

This section of the dialog box allows you to selectively apply the sample multiplier entered in the acquisition software or the optional Quantitation Parameters dialog box. The sample multiplier is a multiplicative operation on the reported concentration. A sample multiplier of "2" will double the reported concentration of the affected compound types. The sample multiplier can be applied to:

  • Internal Standards

  • System Monitoring Compounds/Surrogates

  • Target Compounds

by checking the corresponding boxes.


Array Variable (Definition)

An array variable is a variable in which a set of values may be stored in either one or two dimensions. A one-dimensional array lets you assign a series of values to "slots" designated varname[1], varname[2], etc. A two-dimensional array contains slots designated varname[1,1], varname[1,4], varname[2,1], etc. depending on the dimensions of the array.

See the DIM and ARRAYSTAT commands for uses of array variables.


Assign New Column Inventory#

Each time you add a new column to your inventory, the ChemStation will prompt you to assign it a unique identification number called an Inventory#.

First Assignment

Decide on a system of numbering that is significant to you and enter a unique Inventory# for the first column.

Note: Using a system where the last characters of the Inventory# are numeric (for example, ABC123) will allow you to take advantage of the Increment button (see below).

All Other Assignments

A drop-down list displays each Inventory# that has previously been assigned to a column. You can:

  • enter a new number under Inventory# for new column, or

  • select an existing Inventory# from the drop-down list that ends in numeric characters and use the Increment button to derive the next highest unique Inventory#. The ChemStation will automatically display it under Inventory# for new column. For example, if you select the existing Inventory# ABC123, using the Increment button will produce the new Inventory# ABC124.

See Also

Add New Column to Inventory

OK/Cancel/Help Buttons


Assigning Values to Variables

Variables are often set by commands. For example:

SCAN 273

in Data Analysis assigns the value 273 to the variable Scan_Num and its corresponding retention time to the variable Ret_Time.

You can assign variables from the command line or in a macro by separating the variable from its value with an equal sign (=). When you are assigning a string variable, you must enclose the string in double quotation marks. For example:

Name$ = "Jane Doe"

You cannot assign values to reserved variables unless you first invoke the VARLOCK command.


AutoIntegrate - GC Only

AutoIntegrate

When you select Chromatogram / Autointegrate, the Data Analysis software will try to find the best integration parameters for the current chromatogram and integrate it for you. Autointegrate is a fully automatic, two-step process. If Autointegrate does not give satisfactory results, you may set the initial events yourself (using Chromatogram / MS (or GC) Signal Integration Parameters) and then select Chromatogram / Integrate.

How Autointegrate works

  • First Initial Area Reject is set to 0.

  • The best values of the Initial Events Threshold and Initial Peakwidth are automatically determined for the current chromatogram (the current setting of Shoulder Detection in the integration parameters dialog box is used).

  • The integration is performed using those initial events.


Autotune (5973 MSD)

Autotune

Autotune maximizes instrument sensitivity over the mass range, using PFTBA masses 69, 219, and 502. Use this tune for applications requiring maximum sensitivity that do not require the traditional abundance ratios of 100% m/z 69, 35 - 85% m/z 219, and 1 - 5% m/z 502. This tune is also a good starting point for manual tuning for DFTPP or BFB.

Available on the 5973 MSD.


Autotune - definition

Autotune adjusts all MSD parameters to predetermined target values. It finds the mass peaks, obtains adequate response and resolution, optimizes the response of mass 3, optimizes response and resolution of other masses, and obtains accurate mass assignments.

You will need to autotune when the mass spectrometer system is first set up and after any maintenance has been performed on the MSD.


Aux Channel

Select the auxiliary channel you want to configure or program. The parameters in the Aux dialog box will change depending on whether you've selected a thermal (#1 or #2) or pressure (#3, #4, or #5) channel.

Other Items in this Dialog Box:

Description

Heater (thermal channels)

Cryo Focus Configuration (option not available)

Type (thermal channels)

Pressure (pressure channels)

Gas (pressure channels)

Ramps


Auxiliary Button (6890)

Aux Button
Click this button to set the temperature for the transfer line.


Auxiliary Pressure Controller Configuration

Review the configuration information about the auxiliary pressure controller(s) installed on your 6890 Series GC. Respond to the best of your knowledge, then click OK.

Specify the gas you will use for the pressure controller(s) on your GC:

  • ArCH4 (argon methane 5%)

  • He (helium)

  • H2 (hydrogen)

  • N2 (nitrogen)

  • Air

Use Description of use to describe the controller's function in more detail.

For more information about auxiliary pressure controllers, see Aux.

OK/Undo/Help Buttons


Auxiliary Thermal Zone Configuration

Review the configuration information about the intended use of the auxiliary thermal zone(s) installed on your 6890 Series GC. The ChemStation will use the information to set the zone temperatures to an appropriate value for their intended use.

Specify the purpose for which you have set up the auxiliary thermal zone(s) on your GC, then click OK:

  • to heat a valve or an inlet in the Valve box, or

  • to serve as an MSD or AED Transfer line.

If you have configured the zone for another purpose, select Other.

Use Description of use to describe the zone's function in more detail, for example, "Switching Valve Heater."

For more information about auxiliary thermal zones, see Aux.

OK/Undo/Help Buttons


average spectra - definition

Average spectra The spectra (scans) that constitute the GC trace for a particular peak may be averaged to obtain a more representative spectrum for that peak and to reduce the contribution of random background noise to the spectrum.

The mouse action for obtaining an averaged spectrum is a right mouse button click-and-drag over the chromatogram retention time region of interest.


Average Velocity

Speed (in cm/sec) of gas flow through the column. The Actual speed, which the GC transmits, is a read-only display.


Back Button

When you have gone as far as you want into a subject, you can retrace your steps by using the Back button. Use this button repeatedly until you get back to a topic that includes related topics of interest.

If you find no related topics of interest, go to the Contents and select a different starting topic.


Background Data Analysis

A Report Manager session of Data Analysis is another instance of MSDA.EXE that runs in the background. Although Report Manager MSDA has all of the capability of Data Analysis, it lacks the menus of Environmental Data Analysis because Report Manager MSDA is designed to be controlled by Report Manager rather than an interactive user.


Bad connection between the triode gauge and the gauge controller

Make sure the cable is securely connected to the triode gauge and the gauge controller.

WARNING! Do not connect or disconnect the cable from the triode gauge while the gauge controller is on or while the MSD in under vacuum.

If other possible causes are ruled out, try replacing the cable.


Bad detector wiring connection

  1. Vent the MSD.

  2. Open the vacuum manifold.

  3. Check the detector (electron multiplier) wires. Make sure the connections are good. Make sure the wires do not touch any metal surfaces.

See the MSD hardware manual for instructions for opening the vacuum manifold.


Bad injection technique

Poor manual injection technique in the split mode can result in chromatographic peaks with split or ragged tops. Injections must be smooth and quick.


Bad ion source wiring connection

  1. Vent the MSD.

  2. Open the vacuum manifold.

  3. Make sure all wires between the feedthrough board and the ion source are securely connected.

See the MSD hardware manual for instructions for opening the vacuum manifold.


Bad signal cable connection

  1. Remove the upper MSD cover.

  2. Check the signal cable. Make sure it is firmly connected to the side board.


Bad triode gauge tube

  1. Turn off the gauge controller.

  2. Vent the MSD.

  3. Disconnect the cable from the triode gauge tube.

  4. Remove and inspect the tube. If the filament is broken, replace the tube.

See the MSD hardware manual for instructions for replacing the triode gauge tube.


Bead

To activate current that will heat the bead, place an X in the On checkbox.


Best Match Selection

At this point all peak groups that have been deemed as hits versus the target compound entry have been saved into a list with retention time, qualifier information, and integration information. It is now time to select from this list the one peak that will be an input to the Quantitation procedure.

The user has preselected the criteria for Best Match from the following Ident by list:

  • Retention Time only

  • Best QVALUE

  • Greatest peak response(largest area/height)

  • All Hits

  • A hybrid of Retention Time-based and Qualifier Ratio-based criteria

In this last option the results of the pass/fail test of qualifier ratios are considered for each hit. Among all hits that pass the test, the hit with Retention Time closest to E' is deemed the Best Match -- except when no hits pass the test, in which case merely the hit with Retention Time closest to E' is chosen as the Best Match.

The All Hits option considers all hits equal in standing and is to be used when the user will later manually determine the Best Match.


BFB - definition

BFB (Bromofluorobenzene) is used as the tune reference compound for volatile compound analysis (EPA method 624).


BNA compounds

BNA compounds are base/neutral/acid compounds that are prepared for analysis by extraction with an organic solvent. BNA compounds are also referred to as semivolatile compounds.


Bottle In Gripper

A bottle was already in the gripper when it received a request to move another vial. The probable cause is a previous stopped action. Remove the bottle in the gripper. ChemStation will also report this error if the bottle in gripper detector fails.


Buttons

Click on the Apply button to download parameters which are new or have been revised since the last time you clicked on Apply (or Edit Parameters...). The ChemStation will clear blue checkmarks and Xs.

Note: The ChemStation will not download any parameters until you have corrected all illegal values.

Click on the OK button to download parameters which are new or have been revised since the last time you clicked on Apply (or Edit Parameters...), and leave the Instrument Control screen.

Note: The ChemStation will not download any parameters until you have corrected all illegal values.

Click on the Cancel button to leave the Instrument Control screen without downloading any parameters which are new or have been revised since the last time you clicked on Apply (or Edit Parameters...).

Click on the Help button to display help relevant to the instrument dialog box that is currently open.

Help on other buttons is provided with the help relevant to their corresponding dialog box.


Calc Button

If you have selected a Det (detector) Source and use the Calc button, the ChemStation will:

  • automatically calculate an expected Minimum Peak Width [image] based on current column setpoints and flow [image] for your instrument configuration, and

  • set an optimal Data Rate value.

Note: The ChemStation will use the optimal values it calculates only for the duration of the run.

Contents of this Dialog Box:

Source

Data Rate

Minimum Peak Width

Save Data


Calculate / Generate Report

The first time you wish to quantitate a data file and generate a report, you must select Quantitate / Calculate. The quantitation results file (METHODNAME.RES) is stored in the data directory. If this file already exists, it will be overwritten. Modifications to the results file may be made by selecting View / QEdit Quant Result.

The report type and destination(s) are specified in the Quant Report Options (Quantitate / Generate Report) dialog box and use the options specified in Quantitation Report Options dialog box (Quantitate / Report Options).

Subsequent reports may be generated from the existing quantitation results file by selecting Quantitate / Generate Report. The report type and destination(s) are specified in the Quant Report Options dialog box and use the options specified in Quantitation Report Options dialog box.

Note: Quantitate / Calculate always generates a summary to the screen.


Calibrate 1

 If you can estimate the length of the column, use the Set Length... button to calibrate based on the column's estimated length and most recently calibrated diameter (if the column has never been calibrated, its nominal diameter will be used).


Calibrate 2

 If you have trimmed the column, measure the length of the piece you removed. Use the Adjust Length... button to calibrate based on the length of the trimmed amount and the column's most recently calibrated diameter (if the column has never been calibrated, its nominal diameter will be used).


Calibrate 5

 If you want to use nominal values for 6890 Series GC and ChemStation pressure and flow calculations, use the Reset to Original Manufacturer's Specs button to replace the current calibration data with the manufacturer's specifications.


Calibrate 3/4

 If you have measured the holdup time of an unretained peak (also known as "dead time"), you can:

  • use the Calc Length... button to calibrate based on your measurement and the column's most recently calibrated diameter (if the column has never been calibrated, its nominal diameter will be used).

  • or use the Calc Diameter... button to calibrate based on your measurement and the column's most recently calibrated length (if the column has never been calibrated, its nominal length will be used).


Calibrate Menu - CI Tune (5973 MSD)

Calibrate Menu - CI Tune

5973 MSD configured for CI only. The Calibrate menu lets you calibrate the mass axis and abundances.

Mass axis | Calibrates the mass axis.
Mass #2 / Mass #3 widths | Calibrates the mass spectral peak width to 0.5+/-0.06 amu (width at one-half of peak height).
Adjust abundances | Adjusts the tuning mass with the largest abundance to an acceptable value.


calibration - definition

Calibration is the process of defining instrument response to a known amount of a particular compound. The resulting calibration curve is used to quantitate the amount of that compound in a sample of unknown concentration.

The instrument response measured for chromatographic data is integrated peak height or area. Mixtures of non-interfering (non-coeluting) compounds can be used to define the response of many compounds in a single calibration; retention times and response factors for the compounds are then placed in a calibration table.


Calibration Curve - definition

A calibration curve is a graph of the concentration and response data obtained from one or more calibration samples. The curve shows how a given compound responds in area counts to varying concentrations under the same instrument conditions and in the presence of constant concentration of an internal standard (if present).

To provide reliable results, a calibration curve should have at least two levels that bracket the amounts expected to be found in the unknown samples.


Calibration Data File

The name of the current data file is displayed. This data file will be the source of the calibration data to be added to the quantitation database.


Calibration Information

Curve Fit

A calibration curve fit specifies the mathematical treatment applied to calibration data (concentration/response) for a compound.

Select the desired curve fit. Many quantitation procedures require that a particular curve fit be used. If you did not specify the correct curve fit in the Quant Database Globals box during setup, you may change it here on a compound-by-compound basis or globally with Calibrate / Update/Global Update.

To view a calibration curve:

  • Once a compound has been calibrated, click Plot.

  • To determine the best statistical fit:

  • Look at the correlation coefficient in a linear fit. The closer the coefficient is to 1.000, the better the fit to the line chosen.

The terms of the equation used to calculate fit, together with other relevant data, are listed in this section of the box and also in the plot.

See Also

Weighted Linear Regression


Calibration Level - definition

A calibration level is one point on a calibration curve. It is defined by a concentration and a response corresponding to that concentration.


Calibration Level ID

Specify the level ID (number or name). When you are adding a level, the ID must differ from any used previously in the current quantitation database.

When you are recalibrating or deleting, the ID must exactly match (characters and case) an existing ID.

To see a list of previously used names in the current database:

Click on the arrow in the drop-down box.


Calibration Level ID - definition

A calibration level ID is the name or label that you use to keep track of the sample that was used to get the data for that level.


Calibration Sample - definition

A calibration sample is a sample containing a known concentration of the compound to be quantitated (target compound). It may also be referred to as a calibration standard or a standard mixture.


Calibration table

A calibration table is a collection of the amounts and responses for each target compound obtained from the analysis of calibration samples. The software allows for up to 20-level table based on the initial calibration as well as a level for the daily calibration.


Calibration Title

Optional. Enter a title if you wish. This will appear as a line in the title of each quantitative report.


Calibration valve is not working correctly

  1. Initiate an autotune.

  2. Listen for a click when the calibration valve is supposed to operate. If you don't hear the click, either the valve or the electronics controlling it are not working properly. Replace the calibration valve.

See the MSD hardware manual for instructions for replacing the calibration valve.


Calibration valve is not working correctly

The calibration valve may be partially plugged or otherwise malfunctioning. Check the other possible causes. If they are not responsible for the problem, try replacing the calibration valve.

See the MSD hardware manual for instructions for replacing the calibration valve.


Calibration vial is empty or almost empty

If the calibration vial is empty, you should see the error message: Not enough signal to begin tune or possibly No peaks found. If the vial is almost empty, you may instead see symtoms such as inconsistent peak widths.

  1. Remove the upper MSD cover.

  2. Check the PFTBA level in the calibration vial. If necessary, add PFTBA.

See the MSD hardware manual for instructions for refilling the calibration vial.


Carrier gas supply pressure is too low

The supply pressure should be at least 10 psi above the pressure setpoint. If it is not, increase the supply pressure. If necessary, replace the carrier gas supply.


Change Column 1/2

The ChemStation maintains an inventory of the columns that you use, and their specifications.

Any time you install a new or different column you must update your column inventory.

If you have installed a column that is:

  • not in your current inventory, click on the Add... button:

  • already in your current inventory, click on the Install... button:

OK/Help Buttons


Change Column 1/2

The ChemStation maintains an inventory of the columns that you use, and their specifications.

Any time you:

  • install a new or different column, or

  • need to calibrate a currently installed column (for example, after trimming its end) you must update your column inventory.

If you have installed a column that is:

  • not in your current inventory, click on the Add... button:

  • already in your current inventory, click on the Install... button:

If you want to calibrate the currently installed column, click on the Calibrate... button:

OK/Help Buttons


ChemStation Integrator - definition

The ChemStation integrator can satisfactorily integrate all types of chromatograms, including those with difficult baselines and negative peaks. You can control the integration process by setting integration parameters, usually referred to as "integration events".

Note: The ChemStation integrator cannot be used for GC/MS environmental analyses.


ChemStation Integrator Type Code

The first two characters show how the baseline was constructed by describing the baseline at the start and the end of the peak:

B = chromatographic baseline

H = horizontal baseline

P = baseline penetrated

V = valley dropline

The third character describes the peak integration:

A = aborted, distorted, over, under

blank = okay

The fourth character gives the peak type:

+ = area-sum peak

- = negative peak

S = solvent peak

T = tangent-skim peak

blank = normal peak


Choose Compound Name

This dialog box appears for each integrated peak in turn, after that peak has been library searched. Choices for compound names are:

  • The name of the best library hit without CAS number

  • The CAS numbers and names of the top three (at most) library hits

  • RT: XXX; Ion: XXX (retention time and major ion)

  • User Specified (you type in anything you choose)

Add | Lets you add the compound to the database and move on to the next peak.
Skip | Lets you skip over the compound and move on to the next peak. Using the Skip button three times in a row results in the prompt: You have selected Skip 3 successive times. Stop now? Selecting Yes creates a database with the compounds already added; selecting No will continue going through the chromatogram.
ISTD | Lets you flag the compound as an Internal Standard and moves on to the next peak.
Help | Displays the online help for this dialog box.

After you finish naming compounds, the software will prompt File has not been quantitated. Quantitate now? Clicking Yes quantitates the data file and displays the next dialog box.

Back to AutoQuant Setup


Chromatogram Scaling

Lets you scale the selected chromatogram(s) by the selected scaling method. This feature is accessed when you select Chromatogram / Chromatogram Scaling.

Select Signal to Scale

Lets you select which signal(s) to scale. In most cases you will only see one signal (the TIC or extracted ion chromatogram) unless you have loaded a data file that contains multiple signals. Select the signal and click OK to go to the next dialog box and select the scaling method. Once you select the scaling method and scale value, you will be returned to this dialog box. Click Done to scale the chromatogram or, if you want to scale the other chromatogram, select it and repeat this process. When you click Done, both chromatograms are scaled.

Select Scaling Method

There are three scaling methods you can use:

  • Enter Absolute Y-axis value Scales using the value entered as the Y-axis display maximum.

  • Largest Peak > entered RT Sets the Y-axis display maximum to the largest abundance in the data file after the value entered. This is useful when large solvent peaks exist in a data file.

  • Peak closest to entered RT Locates all peaks in the current signal, finds the closest peak to the entered value, and sets the Y-axis maximum to that peak’s response.


ChromEval Menu -- RTL

ChromEval Menu – RTL

This menu contains items for doing chromatographic evaluations of resolution, tailing, and degradation.

Evaluate Resolution | Calculates the resolution of two user-selected peaks.
Evaluate Tailing | Calculates the tailing of a user-selected peak in window #6.
Evaluate Degradation | Calculates the degradation of two user-selected peaks in window #6.


ChromEval Menu--EasyID and QEdit

This menu contains items for doing chromatographic evaluations of resolution, tailing, and degradation.

Evaluate Resolution | Calculates the resolution of two user-selected peaks.
Evaluate Tailing | Calculates the tailing of a user-selected peak in window #6.
Evaluate Degradation | Calculates the degradation of two user-selected peaks in window #6.


CI Mode - definition

CI mode refers to the chemical ionization setup for the MSD. This includes the chemical ionization ion source, flow controller, switch on main board, interface parts, and user-supplied reagent gas.


CI Tune Menus - 5972 MSD

CI Tune Menus (5972 MSD)

File | Lets you perform various file management and printing tasks.
Tune | For CI setup and autotune
Execute | Lets you examine mass spectral resolution and line shape
Calibrate | Lets you calibrate mass axis and abundances
Ramp | Lets you ramp mass spectrometer parameters.
AdjParam | Lets you set and monitor reagent and calibrant masses and purge the calibration valve.
Status | Allows you to review the status of the MSD.
View | Allows you to switch to the Instrument Control view.
Abort | Aborts the current process.


CI Tuning - 5972 MSD

The CI Tune view is accessed from Instrument / Perform MS Autotune menu item in Instrument Control. CI tuning allows you to adjust the MS parameters for operation in the chemical ionization (CI) mode (available only on MSDs equipped with the chemical ionization accessory). Refer to the CI Accessory Hardware Manual for proper setup for chemical ionization and CI tuning.

How to

Set up and tune for CI

Set and monitor reagent and calibrant masses and purge the calibration valve

Reference

CI Tune Menus


Click Contents button

Click the Contents button to go to the Help Topics window.


Clipboard - definition

Clipboard refers to a temporary holding area provided by Microsoft Windows for an item copied from a Windows application. A copy or cut operation puts the selected item on the Clipboard, replacing whatever was previously there. This item can then be picked up by another application with a paste operation.


CO Next Compound

CO Next Compound brings up the next compound in the file. You can also double-click the right mouse button in the compound information window (window #7) to perform this function (to go to the previous compound, double-click the left mouse button in the compound information window).


Column 1/2

If you have just installed a new or different column in this position on your 6890 Series GC, click on the Install or Change Column... button to identify the column:

Review the configuration information about the currently installed column. Respond and then click OK.

Click on any of the following for details:

Column Inlet/Outlet

Installed Column

Manufacturer's Specifications/Column Dimensions

OK/Undo/Help Buttons


Column 1/2 Information

Following are the current setpoints that define the column you have selected for injection. The ChemStation uses these values to determine flow and temperature setpoints. Click on any of them for details:

Length

Diameter

Film Thickness

Max Temperature

To continue the Quick Setup process:

Go to the next dialog box.

Return to the previous dialog box.

To create and display the Quick Setup method:

To cancel the Quick Setup process:


Column bleed

Column bleed occurs primarily during temperature programmed runs. Check for ions characteristic of column bleed in the mass spectra. If the ions are present, remove the column from the GC/MSD interface and condition it.

See the MSD hardware manual for instructions for conditioning a capillary column.


Column Compensation Detector

Specify which detector (front or back) you will use for Curve 1 and for Curve 2 (relative to columns 1 and 2) when you make column compensation runs. (For more information on column compensation runs, see StartColumnCompRun.)

Other Items in this Dialog Box:

Pressure Units

Lock Keyboard


Column Connections

The Quick Setup method will effect a single 1-microliter injection using the column you select (1 or 2).

Note: A column selection option will be dimmed (not available) if the column is connected to a nonEPC inlet or the column connection is incomplete (for example, if a column is connected to an inlet but not to a detector).

For each column you have installed, the ChemStation will display:

  • the inlet and the detector it is connected to, and

  • the carrier gas you have configured for the inlet (He, H2, N2, or ArCH4).

If you are using a split-splitless inlet, specify a Split or Splitless mode of operation for the Quick Setup injection.

To continue the Quick Setup process:

Go to the next dialog box.

Return to the previous dialog box.

To create and display the Quick Setup method:

To cancel the Quick Setup process:


Column film thickness mismatched with analyte concentration

The analyte concentration is too high for the film thickness of the current column. Make sure the analyte concentration and column film thickness are compatible.


Column flow has been reduced

If the column flow has been reduced, the retention time will be longer.


Column has been shortened

Each time you install the column in the injection port or detector interface, you cut off a small piece. These reductions in column length will reduce retention times (especially on shorter columns).


Column Inlet/Outlet

Select one from each list to specify how the column is connected:

Inlet | Outlet
Front Inlet | Front Detector
Back Inlet | Back Detector
Aux 3 | MSD
Aux 4 | AED
Aux 5 | Other
Unspecified |

If there is no column installed in this position, select Unspecified from the inlet list and Other from the outlet list.


Column is getting old

Check the number of injections the column has processed. There is no firm rule about how long a column will last but columns gradually loose small amounts of their liquid phase. This reduces retention times.


Column or septum bleed

Check the mass spectra for ions related to column or septum bleed.

If the mass spectra indicate column or septum bleed, take the following steps:

  1. Vent the MSD.

  2. Remove the column from the GC/MSD interface.

  3. Condition the column.

  4. Bake out the septum. Increase the injection port temperature until the baseline falls to an acceptable level.

Caution

Do not exceed the temperature limits of the column or septum.

See the MSD hardware manual for instructions for venting the MSD and conditioning a column.


Column plugged or crushed by overtightened nut

Columns can be crushed by overtightening the nuts at either the injection port or the GC/MSD interface. Columns can also be plugged by column fragments. Check both ends of the column. If necessary break off the first few centimeters of each end of the column (remember, this will change retention times slightly).


Column Type

Specify whether this is a Capillary or Packed column. If you select Packed, Length, Diameter, and Film Thickness will be dimmed.


Columns Button - 6890

Columns Button
Click this button to configure columns and set up ramped flow and pressure programs.


Commercial Libraries

The following commercial libraries can be purchased for use with the MS ChemStation PBM search features:

  • Wiley Library - G1035

  • NIST Library of Mass Spectra and Subsets - G1033

  • Pfleger/Maurer/Weber Drug Library - G1039

  • Pesticide Library - G1038

To view entries in these libraries (you cannot edit them):

  1. Select Spectrum / Edit Library.

  2. Select Select Library from the Edit PBM Library box and pick the library you want to view.

  3. Choose Edit Existing Entry from the Edit PBM Library box. You will be prompted for an entry number.


Comparison Algorithm

Each condensed spectrum selected from the database (reference spectrum) by the prefilter is compared with all peaks in the unknown spectrum (which has been normalized). The similarity of each reference spectrum to the unknown spectrum is evaluated as follows:

  1. Compare the abundances of each peak in the reference and the unknown by calculating r values:

r = unknown abundance/reference abundance

  2. Determine if the base peak of the reference spectrum is present in the unknown spectrum at a relative abundance greater than the value of the Minimum Estimated Purity parameter. If it is not, discard this reference spectrum as a possible match, and go to Step 1 to evaluate the next reference spectrum.

  3. Flag missing peaks. Missing peaks are those present in the reference but not in the unknown that are greater than the value of the Flag Threshold parameter. This does not apply to masses outside the scan range. If four or more peaks are missing, terminate this comparison, discard this reference spectrum as a possible match, and go to Step 1 to evaluate the next reference spectrum.

  4. Use the smallest r value to scale the reference spectrum.

  5. Calculate the confidence factor (K), the percent contamination (CON), and the reliability of the match.

  6. If tilting is on, apply the tilting function to the reference spectrum, and repeat Step 5.

  7. Retain the highest reliability factor found for this reference spectrum.

  8. Flag the r value just used, get the next smallest r and use it to repeat Steps 4-7. Repeat this until at least three r values have been flagged.

  9. Go to the next reference spectrum and begin at Step 1.

A list of 20 best matches is maintained while the comparison algorithm goes through the list of reference spectra generated by the prefilter.


Concentration / Response Data

Each time that a calibration file is processed and you add the new data to the database by clicking Do Update in the Update Calibration box, the level ID, concentration, and response are recorded here. A maximum of 20 entries is allowed. These are the data points used in the calibration curve.

Once they are recorded, you can edit them. (You might edit if you decide to manually integrate a peak after you've updated the calibration or if you need to override level concentrations for certain compounds.)


Concentration Units

This value is printed next to the calculated concentrations in the quantitative report for the unknown sample. It may be entered here on a compound-by-compound basis or in the Quantitation Database Globals dialog box. You may use up to 7 characters, but only the first 5 will be reported.


Condensed Spectra

The PBM search optimizes the mass spectral database in two ways:

  • Each spectrum is condensed when it is added to the library.

  • The condensed spectra are sorted for fast, easy retrieval.

To condense spectra

  1. Select the number of peaks (N) to be stored; this can range from 15 to 26 and is directly proportional to the molecular weight.

  2. Assign U+A values (significance) to all the peaks in the spectrum.

  3. Select the N most significant peaks for inclusion in the condensed spectrum. The following criteria must be met:

- The base peak must be included.

- The molecular ion must be included.

- Logical losses (such as 15, 36 from molecular ion) must be included.

- Illogical neutral losses and gains (such as 8 from molecular ion) are reduced in intensity.

  4. Choose a most significant peak based on the U+A values.

The condensing algorithm ensures that those peaks that are statistically most significant as well as those that are logically significant are retained in the condensed spectrum.

Sorting

The condensed spectra are ordered in the mass spectral database based on their most significant peaks.


Configuration Parameters Button

Configuration Button

Click on the Configuration Button to display the Injector Configuration dialog box.


Configure

To specify how you will use a valve (for example, to switch columns), select its Valve # (1 through 8) and then select the appropriate configuration Type from the following list. Click on any Type for more details.

Not configured

Multiposition

Gas Sampling

Switching

Other

Note: After configuring a valve, its On check box will become available. See Valve.

Other Items in this Dialog Box:

Valve


Constricted carrier gas line

Make sure the tubing is not pinched, bent, or otherwise constricted.


Constricted carrier gas tubing

Make sure the carrier gas tubing is not constricted. If the carrier gas tubing is constricted, an alarm may sound and a message may appear on the GC keypad.


Contents for Report Manager

Contents

Overview

How to

Configure Report Manager

Manage Report Systems

View Requests

Prioritize a Request

Delete a Request

Queue a List of Files

Import from an Outside Source

Reference

Menus

Glossary


Continuing Calibration - definition

Continuing calibration is a calibration sample run periodically for the purpose of verifying the calibration. The software requires that the calibration table include a continuing calibration level named CC. Continuing calibration is also referred to as daily calibration.


Copy / Paste Compounds

To copy a compound

  1. Within the Edit Compounds compound list, select the compound you wish to copy and click the View button.

  2. Click OK or Cancel. The compound information is now in a buffer.

  3. Scroll to the entry point in the compound list you would like to paste the information into and click Insert Above. The compound information selected in step 1 should appear.

  4. Make any changes you want (make sure to rename the compound to avoid duplication of compound names). Click OK and then click Yes to save the changes.

To move a compound to another location

  1. Within the Edit Compounds compound list, select the compound you wish to move and click the View button.

  2. Click OK or Cancel. The compound information is now in a buffer.

  3. Scroll to the entry point in the compound list you would like to move the information into and click Insert Above. The compound information selected in step 1 should appear in the new location.

  4. Type over one of the fields (for example, if Ret Time is 11.548, retype 11.548). Click OK and then click Yes to save the changes.

  5. Scroll back and select the original compound. Click the Delete button.


Copy or Print

To copy all of the display:

Click Copy or Print.

To copy a portion of the display:

  1. Click just below the last line to be copied or printed. This will move the flashing marker to this line.

  2. Move the pointer to the first line to be copied or printed.

  3. Press and hold the Shift key, and click the left mouse button. The portion you selected will be highlighted.

  4. Click the Copy or Print button.


Correlation Window

Used in processing the current data file to determine if peaks found during integration of the target and qualifier signals are due to the same chromatographic elution (i.e., have the same retention time). The units are minutes.


Create New Library

When you click Create Library in the Edit PBM Library dialog box, the Create New Library box is displayed. Once you have created a new user library, you supply its contents (see To Add a New Entry and the Library menu in Parametric Retrieval).

To create a new library

  1. Type a name (8 characters maximum) for the new library. The .L extension is added automatically.

  2. Click OK. The library will be placed in the directory shown above the text box.

To put the library in a different directory

Type the full path. You cannot put a library in a subdirectory more than 9 levels deep.


Create Quant DB Entries For Second Signal - GC Only

Once you have entered the compounds for a signal in GC mode, you can use Calibrate / Create Quant DB Entries for Second Signal to copy the list to the signal for the confirming run. At the end of the compound list for the first signal, a compound is added called Column #2. The compounds from the first signal are copied beneath this entry. #2 is added to each compound name. The Column #2 entry is only a place holder used to separate the compounds from the two signals. After creating the second signal entries, use Calibrate / Edit Compounds or View / EasyID to correct the retention times for the Column #2 signals.


Cryo Config

The PTV Inlet temperature can be reduced to -60 [image] C (with CO2 cooling) or to -160 [image] C (with liquid N2 cooling).

  • If the Cryo Config button is disabled, you must press [Config] [Front Inlet] on the 6890 GC front panel to configure the coolant type for the PTV Inlet.

  • If the 6890 GC oven is already configured for cryogenic operation, only the cryo type specified under the [Config] [Front Inlet] in the 6890 GC dialog, or none, will be available.

Cryo On

Selecting this box enables cryogenic cooling. If this box is blank, cryogenic cooling is turned OFF.

Cryo use temp

If the Cryo On parameter is selected, this is the upper limit of temperatures at which cryo cooling is used to hold the inlet at its setpoint. Above this value, cryogenic cooling is not used for temperature control.

Timeout Detection On

Cryo timeout occurs, and the inlet temperature shuts down, when a run does not start within a specified time (range 5 to 120 minutes, default 30 minutes) after the oven equilibrates. Turning cryo timeout off disables this feature. We recommend that it be turned on because cryo timeout conserves coolant at the end of a sequence or if automation fails. A Post Sequence method could also be used.

Fault Detection On

Shuts down the inlet temperature if it does not reach setpoint in 16 minutes of continuous cryo operation. Note that this is the time to reach the setpoint, not the time to stabilize and become ready at the setpoint.

Other Items in this Dialog Box:

Mode

Gas

Heater

Ramps

Pressure

Total Flow

GasSaver (if column is defined)


Cryo Configuration

The cryogenic valve lets you operate the oven below ambient temperature. Minimum attainable oven temperature depends on the type of valve installed.

When you do not need cryogenic cooling or when cryogenic coolant is not available, turn the cryogenic operation off. If this is not done, proper oven temperature control may not be possible, particularly at temperatures near ambient.

Specify the following configuration parameters for cryo operation. Click on any one of them for details:

Cryo On

Quick Cooling On

Timeout Detection On

Fault Detection On

Other Items in this Dialog Box:

Oven

Oven Ramp

Oven Configuration


Cryo Fault

On shuts down the oven if it hasn't reached the temperature Setpoint after 16 minutes of continuous cryogenic operation.

Off disables the Cryo Fault option.


Cryo Focus Configuration (option)

Cryo Focus Configuration (option not available)

The cryo focus unit is a trap that is installed inside the GC oven at the head of a capillary column and is crogenically cooled with either liquid N2 or liquid CO2. The cooled cryo focus unit condenses solutes and then volatilizes them using a fast heater. This process improves the peak shapes. Because temperature changes are localized within a 4-inch section of column, the cryo focus unit rapidly heats and cools while conserving coolant.

Cryo On

To enable the cryo focus unit, place an X in the Cryo On checkbox. When cryogenic cooling is not needed or coolant is exhausted, this should be turned off. You can time program the cryo focus as a Run Table event.

Timeout Detection On

When timeout detection is on, and a run does not start within the speciifed timeout period (min), the cryo focus unit shuts down. It is recommended that you keep Cryo Timeout set to On to conserve coolant.

Valid Time Range: 10 to 120 min

Fault Detection On

When fault detection is on, the cryo unit shuts down if the setpoint temperature is not reached after 16 minutes of continuous cryo operation. Note that this is the time to reach setpoint, not the time to equilibrate and be ready at the setpoint.

Other Items in this Dialog Box:

Aux Channel

Description

Heater (thermal channels)

Type (thermal channels)

Pressure (pressure channels)

Gas (pressure channels)

Ramps


Cryo On

Activates cryogenic (subambient) operation. Cryogenic cooling is enabled at 35 [image] C above the [image] C, Ambient setpoint you specify in this group box.


Cryo Timeout

Shuts down the oven and cryogenic (subambient) cooling when no run starts in the number of minutes specified by Timeout.

Select On to enable Cryo Timeout, or Off to disable it.


Curve Fit

The calibration curve fit is the mathematical treatment applied to calibration data (concentration-response) for a compound. If your quantitation procedure does not call for a specific type of curve fit, use weighted linear regression until you have completed the set up process and have viewed the calibration data and determined the need for one of the special fits.

The calibration curve fit selected here is specified for each compound added to the quantitation database during the current quantitation setup session. Compounds already in the database are unaffected.

To change curve fit for an individual compound:

Select Calibrate / Edit Compounds, change the setting in Page 1 of the Edit Compounds dialog box, and click OK.

To change curve fit for all compounds:

Select Calibrate / Update/Global Update, select the Curve Fit button, change the setting, and click OK.


Curve Fits - definition

There are six types of curve fits available:

  • Weighted Linear Regression

  • Linear Regression

  • Average of Response Factors

  • Quadratic Regression

  • Quadratic Regression forced through the origin.

Average of Response Factors uses the average of the response factors for all calibration levels as the response/concentration ratio for quantitation.


Daily calibration

Daily calibration is a calibration sample run periodically for the purpose of verifying the calibration. The software requires that the calibration table include a continuing calibration level named CC. Daily calibration is also referred to as continuing calibration.


 Data Analysis

For details, click on any of the following:


Data Analysis Menus

File menu

Method menu

Chromatogram menu

Spectrum menu

Calibrate menu

Quantitate menu

Tools menu

View menu


Data File Information

This lists the information from the header of the current data file that was included at the time of acquisition.

File

The name of the data file, including path.

Operator

Operator information as entered in the Acquisition - Sample Information or Start Run dialog box.

Acquired

The date and time the run was started.

Sample Name

The first 16 characters are the expected barcode as entered in the Start Run or Sample Log Table dialog box. The rest of the line is the sample name information as entered in the Acquisition - Sample Information, Start Run, or Sample Log Table dialog box.

Misc Info

This is the miscellaneous information as entered in the Acquisition - Sample Information, Start Run, or Sample Log Table dialog box.

Vial Number

The vial number as entered in the Start Run or Sample Log Table dialog box. The number is always 1 when the run is started from the Acquisition - Sample Information dialog box.

CurrentMeth

The name of the method file currently loaded in Data Analysis.


Data Filter Dialog Box

5973 MSD only. This box is displayed if no parameters are specified with the FILTERM command. This box lets you select the type of data response filter.

  • Standard resolution is recommended for scans below 500 amu.

  • The enhanced resolution filter provides better peak detection at high (greater than 500 amu) mass.


Data Point Weight for Linear Regressions

Quantitative GC/MS analysts have determined that "the most appropriate weighting factor is the inverse of the variance of the standard point, although 1/x, 1/y, and 1/x2 (x = concentration, y = response) are valid approximations of this variance". (See Kames, Shiu, and Shah, Validation of Bioanalytical Methods, Pharmaceutical Research, vol. 8, no. 4, 1991.)

You can select equal weighting, the inverse of concentration, or the inverse square of concentration.

To change the weighting for an individual compound:

Select Calibrate / Edit Compounds, change the setting, and click OK.

To change the weighting for all compounds:

  1. Select Calibrate / Update/Global Update. A box with six selections will appear.

  2. Select Set Other (via command) and click OK. You will be prompted to enter a command. Type one of the following commands and click OK.

linear_wt = 0 | for equal weighting
linear_wt = 1 | for 1/c
linear_wt = 2 | for 1/c^2


Data Points

The ChemStation measures the signal from a detector many times to determine each peak that is represented in a run.

A data point is the result of one of these measurements.

A chromatogram is actually a series of data points.


Data Rate

The rate, in terms of data points per second, at which the integrator samples analytical data. For example, a Data Rate of 10 Hz means that the integrator is sampling 10 data points per second.

Default Data Rate: 20 Hz

Note: The higher Data Rate is, the more storage will be needed for analytical data.

The GC can process data at 11 different Data Rates. Each Data Rate corresponds to a Minimum Peak Width. The table below lists the possible Data Rates along with the Minimum Peak Widths. Relative noise, detector suitability, and suggested column type are also listed.

ChemStation Signal Processing

Data Rate
(Hz)

Minimum
Peak Width
(minutes)

Relative Noise

Detector

Column Type

200.00

0.001

  3. 1

FID only

Narrowbore (50 [image] m) capillary

100.00

0.002

2.2

.

.

50.00

0.004

  1. 6

.

.

20.00

0.01

  1. 0

All types

.

10.00

0.02

0.7

.

.

5.00

0.04

0.5

.

.

  2. 00

0.1

0.3

.

.

  1. 00

0.2

0.22

.

.

0.50

0.4

0.16

.

.

0.20

  1. 0

0.10

.

.

0.10

  2. 0

0.07

.

Slow packed

Setting a Data Rate automatically determines a Minimum Peak Width. (The higher Data Rate is, the lower Minimum Peak Width will be.)

You cannot change the Data Rate during a run.

If you have selected a Det (detector) Source, see Calc button for additional information on data rates.

Contents of this Dialog Box:

Source

Minimum Peak Width

Calc Button

Save Data


Data Analysis

Selecting to edit the Data Analysis part of a method displays the Select Reports dialog box. The reports that are listed depends on your system configuration and whether you have the Custom Reports software installed:

Check the type of reports required by your method from the following:

Percent Report

Will generate an Area Percent report when the method is run. This report is sorted by retention time and can be sent to the screen, printer, and a text file name of your choice. You can also assign an integration parameter file (events file) to be used when generating the report. Type ? in the box for a list of events files.

Library Search Report Style

A library search report includes information from the data file, the search parameters, and the results of the search in the format selected:

  • Summary:The summary format provides a tabulation of the hits found for each peak.

  • Detailed: The detailed format lists the hits found for a peak followed by a plot of the searched spectrum and the #1 hit. Each peak begins on a new page.

Quant Report

Will generate a Quant report when the method is run. You can specify the type of report and its destination (screen, printer, file).

Custom Report

If you want to generate a Custom Report when the method is run, select this option. You will be prompted for the name of a Custom Reports template file (*.crt). Use the Quantitate menu in Data Analysis to access the Custom Reports software and design your template. In addition to selecting this option, you must generate a Quant Report.

Update Custom Database

This will automatically update the specified Custom Reports database for the method whenever the current data file (either manually or as part of a method) is quantitated. You will be prompted for the database file (*.crd). You must generate a Quant Report to use this option.


Database Capacity Considerations

The maximum capacity of a Custom Reports database is 250 columns by 16,000 rows. The practical capacity, however, may be limited by the performance of the data system. The entire database must be loaded into memory prior to adding any new data files. As the database size increases, it will take more time to load.

For example, on a 486/66 MHz computer with 16 Mbytes of memory, the following performance was observed when updating a database with 239 columns of data:

Entry number

Time to update (in seconds)

1

7

10

8

100

9

1,000

51

2,000

1,840 (about 30 minutes)


DC Pol (Parameter)

DC Pol sets the polarity of the direct current applied to the quadrupole mass filter. This parameter is set at the optimum polarity at the factory and should not be changed for normal use.


Default +/-

The default +/- time around the expected retention time specifies the time range that will be used to generate a chromatogram and integrate the peak for each compound.

A value from 0 to 5 minutes may be entered here; the default value is 0.5 minutes. This value will be used to specify the time range for each compound added to the quantitation database during the current session unless you change it in the Edit Compounds box for each compound. Compounds already in the database are unaffected.


Default Multiplier

This parameter is not used.


Default Sample Concentration

Used to report sample concentration amounts in percent. All results calculated for an unknown sample are divided by this concentration and multiplied by 100 before the report is printed. Units of concentration are replaced by % in the final report.

Zero is entered to indicate that the sample concentration is to be reported as an absolute value, not a percent. If you leave the field blank, zero will be used.

This parameter only works in Aromatics in Gasoline mode if the samples being analyzed are not gasoline samples or the appropriate gasoline information was not entered when the samples were collected.


Default vs. Initial Values

Default values are the values used (or the action taken) by the system when you do not enter values for optional parameters.

Initial values are values set by the system for a required or optional parameter.

Initial conditions are for software as it is shipped from the factory. Many features are controlled by macros that you may customize to meet your needs. Changes in these macros may lead to discrepancies between the initial values given in the online help and the actual conditions of your customized software.


Definition: chromatogram

The chromatogram produced by the MSD system is a plot of the ion abundance produced at each time point (scan) during the run. Two types of chromatograms may be displayed: a TIC (total ion chromatogram) or an EIC (extracted ion chromatogram)


Definition: parametric retrieval - definition

Parametric retrieval allows you to locate compounds in a spectral library based on specific criteria. The retrieval produces a list of compounds in the library that satisfy the specified criteria. You may then view the spectra of these compounds and compare them with the spectra from your samples.


Delay

A pause time, in seconds, between the injections of a series of multiple injections. This is added to the minimum hardware cycle time.

Valid entries: 0 to 120 seconds. The default entry is zero.

Other Items in this Dialog Box:

Inject (X) uL (Y) Times

Delay (current selection)

Washes


Description

Brief description of the column type.


Description

Type in a brief description to represent the function you have assigned to this auxiliary channel. The next time you open the Aux dialog box, the ChemStation will replace the auxiliary channel's label with your description.

For example, you could label auxiliary channel #3 "Gas Sampling" instead of "Pres Aux #3."

Other Items in this Dialog Box:

Aux Channel

Heater (thermal channels)

Cryo Focus Configuration (option not available)

Type (thermal channels)

Pressure (pressure channels)

Gas (pressure channels)

Ramps


Destination

Select one or more destinations for the library search report:

Screen

The report (text only) is displayed in Notepad.

Printer

The report is sent to the printer. This is the only allowed destination for a Detailed report.

File

The report (text only) is sent to the specified file.


Destination

Select one or more destinations for the quantitative report:

Screen

The report (text only) is displayed.

Printer

The report is sent to the printer.

File

The report (text only) is sent to the specified file.


Detailed Report

Includes plots of chromatograms and the calibration curve for each compound reported in addition to detailed information in text form. The destination is the printer.

General information provided includes:

  • Information from the data file

  • Quantitation settings

  • Number of compounds in quantitation database

  • A tabulation of time reference peak data (if any)

For each compound, information provided includes:

  • The information from the data file header

  • Quantitative results

  • Target and qualifier ion data (GC/MS only)

  • Curve fit type

  • Calibration curve fit equation with correlation coefficient (linear) or relative standard deviation (average RF)


Detailed Reports

Detailed Report Only

This section of the dialog box applies to detailed reports. It allows you to:

  • Select a Scan style or SIM (selected ions) style for the report (GC/MS only)

  • Omit graphics reports for Internal Standards and/or System Monitoring Compounds/Surrogates (both modes)

See Also

MULTITHUMB command


Detailed (Single Compound) Report

A detailed report with graphics for the specified compound. Enter the number of the compound as listed in the quantitation database. The destination is the printer.


Detailed (Text Only) Report

The top page includes information from the data file, quantitation settings, number of compounds in quantitation database, and a tabulation of time reference peak data (if any).

When Printer is the destination, for each compound there is a page with the information from the data file header, quantitative results, target and qualifier ion data, curve fit type and calibration curve fit equation with correlation coefficient (linear) or relative standard deviation (average RF).

For Custom Reports, select this format with the file DETAIL.XLS as destination.


Detector

Specify the detector that the column is connected to:

  • Front

  • Back

  • MSD

  • AED

  • Other

Other Items in this Dialog Box:

Mode

Inlet

Outlet psi/kPa/bar

Flow

Installed Column

Manufacturer's Specifications/Column Dimensions

Ramps


Detector is not working correctly

Increase the electron multiplier voltage. If increasing the voltage does not improve sensitivity, check other possible causes. If the electron multiplier voltage is at or near its limit (3000 V), replace the electron multiplier horn.

See the MSD hardware manual for instructions for replacing the electron multiplier horn.


Detector is not working correctly

Contact your Agilent Technologies service representative.


Detectors Button
Click this button to display a panel to control detector(s) installed on your 6890 Series GC.


DFTPP- definition

DFTPP (decafluorotriphenylphosphine) is used as the tune reference compound for semivolatile compound analysis (EPA method 625).


Diameter

Inner diameter or "id" (in micrometers) of the column. The ChemStation saves nominal Diameter with the method.


Diffusion pump fluid level is low

If its fluid level is low, the diffusion pump will not work effectively. Check the level of the fluid in the diffusion pump. If necessary, replace the diffusion pump fluid.

See the MSD hardware manual for instructions for checking and replacing diffusion pump fluid.


Diffusion pump heater cartridge has failed

The heater cartridge is not user replaceable. Contact you Agilent Technologies service representative.


Diffusion pump heater has failed

Contact your Agilent Technologies service representative.


Diffusion pump is not working correctly

Poor diffusion pump performance is usually caused by a low diffusion pump fluid level or contaminated diffusion pump fluid. It can also be caused by misaligned components in the diffusion pump stack. Misaligned stack components should be very rare since in normal operation and maintenance the stack is never removed. If the diffusion pump fluid level and condition are correct and the stack has not been removed recently, contact your Agilent Technologies service representative.


Diffusion pump is on but has not had enough time to reach normal operating temperature

It normally takes the diffusion pump 10 - 15 minutes to reach its normal operating temperature. It may take slightly longer if:

  • The laboratory is cooler than normal

  • The fluid level in diffusion pump is especially high

  • The foreline pump is not working as well as normal

  • Column flow is higher than normal


Diffusion pump stack is not aligned correctly

If the components of the stack in the diffusion pump are not correctly aligned, it can prevent the diffusion pump from reaching its normal operating temperature. The stack is not removed for normal maintenance so this should be fairly uncommon.


Diffusion pump temperature sensor is not working correctly

Contact your Agilent Technologies service representative.


Direct Mode

Direct sample introduction permits a quantitative transfer of analyte without risking contamination to the pneumatic system. It provides the sensitivity required for air toxics analyses. The interface's minimal dead volume also eliminates the potential interaction of solutes with poorly swept, active surfaces.

To operate in the direct mode, you must:

  • Physically disconnect the split vent from your inlet

  • Manually set the direct mode from the 6890 GC front panel

You cannot enter the direct mode from the ChemStation dialog. For instructions on performing these procedures, consult the 6890 Series Installation and Operating Guide for the Volatiles Interface.

Direct mode operating parameters

Parameter | Setpoint Range | Suggested Starting Value
Oven initial time | 0 to 999.9 minutes | > interface sampling end
Interface temp. | Ambient + 10C to 400C | > transfer line temp.
Interface sampling end | 0 to 999.9 minutes | 0.2 minutes longer than actual sampling time

See Direct Mode Pneumatics for more information.

Contents of this dialog box:

Gas

Heater

Pressure

Total Flow

Sampling End

GasSaver (if column is defined)


Direct Mode Pneumatics

Before Pre Run, the interface is forward pressure controlled; pressure is sensed downstream from the flow proportional valve.

During sampling time, pressure upsets caused by switching valves in the external sampler can cause fluctuations in column flow rates. To compensate for this, the interface is flow controlled during sampling time. The sampling flow rate is calculated from the pressure setpoint that is active when sample introduction begins. This flow mode starts when the 6890 GC goes into the Pre Run state (when the Pre Run light is on) and ends after the interface's Sampling end setpoint expires. Flow to the interface is measured by a flow sensor and controlled by a proportional valve.

After sampling time, the interface is forward pressure controlled; pressure is sensed downstream from the proportional valve.

You cannot control all setpoints in the flow system. If you change one setpoint, other setpoints may change to compensate.

When the Column is defined

If you change - These setpoints change

Pressure | Column flow* Total flow**
Column flow* | Pressure Total flow**

  • This setpoint appears on the column control table.

  • This value is actual only.

When the Column is not defined

Before and after sampling time the Column flow* setpoint is not available. You can change the pressure setpoint. Other setpoints are not affected.

During sampling time you cannot change pressure and flow setpoints during sampling time.


Directory Structure

You can configure and run up to four instruments with the MSD ChemStation, within the constraints of your CPU. Each instrument you configure uses a numbered directory corresponding to the instrument number. These instrument directories are under the MSDchem directory, e.g., c:\MSDchem\2 is the directory for the instrument you configured as #2.

Each instrument directory has a data, methods, and sequence subdirectory (in addition to any others).

The methods directory contains all of your methods. Each method is stored in its own .m subdirectory, which contains all of the files for the method, such as compound lists, calibration tables, reports, etc.

The sequence directory contains all of your sequence files (.s).


Dirty syringe needle

A dirty syringe needle is a very common cause of poor repeatability. If you are performing manual injections, wipe the needle with a clean, lint-free cloth or tissue dampened with your solvent before loading the syringe. Wipe off excess solvent after loading the syringe.


Display Menu -- RTL

Display Menu – RTL

This menu is available in MS mode only.

Normal | All ions are overlaid and manual integration can only be performed on the target signal.
Qualifiers | Signals are separated permitting manual integration for qualifiers if extended area quant has been selected for the current compound.
Exclude Zero Qualifiers | This menu item can be checked on or off. It determines how the screen report process evaluates a compound that is missing one or more qualifier ions. If this menu item is checked, any compound missing a qualifier will be excluded from the report.


Dual Tower Configuration and Sequencing

If two data files are to be collected simultaneously, the DualTwr keyword must be used in the Sample Log Table to set up a sequence. In this mode there are two lines in the sample log table that must be used for each dual injection. The first line is for the rear tower and sample, the second line is for the front tower and sample. The first line should be Sample Type=RearSamp or RearCal and the second line should be Sample or Calib. The Sample Name and Misc. Info entered into the RearSamp is placed in the GC data file. The Sample Name and Misc Info entered into the Sample is placed in the MSD data file.

If two ALS injectors are to be used, the method should be set up with ALS as the injection source and "Both Towers" as the injector.

Note If you use a dual tower configuration, make sure the MSD is configured as Front Inlet in the MS Configuration program.

See Also

Sequence File Examples


Dwell Time - definition

Dwell time is the product of sample number and integration time. To increase signal a fixed integration time of 235 µs is used for SIM data in Acquisition and the tune file value set for Integr is ignored. Thus, SIM abundances and saturation level may differ from those of Scan mode or profile scans in Tune. The amount of the difference will roughly depend on the ratio of the tune file integration time to the SIM integration time of 235 µs.


Dynamic Ramping - definition

Dynamic ramping lets you optimize the signal across an entire mass range of interest by setting different voltages for different masses. In contrast, SIM ramping allows you to optimize the signal for one tune mass at a specific voltage.


EasyID Menu

The EasyID menu items are used to display the results for a compound. In the EasyID menu, the capital letters correspond to the command equivalent of the menu item. For example, typing XP will do the same thing as selecting the XPand menu item.

CO Next Compound | Brings up the next compound in the file.
Goto Compound # | Prompts for the number of the compound you want to view.
Xpand Chromatographic Window +/- 2 minutes | Expands the extraction window by two minutes.
Original Chromatographic Window | Extracts the original chromatogram from the current data file and resets the window to the original time range.
Graphics Report to the Printer | Sends a graphical report of the chromatogram to the printer.
Restart Quick EasyID | Displays the Quick EasyID window.
Set Extract Window Start | Describes the correct mouse/keyboard combination to set the integration start time for the peak.
Set Extract Window Stop | Describes the correct mouse/keyboard combination to set the integration stop time for the peak..
Abort Changes and Exit | Exits EasyID mode without saving changes to the quantitation database.
Exit and Save Changes | Exits EasyID mode and updates the quantitation database with your changes.


Edit a Method

The Edit Entire Method option provides an automatic way for you to review and, if you wish, change any one, or all aspects of the method.

Follow the steps below to edit one or more sections of a method.

  1. Load the method - Open the dialog box.

VIEW / METHOD AND RUN CONTROL

METHOD / LOAD / METHOD...

a. Select the method to edit. (Method files have a .m extension.)

b. Click on OK.

  2. Select the section(s) to edit - Open the dialog box (click on any of the green areas for details about a specific section).

METHOD / EDIT ENTIRE METHOD...

a. To select a section, click in its corresponding check box to place an X there. (Do the same to remove an X.)

b. Click on OK.

  3. Edit the section(s) you specified. The ChemStation will automatically display the dialog boxes included in each section you specified (except for the Instrument Controls [image] see below). Enter any information you want to change and click on OK to continue.

At the Instrument Control screen: (since there are so many possibilities) the ChemStation will only display the instrument controls you want to see.

a. Select the Instrument Control you want to modify (click on its icon in the icon bar).

b. Change the entries as needed.

c. Select another icon from the icon bar, if necessary. DO NOT select OK until you have selected all the icons from the Instrument Control icon bar that you want to modify.

d. When you have finished modifying instrument controls, click OK to continue with the automatic process. The ChemStation will continue its automatic display of the items you selected in Step 2.

  4. Save the edited method after clicking on OK at the last dialog box.

FILE / SAVE / METHOD


Edit Compounds

This box is displayed as part of the Set Up Quantitation sequence, when you select Calibrate / Edit Compounds, and when you update a calibration. It is also displayed when you use the AutoQuant Setup feature.

This box displays a list of compounds present in the quantitation database. The order in which compounds are listed determines how they will be processed:

  • External standard compounds. All compounds listed before the first internal standard (ISTD) are processed using external standard calculations.

  • Internal standard. When an internal standard is encountered, it is analyzed. ISTDs are flagged with an asterisk (*).

  • Target compounds. All compounds that follow an internal standard are analyzed relative to that standard.

If the list is empty, there is no database associated with the current method - see To Create a Quant Database.

To view or edit an entry

Click on the entry and the database information will be displayed in a dialog box.

To add a compound at a particular position

Click on the item that will follow your new entry. Then click the Insert Above button. Use the dialog box to fill in the required information.

To look at the calibration curves, one compound at a time

Click Plot when reviewing a compound entry (Page 1 or Page 3). The display lists the concentration and response at all calibration levels and shows the correlation coefficient, type of fit, and the response.


Edit File Info

Edit File Information

Use this dialog box to edit the header information associated with the current data file. Changes made to this information are saved in the current data file when you select OK. Since changed values are permanently stored in the data file, they are used by all future reports. Please note that changing the Sample Multiplier affects the calculated amounts in future quantitation reports generated for this data.

Any changes are reported in AUDIT.TXT.


Edit Library

You can create a library and edit it as needed. Editing a user-created library includes adding, modifying, and deleting entries. You cannot edit the commercial libraries, but you can view entries (the header information). Selecting Edit Library presents you with the following choices:

Select Library

This menu item allows you to select and load a library.

Add New Entry

This menu item allows you to add a new entry to the current library. The library must be user-created, you cannot add entries to commercial libraries. You must select a spectrum before selecting Add New Entry. The program adds the spectrum in window [1] - the X register in the stack - to the library.

Edit Existing Entry

Edit Existing Entry allows you to select and edit an entry in the current library. The library must be user-created, you cannot edit commercial libraries.

Create Library

This menu item allows you to create new libraries. You build a library by adding entries one by one.

Delete Library

Selecting this menu item allows you to delete the current library.


Edit Method

Selecting Edit Method allows you to edit the current data analysis method. You will be prompted to select and edit the type of reports to be generated. Choices include:

Percent Report

Will generate an Area Percent report when the method is run. This report is sorted by retention time and can be sent to the screen, printer, and a text file name of your choice. You can also assign an integration parameter file (events file) to be used when generating the report. Type ? in the box for a list of events files.

Library Search Report Style

A library search report includes information from the data file, the search parameters, and the results of the search in the format selected:

  • Summary:The summary format provides a tabulation of the hits found for each peak.

  • Detailed: The detailed format lists the hits found for a peak followed by a plot of the searched spectrum and the #1 hit. Each peak begins on a new page.

Quant Report

Will generate a Quant report when the method is run. You can specify the type of report and its destination (screen, printer, file).

Custom Report

If you want to generate a Custom Report when the method is run, select this option. You will be prompted for the name of a Custom Reports template file (*.crt). Use the Quantitate menu in Data Analysis to access the Custom Reports software and design your template. In addition to selecting this option, you must generate a Quant Report.

Update Custom Database

This will automatically update the specified Custom Reports database for the method whenever the current data file (either manually or as part of a method) is quantitated. You will be prompted for the database file (*.crd). You must generate a Quant Report to use this option.

Instrument Information

This allows you to specify injection volume, phase coating, column ID, and the Instrument name for the method. This information is displayed in the header information in reports.


Edit MS Parameters - Calibrate Menu

This menu lets you perform two of the calibration functions available from the Calibrate menu in the main Tune view: Mass axis and Mass #3 peak width.

Mass #3 Widths initiates a peak width calibration. A profile scan showing masses 1 - 3 will be displayed and repeatedly updated as the calibration is performed. Calibration will continue until the peak widths reach the passing criteria.

To stop the operation at the next possible stopping point, click on the Stop button.


Edit MS Parameters - Tune (5973 MSD)

Troubleshooting (5973 MSD)

In addition to the parameters shown above (Xray is not used on a 5973 MSD), you may also adjust the following:

Emission | Electron Energy
DC Pol | PFTBA

The following items are continuously updated:

Source

Quad

The following parameters depend on whether your MSD is configured with a diffusion pump or a turbo pump:

ForePres

TurboSpd

To adjust a selected parameter:

  • Type in a new value, then press the Tab key

  • Use the scroll bar below the parameter list

A value outside the acceptable range is automatically converted to the nearest limit. All values are rounded to the nearest DAC (digital-to-analog converter) step.

Pushbuttons control the display and, with the menus, provide additional features. All features may be accessed from the keyboard.


Edit MS Parameters - Tune (5971/5972/6890 MSD)

Edit MS Parameters - Tune (5972 / 6890 MSD)

In addition to the parameters shown above, you may also adjust:

Emission | TTI
DC Pol | PFTBA

The following items are continuously updated:

MS Temp

Vacuum

To adjust a selected parameter

  • Type in a new value, then press the Tab key

  • Use the scroll bar below the parameter list

A value outside the acceptable range is automatically converted to the nearest limit. All values are rounded to the nearest DAC (digital-to-analog converter) step.

Pushbuttons control the display and, with the menus, provide additional features. All features may be accessed from the keyboard.


Edit MS Parameters - View Menu

This menu gives you two display options:

  • Expand causes the graphic display to fill the entire window by removing the display of the MS parameters below the graph. Ramping in the expanded mode lets you see the abundance ratios of the tune masses.

  • Show Scan Ratios toggles the display of the scan ratios on or off. Turn them off if you want more display area for the graph.


Edit MS Parameters Menus (Tune)

Edit MS Parameters Menus

There are four menus in the Edit Parameters panel:

File | Lets you print the current instrument settings and what is shown in the graphics window.
Calibrate | Lets you calibrate the mass axis using all three tune masses or perform a peak width calibration.
More Params | Gives you convenient access to the Acq Params parameter box.
View | Gives you two display options.

Note that the position of the Acq dialog box available in Edit Parameters is remembered by the software if you move it. The next time you enter Edit Parameters and call the box, it will be displayed where you last positioned it. To defeat this feature and restore the initial layering of the boxes, set the variable EDPDefPos to a non-zero value.


Edit Non Target Peaks

This menu item can be selected after a Non Target Peak report has been generated. It allows you to compare the mass spectra of each non-target compound with the spectra of the compounds identified by the library search as possible matches.

Edit Non Target Peaks brings up the Library Search Results dialog box. It displays the following information:

#X of Y

Y is the total number of non-target compounds found and X is the number of the compound currently being reviewed. The compounds are numbered according to their retention time. The compound with the shortest retention time is 1. The Next and Previous buttons allow you to move between non-target compounds.

Retention Time

This is the retention time of the non-target compound being reviewed.

Concentration

This is the estimated concentration of the non-target compound based on the response of an external standard or the closest internal standard if internal standards are defined in the compound database.

Reported

This is the library compound currently being compared to the non-target compound.

Name

These are all the possible matches for the non-target compound based on the current library search criteria. Selecting one of the (DEL) Alkane choices lets you eliminate a peak from the report.

Ref No.

These are the library reference numbers of the possible matches from the library. Some possible matches may not have a reference number.

CAS#

These are the Chemical Abstracts Service numbers of the possible matches from the library. Some possible matches may not have a CAS number.

Qual

This is the quality of the hit; the match between the non-target compound and the library compound. 1 is the worst match and 99 is the best.

At the same time the Library Search Results dialog box is displayed, a split window (window [5]) displays the mass spectra of the non-target compound (top) and the mass spectra of the selected library compound (bottom). You can visually compare the spectra and decide whether the library compound is, in fact, a likely match. If the library search compound is not a likely match, you can choose another compound to be reported such as “unknown hydrocarbon” or eliminate the non target compound by clicking the Delete key. After making all necessary changes, click Exit.


Edit Parameters Pushbuttons

The following pushbuttons provide access to all the display options for the Edit Parameters dialog box:

  • Prof does continuous profile scans.

  • Ramp causes the parameter shown above the scroll bar to be SIM-ramped for all three tuning masses.

  • Scan does continuous spectral scans.

  • Stop stops a profile scan, spectral scan, a ramp, etc.

  • MSOff turns the mass spectrometer off.

  • OK exits the dialog box (closing all parameter boxes that are open) and retains the current values of all parameters.

  • Cancel exits the dialog box (closing all parameter boxes that are open) and returns all parameters to their previous values.


Editing Ramp Parameters

Use this dialog box to adjust the limits, stepsize, and points to smooth when ramping the tuning parameters. If you enter a number between 5 and 101 for Points to Smooth, Savitzky-Golay quadratic/cubic smoothing is applied using the specified points. If the entered number is not odd, the nearest odd number is used. To disable smoothing, enter a zero.

Repeller

Ion Focus

Ent Lens

Ent Offset

X-ray (not on 5973)

Amu Gain

Amu Offset

Emission

Electron Energy

To ramp a parameter, select the appropriate item in the Ramp menu or use the Ramp function in the Edit Parameters box.


Electrical leads to the electron multiplier are not connected correctly

  1. Vent the MSD.

  2. Open the vacuum manifold.

  3. Inspect the electron multiplier.

    Make sure the braided wire is securely connected to the electron multiplier and the signal feedthrough. Make sure the pin on the electron multiplier horn is making good contact with the contact strip.

See the MSD hardware manual for instructions for venting the MSD and opening the vacuum manifold.


Electrical leads to the ion source are not connected correctly

  1. Vent the MSD.

  2. Open the vacuum manifold.

  3. Inspect the wiring to the ion source.

    Make sure all wires are securely connected to the feedthrough board and to the ion source. Make sure the correct wires are connected to the correct pins.

See the MSD hardware manual for instructions for venting the MSD and opening the vacuum manifold.


Electrical short in the analzyer

  1. Vent the MSD.

  2. Open the vacuum manifold.

  3. Inspect the wires from the ceramic feedthrough board to the lenses in the ion source. Make sure none of the wires are shorted to ground.

See the MSD hardware manual for instructions for venting the MSD and opening the vacuum manifold.


Electrometer

To turn on the electrometer, place an X in its checkbox.

To turn off the electrometer, remove the X. Keep the electrometer on at all times when operating your detector.


Electrometer

To activate the electrometer, place an X in the On checkbox.


Electron Capture Detector

The electron capture detector (ECD) contains a cell plated with 63Ni, a radioactive isotope. The 63Ni releases [image] particles that collide with carrier gas molecules to produce lowenergy electrons [image] each [image] particle produces approximately 100 electrons. The free electrons produce a small current [image] called the reference or standing current [image] that is collected and measured in a pulsed circuit.

When a sample component molecule comes into contact with the free electrons, the sample molecules may capture the electrons to create negatively charged ions. The voltage across the cell electrodes is pulsed to collect the remaining free electrons while the heavier ions are relatively unaffected and swept out the vent with the carrier gas flow.

The ChemStation measures the cell current and compares it to a reference current. It then adjusts the pulse rate to maintain a constant cell current. The more free electrons, the lower the pulse frequency required to match the reference current. When a component that captures electrons passes through the cell, the pulse rate rises. This pulse rate is converted to a voltage and recorded.

Use the ECD dialog box to set detector parameters and specify setpoints. Click on any of the following green areas for details:

Use the information in the table below when selecting temperatures and flows.

Operating Parameters

Gas Type

Recommended Flow Range

Suggested Flow

Carrier gas
Packed columns
(nitrogen or argonmethane)
Capillary columns
(hydrogen, nitrogen,
or argonmethane)

30 to 60 mL/min

0.1 to 20 mL/min,
depending on diameter

Capillary makeup
(nitrogen or argonmethane)

20 -150 ml/min
(50 - 60 ml/min typical. Adjust up or down to shift calibration curves.)

60 ml/min

Anode gas
(same type as makeup gas)
EPC detector
Capillary columns
Packed columns

10% of makeup gas

3 to 6 ml/min

6 ml/min

NonEPC detector
Capillary columns

Packed columns

Not controlled by user. Flows are nominally
6 - 7% of makeup gas flow.
3 to 6 ml/min

Temperature

250 [image] C to 400 [image] C
Detector temperature is typically set 25 [image] C greater than the highest oven ramp temperature.

Adjust Offset

30 to 70, range is 20 to 200

The response of the ECD depends upon many variables. These include the molecular composition of the analyte and its concentration, your ECD, the cell cleanliness, the column, the inlet, and instrument setpoints (temperature, flow rates, and reference current).

It is, therefore, important to create calibration curves on all compounds and evaluate detector response on a regular basis. Even with frequent calibration, you can expect the detector response to change when operating conditions change [image] for instance, when analyzing dirty samples that contaminate the detector.

General ECD Sensitivity to Various Classes of Compounds

Chemical Type | Relative Sensitivity
Hydrocarbons | 1
Ethers, esters | 10
Aliphatic alcohols, ketones, amines; monoCl and monoF compounds | 102
MonoBr, diCl and diF compounds | 103
Anhydrides and triCl compounds | 104
MonoI, diBr and nitro compounds | 105
DiI, triBr, polyCl and polyF compounds | 106

ECD Signal Conversion for Data Analysis:

  • 5 Hz = 1 height unit

  • 5 Hz x 1 second = 1 area unit


Electron Energy (Parameter)

Electron Energy is the ground-referenced energy of the electron beam in eV (70 eV is strongly recommended for EI mode).

MSD | MIN | MAX | STEPSIZE
5973 | 0 | 241.5 | 0.95

The Electron Energy should typically be set to 70 eV for the 5973 MSD to produce classical spectra of organic molecules. Reducing the Electron Energy will result in softer ionization (less fragmentation) of organic molecules and a noticeable reduction in sensitivity.

When reducing the Electron Energy, do not exceed the emission current shown in the following table or filament life will be shortened.

Energy | Current
70 | 300 µA
50 | 250 µA
30 | 200 µA
10 | 100 µA
<10 | 50 µA


Electron multiplier horn is nearing the end of its useful lifetime

The horn on the electron multiplier may be nearing the end of its useful lifetime. If autotune consistently sets the electron multiplier voltage at or near its limit of 3000 V, this is probably the case. Replace the electron multiplier horn.

See the MSD hardware manual for instructions for replacing the electron multiplier horn.


Electron multiplier voltage is too high

Reduce the electron multiplier voltage by 50 or 100 volts. If performance improves, continue to adjust the electron multiplier voltage until you find the optimum setting.


Electron multiplier voltage is too low

Increase the electron multiplier voltage. If the electron multiplier voltage is at or near its limit of 3000 V, you may need to replace the electron multiplier horn.

See the MSD hardware manual for instructions for replacing the electron multiplier horn.


Electron Multiplier Voltage

The electron multiplier (EM) voltage is important in determining the response of the MS. The higher the value, the greater the response (to both signal and noise). The EM voltage may be set either as relative (Rel) to the voltage in the current tune file or as an absolute (Abs) value.

Rel (Relative)

The EM volts value from the tune file is adjusted by the value you enter in the box. The resulting value is shown after the = sign. The relative value that you enter is automatically adjusted to the nearest step size (11.76 volts) and may be further adjusted so that the resulting value is in the range 0 to 3000 volts.

It is recommended that you use the value from the tune file; select Rel and enter 0 in the box.

Abs (Absolute)

This specifies that the value entered in the box is the value to be used. The tune file value is not used. The range is 0 to 3000 volts. If you enter a value outside this range, it is automatically converted to the nearest limit. Values within the allowed range are automatically adjusted to the nearest step size (11.76 volts).


Electron multiplier voltage is too high

High electron multiplier voltage can cause or contribute to this problem. Lower the voltage about 200 V. If results improve, continue to adjust the voltage until you find the optimum setting. If the electron multiplier voltage is high enough to cause isotope problems, it will probably also cause peaks with flat tops.


EMF Defaults

The following picture shows the default limits that are displayed on the Enter Limits for EMF Parameters dialog box the first time you use this feature and whenever you click the Reset button. The -1 in the first three fields indicates these parameters are disabled.


EMF Limits Example

The following picture shows an example of a completed Enter Limits for EMF Parameters dialog box.


Emission current was set to 0

Return the emission current to its former value or to the default value.


Emission Energy Settings on a 5973 MSD

Electron Energy Settings (5973 MSD)

The Electron Energy should typically be set to 70 eV for the 5973 MSD to produce classical spectra of organic molecules. Reducing the Electron Energy will result in softer ionization (less fragmentation) of organic molecules and a noticeable reduction in sensitivity.

When reducing the Electron Energy, do not exceed the emission current shown in the following table or filament life will be shortened.

Energy | Current
70 | 300 µA
50 | 250 µA
30 | 200 µA
10 | 100 µA
<10 | 50 µA


Emission (Parameter)

Emission

On the 5973 and 5972 MSDs, the emission current from the filament may be set, but the default setting is recommended as optimal. The higher the current, the more electrons are emitted. If the emission current is set low, it will result in less ionization, which may reduce sensitivity. If the current is set high, there will be more fragmentation of the sample, and the filament will burn out more quickly.

MSD

MIN

MAX

STEPSIZE

5972 / 6890

0

317.5

  2. 5

5973

0

315.2

  1. 2


Empty or insufficient carrier gas supply

Make sure the carrier gas supply is not empty. If the carrier gas supply is empty, or if its pressure is too low, an alarm should sound and a message should appear on the GC keypad.


EMVolts (Parameter)

EMVolts sets the voltage of the electron multiplier (part of the detector). Increasing the voltage increases the signal sensitivity. Increasing EMVolts increases the abundance by raising the signal coming out of the mass spectrometer. Raising EMVolts also decreases the life span of the multiplier. Operate the multiplier at the lowest voltage that provides adequate sensitivity.

To prolong its life, turn off (0 volts) the multiplier (and all other voltages) until the solvent peak has passed. (If a solvent delay is specified, these voltages are turned off until the end of the solvent delay). For the same reason, reduce EMVolts if you are analyzing a highly concentrated sample or are operating in CI mode.

MSD | MIN | MAX | STEPSIZE
5972 / 6890 | 0 | 3000 | 11.764
5973 | 0 | 3000 | 11.764


Enter CI Tune Panel

Lets you access the CI Tune menus (available only on a 5973 MSD system equipped with the chemical ionization accessory). CI tuning allows you to adjust the MS parameters for operation in the chemical ionization (CI) mode. Refer to the G1999A CI Accessory Hardware Manual for proper setup for chemical ionization and CI tuning.

See Also

CI Tune Menus (5973 MSD)


Enter Limits for EMF Parameters dialog box

This dialog box is displayed when you select Set Limits on the Select EMF Action dialog box. This box is used to enter limits for the expected wear-out rate of a particular part or procedure. The software will display an alert box to notify you when the limits you enter have been reached. Entering a -1 value in any field will disable that parameter.

Septum (Injections)

The number of injections before the GC septum needs to be checked or replaced. The value you enter will be dependent on the brand of septum you use. Check the manufacturer’s literature to get an idea of the number of injections possible for that particular septum.

Liner (Injections)

The number of injections before the GC liner needs to be checked or replaced.

Number of Injections (Total)

The total number of injections before the column needs to be trimmed or replaced.

Pump Oil (Days)

The number of days until the foreline pump oil needs to be checked, refilled, or replaced. Depending on system usage, the foreline pump oil should be checked every week, and replaced approximately every six months.

Tune Time (Hours)

The number of hours before the MSD needs to be retuned.

EM Voltage

The EM voltage you will use to indicate the need to retune, clean the ion source, or replace the electron multiplier.

Reset button

Resets the limits to their default values.

See Also

EMF Limits Example

EMF Defaults

To enable EMF utilities


Enter Reagent Ion Masses for Flow Adjustment Dialog Box (5973 MSD)

Enter Reagent Ion Masses for Flow Adjustment Dialog Box

5973 MSD configured for CI only.

When you select Setup / Select Masses from the CI Tune view, a series of dialog boxes is displayed.

This dialog box is used to select the reagent ion masses to use for flow adjustment. Default values are automatically displayed for the selected reagent gas (methane, isobutane, ammonia, or other).

Note that there are no reagent ions visible in NCI. The ions used for pre-tuning in NCI are m/z 17 (OH-), m/z 35 (Cl-), and m/z 235 (ReO-); there is no flow adjustment available for NCI; set the reagent gas flow to 40%.


Enter Tune Ion Masses Dialog Box (5973 MSD)

Enter Tune Ion Masses Dialog Box

5973 MSD configured for CI.

When you select Setup / Select Masses from the CI Tune view, a series of dialog boxes is displayed.

This dialog box is used to select the PFDTD (and possibly one or more reagent ion) ion masses to use for tuning. Default values are automatically displayed and can be used for most applications.

No PFDTD positive ions are formed with isobutane or ammonia.


Entering Function Names

Functions are listed together with commands in the online help. Function names are always followed by a set of parentheses enclosing a parameter list, which distinguishes them from commands in the help.

  • Use upper or lower case in entering a function name and parameters.

  • Function names are always followed by a parameter list enclosed in parentheses. The list may be empty, but the parentheses must still be included with the function name, for example, DATE$().

  • Function names cannot be abbreviated.

  • String parameters must be enclosed in double quotation marks, for example, ASC("A").


EntLens (Parameter)

EntLens refers to the entrance lens gain, a value used to determine a mass dependent voltage that is applied to the entrance lens. The entrance lens is the final lens through which ions pass before they enter the mass filter.

Typically, during tuning the entrance lens voltage is ramped to find the setting that provides the maximum abundance.

MSD | MIN | MAX | STEPSIZE
5972 / 6890 | 0 | 128 | 0.502
5973 | 0 | 127.5 | 0.502


EntOffs (Parameter)

EntOffs refers to the entrance lens offset, a constant voltage that is applied to the entrance lens (part of the ion source). Increase the offset to increase abundance of ions at low masses without substantially decreasing the abundance of ions at high masses.

MSD | MIN | MAX | STEPSIZE
5972 / 6890 | 0 | 64 | .251
5973 | 0 | 64 | .251


Environmental analysis protocol

Environmental analysis protocol The collection of criteria and procedures that must be adhered to in carrying out a particular environmental analysis for a regulatory agency. The protocol may include such items as chain of custody requirements, sample preparation procedures, analytical method criteria, and report requirements.


Environmental Procedure File

:SV,4,,IH

:* * This procedure file will convert and transfer a data file from

:* * RTE-A or RTE-6 to Environmental / MS ChemStation

:DP,CONVERTING DATA FILE

:DP,1G

:RU,RTECS,1G,TEMPD::SCRATCH

:DP,SENDING GLOBALS

:RU,WAIT,5

:DP,1G

:DP,2G

:DP,3G

:DP,4G

:DP,DONE

:RU,WAIT,5

:DP,READY TO SEND FILE

:XMODM,DB,TEMPD::SCRATCH

:RU,CI,/CMDFILES/PU_CI_FILE.CMD,/SCRATCH/,TEMPD

:SV,0,,IH

:TR


Equib Time, min

Length of time the detector's heating element will need to stabilize at the Setpoint temperature before it is ready for a run.

Equilibration time begins when the detector output frequency is near the Setpoint value. During equilibration, the ChemStation measures and compares it to the Adjust Offset value. If the output stays close to the Adjust Offset value for the entire equilibration time, the detector becomes ready. However, if the output is too high or too low at any time during the equilibration period, the adjust offset process continues and the equilibration time begins again.

Use long equilibration times (10 to 15 minutes) if you are planning to operate your instrument for an extended period of time. This assures minimal baseline drift during runs.

Use a short equilibration time (3 minutes) if you are running only a few samples. This ensures adequate baseline stability without spending excessive time adjusting the offset.

Valid Range: 0.0 to 999.99 min


Equilibration min

Length of time the oven will need to stabilize at the Setpoint temperature before the system is ready for a run.

Equilibration time begins when the actual oven temperature comes within 1 [image] C of the oven temperature setting. The Equilibration min setpoint can be 0 to 999.99 minutes.

Equilibration min is not part of the run time.


Evaluate Degradation

Select this menu item and then integrate the primary peak and then the degradation peak. The result is displayed in window #6. If only one peak is found, the degradation is reported as zero.


Evaluate Resolution

Select this menu item and then integrate two peaks in window #6. Evaluate Resolution calculates the height of the valley between the peaks as a percent of the average height of the peaks. The result is displayed in window #6.


Evaluate Tailing

Select this menu item and then integrate a peak in window #6. The tailing of the peak is displayed next to the peak. The tailing factor is calculated using the following parameters.

Tailing = BC/AB

Peak Height = DE

10% Peak Height = BD

Peak Width at 10% Peak= AC

Apex = E


Events Files

Default events file

If you save the Data Analysis method before you exit Data Analysis, the ChemStation integrator events currently in memory are saved to the default events file, EVENTS.E, in the current method.

The default events file is loaded when the method is loaded at a later time.

Additional events file

Additional events files can be saved with a method for use with Quantitative, Library Search, or Percent reports. Use the Save button in the Edit Integration Events dialog box and enter a file name (eight characters maximum).

The file is automatically saved with the current method and the extension .E is appended if it was not entered. To save to a different method, enter a complete path with the file name.


Example Screen Report

In Data Analysis, select Tools / Generate Screen Report to obtain an RTL screen report like the one shown below.

If the screen results do not exist, no report is generated. ‘X’ and ‘?’ in the status column indicate probable and possible identification, respectively. The ‘?’ indicates that one or more qualifiers fail. Expected Retention Time and Delta are reported, along with the target ion. Qualifier ions that are out of range are noted in the Qualifiers Out of Range columns. The last column reports the cross correlation with the reference spectrum.


Examples of Monitors

Real-time GC signal monitors set from Instrument / GC Plot menu item.

Oven temperature monitor set from Edit GC Monitors box

EM Volts monitor set from Edit MS Monitors box


Excessive foreline pressure or vacuum manifold pressure

Excessive pressure can reduce or eliminate the signal. At typical column flow (0.1 to 2.0 ml/minute), foreline pressure should be between 20 and 100 mTorr. Vacuum manifold pressure should be between 1 x 10^-6 and 1.4 x 10^-4 Torr. If pressure is too high, reduce the column flow and/or check for air leaks.


Excessive pressure in the MSD

At typical column flow rates (0.1 - 2.0 ml/minute), the foreline pressure will be approximately 20 to 100 mTorr. The vacuum manifold pressure will be approximately 1 x 10^-6 to 1.4 x 10^-4 Torr. These pressures can vary widely from instrument to instrument so it is very important that you are familiar with the pressures that are typical for your instrument at given carrier gas flows.

If the foreline or vacuum manifold pressure in your MSD seems too high, refer to:

Foreline pressure is too high

Vacuum manifold pressure is too high


Execute Menu - CI Tune (5972 MSD)

The Execute menu lets you examine mass spectral resolution and peak shape in profile scans and in full and PFTBA spectrum scans.

MS ON and MS OFF | Allow you to turn the mass spectrometer on and off.
Profile scan | Performs a single profile scan.
Repeat profile | Performs repetitive profile scans (2 rows).
Detailed profile | Performs a single profile scan and displays the parameter settings.
PFTBA Spectrum scan | Performs a spectrum scan of PFTBA mass range of 45 - 650 amu.
Full Spectrum scan | Performs a spectrum scan of the full mass range of 10 - 650 amu.
Find mass | Prompts you for a mass and then finds its exact mass and abundance in the last spectrum scan.


Execute Menu - CI Tune (5973 MSD)

Execute Menu - CI Tune

5973 MSD configured for CI only.

The Execute menu lets you examine mass spectral resolution and peak shape in profile scans and in full and PFDTD spectrum scans.

MS ON and MS OFF | Allow you to turn the mass spectrometer on and off.
Profile scan | Performs a single profile scan.
Repeat profile | Performs repetitive profile scans (2 rows).
Detailed profile | Performs a single profile scan and displays the parameter settings.
PFDTD Spectrum scan | Performs a spectrum scan of the calibrant gas PFDTD using a mass range of 10-800 amu.
Full Spectrum scan | Performs a spectrum scan of the full mass range of 10 - 650 amu.
Find mass | Prompts you for a mass and then finds its exact mass and abundance in the last spectrum scan.


Execute Menu - Tune

Execute Menu

The Execute menu lets you examine mass spectral resolution and peak shape in profile and spectrum scans.

MS ON and MS OFF | Allow you to turn the mass spectrometer on and off.
Profile scan | Performs a single profile scan.
Repeat profile | Performs repetitive profile scans (2 rows).
Detailed profile | Performs a single profile scan and displays the parameter settings.
Spectrum scan | Performs a spectrum scan
Find mass | Prompts you for a mass and then finds its exact mass and abundance in the last spectrum scan


Exit

Exit closes all views and ends the ChemStation session . You will be given the opportunity Cancel the command, in case you forgot to save your tune parameters.

When you exit or close Tune, the MSD is turned off. When the instrument is in EI mode, the PFTBA valve is closed automatically .


Extended Injector Parameters

Use the Extended Injector Parameters dialog box to specify additional injector parameters for the front and/or back injectors (depending on your selection at the GC Injector Parameters dialog box).

Contents of this Dialog Box:

Viscosity

Sample Skim Depth (not available on all injectors)

PreInjection Dwell (not available on all injectors)

PostInjection Dwell (not available on all injectors)

Plunger Speed

OK/Cancel/Help Buttons


External Standard Calibration - definition

The external standard calibration procedure requires that both calibration and unknown samples be analyzed under the same conditions. The quantitative results are obtained by comparing the data for the unknown to that for the calibration samples.


Extract Ion Chromatograms - GC/MS

The Extract Ion Chromatograms menu item allows you to extract and display extracted ion chromatograms (EICs) from the total ion chromatogram (TIC) of the current data file. Selecting this item displays the Extracted Ion Chromatogram dialog box. In this dialog box you can specify the following:

Time

The complete time range of the data file is initially displayed. You can specify a shorter time range by entering the appropriate starting and ending values.

Ions

You can specify up to six ions.

Use Mass Range

The default mass range for each ion is -0.3 amu to +0.7 amu of the ion mass specified. You can change either of these values.


Extracted Ion Chromatogram - definition

An extracted ion chromatogram (EIC) is a trace of a particular mass or mass range from data acquired in either Scan or SIM mode.


Factors Affecting Match Quality

In most cases, the PBM search will retrieve a match from the database with a high match quality, and the unknown can be considered identified with a high degree of confidence. However, no search routine, no matter how sophisticated, can provide a conclusive identification 100% of the time. Consider some of the factors affecting the match quality:

  • The type of instrument used to collect the spectra of the unknown and the reference

  • The experimental conditions used to collect the spectra of the unknown and reference

  • Choice of spectrum for background correction

  • Strategy parameters used during the PBM search

  • The quality of the spectra in the database

Several of the factors are related to actual collection of the data. The most important aspect of a successful identification by library search is that both the reference and the unknown spectra be high quality.

For example, if the signal-to-noise ratio of the mass spectrum is too low, no amount of background correction or changes in PBM strategy parameters will improve the chances of a good match. Also, a spectrum obtained using a GC as an inlet to the mass spectrometer may be much different than one obtained using a direct insertion probe. That is why it's a good idea to perform the search on a user-created library with reference spectra obtained on the same instrument using the same conditions.

Because many factors affect the match quality and ordering of the compounds in the hit list, the list should be viewed as an interpretative guide to the unknown's identity. You should not assume that the match listed first is the one and only correct answer. In the final analysis, it is the chemist's responsibility to determine whether the match identity is correct by using the PBM results in conjunction with other information. For example, graphical comparison of the unknown's mass spectrum with that of an authentic sample, knowledge of the sample's history, and other pertinent information should be considered.


Failed electron multiplier horn

Replace the electron multiplier horn. See the MSD hardware manual for instructions for replacing the electron multiplier horn.


Failed gauge controller fuse

  1. Switch off the gauge controller.

  2. Disconnect the power cord from the gauge controller.

    WARNING! Never remove the fuse without first disconnecting the power cord. Hazardous voltages will be present if the power cord is not disconnected.

  3. Remove and inspect the gauge controller fuse. If the fuse has failed, replace it with one of the same rating.

Repeated fuse failures indicate a more serious underlying problem. Contact your Agilent Technologies service representative.


Fan fault has turned off the pump

A fan fault causes the MSD to turn off the high vacuum pump and the ion source and mass filter heaters. If this is the cause, the message Difficulty with the fan should also be present. If a fan fault caused the failure, you must power cycle the MSD (switch it off and on) to clear the fault.

See Also

Difficulty with the fan


Fast Plunger

See the autosampler documentation for the exact plunger fast speed specification.


Fault Detection On

Shuts down the oven if it hasn't reached a specified temperature setpoint (either the oven's current temperature Setpoint or a temperature setpoint in an oven ramp program) after 16 minutes of continuous cryogenic operation.

Note that this is the time to reach the setpoint, not the time to stabilize and become ready at the setpoint. For example, with a cool oncolumn and cryo control in the oven track mode, it may take the oven 20 to 30 minutes to achieve readiness.


Fault Examples

Click here for 5973 MSD

Listed below are some of the most frequently encountered MS faults and their possible causes.

Fault Value | Possible Causes
3 | Electron multiplier voltage set too high;
 | MS was on during a solvent peak;
 | Electron multiplier just replaced;
 | Ion source just cleaned
5 | RF coils not properly adjusted
9 | Filament burned out
17 | GC column flow too high;
 | Calibration vial just refilled;
 | Air leak
19 | MS was on during a solvent peak
33 | Diffusion pump cooling fan blocked or not running
129 | Diffusion pump still warming up
257 | The MS is in VENT state (diffusion pump heater is off);
 | Diffusion pump cooling down
289 | Diffusion pump overheated, now cooling
321 | Foreline gauge cable disconnected and diffusion pump off
385 | Diffusion pump cold and off
417 | Diffusion pump overheated, turned itself off, and is now cold
513 | Failure of high voltage supply (to electron multiplier)


Filament

To activate the filament, place an X in the On checkbox.


Filament has failed or is not connected correctly

  1. In the Edit Parameters window, select the other filament.

  2. Run autotune. If the MSD passes tune, use this filament. Replace the first filament when convenient.

  3. If the second filament does not pass tune, vent the MSD and check the filament wiring connections.

  4. Check the filaments. Replace them if necessary.

See the MSD hardware manual for instructions for replacing a filament.


Filament (Parameter)

Filament allows selection of one of two filaments within the ion source.


File Menu - Tune

The File menu allows you to perform the tasks listed below, including saving a tune file to a new name. Tune files are identified with the suffix ".U".

Reset to Defaults | Resets all tune parameters to their default values. For the 5973 MSD, you can select the tune type.
Load Tune Values | Lets you select a tune file.
Save Tune Values | Lets you save tune values to a specified tune file.
Trace On | Saves a detailed report on the tuning steps to a trace file
View Trace | Lets you view the trace file
Print | Sends plot or text information displayed in the Tune view to the default printer.
Printer Setup | Sets portrait or landscape format. (Note that tune reports and system test outputs are always in portrait format.)
Generate Report | Generates a Tune Report
Exit | Exits the ChemStation.


File menu (Parametric Retrieval)

File Menu

Load | Loads a data file. This item is dimmed until a retrieval is done.
List the Header | Displays information from the data file
Take a Shapshot | Takes a Snapshot of the data currently being acquired so that you can examine it with Data Analysis tools.
Subtract Background (BSB) | Performs background subtraction.
Print Current View | Prints the current view (as selected in the View menu).
Save Parameters | Saves current Parametric Retrieval parameters
Abort | Allows you to stop Data Analysis routines that are no longer of interest.
Exit | Closes all ChemStation windows immediately. In standalone Data Analysis, only Data Analysis is closed; other applications are not affected.


HpmsdFILENAMEM_has_XX_compounds_AutoQ has XX compounds (AutoQuant dialog box)

<FILENAME.M> has XX compounds

If your method already contains a quantitation database, the software will display a dialog box that tells you how many compounds are in the database in the current method and lets you select:

Append Compounds to Database

Lets you add compounds to the end of the list.

Insert Compounds in Database

Lets you insert compounds between names in the list.

Delete/Create New Database

Deletes the old database and creates a new one.

If you wish to preserve the existing database in your method, click Cancel and save your method with a new name before continuing.

Back to AutoQuant Setup


Film Thickness

Average thickness (in micrometers) of coating inside the column. The ChemStation saves nominal Film Thickness with the method.


Filtered raw data - definition

Filtered raw data is filtered by weighted averaging and subjected to peak detection by a Gaussian fit. All data points with abundances greater than or equal to 30% of maximum abundance are included. (To change this default threshold, see the PEAKPARM command.)

For filtered raw data, scan data are displayed as a continuous curve rather than as the bar graphs for simple peak-detected data. The mass step size is limited to 0.1 or 0.15 for a scan range of 1600 amu. However, if peaks are missing from filtered raw data, the curve will drop down to the scan threshold level, making the curve look like a bar graph.

The peak detection algorithm displays a degree of confidence for the m/z assignment at the top of the profile display for each tune mass. If the data do not conform to a Gaussian fit, a mass value will be reported, instead of an m/z value.


Flame

To ignite the flame, place an X in the On checkbox.

To extinguish the flame, remove the X. This interrupts the hydrogen gas flow to the detector long enough to put out the flame.


Flame

To ignite the flame, place an X in the On checkbox.

To extinguish the flame, remove the X. This turns off the hydrogen and air flows to the detector but leaves the makeup flow on.


Flame Ionization Detector

The flame ionization detector passes sample and carrier gas from the column through a hydrogen-flame. The hydrogen-air flame alone creates few ions, but when an organic compound is burned there is an increase in ions produced. A polarizing voltage attracts these ions to a collector located near the flame. The current produced is proportional to the amount of sample being burned. An electrometer senses this current, converts it to digital form, and sends to an output device.

Use the FID dialog box to set detector parameters and specify setpoints. Click on any of the following green areas for details:

Use the information in the table below when selecting temperatures and flows.

Recommended Temperature and Flow Rates

Gas Type | Flow Range | Suggested Flow
Carrier gas (hydrogen, helium, nitrogen) Packed columns Capillary columns |  | 10 to 60 ml/min 1 to 5 ml/min
Detector gases Hydrogen Air | 0 to 100 mL/min 0 to 800 mL/min | 40 mL/min* 450 mL/min*
Column plus capillary makeup Recommended: nitrogen Alternate: helium | 0 to 100 mL/min | 50 mL/min

Detector Temperature

<150 [image] C, flame will not light, prevents condensation damage
Detector temperature should be approximately 20°C greater than highest oven ramp temperature, depending on the column type.

Lit offset ( 0.0 - 99.9 % of detector output)

If the detector output when the flame is on minus the detector output when the flame is off falls below this setpoint value, the FID attempts to reignite twice. If output does not increase by at least this value, the detector shuts down.

2.0 pA is the recommended setting.

0.0 pA disables the autoreignite function.
______
*The hydrogentoair ratio should be between 8% and 12% to keep the flame lit.

FID Signal Conversion for Data Analysis:

  • 1.0 pA = 1 height unit

  • 1.0pA x 1 second = 1 area unit


Flame Photometric Detector

The flame photometric detector (FPD) detects phosphorus or sulfur-containing compounds by burning the column effluent in a hydrogen rich flame and measuring a selected spectral portion of the emission above the flame. Light emission at a wavelength characteristic of the molecular species selected passes through a narrow bandpass filter to a photomultiplier tube (PMT) where it is converted to a current, amplified, and digitized. This signal is then available either as a digital signal on the communications output or as a voltage signal on the 6890 GC analog output.

Use the FPD dialog box to set detector parameters and specify setpoints. Click on a parameter in the figure for details:

Use the information in the table below when selecting temperatures and flows.

Recommended Temperature and Flow Rates

Gas Type

Suggested Flow (S)

Suggested Flow (P)

Carrier gas
(hydrogen, helium, nitrogen)

Packed columns
Capillary columns

10 to 60 ml/min

1 to 5 ml/min

10 to 60 ml/min

1 to 5 ml/min

Detector gases
Hydrogen
Air

50 mL/min*
60 mL/min*

150 mL/min
110 mL/min

Column plus capillary makeup
Recommended: nitrogen
Alternate: helium

60 mL/min

60 mL/min

Detector Temperature

<120 [image] C, flame will not light, prevents condensation damage
Detector temperature should be approximately 25°C greater than highest oven ramp temperature, depending on the column type.

The ChemStation FPD dialog will not permit entries that exceed the maximum allowable temperature of 250 degrees C.

Lit offset

To determine whether the flame is lit or not, the 6890 compares the current signal output to a threshold value. The threshold is defined as the lit offset plus the flame-off output; where the flame-off output is determined by sensing the signal output before trying to ignite. If the output drops below this threshold, the flame is considered off and the detector will attempt to re-ignite. If after two tries the output does not increase by at least the threshold, the detector will shut down.

2.0 units is the recommended setting.

A setting of 0 disables the autoreignite function.


Flow

If the column is defined, you can specify either an initial Pressure, Flow or Average Velocity. The GC will calculate and display the other two setpoints from the one you specify (shown in blue).

For example:

  • If you select Constant Pressure as the column Mode, and decide to specify the column Flow as a starting condition, the GC will compute the pressure necessary to achieve this flow (as well as the average linear velocity) and will hold this pressure constant during the run.

  • If you select Constant Flow as the column Mode and specify the column Flow as a starting condition, the GC will still calculate the pressure necessary to achieve this flow, but it will adjust the pressure as necessary to maintain constant flow.

For purge packed inlet, you can only specify Flow.

Other Items in this Dialog Box:

Mode

Inlet

Detector

Outlet psi/kPa/bar

Installed Column

Manufacturer's Specifications/Column Dimensions

Ramps


Flow

Column flow rate (in ml/min). The Actual column flow rate, which the GC transmits, is a read-only display.


Flow and Gas Settings Dialog Box

Flow and Gas Settings Dialog Box (5973 MSD)

Lets you save the flow and gas settings with the tune file. This dialog box is accessed from Manual Tune - CI when you select File / Save Tune Values.

The range for each parameter is shown in parentheses.

Enter flow setting (0 - 100)

Enter a flow setting from 0 to 100. The default flow setting is 20 for PCI and is 40 for NCI.

Enter gas setting (A or B)

Select the gas setting you want to use. The default gas setting is A.

The values you enter for flow and gas settings will used as a reminder when you load the method or tune file. They do NOT affect the actual hardware settings.

Note In a sequence, you will NOT be reminded about the flow and gas settings when a method or tune file is loaded. If you want to run a sequence with a tune file that requires gas switching, you will need to switch to the proper gas/flow before you start the sequence. Then, during the sequence, you will need to pause the sequence, switch to the proper gas/flow, wait the proper amount of time, then resume the sequence.


Flow Ramps

A ramped column flow program can consist of up to three levels (or "ramps") to control the mass flow rate in the column during a run. The ChemStation executes these program levels in consecutive order. A program includes:

  • an Initial column flow,

  • up to three column flow Ramps, and

  • a Post run column flow.

The GC will hold the Initial column flow for the number of minutes specified (Hold min). Then the pressure changes to the Ramp 1 flow at the rate (in ml/min2) indicated and the GC maintains that flow for the number of minutes specified. You can program flow changes for Ramps 2 and 3 the same way. Finally, the flow changes to the Post column flow, which the GC maintains for the number of minutes specified by the Post Hold min value.

The oven program determines the length of the run.

If the ramped column flow program is longer than the oven's ramped temperature program, the flow program will truncate at the end of the oven's program. At that time, the column flow returns to, and holds at, the programmed Initial flow.

If the column flow program is shorter than the oven's, the column will maintain its final programmed flow until the end of the run.

Specify the following parameters for a ramped column flow program. Click on any of the green areas below for details:

Total min is a read-only display of the cumulative run time (determined by the oven program) for each ramp level.

To see a plot of the column flow setpoints, click on the Plot... button and select Column 1 (or 2) Flow:


Font Selection in the MS ChemStation

Four text elements in a Data Plot window are separately controllable through the setting of a CP variable.

Plot Element | Controlling Variable
integration peak labels | PlotFont
plot title | FontTitle
user-created annotations | FontAnn
labels for the plot axes | FontAxis

To control the font choice for a given plot element, choose the corresponding Controlling Variable and set it to a string of the form "fontname,size,rotation,bold". The elements should be separated by commas and should not be null. Defaults are: font name = Arial, size = 12, rotation = 0, boldness = 0 (mapping internally to FW_THIN). They apply when the variable is absent. The semantics follow:

Parameter

Characteristics

font name

use standard Windows font face name

size

expressed in points

rotation

expressed in tenths of degree inclination

boldness

0 = normal, 1 = bold

Example of Macro Usage

NAME PlotExample

FILE "xyz.d"

TIC, TICOBJECT

PlotFont = "Arial, 14, 900, 0" ! vertical labels reading upward

DRAW 3, TICOBJECT ! plot window assumes vert. labels

STARTPRINT

WINPRINT 3, 1, 1, 60, 12 ! so does the printed page

ENDPRINT

REMOVE PlotFont ! go back to default settings

RETURN

The recommended programming style uses local variables to provide an easy way to restore prior state from your macro:

NAME BetterExample

LOCAL PLOTFONT, TICOBJECT

FILE "xyz.d"

TIC, TICOBJECT

PlotFont = "Arial, 14, 900, 0" ! vertical labels reading upward

DRAW 3, TICOBJECT ! plot window assumes vert. labels

STARTPRINT

WINPRINT 3, 1, 1, 60, 12 ! so does the printed page

ENDPRINT

RETURN

Additionally the variables XPlotLabel and YPlotLabel contain strings to override the standard X and Y axis labels. No length checking is provided.


Foreline gauge is not working correctly

Replace the foreline gauge. See the MSD hardware manual for instructions for replacing the foreline gauge.


Foreline hose is constricted

Check the foreline hose. Make sure it has not collapsed. Make sure it is not bent sharply or otherwise constricted.


Foreline pump is not working correctly

Replace the foreline pump or contact your Agilent Technologies service representative.


Foreline pump is not working correctly

If the foreline pump is not working correctly, it can prevent the turbomolecular pump from reaching its normal operating speed. Foreline pressure is not measured on an MSD equipped with a turbomolecular pump.

See Also

Foreline pressure is too high


Foreline pump oil level is low or oil is contaminated

If the oil level is low or the oil is contaminated, the foreline pump will not work effectively. This can increase both foreline and vacuum manifold pressure. Check the level of the oil in the foreline pump. If necessary, add foreline pump oil or replace the oil. Also check the condition (color) of the oil. The foreline pump oil gradually becomes less effective as it is subjected to heat, air, water, solvents, and samples. One symptom is a gradual darkening of the oil.


ForePres (Parameter)

Foreline Pressure displays the foreline pressure of the MSD in mTorr (diffusion pump system only).

5973 MSD only


Forward Search - definition

A forward search algorithm evaluates the similarity of the reference spectrum to the unknown spectrum. All significant peaks in the unknown must be present in the reference spectrum in order to obtain a good match. Visually, the best match in a forward search will usually look very similar to the unknown.


Front/Back Door Open/Not Mounted

Either an injector's door was open, or it was not securely mounted on the injection port. Correct the problem and retry.


Front/Back Incomplete Injection

Check the injector for proper installation and alignment, and verify that there are no obstructions to interfere with its movement. If there are no apparent obstructions, or problems with the installation or alignment, the unit may require service.


Front/Back Injector

Specify the following information about the injector you will use:

  • volume capacity (5 [image] l or 10 [image] l) of the syringe, and

  • whether or not a nanoliter adapter (18599N) is installed.

To continue the Quick Setup process:

Go to the next dialog box.

Return to the previous dialog box.

To create and display the Quick Setup method:

To cancel the Quick Setup process:


Front/Back Injector Communication Error

The likely cause is a slipped cable. Turn the unit off and verify that all cable connections are secure, then turn the unit on and retry. If this process does not correct the problem, the unit may require service.


Front/Back Injector Memory Error

The likely cause is a slipped cable. Turn the unit off and verify that all cable connections are secure, then turn the unit on and retry. If this process does not correct the problem, the unit may require service.


Front/Back Injector Reset

The likely cause is a slipped cable. Turn the unit off and verify that all cable connections are secure, then turn the unit on and retry. If this process does not correct the problem, the unit may require service.


Front/Back Invalid Bottle Number

ChemStation requested an injection from a vial number that the installed hardware does not support. Verify the correct vial number. This error may occur if the tray is installed or removed after ChemStation has been set up with the bottle number.


Front/Back Plunger Error

Check the injector for proper installation and alignment, and verify that there are no obstructions to interfere with its movement. If there are no apparent obstructions, or problems with the installation or alignment, the unit may require service.


Front/Back Syringe Error

Check the injector for proper installation and alignment, and verify that there are no obstructions to interfere with its movement. If there are no apparent obstructions, or problems with the installation or alignment, the unit may require service.


Front/Back Turret Error

Check the injector for proper installation and alignment, and verify that there are no obstructions to interfere with its movement. If there are no apparent obstructions, or problems with the installation or alignment, the unit may require service.


Front/Back (Vial Number) Wanted (Expected Bar Code), Was (Actual Bar Code).

Bar Code Read Is Not What Was Expected.

(Injection Made Anyway/Sample Not Injected)

ChemStation logs these three messages when a bar code read does not match the expected value found in the sample name. ChemStation reports whether it was the front or back sample, which vial number is involved, the expected bar code and the bar code actually read. The third line indicates whether ChemStation performed the injection or not.


Function (Definition)

A function is an expression that returns a unique result when given valid parameter(s). Functions are used like variables to replace an expression.

Function names are always followed by a parameter list enclosed in parentheses ( ). The parentheses must be included with the function name even if the function has no parameters.


Fuse for the high vacuum pump has failed

This fuse is not user replaceable. Contact your Agilent Technologies service representative.


Gas

Open the drop-down list box and select the gas you will use:

Note: At this time, the ChemStation will only support Helium and Hydrogen for use with the 6890 Volatiles Interface. Choosing Argon-Methane or Nitrogen as the gas for the Volatiles Interface will cause the ChemStation to respond with a syntax error message box.

Other Items in this Dialog Box:

Heater

Pressure

Total Flow

Split Ratio

Split Flow

GasSaver (if column is defined)


Gas

Open the drop-down list box and select the gas you will use:

Other Items in this Dialog Box:

Heater

Mode

Ramps

Pressure


Gas

Open the drop-down list box and select the gas you will use:

Other Items in this Dialog Box:

Mode

Cryo Config

Heater

Ramps

Pressure

Total Flow

GasSaver (if column is defined)


Gas

Open the drop-down list box and select the gas you will use:

Other Items in this Dialog Box:

Heater

Pressure

Total Flow

Sampling End

Purge Time

Purge Flow

GasSaver (if column is defined)


Gas

Open the drop-down list box and select the gas you will use:

Other Items in this Dialog Box:

Heater

Pressure

Total Flow

Sampling End

GasSaver (if column is defined)


Gas

Open the drop-down list box and select the gas you will use:

For normal operation, adjust the carrier gas flow (Helium) to approximately 19 mL/min from the ChemStation PCM dialog box.

Other Items in this Dialog Box:

Air Cooling On

Heater

Ramps

Pressure

Total Flow


Gas

Open the drop-down list box and select the gas you will use:

Other Items in this Dialog Box:

Heater

Pressure (if column is defined)

Total Flow (if column is not defined)


Gas

Open the drop-down list box and select the gas you will use:

Other Items in this Dialog Box:

Mode

Heater

Pressure

Total Flow

GasSaver (if column is defined)


Gas

Open the drop-down list box and select the gas you will use:

  • N2 (nitrogen)

  • H2 (hydrogen)

  • He (helium)

  • ArCH4 (argon methane 5%)

  • Air

Note: If the pressure auxiliary channel is connected to a column, Air is no longer a valid Gas selection. If the selected Gas was Air when the channel was connected, it will automatically change to N2.

Other Items in this Dialog Box:

Aux Channel

Description

Heater (thermal channels)

Cryo Focus Configuration (option not available)

Type (thermal channels)

Pressure (pressure channels)

Ramps


Gas Sampling

Two-position (load and inject) valve.

To complete the configuration information, specify:

  • Loop Volume [image] the capacity (in mL) of the sampling loop.

  • Description of use [image] describe the valve's function in more detail, for example, "1 ml loop valve."

  • Inlet [image] the inlet you want to use for injection.

You can configure only two valves as Gas Sampling valves.

For more information about gas sampling valves, see Gas Sampling.


Gas Sampling

You can configure up to two valves as Gas Sampling valves. Gas sampling valves are two-position (load and inject) valves.

  • In load position, an external gas stream flows through an attached sampling loop and out to waste.

  • In inject position, you insert the filled sampling loop into the carrier gas stream.

Stream Selection [image] A gas sampling valve used in conjunction with a multiposition valve serves the function of an automatic injector. When you turn on a gas sampling valve, the ChemStation assumes that you have made an injection. (For more information, see Multiposition.)

To complete your configuration, specify:

  • Loop Vol [image] the capacity (in mL) of the sampling loop.

  • Load time [image] the amount of time (in min) that the valve should remain in the load position before switching to the inject position.

  • Inject time [image] the amount of time (in min) that the valve should remain in the inject position before returning to the load position.

  • Inlet [image] the inlet you want to use for injection.

Gas Sampling Valve Injections

The configuration for a gas sampling valve injection generally includes the following specifications:

  • injection source is 6890 GC Valve,

  • one valve is a Multiposition valve, and

  • one valve is a Gas Sampling valve.

When the run starts:

  1. The 6890 Series GC switches the multiposition valve to the position represented by the front vial number.

  2. The GC will assume a not ready state for the duration of the gas sampling valve's Load Time (if you have configured two gas sampling valves, the longest Load Time takes precedence).

  3. When the gas sampling valve is turned on:

  • as part of loading the method, or

  • as a run time event, or

  • when you change the setpoint to On and download it, the ChemStation will wait until the GC reaches a ready state and then switch the gas sampling valve(s) selected as the injection source to the inject position.

  4. The GC assumes the inject position for the duration of the Inject Time.

Note: During the gas sampling valve's Load Time, neither the ChemStation nor the GC are in a ready state. You can not override the time required to wait for the GC's ready state.


GasSaver

Reduces the carrier gas flow from the split vent after a sample is on the column. The ChemStation maintains column head pressure and the column flow rate, while purge and split vent flows decrease. Gas saver can be used in either the Const Pressure or Const Flow column mode.

If the column is defined, activate gas saver by placing an X in its check box. (See Add New Column Model to Catalog for information about defining a column.)

Specify the split vent flow you want (in ml/min) and the time (in minutes) after the run has started when you want the ChemStation to decrease the split vent flow.

Valid Range

15ml/min - sensor range for currently configured gas at 0 - 999.9 min

Other Items in this dialog box:

Gas

Heater

Pressure

Total Flow

Sampling End


GasSaver

Reduces the carrier gas flow from the split vent after a sample is on the column. The ChemStation maintains column head pressure and the column flow rate, while purge and split vent flows decrease. Gas saver can be used in either the Const Pressure or Const Flow column mode.

If the column is defined, activate gas saver by placing an X in its check box. (See Add New Column Model to Catalog for information about defining a column.)

Specify the saver flow you want (in mL/min) and the time (in minutes) after the run has started when you want the ChemStation to decrease the split vent flow.

If you are performing manual injections and GasSaver is on, you must press the [Prep Run] key on the 6890 GC before injecting.

Valid Range [image] 15mL/min - sensor range for currently configured gas at 0 - 999.99 min

Other Items in this Dialog Box:

Mode

Gas

Cryo Config

Heater

Ramps

Pressure

Total Flow


GasSaver

Reduces the carrier gas flow from the split vent after a sample is on the column. The ChemStation maintains column head pressure and the column flow rate, while purge and split vent flows decrease. Gas saver can be used in either the Const Pressure or Const Flow column mode.

If the column is defined, activate gas saver by placing an X in its check box. (See Add New Column Model to Catalog for information about defining a column.)

Specify the split vent flow you want (in ml/min) and the time (in minutes) after the run has started when you want the ChemStation to decrease the split vent flow.

Valid Range

15ml/min - sensor range for currently configured gas at 0 - 999.9 min

Other Items in this dialog box:

Gas

Heater

Pressure

Total Flow

Split Ratio

Split Flow


GasSaver

Reduces the carrier gas flow from the split vent after a sample is on the column. The ChemStation maintains column head pressure and the column flow rate, while purge and split vent flows decrease. Gas saver can be used in either the Const Pressure or Const Flow column mode.

If the column is defined, activate gas saver by placing an X in its check box. (See Add New Column Model to Catalog for information about defining a column.)

Specify the split vent flow you want (in ml/min) and the time (in minutes) after the run has started when you want the ChemStation to decrease the split vent flow.

Valid Range

15ml/min - 999.9 min

Other Items in this dialog box:

Gas

Heater

Pressure

Total Flow

Sampling End

Split Ratio

Split Flow


GasSaver

Reduces the carrier gas flow from the split vent after a sample is on the column. The ChemStation maintains column head pressure and the column flow rate, while purge and split vent flows decrease. Gas saver can be used in either the Const Pressure or Const Flow column mode.

If the column is defined, activate gas saver by placing an X in its check box. (See Add New Column Model to Catalog for information about defining a column.)

Specify the split vent flow you want (in ml/min) and the time (in minutes) after the run has started when you want the ChemStation to decrease the split vent flow.

Valid Range [image] 15ml/min - sensor range for currently configured gas at 0 - 999.9 min

Other Items in this Dialog Box:

Mode

Gas

Heater

Pressure

Total Flow


GC ALS

GC Injector

Inject samples automatically using an GC Injector.

A run will not start until the chromatographic instrument is ready.

The Front, Back, and Dual selections will be dimmed in this dialog box. Specify the location of the injector(s) you'll be using when you set up the Injector parameters.


GC Configuration Changes Review

Whenever you bring up the ChemStation after modifying the hardware configuration of your 6890 Series GC, the ChemStation will display a list of the changes it has detected and prompt you to verify them.

The ChemStation will use the information you provide to:

  • update your GC's default method (DEF_GC.M), and

  • operate your instrument properly.

The current configuration is graphically summarized for you. Pressure Units identifies the current unit of measurement for pressure values (kPa, psi, or bar):

  • 1 kPa = 0.145 psi = 0.01 bar

  • 6.895 kPa = 1 psi = 0.06895 bar

  • 100 kPa = 14.504 psi = 1 bar

Notes: Gray icons signify hardware that may be installed but is not currently configured.
Click on Pressure Units to modify the unit of measurement for pressure values.

To review a reconfigured hardware item, click on its corresponding icon.

The ChemStation will display the configuration dialog box(es) that correspond to your selection. Review the dialog box(es) and respond to the best of your knowledge.

To examine the entire instrument configuration, use the Review Entire Configuration button:

The ChemStation will display all of the configuration dialog boxes for you. Review each one and respond to the best of your knowledge.

OK/Help Buttons


GC electronics are not working correctly

Contact your Agilent Technologies service representative


GC Injector Parameters (for multiple injections)

Use the GC Injector Parameters dialog box to specify the operating parameters for performing multiple injections. The GC Injector must be an G1513A configured for multiple injections. See Injector Configuration for more information.

You can achieve increased sensitivity with the Programmed Temperature Vaporization (PTV) Inlet by introducing large sample volumes while operating in the Solvent Vent Mode.

Specify whether you'll be using the front, the back, or both injectors. Click on the corresponding option button:

Use Front Injector - front injector parameters become available

The selection you make here determines which injector parameters front, back, or both) are available for editing and saved with the method.

Note Multiple injections are faster when the injector has the 8-sample turret option. The 100-vial sampler tray is incompatible with the 8-sample turret.

Injector Parameters for Multiple Injections:

Inject (X) uL (Y) Times

Delay

Washes

Calculated and Displayed Values

The ChemStation calculates and displays two values; the Total sample volume and the Total injections time.

Total sample volume is displayed on the Injector screen. It is the product of Volume per injection and Injections per run.

Estimated Total Injection Time is displayed on the PTV Inlet screen. It is the approximate total time to make a set of multiple injections based on the parameters entered and the mechanical cycle time of the sampler. Includes Delay between injections, other delays and dwell times. This time is used to calculate the solvent vent time.


GC malfunction

Refer to the user information supplied with your GC or contact your Agilent Technologies service representative


GC Status Message Box

This box gives a convenient summary of the GC front panel display. Use the Edit GC Monitors to set up this display.


GC/MSD interface temperature is too low

Increase the temperature of the GC/MSD interface (Thermal Aux #2) and see if the tailing is reduced. If it is continue to adjust the temperature until you find the optimum setting.

Caution

Do not exceed the temperature limit of the column.


General Information

You can configure an 6890 Series GC as a ChemStation instrument, connected by an GPIB Interface. The ChemStation parameters control the GC's operation, and the ChemStation analyzes the data that the GC produces.

The ChemStation can determine the primary hardware characteristics of the 6890 Series GC you are using. For example, it can determine what type of detectors are installed.

When a hardware or software option is not installed, information relative to that option will be dimmed and therefore unavailable for selection and/or modification.

ChemStation Status/6890 Series GC Status [image] The ChemStation's status window reflects the current state of the ChemStation, while the GC's status window (displayed when running an online session) reflects its current state. During pre-run states, the ChemStation's status may differ from that of the GC. For example, when operating in pulsed splitless mode the ChemStation will reach a ready status while the inlet is being purged to prepare for an injection (during which time the GC will reflect a "not ready" status).

The ChemStation downloads setpoints to the 6890 Series GC when you:

  • Initialize the ChemStation. It loads the default method (DEF_GC.M) and all of the GC's parameters are set to their defaults.

  • Load a method.

  • Modify the setpoints and choose Apply or OK.

  • Modify the GC's parameters using the front panel.

Note: The ChemStation does not download the setpoints of sequences created using the GC's front panel.


Generate Tune Report

To Generate a Tune Report

Selecting File / Generate Report produces a profile and a spectral scan using the current tune parameters and then prints a tune report. The new profile and spectrum plots are sent to the default system printer. The report is always printed in portrait mode.


Generating Reports

Generate an area percent report

Generate a library search report

Generate a quantitation report

Use Custom Reports


Global Minimum Detection Limit

The Global Minimum Detection Limit establishes a signal level below which a compound will always be considered not found. A setting here will override the compound limit set on Page 2 of Edit Compounds.

Hints - Setting the Minimum Detection Level to 0.00 produces the longest and most complete report. Setting the Minimum Detection Level to the methodology's MDL or the level of laboratory background produces a report that is limited to the confirmed hits of target compounds.

Global Minimum Detection Limit is matrix independent. If the term H2O or Water is in the Sample Name or Miscellaneous Information, Matrix A’s (sometimes labeled Water) local MDL will be used. If the term soil is used instead, Matrix B’s (sometimes labeled Soil) local MDL will be used. If none of the above terms are found, Matrix A’s local MDL found on page 2 of Edit Compounds will be used.


Global Update Dialog Box

When you select Calibrate / Update / Global Update, the Global Update dialog box lets you change the following parameters for the entire quantatition database.

Shift Retention Times

Prompts you to shift the times by a constant x minutes or scale them by x percent. Put an m after the number to specify a constant shift (in minutes) or a % after the number to specify a percentage shift. For example, if all compounds are now eluting 2 minutes later than the expected retention time, enter 2m as the retention time shift. Shift Retention Times affects the Retention Time Information in the compound database.

Resize Extraction Windows

Prompts you to resize by x percent or by x minutes. Resize Extraction Windows affects the Retention Time Information in the compound database.

Set Curve Fit Type

Prompts you to select a curve fit. Affects the Calibration Information.

Set Identification Method

Prompts you to select an identification method for the target ions in the extraction window. Although globally done here, it is much more likely done compound by compound in the database. See also Quantitation Parameters.

Set Subtraction Method

Lets you specify the method for calculating qualifier ion ratios: Average of first and last; lower of first or last; no subtraction; extended area quantitation (use only with quantitation by peak area). See also Target Compound Identification.

Set Other (via command)

Lets you use commands to make global changes to other parameters. For example, to change the units of concentration to "ug/L" for all compounds, enter Amt_Units$="ug/L" and press OK. The units of concentration for all compounds in the quantitation database are then updated.

Any quantitation database variable can be updated in a similar manner. GETCOMPOUND and GETRESULT contain a list of applicable variables.


Glossary Button

If this button is present in the menu of the help window, you can click it to display an alphabetical list of important words and phrases and their definitions.

A term defined in a glossary may also be accessed whenever you encounter a dotted underscore like this: Tuning Just put the pointer on the word with the dotted underscore and click the mouse button.


Graphics for Chromatograms

# Pages

The total ion chromatogram (Total Ion Current in GC/MS mode or Chromatogram in GC-only mode) of the analysis can be printed on a single page or it can be spread over up to 10 pages. A selection of None will eliminate the total ion chromatogram from the report.

Y Axis Scale

This is used to set a useful response scale when the signal level from a solvent peak or contaminant greatly exceeds the signal level from the sample. The total ion chromatogram (TIC) can be scaled according to the largest chromatographic peak after the specified time (for example, after the solvent peak elutes). The chromatogram scale is determined by the largest peak after the specified number of minutes.

Entering a number greater than 100 for TIC, Sig 1 or Sig 2 counteracts the “largest peak after x minutes” function. Instead, numbers larger than 100 set the response scale of the chromatogram to the number entered. Also in GC-only mode, separate intensity axis scales can be set for each signal.

Peak Labeling

Labels peaks on the chromatogram that are above the MDL limit specified.

Landscape Orientation

Prints the quantitation report horizontally on the page rather than vertically (portrait). This setting will not necessarily match the orientation specified by File / Printer Setup and is only used for quantitation reports.


Ground loop

The grounds for the detector and GC power sources may be at different potentials. This creates a current path (ground loop) through the detector interface and analyzer. Make sure the grounds for the power sources are at the same potential.

WARNING! Checking for a ground loop should be done by a qualified electrician.


H2 Flow, mL/min

To activate hydrogen gas flow to the detector, place an X in the On checkbox.

The Actual flow, which the GC transmits, is a read-only display.

EPC Setpoint: 0 to 30 mL/min


H2 Flow, mL/min

To activate hydrogen gas flow to the detector, place an X in the On checkbox.

The Actual flow, which the GC transmits, is a read-only display.

EPC Setpoint: 0 to 100 mL/min


H2 Flow, mL/min

To activate hydrogen gas flow to the detector, place an X in the On checkbox.

The Actual flow, which the GC transmits, is a read-only display.

Setpoint Range: 0 to 250 mL/min


Heater

To activate the thermal auxiliary channel, place an X in the On checkbox.

Use Setpoint to specify a temperature (in [image] C) for the auxiliary channel.

Valid Range: ambient to 400 [image] C

The auxiliary channel's Actual temperature, which the GC transmits, is a read-only display.

Other Items in this Dialog Box:

Aux Channel

Description

Cryo Focus Configuration (option not available)

Type (thermal channels)

Pressure (pressure channels)

Gas (pressure channels)

Ramps


Heater

To activate the inlet's heating element, place an X in the On checkbox.

The inlet's Actual temperature (shown in [image] C), which the GC transmits, is a read-only display.

Other Items in this Dialog Box:

Gas

Mode

Ramps

Pressure


Heater

To activate the inlet's heating element, place an X in the On checkbox.

Use Setpoint to specify the temperature setpoint for the PTV Inlet:

No cryo* | 0°C to 450°C
CO2 cryo | -60 [image] C to 450°C
Liquid N2 cryo | -160 [image] C to 450°C

* The Practical lower limit is approximately ambient +10°C. The inlet's Actual temperature (shown in [image] C), which the GC transmits, is a read-only display.

Other Items in this Dialog Box:

Mode

Gas

Cryo Config

Ramps

Pressure

Total Flow

GasSaver (if column is defined)


Heater

To activate the inlet's heating element, place an X in the On checkbox.

Use Setpoint to specify the temperature setpoint for the Inlet.

Valid Range:

0.0 to 400°C

The inlet's Actual temperature (shown in [image] C), which the 6890 GC transmits, is a read-only display.

Other Items in this dialog box:

Gas

Pressure

Total Flow

Split Ratio

Split Flow

GasSaver (if column is defined)


Heater

To activate the inlet's heating element, place an X in the On checkbox.

Use Setpoint to specify the temperature setpoint for the Inlet.

Valid Range:

0.0 to 400°C

The inlet's Actual temperature (shown in [image] C), which the 6890 GC transmits, is a read-only display.

Other Items in this dialog box:

Gas

Pressure

Total Flow

Sampling End

Purge Time

Purge Flow

GasSaver (if column is defined)


Heater

To activate the inlet's heating element, place an X in the On checkbox.

Use Setpoint to specify the temperature setpoint for the Inlet.

Valid Range:

0.0 to 400°C

The inlet's Actual temperature (shown in [image] C), which the 6890 GC transmits, is a read-only display.

Other Items in this dialog box:

Gas

Pressure

Total Flow

Sampling End

GasSaver (if column is defined)


Heater

When the PCM is configured with a heated inlet, you can activate the inlet's heating element by placing an X in the On checkbox.

Enter the desired Setpoint temperature for the Inlet in the entry box.

The inlet's Actual temperature (shown in [image] C), which the GC transmits, is a read-only display.

Other Items in this Dialog Box:

Gas

Air Cooling On

Ramps

Pressure

Total Flow


Heater

To activate the inlet's heating element, place an X in the On checkbox.

Use Setpoint to specify a temperature setpoint (ambient to 450 [image] C) for the inlet.

The inlet's Actual temperature (shown in [image] C), which the GC transmits, is a read-only display.

Setpoint Ranges

Parameter | Allowed Setpoint Range
Oven track | 3 [image] C higher than the oven temperature to a maximum of 450 [image] C. If you have CryoBlast, the inlet can maintain temperatures down to -40 [image] C, although allowable oven setpoints are -60 [image] C for CO2 and -80 [image] C for N2.
Ramped temperature without CryoBlast | 24 [image] C to 450 [image] C
Ramped temperature with CryoBlast | -40 [image] C to 450 [image] C

Other Items in this Dialog Box:

Gas

Pressure (if column is defined)

Total Flow (if column is not defined)


Heater

To activate the inlet's heating element, place an X in the On checkbox.

Use Setpoint to specify a temperature setpoint (ambient to 400 [image] C) for the inlet.

The inlet's Actual temperature (shown in [image] C), which the GC transmits, is a read-only display.

Other Items in this Dialog Box:

Mode

Gas

Pressure

Total Flow

GasSaver (if column is defined)


Heater, °C

To activate the detector's heating element, place an X in the On checkbox.

The detector's Actual temperature, which the GC transmits, is a read-only display.

Setpoint Range: 0 to 400 [image] C


Heater, °C

To activate the detector's heating element, place an X in the On checkbox.

The detector's Actual temperature, which the GC transmits, is a read-only display.

Setpoint Range: 0 to 250 [image] C


Heater, °C

To activate the detector's heating element, place an X in the On checkbox.

The detector's Actual temperature, which the GC transmits, is a read-only display.

Setpoint Range: 0 to 450 [image] C


Heater cartridge has failed (open circuit)

  1. Vent the MSD.

  2. Open the vacuum manifold.

    Caution

    Take precautions against electrostatic discharge (ESD) any time you open the vacuum manifold but especially when working near the mass filter (quad) contacts. These contacts can carry harmful electrostatic discharge to sensitive components on the side board.

  3. Disconnect the heater wires from the feedthrough board. For each heater, use an ohmmeter to check the heater continuity. If the ohmmeter indicates a heater is open circuit (infinite resistance), replace the heater assembly.

See the MSD hardware manual for instruction for venting the MSD, opening the vacuum manifold, and replacing the heater assemblies.


Heater voltage is too low

This indicates that a transformer in the electronics module is not configured correctly. This transformer is not user serviceable. Contact your Agilent Technologies service representative.


HED high voltage lead is shorted to ground

  1. Vent the MSD.

  2. Open the vacuum manifold.

  3. Check the HED high voltage lead. Make sure it is connected. Make sure it is not shorted to a grounded surface.

See the MSD hardware manual for instructions for venting the MSD and opening the vacuum manifold.


Help Button
Clicking this button displays help for the Instrument Control view and gives access to the rest of the help system.


High scan speed (scan mode)

If you are acquiring data in scan mode and experience problems with missing isotopes or incorrect isotope ratios, try reducing the scan speed.


High vacuum pump is off or has not reached normal operating conditions

The ion source and mass filter (quad) heaters will not heat up until the high vacuum pump is on and has reached its normal operating temperature (diffusion pump) or 80% of its normal operating speed (turbomolecular pump). If this is the case, the data system should display a message such as:

The system is in VENT state

The high vacuum pump is not ready


High vacuum signal cable is not connected correctly (diffusion pump)

Check the back of the MSD. Make sure the high vacuum signal cable (HI-VAC SIGNAL) is securely connected to the back panel of the MSD.

WARNING! The diffusion pump operates at dangerously high temperatures. Do not try to check the high vacuum signal cable connections to the diffusion pump unless the MSD is off and the diffusion pump has had enough time to cool.


High vacuum signal cable is not connected correctly (turbo pump)

Check the back of the MSD. Make sure the high vacuum signal cable (HIVAC SIGNAL) is securely connected to the back panel of the MSD and to the turbomolecular pump controller.


Hold min

Number of minutes that you want the GC to maintain Next [image] C for each given program level.

The Initial Hold min interval begins when you start the run:

  • at the time of injection, if injecting automatically, or

  • at the time you press Start on the front panel of the GC, if injecting manually.


Hold min

Number of minutes that you want the GC to maintain ml/min for each given program level.

The Initial Hold min interval begins when the run is started:

  • at the time of injection, if injecting automatically, or

  • at the time you press Start on the front panel of the GC, if injecting manually.


Hold min

Number of minutes that you want the GC to maintain Next [image] C for each given program level.

The Initial Hold min interval begins when you start the run:

  • at the time of injection, if injecting automatically, or

  • at the time you press Start on the front panel of the GC, if injecting manually.

For isothermal runs, set the Hold min parameter in the Initial row of the program to the length of time the isothermal run should last.


Hold min

Number of minutes that you want the GC to maintain Next [image] C for each given program level.

The Initial Hold min interval begins when you start the run:

  • at the time of injection, if injecting automatically, or

  • at the timeyou press Start on the front panel of the GC, if injecting manually.


Hold min

Number of minutes that you want the GC to maintain Next psi, kPa, or bar for each given program level.

The Initial Hold min interval begins when you start the run:

  • at the time of injection, if injecting automatically, or

  • at the time you press Start on the front panel of the GC, if injecting manually.


Holdup Time of an Unretained Peak

Elution time (in min) of an unretained peak in the column.

Holdup time is also known as "dead time."


How To

Calibrate a Column

Change a Column

Edit a Method

Optimize Data Rate

Prepare a Ramped Oven Temperature Program

Prepare for an Isobaric Run Using Gas Saver

Prepare for an Isothermal Run

Set up a Pulsed Pressure Inlet

Set Split Ratio

Set up the Programmed Temperature Vaporization Inlet

Use the GC Petrochemical Enhancements


Icon Bar

To open an instrument dialog box, click on its corresponding icon. For example, to open the Valves dialog box, click on the Valves icon.

A yellow background signifies that the icon's corresponding dialog box is currently open (a type of "you are here" message).

Once you open a dialog box, you can add or revise the parameters there.

A blue checkmark signifies that you have opened an icon's corresponding dialog box, but didn't change any parameters.

A blue X signifies that you have opened an icon's corresponding dialog box and changed one or more parameters there, but you have not downloaded the changes yet.

A red background signifies that there are one or more illegal values (which will also be shown in red) in an icon's corresponding dialog box that you need to correct before the ChemStation will permit downloading.

A yellow background with red text signifies that the icon's corresponding dialog box is currently open and it contains one or more illegal values.

Note: The ChemStation will not download any parameters until you have corrected all illegal values.

The ChemStation will download added or revised parameters to the instrument when you use either the Apply or the OK button:

Refer to Buttons for more information.


Improving Match Quality

Assume you have an idea about the identity of the unknown and perform a PBM search to confirm your suspicions.

If suspect appears in the hit list but has low match quality:

In this case, the suspect passed the prefilter criteria, so changing the U + A option will have no effect. Check Tilting; if it is off, turning it on may correct for differing mass spectrometer responses between the reference and the unknown spectrum.

Examination of the tabular report is very useful in this case. If the K-value is high and the dK-value is low, then the match quality of the suspect is low because PBM considered the unknown to be contaminated (% will be low, Con high). A graphical comparison of the unknown and suspect should also point out what masses/abundances are different.

Sometimes, it is also useful to average the spectra across the peak apex, or to examine scans other than the apex spectrum. In the final analysis, a graphical comparison may be necessary for proper identification.

If suspect does not appear in the hit list:

There are several possibilities for this case. Ease the prefilter parameters by raising the U + A and Flag Threshold and turning Tilting ON. Try the search again. If it is still unsuccessful, the compound may not be in the database.


Incorrect display scale

If the flat peak top is at the top of the display, the scale may be incorrect. Change the scale.


Incorrect heater wiring connection

  1. Vent the MSD.

  2. Open the vacuum manifold.

Caution

Take precautions against electrostatic discharge (ESD) any time you open the vacuum manifold but especially when working near the mass filter (quad) contacts. These contacts can carry harmful electrostatic discharge to sensitive components on the side board.

  3. Check the heater wires for both the ion source and mass filter heaters. Make sure the heater wires are securely connected to the correct pins on the feedthrough board.

  4. If the heater wires appear to be connected correctly, check the heaters themselves to see if they have failed.

See the MSD hardware manual for instructions for venting the MSD and opening the vacuum manifold.


Incorrect injection port temperature

An injection port temperature that is too high or too low can cause peak tailing. Increase or decrease the injection port temperature 25 to 50 degrees C and try again.

Caution

Do not exceed the temperature limit of the capillary column. Doing so can ruin the column.


Incorrect mass filter polarity

Switch the dc polarity on the quadrupole mass filter (quad). Retune the MSD. If performance improves, continue to use the new dc polarity.


Incorrect or inadequate line voltage at the electrical outlet

Make sure the line voltage is within the acceptable range for the gauge controller.

WARNING! Only a trained electrician should check the line voltage.


Incorrect sample concentration

Make sure the sample concentration is correct. A sample that is lower in concentration than you think it is can make sensitivity appear poor when in fact it is good.


Incorrect setpoint

Make sure the setpoint for the ion source temperature is what you expect it to be. Unless you override it, the setpoint is determined by the setpoint in the tune file associated with the current method.


Incorrect temperatures

Incorrect temperatures in the MSD can decrease sensitivity. The correct temperatures vary with the type of sample being analyzed but typical temperatures are:

GC/MSD interface - 280 degrees C

Ion source - 230 degrees C

Mass filter - 150 degrees C


Incorrect tune file

If the conditions in the tune file do not match the conditions under which data was acquired, there may be shifts in the mass assignments. Make sure the current tune file matches the conditions being used for analyses (make sure the conditions have not been overridden).


Incorrect tuning

Make sure the tune file specified in the method is a valid file. Make sure it is appropriate for the analytical technique and for the type of sample you are analyzing. Do not acquire data if the MSD cannot pass tune.


Initial calibration

Initial calibration is an analysis of calibration samples of different concentration levels. This defines the linearity and dynamic range of the MSD response to the target compounds.


Initial oven temperature too low

Increase the initial oven temperature by 10 or 20 degrees C and see if the fronting decreases.


Initial oven temperature was decreased

Check the initial oven temperature. Make sure it has not been decreased. Decreasing the initial oven temperature increases retention times for all compounds.


Initial oven temperature was increased

Check the initial oven temperature. Make sure it has not been increased. Increasing the initial oven temperature decreases retention times for all compounds.


Inject (X) uL (Y) Times

This parameter in the Edit Injector Parameters dialog box defines (X) as the the volume (in ul) of sample you want to be injected and (Y), the number of times to inject volume (X).

The Valid entries to define the sample volume are:

  • Inject (X) range is 0.1 to 0.5 times the syringe volume. The default entry is 0.1 times the syringe volume.

  • (Y) Times range is 1 to 100. The default value is one.

The injector must be configured for Multiple Injections at the Injector Configuration dialog box. (Click on the Configuration button.)

Syringe Size is a read-only display in this dialog box. You can modify the Syringe Size at the Injector Configuration dialog box. (Click on the Configuration button.)

Other Items in this Dialog Box:

Delay

Washes


Injection is too large

If the injection expands to a volume greater than the volume of the liner, it can skew the peak to the left (peak tailing) or right (peak fronting). Decrease the injection size.


Injection port temperature too high

An injection port temperature that is too high can cause fronting. Reduce the injection port temperature 25 to 50 degrees C and try again.


Injection Pulse Pressure

Inlet pressure (in psi, kPa, or bar) at the beginning of a run, until the time (in minutes) when the inlet pressure returns to its normal setpoint.

Valid Ranges:

0 - 100 psi until 0 - 999.9 minutes

0 - 690 kPa until 0 - 999.9 minutes

0 - 6.9 bar until 0 - 999.9 minutes


Injection Pulse Pressure

Inlet pressure (in psi, kPa, or bar) at the beginning of a run, until the time (in minutes) when the inlet pressure returns to its normal setpoint.

Valid Ranges:

0 - 100 psi until 0 - 999.9 minutes


Injection size too large

A large injection can saturate the column or the detector. Reduce the injection size or reduce the sample concentration.


Injection size too large

A large injection can overload the column, resulting in chromatographic peaks with split or ragged tops. Reduce the injection size.


Injection Source

GC ALS

Select this when you plan to use the Automatic Liquid Sampler (ALS).

Manual

Select this when you want to:

  • Inject samples manually using a syringe

  • Introduce samples from a purge/trap system

  • Synchronize the run

If you select this, a dialog box appears at the beginning of the run to allow you to synchronize the run from the keyboard. Once you have made the injection, you must click on Start Run.

Valve / Immediate Start

The run begins when both the GC and MSD are ready. Selecting this starts the run when the mass spectrometer is ready; you will not be prompted by a dialog box to start the run.

External Device

The run will begin when both the GC and MSD are ready, and an “external device” has subsequently issued a remote start. You will not be prompted by a dialog box to start the run. This selection is most useful for a purge/trap configuration.


Injection Volume

Injection Volume is the volume (in ul) of sample you want to be injected. You can indicate whether or not you are using a Nanoliter Adapter at the Injector Configuration dialog box. (Click on the Configuration button.)

Syringe Size is a read-only display in this dialog box. You can modify the Syringe Size at the Injector Configuration dialog box. (Click on the Configuration button.)

Other Items in this Dialog Box:

Washes

More Button (6890 GC)

Configuration Button

OK/Cancel/Help Buttons


Injector Button (6890)

Injector Button
Click this button to set parameters for the injector when you have configured your instrument with an Automatic Liquid Sampler and have selected GC ALS in the Inlet / Injection Types box.


Injector Configuration

Use the Injector Configuration dialog box to specify the following configuration parameters for the front and/or back injectors (depending on your selection at the GC Injector Parameters dialog box).

Contents of this Dialog Box:

Syringe Size

Nanoliter Adapter

Multiple Injections

On-Column Injection (not available on all injectors)

OK/Cancel/Help Buttons


Injector Not Present

ChemStation attempted to move a bottle to or from an injector that is not installed. Turn the unit off and verify that all cable connections are secure, then turn the unit on and retry. If the error occurs again contact Service.


Inlet

Specify the Inlet that the column is connected to:

  • Front

  • Back

  • Pres Aux #3

  • Pres Aux #4

  • Pres Aux #5

  • Unspecified

Note: If you specify Pres Aux #3, #4, or #5 as the column's Inlet, you can program run time events as well as ramped pressure changes for that channel (see Runtime). (Gas sampling valve injection is the most common application for this kind of configuration.)

Other Items in this Dialog Box:

Mode

Detector

Outlet psi/kPa/bar

Flow

Installed Column

Manufacturer's Specifications/Column Dimensions

Ramps


Inlet & Detector Gases

Review the configuration information about the inlet(s) and detector(s) installed on your 6890 Series GC. The ChemStation will use this information for proper operation of the Electronic Pneumatic Control (EPC) module. Respond to the best of your knowledge, then click OK.

Note: If EPC is not installed, you may enter the requested information for documentation puposes or click OK to continue.

Specify the:

  • gas you will use for the front/back inlet(s), and the

  • gas you will use for makeup flow to the front/back detector(s).

For more information about inlet and detector gases, see Inlets and Detectors.

OK/Undo/Help Buttons


Inlets Button - 6890

Inlets Button
Click this button to set parameters for the inlet you have configured for your system (for example, the EPS Purged Packed Inlet.) A panel will be displayed for your input.


Installed Column

Installed Column displays the Inventory# and current calibration specifications for the column, including:

  • the date and time the column was last calibrated,

  • the calibrated length and diameter values by which nominal specifications are adjusted to "true" values used by the 6890 Series GC and ChemStation in calculations to adjust pressure and achieve a desired flow (or to adjust flow and acheive a desired pressure), and

  • any holdup time measurement upon which the ChemStation based its calibration.


Installed Column

Installed Column identifies the Inventory# of the column currently installed in this position and its calibrated specifications, which the 6890 Series GC and ChemStation use in pressure/flow calculations:

  • The calibrated length and diameter values reflect adjusted nominal specifications, that is, the "true" values which take into account manufacturing variations or changes in column length.

  • The calibrated film thickness is always the same as the nominal specification.

Other Items in this Dialog Box:

Mode

Inlet

Detector

Outlet psi/kPa/bar

Flow

Manufacturer's Specifications/Column Dimensions

Ramps


Instrument Control Dialog Boxes (6890 GC)

Note that some of the GC dialog are not available if the specific hardware is not installed.

Acquisition - Sample Information

GC Column 1/2 Calibration

GC Auxiliary

GC Columns

GC Detectors

GC Inlet

Cool On-Column Inlet

Purged Packed Inlet

Split - Splitless Inlet

Volatiles Interface

AC SIMDIS Inlet

Programmed Temperature Vaporization (PTV) Inlet

GC Injector

GC Install Column 1/2

GC Options

GC Oven

GC Real Time Plot

GC Runtime

GC Signals

GC Valves

Edit GC Monitors

Inlet and Injection Parameters

MS SIM / Scan Parameters

MS Timed Events Parameters

Y Scale

Monitor Alarm

Edit MS Monitors


Instrument Log File

The instrument log file records command errors generated in the Instrument Control view in the file MSINSCTL.LOG. These errors include any command error due to the GC, MS acquisition or tuning. The CP command LOGGING controls the log file output. which is set to log errors only. This is a useful debugging tool if you write macros.

You can view, print, and clear the instrument log MSINSCTL.LOG in the Diagnostics view:

See Also

Trace On/Off

Logbook


Instrument Menu (6890)

Instrument Menu (6890 GC)

Inlet / Injection Types | Lets you select the type of inlet and injection for supplying sample to the MS.
GC Edit Parameters | Displays the GC Instrument | Edit panel where you can set all GC parameters.
GC Plot | Sets up the real time display windows on the Instrument Control panel for GC signals.
GC Monitors | Display the Edit GC Monitors panel.
Acquire RTLock Calibration Data | Initiates collection of the RTL (retention time locking) calibration files.
Unlock Method | Removes the RTL lock flag from a method. This lets you perform manual column flow adjustments.
Select MS Tune File | Lets you select a different MS tune file.
MS SIM / Scan | Lets you set up to acquire MS data in SIM or scan mode.
Change Source Temp | Displays the MS Zones dialog box.
MS Monitors | Display the Edit MS Monitors panel.
Edit MS Tune Parameters | Lets you set MS tune parameters.
Perform MS Autotune | Lets you select and run an autotune.
EMF Utilities | Provides access to the early maintenance feedback (EMF) utilities. where you can select or reset various limits and counters.


Instrument Menu -- RTL

The following two retention time locking menu items are available from the Instrument menu in Instrument Control:

Acquire RTLock Calibration Data | Initiates collection of the RTL calibration files.
Unlock Method | Removes the lock flag from the method allowing the user to perform manual column flow adjustments.


Instrument/Acquisition

For details, click on either of the following:

Select Injection Source...

Icon Bar


Insufficient carrier gas supply

Check the pressure of the carrier gas supply. It should be between 40 and 60 psi. It must be 10 - 15 psi greater than the pressure required by the Electronic Pneumatic Control (EPC) module.


Insufficient column (carrier gas) flow

Insufficient carrier gas (column) flow can cause both peak tailing and peak fronting. Try raising the flow. Do not exceed 2.0 ml/minute if your MSD is equipped with a diffusion pump or 4.0 ml/minute if your MSD is equipped with a turbomolecular pump.


Insufficient time for the MSD to warm up and pump down

Contaminants that interfere with the relative abundance of m/z 502 may still be present in the instrument. Wait until the MSD has been on with the heated zones at their normal setpoints at least 2 hours, then try autotune again.


Integrate Menu--Easyid

Integration Parameters | Displays the Integration Parameters dialog box.
Save compound specific integration parameters | Saves integration parameters for the compound.
Remove compound specific integration parameters | Removes integration parameter file names for the compound.
Integrate | Integrates the compound using method parameters.


Integration - definition

Integration is a tool for finding the peaks in a chromatogram and determining their size. Integration is required for producing a percent report, setting up a quantitation database, identifying and quantifying target compounds, producing a library search report, and doing a library search on integrated peaks. The ChemStation software has three integration options: Autointegrate or Integrate with the ChemStation integrator, and Integrate with the RTE integrator.


Integration Events Commands

The following commands are available for setting the integration events used by the ChemStation integrator.

AREAREJECT value, time

AREASUM 1/0, time

BASELINE NOW / NEXTVALLEY / BACK, time

BASELINE ALLVALLEY / HOLD, 1/0, time

INITREJECT value

INITTHRESH value

INITWIDTH value

INTEGRATOR 1/0, time

NEGPEAKS 1/0, time

PEAKWIDTH value, time

SHOULDERS 1/0

SOLVENTS 1/0, time

TANSKIM time

THRESHOLD value, time

To view the list of integration events currently in memory, enter TABULATE EVENTS.


Integration Parameter File

If a file is not specified:

  • If you are using the RTE integrator, the chromatogram is integrated using the system default RTE integration parameters (not the parameters specified in the RTE Integration Parameters dialog box).

  • If you are using the ChemStation integrator, the chromatogram is autointegrated (with the AUTOINT command).

To specify an integration parameter file, enter the name of an RTE integration parameter file or a ChemStation integrator events file (enter ? to get a list of the available events (.E) files).


Integration Parameter File

If a file is not specified:

If you are using the RTE integrator, the chromatogram is integrated using the RTE integration parameters saved in the current method (not the parameters specified in the RTE Integration Parameters dialog box).

If you are using the ChemStation integrator, the chromatogram is autointegrated.

To specify an integration parameter file:

Enter the name of an RTE integration parameter file or a ChemStation integrator events file. This file must be included in the current method.

Note: For GC data, the GC chromatogram is integrated using the parameters specified using Chromatogram / GC Signal Integration Parms. Individual integration parameters for GC data is NOT supported. For this reason, using the time -programmed features of the ChemStation integrator is recommended.


Integration Parameter Files

Integration parameter files are created and saved in the RTE Integrator Parameters dialog box. You can specify a particular integration file when generating a Percent, Library Search, or Quantitation report. Enter the name of the file in the Integration Parameter File text box in the appropriate dialog box:

  • Percent Report Options

  • Library Search Report Options

  • Edit Compounds

  • Quantitation Database Globals (for new compound entry only)


Integration Results

This menu item displays a tabulation of the integration results associated with the current data file. From the display, the information may be printed or copied to the Clipboard. For each peak, the following information is listed:

Peak#

The number of the peak found by integration.

Ret Time

The retention time (minutes) of the peak.

Type

For the RTE integrator, a code identifying how the baseline was constructed. The first letter (r) identifies that the RTE integrator was used. The next two characters (B=chromatographic baseline;V=valley dropline) describe the baseline at the start and end of the peak. An m indicates the peak was manually integrated.

If a number appears after the first three characters, it indicates that the peak purity algorithm detected more than one compound in the peak. The number that appears (2, 3, etc.) corresponds to the number of compounds detected.

For the ChemStation integrator, a four-character code describes the integrated peak.

Area

The area of each peak.

Start Time

The time (minutes) the peak begins.

End Time

The time (minutes) the peak ends.


Intermittent leak in the injection port

Check the injection port for leaks.

See the documentation supplied with your GC for more information.


Internal Standard Calibration - definition

Internal standard is a compound that is added to every standard, blank, matrix spike, matrix spike duplicate, and unknown sample after sample preparation but before analysis. The internal standard is added at an exact, known concentration. It is required for the calculation of relative response factors for target compounds.

The internal standard should be similar to the target compound, both chemically and in retention time. But it must be distinguishable either by retention time or by ions.


Inventory#

Number you assign that uniquely identifies the column.


Ion Plot

Clicking the axis button on the enlarged Total Ion or Extracted Ion window displays a dialog box where you can enter the minimum (limit=0) or maximum (limit=2E9). Alternatively, you can click the adjacent arrow buttons to multiply or divide the minimum or maximum by a power of two.

Timed events such as calibration valve on are labeled on the real time MS plots. These events are set in the MS Timed Events Parameters dialog.


Ion source temperature is too low

Increase the temperature of the ion source and see if the tailing is reduced. If it is continue to adjust the temperature until you find the optimum setting.


Ion source temperature too high

Reduce the ion source temperature and see if the relative abundance of m/z 502 improves.


IonFocus (Parameter)

IonFocus sets the voltage of the ion focus lens (part of the ion source). Ion focus affects ion abundance. Generally, the offset is ramped during tuning to find the ion focus offset that results in the best ion abundance.

MSD | MIN | MAX | STEPSIZE
5972 / 6890 | 0 | 127.5 | 0.5
5973 | 0 | 242.0 | 0.95


ISTD - definition

ISTD Internal standard - a compound added to every standard, blank, matrix spike, matrix spike duplicate, and unknown sample prior to analysis. The internal standard is added at an exact, known concentration. It is required for the calculation of relative response factors for target compounds.

The internal standard should be similar to the target compound, both chemically and in retention time. But it must be distinguishable either by retention time or by ions.

One of the calibration procedures used in quantitative analyses.


ISTD concentration

Enter the default concentration for internal standards included in the database. This is the concentration of an internal standard known to be present in a sample.


JCAMP -- definition

JCAMP is an ASCII file format developed for spectral information by the Joint Committee on Atomic and Molecular Physical Data Exchange (JCAMP-DX).


Laboratory temperature is too high (generally above 35°C)

Check the temperature in your laboratory. If the temperature is too high, the fan may not be able to cool the diffusion pump.


Large peak such as the solvent peak eluted while the analyzer was on

Make sure the solvent delay is long enough so the analyzer does not turn on until the solvent peak has eluted.


Large variations in the temperature of the laboratory

Changes in MSD temperature can cause small shifts in mass assignments. A large shift in the temperature in the laboratory is sometimes enough to change the MSD temperature and affect mass assignments.


Large Volume Injections

Most vaporizing inlets are designed for samples in the 1 to 5 uL range. With larger injections, the vapor cloud created when the sample vaporizes may overflow the inlet and degrade the chromatography. For the PTV, the nominal liner capacities are:

Liner

Nominal capacity

Inertness

Open baffle

5 uL

High

Glass wool packed

25 uL

Lower, because of greater surface area

In the solvent vent mode, analytes are thermally trapped in the liner while the solvent is removed. With the solvent gone, the liner volume can be used for another injection. Injections can be repeated several times to concentrate the analytes from a large sample volume. After injection and solvent removal, the analytes are transferred to the column. This can replace the need for offline reconcentrating and minimize loss of sample.

The PTV uses multiple injections by the to achieve large volume injections. The ChemStation system controls the process.


Leaking carrier gas line

A major leak somewhere in the carrier gas path can cause the alarm. Possible locations include:

  • Tubing between the carrier gas supply and the GC

  • Carrier gas fittings within the GC

  • Injection port

  • Broken column

Visually and physically inspect all fittings. Make sure they are not leaking. Check the injection port for leaks. Make sure the column is not broken. See the user information supplied with your GC for more information.


Leaking injection port

Leaks in the septum, injection port seal, and column nut allow sample to escape. Tighten fittings or replace injection port components as necessary.


Leaks in the injection port

Leaks in the septum, injection port seal, and column nut allow sample to escape. Tighten fittings or replace injection port components as necessary.

See the documentation supplied with your GC for instructions for injection port maintenance.


Length

Length (in meters) of the column. The ChemStation saves nominal Length with the method.


Level of fluid in the diffusion pump is too high

If the level of the fluid in the diffusion pump is too high, it can slow the pumpdown process or prevent the diffusion pump from reaching its normal operating temperature. Check the level of the fluid in the diffusion pump.

Refer to the MSD hardware manual for instructions for checking the fluid level in the diffusion pump.


Library

Enter the full path name of the library to be searched. For example, to search DEMO.L in the C:\DATABASE directory, enter: C:\DATABASE\DEMO.L


Library menu (Parametric Retrieval)

Library Menu

The Library menu includes two options for editing a custom library.

Select Library | Takes you to the Library Search Parameters box where you can select the library to be used whenever a PBM search is done.
Edit Strategy | Takes you to the Search Strategy box where you can change the search parameters for a PBM search.
Edit Library | Displays the Edit PBM Library box where you may manually edit a library entry.
Library Search Report | Displays the Library Search Report Options box to create a report of the library search results for the integrated peaks in the TIC.
Read JCAMP File | Translates the library from JCAMP format.
Write JCAMP File | Writes an existing library in JCAMP format.
Subset Library | Creates a subset of a library (Subset Library).
Add Current Entry | Prompts you to select a spectrum to add as an entry in the current edit library.

See Also

About Library Selection in Parametric Retrieval


Library Search Commands

These commands are available for use with the library search software or in the Parametric Retrieval window. Optional parameters are shown in brackets [ ]. For more information about a particular command, click on the name of the command.

See Also Entering Commands.

EDITHEADER [x] [,operation] [,entry number]

EDITSTRATEGY [u+a] [,flag threshold] [,tilting] [,purity] [,cross corr] [,duplicates] [,low filter] [,high filter] [,max hits]

FINDBYCAS cas number [,"library"]

GETMSREF entry number [,"library filename"] [,variable] [,CONDMS / FULLMS]

LIBRESULTS [object]

MW "molecular formula"

PBMSEARCH ["library filename"] ,variable

PRCLOSERESULTS

PRGETRETRESULTS entry number, library name

PRPARAMS

PRRESULTS

PRRETRIEVE [continue]

PRSAVEPARAMS

PRSETPARAMS variable to change, on or off, RANGE / SCALAR / STRING

PRSETWINPOSITION x-position, y position

QUALPARMS ["library1", "library2", "library3"] [,threshold1, threshold2] [,selection method] [,background time] [,integration type] [,"filename"]

QUALRPTOPT [verbosity, to screen, to printer, to file, "filename", during run method]

SAVESTRATEGY "filename.mac"

VIEWPBMTEXT variable, hit number


Line voltage too low

Make sure the line voltage is within the acceptable range for the gauge controller.

WARNING! Only a qualified electrician should check the line voltage.


List File Info

List File Information

Selecting File / List File Info displays information from the header of the data file as well as a history of operations performed using the data file. The following information, which was included with the data file at the time of acquisition, is listed.

File

The name of the data file including path.

Operator

Operator information as entered in the Acquire Data or Start Run dialog box.

Date Acquired

The date and time the run was started.

Method File Name

The name of the method file used to acquire the data.

Sample Name

This is the sample name information as entered in the Acquire Data, Start Run, or Sample Log Table dialog box.

Misc Info

This is the miscellaneous information as entered in the Acquire Data, Start Run, or Sample Log Table dialog box.

Vial Number

The vial number as entered in the Start Run or Sample Log Table dialog box. The number is always 1 when the run is started from the Acquire Data dialog box.

Files in Data Directory

The time stamps and sizes of common files in the data file directory are listed. If the time stamp of the Quantitation Results (Quant.res) file is after one of the generated reports then the report file will be tagged with a "*" to indicate it does not include the most current results. The files that will be included in the list if they are present are:

<MethodName>.RES Quantitation Results

DETAIL.XLS Custom Reports

File History

The file AUDIT.TXT in the data file directory contains a history of operations performed on that data file. The operations that are recorded include: Quantitation, Manual Integrations, and deletion of false positives.

The system macros always maintain a record of changes to either the method or the data file results. These changes are recorded in AUDIT.TXT beneath the method (*.M) or the data file results (*.D) directories and may be viewed by selecting Calibrate / List/Calibration History or File / List Header. When Audit Trail is selected, the macros will prompt you to input your User ID and record this information as a part of the changes.


Load Data File

Load Data File loads a user-specified data file and displays the total ion chromatogram (TIC) for that file. Select File / Load Data File and then select the desired data file from the list of files on the left.

The Sort By option lets you reorder the list of files by various criteria (File Name, Sample Name, Misc Info, Data Acquired, and File Name Only) from the data file. The Sort By option will also determine which data file is used when the Next Data File option is selected.


Locate Compounds - GC/MS

To determine if a particular target compound (from the current quantitation database) is present in the current data file, select Tools / Locate a Compound. Results are displayed on the screen.

To determine if all of the target compounds in the current quantitation database are present in the current data file, select Tools / Locate All Compounds. The results, which are tabulated in MultiVu, list the following for each compound:

  • Peak #

  • Compound name

  • Quantitation ion

  • Expected retention time

  • Actual retention time

  • Difference between actual and expected retention times.


Lock Keyboard

The ChemStation provides you with the option of locking out setpoint entries from the GC keypad during this 6890 Series GC instrument session.

To lock out entries, select the Yes option button.

Other Items in this Dialog Box:

Pressure Units

Column Compensation Detector


Loose column connection

Make sure the connections at both ends of the column are secure. Heating and cooling of the GC oven can cause the column nuts to loosen.

WARNING! The GC oven and the column nuts are often very hot. Make sure they have cooled before handling them.


Loose connections in the analyzer

  1. Vent the MSD.

  2. Open the vacuum manifold.

  3. Check the internal analyzer wiring connections. Correct any loose connections.

  4. Close the vacuum manifold.

  5. Make sure all cables to the side board are securely fastened.

See the MSD hardware manual for instructions for opening the vacuum manifold.


Low dwell time (SIM mode)

If you are acquiring data in SIM mode and experience problems with missing isotopes or incorrect isotope ratios, try increasing the dwell time.


Macro (Definition)

A macro is a series of commands that are grouped together and given a name. To use a macro you need only type its name and the commands in the macro are executed in the order listed.

For more details, see the "Using and Writing Macros" book in the online help.


Makeup Flow

Makeup gas enters the detector close to the end of the column. Its purpose is to provide free electrons and speed the peaks through the detector [image] especially with capillary columns [image] so that the peak separation the column achieves is not lost through remixing in the detector.

To activate a makeup flow, place an X in the On checkbox and select the gas you will use:

Valid Entries: N2 (nitrogen), Ar/Me (argon-methane)

Valid Range: 0 to 200 mL/min

Maximum Recommended: 150 mL/min

If your inlet configured to your detector and you are operating with column defined, you have a choice of two makeup gas modes:

  • Makeup Flow mode provides a constant flow of makeup gas to the detector.

    To select this mode, activate it and specify a constant setpoint.

  • Const Col + Makeup, mL/min mode provides a variable flow of makeup gas to the detector. As column flow increases or decreases, the makeup flow changes to provide a constant combined flow to the detector.

    To select this mode, activate both Makeup Flow and Const Col + Makeup, mL/min. Specify a constant combined flow setpoint.

Maximum Value for Both Modes: 200 mL/min

Maximum Recommended Value for Both Modes: 150 mL/min


Makeup Flow

Makeup gas enters the detector close to the end of the column. Its purpose is to speed the peaks through the detector [image] especially with capillary columns [image] so that the peak separation the column achieves is not lost through remixing in the detector.

To activate a makeup flow, place an X in the On checkbox and select the gas you will use:

Valid Entries: N2 (nitrogen), He (helium)

N2 Valid Range: 0 to 130 mL/min

H2 Valid Range: 0 to 160 mL/min

If your column is defined, you have a choice of two makeup gas modes:

  • Makeup Flow mode provides a constant flow of makeup gas to the detector.

    To select this mode, activate it and specify a constant setpoint.

  • Const Col + Makeup, mL/min mode provides a variable flow of makeup gas to the detector. As column flow increases or decreases, the makeup flow changes to provide a constant combined flow to the detector.

    To select this mode, activate both Makeup Flow and Const Col + Makeup, mL/min. Specify a constant combined flow setpoint.

Maximum Value for Both Modes: refer to valid entries above


Makeup Flow

Makeup gas enters the detector close to the end of the column. Its purpose is to speed the peaks through the detector [image] especially with capillary columns [image] so that the peak separation the column achieves is not lost through remixing in the detector.

To activate a makeup flow, place an X in the On checkbox and select the gas you will use:

Valid Entries: N2 (nitrogen), H2 (hydrogen), He (helium), ArCH4 (argon methane 5%)

If you have a nonEPC detector, you must measure and adjust your makeup gas manually from a pressure regulator located in the pneumatics carrier.

Valid Range: 0 to 200 mL/min

If you have a nonEPC inlet or an EPC inlet with the column not defined, specify a setpoint for constant Makeup Flow.

Valid Range: 0 to 100 mL/min

If you have an EPC inlet configured to your detector and you are operating with column defined, you have a choice of two makeup gas modes:

  • Makeup Flow mode provides a constant flow of makeup gas to the detector.

    To select this mode, activate it and specify a constant setpoint.

  • Const Col + Makeup, mL/min mode provides a variable flow of makeup gas to the detector. As column flow increases or decreases, the makeup flow changes to provide a constant combined flow to the detector.

    To select this mode, activate both Makeup Flow and Const Col + Makeup, mL/min. Specify a constant combined flow setpoint.

Maximum Value for Both Modes: 100 mL/min


Makeup Flow

Makeup gas enters the detector close to the end of the column. Its purpose is to speed the peaks through the detector [image] especially with capillary columns [image] so that the peak separation the column achieves is not lost through remixing in the detector.

To activate a makeup flow, place an X in the On checkbox and select the gas you will use:

Valid Entries: N2 (nitrogen), ArCH4 (argon methane 5%)

If you have a nonEPC detector, you must measure and adjust your makeup gas manually from a pressure regulator located in the pneumatics carrier.

Valid Range: 0 to 230 mL/min

If you have a nonEPC inlet or an EPC inlet with the column not defined, specify a setpoint for constant Makeup Flow.

Valid Range: 0 to 230 mL/min

If you have an EPC inlet configured to your detector and you are operating with column defined, you have a choice of two makeup gas modes:

  • Makeup Flow mode provides a constant flow of makeup gas to the detector.

    To select this mode, activate it and specify a constant setpoint.

  • Const Col + Makeup, mL/min mode provides a variable flow of makeup gas to the detector. As column flow increases or decreases, the makeup flow changes to provide a constant combined flow to the detector.

    To select this mode, activate both Makeup Flow and Const Col + Makeup, mL/min. Specify a constant combined flow setpoint.

Valid Range for Both Modes: 0 to 230 mL/min


Makeup Flow

Makeup gas enters the detector close to the end of the column. Its purpose is to speed the peaks through the detector [image] especially with capillary columns [image] so that the peak separation the column achieves is not lost through remixing in the detector.

To activate a makeup flow, place an X in the On checkbox and select the gas you will use:

Valid Entries: N2 (nitrogen), H2 (hydrogen), He (helium), ArCH4 (argon methane 5%)

If you have a nonEPC detector, you must measure and adjust your makeup gas manually from a pressure regulator located in the pneumatics carrier.

Valid Range: 0 to 12 mL/min

If you have a nonEPC inlet or an EPC inlet with the column not defined, specify a setpoint for constant Makeup Flow.

Valid Range: 0 to 12 mL/min

If you have an EPC inlet configured to your detector and you are operating with column defined, you have a choice of two makeup gas modes:

  • Makeup Flow mode provides a constant flow of makeup gas to the detector.

    To select this mode, activate it and specify a constant setpoint.

  • Const Col + Makeup, mL/min mode provides a variable flow of makeup gas to the detector. As column flow increases or decreases, the makeup flow changes to provide a constant combined flow to the detector.

    To select this mode, activate both Makeup Flow and Const Col + Makeup, mL/min. Specify a constant combined flow setpoint.

Valid Range for Both Modes: 0 to 12 mL/min


Makeup Flow

Makeup gas enters the detector close to the end of the column. Its purpose is to speed the peaks through the detector [image] especially with capillary columns [image] so that the peak separation the column achieves is not lost through remixing in the detector.

To activate a makeup flow, place an X in the On checkbox and select the gas you will use:

Valid Entries: N2 (nitrogen), H2 (hydrogen), He (helium), ArCH4 (argon methane 5%)

If you have a nonEPC detector, you must measure and adjust your makeup gas manually from a pressure regulator located in the pneumatics carrier.

Valid Range: 0 to 160 mL/min

If you have a nonEPC inlet or an EPC inlet with the column not defined, specify a setpoint for constant Makeup Flow.

Valid Range: 0 to 160 mL/min

If you have an EPC inlet configured to your detector and you are operating with column defined, you have a choice of two makeup gas modes:

  • Makeup Flow mode provides a constant flow of makeup gas to the detector.

    To select this mode, activate it and specify a constant setpoint.

  • Const Col + Makeup, mL/min mode provides a variable flow of makeup gas to the detector. As column flow increases or decreases, the makeup flow changes to provide a constant combined flow to the detector.

    To select this mode, activate both Makeup Flow and Const Col + Makeup, mL/min. Specify a constant combined flow setpoint.

Valid Range for Both Modes: 0 to 160 mL/min


Malfunctioning flow or pressure regulator

If the pressure of the carrier gas supply is correct, the EPC may not be working correctly. Contact your Agilent Technologies service representative.


Manual

Inject samples by hand.

Specify the location of the injection(s) you'll be making by selecting Front, Back, or Dual.

When you are ready to start a run, inject the sample and press the Start button on the front panel of the chromatographic instrument. The ChemStation will ignore the ready states of the chromatographic instrument and any other analytical devices.


Manual Calibration

A new calibrated method is usually produced by running a calibration standard mixture, creating a calibration table, and entering the amounts of all calibrated peaks to obtain response factors. However, this approach is inefficient for petrochemical applications because the same compounds have been analyzed for many years and the response factors for various compounds and detectors are readily available.

You can normalize the entire calibration table based on a calibration run using the Manual Setup option button in the New Calibration Table dialog box. Manual Calibration allows the user to enter the calibration table from published methods. These methods are usually published with a list of retention times for the different compounds. Often response factors for the different compounds are also given. You create the calibration table manually by entering peaks and their response factors into the calibration table, and recalibrating the method using a standard that need only contain only a selected response reference peak (or several peaks) using the Delta% update.


Manual Integration - GC Only

This menu item allows you to quantitate and generate a quantitation report for a file that has been manually integrated. The report includes data only for the manually integrated peaks. All other compounds will be reported as not detected (ND) and having 0 retention time. The report is sent to the specified destination(s). The content of the report is determined by the Quantitation Report Options dialog box. A quantitation results file (<method name>.res) is stored in the data directory. If this file already exists, it will be overwritten. Modifications to the results file may be made by selecting View / QEdit Quant Result.


Manufacturer

Specify the manufacturer that produces this type of column.

The first time you add a type of column produced by this manufacturer, type in their name. The name will be added to the list of manufacturers maintained in the catalog.

The next time you add a type of column produced by this manufacturer, select their name from the drop-down list box.


Manufacturer's Specifications/Column Dimensions

Manufacturer's Specifications/Column Dimensions displays the chromatographic capability of the column:

  • Model Number [image] Number identifying the type of column.

  • Max Temperature [image] Maximum oven temperature (in [image] C), based on manufacturer's recommendations for column operation.

  • Description [image] Brief description of the column type.

  • Length [image] Nominal length (in meters) of the column.

  • Diameter [image] Nominal inner diameter or "id" (in micrometers) of the column.

  • Film Thickness [image] Nominal average thickness (in micrometers) of coating inside the column.


Manufacturer's Specifications/Column Dimensions

Manufacturer's Specifications displays the chromatographic capability of the column, including:

  • Model Number [image] Number identifying the type of column.

  • Max Temperature [image] Maximum oven temperature (in [image] C), based on manufacturer's recommendations for column operation.

  • Description [image] Brief description of the column type.

  • Length [image] Nominal length (in meters) of the column.

  • Diameter [image] Nominal inner diameter or "id" (in micrometers) of the column.

  • Film Thickness [image] Nominal average thickness (in micrometers) of coating inside the column.

Other Items in this Dialog Box:

Mode

Inlet

Detector

Outlet psi/kPa/bar

Flow

Installed Column

Ramps


Mass filter is not working correctly

Contact your Agilent Technologies service representative.


Mass filter (quad) contacts are shorted or otherwise not working correctly

Contact your Agilent Technologies service representative.


Mass filter (quad) temperature sensor is open

  1. Vent the MSD.

  2. Open the vacuum manifold.

CAUTION

Take precautions against electrostatic discharge (ESD) any time you open the vacuum manifold but especially when working near the mass filter (quad) contacts. These contacts can carry harmful electrostatic discharge to sensitive components on the side board.

  3. Inspect the mass filter (quad) sensor wiring. Make sure the wiring for the sensor is connected to the feedthrough board.

  4. If the wiring is correctly connected, and the sensor still does not work, replace the mass filter heater assembly (heater, sensor, and heater block).

Refer to the MSD hardware manual for instructions for venting the MSD, opening the vacuum manifold, and replacing the mass filter heater assembly.


Mass filter (quad) temperature sensor is shorted

  1. Vent the MSD.

  2. Open the vacuum manifold.

CAUTION

Take precautions against electrostatic discharge (ESD) any time you open the vacuum manifold but especially when working near the mass filter (quad) contacts. These contacts can carry harmful electrostatic discharge to sensitive components on the side board.

  3. Inspect the mass filter (quad) sensor wiring. Try to identify whether the sensor wiring is shorted to a grounded surface.

  4. If the wiring appears to be correct, and the sensor still does not work, replace the mass filter heater assembly (heater, sensor, and heater block).

Refer to the MSD hardware manual for instructions for venting the MSD, opening the vacuum manifold, and replacing the mass filter heater assembly.


Mass Gain ((Parameter)

MassGain sets the value of the mass axis gain, which is a multiplicative factor used in the equation to calibrate the mass axis.

Mass gain adjusts the reported value of a given mass to the correct number. The mass that appears in a report has had a linear correction applied to it. This may be thought of as a calibration curve where the uncorrected mass is plotted along the x axis and the reported mass is plotted along the y axis. The calibration curve is a straight line with a slope that is proportional to the mass gain.

Mass gain has a greater effect on mass assignments at the high end of the mass scale than at the low end.

MSD | MIN | MAX | STEPSIZE
5972 / 6890 | -4999 | +4999 | 1
5973 | -2048 | +2047 | 1


Mass Spectral Library - definition

A mass spectral library is comprised of several files that are stored together in a library directory identified by the extension .L.


Mass Spectrometer Interface Card

To discover which version of the mass spectrometer interface card your system has, type the command:

SCQUERY "*idn?"

You will get a response such as:

Agilent Technologies, 5972,0,2.xx.xx

giving the interface card software version.

The command:

SCQUERY command [,cp variable]

can be used to save the response to a CP variable.

For example:

SCQUERY "*idn?", a$

would contain the version string shown above.


Mass Spectrum - definition

A mass spectrum profiles the abundance and mass of all ions found in a compound at a selected retention time. It can be displayed in bar graph or tabular form.


Mass Spectrum Tabulation

This lists mass (m/z) and abundance for each mass peak in the spectrum. When the spectrum has been modified (added, subtracted, multiplied using * or the TRANSFORM command, clipped using MSCLIP, or truncated using MSTRUNC), the third line in the display will specify the modification:

Modified:[added] [subtracted] [scaled] [clipped] [truncated]

The Print and Copy buttons let you print the data and copy it to the clipboard. If you want to select only a portion of the table for printing or copying, click on the table until the flashing horizontal line marks the place where you want the table to end.


MassOffs (Parameter)

MassOffs sets the value of the mass axis offset, which is an additive factor used in the equation to calibrate the mass axis.

MSD | MIN | MAX | STEPSIZE
5972 / 6890 | -99 | +99 | 1
5973 | -499 | +499 | 1


Matrix

Matrix is the predominant material in the sample to be analyzed. In environmental samples, the matrix is usually water or soil. In drug samples, the matrix is usually urine or blood.


Matrix spike

Matrix spike is an aliquot of sample to which has been added known quantities of specific target compounds (matrix spike compounds). The matrix spike is subjected to the entire analytical procedure so that recovery of the matrix spike compounds can be determined. See also Matrix spiking.


Matrix spike compound

Matrix spike compound is an exact, known quantity of a target compound added to one aliquot of a sample but not to another in order to determine the accuracy of the analytical procedure for that target compound. See also Matrix spiking.


Matrix spike duplicate

Matrix spike duplicate is a second matrix spike subjected to the entire analytical procedure so that precision of the recovery of the matrix spike compounds can be determined. See also Matrix spiking.


Matrix spiking - definition

Matrix spiking is a technique used to measure the accuracy and precision of sample recovery. An unknown sample is split into two or three equal parts. The first part is not altered. The second part is spiked with a matrix spike compound - a known concentration of a target compound. The first and second parts of the sample are analyzed.

The concentration of target (matrix spike) compound recovered from the unspiked sample is subtracted from the concentration of matrix spike compound recovered from the spiked sample. The result is compared to the concentration of matrix spike compound added to the second sample. The ratio of these two numbers indicates the recovery percentage and is an indication of the accuracy of sample recovery for the target (matrix spike) compound.

For example, if 5 ng/ml is recovered from the unspiked sample, and 50 ng/ml is recovered from the spiked sample, the recovered amount attributable to the matrix spike is 45 ng/ml. If the actual matrix spike was 50 ng/ml, the percent recovery is 45/50 = 90%.

A third part of the sample, identical to the second, is sometimes spiked and analyzed. This is called the matrix spike duplicate. The percent recovery is calculated for the matrix spike duplicate. The percent recovery for the matrix spike and matrix spike duplicate are used to calculate the relative percent deviation (RPD%). This is an indication of the precision (reproducibility) of the analysis for the target (matrix spike) compound.


Max Temperature

Maximum oven temperature (in [image] C), based on manufacturer's recommendations for column operation.


Maximum oC

Maximum C

Maximum allowable oven temperature setpoint. Some accessories, such as the valve box, valves and columns have specific temperature limits. When configuring Maximum [image] C, consider these limits to avoid damaging the accessories. The ChemStation verifies oven setpoints as you enter them; a message appears if you enter a setpoint that is inconsistent with a one you previously defined.

The oven temperature will not exceed the Maximum [image] C value.

Note: Setting a Maximum [image] C will invalidate any values in the ramped oven temperature program that exceed the new Maximum [image] C, and may interact with the definition of installed columns. Correction is necessary before downloading setpoints to the instrument.


Maximum Sensitivity Autotune (5971/5972/6890)

Maximum Sensitivity Autotune

Maximum Sensitivity Autotune maximizes instrument sensitivity over the mass range, using PFTBA masses 69, 219, and 502. Use this tune for applications requiring maximum sensitivity that do not require the traditional abundance ratios of 100% m/z 69, 35 - 85% m/z 219, and 1 - 5% m/z 502. This tune is also a good starting point for manual tuning for DFTPP or BFB.

Available on 5972 / 6890.


Measure (quant database global)

Measure

Select whether the calculations are to be based on peak area or peak height.


Method - definition

A method is a file containing all the instructions and parameters needed to perform an analysis. Method files are identified by the extension .m after their names. They are stored together in a method directory. There is always a method in memory since one is always loaded as part of the system start up procedure.


Method Information Dialog Box

The Method Information dialog box has three parts:

Method Comments

Optional. Enter up to 99 lines of information about the method. The information is saved with the method and is printed when the method is printed.

Save Copy of Method with Data

Optional. A complete copy of the current method is saved as part of the data file. This procedure is recommended as good laboratory practice. However, if hard disk space is at a premium, it may not be practical to use this feature.

Method Sections to Run

Check the parts of the method to be performed when an analysis is run. This information is saved with the method and is used whenever the method is used in a sequence. When you initiate a single analysis using Method / Run, this information is displayed. You may make changes there, but the changes do not become part of the method unless the method is saved again.


Micro-Cell Electron Capture Detector

The micro-cell electron capture detector has a smaller internal volume (approximately 1/10) as the “regular” ECD. The micro-cell ECD is distinguishable by the perforated top cover. The micro-cell ECD contains a cell plated with 63Ni, a radioactive isotope. The 63Ni releases [image] particles that collide with carrier and makeup gas molecules to produce lowenergy electrons [image] each [image] particle produces many such electrons. The free electrons produce a small current [image] called the reference or standing current [image] that is collected and measured in a pulsed circuit.

When a sample component molecule comes into contact with the free electrons, the sample molecules may capture the electrons to create negatively charged ions. The voltage across the cell electrodes is pulsed to collect the remaining free electrons while the heavier ions are relatively unaffected and swept out the vent with the carrier gas flow.

The detector electronics measures the cell current and compares it to a reference current. It then adjusts the pulse rate to maintain a constant cell current. The more free electrons, the lower the pulse frequency required to match the reference current. When a component that captures electrons passes through the cell, the pulse rate rises. This pulse rate is converted to a voltage and recorded.

Use the micro-cell ECD dialog box to set detector parameters and specify setpoints. Click on the parameters for details:

Use the information in the table below when selecting temperatures and flows.

Operating Parameters

Gas Type | Recommended Flow Range
Carrier gas Packed columns (nitrogen or argonmethane) Capillary columns (hydrogen, nitrogen, or argonmethane) | 30 to 60 mL/min 0.1 to 20 mL/min, depending on diameter
Capillary makeup (nitrogen or argonmethane) | 10-150 ml/min (30-60 ml/min typical.)

Temperature

250 [image] C to 400 [image] C
Detector temperature is typically set 25 [image] C greater than the highest oven ramp temperature.

The response of the micro-cell ECD depends upon many variables. These include the molecular composition of the analyte and its concentration, your micro-cell ECD, the cell cleanliness, the column, the inlet, and instrument setpoints (temperature, flow rates, and reference current).

It is, therefore, important to create calibration curves on all compounds and evaluate detector response on a regular basis. Even with frequent calibration, you can expect the detector response to change when operating conditions change [image] for instance, when analyzing dirty samples that contaminate the detector.

General Micro-Cell ECD Sensitivity to Various Classes of Compounds

Chemical Type | Relative Sensitivity
Hydrocarbons |
Ethers, esters | 10
Aliphatic alcohols, ketones, amines; monoCl and monoF compounds | 102
MonoBr, diCl and diF compounds | 103
Anhydrides and triCl compounds | 104
MonoI, diBr and nitro compounds | 105
DiI, triBr, polyCl and polyF compounds | 106

Micro-Cell ECD Signal Conversion for Data Analysis:

  1. Hz = 1 height unit

  2. Hz x 1 second = 1 area unit

The highest effective data rate for the micro-cell ECD is 50 Hz. Setting the data rate greater than 50 Hz. will increase baseline noise without enhancing detector performance.


Minimum Peak Width

The sampling rate (in minutes) in terms of expected peak width. Peak Width controls the integrator's sensitivity (ability to detect narrow peaks) during peak detection.

The smaller the Minimum Peak Width, the greater the sensitivity. The specified Minimum Peak Width must be large enough to reject baseline noise, but small enough to detect the smallest peak of interest.

Note: The smaller Minimum Peak Width is, the more storage will be needed for analytical data.

The GC can process data at 11 different Data Rates. Each Data Rate corresponds to a Minimum Peak Width. The table below lists the possible Data Rates along with the Minimum Peak Widths. Relative noise, detector suitability, and suggested column type are also listed.

ChemStation Signal Processing

Data Rate (Hz)

Minimum
Peak Width
(minutes)

Relative Noise

Detector

Column Type

200.00

0.001

3.1

FID only

Narrowbore (50 [image] m) capillary

100.00

0.002

2.2

.

.

50.00

0.004

1.6

.

.

20.00

0.01

1.0

All types

.

10.00

0.02

0.7

.

.

5.00

0.04

0.5

.

.

2.00

0.1

0.3

.

.

1.00

0.2

0.22

.

.

0.50

0.4

0.16

.

.

0.20

1.0

0.10

.

.

0.10

2.0

0.07

.

Slow packed

Setting a Peak Width automatically determines a Data Rate. (The higher Minimum Peak Width is, the lower Data Rate will be.)

You cannot change Minimum Peak Width during a run.

If you have selected a Det (detector) Source, see Calc button for additional information on peak widths.

Contents of this Dialog Box:

Source

Data Rate

Calc Button

Save Data


ml/min

Flow (in ml/min) to which flow changes for a given program level.


ml/min2

The rate (in ml/min2) at which flow changes from ml/min on one program level to ml/min on the next program level. This is referred to as a "flow ramp."

A rate of zero, at any level, disables the ramped flow program for that level and any that follow.


Mode

There are two modes of operation for a cool on-column inlet, ramped and tracked. Both are described below:

Ramped Temp

In this mode, you can program up to three temperature ramps for the inlet so that it can operate at temperatures independent of the oven.

If operating below -20 [image] C, Ramped Temp is the recommended mode of operation.

At these very low oven temperatures, the inlet temperature should be at least 20 [image] C higher than the oven temperature. This will be more than adequate for solvent focusing.

At temperatures greater than ambient, the inlet should always be at least 3 [image] C warmer than the oven for proper control of the inlet temperature.

If the inlet's ramped temperature program is:

  • longer than the oven's, it will truncate at the end of the oven's program.

  • shorter than the oven's, the inlet will maintain its final programmed temperature until the end of the run.

Refer to Ramps for further information.

Track Oven

In this mode, the inlet temperature stays 3 [image] C higher than the oven temperature throughout the oven program.

If you have CryoBlast, the inlet will track oven temperatures to -40 [image] C. Without CryoBlast, room temperature determines the lower limit.

Cryogenic considerations [image] When using oven track mode with a cryogenic oven, all other inlets must be off or in oven track mode.

You can program ovens with a CO2 cryogenic valve to -60 [image] C, and those with an N2 cryogenic valve to -80 [image] C.

Other Items in this Dialog Box:

Heater

Gas

Ramps

Pressure


Mode

There are five modes of operation for a Programmed Temperature Vaporization (PTV) Inlet. Click on any mode in the drop down box for details:

Other Items in this Dialog Box:

Gas

Cryo Config

Heater

Ramps

Pressure

Total Flow

GasSaver (if column is defined)


Mode

There are four modes of operation for a split-splitless inlet. (Pulsed modes are only available with EPC.) Click on any mode in the green area for details:

Other Items in this Dialog Box:

Gas

Heater

Pressure

Total Flow

GasSaver (if column is defined)


Mode

Select one of the following column modes:

Constant Pressure Mode maintains a constant gauge pressure at the head of the column throughout the run. If the column resistance changes, the gauge pressure does not change but the mass flow rate does.

Constant Flow Mode maintains a constant mass flow rate of carrier gas in the column throughout the run. If the column resistance changes due to a temperature program, the ChemStation adjusts the column head pressure to keep the flow rate constant. This can shorten runs significantly.

Ramped Pressure Mode increases the column head gauge pressure during the run according to a program you enter. A column pressure profile can have up to three ramps, each consisting of a programmed increase followed by a hold period. (See Ramps.)

Ramped Flow Mode increases the mass flow rate in the column during the run according to a program you enter. A column flow profile can have up to three ramps, each consisting of a programmed increase followed by a hold period. (See Ramps.)

Other Items in this Dialog Box:

Inlet

Detector

Outlet psi/kPa/bar

Flow

Installed Column

Manufacturer's Specifications/Column Dimensions

Ramps


Model Number

Number identifying a type of column. The ChemStation saves Model Number with the method.


More Button or Extended Parameters Button

When using and 6890 GC with the ChemStation, click on the More Button to display the Extended Parameters dialog box.


More Information Summary

This table shows how the items on page 2 of the quantitation database may be accessed via CP variables and menus in the Custom Reports software. To read this table, expand the Help window to full size.

Item | CP variable | (menu/menu item)
CAS # | CASNO$ | More1/CAS#
Compound Type | CPNDTYPE$ | More1/CpndType
Surrogate Amount | SURROGATE | More1/Surrogate
Matrix spike Amount | MATSPK | More1/MATSPK
Matrix A Low | MATALO | More2/Matrix A low
Matrix A High | MATAHI | More2/Matrix A high
Matrix A % Dev | MATARPD | More2/Matrix A %Dev
Matrix A MDL | MATAMDL | More2/Matrix A MDL
Matrix B Low | MATBLO | More2/Matrix B low
Matrix B High | MATBHI | More2/Matrix B high
Matrix B % Dev | MATBRPD | More2/Matrix B %Dev
Matrix B MDL | MATBMDL | More2/Matrix B MDL
Signal Minimum | SIGMIN | More1/SIGMIN
Signal Maximum | SIGMAX | More1/SIGMAX
MS Database Name | MSDBNAME$ | More1/DBNAME$
Entry # | ENTRYNO | More1/ENTRY#
A1 | A1$ | User/A1$
A2 | A2$ | User/A2$
A3 | A3$ | User/A3$
N4 | N4 | User/N4
N5 | N5 | User/N5
N6 | N6 | User/N6
N7 | N7 | User/N7
N8 | N8 | User/N8
N9 | N9 | User/N9


Mouse Actions

Mouse Actions in Data Analysis

The mouse pointer can change shape and functionality depending on which Data Analysis mode you are using and whether the pointer is located over a plot of chromatographic or spectral data. The action performed depends on the type of data in the window as shown in the following table.

For additional mouse actions, see Peak Purity Mode.

Mouse Action | Result for Chromatogram | Result for Spectra | Other Result
Right button double-click | Get spectrum | Do library search | EasyID, QEdit modes: In text window (7) display next compound.
Right button click and drag | Average spectra |  |
Right button double-click with Shift key down | EasyID mode: Set the end (E) of the extraction window |  |
Left button click and drag | Zoom in | Zoom in |
Left button double-click | Zoom out EasyID, QEdit modes: Expand the view by 2 minutes on each end | Zoom out | EasyID, QEdit modes: In text window (7) display previous compound
Click both mouse buttons | Annotate | Annotate |
Left button double-click with Shift key down | EasyID mode: Set the start (S) of the extraction window |  | Interactive Search: Print entire Data Analysis screen


Mouse Actions

The following mouse actions are available in the EasyID and QEdit windows:

Chromatogram window (#6)

Double click left mouse button to expand the view by 2 minutes on each end.

Double click right mouse button to select a spectrum.

Spectrum window (#1)

Double click right mouse button to do a library search.

Double click left mouse button to zoom out.

Text window (#7)

Double click right mouse button to go to next compound.

Double click left mouse button to go to previous compound.


Mouse Actions in Peak Purity Mode

To view | Use this mouse action
Next peak | Double-click right
Next impure peak | Press the Shift key while double-clicking the right mouse button
Previous peak | Double-click left
Previous impure peak | Press the Shift key while double-clicking the left mouse button


Mouse/Key Actions in the Structures Software

The following mouse and key operations are used in the chemical structures package in either parametric retrieval or PBM search. In PBM search, mouse actions are the only way to access the structures software.

Right mouse button

Position in hit spectrum. Click and drag to display hit structure (if available) in the spectrum. Repeat to resize or reposition.

Shift + right mouse button

Position in spectrum. Click and drag to copy a clipboard metafile into the spectrum. Repeat to resize or reposition.

Ctrl + right mouse button

Position in spectrum. Click and drag to select a file for display.

Left mouse button

Double-click on hit structure to edit the structure's color, font, rotation, etc. for display in spectrum or to add structure to a structure library.


MS Button
Clicking this button displays a popup menu:
Edit MS SIM / Scan | Displays a panel where you can set mass spectrometer data acquisition parameters.
Select MS Tune File | Displays a box where you can select another tune file for use with the current method.
Edit MS Monitors | Displays a panel where you can set up windows on the Instrument Control view to monitor selected parameters.


MS Database Name / Entry #

MS Database Name is the name of the mass spectral database containing a reference spectrum for the current compound. Entry # is the entry number of that compound. Typically, these fields are not used and the Ref Spec Name from Page 1 is used for reference spectra.


MS Diagnostics

The Diagnostics menu in the Diagnostics view provides the following troubleshooting tests for your MS. Many of these tests are repetitive and will stop only on an error or when you select Stop or Abort from the menu. (Abort presents a confirmation box you must click; Stop does not.). Additional information is given in the MSD Hardware Manual.

MS ON/OFF

Turns the MSD on or off.

Set RFPA (radio frequency power amplifier)

Requests a mass, sets the RFPA voltage, and displays the RF drive level. Select Stop to stop the process.

Set a Parameter

Prompts for a parameter name and value. These settings are sent directly to the mass spectrometer interface card and are not reported in Edit Parameters or in variables.

CAUTION: For use by factory-trained personnel only.

Jog Party Fault (not on 5973)

Triggers the party fault so that all mass spectrometer voltages are turned off.

Initialize MS Interface

Initializes the MS interface card.

Air & Water Check

Generates a standardized measurement and report of the system air (nitrogen m/z 28) and water (m/z 18) levels relative to PFTBA mass 69. Use this item to check for leaks. The abundance of m/z 28 should be less than that of m/z 18, and each should be less than 5% of m/z 69.

Edit MS Params

Power-on Temps

Displays a dialog box that lets you change the source and quadrupole temperatures to use at power on. 5973 MSD only.

Determine Mass Axis Correction Factors

Agilent Customer Engineer use only.


MS Faults

Click here for 5973 MSD

The reported MS fault is a number that is the sum of the values of the faults that occurred. The possible faults are listed below.

Fault Value | Fault Description
1 | Party fault has occurred.
2 | There was an excessive signal level.
4 | Difficulty in mass filter electronics.
8 | There is no emission current.
16 | Excessive source pressure.
32 | The diffusion pump is too hot.
64 | The foreline pressure has exceeded 300 mTorr.
128 | The diffusion pump is too cold.
256 | The system is in VENT state.
512 | Difficulty with the detector HV supply.
8192 | Difficulty with MS internal communication.
16384 | The system is in STANDBY (shut down by APG remote cable to MS interface, probably by GC or LC). The 6890 GC may have shut down the MS if GC detector, temperature, pressure, or flow setpoints have not be reached. The MS will remain in standby until the problem is fixed or the APG cable is disconnected.

A list of additional fault examples includes some possible causes.


MS Instrument Parameters

Sample Inlet

Set from the Inlet and Injection Parameters dialog box.

Run Time

Appears only when Other/None selected as inlet.

Tune File

The currently selected tune file (*.U)

EM Voltage

Solvent Delay

Acq. Mode

SIM or Scan. The choice you make here will determine what is displayed in the Real Time Plot and MS SIM or Scan Parameters sections of the dialog box.


MS Malfunctions / Error Messages

Click here for 5973 MSD Error Messages

If there is a problem with the mass spectrometer before or during acquisition, the run is aborted and a MS malfunction error message is written into the logbook. These messages indicate what error occurred and what caused it. In some cases, a fault value will be associated with the error message. If you want more detail than is given in the message, you can use the Diagnostics view to interpret the fault value.

Listed below are some of the most frequently encountered MS faults and their possible causes.

Fault Value | Possible Causes
3 | Electron multiplier voltage set too high;
 | MS was on during a solvent peak;
 | Electron multiplier just replaced;
 | Ion source just cleaned
5 | RF coils not properly adjusted
9 | Filament burned out
17 | GC column flow too high;
 | Calibration vial just refilled;
 | Air leak
19 | MS was on during a solvent peak
33 | Diffusion pump cooling fan blocked or not running
129 | Diffusion pump still warming up
257 | The MS is in VENT state (diffusion pump heater is off);
 | Diffusion pump cooling down
289 | Diffusion pump overheated, now cooling
321 | Foreline gauge cable disconnected and diffusion pump off
385 | Diffusion pump cold and off
417 | Diffusion pump overheated, turned itself off, and is now cold
513 | Failure of high voltage supply (to electron multiplier)
16384 | The system is in STANDBY (shut down by APG remote cable to MS interface, probably by GC or LC). The 6890 GC may have shut down the MS if GC detector, temperature, pressure, or flow setpoints have not be reached. The MS will remain in standby until the problem is fixed or the APG cable is disconnected.


MS Quad

MS Quad displays the temperature of the quadrupole in degrees Celsius. The temperatures may be set by selecting the Edit MS Temps menu item in Manual Tune. A range of 100 to 200 is recommended. The MSD may not be able to reliably control the heated zone at setpoints below 100.

5973 MSD only


MS Scan Parameters

The MS Scan Parameters determine the quality of the mass spectra that are obtained.

Start Time

The time (in minutes after the start of the run) at which to activate the scan parameters defined by the entries in each row of the table. A maximum of three scan ranges can be active during a run.

A blank start time field means that the group is not active. The first group is always defined and starts at the end of the solvent delay.

Mass Range

Enter the low and high masses (amu) to specify the range to be scanned by the MS. The larger the range, the lower the scans/second.

Threshold

Only ions with an abundance equal to or greater than this value will be retained in the mass spectrum of each scan. A threshold of 500 is typical.

Sampling

The value entered here is used to calculate the number of times the abundance of each mass is recorded before going on to the next mass. A value of 2 is suitable for most analyses. The resulting number is reported in Samples and is calculated as 2^N. The recommended value is 2 (giving a sample value of 4). Range is 0 to 7.

Scans/sec

An approximate value calculated from the mass range and sampling values you have entered. It does not take into account the overhead time needed to process the timed events.

MS Window 1 / MS Window 2 Mass Range

Enter the ion mass range to be plotted in real time. These fields are active only when the Extracted Ion plot type is selected in the Real Time Plot Parameters section of the dialog box for the corresponding window.


MS SIM Parameters

MS SIM parameters allow you to define up to 50 groups of up to 30 ions each for selected ion monitoring (SIM).

The table on the left defines each SIM group by a start time and an optional group ID. The start time of the first group should be the same as the solvent delay time. If it is not, the solvent delay time is used.

The dwell time and resolution parameters, which are applied to each ion within the group, are defaulted to 100 ms and Low, respectively. In the Dwell column, enter the amount of time to spend sampling a specific ion. 100 ms is satisfactory for two to three ions in a typical capillary GC peak. For more than three ions, use a shorter dwell time (such as 30 or 50 ms) to ensure there will be enough data points to define the peaks. If your analysis requires it, you can set a dwell time for each individual ion within the group/

If you enter a dwell time outside the allowed range (10-9999 ms), the value is changed to the nearest limit. The total cycle time must be 100 s or less. The dwell time may be adjusted to meet this requirement.

The Resolution column specifies the low mass resolution. Low specifies a peak width of 0.7 - 0.9 amu; the increased peak width increases sensitivity with little loss in specificity. High specifies the peak width from the tune file (usually 0.5 amu).

The ions to be monitored for the current group (as shown by the arrow) must be entered in the table on the right. A maximum of two ions in each group may be selected for plotting during the real time display. To display two ions, you must have the Plot Type in Window 2 designated as Single in the Real Time Plot Parameters section of the panel. If you do not specify an ion, the first one in the group will be used.

Delete Group Button

Deletes an entire SIM group and its ions.

Delete Ion Button

Deletes an individual ion from the group.


MS Source

MS Source displays the temperature of the ion source in degrees Celsius. The temperatures may be set by selecting the Edit MS Temps menu item in Manual Tune.

A range of 150 to 300 is recommended for 5973 MSDs with serial numbers higher than XX64400000, and for older MSDs that have the high-temperature upgrade installed. The MSD may not be able to reliably control the heated zone at setpoints below 150.

A range of 150 to 250 is recommended for older MSDs that do not have the high-temperature upgrade installed.

5973 MSD only


MS Temp (Parameter)

MS Temp displays the temperature within the mass spectrometer in degrees Celsius. The sensor is located near the ion source.

5972 / 6890 MSD only.


MS Tune File

Use this box to select a tune file from the list of available tune files on your system. You can display this box by selecting Instrument / Select MS Tune File or by clicking

On a 5973 MSD system, this menu item displays the Select Tune File dialog box which, in addition to the list of available tune files, also displays the various settings that are stored in each tune file.

The tune file contains the MS parameters that will be used by the MS when it is turned on for acquiring data. The name of the tune file is read from the current method and is automatically loaded when you enter Instrument Control. If this tune file does not exist, an error message is displayed. You must select a valid tune file before you can proceed.

If you have previously created and saved a tune file with parameters specifically chosen for a particular type of analysis (but have not specified this file in the current method), you may select that file before beginning data acquisition.

All tune files must reside in the ChemStation's \MSDCHEM\instname\instmodel directory, for example \MSDCHEM\1\5972\ATUNE.U.


MSD has not been tuned recently

Changes in the MSD can cause small shifts in mass assignments. If the tune file is very old, conditions in the MSD may have changed enough to cause significant changes in mass assignments. Retune the MSD and use the new tune file.


MSD has not had enough time to reach thermal equilibrium

Changes in MSD temperature can cause small shifts in mass assignments. If the tune file was acquired before the MSD was at thermal equilibrium, the difference in temperatures may be the cause of shifts in mass assignments. Make sure the MSD is at thermal equilibrium before tuning the MSD or acquiring data. It takes at least 2 hours after all of the heated zones have reached their setpoint for the MSD to reach thermal equilibrium.


MSD has not had enough time to reach thermal equilibrium

It takes at least 2 hours after all of the heated zones have reached their setpoint for the MSD to reach thermal equilibrium.


MSD has not had enough time to pump down

If you have recently turned on the MSD, allow the system more time to pump down. If, after 20 minutes, the triode gauge will not turn on, check other causes.


MSP (Definition)

 MSP is most significant peak.


Multiple Injections

The Multiple Injections option exists only for the 6890 PTV Inlet configured with an G1513A GC Injector.

Select the Multiple Injections checkbox to configure the GC injector to perform multiple injections. When configured for multiple injections, the injector issues a Start Run command at the first injection only. If not checked the sampler makes one injection and issues a Start Run command for each run.

Other Items in this Dialog Box:

Syringe Size

Nanoliter Adapter

On-Column Injection (not available on all injectors)

OK/Cancel/Help Buttons

More about Multiple Injections


Multiposition

Valve which allows you to select a position through the GC's BCD port. Also referred to as a stream selection valve.

To complete your configuration, specify:

  • Switching Time [image] in seconds, is a delay between successive actuator movements. It allows time for the actuator mechanism to prepare for the next movement.

  • Description of use [image] describe the valve's function in more detail, for example, "Product Stream."

  • BCD Outputs [image] select Inverted for valves with a negative logic setting to invert binary-coded decimal input from a BCD cable so that any 0 will be received as 1 and any 1 as 0. Otherwise, select Normal.

Note: To read the position of a multiposition valve using a BCD cable, you must connect the cable to the Valve #7 location. Configure Valve #7 as the Multiposition valve.

You can configure only one valve as a Multiposition valve.

For more information about multiposition valves, see Multiposition.


Multiposition

Valve which allows you to select a position through the GC's BCD port. Also referred to as a stream selection valve.

You can configure only one valve as a Multiposition valve.

Stream Selection [image] You can use a multiposition valve to select one of several gas streams and feed the stream to a gas sampling valve for analysis. (The 6890 Series GC provides sequence control, allowing the instrument to take samples from a position range using a multiposition valve.) A BCD (binary-coded decimal) cable connected to the multiposition valve reads its current position. When you issue a command to start the sequence, the the GC uses the multiposition and gas sampling valves to load and inject the sample, serving the function of an Automatic Liquid Sampler system. (For more information, see Gas Sampling.)

Note: To read the position of a multiposition valve using a BCD cable, you must connect the cable to the Valve #1 location. Configure Valve #1 as the Multiposition valve.

To complete your configuration, specify:

  • Switching [image] in seconds, is a delay between successive actuator movements. It allows time for the actuator mechanism to prepare for the next movement.

  • Invert BCD [image] for valves with a negative logic setting, select this option to invert binary-coded decimal input from a BCD cable, so that any 0 will be received as 1 and any 1 as 0.

  • BCD [image] reflects the presence (or absence) of a BCD cable connection.

  • Position [image] valve position.

The ChemStation saves the Position setpoint with the method. When you load the method, the valve will advance to the specified position, unless you are using the multiposition valve in conjunction with a gas sampling valve. In the latter case, the multiposition valve will advance to the position represented by the front vial number.

Default Position: 1


m/z - definition

The symbol m/z refers to the units used in reporting the size of the ion fragments produced in the mass spectrometer. It is the mass of the ion divided by its electronic charge (usually +1).


Nanoliter Adapter

Select Nanoliter Adapter if a nanoliter adapter (18599N) is installed on the front and/or back injector. This adapter changes the step size for the plunger and thereby the amount injected.

Other Items in this Dialog Box:

Syringe Size

Multiple Injections

On-Column Injection (not available on all injectors)

OK/Cancel/Help Buttons


Negative Polarity

To activate negative polarity, place an X in the On checkbox.

Activating negative polarity inverts the peak so that the integrator or ChemStation can measure it.


Next Data File

Selecting this menu item loads a new data file. The file loaded is the file that alphabetically follows the current data file in the same directory. For example, if the directory contains the following files:

Soil1.d

Soil2.d

Soil3.d

Water1.d

Water2.d

Water3.d

and Soil3.d is currently displayed, selecting Next Data File will load Water1.d. If the current data file is the last file in the directory (in this example Water3.d), the message No next file is displayed. This message will also be displayed if you loaded the file from the wrong list when you selected Load Data File.

This menu item is not related to the numbered items near the bottom of the menu, which display the most recently loaded data files.

Note The Sort By option on the Load Data File dialog box lets you reorder the list of files by various criteria. The Sort By option will also determine which data file is used when the Next Data File option is selected.


Next oC

Next C

Temperature (in [image] C) to which the GC heats/cools the oven for a given program level.

For isothermal runs, set the Next [image] C parameter in the Initial row of the program to the oven temperature that you require.

The initial Next [image] C value equals Setpoint at the start of a run.

Note: If you change Setpoint values during a run you will override the initial Next [image] C value.


Next oC

Next C

Temperature (in [image] C) to which the GC heats/cools the inlet for a given program level.

Valid Ranges:

24 [image] C - 450 [image] C without CryoBlast

-60 [image] C - 450 [image] C with CryoBlast (CO2 )

-80 [image] C - 450 [image] C with CryoBlast (N2)


Next oC

Next C

Temperature (in [image] C) to which the GC heats/cools the inlet for a given program level.

Valid Ranges:

No cryo* | 0°C to 450°C
CO2 cryo | -60 [image] C to 450°C
Liquid N2 cryo | -160 [image] C to 450°C

* The Practical lower limit is approximately ambient +10°C


Next oC

Next C

Temperature (in [image] C) to which the GC heats/cools the inlet for a given program level.

Valid Range:

0°C to 450°C


Next oC

Next C

Temperature (in [image] C) to which the GC heats/cools the auxiliary channel for a given program level.


Next psi, kPa, or bar

Pressure (in psi, kPa, or bar) to which pressure changes for a given program level.


NIST Output

NIST Output saves mass spectral data in ASCII form to a file. This menu item presents you with 4 choices:

Create File with integrated Spectra

Append integrated Spectra to file

Create File with Spectra in X

Append File with Spectra in X

In the ASCII output file, the data listed for each integrated peak in the chromatogram are:

  • Scan number for the peak

  • Retention time for the peak

  • Each mass (m/z) found in a spectrum taken at the apex of the peak

  • Abundance of each mass found

Create File with integrated Spectra

This option integrates the currently displayed chromatogram if it has not already been integrated. It then takes a spectrum from the apex of each peak found. This data is saved in ASCII format in a file called <filename>.msp in the <filename>.d directory where <filename> is the name of the currently displayed chromatogram.

For example, if the DLWV002.D is currently displayed, the results of this program will be saved as DLWV002.MSP in the DLWV002.D directory. The file must be renamed with a .txt extension before it can be printed.

Append Integrated Spectra to File

This option integrates the currently displayed chromatogram if it has not already been integrated. It then takes a spectrum from the apex of each peak found. The resulting data is saved in ASCII format and appended to a file called <filename>.msp in the <filename>.d directory where <filename> is the name of the currently displayed chromatogram.

For example, if DLWV002.D is currently displayed, the results of this program will be appended to DLWV002.MSP in the DLWV002.D directory. The file must be renamed with a .txt extension before it can be printed.

Create File with Spectra in X

This option saves, in ASCII format, the spectrum in the X register of the stack (the spectrum that appears in Window [1]). The data is saved in a file called <filename>.msp in the <filename>.d directory where <filename> is the name of the currently displayed chromatogram.

For example, if the DLWV002.D is currently displayed, the results of this program will be saved as DLWV002.MSP in the DLWV002.D directory. The file must be renamed with a .txt extension before it can be printed.

Append File with Spectra in X

This option saves, in ASCII format, the spectrum in the X register of the stack (the spectrum that appears in Window [1]). The data is appended to a file called <filename>.msp in the <filename>.d directory where <filename> is the name of the currently displayed chromatogram.

For example, if DLWV002.D is currently displayed, the results of this program will be appended to DLWV002.MSP in the DLWV002.D directory. The file must be renamed with a .txt extension before it can be printed.


Nitrogen Phosphorus Detector

The NPD passes sample and carrier through a hydrogen/air plasma. A heated ceramic source, often called the bead, is just above the jet. The low hydrogen/air ratio cannot sustain a flame, minimizing hydrocarbon ionization, while the alkali ions on the bead surface facilitate ionization of nitrogen or phosphorousorganic compounds. The output current is proportional to the number of ions collected. It is sensed by an electrometer, converted to digital form, and sent to an output device.

Use the NPD dialog box to set detector parameters and specify setpoints. Click on any of the following for details:

Use the information in the table below when selecting temperatures and flows.

Flows, Temperatures, and Bead Information

Gas Type | Recommended Flow
Carrier gas (helium, hydrogen, nitrogen *) | Packed, 20 to 60 ml/min, depending on column Capillary, choose optimum flow based on column dimensions.
Detector gas |
Hydrogen | 3 ml/min (maximum flow is 5 ml/min)
Air | 60 ml/min
Capillary Makeup (helium,** nitrogen) | Off

Temperature (Default is 250 [image] C ; range is ambient to 400 [image] C)

<150 [image] C, the Adjust offset process will not start.
>250 [image] C is recommended.
Detector temperature should be greater than the highest oven ramp temperature.
With higher detector temperatures, less bead heating voltage is required.

Adjust Offset (Default is 50 pA, suggested operating range is 30 to 60 pA, and allowable range is 10 to 99 pA)

-50 pA increases sensitivity but reduces bead life.
Lower settings reduce sensitivity and increase bead life, but too low will result in
solvent quenching.
Once Adjust Offset is turned on, allow 20 to 60 minutes for detector to reach readiness.

Equib time (Default is 5 minutes; range is 0 to 999.9 minutes)

The longer the Equib time, the more stable the operational baseline. Longer Equib times require more time for the detector to reach readiness.

* Flow must be less than 3 [image] [image] /min. when using hydrogen as carrier gas

    ** Helium is recommended for better peak shape

The NPD is flow sensitive. If you are using temperature programming, set up the instrument as follows:

  • With an EPC inlet, set the carrier gas in the constant flow mode. We recommend that you turn the makeup gas off. If you do use makeup gas with an EPC detector, set it to Makeup Flow mode. NonEPC detectors provide constant makeup gas flow.

  • If you have an EPC inlet and an EPC detector and choose to work in the constant pressure mode, the makeup gas should be set in the Const Col + Makeup, mL/min mode.

NPD Signal Conversion for Data Analysis:

  • 1.0 pA = 1 height unit

  • 1.0 pA x 1 second = 1 area unit


No Bar Code Reader

ChemStation attempted to move a bottle to or from a bar code reader that is not installed. Turn the unit off and verify that all cable connections are secure, then turn the unit on and retry. If the error occurs again contact Service.


No Bottle In Gripper

The gripper failed an attempt to pick up a vial. Verify that the vial is securely in the correct position and that the gripper is functioning normally. ChemStation will also report this error if the bottle in gripper detector fails.


No Detector

When you are working with a Mass Selective Detector, use the NOD dialog box to:

  • activate the detector's heating element, and

  • specify a temperature setpoint.

Click on Heater, [image] C for details.


No heater voltage

This indicates that the fuses on either the ac board or the main board have blown. These fuses are not user serviceable. Contact your Agilent Technologies service representative.


No peaks and the MSD does not pass tune

If no peaks are present, and the MSD does not pass tune, the next step in the troubleshooting process is to determine whether the problem is related to the electron multiplier and its electronics or not.

  1. Use the manual tune program to initiate a repeat profile scan.

  2. Increase the electron multiplier voltage.

If the abundance of the noise increases, the problem is probably not related to the electron multiplier or its electronics. If the abundance of the noise does not increase, the problem is probably in the electron multiplier or related electronics.

Noise increases

Noise does not increase


No peaks are present but the MSD passes tune

If no peaks appear in your analysis but the MSD passes tune, the problem is probably related to your GC. Possible problems include:

Incorrect sample concentration

Check the sample dilution. If the sample was diluted incorrectly, the concentration may be too low to allow detection of the analytes.

No analytes present

The target analytes may simply not be present. If the analyzer turned off for the solvent peak, then no peaks may be detected.

Syringe missing from ALS or incorrectly installed

In a system equipped with an ALS, if the syringe is missing or not installed correctly, the ALS may continue to function but no sample will be injected so no peaks will be seen. Check the ALS. Make sure a syringe is correctly installed.

Empty or almost empty sample vial

If the vial is empty, or almost empty, the syringe may not pick up any sample. Check the sample vial and make sure it is not empty.

Leaking injection port

If the septum is not sealing, the sample can be forced out the septum. Check and, if necessary, replace the septum. See the user information supplied with your GC.

Loose column nut on the injection port

If the column nut is loose, the sample can leak out. If necessary, tighten the nut slightly.

CAUTION Over tightening the nut can crush the column.

Injection made in split mode instead of splitless mode

If you accidentally make a split mode injection when the method expects a splitless injection most of the sample will be lost. Make sure you use the correct injection method.


Noise does not increase

If increasing the EM voltage does not increase the amount of noise in the repeat profile scan, the electron multiplier or related electronics are probably malfunctioning. Check the following as possible causes of no peaks:

Bad signal cable connection

Bad detector wiring connection

Failed electron multiplier horn


Noise increases

If increasing the EM voltage increases the amount of noise in the repeat profile scan, the electron multiplier and related electronics are probably working correctly. Check the following as possible causes of no peaks:

Calibration vial is empty or almost empty

Excessive foreline or vacuum manifold pressure

Very dirt ion source

Filament has failed or is not connected correctly

Calibration valve is not working correctly

Bad ion source wiring connection


Not configured

No valve installed.


Not enough column flow

Make sure the column flow has not been reduced or turned off. Column flow should be at least 0.1 ml/minute. Make sure the column is not plugged.

Caution

Heating a capillary column with insufficient column flow can damage the column.


Number of Hits to Retrieve

Enter the number of hits (matches) to be retrieved for each search. This is a way of dividing the search into groups, each with the specified number of hits. You can use this parameter to control the time spent searching, particularly if you use it in conjunction with other parameters that restrict the search.


oC/min

C/min

The rate (in [image] C/min) at which the GC heats/cools the auxiliary channel from Next [image] C on one program level to Next [image] C on the next program level. This is referred to as a "temperature ramp."

A rate of zero, at any level, disables the ramped auxiliary channel temperature program for that level and any that follow.


oC/min

C/min

The rate (in [image] C/min) at which the GC heats/cools inlet from Next [image] C on one program level to Next [image] C on the next program level. This is referred to as a "temperature ramp."

A rate of zero, at any level, disables the ramped inlet temperature program for that level and any that follow.


oC/min

C/min

The rate (in [image] C/min) at which the GC heats/cools the oven from Next [image] C on one program level to Next [image] C on the next program level. This is referred to as a "temperature ramp."

A rate of zero, at any level, disables the ramped oven temperature program for that level and any that follow.


OK Button

Click on the OK button to download parameters which are new or have been revised since the last time you clicked on Apply (or Edit Parameters...), and leave the Instrument Control screen.

Note: The ChemStation will not download any parameters until you have corrected all illegal values.


OK/Cancel/Help Buttons

Confirm the entry of new and/or revised information and close the dialog box.

Cancel the entry of new and/or revised information and close the dialog box.

Display help relevant to this dialog box.


OK/Cancel/Help Buttons

OK Button

Click on the OK Button to confirm the entry of new and/or revised information and close the dialog box.

Cancel Button

Click on the Cancel Button to cancel the entry of new and/or revised information and close the dialog box.

Help Button

Click on the Help Button to display help relevant to this dialog box.


OK/Help Buttons

Confirm the entry of new and/or revised information and close the dialog box.

Display help relevant to this dialog box.


OK/Undo/Help Buttons

Confirm the entry of new and/or revised information and close the dialog box.

Cancel the entry of new and/or revised information and close the dialog box.

Display help relevant to this dialog box.


On-Column Injection

Note that the On-Column Injection selection is not available for the ChemStation when used with an 6890 GC because the instrument already “knows” if an on-column inlet is installed.

Other Items in this Dialog Box:

Syringe Size

Nanoliter Adapter

OK/Cancel/Help Buttons


One of the heater fuses has failed

These fuses are not user replaceable. Contact your Agilent Technologies service representative.


Options Dialog Box

This dialog box is displayed when you select Tools / Options from the menu in Data Analysis.

Label Spectral Peaks

Turns mass labels on and off.

Autoscale Y-axis

When this toggle is on, the vertical axis of each separate graph is scaled individually. When it is off, the vertical axis of each graph is scaled to the largest peak in the group.

Command Line

Turns the command line on or off. When this toggle is on, you can type commands at the bottom of the Data Analysis window.

Stack

Turns the display of the Stack window on or off. When this toggle is on, the stack window appears at the bottom right of the Data Analysis window.

Manual Integration

Lets you perform manual integration.

Copy Window

You are prompted for the number of the graphics window to be copied to the Clipboard.

Reset Windows

Rearranges the graphics windows to their default positions


Options menu (Parametric Retrieval)

Options Menu

Select Normalization Ion | Allows you to select the normalization ion.
Extend Database Headers | In previous versions of the software, different string lengths were allowed for certain data elements (chemical name, molecular weight, and miscellaneous information). This menu items lets you extend the number of characters allowed for these elements.
Command Line | Turns the Command Line on or off. When this toggle is on, you can type commands at the bottom of the Data Analysis window.
Stack | Turns the display of the Stack window on or off. When this toggle is on, the stack window appears at the bottom right of the Data Analysis window.
Manual Integration | Lets you perform manual integration.
Copy Window | You are prompted for the number of the graphics window to be copied to the Clipboard.
Reset Windows | Rearranges the graphics windows to their default positions for use in Parametric Retrieval Mode.


Other

Purpose of valve is user-specified.

Use Description of use to describe the valve's function in more detail, for example, "Heart-Cut."


Other

Purpose of valve is user-specified.


Other contamination

Contamination can come from the injection port, saturated traps, or bad carrier gas. Check for ions characteristic of contamination in the mass spectra. If contamination ions are present:

  1. Replace the injection port septum, liner, and seal.

  2. Replace the carrier gas supply.

  3. Replace the moisture trap.

  4. Service the chemical trap.

  5. Replace the oxygen trap.

  6. Set the carrier gas flow.

  7. Purge the entire system overnight.

See the documentation supplied with your GC for instructions for injection port and trap maintenance.


Other Factors Affecting PBM

The ability of a PBM search to retrieve a correct hit also depends on the quality of the database. PBM was designed to work with the Wiley Mass Spectral Database. The large number of entries within that database and the number of duplicate spectra for common compounds provide the best possibility for successful retrievals.

PBM may have difficulty correctly retrieving heavily chlorinated compounds such as heptachlor. This is due to a combination of the large mass defects of such compounds, the rounding algorithm that PBM uses, and small mass axis calibration errors.

For example, a mass fragment with seven chlorine atoms will have a negative mass defect of approximately -0.28 amu. Combined with a mass axis calibration error of -0.10 amu (within specifications), the mass will be reported as -0.38 amu. Since the mass window used for rounding by PBM is -0.3 to +0.7, this peak will be rounded to the next lowest whole number. The reference compound, with a mass defect of -0.28, would be rounded to the next higher number, resulting in a discrepancy of 1 amu. During a comparison, such "missing" peaks may cause the reference spectrum to be eliminated from consideration.

Such difficulties can be minimized by making sure the instrument is properly tuned to avoid calibration errors. If you still encounter this problem, you can consider manually correcting slight mass axis calibration errors with the TRANSFORM command prior to doing the PBM search.


Outlet psi/kPa/bar

Select the type of outlet pressure (or "backpressure") you will use for this column:

Vacuum [image] Select Vacuum when the downstream end of the column is in a vacuum, that is, when you are using the column with a mass spectrometer.

Flow is calculated according to this equation, where P out represents the pressure of the flow coming out of the column:

(C * Diam.4 (P in2 - P out2) )
Flow = __________________________________
(Length * Viscosity * Temperature)

When Vacuum is selected, P out is set to zero for flow calculation.

When Vacuum is not selected, P out is set to standard pressure (1 atmosphere) for flow calculation.

Ambient [image] Select Ambient when you want to use local atmospheric pressure.

Positive [image] Select Positive when you want to use a corrected local atmospheric pressure. For example, select Positive when the column is connected to an atomic emission detector, which does not operate at atmospheric or vacuum pressures. Use the text box to the left to specify a pressure correction value (in psi, kPa, or bar).

Other Items in this Dialog Box:

Mode

Inlet

Detector

Flow

Installed Column

Manufacturer's Specifications/Column Dimensions

Ramps


Oven

To turn the oven On, place an X in its check box.

Use Setpoint to specify a desired temperature setpoint (in [image] C) for the oven during a run.

The oven's Actual temperature, which the GC transmits, is a read-only display.

Other Items in this Dialog Box:

Oven Ramp

Oven Configuration

Cryo Configuration


Oven Configuration

Oven Configuration sets maximum oven temperature and equilibration time.

Specify the following configuration parameters for oven operation. Click on any one of them for details:

Maximum [image] C

Equilibration min

Other Items in this Dialog Box:

Oven

Oven Ramp

Cryo Configuration


Oven Cryo Options

Review the configuration information about the cryogenic valve installed on your 6890 Series GC. Respond and then click OK.

Click on any of the following for details:

Ambient Temperature

Cryo Timeout

Quick Cryo Cool

Cryo Fault

Set Defaults Button

For more information about cryogenic cooling, see Cryo Configuration.

OK/Undo/Help Buttons


Oven Ramp

You can prepare a program of up to six levels (or "ramps"), executed in consecutive order, to control the GC's oven temperature during a run. A ramped oven temperature program includes:

  • an Initial oven temperature,

  • up to six oven temperature Ramps, and

  • a PostRun oven temperature.

A single ramp temperature program raises the initial oven temperature to a specified final temperature at a specified rate and holds at the final temperature for a specified period of time.

The multipleramp temperature program is similar. You can program the oven from an initial temperature to a final temperature, but with various rates, times, and temperatures in between. You can also program multiple ramps for temperature decreases as well as increases.

Specify the following parameters for a ramped oven temperature program. Click on any of the green areas below for details:

Total min is a read-only display of the cumulative run time for each ramp level.

To see a plot of the oven temperature setpoints, click on the Plot... button and select Oven Temperature:

Isothermal oven control: Refer to Prepare for an Isothermal Run for step-by-step instructions on preparing an isothermal program.

Other Items in this Dialog Box:

Oven

Oven Configuration

Cryo Configuration


Overlay Chromatograms

Overlay Chromatograms allows you to select chromatograms to be displayed overlaid in the same window. The chromatograms you select are in addition to the currently displayed chromatogram. This “original” chromatogram serves a baseline. If no chromatogram is currently displayed, the most recently loaded chromatogram (1 in the File menu) is used as the original chromatogram. In an overlaid display, the original chromatogram is displayed in white. Each of the other chromatograms has its own color.

Clicking Overlay Chromatograms invokes the Multiple File Select dialog box from which you can specify the data files (chromatograms) to be overlaid. The dialog box has three main components:

  • Directory list

  • Data Files list

  • Files Selected for Processing list

To select the chromatograms to be overlaid:

  1. Select the appropriate directory from the Directory list.

  2. Select a data file from the Data Files list.

  3. Click the right arrow button to move the file to the Files Selected for Processing list.

  4. Repeat these steps for all the files you want to display.

  5. Click the Process button to process and display the files.

The exact manner in which the chromatograms are displayed is controlled by Set Overlay Parameters in the Tools menu.


Oxidizer Flow, mL/min

To activate air flow to the detector, place an X in the On checkbox.

The Actual flow, which the GC transmits, is a read-only display.

NOTE: Oxygen is not permitted as an Oxidizer gas.

Setpoint Range: 0 to 200 mL/min


Parameters and Ranges for the 6890 GC / 5972 MSD

Legal parameters and ranges for the 5972 / 6890 are:

AMUG (AMU Gain) | 0 - 1023 DAC counts
AMUO (AMU Offset) | 0 - 255 DAC counts
ECUR (Emission Current=Filament) | 0=off; 1=on
REP (Repeller Voltage) | 0 - 19.8 V
IFOC (Ion Focus Lens Voltage) | 0 - 127.5 V
ENT (Entrance Lens Voltage) | 0 - 128 V
XRAY (Xray Lens Voltage) | 0 - 218 V
EMUL (EM Voltage) | 0 - 3000 V

Range for the following: -32768 - 32767

MASG (Mass Axis Static Gain)

MASO (Mass Axis Static Offset)

MADO1 (Mass Axis Dynamic Offset 1)

MADO2 (Mass Axis Dynamic Offset 2)

MADO4 (Mass Axis Dynamic Offset 3)

MADO8 (Mass Axis Dynamic Offset 4)

MADO16 (Mass Axis Dynamic Offset 5)

MADO32 (Mass Axis Dynamic Offset 6)

MADO64 (Mass Axis Dynamic Offset 7)

MADO128 (Mass Axis Dynamic Offset 8)

TTI (True Total Ion Mode) | 0=off; 1=on
DIF (Diffusion Pump Control) | 0=off; 1=on
DCP (DC Polarity) | 0=pos; 1=neg
FSEL (Filament Select) | 1 - 2
MMW (MidMass Width) | -0.15 - 0.15
ENTO (Entrance Lens Offset) | 0 - 64
CAL (Calibration Valve) | 0=closed; 1=open
OUT1 (Open Collector Output 1) | 0=off; 1=on
OUT2 (Open Collector Output ) | 0=off; 1=on


PBM search - definition

PBM Search is a library search compares the spectrum of an unknown compound against a library of reference spectra. The search procedure on the MSD ChemStation uses the probability-based matching (PBM) algorithm developed by Professor Fred McLafferty and co-workers at Cornell University. The search identifies those spectra from the reference library that are most similar to the spectrum of the unknown compound by verifying that the main peaks in a reference spectrum are present in the unknown spectrum. This algorithm is called reverse-search and allows spectra to be found in the library, even when the sample spectrum contains coeluting compounds. Spectral similarity is measured by a quantity called match quality.


PBM Search - Statistics

Clicking the Statistics button in the PBM Search Results box displays the following quantities produced by the PBM algorithm. See also About PBM.

Prob

CAS #

Ref #

K / dK

Flag

Con

C_1

Tilt

R_IV

XCorr

Prob

The probability that the unknown is correctly identified as the reference. Values greater than 90 are very good matches. Values less than 50 mean that substantial differences exist between the unknown and reference, and the match should be regarded with suspicion. Differences in probability values of +/-5 are generally not significant. An asterisk (*) before the probability value indicates that the molecular ion was used in the match. If there is no asterisk, the molecular ion was not used.

This value takes into account all the other statistics. It is an empirical determination; that is, the K, dK, and other values are used to "look up" a probability in a table. This look-up table was developed by McLafferty and co-workers through extensive evaluation of search results using a large database.

This final probability value is a contamination-corrected Class IV reliability value. A Class IV reliability value implies that the match may be an exact match, a member of the same homologous series or an isomer. Thus, you should not assume that the first match on the hit list represents a definitive identification.

CAS#

Many of the compounds in the NIST and Wiley mass spectral databases are identified by their CAS (Chemical Abstracts Services) number. This number is printed to provide a less ambiguous identifier than the compound name. In user-created databases, the number will be the number in the CAS field of the header information.

Ref#

The entry number in the library.

K / dK

K | The confidence factor. This value typically ranges from 15-250 and is related to similarity between the unknown and reference spectra. Generally, higher values imply a greater similarity between the unknown and reference.
dK | The difference between a "perfect match" (obtained by matching the reference to itself) and the confidence factor for the unknown. A perfect match of the unknown and reference has a dK of 0. Generally, a low dK value is indicative of a "good match," with few differences between the unknown spectrum and the reference. In many instances, a low dK value is of more diagnostic value than a high K value.

Flag

The number of ions present in the condensed reference spectrum but not in the unknown. A value of 0 is very good, but a value of 3 does not necessarily indicate a poor match.

%

A measure of the purity of the spectrum as calculated by PBM. PBM is designed to look for components of mixtures. Thus, low purity (small scaling factor) is assumed at first, and then successively higher scaling factors are tried until the best match of reference and unknown is found. A value of 100% means that the reference mass spectrum was not scaled when the best comparison was made.

Con

Contamination factor, another measure of purity. This ranges from 0-100, with 0 being the preferred value. Generally, the % and Con factors have opposite behavior, that is, when % is high, Con is low.

C_1

The Class I contamination-corrected reliability value. A value of 100 indicates an exact match. However, since mass spectrometers often cannot distinguish between isomers or members of a homologous series, this value is always less than 100.

Tilt

When tilting is invoked as part of the search strategy and a tilted spectrum is used to determine the final probability, the number in the TILT column represents the increase in the Class IV (R_IV) reliability over the non-tilted comparison. See also Tilting

R_IV

The Class IV reliability value. The match can be an exact match, or an isomer or member of a homologous series, that is, it is representative of the diagnostic power of a mass spectrometer. The value ranges from 0-99, with high values indicative of a good match.

XCORR

Cross-correlation coefficient. Used to order the search results when this option is turned on. The correlation coefficient is generated for each hit by a forward search algorithm. The forward search algorithm requires that all the significant ions in the spectrum for the unknown be present in the reference spectrum.


PBM Search - Text Results

Click the Text button in the PBM Search Results box to view the header information for the library spectrum you select from the hit list of the most recent library search. The name of the compound is displayed at the top of the list.

Match Quality

The quality of match between this spectrum and the unknown spectrum.

Entry #

The location of the entry in the library searched.

CAS Number

The Chemical Abstracts Service number. (In a user-created library, this field will contain whatever number the user entered.)

Molecular Weight

The molecular weight of the compound.

Molecular Formula

The molecular formula of the compound.

Retention Index

The retention index for the compound; a value between 0 and 100000.

Company ID

A 10-character identifier.

Melting Point

The temperature (C) at which the compound melts. A value of -300.00 indicates data not available or unknown.

Boiling Point

The temperature (C) at which the compound boils. A value of -300.00 indicates data not available or unknown.

Miscellaneous Information

Any information associated with the spectrum; may be more than one line.


PBM Search Results

The PBM Search Results dialog box displays the list of matches that resulted from the most recent library search, showing the name of each compound, its entry number (Ref. No.), molecular weight (MW), and match quality (Qual). This box appears at the end of a library search invoked with a mouse (but not by the PBMSEARCH command).

Displayed in a graphics window are the unknown, the selected hit spectrum, and the difference spectrum (if selected). (This window overlays the main Data Analysis window; you can enlarge it by clicking on the maximize button.)

To select a hit for display:

Click on the compound in the list.

To display the difference between the unknown and the library spectrum (unknown minus hit):

Select the Difference checkbox.

To display search statistics (probability/reliability):

Click the Statistics button.

To display the text results (match quality and library information for the selected hit):

Click the Text button.

To print the unknown and the currently displayed library spectrum:

Click the Print button.

A window will accept keyboard input only when it has the focus--as shown by a darkened title bar. For example, when you click on the PBM Search Results panel, the focus is on that panel and accelerator keystrokes (underscored letters on buttons, e.g., Alt+t for Text display) will work, but accelerator keystrokes directed to the menu bar of the Data Analysis window (e.g., Alt+f for File) will not work.

To shift the focus:

Click on the window in which you wish to type or press Alt-F6 until that window has the focus.


Peak Matching

Determining the Recognition Window. Recalling the designation of a Target Compound's nominal expected retention time as E and the definition of the ratio r, define the Adjusted Expected Retention Time as E' = rE. (See Signal Extraction.)

Now observe that there are two database globals called the Reference Window and the Non-Reference Window. These values, expressed in either minutes or percentage points, describe the time range around E' within which target signal peaks will be considered as matches to the target compound with adjusted expected retention time E'.

The Reference Window is used for ISTD entries that have been designated as Time Reference Compounds; the Non-Reference Window is used for all other target compound entries.

If the Reference Window is expressed as an offset of m minutes, then define Dr as m/2. If on the other hand the Reference Window is expressed as p percentage points, then define Dr as pE'/200. Then define Dn in a similar fashion based on the Non-Reference Window. Finally for compound C let D = Dr if the compound is a Time Reference Compound and let D = Dn otherwise. Then the Recognition Window Q for compound C can be defined as

max {0, E' - D} : E' + D

Note that peak groups containing a target signal peak for compound C must have a retention time included in both ranges Q and R (more correctly inclusion in Q extended on both ends by the Signal Correlation Window).

Peak Group Selection and Identification. At this point peak group examination and selection can begin. Consider only peak groups in the peak group list with a group retention time in Q. Observe that all these peaks will have retention times within the range R because peaks were found only in the Target Compound's extracted signals, and signal extraction was taken over the time range R. Each peak group within the time range Q which contains a target signal peak is considered a "match" or "hit".

For all hits, the target peak retention time is saved in a Quant Hit Record along with integration baseline and response data. If in this target compound entry the Quant By Height option is enabled, the response saved is the peak height, otherwise the peak area. Also for all hits versus Target Compounds with qualifier signals, the qualifier ratios are computed according to the user's selection of Subtraction Method.

The QVALUE as a measurement of Qualifier Ratio Satisfaction Quality. For all hits a QVALUE is computed as described here. For target compound entries with no qualifier signals, the QVALUE is defined as 100. For target compound entries with n qualifier signals qi , 1 <= i <= k, define ri as the expected ratio of qualifier peak for qi to the target peak. Then define ri ' as the observed qualifier ratio as determined by the above Qualifier Ratio Computation. Now define the total ratio deviation RD (maximize the help screen to read this equation):

RD = {100sum[(100*abs(Ri-Ri’))*(ln(100*Ri+1))^2/21.3]}/sum[Ri]

Then the QVALUE is the closest integer to max {100 - D, 1}.

The Qualifier Ratio Pass-Fail Test. All hits are subject to a test of the qualifier ratios ri' (as determined by the user's choice of Ratio Method) versus ri . For each qualifier qi the user has specified a percent uncertainty. Let ui denote the percent uncertainty expressed as a ratio rather than a percent; e.g., if the percent uncertainty for qualifier qi is 30% then ui is 0.3. Each target compound entry can be set so all the ui for the Target Compound are Absolute or all the ui for the Target Compound are Relative. If the Absolute option was chosen, the acceptable qualifier ratio ranges Zi are given by

max {ri - ui , 0 } : min {ri - ui , 60}

If the Relative option was chosen instead for the target compound entry, the acceptable qualifier ratio ranges Zi are given by

max {ri (1 - ui ) ,0 } : min {ri (1 + ui ), 60}

Note the system limitation on qualifier ratios ri of 60 or 6000%. The pass-fail test is simply this: if ri ' is contained in Zi for all i such that qi exists, then the test is passed; otherwise the test is failed.


Peak Purity Display

The peak purity display contains three windows.

  • Window [1] is at the lower left of the screen. It shows the chromatographic peak. Window [1] shows a peak in the chromatogram (TIC). If you integrated an entire chromatogram, the peak purity display starts with the first integrated peak in the chromatogram. If you manually integrated a single peak, the peak purity display shows that peak. If you select a spectrum from the chromatogram, it will be displayed in Window [1].

  • Window [2] is at the top of the screen. It shows the major extracted ion chromatograms for the peak.

  • Window [7] is at the lower right. It provides details about the components found in the peak. These details include retention time and major ions for the possible components detected by the peak purity tool. The scan numbers reported are interpolated values approximating where the peak apexes occur.

Window [7] also allows you to select the peak to be viewed. When the cursor is in Window [7], it is a two-headed arrow. Double clicking the right mouse button moves the display one peak to the right. Double clicking the left mouse button moves the display one peak to the left. Holding the Shift key and double clicking a mouse button moves to the next multiple-component peak in the direction of the mouse button (right with the right mouse button or left with the left mouse button).


Peak Width

The width of a chromatographic peak, typically measured in units of time (seconds or minutes) at half its height.

The higher Minimum Peak Width is, the lower Data Rate will be.


Peaks are too wide

Use the manual tune program to narrow the peaks and see if the precursors decrease.


Peaks are too wide or too narrow

Check the resolution of adjacent peaks. Very wide peaks sometimes cause higher-than-normal isotope ratios or missing isotopes. Very narrow peaks sometimes give lower-than-normal isotope ratios.


Peer-to_Peer Networks

Peer-to-Peer Networks

Windows NT, Windows 95 and Windows for Workgroups can be used in a peer-to-peer configuration with other computers or to access a server. A peer-to-peer network is a network without a dedicated server. In this configuration each node shares resources with other nodes on the network.

Shared Disk Configuration

Report Manager requires that the method and data files must be accessible to both the computer initiating a reporting request and the computer that will process the request.

The drive containing the method and data file directories must be shared. The name the drive is shared as must be the same as the volume label for the drive. All shared drives used by Report Manager must have a unique name and, therefore, a unique volume label.

Use File Manager or Windows Explorer to share a drive or to change a volume label.

See Also

Example

For Windows NT uses, additional configuration for NetDDE services is required for the remote Report Manager to work correctly. Specifically:

  1. Run winnt\system32\ddeshare.exe.

  2. Under Shares, select DDE Shares.

  3. Add 2 shares using the Add a Share button:

    Share #1

    share name: REQUEST$

    static : REQUEST

    topic name: FORM2

    Share #2

    share name: REQUEST1$

    static : REQUEST

    topic name: FORM3

  4. After you enter the information for the new share, set Permissions (everyone!!), and select OK/OK.

  5. Select the share name you just added and click the Trust Share button.

  6. Select Initiate to Application Enable and click the SET button, then click OK/OK.

    You MUST do this for each share. You MUST have user names on EACH PC that match for account, group, etc. Failure to do this will result in the need to supply a network password for each and every NET DDE command sent by the Report Manager. The Report Manager Name on each PC MUST be the same as the machine name used for networking.


Percent by Retention Time Report

An area percent report sorted by retention time. The data in the quantitation database is used to generate and integrate the ion chromatograms and these integration results are then used to generate this report.


Percent Report - definition

A Percent Report provides information on the relative sizes of the integrated peaks in a chromatogram.


Percent Report Options

Sort by

Select one of the following options for sorting the results and displaying them in the report:

  • Retention Time The peaks are listed in order of increasing retention time. Within each time, each signal type (mass or TIC) with a peak at that time is listed.

  • Signal For each signal type, the peaks are listed in order of increasing retention time.

Output Destination

Select one or more destinations for the percent report:

  • Select Screen to display the report on the screen.

  • Select Printer to send the report to the printer.

  • Select File to send the report to the specified file.

Integration Parameter File

To specify an integration parameter file, enter the name of an RTE integration parameter file or a ChemStation events file (enter ? to get a list of the available events (.E) files).

If a file is not specified:

  • If you are using the RTE integrator, the chromatogram is integrated using the system default RTE integration parameters (not the parameters specified in the RTE Integration Parameters dialog box).

  • If you are using the ChemStation integrator, the chromatogram is autointegrated (using the AUTOINT command).


PFDTD - definition

PFDTD (perfluorodimethyltrioxadodecane) can be used as the tuning compound for CI autotunes on the 5973 MSD. CI tuning looks at the following ions:

PCI Mode

NCI Mode

Ions (amu) | Compound | Ions (amu) | Compound
41 | Methane | 185 | PFDTD
267 | PFDTD | 351 | PFDTD
599 | PFDTD | 449 | PFDTD


PFTBA - definition

PFTBA (perfluorotributylamine) is used as the tuning compound for all GC/MS autotunes. It has ions at 31, 50, 69, 100, 131, 219, 264, 414, 464, 502, 576, and 614 amu.


PFTBA (Valve)

PFTBA refers to the calibration valve for the tuning compound PFTBA. The valve may be either open or closed.


Photomultiplier

To turn on the photomultiplier, place an X in its checkbox.

To turn off the photomultiplier, remove the X. This shuts off the high voltage to the photomultiplier tube. In this state, it is safe to expose the PMT to room light.

Caution

Direct exposure to light will degrade PMT performance.


Plot

Use the Plot dialog box to select the instrument parameters you want to see plotted on the graph. Up to five can be shown at once. To select an instrument parameter, place an X in its checkbox. (Instrument parameters that have been dimmed are not part of your current instrument configuration.) The ChemStation can plot the following setpoints:

Temperature (in [image] C)

  • Auxiliary Channel (thermal Aux #1 and #2 only): three temperature ramps

  • Detector: constant value

  • Inlet (Cool On-Column): three temperature ramps

  • Inlet (Purged Packed and Split-Splitless): constant value

  • Oven: six temperature ramps, plus a post-run value

Pressure (in psi/kPa/bar)

  • Auxiliary Channel (pressure Aux #3, #4, and #5 only): three pressure ramps, plus Runtime table events

If the auxiliary channel is connected to a column, the GC will not use its pressure ramps and the ChemStation will not plot the programmed pressure setpoints.

  • Column (EPC only): three pressure ramps, plus a post-run value (if the column is in flow mode, the ChemStation will calculate the plot values)

If the column is not defined, the ChemStation will not plot pressure setpoints.

Flow (in ml/min)

  • Column (EPC only): three flow ramps, plus a post-run value (if the column is in pressure mode, the ChemStation will calculate the plot values)

If the column is not defined, the ChemStation will not plot flow setpoints.

Velocity (in cm/sec)

  • Column: linear velocity calculated from pressure and/or flow setpoints

If the column is not defined, the ChemStation will not plot velocity setpoints.

OK/Cancel/Help Buttons


Plunger Speed

Select either Fast Plunger or a Slow Plunger speed.

Other Items in this Dialog Box:

Viscosity

Sampling Depth (not available on all injectors)

PreInjection Dwell (not available on all injectors)

PostInjection Dwell (not available on all injectors)

OK/Cancel/Help Buttons


Poor amu (mass) calibration

Use manual tune to enter the amu gain and amu offset values from the last successful autotune or manual tune. These values should be accurate enough to allow the MSD to start tuning.


Poor filament operation

  1. In the Edit Parameters window, select the other filament.

  2. Retune the MSD. If sensitivity improves, use the new filament.

  3. Replace the original filament when convenient.

See the MSD hardware manual for instructions for replacing a filament.


Possible Timed Events

Timed events are used for control of the integration process at specified times in the chromatogram. Timed events are scheduled in the Edit Integration Parameters panel. Timed events include:

Integrator

To view all integration events (both initial and timed) currently in memory, enter the command TABULATE EVENTS. To remove timed events and reset initial events, enter the command CLREVENTS.

Integration events may be saved in an events file for recall at a later time.

Area Reject

Enter a threshold area value 0 to 99,999,999; default is 1. Enter a time from 0 to 650 minutes.

This value specifies the minimum integrated area that a peak must have to be included on the final list of integration results. Any peak that is detected but has an area less than this value will not be reported.

There is always an initial value for the area reject (Initial Area Reject) in the event table. In addition, any number of timed area reject events may added to the table to change the value of this parameter at specified times.

Peaks with areas less than the specified value are not stored, used in calculations, or reported in the integration results. An Area Reject event can often be programmed to occur during a run that will reject unwanted peaks while reporting the sample component peaks

The timing rules for the Area Reject change are:

  • Non-solvent peak AR event anytime between Start and End of Peak: The changed value applies to the entire peak.

  • Solvent peak AR event after Start of Peak but before Retention Time: The changed value applies to the solvent peak and to all rider peaks.

  • Solvent peak AR event after Retention Time but before End of the Solvent Peak: The original value applies to the solvent peak; the changed value applies to rider peaks after the event time.

The Threshold value also rejects peaks, but does not use the chromatographic baseline determined for the run.

Area Sum ON/OFF

Select Area Sum ON or OFF, and enter the appropriate event time (0 through 650 minutes). All peaks between the times Area Sum is turned on and off are treated as one peak, and the areas are summed.

Area Summation allows you to add together the areas of a group of adjacent peaks and report the total as a single number. The retention time associated with such a sum is the average of the times for the start (Area Sum ON) and end (Area Sum OFF) of the summation events.

The Area Sum ON and Area Sum OFF events should be timed to occur on baseline, if possible. When they must occur during a peak, these rules apply:

  1. If an Area Sum ON event occurs after the beginning of a peak but before the apex, the entire peak is included in the sum. If it occurs after the apex but before the end of the peak, the peak is truncated and the area sum begins immediately. See the figure shown below

  2. If an Area Sum OFF event occurs after the beginning of a peak but before the apex, the area sum ends immediately. The point on the signal where this occurs becomes a Valley Point. If the Area Sum OFF event occurs after the apex, the event is postponed until the end of the peak. See the figure shown below.

While Area Summation is on, these events are ignored:

  • Baseline Next Valley

  • Baseline All Valleys ON/OFF

  • Tangent Skim

  • Negative Peaks ON

The Baseline Now event terminates Area Summation immediately, regardless of whether the signal is on baseline or anywhere on a peak.

Baseline All Valleys ON/OFF

Choose to turn baseline detection for all detected valleys on or off, and enter the appropriate event time (0 through 650 minutes).

The Baseline All Valleys ON event forces the baseline to pass through all valley points (plus whatever others may occur) until it is canceled by a Baseline All Valleys OFF event. See the figure shown below. This event may be used to lift a series of peaks off a broad swell in the baseline. Whether this makes sense for a particular chromatogram is up to the user.

This repeated resetting of the baseline can cut off corners of peaks. Such corners become negative area; they reduce the total measured area of the peaks. The baseline will not be reset if Negative Peaks is enabled or if an Integrator OFF or Area Sum ON event follows the Baseline All Valleys ON event.

Baseline Back

Sometimes a perfectly valid peak may occur so soon after a baseline disturbance that it is not possible to determine baseline before the peak. This can happen when a valve operation shifts the baseline abruptly and a peak begins immediately. A similar situation can arise when you start a run while peaks are still eluting.

The Baseline Back event marks a peak to have a horizontal baseline drawn backward from the first baseline point after the peak. The end of the baseline, and its vertical position, are set by the next baseline point. It is drawn backward under the peak to the time when the peak started. See the figure shown below. The event time may be anywhere during the peak. Allowed values for time are 0 through 650 minutes. This event is ignored if the signal is on baseline.

Baseline Hold ON/OFF

Select Baseline Hold ON or OFF, and enter the appropriate event time (0 through 650 minutes). When Baseline Hold is turned on, a horizontal baseline is drawn from the last baseline point that occurred before the event. This baseline is held until the end of the run, a Baseline Hold Off event, or some other event occurs that resets the baseline. See the figure shown below.

If the signal is on baseline when the event occurs, the baseline simply remains at that level. However, if a peak is in progress, the baseline is fixed at the level of the last baseline point before the peak, even if that results in baseline penetration.

Baseline Next Valley

A base point is forced at the next valley after the event time you specify. Allowed values are 0 through 650 minutes. The Baseline Next Valley event is a one-time command. It is executed at the next Valley Point and forces a baseline reset. As with the Baseline All Valleys event, careless use of this event can lead to negative area problems. The baseline will not be reset if Negative Peaks is enabled or if an Integrator OFF or Area Sum ON event occurs before the valley.

Baseline Now

Enter the time you wish to force a baseline point. Allowed values are 0 through 650 minutes. This causes an immediate, unconditional reset of the baseline to the current value of the signal.

Negative Peak ON/OFF

Choose to turn negative peak detection on or off, and enter the appropriate event time. All negative peaks (which dip below the baseline) as well as positive peaks between the times negative peak detection is turned on and off are detected. Allowed values for time are 0 through 650 minutes.

Some instruments, such as the refractive index detector used in liquid chromatographs, produce both positive and negative going peaks. The ChemStation integrator is designed primarily for positive peak data. However, negative peak processing can be turned on or off by timed event entries. Area measurements may be incorrect if there is substantial signal drift.

When negative peak processing is on, these differences appear:

  • The baseline is set at the baseline level that exists at the time of the Negative Peaks ON event. It follows the signal provided that slope and curvature are small. The baseline penetration correction is turned off.

  • High slope and/or high curvature indicate start or stop of peak. Baseline crossover marks the separation between a positive and negative peak.

  • Solvent detection is turned off.

With little or no baseline drift, peaks are integrated as shown in the figure below. All areas are reported as positive numbers.

Baseline drift can seriously affect the data. In this example, the drift is so bad that the only baseline points that can be found are those forced by the Negative Peaks ON and Negative Peaks OFF events. The system draws a horizontal line from the Negative Peaks ON point to the time of the Negative Peaks OFF event. The intersections of this line and the signal become the peak zone boundaries. The straight line connecting the Negative Peaks ON and Negative Peaks OFF points becomes the baseline. The figure below shows negative drift.

Peak 1 extends from the Negative Peaks ON point to point A. The black area at A subtracts from the peak area because it is on the opposite side of the baseline. Peak 2 extends from point A to point B. The black areas at A and B, which really belong to this peak, are not included. Peak 3 extends from point B to point C. It is reduced by the black areas at B and C. Peak 4 extends from point C to point D. The black areas at C and D are not included.

The net effect of the drift is to underestimate all four peaks, whether they are positive or negative. Ideally, the Negative Peaks ON and Negative Peaks OFF events should be timed to occur on baseline.

Negative Peaks On/Off should only be used when absolutely necessary. Using other events when negative peak is on, can lead to unpredictable results. It is strongly recommended that it not be used in conjunction with any other timed event.

Peak Width

Enter a new peak width (in minutes) to use as a target for qualifying a peak. An acceptance range is established from approximately one-third to three times the peak width value. Small changes (less than a factor of two) in this parameter usually have little effect. Allowed values for width are 0.001 through 100 or 0. Zero (0) allows the integrator to automatically assign the appropriate peak width value. Allowed values for time are 0 through 650 minutes.

  • Entering zero for the peak width allows the integrator to automatically assign the peak width value it deems appropriate (often referred to as automatic bunching).

  • A peak width timed event stops the automatic peak width updating.

Peak width is defined as the full width of the peak at half its height. This parameter informs the integrator about what width peaks it should be expecting to find. The integrator uses this information to adjust the amount of smoothing it applies to the data as part of its peak-detection process. It does more smoothing when wider peaks are expected.

There is always an initial value for the peak width in the event table. In addition, any number of timed peak width events may be added to the table to change the value of this parameter at specified times.

Not compatible with the Integrator OFF or Area Sum ON events.

Note Peaks that have widths much smaller or much larger than the specified peak width value may not be detected. The area reported for a peak may change when this parameter is changed. Smoothing the data differently may cause the integrator to select slightly different baseline endpoints.

Solvent Peak ON/OFF

Choose to turn solvent peak detection on or off, and enter the appropriate event time. Solvent peaks are identified and peaks on the trailing edge are separated by tangent skimming. Allowed values for time are 0 through 650 minutes.

Tangent Skim

Enter a time to define the next peak as a solvent peak. Peaks on the trailing edge are separated by tangent skimming. The event time must be entered between the peak start time and retention time. Allowed time values are 0 through 650 minutes.

A solvent peak may rise too slowly to be recognized as a solvent or there may be a group of peaks well into the the run that you feel should be treated as a solvent with a number of rider peaks. This usually involves a merged group of peaks where the first one is far larger than the rest. The simple dropline treatment would exaggerate the later peaks because they are actually sitting on the tail of the first one. By forcing the first peak to be recognized as a solvent, the rest of the group is skimmed off of the tail. See the figure shown below.

The Tangent Skim event sets a trap. The first peak after the event will be recognized as a solvent peak, regardless of its size and shape and the usual tests for solvent peak recognition. The Tangent Skim event then cancels itself once it has found this first peak.

Because of the self-cancellation, the Tangent Skim event will only force one peak to be treated as a solvent. However, if there are several peaks on the tail of the forced solvent peak, all of them will be tangent skimmed since this is the normal treatment for solvent peaks.

Threshold

Enter a threshold value from -12 to +25. The threshold value range is a logarithm to the base 2 scale, with -12 being the most sensitive (lowest threshold) and 25 being the least sensitive (highest threshold). Increasing the value by 1 doubles the threshold. Allowed values for time are 0 through 650 minutes.

Similar to Area Reject, Threshold rejects peaks, but does not use the chromatographic baseline determined for the run. A high threshold value usually results in fewer accepted peaks than a low one. This parameter determines how high (and how fast) the signal must rise in order to trigger the detection of a peak.

There is always an initial value for the noise threshold in the event table. In addition, any number of timed noise threshold events may be added to the table to change the value of this parameter at specified times.

Integrator ON/OFF

Select Integrator OFF or ON, and enter the appropriate event time. All peaks between the times the integrator is turned off and on are ignored. Allowed time values are 0 through 650 minutes. The Integrator ON and OFF define a portion of the signal that is to be ignored. The integrator can be turned off to exclude unwanted data, such as a region of signal disturbance or contaminant peaks, from the integration and calculation. The retention time clock continues to run through the excluded region so that retention times and timed events are not altered.

If the Integrator OFF event occurs during a peak, integration stops immediately. A horizontal baseline is constructed from the last established baseline point and corrected for penetration, if necessary. The (truncated) peak will be stored if its retention time is before the Integrator OFF event. See the figure shown below.

The Integrator ON event resets baseline to the current signal value and resumes peak integration. The integrator is initially set to ON.


PostInjection Dwell

Time, in hundredths of a minute, that the syringe needle should remain in the inlet after the injection stroke.

Valid entries: 0.00 to 1.00

Other Items in this Dialog Box:

Viscosity

Sampling Depth (not available on all injectors)

PreInjection Dwell (not available on all injectors)

Plunger Speed

OK/Cancel/Help Buttons


Prefilter

Using the PBM prefilter reduces the search time dramatically while sacrificing very little accuracy. See also U+A. The prefilter performs the following steps:

  1. Assign U+A values to all peaks in the unknown spectrum.

  2. Sort the peaks in order of decreasing U+A values.

  3. Select those peaks with U+A values in the following range:

Max U+A >= Peak U+A >= (Max U+A - Delta U+A)

where

Max U+A is the most significant peak in the unknown

Peak U+A is the ion in question

Delta U+A is a value from 1 to 9 that you can set with the U+A parameter in the Search Strategy dialog box.

  4. Continue to select peaks in Step 3 until there are no more ions.

  5. For each peak selected, find all spectra in the mass spectral database with an MSP identical to the selected peak.

The use of this prefilter is optional. To bypass the filter and search the entire mass spectral database, set U+A to 9 in the Search Strategy dialog box.


PreInjection Dwell

Time, in hundredths of a minute, that the syringe needle should remain in the inlet before the injection stroke.

Valid entries: 0.00 to 1.00

Other Items in this Dialog Box:

Viscosity

Sampling Depth (not available on all injectors)

PostInjection Dwell (not available on all injectors)

Plunger Speed

OK/Cancel/Help Buttons


Preparing the GC (Auto Prep Run)

Preparing the 6890 GC (Auto Prep Run)

When you’re operating in the splitless or direct modes, or if you’re using gas saver, the pneumatic setpoints must be adjusted before each run begins. These pneumatic adjustments occur when the 6890 GC enters the Pre Run state.

When your volatiles interface is connected to a Headspace, Purge and Trap, or non-Agilent gas sampler, you must configure the 6890 GC so that it automatically enters the Pre Run state before each run.

Perform the following task from the keyboard of the 6890 GC:

  1. Press the [Config] key to view a list of configurable parameters.

  2. Scroll to the Instrument parameter and press [Enter].

  3. Scroll to Auto prep run and press [On].

CAUTION It is not advisable to use Auto Prep Run with MSDs. Typical inlet flow programs use pulsed flow rates greater than 2 ml/minute. When Auto Prep Run is specified, the inlet will normally be held at the higher flow rates when the instrument is not in a chromatographic run. The high flow rates represent a continuous gas flow into the MSD that exceeds the design specifications of the detector. This situation may prevent the instrument from tuning and will increase the maintenance requirements of the vacuum system.


Pressure

If you regulate the cool on-column inlet pressure manually, the Pressure parameters will be dimmed (not available).

To activate inlet Pressure, place an X in the On checkbox.

Use Setpoint to specify the pressure (in psi, bar, or kPa) of the gas flowing through the inlet.

The inlet's Actual pressure, transmitted from the GC, is a read-only display.

Valid Ranges:

0 - 100 psi

0 - 690 kPa

0 - 6.9 bar

Other Items in this Dialog Box:

Heater

Gas

Mode

Ramps


Pressure

If the column is not defined, the value you specify does not affect Total Flow.

If the column is defined, and you change Pressure, the ChemStation will recalculate Total Flow.

See Add New Column Model to Catalog for more information about defining a column.

To activate inlet Pressure, place an X in the On checkbox.

Use Setpoint to specify the pressure (in psi, bar, or kPa) of the gas flowing through the inlet.

The inlet's Actual pressure, transmitted from the GC, is a read-only display.

Valid Ranges:

0 - 100 psi

0 - 690 kPa

0 - 6.9 bar

Other Items in this Dialog Box:

Mode

Gas

Cryo Config

Heater

Ramps

Total Flow

GasSaver (if column is defined)


Pressure

The column-head pressure, as measured by a pressure sensor.

Pressure can also be set in the Columns dialog box.

If your column is defined, you can set a column flow or average linear velocity in the columns dialog box and the corresponding pressure will be computed and displayed.

If your column is not defined, only the pressure parameter is available in the Columns dialog box. See Add New Column Model to Catalog for more information about defining a column.

During sample introduction time (with splitless and direct modes only), you are not able to enter a pressure setpoint.

See Splitless mode pneumatics, Split Mode Pneumatics, or Direct Mode Pneumatics for more information.

Valid Ranges:

0.0 - 100 psi

0 - 690 kPa

0 - 6.9 bar

Other Items in this dialog box:

Gas

Heater

Total Flow

Split Ratio

Split Flow

GasSaver (if column is defined)


Pressure

The column-head pressure, as measured by a pressure sensor.

Pressure can also be set in the Columns dialog box.

If your column is defined, you can set a column flow or average linear velocity in the columns dialog box and the corresponding pressure will be computed and displayed.

If your column is not defined, only the pressure parameter is available in the Columns dialog box. See Add New Column Model to Catalog for more information about defining a column.

During sample introduction time (with splitless and direct modes only), you are not able to enter a pressure setpoint.

See Splitless mode pneumatics, Split Mode Pneumatics, or Direct Mode Pneumatics for more information.

Valid Ranges:

0.0 - 100 psi

0 - 690 kPa

0 - 6.9 bar

Other Items in this dialog box:

Gas

Heater

Total Flow

Sampling End

Purge Time

Purge Flow

GasSaver (if column is defined)


Pressure

The column-head pressure, as measured by a pressure sensor.

Pressure can also be set in the Columns dialog box.

If your column is defined, you can set a column flow or average linear velocity in the columns dialog box and the corresponding pressure will be computed and displayed.

If your column is not defined, only the pressure parameter is available in the Columns dialog box. See Add New Column Model to Catalog for more information about defining a column.

During sample introduction time (with splitless and direct modes only), you are not able to enter a pressure setpoint.

See Splitless mode pneumatics, Split Mode Pneumatics, or Direct Mode Pneumatics for more information.

Valid Ranges:

0.0 - 100 psi

0 - 690 kPa

0 - 6.9 bar

Other Items in this dialog box:

Gas

Heater

Total Flow

Sampling End

GasSaver (if column is defined)


Pressure

If the column is not defined, the value you specify does not affect Total Flow.

If the column is defined, and you change Pressure, the ChemStation will recalculate Total Flow.

See Add New Column Model to Catalog for more information about defining a column.

To activate Pressure, place an X in the On checkbox.

Use Setpoint to specify the pressure (in psi, bar, or kPa) of the gas flow.

The Actual pressure, transmitted from the GC, is a read-only display.

Valid Ranges:

0 - 100 psi

0 - 690 kPa

0 - 6.9 bar

Other Items in this Dialog Box:

Gas

Air Cooling On

Heater

Ramps

Total Flow


Pressure

If EPC is installed and the column is defined, the inlet is pressure-controlled. (See Add New Column Model to Catalog for more information about defining a column.)

To activate inlet Pressure, place an X in the On checkbox.

Use Setpoint to specify the pressure (in psi, bar, or kPa) of the gas flowing through the inlet.

The inlet's Actual pressure, transmitted from the GC, is a read-only display.

Valid Ranges:

0 - 100 psi

0 - 690 kPa

0 - 6.9 bar

Other Items in this Dialog Box:

Heater

Gas

Total Flow (if column is not defined)


Pressure

If EPC is installed and the column is not defined, the inlet is pressure-controlled and the value you specify does not affect Total Flow.

If EPC is installed and the column is defined, the inlet can be pressure- or flow-controlled. If you change Pressure, the ChemStation will recalculate Total Flow.

See Add New Column Model to Catalog for more information about defining a column.

To activate inlet Pressure, place an X in the On checkbox.

Use Setpoint to specify the pressure (in psi, bar, or kPa) of the gas flowing through the inlet.

The inlet's Actual pressure, transmitted from the GC, is a read-only display.

Valid Ranges:

0 - 100 psi

0 - 690 kPa

0 - 6.9 bar

Other Items in this Dialog Box:

Mode

Gas

Heater

Total Flow

GasSaver (if column is defined)


Pressure

Column head pressure (in psi/kPa/bar).

The Actual column head pressure, which the GC transmits, is a read-only display.


Pressure

To activate the pressure auxiliary channel, place an X in the On checkbox.

Use Setpoint to specify a pressure (in kPa, psi, or bar-selected at Options) for gas flowing through the auxiliary channel.

Valid Ranges:

0 - 100 psi

0 - 690 kPa

0 - 6.9 bar

Low Pressure Channels [image] If a low pressure (0 - 15.0 psi) auxiliary channel is installed, the maximum pressure allowed will be 15.0 psi, regardless of the Setpoint specified here.

The auxiliary channel's Actual pressure field, which the GC transmits, is a read-only display. Use the Setpoint field to change the channel's pressure.

Other Items in this Dialog Box:

Aux Channel

Description

Heater (thermal channels)

Cryo Focus Configuration (option not available)

Type (thermal channels)

Gas (pressure channels)

Ramps


Pressure Ramps

A ramped column pressure program can consist of up to three levels (or "ramps") to control column head pressure during a run. The ChemStation executes these program levels in consecutive order. A program includes:

  • an Initial column pressure,

  • up to three column pressure Ramps, and

  • a PostRun column pressure.

The GC will hold the Initial column pressure for the number of minutes specified (Hold min). Then the pressure changes to the Ramp 1 pressure at the rate (in psi, kPa, or bar/min) indicated and the GC holds that pressure for the number of minutes specified. You can program pressure changes for Ramps 2 and 3 the same way. Finally, the pressure changes to the PostRun column pressure, which the GC holds for the number of minutes specified by the PostRun Hold min value.

The ramped oven temperature program determines the length of the run.

If the ramped column pressure program is longer than the oven's ramped temperature program, the pressure program will truncate at the end of the oven's program. At that time, the column pressure returns to, and holds at, the programmed Initial pressure.

If the column pressure program is shorter than the oven's, the column will maintain its final programmed pressure until the end of the run.

To see a plot of the column pressure setpoints, click on the Plot... button and select Column 1 (or 2) Pressure:

Specify the following parameters for a ramped column pressure program. Click on any of the green areas below for details:


Pressure Ramps

A ramped auxiliary channel pressure program can consist of up to three levels (or "ramps") to control channel pressure during a run. The ChemStation executes these program levels in consecutive order. A program includes:

  • an Initial auxiliary channel pressure, and

  • up to three auxiliary channel pressure Ramps.

Notes: If a pressure auxiliary channel is connected to a column, you will not be able to prepare a pressure program using the the Aux dialog box. Use the run time table to schedule pressure changes (see Runtime).
During a run, you can edit and download pressure ramp parameters, unless the auxiliary channel is compensating an inlet's flow (constant flow operation). In this case, the pressure parameters will be dimmed (unavailable), allowing no changes.

The GC will hold the Initial auxiliary channel pressure for the number of minutes specified (Hold min). Then the GC changes the pressure to the Ramp 1 pressure at the rate (in psi, kPa, or bar/min) indicated and holds that pressure for the number of minutes specified. You can program pressure changes for Ramps 2 and 3 the same way.

Programmed pressure changes result in a corresponding flow change for the auxiliary channel.

The oven program determines the length of the run.

If the ramped auxiliary channel pressure program is longer than the oven's ramped temperature program, the pressure program will truncate at the end of the oven's program. At that time, the auxiliary channel pressure returns to, and holds at, the programmed Initial pressure.

If the auxiliary channel pressure program is shorter than the oven's, the auxiliary channel will maintain its final programmed pressure until the end of the run.

If you program pressure setpoints for an auxiliary channel using both a ramped pressure program and the run time table, and have elected to display the pressure setpoint plot for that channel, the combined results of your setpoint programming will be plotted. (For more information, see Runtime and Setpoint Plots.)

Specify the following parameters for a ramped auxiliary channel pressure program. Click on any of them for details:

psi, kPa, or bar/min

Next psi, kPa, or bar

Hold min

Total min is a read-only display of the cumulative run time (determined by the oven program) for each ramp level.

To see a plot of the auxiliary channel pressure setpoints, click on the Plot... button and select Aux #1 (#2 or #3) Pressure:


Pressure Units

Select a unit of measurement for pressure values in the current method: kPa, psi, or bar.

  • 1 kPa = 0.145 psi = 0.01 bar

  • 6.895 kPa = 1 psi = 0.06895 bar

  • 100 kPa = 14.504 psi = 1 bar

If you switch from one pressure unit to another, all pressure values in the current method will convert automatically to their new pressure unit equivalents.

Default pressure unit: kPa

Other Items in this Dialog Box:

Lock Keyboard

Column Compensation Detector


Printing a Custom Report to a File

Custom report templates that you create in the Report Layout view of the ChemStation can now be added to the list of report styles available in the Specify Report dialog box where the output can be directed to a file for additional calculations by an EXCEL or similar program.


psi, kPa, or bar/min

The rate (in psi, kPa, or bar/min) at which pressure changes from Next psi, kPa, or bar on one program level to Next psi, kPa, or bar on the next program level. This is referred to as a "pressure ramp."

A rate of zero, at any level, disables the ramped pressure program for that level and any that follow.


Pulsed Split Mode

The Pulsed Split mode for the PTV Inlet is similar to the Split Mode, however it allows you to inject larger samples.

The Pulsed Split mode is generally for:

  • major component analyses, primarily for high concentration samples when you can afford to lose most of the sample out the split vent.

  • samples that you cannot dilute.

The pressure pulse modes increase inlet pressure just before the beginning of a run and return it to the normal value after a specified amount of time. The pressure pulse sweeps the sample out of the inlet and into the column faster, reducing the chance for sample decomposition in the inlet. The pulse also reduces or eliminates sample discrimination. (If your chromatography is degraded by the pressure pulse, a retention gap may help restore peak shape.)

You can do column pressure and flow programming when in the pressure pulse mode. However, the pressure pulse will take precedence over the column pressure or flow ramp.

Set the following parameters for Pulsed Split mode (click on the screen area for details):

(if column is defined)

See Add New Column Model to Catalog for information about defining a column.


Pulsed Split Mode

The Pulsed Split (EPC only) mode is similar to the Split Mode, however it allows you to inject larger samples. The Pulsed Split mode is generally for:

  • major component analyses, primarily for high concentration samples when you can afford to lose most of the sample out the split/purge vent.

  • samples that you cannot dilute.

The pressure pulse modes increase inlet pressure just before the beginning of a run and return it to the normal value after a specified amount of time. The pressure pulse sweeps the sample out of the inlet and into the column faster, reducing the chance for sample decomposition in the inlet. The pulse also reduces or eliminates sample discrimination. (If your chromatography is degraded by the pressure pulse, a retention gap may help restore peak shape.)

Set the following parameters for Pulsed Split mode (click on any of the green areas for details):

(if column is defined)

See Add New Column Model to Catalog for information about defining a column.

You can do column pressure and flow programming when in a pressure pulse mode. However, the pressure pulse will take precedence over the column pressure or flow ramp.


Pulsed Splitless Mode

The Pulsed Splitless mode of the PTV Inlet is similar to the Splitless Mode, however it allows you to inject larger samples. The pulsed splitless mode is generally for trace analyses.

The pressure pulse modes increase inlet pressure just before the beginning of a run and return it to the normal value after a specified amount of time. The pressure pulse sweeps the sample out of the inlet and into the column faster, reducing the chance for sample decomposition in the inlet. The pulse also reduces or eliminates sample discrimination. (If your chromatography is degraded by the pressure pulse, a retention gap may help restore peak shape.)

Set the following parameters for Pulsed Splitless mode (click on the screen areas for details):

See Add New Column Model to Catalog for information about defining a column.

You can do column pressure and flow programming when in a pressure pulse mode. However, the pressure pulse will take precedence over the column pressure or flow ramp.


Pulsed Splitless Mode

The Pulsed Splitless (EPC only) mode is similar to the Splitless Mode, however it allows you to inject larger samples. Thepulsed splitless mode is generally for trace analyses.

The pressure pulse modes increase inlet pressure just before the beginning of a run and return it to the normal value after a specified amount of time. The pressure pulse sweeps the sample out of the inlet and into the column faster, reducing the chance for sample decomposition in the inlet. The pulse also reduces or eliminates sample discrimination. (If your chromatography is degraded by the pressure pulse, a retention gap may help restore peak shape.)

Set the following parameters for Pulsed Splitless mode (click on any of the green areas for details):

See Add New Column Model to Catalog for information about defining a column.

You can do column pressure and flow programming when in a pressure pulse mode. However, the pressure pulse will take precedence over the column pressure or flow ramp.


Pumps

Pumps (PreInjection)

Number of times the syringe is filled with the next sample prior to injection. For each pumping stroke, the syringe is filled to eight-tenths its full volume (4 ul for the 5 ul syringe and 8 ul for the 10 ul syringe), and then emptied back into the sample vial. Pumping expels air bubbles, which improves reproducibility.

Valid entries: 0 to 15. 4 to 6 pumping strokes is usually adequate. The default entry is zero.


Pumps

Pumps (PreInjection)

The number of times the syringe is filled with the next sample prior to injection, and then emptied back into the sample vial. Pumping expels air bubbles, which improves reproducibility.

Applies only to the first injection of a series of multiple injections.

Valid entries: 0 to 15. 4 to 6 pumping strokes is usually adequate. The default entry is zero.


Purge Flow to Split Vent

Flow (in ml/min) from the purge vent, at the time (in minutes) after the beginning of the run when you want the purge valve to open (referred to as the "purge time").

If the column is not defined, you can still set the purge time, but the purge flow parameter will be dimmed (not available).

Purge Flow = Split Flow / Split Ratio

Valid Ranges:

0 - 200ml/min for N2 until 0 - 999.9 minutes

0 - 1000ml/min for He, H2 until 0 - 999.9 minutes


Purge Flow to Split Vent

Purge time is the time, after the beginning of the run, when the solenoid valve opens and purging resumes out the split vent. Your Purge time setpoint must be greater than your Sampling End setpoint.

Purge flow is the flow, in mL/min, out the split vent when the solenoid valve is open and the inlet is purging.

If your column is not defined, you can enter a value for Purge time, but Purge flow is not available. In this case, set your Total flow high enough to guarantee adequate column flow. Set Total Flow higher than the sum of your column flow and your septum purge S flow (6 mL/min).

Valid Ranges:

Purge time: 0 to 999.9 minutes

Purge flow: 6 to 100 mL/min


Purge off time in splitless mode is too short

If the purge off time is too short, part of the sample will be lost when the purge turns back on. Lengthen the purge off time.


QEdit Menu

CO Next Compound | Displays the next compound in the file.
Goto Compound | Prompts for the number of the compound you want to view.
Xpand Chromatographic Window | Expands the extraction window by two minutes.
Original Chromatographic Window | Extracts the original chromatogram from the current data file and resets the window to the original time range.
Graphics Report to the Printer | Sends a graphical report of the chromatogram to the printer.
QDEL Compound | Changes the report status of the currently selected compound from Found to Not Found.
Next File | Loads the next data file.
Load Data File | Lets you select the file to load.
Restart Quick QEdit | Displays the Quick Qedit window.
Abort Changes and Exit | Exits QEdit mode without saving changes to the quantitation database.
Exit and Save Changes | Exits QEdit mode and updates the quantitation database with your changes.


Qualifier Ions - definition

Qualifier ions are selected from the mass spectrum of the target compound. The presence of these ions in the correct amounts relative to the target ion gives evidence of correct target compound identification. Depending on your choice of peak selection parameters, the qualifiers may influence how the software chooses between matching peaks.


Qualify Menu

This menu is only available when your system is configured with a 5973 MSD.

Checkout Tune | Performs an autotune. This tune can be used regularly to check out the system. The results are saved in a .CSV file and are used by the View Tunes menu item.
Tune Evaluation | Evaluates the most current autotune (ATUNE.U) parameters. When the evaluation is complete, a system verification report is printed.
View Tunes | Lets you view the results of recent tunes.
Sensitivity Check | Performs a signal-to-noise performance verification using the OFN_SN.M method. When the test is complete, the results are printed.
Software Validation | Performs a software validation and prints the results.
Installation Checklist | Displays the installation checklist that Customer Engineers use to install your system.
Familiarization Checklist | Displays the checklist that Customer Engineers use to familiarize customers with their system.
Checkout Tune

Tuning should be performed when necessary, perhaps at the beginning of each day, and the final tune report should be kept in a log book. Use this information to detect the start of a tuning problem and to monitor the gradual rise of the electron multiplier and ion focus voltages over time. These reports aid in planning ion source cleaning or multiplier replacement.

Tuning requires several iterations since optimizing one parameter affects the optimal setting of another. The parameters that can be adjusted are lenses, quadrupole filter, electron multiplier, mass axis, and peak width calbiration. The tune that is used for the system performance is the Autotune.

View Tunes

A module that lets you track tuning parameters over time by appending the results of each autotune to an ATUNE.CSV file in the instrument configuration number directory (for example, \MSDchem\1\5973\ATUNE.CSV). You can view and print the report as a table, as charts, or as an individual chart of a single parameter. You must have run an autotune at least three times to provide the minimal number of points for the data to be plotted.

Software Validation

This feature is not available for systems configured with a 5972 MSD. When this item is selected, an offline copy of Data Analysis is started and a Software Validation report is calculated and printed using MSDchem\mssetup\data\evaldemo.d and database\demo.l. The following reports are calculated as part of the Software Validation report using both the RTE integrator and the ChemStation integrator:

  • Area percent

  • Summary library search with demo.l

  • Summary quantitation

Installation Checklist

This checklist is used by Customer Engineers to ensure that instruments and systems are correctly installed and functioning as designed in the customer's facility. Correct installation is the first step in ensuring that instruments and systems operate reliably over an extended lifetime.

The customer should ensure that necessary operating supplies, consumables and usage dependent items such as vials, syringes and solvents are available. A customer representative should be present at all times during the installation.

Familiarization Checklist

This checklist is used by Customer Engineers to demonstrate the steps required to perform a basic analysis using a standard sample or internal data file, evaluate the resulting data and perform routine operational maintenance. Familiarization is intended to give operators a basic overview of the operation and maintenance of new instruments, systems and application software and is not designed to substitute for a full operator training course.

The customer should ensure that necessary operating supplies, consumables and usage dependent items such as vials, syringes and solvents are available. Users of the instrument should be present at all times during the familiarization, otherwise important information on operation and maintenance may be missed.

Software Validation Report

The following report is calculated and printed when you select Qualify / Software Validation from Instrument Control.


Quant Compound Entries - Page 3

These are the fields on Page 3 of the Compound Entry dialog box:

Concentration / Response data

Integration Parameter File

Sum ?

Selecting a checkbox adds the response of the designated qualifier ion to the response of the target ion. This method is valid only in area quantitation using the extended area quantitation method (the default) of calculating qualifier ion ratios.

Area Correction Mass / Factor

Corrects the total response of the target by subtracting from it a specified multiple of the area of a specified mass present in a designated peak. This is valid only with area quantitation using the extended area quantitation method (the default) to calculate qualifier ion ratios.

See Also

Quant Compound Entry - Page 1

Quant Compound Entry - Page 2


Quant Compound Entry

Each entry for a compound in the quantitation database consists of three "pages" containing all the information needed for target compound analysis.

Page 1 specifies most of the information necessary for target compound identification.

Page 2 lets you use the quantitation database to consolidate additional information needed for quality assurance and quality control. These items may be accessed from Data Analysis macros or through menus and CP variables from the Custom Reports software.

Page 3 specifies the integration parameter files and records level / concentration / response data for the compound. This information is used in target compound quantitation and in generating calibration curves.

Each page has buttons to help you navigate through the database.

  • The Page buttons let you move to the designated page number.

  • Prev and Next let you move from one compound to another in the quantitation database.

  • Plot displays the calibration curve for the current compound (if concentration/response data are available).


Quant Compound Entry - Page 1

These are the fields on Page 1 of the Compound Entry dialog box:

Name (of the compound)

Concentration Units

Retention Time Information

Quantitation Parameters

Signals to be used for Quantitation

Calibration Information

Copy/Paste Compounds

See Also

Quant Compound Entry - Page 2

Quant Compound Entry - Page 3


Quant Compound Entry - Page 2

These are the fields on Page 2 of the Compound Entry dialog box:

Special compound attributes

Special reporting parameters

User-defined items

See Also

Quant Compound Entry - Page 1

Quant Compound Entry - Page 3


Quant Report Options

The Quant Report Options dialog box allows you to specify the style and the destination for a quantitative report.


Quantitation Commands

The following commands are available for use with the quantitation software. Optional parameters are shown in brackets [ ]. For more information about a particular command, click on the name of the command.

See Also Entering Commands

ADDPEAKS variable

CALIBPRINT x0, y0, x1, y1, result number, "filename", scalar

CLEARCPNDS [option] [,mode]

CPDANALYZE [file descriptor object] [,n]

DELLEVEL ["level ID"]

DLGQDBSETUP code

EDITCPNDS [variable1] [,variable2] [,n]

ENDSET [correlation window]

EXPORTRSLT ["source file"] [,"Excel destination file"] [,file descriptor object]

GETCOMPOUND [type] [,compound number] [,FULL]

GETRESULT , result number, "filename" [,FULL] [,hit number]

LOADQUANTMETH

MI [variable], time1, time2, abund1, abund2 [,baseline checking]

PUTCOMPOUND compound number [,INSERT]

QUANTPARMS ref window size, ref window type, non-ref window size, non-ref window type, correl window, multiplier, conc

QUANTRPTOPT [report style, to screen, to printer, to file, "filename", generate report, compound number]

QUANTSAVE [path] [,file]

RECALIB "results file.RES" [,scalar]

SETUPCALIB

STARTANALYSIS ["filename"] [,scalar]

STARTREPORT "results filename"

STARTSET sort order

UPDATECALIB ["level id", "level file name", ,,respact,,rtact,qiact]

UPDATERSLT peak area, retention time, start time, end time, start baseline, end baseline, result number, "results filename", hit number

VIEWCALCURVE


Quantitation Database - definition

A quantitation database is a collection of information and data needed to perform quantitative analysis. For each compound, the database includes the calibration table and the information required to extract and integrate the ion chromatograms. Calibration curves from the calibration tables are used to quantitate target compounds. The quantitation database is part of a method.


Quantitation Parameters

Quant type

Select one of the following options:

ISTD, not time reference (In this case, no adjustment for retention time drift is made.)

ISTD, time reference

Target compound

Sample ISTD Concentration

This field is present only when you designate the compound as an ISTD. Use this field to specify the concentration of this ISTD in the samples.

Measure response by

Calculation may be based on peak area or height.

Ident by

This specifies how the best hit of multiple hits will be selected for quantitation: Meets qualifiers, Best RT; Largest area/height; Best qualifier value; All hits. For a discussion of best-match selection, see Target Compound Identification.

You can reset the Identification Method for all compounds using Calibrate / Update/Global Update.

Maximum Number of Hits

This specifies the best n peaks that satisfy the identification criteria for this compound. Range is 1 to 9.

Subtraction Meth.

This specifies the method for calculating qualifier ion ratios: Average of first and last; lower of first or last; no subtraction; extended area quantitation (use only with quantitation by peak area). See also Target Compound Identification.

You can reset the Subtraction Method for all compounds using Calibrate / Update/Global Update.

For mixed mode quantitation (that is, GC quantitation with MS confirmation), the extended area quantitation method is preferred and will be set by the software during calibration setup. Selecting other background subtraction methods for mixed mode quantitation will result in qualifier ion ratios that do not relate to the quantitation signal.


Quantitation Report Options

The Quantitation Report Options dialog box (Quantitate / Report Options) specifies the format of the quantitation report from a target compound analysis. A quantitation report can consist of the graphical representation of the total ion current, a tabular summary of the quantitative results, and a detailed graphical report demonstrating either the absence or presence of a compound.

The fields at the top left of the box have all of the information about the chromatograms that are printed. The right column shows whether the field affects only the summary portion of the report or the detailed report (graphics portion) or all of the reports. Parameters that can be set from the dialog box include:

Graphics

Global Minimum Detection Limit

Apply Sample Multiplier To

Summary Report Only

Detailed Report Only

All Reports


quantitative analysis - definition

A quantitative analysis is the determination of the amounts of specific compounds present in a sample. Before such an analysis can be done, you must set up a quantitation database containing compounds of interest.


Quick Cooling On

Activates cryogenic (subambient) operation to provide rapid cooling between runs.

This feature is separate from Cryo On.

Quick cooling is enabled at 55 [image] C above the [image] C, Ambient setpoint. This feature is useful when maximum sample throughput is necessary, however it does use more coolant. Quick cooling turns off soon after the oven reaches its setpoint and cryo takes over, if needed.

Use [image] C, Ambient to set an optimal temperature setting for efficient use of cryogenic fluid.

C, Ambient-The temperature in the laboratory. This setpoint determines the temperature at which cryogenic cooling is enabled:

  • Regular cryo operation is enabled at 35 [image] C above the [image] C, Ambient setpoint.

  • Quick cooling operation is enabled at 55 [image] C above the [image] C, Ambient setpoint.


Quick Cryo Cool

Activates cryogenic (subambient) operation to provide rapid cooling between runs.

Select On to enable Quick Cryo Cool, or Off to disable it.

The Ambient Temperature setpoint is used to set an optimal temperature setting for efficient use of cryogenic fluid. It determines the temperature at which cryogenic cooling is enabled:

  • Regular cryo operation is enabled at 35°C above the Ambient Temperature setpoint.

  • Quick cooling operation is enabled at 55°C above the Ambient Temperature setpoint.


Quick QEdit

The Quick QEdit window is used to quickly locate compounds in the database for editing. Double-clicking on any compound in the Quick QEdit compound list displays in the QEdit window the section of the chromatogram containing that compound.

The buttons in the Quick QEdit window do the following:

Start

Clicking this button allows you to scan through the compounds. The scan starts at the compound currently hightlighted and continues until the Stop button is clicked. Each compound is displayed for the amount of time set using the Configure button described below.

Stop

The Stop button does not appear until the Start button has been clicked. Clicking this button stops scanning of the compound list and causes the current compound to be displayed in the QEdit window.

Exit

Closes the Quick QEdit window and exits the QEdit mode.

Qdel

Changes the report status of the currently selected compound from Found to Not Found.

Configure

Allows you to adjust the amount of time each compound is displayed during a scan.


Quick Screener

The Quick Screener window is used to quickly locate compounds in the database for editing. Double-clicking on any compound in the Quick Screener compound list displays in the Results Screener window the section of the chromatogram containing that compound.

The buttons in the Quick Screener window do the following:

Start

Clicking this button allows you to scan through the compounds. The scan starts at the compound currently hightlighted and continues until the Stop button is clicked. Each compound is displayed for the amount of time set using the Configure button described below.

Stop

The Stop button does not appear until the Start button has been clicked. Clicking this button stops scanning of the compound list and causes the current compound to be displayed in the Screener window.

Exit

Closes the Quick Screener window and exits the Quick Screener mode.

Qdel

Changes the report status of the currently selected compound from Found to Not Found.

Configure

Allows you to adjust the amount of time each compound is displayed during a scan.


Quick Setup...

Quick Setup provides an automated way to prepare a basic method that includes all the necessary parts. As you become more proficient with the ChemStation, you will probably want to further refine and add to the entries you have made using Quick Setup.

When you use Quick Setup, the settings in your currently loaded method will be replaced by:

· the settings specified in the default method and
· any setpoints you enter during this process.

PROCEDURE [image] To prepare a method using Quick Setup:

  1. Choose Quick Setup... from the Instrument menu. The ChemStation will display a series of four dialog boxes.

  2. Read and respond to each dialog box as it is displayed (click on any of them below for more details):

  • Column Connections

  • Column 1/2 Information (a read-only display)

  • Solvent Boiling Point (displayed if injection will be made into a split-splitless inlet in splitless mode or a cool on-column inlet)

  • Front/Back Injector

Click on the Back or Next button(s) to move between the dialog boxes. Be sure to review and verify all entries.

  3. When you are finished, click on the Finish button. The ChemStation will display the Instrument Control screen.

At this point in the process, the ChemStation has replaced all the entries in your currently loaded method with the instrument settings of the default method and the entries you specified in Step 2.

  4. Complete the process as you desire, for example, click on Apply, OK, Cancel, Help, or any icon on the icon bar to further modify your choices. (See Buttons and Icon Bar for more details.)

To save the currently loaded method, use Save or Save As (File menu).

Starting Oven Temperatures for the Quick Setup Method:

Inlet | Oven Temperature =
Cool On-Column | solvent boiling point
Purged Packed | 50 [image] C
Split-Splitless |
split mode | 50 [image] C
splitless mode | solvent boiling point - 30 [image] C

Starting Inlet/Detector Temperatures for the Quick Setup Method:

 | Used for Injection | Not Used
Inlet |  |
Cool On-Column | tracks oven (see Mode) | same as starting oven temperature
Others | maximum column temperature - 25 [image] C | same as starting oven temperature
Detector | maximum column temperature | same as detector used for injection

For step-by-step instruction, refer to the following task:

Edit a Method

For additional information, click on any of the following:


QuickTune - definition

QuickTune provides a fine tuning to ensure acceptable response and resolution and accurate mass assignment. Only the mass axis, peak widths, and EM voltage are adjusted; the lenses are unaffected.

It does not adjust the relative abundances of the three tuning masses. As long as these relative abundances are at acceptable values (in other words, the instrument is already nearly tuned), QuickTune is the preferred method of daily tuning.


Ramp Button

The step size and range of the ramp are set in the Edit Ramp Parameters box (accessed from the Ramp menu in the Tune view). The result is displayed in the graphics area as SIM Abundance vs. the selected parameter. If the parameter you select is not rampable, you will get an error message.

A vertical line marks the current lens voltage. You can manually set the voltage for the selected parameter by dragging the vertical line to the right or left. (Note that the change is shown to the nearest ramp step specified in the Ramp Parameters box. The scroll bar shows the minimum DAC [digital-to-analog converter] step, which may be less than or equal to the ramp step.) The ramp is repeated for the three tune masses.

  • To stop the ramp at the end of the current tune mass, click the Stop button.

  • To see the abundance ratios of the tune masses, select Expand from the View menu.


Ramp Menu - Target Tune

The Ramp menu allows you to optimize settings for the repeller, ion focus, entrance lens, entrance lens offset, and x-ray (no x-ray on 5973 MSD).

When the selected ramp is completed, the Tune Ramp dialog box is displayed for you to review the results and select a different value if you wish.

  • To change the ramp parameters, select Edit Ramp Params.

  • To maximize the sensitivity across the mass range, select Maximize Sensitivity to adjust the entrance lens offset for maximum abundance of m/z 69 and 502.

  • To set voltages for dynamic ramping of the entrance lens offset, select Edit Dynamic Lens Ramping.

  • To stop dynamic ramping, select Disable Dynamic Lens Ramping.


Ramp Menu - Tune

The Ramp menu allows you to optimize settings for the repeller, ion focus, entrance lens, entrance lens offset, and x-ray (not used on 5973).

When the selected ramp is completed, the Tune Ramp dialog box is displayed for you to review the results and select a different value if you wish.

  • To change the ramp parameters, select Edit Ramp Params

  • To maximize the sensitivity across the mass range, select Maximize Sensitivity to adjust the entrance lens offset for maximum abundance of m/z 69 and 502.


RampParam Menu - CI Tune (5973 MSD)

RampParam Menu - CI Tune

5973 MSD configured for CI only. The RampParam menu allows you to optimize settings for the repeller, ion focus, entrance lens, and entrance lens offset.

When the selected ramp is completed, the Tune Ramp dialog box is displayed for you to review the results and select a different value if you wish.

  • To maximize the sensitivity across the mass range, select Maximize Sensitivity to adjust the entrance lens offset for maximum abundance of m/z 69 and 502.

  • To change the ramp parameters, select Edit Ramp Params.


Ramps

The PCM can be programmed with an initial temperature and up to three levels (or "ramps") and plateaus operating at temperatures independent of the oven. Rates between 0.1 and 720°C/min can be selected.

The oven program determines the length of the run.

If the ramped inlet temperature program is:

  • longer than the oven's, it will truncate at the end of the oven's program.

  • shorter than the oven's, the inlet will maintain its final programmed temperature until the end of the run.

Specify the following parameters for a ramped inlet temperature program. Click on any of them for details:

C/min

Next [image] C

Hold min

Heated inlets require air cooling operation whenever a negative temperature ramp attempts to cool the inlet below the oven temperature.

Other Items in this Dialog Box:

Gas

Air Cooling On

Heater

Pressure

Total Flow


Ramps

When a cool on-column inlet is in Ramped Temp mode, you can prepare a program of up to three levels (or "ramps") to control the inlet's temperature during a run so that it can operate at temperatures independent of the oven. The ChemStation executes these program levels in consecutive order. A ramped inlet temperature program includes:

  • an Initial inlet temperature, and

  • up to three inlet temperature Ramps.

A single ramp temperature program raises the initial inlet temperature to a specified final temperature at a specified rate and holds at the final temperature for a specified period of time.

The multipleramp temperature program is similar. You can program the inlet from an initial temperature to a final temperature, but with various rates, times, and temperatures in between. You can also program multiple ramps for temperature decreases as well as increases. This is the recommended mode if operating below -20 [image] C.

At very low oven temperatures, the inlet temperature should be at least 20 [image] C higher than the oven temperature. This will be more than adequate for solvent focusing.

At temperatures greater than ambient, the inlet should always be at least 3 [image] C warmer than the oven for proper control of the inlet temperature.

The oven program determines the length of the run.

If the ramped inlet temperature program is:

  • longer than the oven's, it will truncate at the end of the oven's program.

  • shorter than the oven's, the inlet will maintain its final programmed temperature until the end of the run.

Setpoint Ranges

Parameter | Allowed Setpoint Range
Ramped temperature without CryoBlast | 24 [image] C to 450 [image] C
Ramped temperature with CryoBlast | -40 [image] C to 450 [image] C

Specify the following parameters for a ramped inlet temperature program. Click on any of them for details:

C/min

Next [image] C

Hold min

Total min is a read-only display of the cumulative run time (determined by the oven program) for each ramp level.

To see a plot of the inlet temperature setpoints, click on the Plot... button and select Front (or Back) Inlet Temperature:

Other Items in this Dialog Box:

Heater

Gas

Mode

Pressure


Ramps

The Programmed Temperature Vaporization (PTV) inlet can be programmed with an initial temperature and up to three levels (or "ramps") and plateaus operating at temperatures independent of the oven. Rates between 0.1 and 720°C/min can be selected.

The oven program determines the length of the run.

If the ramped inlet temperature program is:

  • longer than the oven's, it will truncate at the end of the oven's program.

  • shorter than the oven's, the inlet will maintain its final programmed temperature until the end of the run.

See chapter 5 of the 6890 Operating Manual for details.

Additional temperature ramps

For most purposes, the PTV is designed to hold the sample in the inlet liner until the entire sample (there could be several injections) has been injected. Then the PTV is heated rapidly to transfer the sample to the column. This can be accomplished with an initial hold, a single ramp, and a hold at the end to complete sample transfer.

Two additional ramps are available and have several possible uses:

  • The inlet can be heated to a high temperature to thermally clean the liner for the next run.

  • The inlet can be programmed downward (just set the Final temp below the previous temperature) to reduce thermal stress on the inlet.

  • Downward programming can be used to prepare the inlet for the next run. This can reduce cycle time for greater sample throughput.

Specify the following parameters for a ramped inlet temperature program. Click on any of them for details:

C/min

Next [image] C

Hold min

Cooling the inlet

The sample may be injected into either a cooled or heated chamber.

Setpoint Ranges

Parameter | Allowed Setpoint Range
No cryo* | 0°C to 450°C
CO2 cryo | -60 [image] C to 450°C
Liquid N2 cryo | -160 [image] C to 450°C

* The Practical lower limit is approximately ambient +10°C

The PTV Inlet requires cryo operation whenever a negative temperature ramp attempts to cool the inlet below the oven temperature.

Although the GC can sense which coolant is in use for the column oven, the cryo information for the PTV must be supplied by the 6890 GC configuration.

See Cryo Config for more information.

Other Items in this Dialog Box:

Mode

Gas

Cryo Config

Heater

Pressure

Total Flow

GasSaver (if column is defined)


Ramps

If you select Ramped Pressure as the column Mode, you can prepare a ramped column pressure program to control the column head pressure during a run.

If you select Ramped Flow as the column Mode, you can prepare a ramped column flow program to control the mass flow rate in the column during a run.

For details, click on one of the following:

Pressure Ramps

Flow Ramps

Other Items in this Dialog Box:

Mode

Inlet

Detector

Outlet psi/kPa/bar

Flow

Installed Column

Manufacturer's Specifications/Column Dimensions


Ramps

You can prepare a ramped auxiliary channel temperature program for each thermal channel (#1 and #2), and a ramped auxiliary channel pressure program for each pressure channel (#3, #4, and #5). For details, click on one of the following:

Temperature Ramps

Pressure Ramps

Other Items in this Dialog Box:

Aux Channel

Description

Heater (thermal channels)

Cryo Focus Configuration (option not available)

Type (thermal channels)

Pressure (pressure channels)

Gas (pressure channels)


Read / Write JCAMP Files

If you select Library / Read JCAMP File in the Data Analysis - Parametric Retrieval Mode window, you will be prompted for the JCAMP file name. The path \MSDchem\msexe is the default. When you supply a valid file name and path and click OK, you are prompted for a library name. If the library exists, you will be asked if you wish to append to it. If you select No, you will again be prompted for a new library name.

Once the library has been selected, the program automatically translates spectral information in the JCAMP file into DOS-editable library format. User libraries created on other data systems can be imported via this tool.


Real Time Plot Parameters

The MS real time plots (shown below) are one or two ion chromatograms plotted (abundance versus time) in windows on the Instrument Control panel as the data are acquired.

The following parameters control the display.

Time Window

Enter a time window value in minutes. This sets the X-axis scale for the real time plot. If the total run time is greater than this, the plot is displayed for the interval given, then scrolled 20% and displayed for the next interval. The cycle of displaying and scrolling the real time plot continues until the run ends. If you want to see the entire run, match this entry with the chromatographic run time of your sample (including the solvent delay time).

MS Window 1 / MS Window 2

You can define two windows. Each has specific plot types depending on the scanning mode.

Plot Type

  • In Scan mode, you may display the total abundance of all ions monitored (Total) or the total abundance of all ions in a specified mass range (Extracted ion). When you select Extracted Ion, the mass range field for that window in the MS Scan Parameters part of the panel becomes active so that you can set a range.

  • In SIM mode, you may display the total abundance of all ions monitored (plot #1 only) or the total abundance of a single ion. For each SIM group, two ions may be selected for plotting; see MS SIM Parameters.

See Also

To Display MS real time plots


Recalibration - definition

Recalibration is done to compensate for changes in system performance that might occur after you have changed the GC column or performed some maintenance task. To recalibrate a quantitation database, run another sample containing the same compounds in the same concentrations as in the original sample. The new file will contain updated response and retention times based on the new conditions. Use these to update the calibration.


Recovery Limits

For matrix spike compound (Compound Type = M) and surrogate compound (Compound Type = S), a percent recovery is calculated. Recovery limits can be established. Separate limits can be established for water and soil matrices. Limits that can be established are:

Low

The lowest acceptable percentage recovery.

High

The highest acceptable percentage recovery.

%Dev

The maximum acceptable percent deviation between the matrix spike and matrix spike duplicate concentrations.

MDL

Minimum detection limit either defined by a regulatory method or experimentally calculated.

The Data Analysis software checks the Sample Name and Miscellaneous Information fields in the Sample Log Table for the words soil and water. If it finds one of these, it uses the recovery limits of matrix A for water or matrix B for soil.. If the software does not find either of these words, it defaults to the recovery limits for the matrix A. Keywords in the Sample Name have priority over those in the Miscellaneous Information field.


Reference Flow, mL/min

To activate reference gas flow to the detector, place an X in the On checkbox.

The Actual flow, which the GC transmits, is a read-only display.

EPC Setpoint: 0 to 100 mL/min


Reference Window / Non-Reference Window

Used to determine if the peak specified in the quantitation database is present in the data file currently being processed. A window of 5% means that the peak being processed must have a retention time within +/-2.5% of the time in the quantitation database.

The reference window is used for internal standards that are designated as time reference peaks. The non-reference window is used for all other compounds.


Reignite Button

The Reignite button will become available if the detector flame goes out but the gas and air flows and the electrometer are on.

To reignite the flame, click on the Reignite button.


Reinitializing communication between the MSD and the data system.

  1. In the Diagnostics/Vacuum Control menu, select Initialize MS interface from the Diagnostics menu.

If communications are not reestablished:

  2. On diffusion pump-equipped MSDs, disconnect the HIVAC POWER cable from the back panel of the MSD and wait 15 minutes. This shuts off the diffusion pump and allows it to cool but leaves the foreline pump operating.

  3. Switch off the MSD power switch (all MSDs).

WARNING! If you are using hydrogen carrier gas, cool all heated zones and shut off the carrier gas.

  4. Restart the software.

  5. Turn on the MSD and follow the normal pumpdown procedure. The pumpdown procedure should reestablish communications between the MSD and the data system.


Relative response factor

Relative response factor is a dimensionless quantity that measures the response of a target compound relative to that of an internal standard:

RF = (target area x ISTD amount) / (ISTD area x target amount)


Repeller (Parameter)

Repeller sets the voltage of the repeller (part of the ion source). The repeller is a positive voltage that repels the ions, pushing them out of the source.

If the repeller is set too low, too few ions will leave the source, resulting in poor sensitivity and poor high mass response. If it is set too high, too many ions at too high a velocity will leave the source. This results in precursors (poor mass filtering) and poor low mass resolution.

MSD | MIN | MAX | STEPSIZE
5972 / 6890 | 0 | 42.84 | 0.168
5973 | -0.2 | 42.7 | 0.168


Repeller voltage is too high

A high repeller voltage can cause precursors or make them larger. Decrease the repeller voltage and see if the precursors decrease.


Repeller voltage is too low

Increase the repeller voltage slightly and see if sensitivity improves.


Replace Qualifier Ion Relative Responses

The old values are replaced with the new ones for all compounds identified in the results file.

The ratios are updated from the Best Hit in the results file that is recalibrated. The determination of Best Hit was made when the data file was quantitated against the quant database. The Ident by field on Page 1 of the database entry determines the criteria for Best Hit.


Report Manager Menus

The following menus are available in the Report Manager software.

File Menu

Refresh

Delete File

Exit

Options Menu

System Name

Report Manager Setup

RTE Monitor

UNIX Monitor

3365 Monitor

Peak - 96 Monitor

Import Data Monitor

Help Menu

Contents

About Report Manager


Report Style

Library Search Report Style

A library search report includes information from the data file, the search parameters, and the results of the search in the format selected:

Summary

The summary format provides a tabulation of the hits found for each peak.

Detailed

The detailed format lists the hits found for a peak followed by a plot of the searched spectrum and the #1 hit. Each peak begins on a new page.


Report Style

All reports include information from the data file. Select one of the following report formats for presentation of the quantitative results:

Percent by Retention Time

Summary

Detailed (Text Only)

Detailed

Detailed (Single Compound)


Reset Defaults

The following parameters are not reset:

5973 MSD | 5972
MS Temperatures Filament DC polarity | Filament DC polarity

On a system configured with a 5973 MSD, this menu item displays a dialog box that lets you reset to the factory defaults of one of the following tunes:

Autotune

Low Mass Autotune

Standard Spectra Tune

DFTPP Tune BFB Tune

Target Tune


Reset EMF Counters dialog box

This dialog box is displayed when you select Reset Counters on the Select EMF Action dialog box. This box is used to reset counters for items shown below. For example, if you replace the GC septum, check the box Septum (Injections) to reset its counter to 1. It would then begin incrementing with each injection until it reaches the limit you set on the Set Limits for EMF Parameters dialog box.

Septum (Injections)

When this box is checked, the counter for the GC septum is reset to 1.

Liner (Injections)

When this box is checked, the counter for the GC liner is reset to 1.

Number of Injections (Total)

When this box is checked, the counter for the total number of injections is reset to 1.

Pump Oil (Days)

When this box is checked, the counter for the pump oil is reset to the current time and date.

See Also

To enable EMF utilities

EMF Utilities

Enter Limits for EMF Parameters dialog box


Residual water or solvents

Water vapor gets into the MSD when it is vented. Solvents can get into the MSD if parts are such as the ion source are cleaned but not dried properly. The water or solvents are gradually pumped away by the vacuum system. Increase the ion source and mass filter (quad) temperatures to speed the removal of water and solvents.


Results of Target Compound Analysis

Reporting of results is based on the information entered mostly on page 2 of the Compound Entry dialog box.

CAS #

Compound Type

Matrix spike amounts

Matrix concentration limits

User-defined values

Reference spectrum name (page 1)

A Results File contains records for all target compound entries and peak groups that were deemed hits versus their respective target compound entries. The filename used is the one specified in the STARTANALYSIS command that preceded the execution of the Target Compound Identification and Quantitation (TCIQ) procedure.

A Result Record is associated with each target compound entry. The record contains the state of the target compound entry at the time of the execution of TCIQ along with result information for the Best Match (if any!). In the Result Record there is also a pointer to an Overflow Area of the Results File containing ALL additional peak groups that were considered hits versus the target compound entry. Observe that when there are two or more hits for a compound, the Best Match is stored twice: once in the main Result Record and once in the Overflow Area.


Retention time drift with retention times getting shorter

Column has been shortened

Initial oven temperature was increased

Column is getting old


Retention time drift with retention times getting longer

If retention time for all peaks becomes longer, the following are possible causes:

Column flow has been reduced

Initial oven temperature was decreased

Active sites in the sample path

Leaks in the injection port


Retention Time Information

Ret. Time / RRT

You may enter the retention time (in minutes) here. If instrument conditions result in a retention time shift, you can adjust this field for all compounds in the database using Calibrate / Update/Global Update. Note that shift values are truncated beyond the 1000th decimal place.

Extract signals from

A default value for the time range around the expected retention time was specified in setting up the Quant Database Globals. Enter a time range in minutes or percent that defines a baseline suitable for integration on both sides of the peak. Integration must find the peak’s start/stop within this window or the compound will be undetected.

This time window is converted to a range in minutes relative to the expected retention time. The relative value of the time range is stored in the method; if the retention time of the peak shifts in subsequent recalibrations, the window will move with the peak.

You can adjust the extraction windows for all compounds in the database using Calibrate / Update/Global Update.

Ref Spec Name

The name of the reference mass spectrum. Used in special reporting (see Page 2 of the compound entry).


Retention Time Locking

Retention time locking is a procedure whereby characteristics of a particular method (column, flow setpoints, oven parameters) are evaluated such that changes in the chromatographic system related to the column that would normally impact retention times are negated. The procedure involves collecting data for a compound (whose desired retention time is known) at various inlet pressures around the current method setpoint (-20%, -10%, nominal, +10%, +20%). The five resultant runs are then evaluated and a pressure/retention time curve is generated to characterize that particular instrument. From the curve, a predicted pressure which causes the lock compound to elute at the desired time can be calculated and stored such that the method will run at that pressure.

How to

Lock an MS method

Lock a GC method

Relock a method

Automatically relock a method

Unlock a method

Create a custom RTL screener Library

Reference

Retention Time Locking Overview

RTLock Setup View

Results Screener

Retention Time Locking Menus

Screen Database Update Dialog Box

Select AutoRelock Mode dialog box

Example Report

Glossary


Retried Automatically

ChemStation retried the previous error in the log without user intervention. Assume a successful retry if this error message does not repeat.


Retrieve menu (Parametric Retrieval)

Retrieve Menu

Set Parameters | Takes you to the Search Parameters box where you select the library and parameters used in the parametric retrieval.
Select Library | Lets you choose the library to use for parametric retrieval. A list of the currently available libraries will be shown.
Continue Results | Continues the search from the current position in the library by retrieving the next N entries. When you do a search, only the first N entries are retrieved.

The value of N is set by Number of Hits to Retrieve in the Search Parameters dialog box. Continue Results displays the next set of results This is equivalent to the Search Next button on the Parametric Retrieval Results dialog box. If this button is dimmed, Continue Results starts the search at the beginning.


Review 6890 Configuration

The very first time you bring up the ChemStation on an 6890 Series GC, the ChemStation will prompt you for required information about the GC's hardware configuration.

The ChemStation will use this information to:

  • update your GC's default method (DEF_GC.M), and

  • operate your instrument properly.

The current configuration is graphically summarized for you. Pressure Units identifies the current unit of measurement for pressure values (kPa, psi, or bar):

  • 1 kPa = 0.145 psi = 0.01 bar

  • 6.895 kPa = 1 psi = 0.06895 bar

  • 100 kPa = 14.504 psi = 1 bar

Note: Gray icons signify hardware that may be installed but is not currently configured.

We recommend that you examine all the states and setpoints of the configuration. To begin this process, use the Review Entire Configuration button:

The ChemStation will display a series of configuration dialog boxes for you. Review each one and respond to the best of your knowledge.

To review a hardware item, click on its corresponding icon.

The ChemStation will display the configuration dialog box(es) that correspond to your selection. Review the dialog box(es) and respond to the best of your knowledge.

OK/Help Buttons


RFPA is not adjusted correctly

Adjust (dip) the RF coils as described in the MSD hardware manual.


RT (Retention Time)

This value is used as part of the calibration set up. It is the retention time of the spectrum or GC peak you select in the Quant Setup procedure.


RTE Integrator - definition

The RTE integrator is a fast peak detector and integrator for GC/MS data. The default parameters assume that the data to be integrated is a total ion current (TIC) of scanned data from capillary column chromatography over the entire chromatographic range. If the appropriate integration parameters are selected, the RTE integrator can handle SIM acquisition and integration objectives such as detecting internal standards within a small retention time window.


RTLock Menu

View Current Method Setpoints | Displays (if available) the current retention time versus pressure values stored in the method from the last RTL calibration.
Calculate New Curve from Selected Peaks | Performs a quadratic fit on the currently select peaks (retention time versus pressure) as well as a spectral correlation (MS only) for the selected peaks.
Restore Nominal Chromatogram | (MS mode) Redisplays the nominal run. You can select the desired peak using the mouse action click/drag RIGHT under the peak. The rest of the peaks are automatically detected. This menu item is unavailable if the option for deleting data files to save space has been used during the calibration process.
Restore Startup Chromatograms | (GC mode) Redisplays all five runs. You can select the desired peaks using the mouse action click/drag RIGHT under the peak.
Report RTLock Calibration | Sends a report of the RTL calibration and lock (if any) to the screen
Print | Lets you print the screen graphics.
Relock Method | Relocks the selected method.
AutoRelock Method | Displays the Select AutoRelock Mode dialog box where you can select the automated RTL relock process desired. The AutoRelock menu item will be dimmed if no type ‘R’ compound exists in the method quantitation database. In addition, the compound used to calibrate the RTL method must exist or be added to the sample designated as the RTL recalibrator.
Unlock Method | Unlocks the selected method.

Spectral correlation is subject to a 0.8-limit below which the calibration calculation is not performed (you are attempting to lock with peaks from different compounds). Quadratic fit correlation is subject to a 0.97 limit below which you are warned of a possible poor fit, but the equation can still be saved.

You can lock the method at this point; the nominal (rtlock3.d) run is used and a desired retention time for the peak can be entered. A suggested pressure will be calculated based on the difference between the actual and desired retention times of the peak.

You will be prompted to delete the raw data files to save space (MS mode only).


Run Time Clock

Run Time Clock | When a run is in progress, this clock shows the time elapsed since the beginning of the run. Here, the clock increments. The scheduled run time is shown below the digital clock. When a run is not in progress, this clock shows the time elapsed since the last run as Post Run Time. Here, the clock decrements.


Running a Single Analysis

To run a single analysis using a method, go to the Method menu in Instrument Control or Top and use one of the following:

Load

Select this if you want to use a different method from the current one. First you are prompted to load a method, then select Method / Run.

Run

Select this if you want to run the current method. The Start Run dialog box is displayed. When you click Run Method in this box, the Top status display appears and the Instrument Control view is minimized.


Sample

Sample (PreInjection)

Number of times the syringe is rinsed with the next sample following any preinjection solvent washes. For each wash, the syringe is filled to eight-tenths its full volume (4 ul for the 5 ul syringe and 8 ul for the 10 ul syringe), and then emptied into a waste vial.

Valid entries: 0 to 15. The default entry is zero.


Sample

Sample (PreInjection)

Number of times the syringe is rinsed with the next sample following any preinjection solvent washes. For each wash, the syringe is filled to eight-tenths full and then emptied into a waste vial.

Applies only to the first injection in a series of multiple injections.

Valid entries: 0 to 15. The default entry is zero.


sample - definition

Sample refers to the solution that is to be injected into the mass spectrometer system.


Sample Carryover

Any memory of the previous sample shown in the chromatogram.

After an injection, the syringe retains a volume of sample in the needle, and between the plunger and barrel, that ranges from 0.6 to 1 ul. To dilute and wash away the remaining sample, normal laboratory practice requires that the syringe be washed with a solvent and/or with the next sample.


Sampling Depth

Sampling Depth Offset

Depth (in mm) of the needle tip in the sample vial. To enable or disable this function, click the Sample Depth Enable checkbox, then enter the desired value. A value of zero (default) is the standard position, where the tip of the syringe needle is positioned 3.6 mm from the bottom of the vial.

Note that sampling depth entries are measured relative to the standard position.

Valid entries: -2.0 to 30.0

Other Items in this Dialog Box:

Viscosity

PreInjection Dwell (not available on all injectors)

PostInjection Dwell (not available on all injectors)

Plunger Speed

OK/Cancel/Help Buttons


Sampling End

Pressure upsets caused by switching valves in your gas sampling device can cause fluctuations in column flow rates. To compensate for this, the interface is flow controlled during sample introduction. The sampling flow rate is calculated from the pressure setpoint that is active when sample introduction begins.

The Sampling end setpoint needs to be 0.2 minutes longer than the time it takes the sampler to introduce the sample. For example, the 7694 headspace sampler has an “Inject time” parameter. This controls the length of time the valve remains in the inject position. If this time is 1 minute, the appropriate Sampling end setpoint is 1.2 minutes.

Total flow or Pressure setpoints cannot be changed during sample introduction.

If you are using a ramped flow or ramped pressure column program (defined column only), the pressure or flow ramps do not begin until the Sampling end setpoint has expired.

There is no Sampling end setpoint in split mode.


Save Data

To save data for a signal, select Save Data. Then select:

  • All to save the data for the entire run.

  • Partial to save the data for part of the run. Specify Start and Stop times (in min) to identify the acquisition interval during which you want to save.

Do not select Save Data for either signal if you want to:

  • make an initial blank run to clean the column before making an analytical run, or

  • save the baseline profile for single column compensation.

Contents of this Dialog Box:

Source

Data Rate

Minimum Peak Width

Calc Button


Saving a File

At various places in the ChemStation software, you will be prompted for the name of a file in which parameters or data should be saved. These prompts take several forms.

  • A text box where you enter a file name.

  • A text box containing the name of the current file. The current path for the file, displayed above the box, will be used unless a fully qualified file name is entered.

You may enter a different file name (8 characters maximum). The extension used by the file type will be appended automatically if it is not entered.

If an invalid path or file name is entered when you click OK, you will be returned to the dialog box.

  • A list of files and a list of directories where you can select an existing path and file name or create a new file name.


Saving the Method

If you are working within Instrument Control or Data Analysis to set up that portion of a method, be sure to save the method before you leave the application. Select Method / Save from the menu bar. The name of the current method is displayed in the edit box. You may:

  • Keep the name of the current method.

  • Enter the name of another method.

  • Enter a new name.

When you click OK, all current method parameters are saved to the method specified and the new method becomes the current method.

When you close the application, you will be reminded to save the changes:

  • Click No if you want to discard the changes.

  • Click Yes if you want to save the changes.


Saving Tune Values

The name of the current tune file is displayed in the text box. The path displayed above the box is the only path allowed for saving tune values.

You may type a different file name (8 characters maximum) or select one from those listed. The tune file extension (.U) will be appended automatically if it is not entered.

If an invalid file name is entered when you click OK, the tune values are not saved.


Scalar Variable (Definition)

A scalar variable is assigned a real number (as opposed to an integer) value.


scan mode - definition

Scan mode is a data acquisition technique in which the detector scans from high to low across a range of masses. When one scan is complete, the system resets and immediately scans the range again. This process is repeated continuously during the run except during the Solvent Delay time at the start of the run when the MSD is off.


Screener Menu

Screener Menu -- RTL

CO Next Compound | Displays the next compound in the file. You can also double-click the right mouse button in the compound information window (window #7) to perform this function (to go to the previous compound, double-click the left mouse button in the compound information window).
Goto Compound | Prompts for the number of the compound you want to view.
Xpand Chromatographic Window | Expands the chromatographic window by two minutes (one minute on each end of the window). It is useful if the peak of interest is on the edge of the window. Note If you have zoomed in using the mouse and then use the XPand function, the new, expanded window is based on the original data. It is not based on the zoomed in view.
Original Chromatographic Window | Extracts the original chromatogram from the current data file and resets the window to the original time range.
Graphics Report to the Printer | Sends a graphical report of the chromatogram to the printer.
QDEL Compound | Changes the report status of the currently selected compound from Found to Not Found.
Next File | Loads the next data file.
Load Data File | Lets you select the file to load.
Restart Quick Screener | Displays the Quick Screener window.
ReRun Screen | Recreates the screen results file based on the screen database that may be associated with the method.
Abort Changes and Exit | Exits Results Screener mode without saving changes to the screen results file.
Exit and Save Changes | Exits Results Screener mode and updates the screen results file with your changes.


Search Parameters

To select search parameters, check the box next to the parameters to be searched. Only checked boxes will be used in the search. All library entries retrieved will match all parameters checked. Thus each box checked reduces the number of hits. Searching with no parameters checked will retrieve the entire library. Note that only condensed library spectra are searched, which means that common masses like m/z 28 have been omitted and will not be found in the search.

Chem. Name

CAS Number

Mol. Formula

Mol. Weight

Entry Number

Misc. Info.

Company ID

Melting Point

Boiling Point

Ret. Index

Ion Search

CAS and Entry Number searches are significantly faster than other searches. These searches should be used whenever possible. When you specify a starting entry number, the search results will be displayed in entry number order. With an Ion Search without specifying entry number or CAS number, the order is random.

Chem. Name

Enter any name fragment of the desired chemical name. All names in the library are searched; any name containing the selected fragment is a match. This search is not sensitive to upper and lower case letters. For example, to match benzene, you might enter the fragment "eNe". This will match both benzene and ethylene.

CAS Number

For CAS number searches, either the long or short form may be used. For example, 107211 and 000107-21-1 are equivalent.

Mol. Formula

Enter the structural formula or empirical formula. The formula entered will be converted to a standard empirical formula. A search will be performed to match this formula to any fragment of the formula stored in the library. This search is case sensitive--Cl, H, C, N, etc. For example, if you enter HHCHH, it will be converted to the formula CH4. The search will return methane, methanol, etc.

Mol. Weight

Enter a range of molecular weights to narrow the search.

Entry Number

Enter a range of library entry numbers to restrict the search. This parameter is particularly useful when you know the approximate location of a compound in the library or when you want to force the search to begin at a certain point in the library.

Misc. Info.

Performs a non-case-sensitive search for the string entered. For example, if the string "Red" is entered here, all Misc. Info. fields with the string "red" in them will match.

Company ID

This search is identical to the Misc. Info search, except that the search is performed on the Company ID field.

Melting Point

Enter the numerical range for the Melting Point of the compounds to be retrieved. Note that in some libraries melting point information may not have been entered. In these cases, -300.00 is the value by default.

Boiling Point

Enter the numerical range for the Boiling Point of the compounds to be retrieved. Note that in some libraries boiling point information may not have been entered. In these cases, -300.00 is the value by default.

Ret. Index

Enter the numerical range for the retention index (retention time) of the compounds you want to retrieve. Note that some libraries do not have retention index information. This information is defined by the individual laboratory.

Ion Search

Enter the mass and the abundance range; the abundance range is specified in percentage. Only spectra with ions in the specified abundance range will be retrieved. Up to three different ions may be specified. Note that an abundance range of 0% to 0% is the equivalent of specifying 0% to 100%.

This parameter is particularly useful when you want to match ions in an unknown or difference spectrum.


Search Results (Definition)

 Search results refers to the list of quantities calculated by the PBM algorithm that may used in further evaluation of the quality of the matches.


Search Strategy Parameters

PBM has several strategy parameters preset to values carefully chosen to give the best search results in most cases.

U+A (2)

Flag Threshold (3%)

Minimum Estimated Purity (50%)

Tilting (ON)

Cross-Correlation Sort (OFF)

None of the following parameters have any effect on the search itself or on the speed of the search. They all prune entries from the results list after the search is completed.

Low report MW = 0

High report MW = 9999

Max hits = 20

Remove duplicate CAS numbers = off

To review or modify the strategy parameters, select Spectrum / Edit Strategy.

Extensive testing of the algorithm indicates that the default search strategy parameters will almost always yield the best answers that PBM is capable of providing. That is, if PBM fails to yield the answer that is expected, changing the U+A to 3 will probably not help PBM to retrieve the anticipated answer. Similarly, turning off Tilting or the Minimum Estimated Purity prefilter will not help. Adjusting the flag threshold may enable PBM to make a successful retrieval.

U+A

A parameter to control the PBM prefilter that determines which spectra are retrieved from the library and examined by the search algorithm.

The value for U+A ranges from 1 to 9, where 1 represents the fastest search and 9 forces the algorithm to search the entire database (i.e., this prefilter is not used). The default value is 2.

Setting this parameter to 1 will speed up the search but will increase the probability of missing the correct result if the unknown spectrum differs from the reference spectra. Changing U+A to 3 may be necessary to permit the algorithm to make a retrieval when the reference spectra and the unknown spectra differ due to variations in instruments or instrument conditions.

Flag Threshold

When each reference spectrum's significant peaks are compared to their corresponding ion mass in the unknown spectrum, a certain ion mass may be inappropriately flagged if the relative abundance in the unknown is low. The flag threshold sets an abundance threshold below which flagging should not occur.

For example, a value of 3 means that any ion with relative abundance less than 3% will not be flagged as a mismatch. If the data acquisition threshold were set high enough to exclude ions with relative intensity less than 5%, then it would be advisable to adjust the Flag Threshold to 5%.

Range is 0-99%; default is 3.

Flag Threshold can be used to adjust PBM's sensitivity to ions of low relative abundance. The PBM algorithm is very sensitive to ions of low intensity and can fail to retrieve a correct hit if several ions of low intensity are missing in the unknown or are present in incorrect intensity ratios.

Minimum Estimated Purity

The purity of an unknown spectrum is calculated by comparing the base peak of a library spectrum to the corresponding unknown peak. For the reference spectrum to be considered by the search, the unknown peak must have a relative abundance equal to or greater than the purity value specified.

Range is 20-80%; default is 50%.

The Minimum Estimated Purity (MEP) parameter is applied after the prefilter has retrieved a reference spectrum from the library but before the actual search comparison occurs. This parameter requires that the base peak in the reference spectrum be found in the unknown spectrum at a user-specified percentage.

For instance, if the base peak (m/z with 100% relative abundance) in the current reference is m/z 224 and MEP is set to 50%, then the MEP test will quickly examine m/z 224 in the unknown spectrum. If the abundance of m/z 224 in the unknown is greater than 50% relative intensity, the actual PBM search comparison will be made; otherwise the reference spectrum is discarded and the next reference spectrum is examined.

For most GC/MS analyses, the default value of 50% MEP successfully eliminates false positives while still maintaining PBM's ability to retrieve one or more components in a spectrum that is a mixture of two or more components.

Setting MEP to 80 will speed up the database search but can also eliminate correct results if there are significant deviations in the unknown spectrum from the reference spectrum.

Tilting

When tilting is on, the search attempts to improve the reliability of the match by scaling the reference spectrum to fit the unknown spectrum. To do this, the search first completes the normal unfitted comparison algorithm on the reference spectrum, then scales the reference spectrum using a quadratic function and reexamines it with the comparison algorithm. The quadratic function is determined by a best fit between the reference and unknown spectrum.

Default is on. This facilitates database retrievals from the large NIST and Wiley mass spectral databases. When you are searching user-created databases, acceptable results can be obtained with Tilting turned off.

Cross-Correlation Sort

When cross-correlation sort is on, the most likely hits found by the PBM search are evaluated by a forward search algorithm and a cross-correlation coefficient is generated. This coefficient is used to determine the order of presentation in the hit list.

The forward search algorithm requires that all the significant ions in the spectrum for the unknown be present in the reference spectrum.

The initial value is off, which causes the results to be sorted by PBM match quality.

Low report MW

The number you enter here sets a molecular weight threshold. Any search results with molecular weights lower than the entered number are removed from the list of results and are not reported.

Valid range is 0 to 9999. Default is 0.

Low report MW is the lowest molecular weight that will be reported and high report MW is the highest molecular weight that will be reported. (If low equals high, only compounds that have that molecular weight will be reported. If low is higher than high, no results will be reported.)

High report MW

The number you enter here sets a limit. Any search results with molecular weights higher than the entered number are removed from the list of results and are not reported.

Valid range is 0 to 9999. Default is 9999.

Max hits

A search can normally return up to 20 hits. Changing this number will change the number of hits that will be reported. The search and the search speed are not affected. Max hits just has the effect of pruning the number of hits that will be reported.

Valid range is 1 to 20. Default is 20.

Remove duplicate CAS numbers

When you select this checkbox, only the best match for any particular compound (identified by its CAS number) will be reported. Duplicate matches of lower match quality will be removed from the list of results and will not be reported. Since removing of duplicates is done by CAS number, library entries that do not have CAS numbers associated with them will not be removed even though they may be the same compound.


Secured Control Method Manager

The Secured Control Method Manager permits the supervisor or manager to select up to 6 methods that can by used in the restricted access mode of secured control.

Show Secured Methods | Displays any methods that are currently available to the operators.
Remove Secured Method | Permits a method to be removed from the list of secured methods.
Add Another Method | Lets you add a method from file select box.
Sample Centric Method List | If methods exist in the sample centric list, this option lets you delete a method from the list.


Select 6890 GC Scaling Preference Dialog Box

The dynamic range of the detectors on the 6890 GC exceeds the dynamic range of the chromatographic objects used in Data Analysis. Consequently, either the large or small signals must be "clipped" to permit the data to be processed.

If your analysis requires accurate reporting or quantitation of the major component or solvent peak, the second item Clip small noise peaks should be selected. This item scales the chromatographic data to fit into the Data Analysis objects. When this item is selected , the responses in the calibration table are automatically updated to reflect the scaling of the data.

The data files produced by the 5890 GC and the 35900 A/D do not exceed the dynamic range of the chromatographic objects and consequently do not have to be "clipped". For these instruments, the first item Clip large solvent peaks should be chosen.


Select Adduct Ion for MW Calculation Dialog Box

Lets you select the adduct ion that will be used for the molecular weight calculation. This dialog box is accessed when you select Chromatogram / Percent Report and the current data file was acquired on a 5973 MSD configured in PCI mode.

Select the adduct ion for the reagent gas that was used to acquire the data (PCI mode only). The molecular weight calculations will appear at the end of the CI Area Percent Report.


Select CI Reagent Gas (5973 MSD)

Select CI Reagent Gas Dialog Box

5973 MSD configured for CI only. This dialog box is accessed when you select Setup / Select CI Gas from the CI Tune view.

This dialog box is used to select the reagent gas you want to use. For most applications, methane is used, but the chemical properties of your sample will determine the best reagent gas for your application. For PCI, relative proton affinity of the sample and the reagent gas is usually the most important consideration. For NCI, electron affinity of the sample and reagent gas is usually the most important consideration.

For more information, see Chemical Ionization Mass Spectrometry, by Alex. G. Harrison (CRC Press, 1992, ISBN: 0849342546).


Select Clear Option

This dialog is displayed when you select Calibrate / Clear.

Clear Compound Responses

Removes all response data from the current quantitation database while retaining amount and compound data.

Clear Calibration Levels

Removes all levels (response and amount data) from the current quantitation database while retaining the compound information.

Clear All Compounds

Removes the entire quantitation database (response, amount, and compound data) from the current method.


Select Counter to change

Resetting the File Counter changes the last 1 or 2 digits of the file name assigned by the Report Manager.

Resetting the Vial Counter enables you to skip a slot in the tray and changes the listing on the Report Manager window.


Select Injection Source...

Use the Select Injection Source/Location dialog box to indicate how you will inject a sample. Select one of the following options (click on any of them for more details):

GC Injector (for instruments configured with an Automatic Liquid Sampler)

6890 GC Valve (generally used for gas sampling valve injections - see Valves for more details)

Manual


Select Integrator

Chromatogram / Select Integrator allows you to temporarily select an integrator other than the one specified in the current method.

To specify an integrator to use in the current method, do the following:

  1. From the Calibrate menu select Set Up Quantitation.

  2. To use the RTE integrator, check the Use RTEINT box. Otherwise, the ChemStation integrator will automatically be used.

  3. Click OK to retain the integrator selection.

  4. Select Method / Save Method.


Select Labels and Redraw TIC Dialog Box

This dialog box lets you select the peak labels (if any) that you want to use and then redraws the total ion chromatogram with the selected labels. This box is accessed when you select Chromatogram / Select Chromatogram Labels.

No Labels

Redraws the chromatogram with no peak labels.

Name if Quantitated (TIC Only)

Redraws the total ion chromatogram and labels the peaks with the compound names. Only the peaks that match the compounds in the quantitation results will be labeled. If the file has not been quantitated, this selection will have no effect and a message is displayed on the message line that a quant results file could not be found.

Conc if Quantitated (TIC Only)

Redraws the total ion chromatogram and labels the peaks with concentration amounts. Only the peaks that match the compounds in the quantitation results will be labeled. If the file has not been quantitated, this selection will have no effect and a message is displayed on the message line that a quant results file could not be found.

Type if Quantitated (TIC Ony)

Redraws the total ion chromatogram and labels the peaks with the compound type as specified on Page 2 of the Edit Compounds panel. Only the peaks that match the compounds in the quantitation results will be labeled. If the file has not been quantitated, this selection will have no effect and a message is displayed on the message line that a quant results file could not be found.

Abbr if Quantitated (TIC Only)

Redraws the total ion chromatogram and labels the peaks with the contents of the A1 box from Page 2 of the Edit Compounds panel. Only the peaks that match the compounds in the quantitation results will be labeled. If the file has not been quantitated, this selection will have no effect and a message is displayed on the message line that a quant results file could not be found.

Retention Times (TIC or EIC)

Redraws the chromatogram and labels the peaks with the retention times found during integration.


Select Method Reports

This dialog box is displayed when you select Calibrate / List in Data Analysis. Select which portion of the current method you wish to view. Your selection will be displayed in a MultiVu window.

Calibration History

Calibration History generates two reports that are displayed in MultiVu.

Calibration Status Report | The calibration status report displays the path, file, time of acquisition, time of last quant update, and time of level update for each level of calibration.
Audit Report | This text file contains a record of changes made to the method including: – When the change was made – What change was made – Who made the change – The severity of the change

Reporting Criteria

Lists print options set by variables for use on the detailed report.

Quantitation Database List

This is a list of all the compounds in the current quantitation database. The list, which is displayed in MultiVu, includes peak #, compound name, quantitation ion, expected retention time, and retention time limits for each compound. A text file, list.txt, is stored in the current method directory.

Calibration Report

Displays a calibration report on every compound in the database.

All the Above (to Printer)

Sends all of the reports to the printer.


Select Primary Tune Ramp Mass Dialog Box (5973 MSD)

Choose Mass to optimize Dialog Box

5973 MSD configured for CI only. When you select Setup / Select Masses from the CI Tune view, a series of dialog boxes is displayed.

This dialog box is used to select the tune mass you want to optimize for (low, mid, or high mass range). The values you see on this dialog box were selected on the Enter Tune Ion Masses dialog box.

Autotune is available for methane only, so this box is not available for isobutane, ammonia, or “other”.


Select Report to Printer option Dialog Box

After a data file has been quantitated, you can search for non-target compounds. Such compounds are referred to as non-target peaks. The library and integration parameters used in non-target peak searches are specified in a parameter file, tic.val. This dialog box is accessed when you select Quantitate / Report Non Target Peaks. This item is only available when Include Non Target Peaks has been selected on the Quantitation Report Options dialog box.

This dialog box has two choices:

  • Calculate/Generate Report

  • Generate Report

Select Calculate/Generate Report if the file has not yet been searched for non-target peaks. Select Generate Report if the file has already been searched but you have used the Edit Non Target Peaks function to edit the report.


Select Tune File Dialog Box

5973 MSD only. This box lets you select a tune file from the list of available tune files. When you click on a file name, various settings that are stored in the tune file are also displayed.

To choose a tune file, select a file name (for example, STUNE.U) and click OK.


Select Tune Type

Selecting Instrument / Perform MS Autotune from the Instrument Control menu bar displays this dialog box. Autotunes use PFTBA as the calibration compound and automatically adjust the MS parameters to meet predefined criteria for operation in electron ionization (EI) mode. This is called tuning. If your system is configured for chemical ionization (CI), you will be able to access the CI Tune panel from this box.

Select the type of tune you wish to perform. The autotunes available depend on which model of MSD you are using:

5973

Autotune

Standard Spectra Tune

QuickTune

Enter CI Tune Panel

5972/6890

Max Sensitivity Autotune

Standard Spectra Autotune

QuickTune

See Also

Tuning for CI (5972 MSD)

Tuning for CI (5973 MSD)


Select Update Option

This dialog box lets you choose the following options:

Update One Level

Quick LevelsUpdate

Global Update

Update Gasoline Amounts (Gasoline Analysis Mode only)

A calibration sample data file for the level to be added or updated must be loaded and quantitated prior to starting Calibrate / Update. If you wish to manually review and edit the data file prior to updating the calibration level, quantitate the data by selecting Quantitate / Calculate. Then select View / QEdit Quant Result to review the results.

Update One Level

When you select Update One Level, the Update Calibration dialog box is displayed, where you can select the desired options. When Do Update is selected, the results from the calibration sample data file (including any manual edits) are read to update the calibration table.

Quick Levels Update

Quick Levels Update provides a way of updating all levels of the current quantitation database at the same time. If you select this item you are presented with a series of dialog boxes.

Clear Responses First? | Updating a level replaces the responses in that level of the current quantitation database with the responses from a new data file. If you select Yes for this question, the current responses are all deleted before the new responses are added. As a result, if the new data file is missing some components that are in the current database, those components will not be in the updated database. If you select No for this question, the program replaces the responses in the current database with responses from the new data file but retains the current responses for any components that are in the current database but are not in the new data file.
Select Update Mode | The choices are Single Datafile/Level and Multiple Datafiles/Level. If you select Single, each level of the quantitation database is replaced by the data from a single file. If you select Multiple, multiple data files can be combined to replace a single level of the database.
Select Data File for Level | This prompts you to select the file or files to update each level of the quantiation database.
Select Cal Level ID for RT Update | The calibration level you select is used to update retention times for the entire quantitation database.

Update Gasoline Amounts

(Gasoline Analysis mode only) Displays a dialog box where you can select one of the following:

Individual Level Weights | These are usually imported from a disk supplied with standards by the vendor. Select the drive where the disk is located and then the file (which is usually called calamts.txt). The individual amounts will be inserted for each compound that has a name and CAS number that matches one on the file. If you wish to create your own file, consult your Agilent Technologies analytical consultant for the required format.
Serial Dilution | Fill in the dialog box with the new total weights. Enter the percentage of each compound under N6 in the user defined items on page 2 of the quantitation database.


Selecting a File

Move the mouse pointer to the file you wish to use and click once to highlight the name. The highlighted name is displayed in the text box above the list.

To select the file

Click OK. Alternatively, you may double-click on the name of the file and it is selected immediately.

To create a new file

Enter a new file name and click OK.

To move to a different directory

Click [. .].

To move to a different drive

Click on the letter for that drive, for example to go to the A drive, click on [-a-].


Selecting a Library

Move the mouse pointer to the library you wish to use and click once to highlight the name. The highlighted name is displayed in the text box above the list.

To load the library

Click OK. Alternatively, you may double-click on the name of the library and it is loaded immediately.

To move to a different directory

Click [. .].

To move to a different drive

Click on the letter for that drive, for example to go to the A drive, click on [-a-].


Selecting a Report System

A Report System is a process configured to run on a particular node. When generating requests, Data Analysis deals with a Report System name. The defaults are RPT1 and RPT2. When a request is added to Report Manager, the Report System name is used to determine the ultimate destination and the process to execute the report generation.


Selecting an Integrator

Two integrators are available: ChemStation and RTE.

For each quantitative method, you must use the same integrator throughout the calibration process and when analyzing unknown samples.

To use the RTE integrator:

Select the Use RTEINT box. This is a global setting and cannot be changed compound-by-compound. If this box is not selected, the ChemStation integrator is used.

To use an integration parameter file:

For the designated integrator, enter the file name in the Integration Parameter File text box. If a file is not specified, the ChemStation integrator uses ChemStation integration parameters saved with the method and the RTE integrator uses RTE integration parameters saved in the current method.

During calibration, the chromatogram(s) for all new compounds are integrated using the information supplied here.

You can change the integration parameter file on a compound-by-compound basis via Calibrate / Edit Compounds. You can also change the parameter file on a signal-by-signal basis (that is, use different files for target and each qualifier, even within the same compound).


Semivolatile compounds

Semivolatile compounds are compounds that can be prepared for analysis by extraction with an organic solvent. Semivolatile compounds are also called base/neutral/acid (BNA) compounds.


Septum Purge

The septum purge line is near the septum where the sample is introduced. A small amount of carrier gas exits through this line to sweep out any bleed and to facilitate changes in inlet pressure.

Each inlet has a different septum purge flow. The 6890 GC automatically sets septum purge flow for EPC inlets, but you can measure it from the septum purge vent at the flow manifold if you like.

Inlet | Septum purge rate (mL/min)
Split/splitless | 3 to 6
Volatiles | 3 to 6
PTV | 3 to 6
Purged packed | 1 to 3
Cool on-column | 15 to 30


Sequence - definition

A sequence contains the information for running multiple samples. This information is entered in the Sample Log Table where there must be a line for each injection to be made.

A sequence is saved on disk and is automatically designated by .S at the end of the file name. Once a sequence has been created and saved, it may be recalled again as a starting point for running another batch of samples.


Sequence File Examples

Select one of the following sequence file examples:

Dual tower sequence

Single inlet, single column, GC and MS detectors, one data file directory


Set Defaults Button

Click on the Set Defaults button to set all Oven Cryo Options to their default values:

  • Ambient Temperature: 25 [image] C

  • Cryo Timeout: On

Timeout: 10 minutes

  • Quick cryo cool: On

  • Cryo fault: On


Set Extraction Window Start/Stop

Set Extract Window Start/Stop

These menu items provide the correct mouse/keyboard combinations to set the integration start and stop times for the peak.

  • To set the Start Time - Position the crosshairs at the appropriate retention time, hold down the Shift key and double-click the left mouse button. An "S" appears where you clicked to mark the start of the extraction window.

  • To set the Stop Time - Position the crosshairs at the appropriate retention time, hold down the Shift key and double-click the right mouse button. An "E" appears where you clicked to mark the end of the extraction window.

The extraction start and stop times should always be adjusted in EasyID if you change the retention time of the compound. Problems can result if you move the retention time outside the original extraction window and do not compensate by resetting start/stop times. All The extraction windows can be reset to a consistent value by selecting Init Cal / Global Update / Set Extraction Windows after you exit Easy ID.


Set Overlay Parameters

You can display chromatograms overlaid on each other by selecting Tools / Overlay Chromatograms. The Set Overlay Parameters menu item determines how the overlaid chromatograms are displayed. There are three parameters that can be adjusted:

Enable Offsetting

This parameter allows you to turn offsetting on or off. If offsetting is on, the baseline for each chromatogram will be offset from the others. The original chromatogram (the chromatogram loaded before you selected Overlay Chromatograms) is not offset.

Offset Mode

This parameter determines whether the chromatograms are offset by an absolute amount or by a percentage. The percentage is based on the height of the highest peak in the original chromatogram (the chromatogram loaded before you selected Overlay Chromatograms.

Signal 1 Values

Offset determines the amount the chromatogram baselines are offset. Generally, the objective is to achieve enough offset to clearly separate the chromatograms but not so much that it becomes difficult to compare them. The default for signal offset is 0 (no separation).

If Absolute was selected, the number entered here will be the absolute amount each baseline is offset from the previous one. The baseline of the original chromatogram (the chromatogram loaded before Overlay Chromatograms was selected) is not offset.

If Percent was selected, the number entered here will be the percentage each baseline is offset from the others. Percentage is based on the height of the highest peak in the original chromatogram (the chromatogram loaded before Overlay Chromatograms was selected). Therefore, if the percentage signal offset is 100 and the highest peak in the original chromatogram is 10000 counts, the baseline of the first chromatogram will be shifted up 10000 counts and each successive chromatogram baseline will shift up another 10000 counts.

Scale Factor is a multiplier that changes the scale of each chromatogram except the original one. If a signal scale of 10 is set, all abundances except those of the original chromatogram will be multiplied by 10. Likewise, if a signal scale of 0.1 is set, all abundances except those of the original chromatogram will be reduce by a factor of 10. The default for signal scaling is 1.

Invert Signal Reference

Selecting this box causes the reference signal (the data file loaded at the start of the overlay process) to be inverted in the resulting display.

Note The data file loaded when overlay chromatograms is selected will never by modified by any of the overlay parameters, nor can it be overlaid upon itself.


Set Up Quantitation

When you want to create a quantitation database in a method, select Calibrate / Set Up Quantitation. Dialog boxes are displayed to guide you through the entry of all the data that is needed in the database. For additional information, click Help in the dialog boxes.


Set up the Programmed Temperature Vaporization Inlet (PTV)

Set up the Programmed Temperature Vaporization Inlet

Choose from the list of tasks below for help setting up the 6890 PTV Inlet:

PTV Split Mode Operation (w/ column defined)

PTV Split Mode Operation (w/ column not defined)

PTV Pulsed Split Mode Operation (w/ column defined)

PTV Pulsed Split Mode Operation (w/ column not defined)

PTV Splitless Mode Operation (w/ column defined)

PTV Splitless Mode Operation (w/ column not defined)

PTV Pulsed Splitless Mode Operation (w/ column defined)

PTV Pulsed Splitless Mode Operation (w/ column not defined)

PTV Solvent Vent Mode Operation (w/ column defined)

PTV Solvent Vent Mode Operation (w/ column not defined)


Setpoint entered in wrong heated zone

The GC/MSD interface is normally controlled by the Thermal Aux #2 heated zone. Make sure this is correct for your system. Make sure that the temperature setpoint was entered in the correct heated zone.


Setpoint Plots

The setpoint plot window allows you to display a visual representation of the setpoint(s) for an instrument parameter.

For example, you can program the temperature parameter in the oven dialog box to change over a specific period of time. The oven plot provides a graphical representation of the setpoints in the program.

Up to five color-coded plots can appear in the display at once. Click on the Plot... button to select the instrument parameter setpoints you want to see:

A color legend to the left of the graph will reflect your current selections. (Oven temperature plots will always be black, to signify that oven temperature determines the run time.)

To display scale units for the setpoints of a specific instrument parameter, select that instrument parameter's option button. The Y-axis represents the selected scale units. The X-axis always represents time (in minutes) from zero to the end of the run, including post-run time.

Solid lines indicate run time values.

Dashed lines indicate post-run values.

To zoom in on a specific area of the graph, click and hold down the left mouse button on one corner of the area you want to zoom in on, drag the cursor to the opposite corner of the area, and release the button.

To zoom in one (and only one) level deeper, repeat the process.

To zoom out:

  • one level, click once anywhere in the graph area.

  • two levels, double-click anywhere in the graph area.


Setting Integration Events

The Edit Integration Events dialog box appears when you have selected the ChemStation integrator. Use it to:

  • Set the following initial events, which will successfully integrate most chromatograms.

Initial Area Reject

Initial Peak Width

Shoulder Detection

Initial Threshold

These are the starting conditions for integration and remain in effect over the entire chromatogram unless they are superseded by an event set at a later time point in the chromatogram. You can edit these initial events, but they cannot be deleted from the table. For many chromatograms, appropriate settings for these initial values is all that is required for successful integration of the entire chromatogram.

  • Schedule other Possible Events in integration

To load an events file

Clicking the Load button lets you select an events file for editing. This file can be associated with a method.

To save an events file

Clicking the Save button lets you save any changes you make to the same or a different events file.

To schedule an integration event

Select the desired event from the list of POSSIBLE EVENTS: (left table). The selected (highlighted) event also appears in the EVENT input box. Type the VALUE and/or TIME parameters required by the event. Click the Enter button to enter the integrator event into the timetable (right table). Click Save to keep this schedule in an events file to be used in a method. Click OK if you just want to use the event on the current chromatogram.

To modify an integration event

Click on the value to be changed and type in the new value. Click Enter and then Save or OK.

To delete an integration event

Click on the table entry with the left mouse button and then click Delete.

Initial Area Reject

Peaks having less area than this number are not stored, used in calculations, or included in the report. An initially high Area Reject value is often set in the method to eliminate injection transients or solvent peaks. A lower value can be set (see Possible Events) to occur later in the run.

The range is 0 to 1E14. Default is 1.

Initial Peak Width

Peak width is the full width of the peak at half its height. This parameter informs the integrator about what width peaks it should initially be expecting to find. If the value for peak width is too large, narrow peaks may be poorly quantitated or even missed. If peak width is set too low, noise spikes may be detected as peaks, and broad peaks may be missed entirely. Initial Peak Width is not compatible with the Integrator Off or Area Sum On events.

Range is 0 or 0.001 to 100.0 (in minutes). The system default is 0.02.

An acceptance range for peaks is established from approximately one-third to three times the Initial Peak Width entry. An initial peak width of zero resumes the bunching calculation using the currently active value and allows the integrator to automatically assign the appropriate peak width value.

Shoulder Detection

Shoulders occur when two peaks are so close together that no valleys exist between them, yet they are obviously unresolved peaks. The integrator makes no attempt to divide the peaks and calculate their areas. Shoulders cannot be reported in the Environmental Data Analysis software. Shoulder Detection is always OFF. If you change the Shoulder Detection to ON, the change will not be saved even though the software appears to accept it.

Initial Threshold

Initial Threshold determines the initial sensitivity of the integrator. Each increase of one in the threshold value decreases the sensitivity by a factor of two. A higher threshold value usually results in fewer accepted peaks.

Range is -12.0 to 25.0. Default is 18.

See Also

Possible Timed Events


Setting RTE Integrator Parameters

Use the RTE Integrator Parameters dialog box to set integration parameters for the RTE integrator. The dialog box has three groups of parameters:

Detector parameters determine how chromatographic peaks and zones are recognized:

  • Data point sampling

  • Smoothing

  • Detection filtering

  • Start threshold

  • Stop threshold

Baseline Allocation parameters determine how the baseline will be drawn:

  • Baseline Reset

  • If leading or trailing edge

  • Baseline Preference

Output parameters determine which of the detected peaks are reported:

  • Minimum peak area and units of measurement

  • Peak location

  • Maximum number of peaks

To load parameters

Use the Load button to load parameters from the macro file (.P) that has RTE integration parameters for the particular method (the default is the current method).

To save parameters

Use the Save button to save the current RTE integration parameters to a .P file associated with a particular method.

See Also

Integration Parameter Files

Data point sampling

The range is an integer from 1 to 9. The default is 1. Negative values are not allowed. Sampling should normally be set at 1 for scanned capillary column data. For SIM data, this parameter is frequently 2 or 3.

Selects which data points are used in calculating slope sensitivity. With the default selection of 1 every data point is used. Select 2 for every other point, 3 for every third, etc. Sometimes performance can be improved by adjusting this parameter to take advantage of having broader peaks as follows:

Data points across a peak | Try a setting of
25 or more | 2 or less
50 or more | 6 or less
70 or more | 9 or less

This parameter was called bunch in earlier versions of RTEINT. When negative values were entered, the same smoothing was enabled as is described under Smoothing.

Smoothing

Selecting this checkbox turns on an additional filter that acts on the data when the first derivative is being taken to determine the start/stop points. Default = not selected. You can select Smoothing only when you also select 5-point digital filtering.

Use detector smoothing to improve results with noisy data. It can also be used anytime the integrator shows a tendency to "split peaks". A split peak is a single chromatographic event or peak that is reported as two peaks because of a minor perturbation in the wave form.

This is the same filter enabled in previous versions of RTEINT when negative values were entered for bunch. It is still enabled this way in the RTEINTPARMS command.

Detection filtering

To improve detector performance with noisy chromatograms, use digital filtering. It can improve results with SIM data. The default = 5 point.

This digital filter smooths the data used to determine peak start and stop points as the first derivative is taken. The parameter lets you select the number of data points to be included in a moving weighted average. Proper parameter selection depends on how narrow or broad typical peaks are and should be done in conjunction with Data point sampling.

The default setting provides the same 5-point filtering as in earlier versions of RTEINT where this parameter was not selectable.

Start threshold

The range is 0.001 to 100. The default is 0.200. Start threshold is rarely changed because the peak detector itself dynamically adjusts the starting threshold to compensate for changing signal levels and noise levels. The default setting of 0.2 is optimal for most chromatograms.

A peak is detected or started when the first derivative calculation exceeds the starting threshold, which is in part determined by the parameter setting.

Stop threshold

The range is 0 to 100. The default is 0.00. The stop threshold determines when a peak ends. This threshold can be adjusted to vary the amount of a tailing peak that is included in the integrated peak area. Higher values will increase the amount of a tailing peak that is integrated. Noise in the data can cause integration to terminate prematurely. In such cases, try raising the value to 0.3 to 0.5 to extend the end of the peak.

Baseline reset (# points) >

The range is 0 to 500 scans. The default is 5 scans. This parameter is the number of scans that must separate two adjacent chromatographic peaks in order for the coordinates of start and end points of the peaks to be used to define the baseline. If two or more peaks are separated by less than this value, the baseline will be drawn below the abundance at the start or stop of the peak. When peak separation is set to 0 scans, each peak is evaluated individually. This can be particularly useful for example when a peak's baseline is affected by a shift in abundance at the end of a SIM group.

Each peak is examined relative to its neighboring peaks to determine whether or not the nearby peak can influence the baseline allocation of the peak currently being examined. To see what is happening as the # points is changed, try temporarily changing Minimum peak area to 1% so that the smaller adjacent peaks are reported.

If leading or trailing edge <

This condition is used in conjunction with Baseline Preference to determine whether a drop to baseline or a tangent from start to stop occurs at a peak. The range is 1 to 100%. The default is 100%. Note that in RTEINT this parameter is also known as valley.

The parameter is a measure of the difference in amplitude of a peak's start / stop points expressed as a percentage of total peak height:

% = 100 * |Ystart - Ystop| / (Ytop - Ymin)

where Ystart and Ystop are respectively the amplitudes at the start and stop points of the peak as measured on the Y axis, Ymin is the lower of Ystart or Ystop, and Ytop is the top of the peak.

Baseline Preference

The default = Baseline drop else tangent. Used in conjunction with If leading or trailing edge to cause a baseline drop or a tangent from start to stop of a peak. In the default case of If leading or trailing edge < 100%, then Baseline drop else tangent, baseline drop will be used for all peaks because all peaks satisfy the condition. In the same way, if you choose Tangent else baseline drop, all peaks would have a tangent from start to stop.

If you enter a value other than 100%, then both baseline drops and tangents are possible in a given chromatogram. For example: If leading or trailing edge < 20%, then Tangent else baseline drop, would cause peaks with less than 20% difference in abundance from start to stop to have the baseline drawn from start to stop. Other peaks would have a drop from start or stop to a horizontal baseline.

Minimum peak area

This is the area threshold in units selected by clicking on one of the buttons. In Area counts, the range is 0 to 1E8 counts. In % of largest peak, the range is 0 to 100%. The default is 5%. Percent of largest peak is frequently used to ensure that only significant chromatographic information is integrated and reported. In GC/MS analyses, the solvent peak is usually not detected, but the large peaks and many noise peaks will be found. To reject the small noise peaks, select % of largest peak.

Use Area counts when integrating internal standards, system monitoring compounds, and other compounds that will be in the sample at a known concentration. Specification of a minimum area will reduce the likelihood that a small peak or noise might be inadvertently detected and incorrectly assigned to a compound.

For target compound analysis, Area counts is normally the better selection. % of largest peak should not be used for target compound detection because the sensitivity of the detection phase will detect many noise peaks if the target compound is not present. These noise peaks could appear as false positives in the quantitation report.

Area counts affects the peak detector. In this case, the peak detector examines the raw area of each integrated peak to determine if the peak should be retained and submitted to the baseline allocation algorithm.

Important The area rejection in the detection phase is based on absolute raw area count units. When % of largest peak is selected, the minimum area has no effect on the detection phase of the algorithm.

A scale factor can be applied to area-counts using the RTEINTPARMS command. When this factor is at its default setting of 1, area-counts = count-seconds.

Peak location

You can select whether retention time will be reported to the top of a peak or to the centroid (center of the effective area). The default location is top.

This option is useful for overloaded peaks that exhibit a flat top or for broad noisy peaks that exhibit several peak maxima.

Maximum number of peaks

The maximum number of peaks to report. The range is 1 to 250. The default is 100. The peaks reported are those with the largest areas.


Setting Up the 6890 GC

Acquisition Using the 6890 GC

How to

Acquire GC/MS data (overview)

Edit acquisition parameters

Set inlet and injection parameters

Set up the GC

Set up the MS

Display monitors

Display real time plots

Use the MS Timed Events Table

Reference

Instrument Control View Layout

GC Instrument | Edit Screen Layout

Instrument Control Menus

Instrument Control Dialog Boxes

Logbook

Using Methods

Using Sequences


Setup Actuals

Use the Setup Actuals dialog box to specify up to seven instrument actuals or setpoints that you want to monitor in the ChemStation's display panel.

The Actuals Available list identifies 39 instrument controls you can monitor.

The Actuals Displayed list represents the ChemStation's display panel.

To monitor an instrument control in the ChemStation display panel:

  1. Choose Setup Actuals from the Instrument menu.

  2. Click and hold down your left mouse button on the item in the Actuals Available list.

  3. Drag the item to the Actuals Displayed list.

  4. Position the item in the slot that represents where you want it to appear in the display panel.

  5. Release your mouse button.

To reposition an item in the ChemStation display panel:

  1. Choose Setup Actuals from the Instrument menu.

  2. Click and hold down your left mouse button on the item in the Actuals Displayed list.

  3. Drag the item to the slot that represents where you want it to appear in the display panel.

  4. Release your mouse button.

To remove an item from the ChemStation display panel:

  1. Choose Setup Actuals from the Instrument menu.

  2. Click and hold down your left mouse button on the item in the Actuals Displayed list.

  3. Drag the item to the Actuals Available list.

  4. Release your mouse button.

Click OK to save your display panel specifications.


Setup Menu - CI Tune

5973 MSD configured for CI only. The following menu items are used to set up for CI tuning.

Select CI Gas | Displays the Select CI Reagent Gas dialog box where you can select the reagent gas to use for tuning.
Set Tune Limits | Displays the Tune Control Limits dialog box.
Select Masses | Displays a series of dialog boxes that lets you select the reagent ion masses, the tune ion masses, and the mass you want to optimize.
Methane Flow Setup | Guides you through coarse adjustment of methane flow (or other selected reagent gas) prior to pre-tune.
Methane Pre-Tune | Automatically adjusts the peak width and axis position of the reagent (in this case methane) ion prior to flow adjustment.
Methane Flow Adjust | Guides you through the fine adjustment of the reagent flow (in this case methane) while monitoring the abundance ratio of ions.


Signal cable is not connected

  1. Remove the upper MSD cover.

  2. Check the signal cable.

    Make sure it is securely connected to the side board.


Signal Extraction

The first step in target compound identification is to determine the time range R over which signal extraction occurs for the target compound. In the target compound entry the user specifies an expected retention time E, a before-time offset d0, and an after-time offset d1 .

Let t0 = max {0, E - d0 } and

t1 = E + d1 .

Now consider the value r, which is the observed-to-expected time ratio of the nearest predecessor compound that was designated both as an Internal Standard Compound and as a Time Reference Compound. If there is no such compound relative to the current compound, then r is 1. The time range R is given as

r t0 : r t1

Each target compound entry specifies a target signal descriptor, either the TIC or an EIC mass.

All EICs are standard single mass EICs as defined by MS Data Analysis; that is, they are sums of responses within the mass range determined by the MzRange variable and the single mass given.

If the TIC is the target signal, the TIC is extracted from the current GC/MS data file over time range R. Otherwise an EIC is extracted over time range R for the target m/z over the data file.

For any qualifier signals specified as nonzero m/z values, an EIC is extracted over the specified m/z values over time range R. Up to three (3) qualifier signals will be extracted.

Finally, if a non-zero Area Correction Mass is specified, an EIC is extracted over that m/z. The system does not detect or prevent multiple uses of the same m/z value for different signals for the same target compound entry.


Signal Integration

The target signal and each qualifier signal for each target compound entry can have a set of associated integration parameters. To specify such parameters, the user creates a macro file containing commands to set the parameters and subsequently supplies the MS-DOS basename and extension of the file in the target compound entry. The macro file is assumed to be located in the same Method directory as contains the Target Compound Database. If such a file is specified, it is loaded and executed just prior to integration of the signal of interest.

If the Method's integrator is RTEINT, the signal is integrated with RTEINT after the integration parameter file is loaded and executed (or if no file was specified, the Method's RTEINT defaults were reinstated).

If the Method's integration is the ChemStation integrator, the signal is integrated with INTEGRATE if a parameter file was specified, or AUTOINT otherwise.


Signal Level Minimum, Maximum

Signal Level Minimum is the minimum relative response factor (RRF) permitted for this compound.

Signal Level Maximum is the maximum percent relative standard deviation (%RSD) permitted in the initial calibration of this compound.


Signals to be Used for Quantitation

Quant signal

The signal (TIC or Target Ion) (GC1 or GC2 in mixed mode) to be used in generating the chromatogram for quantitation of this compound. If Target Ion is selected, you must specify the mass (m/z) in the Tgt field. You may also specify three qualifier ions (Q1, etc.).

Note that during setup, the Quant Setup box enters these values automatically via mouse action.

Relative Response

These values are calculated and entered during the calibration process. The values are a percentage ratio of the qualifier to target ion responses.

% Uncertainty

This defines the acceptable range for the relative response of the qualifier ions to the target ions. It may be either relative (the default) or absolute. A default value of 20% uncertainty is supplied for each qualifier ion during the calibration process.

Rel / Abs

For a qualifier ion that has a relative response of 40% and a % uncertainty of 20: If Rel is selected, the acceptable range is from 32% to 48%. If Abs is selected, the acceptable range is from 20% to 60%.


Significance

The PBM search assigns significance to each mass peak based on both the m/z ratio and its abundance. Those peaks with the greatest significance are then used for the matching.

The significance of a mass peak is determined by two values, U, the uniqueness, and A, the abundance. Both the U and A values were developed by McLafferty and his co-workers from statistical studies of 79,650 spectra of 67,128 compounds.

Uniqueness

Certain masses (m/z) are more likely to occur in a mass spectrum than others. For example, m/z 43 is much more common than m/z 343. Each mass is assigned a uniqueness value between 0 and 12, the most frequently found masses (m/z 29, 39, 41, 43) being assigned a value of zero.

Abundance

The value of A is assigned based on the relative abundance of a mass in the spectrum. The higher the relative abundance, the greater the A value; the assigned values are -3, -2, -1, 0, 1, 2, 3, 4, and 5.

The significance calculations, which are the basis of the PBM searching and condensing algorithms, are used in the following ways:

  • To define peak significance when selecting the 15 to 26 peaks that are stored in a condensed reference spectrum.

  • In the prefiltering algorithm so that only spectra whose most significant peaks are similar to those of the unknown are selected for comparison.

  • As one of the factors for evaluating the similarity of reference spectra to an unknown spectrum.


SIM mode - definition

SIM mode Selected ion monitoring (SIM) mode is a data acquisition technique in which only a few selected ion fragments are monitored in order to obtain maximum sensitivity.


Single Channel Analog Input Board

When the optional single-channel analog input board is installed in a 6890 GC, you can connect non-Agilent detectors that produce a maximum output voltage of one Volt. The ChemStation considers the analog input as another detector signal. Two single-channel analog input boards can be installed to provide for Front and Back detector positions.

To activate the detector's heating element, place an X in the On checkbox.

Setpoint: 0 to 400 [image] C

The detector's Actual temperature, which the GC transmits, is a read-only display.

To activate the Electrometer, place an X in the checkbox.

Signal Conversion for Data Analysis:

  • Input voltage = -10 mV to +1.05V (between + and - inputs)

  • 1 display count = 15 uV input voltage


Single GC Detector and the MSD in a Single Column Configuration

Another method for acquiring mixed mode data is the single column configuration. Here, the sample is separated into its components on the one column but then is distributed to the two detectors. The simplest way to do this is to connect the column to the two detectors with a press-fit quartz "Y" connector. The different flows to the MSD and GC detector and the flow restriction of the two transfer lines must be carefully balanced. The MSD transfer line passes through a heated transfer line while the line to the GC detector is at the column oven temperature. This means that during a temperature programmed run, with constant pressure at the inlet, the flow to the MSD stays nearly constant while the column flow is decreasing. This can change the split of the flow between the MSD and the GC detector. In the worst case scenario, no flow would be going to the GC detector part way through the oven temperature program.

A single 30m X 0.25 mm ID HP-5MS column is installed in the split/splitless inlet. The effluent from the column was split between the MSD and FID. A tapered quartz Y-connector (P/N 5181-3397) was attached to outlet of the column by applying heat from a heat gun and finger pressure. Deactivated polyimide coated fused silica tubing is used as the transfer lines to the detectors. A 30 cm length of 0.1 mm ID tubing is connected to one leg of the Y and then inserted into transfer line of the MSD. A one-meter length of 0.53 mm ID tubing is connected to the other leg and then to the FID. The column flow is set to 1.5 mL/min and the inlet is operated in constant flow mode. This results in a split between the MSD and the FID of 1:1.6. The constant flow mode maintains a constant split between the detectors during the oven temperature program. The table below shows the column parameters.

Inlet and Column Conditions Single Column

Parameter |
Inlet Connection | Front Split/Splitless
Detector Connection | FID/MSD
Outlet pressure | Ambient
Injection Mode | Pulsed Splitless
Pressure | 18.9 psi
Pulse Pressure | 25.0 psi
Pulse Time | 0.5 min
Control mode | Constant Flow
Initial Column Flow | 1.5 ml/min
Average Velocity | 36 cm/sec

See Also

Sequence File Examples


Slow Plunger

See the autosampler documentation for the exact plunger slow speed specification.


Solvent A

Solvent A (Pre- or PostInjection)

Number of times the syringe is rinsed with Solvent A. For each wash, the syringe is filled to eight-tenths its full volume (4 ul for the 5 ul syringe and 8 ul for the 10 ul syringe), and then emptied into a waste vial.

Valid entries: 0 to 15. The default entry is zero.


Solvent A

Solvent A (Pre- or PostInjection)

Number of times the syringe is rinsed with Solvent A. For each wash, the syringe is filled to eight-tenths its full and then emptied into a waste vial.

Valid entries: 0 to 15. The default entry is zero.


Solvent B

Solvent B (Pre- or PostInjection)

Number of times the syringe is rinsed with Solvent B. For each wash, the syringe is filled to eight-tenths its full volume (4 ul for the 5 ul syringe and 8 ul for the 10 ul syringe), and then emptied into a waste vial.

Valid entries: 0 to 15. The default entry is zero.


Solvent B

Solvent B (Pre- or PostInjection)

Number of times the syringe is rinsed with Solvent B. For each wash, the syringe is filled to eight-tenths its full volume and then emptied into a waste vial.

Valid entries: 0 to 15. The default entry is zero.


Solvent Boiling Point

Select a Sample Solvent from the drop-down list. The ChemStation will automatically display its Boiling Point, which is used to determine the initial oven temperature if a split-splitless inlet (in splitless mode) or a cool on-column inlet will be used for injection.

If you select Other, specify a Boiling Point in [image] C.

The QuickSet method will include a single ramp oven temperature program based on the Boiling Point of the Sample Solvent and the Max Temperature specified for the column you have selected for injection. (For more information on single ramp oven temperature programs, see Ramps.)

To continue the Quick Setup process:

Go to the next dialog box.

Return to the previous dialog box.

To create and display the Quick Setup method:

To cancel the Quick Setup process:


Solvent Delay

The solvent delay is the time in minutes after the start of the run when the mass spectrometer is turned on. The MS should be off until the solvent peak has eluted from the column and passed through the MS.

For a 25-meter capillary column, a Solvent Delay of 2 minutes is usually satisfactory.


Solvent delay is too short

If the analyzer is on when the solvent peak elutes, the detector may saturate. Make sure the solvent delay is long enough to miss the solvent peak.


Solvent peak

This may happen routinely if you are doing on-column injections. The solvent peak raises manifold pressure above 8 x 10^-3 Torr. If this is a recurring problem, it may be best to leave the triode gauge off.


Solvent Vent Mode

The Solvent Vent Mode mode unique to the PTV Inlet. It is similar to the Splitless Mode, however it allows you to inject much larger samples (25 ul).

Sample is injected into a cold inlet. If conditions are properly chosen and the sample is suitable, analytes deposit in the inlet liner while the solvent evaporates and is swept out. Large or multiple injections can be used to concentrate sample in the inlet before transferring to the column for analysis. The three stages of sample introduction with Solvent Vent are described below.

Sample and Vent During sampling, and for the duration of venting, the solenoid valve is open. The inlet is at the INIT TEMP setpoint, usually below the boiling point of the solvent. Solvent vaporizes and is swept out the vent, while sample deposits on the liner walls or packing.

Sample Transfer When solvent venting ends, the solenoid valve closes and the inlet heats to the FINAL TEMP 1 setting. The sample transfers to the capillary column.

Purge and Cleanup The solenoid valve opens again and the system returns to the initial configuration (Sample and Vent) but with different setpoints. The PTV inlet is flushed. Additional ramp rates are available to thermally clean the inlet or to reduce inlet temperature after sample transfer. This can extend the life of the liner.

Temperature, Pressure, and Flow Considerations

The solvent vent mode goes through three distinct pneumatic states; venting, sample transfer, and purging. The vent portion allows the inlet pressure and the vent flow to to be adjusted to optimize solvent elimination. The transfer state mimics traditional splitless operation and transports the analytes from the liner to the column. The purging mode allows the user to prepare the inlet for the next run.

To prevent loss of volatile analytes with the solvent:

  • The inlet liner can be packed with a more retentive material, such as Tenax. This greatly improves volatile analyte recovery but may impact recovery of higher boiling materials.

  • Some solvent can be left in the liner when sample transfer begins. Residual solvent acts like a stationary phase and retains volatile material at the expense of a larger solvent peak.

  • The inlet temperature can be reduced. This reduces the vapor pressure of the volatile analytes and permits higher recoveries.

The pressure inside the inlet during sample introduction—the Vent pressure parameter—can be reduced to speed the removal of solvent. Raising the flow through the inlet—the Vent flow parameter—also hastens solvent removal.

Set the following parameters for Solvent Vent mode (click on any screen area):

See Add New Column Model to Catalog for information about defining a column.


Sorting by Signal in the Calibration Table

When an analysis contains many peaks of interest from multiple signals, the calibration table can be difficult to edit. The Sort Table options recently added to the Calibration/Calibration Options/Edit Options dialog box makes editing much easier by letting you sort signals by retention time or by signal name.


Source

To specify a source for signal output, select Det, Temp, Flow, or Test, then select a Source from the drop-down list box.

Column Compensation Run

To plot data from a column compensation run, select Det and specify col comp 1 or col comp 2 for Source.

Detector Gas Types

To plot the pressure or flow of gas to a detector, select Flow and specify any of the following for Source:

  • F/B det gas 1 pressure

  • F/B det gas 2 pressure

  • F/B det gas 3 pressure

  • F/B det gas 1 flow

  • F/B det gas 2 flow

  • F/B det gas 3 flow

The type of gas plotted is determined by the type you have configured for the detector. Supported types are as follows:

Detector | Gas 1 | Gas 2 | Gas 3
FID | Hydrogen | Air | Makeup
ECD | not used | Anode Purge | Makeup
TCD | not used | Reference | Makeup
NPD | Hydrogen | Air | Makeup

Test Plot

To plot test plot data, select Det and specify test plot for Source. The test plot is an internally generated chromatogram that consists of three baseline-resolved, repeating peaks. The area of the largest peak is approximately 1 Volt-sec, the middle peak is 0.1 times the largest, and the smallest is 0.01 times the largest. You can use the test plot to verify the operation of external data processing devices without having to perform repeated chromatographic runs. You can also use it as a stable signal to compare the results from different data processing devices.

Contents of this Dialog Box:

Data Rate

Minimum Peak Width

Calc Button

Save Data


Source temperature sensor is open

  1. Vent the MSD.

  2. Open the vacuum manifold.

  3. Inspect the ion source wiring. Make sure the wiring for the ion source temperature sensor is connected to the feedthrough board.

  4. If the wiring is correctly connected and the sensor still does not work, replace the source heater assembly (heater, sensor, and heater block).

Refer to the MSD hardware manual for instructions for venting the MSD, opening the vacuum manifold, and replacing the source heater assembly.


Source temperature sensor is shorted

  1. Vent the MSD.

  2. Open the vacuum manifold.

  3. Inspect the ion source wiring. Try to identify whether the sensor wiring is shorted to a grounded surface.

  4. If the wiring appears to be correct, and the sensor still does not work, replace the source heater assembly (heater, sensor, and heater block).

Refer to the MSD hardware manual for instructions for venting the MSD, opening the vacuum manifold, and replacing the source heater assembly.


Special Compound Attributes

CAS #

Designed for a Chemical Abstracts Service number. However, you may use this for any other number or information about the compound.

Compound Type

You may assign up to 7 one-character compound type indicators for use in reports or macros. The following characters have predefined meanings whose use may influence how the software handles the compounds.

G - grouped compound

H - hydrocarbon

I - internal standard

L - multicomponent compound

M - matrix spike compound

P - performance check compound

R - relocking compound

S - surrogate compound

T - target compound


Special Reporting Parameters

Although the following items have been labeled to specify the requirements of environmental analyses, they can, of course, be used for other analyses (e.g., drugs, forensic).

Surrogate / Matrix Spike Amount

Recovery limits

Signal Level Minimum, Maximum

MS Database Name / Entry #


Specifier

Item whose setpoint will change during the run:

  • Valve (1 through 8)

  • Signal (1 and 2)

  • Auxiliary channel (#3, #4, and #5)

  • TCD

  • NPD


Spectrum Menu - RTL

This menu is available in MS mode only.

Draw Next | Displays the spectrum for the next scan.
Draw Previous | Displays the spectrum for the previous scan.
Tabulate | Displays a mass spectrum in tabular format.
Add | Adds two spectra and displays the sum.
Subtract | Subtracts one spectrum from another and displays the difference.
Select Library | Displays the Library Search Parameters dialog box from which you can select the library or libraries to be searched.
Edit Strategy | Allows you to set the strategy for the library search.
Edit Library | Displays the Edit PBM Library dialog box from which you can select, edit, create, and delete libraries.
Display Reference Spectra | Displays the reference spectrum for the currently displayed compound.


Spectrum menu (Parametric Retrieval)

Spectrum Menu

Draw Next | Display the spectrum for the next scan
Draw Previous | Display the spectrum for the previous scan
Tabulate | Displays tabulated results for one of the current displays (you are prompted for a selection).
Add | Adds the displayed mass spectrum from the library and an unknown spectrum selected from a data file.
Normalized Subtract | Subtracts a mass spectrum from the library from an unknown spectrum selected from a data file. The library spectrum is normalized to the unknown prior to the subtraction.


Spectrum Menu--EasyID and QEdit

Draw Next | Displays the spectrum for the next scan.
Draw Previous | Displays the spectrum for the previous scan.
Tabulate | Displays a mass spectrum in tabular format.
Add | Adds two spectra and displays the sum.
Subtract | Subtracts one spectrum from another and displays the difference.
Select Library | Displays the Library Search Parameters dialog box from which you can select the library or libraries to be searched.
Edit Strategy | Allows you to set the strategy for the library search.
Edit Library | Displays the Edit PBM Library dialog box from which you can select, edit, create, and delete libraries.
Display Reference Spectra | Displays the reference spectrum for the currently displayed compound.
Update Reference Spectrum | Once you have displayed the reference spectrum, you can update it by selecting this item.


Spectrum to Use

A spectrum from each peak of the integrated chromatogram is needed for the library search. Select the way in which to get this spectrum:

Apex

Use the spectrum at the top of the peak.

Apex - Start of Peak

Use the apex spectrum and correct it for background using the spectrum closest to the start of the peak.

Apex - Background at time xxx

Use the apex spectrum and correct it for background using the spectrum at the time you enter.

Peak Average

Use the spectrum resulting from averaging all spectra in the peak.


Split Flow

Flow (in ml/min) from the split/purge vent.

Split Flow = Column Flow x Split Ratio (with gas saver turned off)

Split Flow is a calculated value.

Other Items in this dialog box:

Gas

Heater

Pressure

Total Flow

Split Ratio

GasSaver (if column is defined)


Split Flow

Flow (in ml/min) from the split/purge vent.

Split Flow = Column Flow x Split Ratio (with gas saver turned off)

Split Flow is a calculated value.


Split Mode

The split mode of the PTV Inlet divides the gas stream entering the inlet between the column flow, the split vent flow through the solenoid valve, and the septum purge flow. The ratio of the split vent flow to the column flow is called the split ratio.

The Split mode is generally for:

  • major component analyses, primarily for high concentration samples when you can afford to lose most of the sample out the split/purge vent.

  • samples that you cannot dilute.

A Liquid sample can be introduced into the PTV inlet when the inlet temperature is either hot or cold, depending on the type of sample and analysis.

Cold split introduction

For cold split sample introduction, use an initial inlet temperature below the normal boiling point of the solvent. If the liner volume is enough to hold all the vaporized solvent, start the first inlet temperature ramp at 0.1 minutes with a high heating rate (500°C/min or higher). The final temperature should be high enough to volatilize the heaviest analytes from the liner and should be held for at least 5 minutes. A final temperature of 350°C for 5 minutes has proven sufficient to quantitatively transfer C44.

For larger injection volumes or to eliminate the solvent, hold the initial temperature long enough to vent the solvent through the Split vent and then begin the first ramp. Use a fast rate for thermally stable analytes. Slower rates may help minimize thermal degradation in the inlet. A single temperature ramp is enough for the injection process. The remaining ramps may be used to clean the liner or to reduce the inlet temperature in preparation for the next injection.

Hot split introduction

For hot split introduction, set an initial temperature high enough to volatilize the analytes. No additional thermal parameters are required as the inlet will maintain the setpoint throughout the run. Because of the small liner volume (about 120 microliters), the PTV has a limited injection capacity with hot split introduction. Injection volumes exceeding 1 mL in the hot split mode may overflow the inlet causing analytical problems. Cold split introduction avoids this potential problem.

If the column is defined, set the following parameters for Split mode (click on the screen area for details):

See Add New Column Model to Catalog for information about defining a column.


Split Mode

When you introduce a sample in the split mode, a small amount of the sample enters the column while the major portion exits from the split vent. The ratio of split flow to column flow is controlled by the user. The split mode is primarily used for high concentration samples when you can afford to lose most of the sample out the split vent and for samples that cannot be diluted.

Split mode operating parameters

Parameter | Allowed Setpoint Range | Suggested Starting value
Oven initial time | 0 to 999.9 minutes | After sample on column
Interface Temperature | Ambient + 10C to 400C | > transfer line temperature
Gas saver time | 0 to 999.9 minutes | After sample on column
Gas saver flow | 15 to 100 mL/min | 15 mL/min greater than maximum column flow

Split ratio

Because of the interface's small internal volume, the maximum total flow to the interface is 100 mL/min. This maximum flow puts some restriction on the split ratio you can set:

Col. diameter Column flow Max split ratio Total flow

200 m 1 mL/min 100:1 100 mL/min

530 m 5 mL/min 20:1 100 mL/min

See Split Mode Pneumatics for more information.

If the column is defined, you can set the split ratio Set Split Ratio

from this dialog box.

If your column is not defined, you must set your split ratio from the 6890 GC front panel. See the 6890 Series Installation and Operating Guide for the Volatiles Interface.

For information about defining a column, see Add New Column Model to Catalog for information

Contents of this dialog box:

Gas

Heater

Pressure

Total Flow

Split Ratio

Split Flow

GasSaver (if column is defined)


Split Mode

During a split injection, a liquid sample is introduced into a hot inlet where it vaporizes rapidly. A small amount of the vapor enters the column while the major portion exits from the split/purge vent. You control the ratio of column flow to split flow.

The Split mode is generally for:

  • major component analyses, primarily for high concentration samples when you can afford to lose most of the sample out the split/purge vent.

  • samples that you cannot dilute.

If the column is defined, set the following parameters for Split mode (click on any of the green areas for details):

See Add New Column Model to Catalog for information about defining a column.


Split Mode Pneumatic Setpoints

Total flow to the interface is measured by a flow sensor and controlled by a proportional valve. Flow at the head of the column is back-pressure regulated. Pressure is sensed upstream from the proportional valve.

You cannot control all setpoints in the flow system. If you change one setpoint, other setpoints may change to compensate.

When the Column is defined

If you change - These setpoints change

Pressure Column flow*

Split flow

Total flow

Column flow* Pressure

Split flow

Total flow

Split flow Split ratio

Total flow

Split ratio Split flow

Total flow

Total flow Split flow

Split ratio

* This setpoint is available in the Column dialog box.

When the Column is not defined

Setpoints for Column flow, Split flow, and Split ratio are not available. You can change the setpoints for Total flow and Pressure without affecting other setpoints.


Split Ratio

Ratio of split flow (in ml/min) to column flow (1ml/min).

Split Ratio = Split Flow/Column Flow

Valid Range: 0.1 - 7500, or the maximum allowed by the column and inlet flows


Split Ratio

Ratio of split flow (in ml/min) to column flow (1ml/min).

Split Ratio = Split Flow/Column Flow

Valid Range: 0.1 - 7500, or the maximum allowed by the column and inlet flows

Other Items in this dialog box:

Gas

Heater

Pressure

Total Flow

Split Flow

GasSaver (if column is defined)


Split ratio is incorrect

Make sure the split ratio is correct and appropriate for the sample size. If necessary, reduce the split ratio or switch to a splitless injection.


Splitless injection time too long

A splitless injection time that is too long can result in the inlet not being completely swept out. Excess solvent winds up on the column creating a slow solvent decay. If you are using splitless injections, try reducing the injection time.


Splitless Mode

When the PTV Inlet is in this mode, the solenoid valve is closed during the injection and remains so while the sample vaporizes in the liner and transfers to the column. At a specified time after injection, the valve opens to sweep any vapors remaining in the liner out the split vent. This avoids solvent tailing due to the large inlet volume and small column flow rate.

The splitless mode is generally for trace analyses.

Splitless Mode Inlet Parameters

Parameter | Allowed Setpoint Range | Suggested Starting Value
Oven temperature | No cryo, ambient + 10°C to 450°C CO2 cryo, -60 [image] C to 450°C N2 cryo, -80 [image] C to 450°C | 10°C below solvent boiling point
Oven initial time | 0 to 999.9 minutes | Inlet purge time
Inlet purge time | 0 to 999.9 minutes | (Liner volume*/ Column flow) x 2
Gas saver time | 0 to 999.9 minutes | After purge time
Gas saver flow | 15 to 1000 mL/min | 15 mL/min greater than maximum column flow
Inlet Temperature | No cryo, ambient + 10°C to 450°C CO2 cryo, -50 [image] C to 450°C N2 cryo, -160 [image] C to 450°C | 10°C below solvent boiling point for 0.1 min, then ramp up
* Liner volume is about 120 uL

A Liquid sample can be introduced into the PTV inlet when the inlet temperature is either hot or cold, depending on the type of sample and analysis.

Cold splitless introduction

For cold splitless introduction, use an initial inlet temperature below the normal boiling point of the solvent. For most solvents, starting the first inlet temperature ramp at 0.1 minutes provides good transfer and reproducibility. A program rate of 500°C/min or higher is appropriate for thermally stable analytes. A final temperature of 350°C, held for 5 minutes, has quantitatively transferred up to C44 alkane.

The advantage of temperature programming ithe inlet is that it can be heated gently to transfer delicate analytes. If the oven temperature is initially low enough to refocus the analytes on the column, the inlet heating rate can be made slower to reduce thermal degradation in the inlet, improve peak shape and quantitation.

For most applications of cold splitless, a single temperature ramp is enough. The remaining ramps can be used to clean the liner or to decrease the inlet temperature to prepare for the next injection.

Hot splitless introduction

For hot splitless introduction, select an initial temperature high enough to volatilize the analytes. No additional temperature parameters are required as the inlet will maintain the setpoint throughout the run.

Because of the small liner volume (about 120 mL), the PTV cannot contain vapor resulting from large liquid injection volumes. Injection volumes greater than 1 mL may overflow vapor from the inlet, causing analysis variations. Cold splitless introduction avoids this problem

If the column is defined, set the following parameter for Splitless mode (click on the screen area for details):

See Add New Column Model to Catalog for information about defining a column.


Splitless Mode

When you introduce a sample, the solenoid valve remains closed while the sample enters the interface and is transferred to the column. At a specified time after the sample is introduced, the solenoid valve opens.

A successful splitless injection consists of these steps:

  1. Introduce a gas sample into the heated interface.

  2. Use a low oven temperature while the sample collects at the head of the column.

  3. Set your sampling end time to allow the entire sample to be swept out of the sampler.

  4. Set the purge time so that all the sample has collected on the column.

  5. Begin your oven temperature program.

Splitless mode operating parameters

Parameter | Suggested Starting Value | Allowable Range
Oven initial time | 0 to 999.9 minutes | > interface purge time
Interface temperature | Ambient + 10C to 400C | > transfer line temperature
Interface sampling end | 0 to 999.9 minutes | 0.2 minutes longer than sample introduction time.
Interface purge time | 0 to 999.9 minutes | After Sampling end
Interface purge flow | 0 to 100 mL/min | > column flow + 6 mL/min Septum Purge
Gas saver time | 0 to 999.9 minutes | Must be after Purge time
Gas saver flow | 15 to 100 mL/min | 15 mL/min > maximum col flow

See Splitless Mode Pneumatics for more information.

Contents of this dialog box:

Gas

Heater

Pressure

Total Flow

Sampling End

Purge Time

Purge Flow

GasSaver (if column is defined)


Splitless Mode

In this mode, the purge valve is closed during the injection and remains so while the sample vaporizes in the liner and transfers to the column. At a specified time after injection, the purge valve opens to sweep any vapors remaining in the liner out the split vent. This avoids solvent tailing due to the large inlet volume and small column flow rate.

The splitless mode is generally for trace analyses.

Splitless Mode Inlet Parameters

Parameter | Allowed Setpoint Range | Suggested Starting Value
Oven temperature | No cryo, 24°C to 450°C CO2 cryo, -60 [image] C to 450°C N2 cryo, -80 [image] C to 450°C | 10°C below solvent boiling point
Oven initial time | 0 to 999.9 minutes | Inlet purge time
Inlet purge time | 0 to 999.9 minutes | (Liner volume/ Column flow) x 2
Gas saver time | 0 to 999.9 minutes | After purge time
Gas saver flow | 15 to 1000 mL/min | 15 mL/min greater than maximum column flow

Set the following parameter for Splitless mode (click on the green area for details):

See Add New Column Model to Catalog for information about defining a column.


Splitless Mode Pneumatics

Before Pre Run, when the 6890 GC is preparing for sample introduction, total flow to the interface is measured by a flow sensor and controlled by a proportional valve. Column flow is controlled via back-pressure regulation.

During sampling time, pressure upsets caused by switching valves in the external sampling device can cause fluctuations in column flow rates. To compensate for this, the interface is flow controlled during sampling time. The sampling flow rate is calculated from the pressure setpoint that is active when sample introduction begins. This flow control mode starts when the 6890 GC goes into the Pre Run state (when the Pre Run light is on) and ends after the interface's Sampling end setpoint expires.

During this user-specified sampling time, the solenoid valve is closed. Flow to the interface is measured by a flow sensor and controlled by a proportional valve.

After sampling time, the solenoid valve opens. Flow to the interface is again measured by a flow sensor and controlled by a proportional valve while column flow is controlled via back-pressure regulation. The purge flow is controlled by the user. If desired, gas saver can be turned on at the end of the run.

When the Column is defined

If you change - When These setpoints change

Purge flow purging Total flow**

Pressure purging Total flow**

Column flow*

Column flow* purging Pressure

Total flow**

Pressure not purging Column flow*

Total flow**

Column flow* not purging Pressure

Total flow**

* This setpoint appears in the column control table.

** This value is actual only.

During sampling time you cannot change pressure and flow setpoints.

When the Column is not defined

When Purging you can change the Pressure and Total flow setpoints. Other setpoints are not affected.

When not Purging before and after sampling, you can change the Pressure setpoint. Other setpoints are not affected.

During sampling time you cannot change pressure and flow setpoints during sampling time.


Stack

The small stack window is displayed near the bottom of the window when you select Tools / Options/Stack from the menu. You can toggle it on and off by typing STACK on the command line. You can move the window by dragging its title bar; you can also stretch it to see more of its contents.

This window displays the values of the variables named X, Y, T, Z, R0, R1,...,R9. When any of these variables are undefined, the word "null" appears next to the variable name.


Standard

Standard is a sample containing known quantities of the target compounds and internal standards which is used to provide quantitative calibration of the MSD. Also referred to as a calibration sample.


Standard Spectra Autotune

Standard Spectra Autotune ensures standard response over the full mass range. Specifically, PFTBA mass 69 is the base peak, mass 219 is between 35 and 99%, and mass 502 is >1%. Use this tune if you are planning to perform mass spectral library searches. When you select this tune, certain parameters are forced to standard operating conditions: EI mode, CI Gas off (if CI accessory present) and calibration valve on.


Standard Spectra Tune (5973 MSD)

Standard Spectra Tune

Standard Spectra Tune ensures standard response over the full mass range. Specifically, PFTBA mass 69 is the base peak, mass 219 is between 35 and 99%, and mass 502 is >1%. Use this tune if you are planning to perform mass spectral library searches. When you select this tune, certain parameters are forced to standard operating conditions: EI mode, CI Gas off (if CI accessory present) and calibration valve on.


Start

Time (in minutes) after the run has started when the ChemStation will begin saving signal data.


Start Button

Start Button |
 | When a run is not in progress, the arrow on this button is green (for "go"). If you want to start a run, click the green arrow, fill in the Sample Information fields, and click the Start Run button. When a run is in progress, the arrow is gray. The button also shows the current data file name, sample information (if any), and vial number (1, if you are not using an ALS).
 | Note On a 5973 MSD system, when you start a run, the run will not begin until the source and quad temperatures are equilibrated within a three-degree tolerance. You can override this waiting period and a note will be made in the log file that the equilibration was overridden.


Start Run

Start Run Dialog Box

The Start Run dialog box is used to enter information about the sample to be analyzed and to start the run. The More button takes you to an expanded version of this dialog box.

Vial

Data File Name

Operator Name

Sample Name

Misc Info

Method Sections to Run

Vial

This field specifies the location of the vial containing the sample. It is required if you have selected Data Acquisition in the Method Sections to Run part of the Start Run dialog box.

  • For an ALS injection, enter the vial’s physical location into this field according to the following:

ALS tray present
Enter a number from 1 to 100.

Normal density turret
Enter a number from 1 to 3 (no tray present)

High density turret
Enter a number from 1 to 8 (no tray present)

  • For a manual injection (no ALS present), the Vial field can optionally be used to reflect the label on the vial.

Data File Name

Required. If the method includes Acquisition, this is the file in which the data will be stored. If the method does not include Acquisition, this should be a previously acquired data file that is to be used by Data Analysis. Type ? to display a list of the available data files.

Operator Name

Optional. This field can only be accessed if Data Acquisition is turned on in the Method Sections to Run portion of the Start Run dialog box. Enter the name of the person performing the run. This name will be stored in the data file header. This information can also be modified in Data Analysis by selecting File / Edit File Info.

Sample Name

Optional. This is the name you give to your sample. This field is informational only and is stored in the data file header. This information can also be modified in Data Analysis by selecting File / Edit File Info.

Misc Info

Optional. This field can only be accessed if Data Acquisition is turned on in the Method Sections to Run portion of the Start Run dialog box. Enter any additional information about the sample or the method. This field is stored in the data file header. The field is accessible from the Acquisition - Sample Information box and the Sample Log Table. It can also be modified in Data Analysis by selecting File / Edit File Info.

Method Sections to Run

Select the parts of the method to be done during this analysis. The parts checked when the dialog box first appears are those specified in the current method. Any changes made are part of the current method (in memory). If you want them to become part of the method on disk, you will need to save the method.

More Button

The following items are available when you click More:

  • Expected Barcode:

If you are generating a quantitative report as part of the method, the next two items may be needed:

  • Sample Amount: A divisor to convert the absolute amounts of compounds to a percentage of the original sample.

  • Multiplier: A multiplier to correct for dilution or other sample handling adjustments.

  • Pre-Run Macro/Cmd and Post-Run Macro/Cmd: Optional. These fields allow you to run a macro or program before or after the method is run. Post-Run is useful for automating the transfer of results to third-party software. Pre-Run can be used to tune the instrument automatically.


Start Sequence

Start Sequence Dialog Box

This box is used to set some general parameters to control the sequence process. Click Run Sequence when you are ready to begin the sequence.

Method Sections To Run

  • The Full Method option means that the methods will be run according to the method sections checked in the Method Information dialog box of each method.

  • The Reprocessing Only option means that the Acquisition portion of the methods will be skipped. All other portions of the methods will be run (if that portion was checked in the Method Information dialog box).

On A Barcode Mismatch

  • If you wish to have a sample injected even if the expected and actual barcodes do not match, select Inject Anyway.

  • This command also controls what happens in the case of any ALS error. It can be used to keep all the bottles from getting piled into the turret or to keep the sequence from stopping (and letting samples expire) because of a transitory ALS error state. If you wish to have a sequence stop after an ALS error, select Don't Inject.

Overwrite Existing Data Files

Check this box if you want the sequence to overwrite existing data files that have the same name as the new files.

Sequence Comment / Operator Name

(Optional) These fields are used to enter information about the sequence and to record the operator name.

Data File Directory

If you wish to have data files placed in a subdirectory other than in the displayed data file directory, enter an additional subdirectory. If this subdirectory does not exist, it will be created. If you enter more than one subdirectory, all must exist except the last.

More>> Button

This button gives you two additional items that may be included with the sequence: Pre-Seq Macro/Cmd and Post-Seq Macro/Cmd. The latter is useful for automating the transfer of results to third-party software.


StartColumnCompRun

The ChemStation integrates peaks more accurately and repeatably on a flat baseline than on a rising baseline.

Use column compensation to correct for baseline rise during temperature programming.

First, use StartColCompRun to make a blank run (one with no sample injected). The GC stores the data from this run, and can then subtract it from real run data to produce a flat baseline.

The chromatographic conditions for a column compensation run must be identical to those you'll use in the real run. Use the same detector and column, operating under the same temperature and gas flow conditions:

  1. Specify which detector you will use (see Options) for Curve 1 and for Curve 2 (relative to columns 1 and 2).

  2. Choose StartColumnCompRun. The ChemStation collects column compensation data for both columns in the following files:

  • col comp 1 (compensation data from column 1)

  • col comp 2 (compensation data from column 2)

  3. Select Det at the Signals dialog box, and then (for Source) specify the detector you will use for the real run and the column compensation data you want to be subtracted from the real run data:

  • Front det - col comp 1

  • Back det - col comp 1

  • Front det - col comp 2

  • Back det - col comp 2

  4. Make the real run (the ChemStation will perform the subtraction automatically).

Note: To plot the data from a column compensation run, select Det (at the Signals dialog box), specify a Source of col comp 1 or col comp 2, and make the run.


Statement (Definition)

 The statements NAME and PARAMETER are used in writing macros.


Status Menu (Diagnostics)

Status Menu (Diagnostics view)

The Status menu in the Diagnostics view allows you to review the status of your MSD:

MS Status | Reports the overall status.
MS I/O Test | Tests each of the 16 I/O lines.
MS Interface Error | Displays the last error reported by the instrument interface card. (For a list of sequential errors, set Trace On in the File menu. You can view the file tune.trc in Notepad by selecting View Trace.)
MS Temp Ctlr Status | 5973 MSD only. Displays the status of the MS temperature controller. If there is a temperature control problem with the source or quad, selecting this menu item will display the possible cause.
MS Error Codes | Interprets fault codes listed in the file MSERROR.LOG. You enter the fault number and a diagnostic message is displayed. See MS Faults for a list of faults, their values, and possible causes.
Logbook/Sequence Log Error Codes | Interprets error codes listed in the logbook or the sequence log. You enter the error code number and an error message is displayed.
MS Temp | 5973 MSD only. Displays the actual temperatures for the source and quadrupole and lets you modify the setpoint and limit.


Status Menu

Use the Status menu to review the status of your mass spectrometer from within Manual Tune.

MS Status | Reports the overall status.
MS I/O Test | Tests each of the 16 I/O lines.
MS Interface Status | Displays the last error reported by the instrument interface card. (For a list of sequential errors, set Trace On in the File menu. You can view the file TUNE.TRC in Notepad by selecting View Trace.)
MS Temp Ctlr Status | 5973 MSD only. Displays the status of the MS temperature controller. If there is a temperature control problem with the source or quad, selecting this menu item will display the possible cause.
Vacuum / Temp Status | Reports the status of the vacuum subsystem along with a display of the rough vacuum pressure (in mTorr) and the MS analyzer temperature (in degrees Celsius).


Status Menu - CI Tune (5973 MSD)

Status Menu - CI Tune

5973 MSD configured for CI only. Use the Status menu to review the status of your MSD.

MS Status | Reports the overall status.
MS I/O Test | Tests each of the 16 I/O lines.
MS Interface Error | Displays the last error reported by the instrument interface card. (For a list of sequential errors, set Trace On in the File menu. You can view the file TUNE.TRC in Notepad by selecting View Trace.)
MS Temp Ctlr Status | Displays the status of the MS temperature controller. If there is a temperature control problem with the source or quad, selecting this menu item will display the possible cause.
Vacuum / Temp Status | Reports the status of the vacuum subsystem along with a display of the rough vacuum pressure (in mTorr) and the MS analyzer temperature (in degrees Celsius).


Stop

Time (in minutes) after the run has started when the ChemStation will stop saving signal data.


Stop Sign
The Stop sign is red when a run is in progress and gray when a run is not in progress. Use this button to stop (abort) the system when it is in PreRun, Run, or PostRun. If the system is in Run, the system will go to PostRun. If the system is in PostRun, it will go to Idle.


Stopped By Stop Button

The current operation stopped due to the "Stop" button being pressed. Verify that all bottles are in the correct place and proceed.


String Variable (Definition)

A string variable is assigned a text value and differs from a scalar variable in that the variable name must end with the $ symbol. For instance, Var is a scalar variable that can only have values that are real numbers.

Var$ is a string variable that can have any text (up to 132 characters) as its value. Note, however, that the maximum number of characters you can type on a line and have the system accept is 132, including the variable name. If you want the string value to be 132 characters, create two string variables each with 66 characters, and then add them.

a$="66 characters"

b$=a$ + "66 characters"


Structures Menu

Select Structure Database | Allows you to specify which structure databases to use when drawing structures.
Set Structure Parameters | Allows you to specify the default drawing options. You can change the colors, fonts and orientation used when a structure is drawn.

For more information about structures, click the Help buttons displayed on the boxes these menu items invoke.


Summary Report

A report for each compound in the quant database based on the current data file.

The entry number, name, retention time, concentration, and peak type of each compound are listed, together with the quantitation settings.


Summary Report Only

This section of the dialog box allows you to include or exclude several types of information from a Summary Quantitation Report. The types of information that can be included or excluded are:

  • Quantitation Ion (GC/MS mode)

  • Scan Number (GC/MS mode)

  • Multi-Component Summary (GC-only mode)

To include the information in the summary report, check the corresponding box.

GC/MS Mode

In GC/MS mode, the summary report can include either the mass of the quantitation ion or the scan number of the target compound. A choice must be made because there is not room in the summary report for both items.


Supported Valves

The MS Timed Events Table allows you to control the calibration valve and two auxiliary outputs during data acquisition. The auxiliary outputs can control 5- or 24-V dc devices such as solenoid valves or relays on user-supplied hardware.

To control a valve, select Valve for Event Type. Select its valve number in the Parameter 1 box and its On/Off status in the Parameter 2 box. The valves are reset at the beginning of each run.

For more information, see the MS hardware documentation.


Surrogate - definition

Surrogate is a compound added to every standard, blank, matrix spike, matrix spike duplicate, and unknown sample before sample preparation. The surrogate is added at an exact, known concentration. It is used to determine the efficiency of the sample preparation process.

Surrogates should possess chemical properties similar to those of the target compounds but should not be found in a real sample matrix. Deuterated compounds are frequently used as surrogate compounds.

Surrogates are sometimes called system monitoring compounds.


Surrogate / Matrix Spike Amount

If the current compound is a matrix spike compound (Compound Type = M) or a surrogate compound (Compound Type = S), the concentration of the spike or surrogate should be entered in the appropriate Surrogate / Matrix Spike amount field. Separate fields allow different spike or surrogate concentrations to be entered for different matrices.


Switching

General purpose two-position valve with 4, 6, or more ports used for such tasks as column selection and column isolation.

Use Description of use to describe the valve's function in more detail, for example, "Heart-Cut."


Switching

Two-position valve with 4, 6, or more ports.

Switching valves are general purpose valves for such tasks as column selection and column isolation.


Syringe Size

Indicate the volume capacity of the syringe. See the GC Injector manual for more information.

Other Items in this Dialog Box:

Nanoliter Adapter

Multiple Injections

On-Column Injection (not available on all injectors)

OK/Cancel/Help Buttons


Table Pushbuttons

Add

The information you entered in the fields at the top of the table is displayed as a line in the table.

Replace

A line selected in the table is replaced with the information entered in the fields at the top of the table. (Timed Events Table only.)

Delete

The selected line is deleted.

OK

All changes made in the table are saved to memory. These acquisition parameters are lost when you leave the session unless you save the current method.

Cancel

Allows you to leave the panel without saving any changes made to the table.


Tabulate

If two or more spectra are available, you are asked to select which one is to be tabulated:

  • The library entry

  • Unknown (contents of X)

  • The difference [contents of X - NORM(library entry)]

Note that the unknown spectrum will be normalized to a Y axis of 9999 for easier comparison with library entries.


Tabulations

More information about the current tabulation is available (menu item used to generate tabulation):

  • Integration Results (List Results in Chromatogram menu)

  • Mass Spectrum Tabulation (Tabulate in Spectrum menu)

  • PBM Search - Statistics (Statistics button in PBM Search Results box displayed at end of library search via mouse)

  • PBM Search - Text Results (Text button in PBM Search Results box displayed at end of library search via mouse)

Use the Copy button to copy information to the Clipboard. Use the Print button to copy the tabulation to the printer.


Target Compound Identification

Identification of target compounds is based on information provided mostly on page 1 of the database entry for each compound:

  • Expected retention time (Retention Time Information)

  • Target and qualifier signal masses and expected ratios (Signals to be Used for Quantitation)

  • Subtraction method

  • Identification method (Ident by)

  • Integration parameters (on page 3)

Identification proceeds in five stages:

  1. Signal extraction. For each target compound, a target chromatographic trace is extracted from the current GC/MS data file. Qualifier traces or mass spectral responses are extracted from the data file (the choice depends on Subtraction Method).

  2. Signal integration. All chromatographic traces are integrated, possibly using custom integration parameters unique for each trace.

  3. Peak accumulation. Then an algorithm determines retention time groupings of accumulated peaks from different signals (i.e., target and qualifiers) based on closeness of retention time. The idea is to gather together from different ion traces integrated peaks that correspond to the same chromatographic elution event (and thereby, hopefully, the same compound).

You can set a "retention time closeness" parameter to this algorithm called the Correlation Window. The default setting of 0.01 minutes works for the majority of cases. Each group is now a candidate for being matched with the Target Compound.

  4. Peak matching. Now the target compound identification algorithm examines each peak group saved. If the peak group contains a peak for the target signal with a retention time "matching" that in the target compound entry, that peak group is deemed a match with the target compound and is saved in a list of matches. ("Matching" does not mean "exact" correspondence.)

  5. Best-match selection. Then, according to the user's selection of Ident By for the compound, a best match will be selected from the list of matches. All matches will be saved, and the best match will be specially designated.


Target compounds

Target compounds are compounds designated for analysis by an environmental analysis protocol.


Target Ion - definition

A target ion is an ion characteristic of the target compound, preferably one that distinguishes this compound from any others with similar retention times. The extracted ion chromatogram for this ion will be used for the quantitation.


Target Ion and Qualifiers

Abundant ions are good choices for target ion and qualifier ions because they increase the sensitivity of the analysis. The target ion should be a characteristic ion, preferably one that distinguishes this compound from any others that might be found within the time range specified for this compound.

If qualifier ions are specified, they must be present in the correct amounts relative to the target ion in order for the peak to qualify as the target compound.

If you are using the TIC as your quantitation signal and also using qualifiers, the ion ratios entered in the Quant Setup dialog box may not be correct.

To obtain correct ratios:

  1. Add at least one calibration level (you would have to do this anyway.)

  2. Recalibrate that calibration level using the option Replace Qualifier Ion Relative Responses.


Target tune

Target tune is a way of verifying the performance of the MSD. This is done by analyzing a sample of a tune evaluation compound and then evaluating a resulting mass spectrum for mass axis calibration, mass resolution, and ion ratios based on criteria specified in the environmental analysis protocol. Target tune is sometimes referred to as tune evaluation.


Target tune compound

Target tune compound is a compound used to define the MSD performance for a particular environmental analysis protocol. The software recognizes BFB and DFTPP as target tune compounds and provides for automatic tune evaluation of samples of these compounds. Target tune compounds are sometimes referred to as tune evaluation compounds.


Temperature Ramps

A ramped auxiliary channel temperature program can consist of up to three levels (or "ramps") to control channel temperature during a run. The ChemStation executes these program levels in consecutive order. A program includes:

  • an Initial auxiliary channel temperature, and

  • up to three auxiliary channel temperature Ramps.

The GC will hold the Initial auxiliary channel temperature for the number of minutes specified (Hold min). Then the GC changes the temperature to the Ramp 1 temperature at the rate (in degrees C/min) indicated and holds that temperature for the number of minutes specified. You can program temperature changes for Ramps 2 and 3 the same way.

The oven program determines the length of the run.

If the ramped auxiliary channel temperature program is longer than the oven's, it will truncate at the end of the oven's program.

If the auxiliary channel temperature program is shorter than the oven's, the auxiliary channel will maintain its final programmed temperature until the end of the run.

Specify the following parameters for a ramped auxiliary channel temperature program. Click on any of them for details:

C/min

Next [image] C

Hold min

Total min is a read-only display of the cumulative run time (determined by the oven program) for each ramp level.

To see a plot of the auxiliary channel temperature setpoints, click on the Plot... button and select Aux #1 (or #2) Temperature:


Temperature sensor has failed

This is an unlikely cause for a Temperature zone has timed out message. Normally a failed sensor will result in one of the following messages when MS Temp Ctlr Status is selected:

Source temperature sensor is open

Source temperature sensor is shorted

Mass filter (quad) temperature sensor is open

Mass filter (quad) temperature sensor is shorted

If, however, you see the timeout message and have exhausted all other possible causes, investigate the possibility of a failed sensor.


Temperature sensor is not securely attached

If a temperature sensor is not securely attached, it will indicate a temperature lower than the actual temperature of the heated zone. As a result, the temperature control electronics will continue to drive the heater cartridge, overheating the zone. If the sensor is loose enough, the temperature will rise very slowly, or the heated zone will fail to reach its setpoint, and a timeout fault will occur.

  1. Vent the MSD.

  2. Open the vacuum manifold.

  3. Check the ion source temperature sensor. Make sure it is firmly attached.

CAUTION

Take precautions against electrostatic discharge (ESD) any time you open the vacuum manifold but especially when working near the mass filter (quad) contacts. These contacts can carry harmful electrostatic discharge to sensitive components on the side board.

  4. Check the mass filter temperature sensor. Make sure it is firmly attached.

See the MSD hardware manual for instructions for venting the MSD and opening the vacuum manifold.


Temperature zone has timed out

This message means that the temperature in one of the heated zones is rising more slowly than it should or that the heated zone has failed to reach its setpoint within a fixed time. This can be caused by:

Incorrect heater wiring connection

Heater cartridge has failed (open circuit)

Temperature sensor is not securely attached

Temperature sensor has failed


The Same Bottle Number Is Used On Front And Back

ChemStation received a Start Run command specifying the same bottle number for the front and back injectors. Synchronized injections prevent the use of the same vial for both injections in a run.


Thermal Conductivity Detector

The TCD compares the thermal conductivities of two gas flows [image] pure carrier gas (also called the reference gas) and carrier gas plus sample components (also called column effluent).

This detector contains an electrically heated filament that is hotter than the detector body. The ChemStation keeps the filament temperature constant while alternate streams of reference gas and column effluent pass over the filament. When sample is added, the power required to keep the filament temperature constant changes. The two gas streams are switched over the filament five times per second and the ChemStation measures and records the power differences.

When you use helium (or hydrogen) as a carrier gas, the sample causes the thermal conductivity to fall. If you use nitrogen, the thermal conductivity usually goes up because most things are more conductive than nitrogen.

Because the TCD does not destroy the sample during the detection process, this detector can be hooked up in series to a flame ionization detector or other detector.

Use the TCD dialog box to set detector parameters and specify setpoints. Click on any of the following green areas for details:

Use the information in the table below when selecting temperatures and flows for the TCD.

Recommended Flow Rates and Temperatures

Gas Type | Flow Range | Suggested Flow
Carrier gas (hydrogen, helium, nitrogen) | 0 to 100 ml/min | Packed, 10-60 ml/min Capillary, 1-5 ml/min
Reference (same gas type as carrier) | 0 to 100 ml/min | 15 to 60 ml/min
Capillary makeup (same gas type as carrier) | He = 0 to 12 ml/min N2 = 0 to 10 ml/min H2 = 0 to 18 ml/min | 5-12 ml/min [image] capillary columns 2-3 ml/min [image] packed columns

Detector Temperature

<150 [image] C [image] cannot turn on filament
150 [image] C to 200 [image] C [image] filament at low setting
>200 [image] C [image] filament at high setting
Detector temperature should be 30°C to 50°C greater than highest oven ramp temperature.

TCD Signal Conversion for Data Analysis:

  • 25 [image] V = 1 height unit

  • 25 [image] V x 1 second = 1 area unit


Threshold setting is too high

Reduce the threshold setting.


TIC - definition

For a TIC (total ion chromatogram), the Y-axis is the sum of all ion abundances for each scan. The TIC is displayed in the Data Analysis window when you first load a data file.


Time (min)

Time (in minutes) after you start the run when an event should take place (for example, 0.50 minutes).

Note: 0.00 minutes represents the start of the run.


Time Reference Peaks - definition

A time reference peak is used to improve the chances of finding the target peaks by correcting for shifts in the retention times

A time reference peak must be a prominent peak that appears in both calibration and unknown runs. Internal standard or surrogate peaks are good reference peaks. Multiple time reference peaks are preferred to a single peak and should be evenly spaced throughout the run. If a single peak is used, it should not be at the start of the run.


Timeout Detection On

Shuts down the oven and cryogenic cooling when no run starts in the number of min specified.


To acquire RTL calibration data

  1. For ALS injections, put the vial in position 1.

  2. From Instrument Control, select Instrument / Acquire RTLock Calibration Data. This initiates the collection of the RTL calibration files.

The nominal pressure will be evaluated for the calibration range of -20%, -10%, +10% and +20%, and five runs will be made automatically. You are prompted that the five runs will be made, and if any previous calibration data exists, you are alerted to this fact as well. Previous calibration can be cleared or you can stop the process. The five data files will be stored in the method directory under a folder named RTLOCK with the file names of RTLOCK1 - RTLOCK5.

Following data collection, a new session of Data Analysis will be inititated, and the nominal run (MS mode) or all five runs (GC mode) will be loaded so the actual processing of evaluating the data and setting the lock can be performed.

See Also

Retention Time Locking


To Add a Library Spectrum and an Unknown (PR)

To Add a Library Spectrum and an Unknown

  1. Select File / Load and choose a file. The TIC will be displayed in the upper window, the library spectrum in the lower.

  2. Select a spectrum for display by double-clicking the right mouse button on a peak in the TIC. The unknown spectrum will be displayed in the upper window, the library entry in the lower.

  3. Select Spectrum / Add. The library entry and the unknown (X) will be added and displayed in the top window.

Note Addition changes the contents of X in the stack; in other words, the unknown is changed.


To Add a New Entry

  1. Select a spectrum by double-clicking the right mouse button on the scan of interest in the TIC.

If you already know library information for this spectrum, go to step 4. Otherwise, do a PBM library search and select the appropriate match. Then display the text results by clicking Text.

  2. Press Alt-Print Screen to copy the text results to the clipboard for reference when you are entering the library information. Or, press the Print button to send the text results to the printer.

  3. If you copied the results to the clipboard, open the Clipboard Viewer in the Windows Program Manager.

  4. Select Spectrum / Edit Library from the Data Analysis menu.

  5. Click Add New Entry in the Edit PBM Library dialog box.

  6. The new entry is automatically assigned the next entry number and the New Entry dialog box is displayed.

  7. Enter the information that you wish to have associated with the entry.

The name and either the molecular formula or the molecular weight are required; it is best to enter the molecular formula and let the system calculate the molecular weight. If the molecular formula or the molecular weight is not known, enter 9999 for the molecular weight. For more details on the fields, go to To Edit anEntry. The fields in the New Entry box are the same as in Edit Entry.


To Add a New Level

  1. Select Add New Level.

  2. Name the Calib Level ID.

  3. Enter the Cmpd Conc. and ISTD Conc. used in this calibration file.

  4. Click Do Update.

The values entered for Cmpd Conc. and ISTD Conc. supply default values for the amounts of compounds and ISTDs, respectively, that were present in the sample used for the current data file.

If a sample contains several compounds at the same concentration, use this concentration as the default value. You can then edit those compounds that have a different concentration when the Edit Compounds dialog box is displayed automatically after Do Update is finished.

If a compound in the database is not found in the calibration sample's data file, a blank is displayed in the response fields for that level. This will disable the level for this compound.


To Add the Current Entry to a User Library (PR)

To Add the Current Entry to a User Library

When you select Library / Add Current Entry from the menu in the Parametric Retrieval window, you are prompted to choose which spectrum will be the entry:

  • The library entry as displayed from a parametric retrieval

  • The unknown spectrum that you selected from the TIC

  • The difference spectrum from a subtraction in parametric retrieval

Your choice will be added to the current edit library. To change the current edit library, select Edit Library from the Library menu.


To Adjust the Scale of Real Time GC Plots

Click the arrows to adjust the range of the signal to display full scale in real time. It is shown as a power of 2. The offset cannot be changed in real time.

See Also

GC Real Time Plots


To Assign Sample Names to a Method

You can associate up to 15 samples to the currently loaded method. Using the Assign Sample Names to Method menu item in Secured Control will display the Select Sample Name Action dialog box where you can specify sample names that, when selected later in Secured Control, will cause the associated method to be used for acquisition and analysis.

  1. Select Secured Control / Assign Sample Names to Method. The Select Sample Name Action dialog box is displayed.

  2. Highlight the <New Sample> line and click the Modify button.

  3. Enter a sample name and click OK. The selected name is added to the list.

Selecting an existing line will let you change the sample name. Sample names can NOT be duplicated within the same method, and <New Sample> is reserved for new sample names use and thus cannot be used. To delete a sample name, select the sample name and enter a null string.

  4. Continue adding (up to 15) sample names.

  5. When done assigning sample names, click the Done button. The names are saved to the method, and the method name is added to the sample centric list of methods that can be used by Secured Control.


To Check an Entire Chromatogram

Use this procedure to scan a complex chromatogram for peaks that may have multiple components.

  1. Load the data file.

  2. Integrate the chromatogram.

  3. Select View / Review Peak Purity from the menu.

  4. Scan the Peak Purity Display for peaks with multiple components.

  5. If Peak Purity finds more than one component in a peak, you may want to pick a spectrum from the ion chromatogram and then do a library search. If the search identifies an undesired component, you can subtract it from the spectrum.

  6. To exit, select PkPurity / Return to DA from the menu or load a new data file.


To Check Emission Current on 5972A

To Check Filament Emission (5972A MSD)

Due to a change in the emission characteristics of the filament used in the 5972A MSD , the default filament emission current used in the autotunes has been lowered from 50 µA to 35 µA, to help improve instrument sensitivity and ion ratio stability.

If your 5972 MSD was shipped after December, 1995, it was tested with the new default emission current and the MSD ChemStation software will include the changed setting either as a patch or as part of the software.

You will need to optimize the setting and save it in the tune files (*.u). This should be done any time a filament is replaced.

To determine whether the filament emission current is set properly, inspect the repeller ramps. The diagrams below illustrate the effect of emission current on repeller ramps.

This diagram shows a repeller ramp where the emission current is too high.

This diagram shows a typical repeller ramp where the emission current has been optimized.

In the first diagram, all three masses maximize at or near the maximum repeller voltage. In the second diagram, the three masses maximize in a repeller voltage range of 20-35 V.

The problem with the first diagram is that the Standard Spectra Autotune tunes with a fixed repeller voltage of 25 V. At 25 V, the three masses in the first diagram are only at 10-25% of their highest abundances in the ramp. This translates into reduced sensitivity. At 25 V in the second diagram, all three masses are at or near their maximum abundances.

The same effect occurs with a Maximum Sensitivity Autotune.

Caution

A dirty source can give repeller ramps similar to the ones in the first diagram. Make sure that the source has been cleaned before attempting to optimize the emission current.

To optimize the setting:

  1. Perform a Standard Spectra Autotune.

  2. After the tune has completed, start up Manual Tune and load the tune file atune.u.

  3. Go into Edit MS Parameters.

  4. Click on the repeller field, then click on Ramp button at the bottom of the screen. A repeller ramp should be performed.

  5. Inspect the repeller ramp and note the repeller voltage where m/z 219 is maximum. For optimum sensitivity and ion ratio stability, the maximum m/z 219 should be at a repeller voltage of 30 V. If m/z 219 maximizes at a higher repeller voltage (or if the repeller ramp looks like the first diagram above), adjust the emission current to a lower value, as follows:

Click on the Emission field and raise or lower the emission current by 5 µA, as appropriate.

Click on the repeller field, then click on Ramp at the bottom of the screen.

Inspect the resulting repeller ramp and note the voltage at which m/z 219 is maximized. Repeat this step until the maximum m/z 219 corresponds to a repeller voltage of 30 V (see the second diagram above). The emission current should be approximately in the range 20 - 35 µA.

  6. Save the ATUNE.U tune file.

  7. Load any other tune files on the system (BFB.U, DFTPP.U, TTUNE.U, etc.), and change the emission current setting in those tune files to the value determined in step 5, then save those tune files.


To Check the Purity of a Single Peak

Use this procedure to check a specific peak that you suspect has more than one components

  1. Load the data file.

  2. Zoom in on the peak of interest.

  3. Manually integrate the peak.

  4. Select View / Review Peak Purity from the menu.

  5. Check the Peak Purity Display to see if the peak does indeed have multiple components.

  6. If Peak Purity finds more than one component, you may want to pick a spectrum from the ion chromatogram and then do a library search. If the search identifies an undesired component, you can subtract it from the spectrum.

  7. To exit, select PkPurity / Return to DA from the menu or load a new data file.


To Check the Status of a Report System

Double-click the left mouse button next to a Report System. The status of the selected Report System is displayed in the Report Manager status window.


To Configure AdvanceLink for Windows

  1. Install the AdvanceLink for Windows script files into the AdvanceLink directory.

  2. In Program Manager, highlight the AdvanceLink for Windows icon.

  3. Select File / Properties to edit the icon properties

  4. Append RTE.ACF to the Command Line entry. For example:

c:\advwin\advlink.exe RTE.ACF

RTE.ACF is now the default configuration file. The default configuration is for COM1 @ 9600 baud.

  5. The first time this script is run, you are prompted for the path to use for transferred RTE files. This must be the same path as entered in the RTE menu item of the Report Manager. Enter the path name. For example:

c:\MSDchem\1\data\

The script is then run and continually monitors for transfers from RTE.

Note: To edit the path or exit, the transfer script must first be stopped. Even though many operations can be done while the transfer script is running, it is necessary to stop the transfer script to edit the path for transferring files to or to quit the program. To stop the script, select Script / Stop Script.


To Configure Report Manager for RTE Import

  1. In Report Manager, select Options / RTE Monitor. The dialog box is displayed.

  2. To have the RTE monitor start as part of the Report Manager initialization, select the checkbox.

  3. Specify a path name for the transferred RTE file.

The path name must be the same as that specified in AdvanceLink. The Environmental method must exist in the directory specified by _methpath$ found in [PCS,1] section in win.ini.

  4. Click OK.


To Configure RTE

  1. Install the Environmental procedure file.

  2. Edit the TRFILE configuration using MSCNF to configure the PC as the TRFILE lu.

  3. In BEDIT, enter Enviro as the TR file to run.

  4. Enter the name of the Environmental method to run in 3G.

Note: The name of the Environmental method must be 6 characters or less. The method must exist in the default methods directory. The default methods directory is \MSDchem\ # \methods\ where # is the instrument number. The instrument number is the same used as when starting Report Manager MSDA in the Command= line of request.ini.

RTE-6 must include the TRFILE lu in the session switch table for the group <.ms> for XMODM to work.

  5. Run the sequence.


To Create a New Method

The ChemStation software allows you to create from an existing method a new method that specifies instrument, data acquisition and data analysis parameters.

From Top

  1. From the Method menu, load default.m (or any other desired method) and save to the desired name. This creates a new method.

Note When you load a method on a system configured with a 5973 MSD, the software compares the actual source/quad temperatures to the setpoints stored in the tune file which is part of that method. If they are not within a 3-degree tolerance, you are asked if you want to download the new setpoints.

  2. Select Method / Edit Entire Method. You may change any of the method information, instrument/acquisition, or data analysis parameters in the series of dialog boxes that will be displayed. Be sure to establish the acquisition portion of the method on your system.

Note You can also run Method / Edit Entire Method from the Instrument Control view.

  3. Select Method / Save to save the method. The method is saved to the instrument's method directory.


To Create a New Tune File

If you want to save tune parameters to a file other than the default tune file (for example, to save the file ATUNE.U to another name), proceed as follows:

  1. Select File / Save Tune Values from the Tune menu.

  2. When the Save MS Tune File dialog box appears, enter a new name for the tune file or select one from the list of available files. Click OK.

Any automatic tunes performed in Tune will automatically be saved to the selected tune file until you exit Tune.


To Delete a Library

To delete a library, select Delete Library. The currently selected library is deleted, but you are asked to confirm the deletion.


To Delete an Existing Level

  1. Select Delete from the Update Calibration box.

  2. Enter the Calib. Level ID to be deleted.

  3. Click Do Update.

Calibration data for the level specified in the Calib Level ID item are deleted from all compounds in the quantitation database.


To Display Monitors

Display GC monitors

Display MS monitors

Set monitor alarms


To Display Real-time Plots

Display GC real time plots

Adjust the Y scale on MS real time plots

Display MS real time plots


To Edit an Entry

The minimum information required for an entry (in addition to its name) is the molecular weight or formula of the compound.

Name

The name of the compound associated with the spectrum.

Mol. Formula

The molecular formula of the compound.

  • Elements represented by a single letter must be entered in upper case (e.g., C, H, N).

  • Elements represented by two letters must be entered in mixed case (e.g., Cl, Si).

  • Parentheses may be used [e.g., (CH2)6], but when the formula is processed it is reformatted (e.g., C6H12).

The molecular weight and formula can be changed only when you are adding an entry to a library. Once the entry has been processed and added to the library, these items are no longer available to be edited.

Mol. Weight

The preferred way of supplying the molecular weight is to enter the molecular formula. The molecular weight is automatically calculated from the molecular formula as soon as you move to another field or click OK. You may also enter a molecular weight instead of or in addition to a formula. In the latter case, a weight is calculated and compared to the entered value. If there is a discrepancy, you are prompted to make a choice between the two values. If the molecular weight is unknown, enter the value 9999. The molecular weight and formula can be changed only when adding an entry to a library. Once the entry has been processed and added to the library, these items are no longer available to be edited.

Miscellaneous Information

Any information you want to be associated with the spectrum.

CAS Number

The Chemical Abstracts Service number.

Company ID

A 10-character identifier.

Ret. Index

The retention index for the compound; a number between 0 and 100000.

Melting Point (C)

The temperature at which the compound melts. A value of -300.00 indicates data not available or unknown.

Boiling Point (C)

The temperature at which the compound boils. A value of -300.00 indicates data not available or unknown.

Include in Search

When this box is checked, the entry is included in all searches of the library. When the box is not checked, the entry is "removed" from the library, that is, it is not included in searches. This is the way to “delete” an entry from your library.


To evaluate peak degradation

  1. Select ChromEval / Evaluate Degradation.

  2. Integrate the primary peak and then the degradation peak.

The result is displayed in window #6. If only one peak is found, the degradation is reported as zero.


To evaluate peak tailing

  1. Select ChromEval / Evaluate Tailing.

  2. Integrate a peak in window #6. The tailing of the peak is displayed next to the peak.

The tailing factor is calculated using the following parameters.

Tailing = BC/AB

Peak Height = DE

10% Peak Height = BD

Peak Width at 10% Peak= AC

Apex = E


To evaluate resolution

  1. Select ChromEval / Evaluate Resolution.

  2. Integrate two peaks in window #6.

Evaluate Resolution calculates the height of the valley between the peaks as a percent of the average height of the peaks. The result is displayed in window #6.


To Export 3-D Data

You can export selected portions of data to be saved to a CSV file in the current data directory.

  1. In Data Analysis, load the data file you want to use. You may want to select a particular spectrum of interest.

  2. Select Tools / Export 3-D Data. The Enter Parameters for Exporting Data dialog box is displayed.

  3. Enter the mass range and scan range of data you want to export.

  4. Enter the file name you want to use and click OK. An example of the completed box is shown below.

  5. When prompted, click OK to verify the mass and scan range you want to export. A CSV file is created using the specified name. In this example, mydate.CSV would be created.


To Import from 3365

Overview

Report Manager can be used to process data acquired using the 3365 GC ChemStation. The GC ChemStation method must be edited to include a post-run program, gctoms.exe.

This program renames the pre_post.ini file to <data file name>.GC and puts it into the data directory. Report Manager monitors for the existence of files with the .GC extension. If a file is detected, the data file is copied into an MS ChemStation data file directory and converted to MS format.

The .GC file is renamed pre_post.ini and is put into the data file directory and a request is added to the Report Manager.

To Configure Your System

  1. In the Top view, select Method / Run Time Checklist.

  2. Check the box Post-Run Program.

  3. Enter gctoms.exe as the name of the post-run program to run.

  4. Enter the directory of the pre_post.ini file as the first parameter.

  5. Enter the method to run as the second parameter.

  6. (optional) Enter a command to run as the third parameter. RUNMETHOD is the default.

See Also

To Import from 3365 - Example


To Import from 3365 - Example

If the GC ChemStation software is located on drive C of your computer and you want to run the method mymeth.m, you would use the following:

Name

c:\MSDchem\gctoms.exe

Parameter

c:\MSDchem\mymeth.m

Report Manager

  1. In Report Manager, select Options / 3365 Monitor.

  2. Enter the directory to monitor for the presence of .GC files.

  3. Check the box Start Monitor during initialization.


To Interpret Fault Values

Click here for 5973 MSD

  1. In Instrument Control, select View / Diagnostics/Vacuum Control.

  2. In the Diagnostics window, select Status / MS Error Codes.

  3. Enter the fault value and click OK.

For example, if the reported fault in the log file was 17, you would enter 17 in the box and click OK. The program will respond with the message:

  • Excessive Source Pressure.

  • Party Fault (one or more errors)

See MS Faults for a list of faults, their values, and possible causes.


To Load Tune Values

Select File / Load Tune Values from the menu. A list of files with preset tune values is displayed. Double-click on the file you want to use.

On a 5973 MSD system, in addition to the list of available tune files, the Select Tune File dialog box also displays the various settings that are stored in each tune file.


To Pause a Report System

Pauses the selected process on the designated node.

Note: A process can be told to pause at any time, however, the process will not pause until it completes the request it is currently processing.


To Perform a Signal-to-Noise Check

  1. In Data Analysis, load the data file you want to use. If no data file is loaded, the most recent data file will be used.

  2. Select Tools / Signal to Noise check.

  3. When prompted, select whether you want to send a graphics report to the printer. If you select Yes, the graphical results will be sent to the printer. If you select No, a text report will be displayed on the screen once the signal-to-noise check is completed.

  4. If you are using a multiple-signal data file, you are prompted to select which signal to use for the signal-to-noise calculation. Select the signal, and click OK.

  5. When prompted, select the extracted ion you want to use, or enter 0 to use the total ion chromatogram. Click OK.

  6. Click and drag the RIGHT mouse button across the “signal” portion of the chromatogram (you can use the LEFT mouse button to zoom in first).

  7. Click and drag the RIGHT mouse button across the “noise” portion of the chromatogram.

The signal-to-noise calculation is performed.

Example of a Signal to Noise Report


To Recalibrate

To recalibrate interactively:

  1. Select Recalibrate in the Update Calibration box.

  2. When recalibrating, you may do one or more of the following:

    Update Responses

    Update Retention Times

    Replace Qualifier Ion Relative Responses

  3. Click Do Update.

To recalibrate as part of a sequence, see Sample Type in Setting up a Sequence.


To Resume a Report System

Resumes the selected process on the designated node.


To Review Mixed Mode Data Files

  1. Select File / Load Data File in Data Analysis. Window #2 of Data Analysis will contain the TIC (total ion current) as the top trace and the GC channel as the lower.

  2. Select Chromatogram / Integrate. Both the TIC and the GC data will be integrated. When the integration is reported, both signals are reported.

Note that the MS and GC signals use individual integration parameter files specified in Chromatogram / MS Signal Integration Parameters and GC Signal Integration Parameters, respectively.

See Also

To Align the GC Signal with the MS Retention Time

To Quantitate Mixed Mode Data


To Review Quantitative Results Using QEdit

The quantitation editor in the Environmental software allows you to manually integrate peaks and update the quantitative results as needed. The steps below show you how to use the features of QEdit. Many of these features have been simplified by the Quick QEdit tool.

  1. With the desired method loaded, load the data file of interest (File / Load Data File).

  2. Select View / Qedit Quant Result. This item is available only if the current data file has been quantitated with the current method. A new set of menus is loaded and the quantitative results for the current data are copied into a temporary file. In QEdit mode, all changes are made to this temporary file. The original data is only overwritten if you save the changes as described in Step 5 or 6 below.

  3. To manually integrate a peak, draw a new integration baseline by clicking and dragging with the right mouse button. Select Integrate / Integrate to access all the ions; otherwise only the target ion is displayed. If the peak of interest is on the edge of the window, double-click the left mouse button in the chromatogram window or select QEdit / Xpand Chromatographic Window to zoom out by 2 minutes.

    Note: If quantitation does not find a compound during initial calibration or calibration update, or if integration is poor, QEdit can be used to manually integrate the peak. HOWEVER, unless you correct the underlying problem (bad integration parameters, incorrect retention time, too narrow a window) you will always have to use QEdit to manually integrate that peak in your samples.

  4. To go to the next compound, double-click the right mouse button in the text window or select QEdit / CO Next Compound.

  5. (optional) To load a different data file, select QEdit / Load Data File. You will be prompted to save the changes to the current data file before the new file is loaded. Repeat Steps 3 - 5 to evaluate the new data file.

  6. Select QEdit / Exit and Save Changes and select Yes to save the changes to the results file with the current data file. Use QEdit / Abort Changes and Exit only if you want to exit without saving the changes.

The fact that you have used QEdit to modify results will be noted when you print a report for a compound that has been changed. The note on the report states that manual integration was used (to determine the area response for the compound).


To Save Tune Values

Tune parameters that you save to memory in the AdjParam panels disappear when you exit the Tune view unless you save them to a file.

To save the current parameters without exiting Tune

  1. Select File / Save Tune Values. You will be prompted for a file name.

  2. The name of the current tune file is displayed in the text box. The path displayed above the box is the only path allowed for saving tune values.

  3. You may type a different file name (8 characters maximum) or select one from those listed. The tune file extension (.U) will be appended automatically if you do not enter it. If you enter an invalid file name and click OK, the tune values are not saved.


To Select a Node

  • To select the node for processing, select Setup from the Report Manager Setup dialog box and then select the node from the Installed Node list.

  • To add a network node for processing, select Add from the Configuration dialog box. This will prompt for the name of the new network node. The node name must be the computer name of that node.

To test communication to another network node, select the node and click Test Connection. If Report Manager and the networking software are running, the test will indicate the node responded. If the node does not respond, see Troubleshooting.

Network Configuration

The drive label associated with the data file and method file are sent with a request to process a report. When processing a request, Report Manager compares the drive label with the labels of available drives.

When it finds the drive with the same label as the request, it exchanges the original path drive letter with the drive letter on the current system.

Peer-to-Peer Networks

Note: Report Manager is designed to work on a network providing transparent file access and network DDE (dynamic data exchange). Windows for Workgroups and Windows 95 have been tested for use with Report Manager. The compatibility of other networking products is not known.


To Select a Process

To select the process to carry out the generation of reports, select an item from the list of processes. The two default processes are MSDA and MSDA2.

The two instances of Data Analysis are functionally equivalent but provide the means for two users to send requests to the same node without requiring the process to switch back and forth between the two users environments.

When a request is processed, Report Manager MSDA loads the same environment as when the user generated the request. This includes the method and data files.

When a single instance of Report Manager MSDA processes requests from different users it must first load the method and data file each user was using.

Even though one process can handle requests from more than one user, if different instances of Report Manager MSDA are set up for each user, then the Report Manager MSDA does not need to load the users environment each time it goes to process a request.


To Select a Report System

To select a Report System, position the mouse cursor over the Report System and click the left mouse button. The selected item is highlighted.


To Select a Request

To select a request, position the mouse cursor over the request and click the left mouse button. The selected request is highlighted.


To Select the Normalization Ion

This task lets you use another ion in the library spectrum, instead of the base peak, in normalized subtraction. When this toggle is off, spectral subtraction is done by normalizing the library spectrum so that the base peak of the library entry is removed from the difference spectrum. When this toggle is on, you choose the normalization peak in the library entry.

  1. Choose View / Unknown, Library Entry and Difference.

  2. Choose Options / Select Normalization Ion.

  3. Move the cursor to the library entry window (window #11). The arrow cursor changes to a gun-sight.

  4. Click both the left and right mouse buttons at the same time when the cursor is on top of the ion you wish to use.

Note that if the ion you choose from the parametric retrieval is not part of the unknown, nothing is subtracted from the unknown.

The ion you select will be used until you choose a different ion or until this mode is turned off.


To Set Up a Quant Entry

The Quant Setup box lets you use the mouse to automatically enter a compound's retention time and target/qualifier ion masses and ratios into the database.

  1. Enter the name of the compound as you want it to appear in the database.

    Note: Each compound in the database must have a unique name. Identical entries can cause compounds to be missed during quantitation. If you need to use the same name, because, for example, isomers of a compound elute at different times, use subtle variations such as xylene1 and xylene2.

  2. Check the ISTD box if the compound is an internal standard.

  3. Then select the Tgt button. The remaining fields in the box will be selected and filled in according to mouse actions on the display.

  4. Double-click the right mouse button on the scan of interest in the chromatogram. The selected spectrum will be displayed next to the Quant Setup box and the retention time will automatically be entered in the box.

    Note: In mixed mode quantitation, the spectrum may be selected from either the MS signal or the GC detector signal. If the selection is made from the MS signal, the quantitation signal will be an MS quantitation ion. If the selection is made from a GC signal, that signal will be used for quantitation.

  5. To select the target ion, move the mouse pointer to the target ion and click BOTH mouse buttons at the same time. The target ion mass will be entered in the box and Q1 qualifier ion button will be selected.

    Note: The mouse pointer is shaped like a target sight when it is placed on the spectrum. The click selects the largest ion within an area that is about 1/30th of the width of the spectrum plot. Thus, you do not need to "aim" the mouse precisely. If, however, you want to select less abundant ion that is very close to a more abundant ion, you will need to zoom in on that part of the spectrum. Click and hold the left mouse button and drag the mouse to create a rectangle around the ions of interest. (This is especially important when choosing ions of halogenated compounds.)

  6. To select a qualifier ion, click both mouse buttons on the ion. The mass will be entered in the box. Note that ratios to the target ion are also calculated and entered. (If you do not want to use qualifier ions, go to step 7.)

  7. Click the Save button to write the entry into the database.

  8. To add another compound to the database, repeat steps 1 - 7.

  9. When you are finished adding compounds, click the Exit button.


To Set up the 6890 GC

How to

Add a New Column Model to Catalog

Add a New Column to Inventory

Calibrate a column

Change a column

Edit the GC Run Time Table

Optimize GC data rate

Prepare for an isobaric run using gas saver

Prepare for an isothermal run

Prepare a ramped oven temperature program

Set GC parameters

Set split ratio

Set up a pulsed pressure inlet

Set up the GC for operation with the MSD

Set up the Programmed Temperature Vaporization Inlet

Use the GC Petrochemical Enhancements


To Set up the MSD

Autotune the MS

Set MS scanning parameters


To Shut Down a Report System

Shuts down the selected process on the designated node.

Note: Before a Report System can be shut down it must be in a paused state.


To Start a Report System

Begins the selected process on the designated node.


To Subtract a Library Spectrum from an Unknown (PR)

To Subtract a Library Spectrum from an Unknown

  1. Select File / Load and choose a data file The TIC will be displayed in the upper window, the library spectrum in the lower.

  2. Select a spectrum for display by double-clicking the right mouse button on a peak in the TIC. The unknown spectrum will be displayed in the upper window, the library entry in the lower.

  3. Select Spectrum / Normalized Subtract. The library entry will be subtracted from the unknown and the resulting difference will be displayed in the bottom window. The library entry is normalized so that the base peak of the library entry is completely removed when the library entry is subtracted from the unknown.

Note that subtraction will be performed with every library entry as you cycle through the results list. (The unknown is not changed.)

See Also

About Normalized Subtraction

To Select the Normalization Ion


To Update Retention Times Using EasyID

Before going to EasyID, load a calibration sample data file that was acquired under the conditions that are to be used for all subsequent target compound analyses using this method.

  1. With the desired method loaded, load a data file for a calibration standard using File / Load Data File. The method must have an established quantitation database.

  2. Select View / EasyID. The menu bar changes and chromatogram, spectrum, and text windows are displayed.

  3. Click and drag the right mouse button to define a baseline for a peak in the displayed chromatogram. Since EasyID uses integrated retention times, you don't need to draw the baseline precisely at the beginning and ending of the peak. In most cases you can draw the baseline below the actual data, in the area of the axis.

    The retention time of the integrated peak will be the new expected retention time for the compound. The beginning and ending times for extracting the signal will move relative to the new expected retention time. If no integration has been performed on the currently selected compound, then the calibration table is not modified.

  4. To process the next compound, double-click the right mouse button anywhere in the text window in the lower right corner of the screen or select CO Next Compound from the EasyID menu. If you performed a manual integration, but it was incorrect and you wish to proceed without updating that compound, first select EasyID / Original Chromatographic Window from the menu. This will restore the chromatogram to its original state and remove any integrations.

    If the compound you are updating is an internal standard, a prompt appears to Update relative target compounds?. If yes is selected, the target compounds associated with this internal standard have their expected retention times updated to maintain their Relative Retention Times with the internal standard. After this update, the next internal standard is displayed.

  5. Select Exit and Save Changes from the EasyID menu.

  6. To verify updated retention times, select Quantitate / Calculate from the menu in the Environmental Data Analysis window. When prompted, specify a summary report to the screen, then click OK. Review the displayed report to see that all compounds were found.


To Use the Barcode Reader

To automatically enter barcodes using the barcode reader:

  1. Select Sequence / Edit Sample Log Table. For each entry in the sample log table for which you wish to enter a barcode:

  2. Place the labeled bottle in the barcode reader. Minimize the Instrument Control window.

  3. Click the Read button.

Note: The Read button is only usable if you have a barcode reader present and enabled.


To View / Edit an Existing Entry

When you select Edit Existing Entry, you are prompted for the entry number. Type the number. The entry is displayed in the Edit Entry dialog box. If you do not know the number, perform a parametric retrieval on your library to determine the compound entry number.

Library entries cannot be deleted from the library. However, you may exclude an entry from being searched by unchecking the Include in Search box in the Edit Entry dialog box.


To View Calibration Curves

  1. Select Calibrate / Edit Compound and select the compound of interest from the list of compounds in the database.

  2. Click Plot in the Compound Entry box.

Response ratio versus concentration ratio is plotted in the curve fit specified, using all the calibration levels for the compound. The relevant equation and other data are also shown.


Too much column flow

On MSDs equipped with a diffusion pump, column (carrier gas) flow should not exceed 2.0 ml/minute. On MSDs equipped with a turbomolecular pump, column (carrier gas) flow should not exceed 4.0 ml/minute. Reduce the column flow and retune the MSD.


Top Menus

Method | Lets you load, save, run and edit the method.
Sequence | Lets you set up batch sample processing.
Secured Control | Provides an accounts system that requires an operator to be logged in before using the instrument
View | Lets you switch views (Top, Instrument Control, and Data Analysis).
Help | Access online help.


Top Status Display

Whenever a method is started, the Top window displays the status of all applications: Top, Instrument Control, Data Analysis. The display continues until the method is completed.

This display is particularly helpful in monitoring the progress of a sequence. To modify or add an entry to the Sample Log Table while a sequence is in progress, select Edit Samp Log Tbl. To review a data file while a sequence is in progress, select Data Analysis.

To stop a method or sequence, select Abort.


Total Flow

If EPC is installed and the column is not defined, the inlet is flow-controlled. (See Add New Column Model to Catalog for more information about defining a column.)

To activate the inlet's Total Flow, place an X in the On checkbox.

Use Setpoint to specify the rate (in ml/min) of gas flow through the inlet.

Total Flow = Column Flow + Septum Purge Flow

Valid Range: Septum Purge Flow - 1000ml/min

Note: If the inlet has been turned off or if the inlet pressure has been very low, the ChemStation will recalculate Total Flow. If the recalculated value is not acceptable, reenter your Total Flow setpoint.

The inlet's Actual flow (ml/min), which the GC transmits, is a read-only display.

Other Items in this Dialog Box:

Heater

Gas

Pressure (if column is defined)


Total Flow

Any value you specify for Total Flow does not affect Pressure. (See Add New Column Model to Catalog for more information about defining a column.)

To activate the inlet's Total Flow, place an X in the On checkbox.

Use Setpoint to specify the rate (in ml/min) of gas flow through the inlet.

Split/Pulsed Split Modes

Total Flow = Split Flow + Column Flow + Septum Purge Flow

Total Flow is the total flow into the inlet. When you change Total Flow, split ratio and split flow change while column flow and pressure remain the same.

Valid Setpoints:

6.1 - 200 mL/min for N2

6.1 - 1000 mL/min for He, H2

Splitless/Pulsed Splitless Modes

Total Flow is the actual flow to the inlet at all times. When operating in the splitless mode, you cannot enter a new Total Flow setpoint during pre-run and before Purge Time.

Valid Setpoints:

0 - 200 mL/min for N2

0 - 1000 mL/min for He, H2

The inlet's Actual flow (in ml/min), which the GC transmits, is a read-only display.

Other Items in this Dialog Box:

Mode

Gas

Cryo Config

Heater

Ramps

Pressure

GasSaver (if column is defined)


Total Flow

The total flow, in mL/min, entering the inlet as measured by a flow sensor. This flow is divided into several streams depending on your mode of operation.

The Total flow setpoint is active in:

Split mode - at all times

Splitless mode - during purge time if your column is not defined

The Total flow setpoint is not active:

Direct mode - at all times.

Splitless mode - at all times except during purge time if your column is not defined

See Splitless mode pneumatics, Split Mode Pneumatics, or Direct Mode Pneumatics for more information.

Valid setpoint:

0.0 to 100 mL/min

Other Items in this dialog box:

Gas

Heater

Pressure

Split Ratio

Split Flow

GasSaver (if column is defined)


Total Flow

The total flow, in mL/min, entering the inlet as measured by a flow sensor. This flow is divided into several streams depending on your mode of operation.

The Total flow setpoint is active in:

Split mode - at all times

Splitless mode - during purge time if your column is not defined

The Total flow setpoint is not active:

Direct mode - at all times.

Splitless mode - at all times except during purge time if your column is not defined

See Splitless mode pneumatics, Split Mode Pneumatics, or Direct Mode Pneumatics for more information.

Valid setpoint:

0.0 to 100 mL/min

Other Items in this dialog box:

Gas

Heater

Pressure

Sampling End

Purge Time

Purge Flow

GasSaver (if column is defined)


Total Flow

The total flow, in mL/min, entering the inlet as measured by a flow sensor. This flow is divided into several streams depending on your mode of operation.

The Total flow setpoint is active in:

Split mode - at all times

Splitless mode - during purge time if your column is not defined

The Total flow setpoint is not active:

Direct mode - at all times.

Splitless mode - at all times except during purge time if your column is not defined

See Splitless mode pneumatics, Split Mode Pneumatics, or Direct Mode Pneumatics for more information.

Valid setpoint:

0.0 to 100 mL/min

Other Items in this dialog box:

Gas

Heater

Pressure

Sampling End

GasSaver (if column is defined)


Total Flow

Any value you specify for Total Flow does not affect Pressure. (See Add New Column Model to Catalog for more information about defining a column.)

To activate Total Flow, place an X in the On checkbox.

Use Setpoint to specify the rate (in ml/min) of gas flow.

The Actual flow (in ml/min), which the GC transmits, is a read-only display.

Other Items in this Dialog Box:

Gas

Air Cooling On

Heater

Ramps

Pressure


Total Flow

If EPC is installed and the column is:

  • defined, the inlet can be pressure- or flow-controlled.

  • not defined, the inlet is pressure-controlled.

Any value you specify for Total Flow does not affect Pressure. (See Add New Column Model to Catalog for more information about defining a column.)

To activate the inlet's Total Flow, place an X in the On checkbox.

Use Setpoint to specify the rate (in ml/min) of gas flow through the inlet.

Split/Pulsed Split Modes

Total Flow = Split Flow + Column Flow + Septum Purge Flow

Total Flow is the total flow into the inlet. When you change Total Flow, split ratio and split flow change while column flow and pressure remain the same.

Valid Setpoints: Septum Purge Flow - 200ml/min (N2, ArCH4)

Septum Purge Flow - 1000ml/min (He, H2)

Splitless/Pulsed Splitless Modes

Total Flow is the actual flow to the inlet during pre-run (pre-run light is on and not blinking) and during a run before Purge Time. When operating in the splitless mode, you cannot enter a new Total Flow setpoint during pre-run and before Purge Time.

Valid Setpoints:

0 - 200ml/min for N2

0 - 1000ml/min for He, H2

The inlet's Actual flow (in ml/min), which the GC transmits, is a read-only display.

Other Items in this Dialog Box:

Mode

Gas

Heater

Pressure

GasSaver (if column is defined)


total ion chromatogram - definition

The total ion chromatogram is usually referred to as the TIC.


Total Ion Monitor

Ion Monitor
This monitor appears on the Instrument Control view when the system is configured with the MSD. It provides a trace of the ion chromatogram (total ion, extracted ion, or selected ion) in real time. Click on this monitor to display the Ion plot, which allows you to scale the trace.


Trace Mode Quant - GC/MS

Trace Mode Quant generates a report containing all quantitation information from the quantitation database for a single compound. This is particularly useful for identifying why a particular peak was poorly integrated or not found during quantitation.

After selecting Quantitate / Trace Mode Quant, you are prompted to enter a compound number. The resulting report, displayed in MultiVu, contains:

  • Retention time and integration information for the selected compound

  • Retention time and integration information for the internal standard (ISTD)

  • Quantitation information for the selected compound

Trace Mode Quant also generates extracted ion chromatograms of the quantitation ion and qualifier ions (if there are any). These are displayed in Window 2. This is particularly useful for identifying peaks that were “chopped off” by an incorrect integration window. Ion information is also included in the Trace Mode Quant Report.

The current data file must be quantitated before Trace Mode Quant can be used.


Trace On

Trace lets you save a detailed report on the tuning steps (MSON, IO Test, etc.) to a file with the extension .TRC. Each step of the tuning process is printed to that file. This file also logs every error message received from the mass spectrometer interface card. This information can aid in diagnosing interaction problems with the mass spectrometer interface card.

When the tune view is first opened, Trace is initially off.

To create a trace file

  1. Select Trace On; the Trace File box will be displayed. A check mark next to the menu item indicates that it is on. (If Trace is already on, selecting Trace On will turn it off, and no panel will appear. Select it again to turn it back on.)

  2. Enter a file name for your report and click on OK. Cancel allows you to leave the Trace File box without turning Trace on.

To view the trace file

  • Select File / View Trace.


Tray Not Present

ChemStation attempted to move a bottle to or from a tray that is not installed. Turn the unit off and verify that all cable connections are secure, then turn the unit on and retry. If the error occurs again contact Service.


Troubleshooting

Could Not Send Request

When the local Report Manager receives a request, it compares the desired processing system name with its own name. If the two names are different, the request is sent to the other computer. If that computer is turned off, its networking software is not running, or its Report Manager is not running, the request cannot be received. To determine the problem check the networking software and network DDE (dynamic data exchange) using the Test Connection facility in Set Up Report Manager.

Could Not Process Request

If Report Manager receives a request and does not have access to the data file or method, it is unable to process the request. This is caused by the method or data file in use by the originating system not being accessible by the processing system.

Test Connection, System Did Not Respond

If the remote Report Manager does not respond it is because the networking software is not running, network DDE is not working, or the remote Report Manager is not running. Verify each of these components and retry.


Troubleshooting a Macro

The REMOVE command (with no parameters) can be used within a macro as a troubleshooting device.

This command pauses the macro to display the list of variables where both global and local variables can be inspected. Local variables appear at the beginning of the list and are preceded by an asterisk (*).


Troubleshooting Invalid Setpoints

An invalid setpoint is a value outside the acceptable range for the GC's current conditions. A setpoint that is valid under one set of conditions may become invalid if the conditions change. (See the example below for more details.)

Invalid setpoints must be corrected before the ChemStation will download to the GC.

Note: Values that become illegal due to conditions that occur during a run are not recognized as invalid setpoints.

Illegal values are displayed in red.

signifies that there are one or more illegal values in the Oven dialog box.

signifies that the Oven dialog box is currently open and it contains one or more illegal values.

There are a few ways to correct an invalid setpoint:

  • enter a valid value for the setpoint, or

  • adjust a related setpoint that will cause the setpoint to become valid, or

    Note: The related setpoint may currently be a valid setpoint. It could also be a setpoint for a different instrument control.

  • change a condition that affects the setpoint, for example, changing columns will affect pressure and flow setpoints.

Example:

  1. Turn the oven on, with a temperature setpoint of 50 [image] C.

  2. Set the inlet carrier gas for column 1 to helium.

  3. Add a test column with these nominal specifications: 30.0 m x 200 [image] m x 0.00 [image] m.

  4. Set the column to a constant flow of 8 ml/min.

  5. Automatically calculate the corresponding column pressure by clicking in the Pressure Setpoint text box:

  6. Change the oven temperature setpoint to 150 [image] C, and return to the Columns dialog box. Its icon now has a yellow background with red text, since the pressure required to maintain a constant column flow of 8 ml/min exceeds the maximum pressure value for the given conditions:

  7. To correct the problem, you can:

  • reduce the column flow setpoint (Columns dialog box), or

  • reduce the related column pressure setpoint (Columns dialog box), or

  • reduce the related oven temperature setpoint (Oven dialog box), or

  • change the column (Columns dialog box).

The background of the Column icon will remain in an invalid status until you correct the problem and open another dialog box.


Tune Control Limits Dialog Box (5973 MSD)

Tune Control Limits Dialog Box

5973 MSD configured for CI. This dialog box is accessed when you select Setup / Set Tune Limits from the CI Tune view.

This dialog box is used to select the tune control limits you want to use. The range for each parameter is shown in parentheses. All these parameters are optimized for the specific reagent gas and the ionization mode, for calibration of the MSD. They provide a general starting point, and may need to be adjusted for your specific application.

For more information, see Chemical Ionization Mass Spectrometry, by Alex. G. Harrison (CRC Press, 1992, ISBN: 0849342546).

Tune Abund. Target, counts (1E4-2E6)

The voltage of the electron multiplier is adjusted to achieve the desired abundance counts of the most abundant ion in tune. Increasing abundance counts also increases abundance of background and contaminant ions. Set this parameter only high enough to get good data on the ions of interest.

Peakwidth Target, amu (0.45-0.8)

Setting higher peakwidth (wider peaks) improves sensitivity while reducing resolution. Note that these are the tune peaks, and have nothing to do with chromatographic peaks.

Maximum Repeller, V (1-5)

Generally, higher repeller voltage improves sensitivity while reducing resolution. Lower repeller voltage improves resolution but reduces sensitivity.

Maximum Emission Current, uA (10-310)

Emission current is the electron current between the filament and the ion source body. The default maximum is 240 uA for PCI, and 50 uA for NCI.

Changing emission current has a much larger effect in NCI than in PCI. Emission current set too low in NCI reduces sensitivity; set too high increases background noise. High emission current can cause enough source heating to suppress the NCI ionization reactions.

Maximum Emission Energy, eV (40-240)

Electron energy is the potential on each emitted electron. 150 eV is the default maximum. Electron energy too high can result in too much fragmentation.

Reagent gas flow, source temperature, repeller voltage, emission current, and electron energy all interact, that is, changing one may require changing one or more of the others. For example, increased electron energy and emission current may require increasing the repeller voltage to keep the same sensitivity.

The optimal settings for a specific compound will have to be determined empirically.


Tune evaluation

Tune evaluation is a way of verifying the performance of the MSD. This is done by analyzing a sample of the tune evaluation compound and then evaluating a resulting mass spectrum for mass axis calibration, mass resolution, and ion ratios based on criteria specified in the environmental analysis protocol. Tune evaluation is sometimes referred to as target tune.


Tune evaluation compound

Tune evaluation compound is a compound that is used to define the MSD performance for a particular environmental analysis protocol. The EDA software recognizes BFB and DFTPP as target tune compounds and provides for automatic tune evaluation of samples of these compounds. Tune evaluation compounds are sometimes referred to as target tune compounds.


Tune file does not match type of analysis

Make sure the tune file specified in the method is appropriate for the type of chemicals being analyzed.


Tune Menu

The Tune menu allows you to perform one of the automatic tunes and to set the following:

Set Nominal %502 (5972 / 6890 only)

For 5972 only. Sets the nominal relative abundance of m/z 502 used in Standard Spectra Autotune (default 3%, range 1.5 - 8.0%). This setting is a nominal target only. Some systems may not be capable of consistently attaining high %502 (5 - 8%). For those applications requiring very high %502, use Target Tune.

Set Fixed Repeller (5972 / 6890 only)

For 5972 / 6890 only. Sets the fixed repeller voltage for Standard Spectra Autotune (default 25, range 10 - 40).

Set Maximum Repeller

Sets the maximum allowable repeller voltage (ion energy) for Maximum Sensitivity Autotune and Target Tune. For the 5972 / 6890, set to 40 for maximum sensitivity and to 20 or less for maximum resolution. In general, raise the Peak Width Target as you raise the Repeller voltage. This setting is saved with the tune file.

Set Maximum Ion Focus

Sets maximum allowable ion focus. For the 5972 / 6890, use the value 90 for optimal signal to noise. This setting is saved with the tune file.

Set Peak Width Target

Sets target peak width in the range 0.4 - 0.85 amu. Wide peaks (>=.55) give greater sensitivity, while narrow peaks (<=.5) give higher resolution (with some loss of resolution). In general, raise the Peak Width Target as you raise the Repeller voltage. This setting is saved with the tune file.

See Also

Tune Menu (5973 MSD)


Tune Menu (5973 MSD)

The Tune menu in Manual Tune lets you perform the following autotunes, as well as set tune targets and limits.

Autotune | Maximizes instrument sensitivity over the mass range.
Low Mass Autotune | Identical to Autotune except it tunes on masses 69, 131, and 219 instead of 69, 219, and 502. It is intended for low molecular weight applications and natural gases under 250 daltons.
Standard Spectra Tune | Ensures standard response over the full mass range.
DFTPP Tune | A target tune that tunes specifically for EPA method 625.
BFB Tune | A target tune that tunes specifically for EPA method 624.
Target Tune | Target Tunes for other methods.
QuickTune | Provides a fine tuning to ensure acceptable response and resolution and accurate mass assignment.
Set Tune Targets | Displays a dialog box that lets you adjust tune targets. The allowed range for each item is displayed in parentheses.
Set Tune Limits | Displays a dialog box that lets you adjust tune limits. The allowed range for each item is displayed in parentheses.
Set View Tune Report Options | Displays a dialog box that lets you select some additional reports to print out after each tune. These reports can be saved and then used to look for trends in your MSD.
Restore Previous Tunes | Prior to an autotune (Standard, Autotune, BFB, DFTPP or QuickTune) the tune file (for example atune.u or stune.u) are copied into a backup file. This menu item displays a dialog box that lets you load one of these previous autotune files. Up to five tune files are stored and the files are listed by name and by date. If you select a file that is the same name as the currently loaded tune file, you are prompted whether or not to overwrite the current tune file.

See Also

Introduction to Tuning

Overview of Manual Tuning

Tune Report


Tune Menu - CI Tune (5972 MSD)

The Tune menu provides the following items to guide you through the tuning process for CI mode:

CI Setup guides you through the steps required to set the methane flow, including the following three steps, which may also be accessed individually:

  • Methane Flow Setup guides you through coarse adjustment of methane flow prior to methane pre-tune.

  • Methane Pre-Tune automatically adjusts the peak width and axis position of methane reagent ion 29 prior to flow adjustment.

  • Methane Flow Adjust guides you through fine adjustment of methane flow while monitoring the abundance ratio of ions 27 and 28 (ratio should be 0.2 to 0.4).

CI Autotune is an automatic tune using PFTBA. The resulting tune parameters are stored in the tune file CITUNE71.U.

CI QuickTune provides a re-tuning for optimum response and resolution and for accurate mass assignment. Only the mass axis, peak widths, and EM voltage are adjusted; the lenses are unaffected. Use this tune for daily tuning as long as the relative abundances of the tuning masses are acceptable.


Tune Menu - Target Tune

The Tune menu allows you to do the following automatic target tunes. There is no target tune menu for the 5973 MSD (it is available from the Tune menu in the Manual Tune view).

DFTPP Tune | For EPA methods that use DFTPP as the tuning compound.
BFB Tune | For EPA methods that use BFB as the tuning compound.
Target Tune | Target Tune for other methods.
Set Tune Targets | Set Tune Targets.
Save Tune Targets | Save Tune Targets.
Load Tune Targets | Load Tune Targets.
Set Maximum Repeller | Lets you change this setting for target tuning. The voltage set in Standard Autotune is 19.8 V. Here you can select from a range 10 - 19.8 V.
Set Maximum Ion Focus | Lets you change this setting for target tuning. The voltage set in Standard Autotune is 65 V. Here you can select from a range 10 - 100 V.
Set Peak Width Target | Lets you change this setting for target tuning. The target peak width set in Standard Autotune is 0.50 amu. Here you can select from a range 0.4 - 0.8 amu.

The success of these tunes depends on the condition of the ion source, GC, column, and samples. Agilent Technologies does not guarantee that these tunes will meet EPA requirements.

A macro file (.TGT) contains the relative abundances of the tune masses that are to be used as the target values by the above tunes. When data do not meet DFTPP or BFB criteria, you can modify the tune targets.

Note Before you run a target tune: Rename any previous DFTPP.U, BFB.U, or TARGET.U tune file that you want to keep. Each target tune overwrites its tune file.


Tune Ramp

The color coded plot lines (see legend at top of dialog box) mark the value found for each of the tune masses. The value used for scanning is that of mass 3. You can adjust this value by dragging the vertical line cursor using the left mouse button. Note that you can use this display for optimizing ratios.

The step size is set in the Ramp Parameters dialog box (select Ramp / Edit Ramp Params) or with the SETRAMP command.

OK - saves the parameter values you have manually selected with the cursor line.

Cancel - cancels any manual selection; the values displayed when you first entered this dialog box will be saved.


Tune Report

Following an EI autotune, you should examine the tune report:

  • The mass assignments shown in the upper "profile" part of the display should be within +/- 0.2 amu of 69, 219, and 502.

  • The peak widths (PW) of these three peaks should be 0.5 +/- 0.1 amu.

  • The mass assignments shown in the lower "scan" part of the display should be within +/- 0.1 amu of 69, 219, and 502.

  • The relative abundances should show that the peak at 69 amu is the largest. Relative to that peak, the one at 219 amu and the one at 502 amu should be in the range specified for the autotune you performed.

  • The isotope (Iso) mass assignments should each be 1 amu greater than the mass assignments of the parent peaks.

  • The isotope (Iso) ratio figures (indicating the relative abundances of the naturally occurring isotopes) should be close to the theoretical values of 1.08 for m/z 69, 4.32 for m/z 219, and 10.09 for m/z 502.

  • If mass 28 is greater than mass 18, there may be an air leak somewhere in the system. Exceptions are when it is within 1 hour of venting, or during the first autotune after refilling the calibration vial. See the Troubleshooting section of the online help for information about how to isolate air leaks.


Tuning - definition

Tuning is a process for optimizing the performance of the MSD. The goal of tuning is to maximize sensitivity while maintaining acceptable resolution, ensuring accurate mass assignment, and providing the desired relative abundances across the spectrum. See also: Introduction to Tuning.


Tuning the MS

Tuning the MSD

The Manual Tune view, accessed from the View menu in Instrument Control, provides tools for tuning and maintaining your MSD. For more information on tuning, click on one of the following topics.

How to

Tune automatically

Tune manually

Tune for CI (5973 MSD)

Tune for CI (5972 MSD)

Target tune

Reference

Diagnostics and vacuum control

Introduction to tuning

Troubleshooting (5973 MSD)

Troubleshooting (5972 MSD)

Tune commands


Turbo pump controller is not working correctly

Contact your Agilent Technologies service representative.


Turbo pump is not working correctly

Contact your Agilent Technologies service representative.


Turbomolecular pump is not working correctly

  1. Select Vacuum Status from the Vacuum menu in the Diagnostics/Vacuum Control view. Unless the MSD is in the process of pumping down, the turbo pump speed should be 100%. If the speed is significantly below 100%, your turbo pump may not be working correctly.

  2. Listen carefully for a high-pitched whine. A turbo pump that is operating correctly should be silent. If you hear a whine that is not part of the normal ambient sound from your MSD (fans, etc.), your turbo pump may not be working correctly.

If your turbomolecular pump is not running at 100% speed or is making an unusual noise, contact your Agilent Technologies service representative. The turbomolecular pump is not customer replaceable.


Turbomolecular pump is not working correctly

Contact your Agilent Technologies service representative.


Turbomolecular pump is on but has not had enough time to reach 80% of its normal operating speed

It normally takes the turbomolecular pump 5 - 10 minute to reach at least 80% of its normal operating speed. It may take slightly longer if:

  • The foreline pump is not working as well as normal

  • Column flow is higher than normal


TurboSpd (Parameter)

Turbo Speed displays the percentage (0-100%) of the maximum speed (turbo pump system only).

5973 MSD only


Type

Specify the thermal auxiliary channel's function by selecting:

  • Valve Box

  • MSD

  • AED

  • Nickel Catalyst

  • Unknown

Other Items in this Dialog Box:

Aux Channel

Description

Heater (thermal channels)

Cryo Focus Configuration (option not available)

Pressure (pressure channels)

Gas (pressure channels)

Ramps


Types of Logbooks

Logbook Contents

The system keeps a logbook named MSLOGBK.LOG that records all instrument error and status messages prior and during acquistion.

The Current Logbook lets you review instrument diagnostic information and any mass spec malfunctions recorded during the current and previous acquisitions. It is located in the instrument directory. It can be cleared with the Clear menu item.


Unexpected Injector Error

This error probably is not the result of user activity. Turn the unit off and verify that all cable connections are secure, then turn the unit on and retry. If the error occurs again, note the error number and contact Service.


Units of concentration

Units of concentration is used only in a final report for an unknown sample; the units are printed to the right of the calculated concentrations.

The value entered here is included with each compound subsequently added to the current quantitation database. Compounds already in the database are unaffected.

To change concentration units for an individual compound:

Select Calibrate / Edit Compounds, change the setting, and click OK.

To change concentration units globally:

Select Calibrate / Update/Global Update, select the Set Other (via command) button, and enter:

amt_units$ = "units string"

The string may be up to 7 characters long, but only the first 5 will be printed on the report.


Unknown - definition

The term unknown is a short way of referring to a sample that contains an unknown concentration of the compound to be quantitated.


Unplugged gauge controller power cord

Make sure the power cord is connected to an appropriate electrical outlet.


Hpmsduntitled00000030

Single Sample - Single Signal (GC)

This is the most basic sequencing mode. It runs a single injection from a single sample vial for each line in the Sample Log Table. There is no dual column confirming data being collected (unless it is being collected from another instrument).

Method Requirements

GC Method: Single signal (either signal 1 or 2)

Data Analysis Method: No column 2 entries in quantitation database

Typical GC Hardware

GC with a single injector connected to a single detector. Typically a headspace, purge and trap, or single tower auto liquid sampler is used.

Related keywords / sample types

MakeSec


Hpmsduntitled00000031

Single Sample - Linked Signals

This mode injects a single sample per sequence line but dual signals are collected and processed. The dual signal data will be treated as dual column primary / confirmatory data.

Method Requirements

GC Method: Dual signal (Save Data = Both)

Data Analysis Method: Must contain column 2 entries in quantitation database

Typical GC Hardware

GC with a single injector connected to a splitter to two columns each with a detector or a single column attached to two detectors either serially or more commonly with a splitter. Detectors are typically two Electron Capture Detectors (ECD), or one photoionization (PID) plus one electrochemical (ELCD) detector. For an injector, typically a headspace, purge and trap, or single tower auto liquid sampler is used.

Related keywords / sample types

Switch GC


Hpmsduntitled00000032

Dual Tower - Unlinked Signals

This mode injects two samples from two vials simultaneously. Dual signals are collected and processed as independent, unrelated data files. Normally a different data processing method will be used for each signal. The sample type RearSamp identifies the vial, data file, method, and sample name associated with the sample being introduced into the rear injection port. A RearSamp line must always be paired with the immediately following line in the Sample Log Table for simultaneous injection. Each GC run will reflect a RearSamp / Sample pair. This mode allows maximum productivity for single column methods by allowing two independent samples to be analyzed on each run.

Method Requirements

GC Method: Dual signal (Save Data = Both)

Data Analysis Method: No column 2 entries in quantitation database. The first entry in the Sample Log Table, prior to any sample entries, must be the keyword DualTwr.

Typical GC Hardware

GC with dual injectors each connected to a column with a detector. Detectors are typically two Electron Capture Detectors (ECD). For an injector, typically a dual tower ALS is used.

Related keywords / sample types

DualTwr, RearSamp

RearSamp Sample Type

In Dual Tower mode, you can use a special sample type called RearSamp. This sample type lets you simultaneously inject samples with a dual injector/dual column setup. The RearSamp sample must come first in the table before the run with which it is paired. This lets the software know that this line in the table and the next one are to be simultaneously injected.


Hpmsduntitled00000326

Include Secondary Hits

(GC/MS only) Check this box if you want to include secondary hits on the quantitation report. Secondary hits meet all or some of the identification criteria but are not the best hit as specified by the target compound identification criteria.


Hpmsduntitled00000327

Include Non Target Peaks

GC/MS mode: If you check this box, a library search report will be performed on all unknown peaks (maximum of 20) that are greater than 10 percent of the closest internal standard in the quantitation database. If there is no ISTD defined in the quantitation database, then a library search is performed on the 20 largest unknown peaks. The results of the library search appear as an additional report.

GC-only mode: If you check this box, all integrated peaks not matching target compound results will be reported at the end of the summary quantitation report.


Hpmsduntitled00000338

Change Data State

Change Data State allows you to append a status to the displayed data file. This status is displayed next to the file name at the top of the Data Analysis window and on all reports. Data state choices are:

  • Not Reviewed (default data state)

  • QT Reviewed

  • Frozen


Hpmsduntitled00000375

 Begins the selected process on the designated node.


Hpmsduntitled00000376

 Pauses the selected process on the designated node.

Note: A process can be told to pause at any time, however, the process will not pause until it completes the request it is currently processing.


Hpmsduntitled00000377

 Resumes the selected process on the designated node.


Hpmsduntitled00000378

 Shuts down the selected process on the designated node.

Note: Before a Report System can be shut down it must be in a paused state.


Hpmsduntitled00000544

Reference

General Info

Edit Parameters

Select Injection Source

Quick Setup

Setup Actuals

Start Column Comp Run


Hpmsduntitled00000545

 Not Available

This information is not yet available.


Hpmsduntitled00000847

 A yellow background signifies that this dialog box is currently open (a type of "you are here" message).

A blue checkmark signifies that you opened this dialog box, but didn't change any parameters.

A blue X signifies that you opened this dialog box and changed one or more parameters, but you have not downloaded the changes yet.

A red background signifies that there are one or more illegal values (also shown in red) in this dialog box that you need to correct before the ChemStation will permit downloading.

A yellow background with red text signifies that the icon's corresponding dialog box is currently open and it contains one or more illegal values.


Hpmsduntitled00000850

Device I/O Initialization Failure

The driver could not establish I/O communications with the GC.


Hpmsduntitled00000851

Error Writing Off-line Configuration File

The driver could not write the 6890.INI configuration file. Either there was a disk error or the disk was full.


Hpmsduntitled00000852

 Error Reading Off-line Configuration File

In the off-line mode, the driver could not read the off-line configuration file. Either the file did not exist, there was an error reading the file, or the file did not contain GC configuration information.


Hpmsduntitled00000853

 Method Load Warning: No GC Information

ChemStation did not find the GC part of a method while loading a method. Methods for instruments other than a GC will not run on a GC.


Hpmsduntitled00000854

 Method Save Failure: Error Writing File

ChemStation encountered either a disk error or full disk while writing a method to disk.


Hpmsduntitled00000855

 I/O Error With GC: Switch to Off-line

The ChemStation lost I/O communications with the GC. The ChemStation switched to off-line mode while continuing to re-establish communications with the GC. Once ChemStation re-establishes communications, the on-line mode will resume.


Hpmsduntitled00000856

 Recovered From I/O Error: Back On-line

The ChemStation was able to re-establish communications with the GC after a previous I/O error and returned to on-line mode.


Hpmsduntitled00000857

 Error Creating Data File For Signal 1

ChemStation could not create a raw data file for signal 1 during a run. Either there was a disk error or the disk was full.


Hpmsduntitled00000858

 Error Creating Data File For Signal 2

ChemStation could not create a raw data file for signal 2 during a run. Either there was a disk error or the disk was full.


Hpmsduntitled00000859

 Error Writing Data File For Signal 1

ChemStation could not write a data file for signal 1 during a run. Either there was a disk error or the disk was full.


Hpmsduntitled00000860

 Error Writing Data File For Signal 2

ChemStation could not write a data file for signal 2 during a run. Either there was a disk error or the disk was full.


Hpmsduntitled00000861

 Error Closing Data File For Signal 1

ChemStation could not close a data file for signal 1 during a run. Either there was a disk error or the disk was full.


Hpmsduntitled00000862

 Error Closing Data File For Signal 2

ChemStation could not close a data file for signal 2 during a run. Either there was a disk error or the disk was full.


Hpmsduntitled00000863

 Drive Initialization Failed

A software problem exists with the version you are using. Call Agilent for service.


Hpmsduntitled00000864

 Syntax Error

A software problem exists with the version you are using. Call Agilent for service.


Hpmsduntitled00000865

 Cannot Override Ready

The Instrument has not yet reached a ready state. The ChemStation software cannot bypass this permissive.


Hpmsduntitled00000866

 GSV injection aborted

This information is not available at this time.


Hpmsduntitled00000867

 Run With No Points Occurred

This information is not available at this time.


Hpmsduntitled00000868

 Number of Parameters Differed

A software problem exists with the version you are using. Call Agilent for service.


Hpmsduntitled00000869

 Extra Parameters?

A software problem exists with the version you are using. Call Agilent for service.


Hpmsduntitled00000870

 GC Run Log Message

This message was generated by the 6890 GC during the run. See your 6890 GC documentation for an explaination of this message.


Hpmsduntitled00000871

 Not Available

This information is not available at this time.


Hpmsduntitled00001674

_A to _D

_ActBarcode$

Character string containing barcode read from sample (if any).

(Data Analysis, FILE)

_AlsBottle

The current vial number. Instrument Control writes this value into the data file header.

(Top, SAMPLELOGTABLE, STARTRUNPANEL; Instrument Control: RUNSTART, DataAnalysis, FILE)

_AlsBottle2

For internal use only.

_AlsID

0=no ALS configured

n=ALS configuration specified as device n in [PCS] section of win.ini

_AutoFile$

Name of autostart macro file.

(All)

_AutoPath$

Path to autostart macro file.

(All)

_AppName$

Set by all CP applications when the application is activated. Its value is the name of the application minus the extension, e.g., “MSDA”.

(All)

_Button

Present when any dialog box is opened with selections OK, Cancel, Done, etc.; 0=Cancel, Error, or No; 1=OK, Yes, or Otherwise, etc.; See specific command for details.

(All)

_CheckBar

1 = enforce barcode checking, 0=ignore barcode checking

(Top, SAMPLELOGTABLE)

_CopyMeth

1 = enable saving a copy of the method with the data file; 0=disable

(Top, METHINFOPANEL)

_CPStatus

1 = CP is busy executing a command; 0 = otherwise.

(All)

_CurrentVer

A unique numeric value associated with a version of the ChemStation software, e.g., 2.1.

(All)

_DaCode

The error number for any errors occurring in Data Analysis.

(Top)

_DaDDE$

The specific name by which Data Analysis is known in the DDE conversations.

(Top)

_DaErr

0=no error, 1=Data Analysis busy, 2=Data Analysis aborted, 3=Data Analysis had an error (see _DaCode and _DaMsg$), 4=Data Analysis died (see _DaCode and _DaMsg$)

(Top, RUNMODE)

_DaErrMsg$

Top's description of the error (in case Data Analysis does not respond).

(Top)

_DaMenu

1 = normal menu; 0= dimmed menu

(Top)

_DaMsg$

The error message returned from Data Analysis.

(Top, RUNMODE)

_DaMenu

0=Normal menu; 2=dimmed menu

(Top)

_DaState

1 = Data Analysis absent (not in memory), 2=Data Analysis loading, 3=Data Analysis starting (from standby), 4=Data Analysis idle and visible; 5=Data Analysis in standby and invisible, 6=Data Analysis invisible but busy

(Top, DATANALYSIS)

_DaWinId

Contains the window ID of Data Analysis.

(Top)

_DataFile$

The last loaded data file name. See SELECTFILE, SETDATAFILE.

(Instrument Control, RUNSTART, Data Analysis, FILE; Top, SAMPLELOGTABLE, STARTRUNPANEL)

_DataFile2$

For internal use only.

_DataName$

The comments from the Sample Name field. Instrument Control writes this value into the data file header.

(Top, SAMPLELOGTABLE, STARTRUNPANEL; Instrument Control, RUNSTART, Data Analysis, FILE)

_DataName2$

For internal use only.

_DataPath$

The data file drive and path information.

(All)

_DateAcquired$

Date of data acquisition.

(Data Analysis, FILE)

_DDEName$

A specific name for an application in DDE conversations.

(All)


Hpmsduntitled00001675

_E to _P

_EditAcq

Displays dialog boxes and sets variable.

1 = edit; 0=not edit

(Top, EDITMETHPANEL)

_EditDa

Displays dialog boxes and sets variable.

1 = edit; 0=not edit

(Top, EDITMETHPANEL)

_EditTop

Displays dialog box and sets variable.

1 = edit; 0=not edit

(Top, EDITMETHPANEL)

_Error

A system error number for macros on system wide basis.

(All)

_ErrMsg$

A system error message (see _Error).

(All)

_ExePath$

Path to ChemStation programs.

(All)

_ExpBarcode$

The user-supplied barcode or, if Instrument Control is iconized, the barcode obtained with the Read button in the Sample Log Table dialog box. Instrument Control writes this value into the data file header.

(Top, SAMPLELOGTABLE; Data Analysis, FILE)

_ExpBarcode2

For internal use only.

_GCID

0=no GC configured; n=GC configuration is specified as device n in [PCS] section of win.ini

_HelpFile$

Name of help file.

(All)

_HelpPath$

Path to help file.

(All)

_InjPerVial

The number of injections per vial.

(Top, SAMPLELOGTABLE)

_Inlet$

How the sample is introduced into the MS.

(Data Analysis, FILE)

_InsCtlCode

The error number for any errors occurring in Instrument Control.

(Top)

_InsCtlDDE$

The specific name by which Instrument Control is known in the DDE conversations.

(Top)

_InsCtlErr

0=no error, 1=Instrument Control busy, 2=Instrument Control aborted,
3=Instrument Control had an error (see _InsCtlCode and _InsCtlMsg$),
 4=Instrument Control died (see _InsCtlCode and _InsCtlMsg$)

(Top, RUNMODE)

_InsCtlErrMsg$

Top's description of the error (in case Instrument Control does not respond).

(Top, RUNMODE)

_InsCtlMenu

0=Normal menu; 2=dimmed menu

(Top)

_InsCtlMsg$

The error message returned from Instrument Control.

(Top)

_InsCtlState

1 = Instrument Control absent (not in memory), 2=Instrument Control loading, 3=Instrument Control starting (from standby), 4=Instrument Control is idle (visible and ready), 5=Instrument Control is standing by (not visible, not ready), 6=Instrument Control is busy (visible, doing something)

(Top, RUNMODE)

_InsCtlWinId

Contains the window ID of Instrument Control.

(Top)

_Inst

Set to the “Windows Instance Number” of the MSDA session. The first instance of MSDA.EXE normally has the variable _Inst set to 1; subsequent concurrent instances have greater integer values assigned to _Inst.

(Data Analysis)

_InstName$

The name of the instrument; set in MSCONFIG. Instrument Control writes this value into the data file header. MSOPEN reads this value, MSWRITE writes it to a file.

(Top; Instrument Control; MSOPEN, MSWRITE; Data Analysis, FILE)

_InstNum

The current instrument number; by default, the directory where files are stored for that instrument (for example: \MSDCHEM\1)

(All)

_InstPath$

The path for the current instrument (for example: \MSDCHEM\1\). Log files go here by default.

(All)

_LevelId$

ID for level to be recalibrated.

(Top, SAMPLELOGTABLE)

_LibPath$

The path where library files are located.

(All)

_LineStat

The status of this line; 0=empty, 1=no type, 2=type given, 3=done (marked).

(Top, SAMPLELOGTABLE)

_MethFile$

The current method file name. Instrument Control writes this value into the data file header.

(All)

_MethPath$

The drive and path information for methods loading and saving.

(Top, Data Analysis)

_MethVer

Each .M directory contains a file METHVER.MAC whose purpose is to set this variable to a numeric value indicating the version of the software under which the Method has its origin. Especially with respect to ChemStation B to C.01.05 transition, the variables _MethVer and _CurrentVer are compared to determine if the Method is compatible with the running software. C.01.05 and later ChemStations detecting ChemStation B methods prompt the user with a Method translation authorization query.

(All)

_MiscInfo$

The comments from the Misc. Info. field. Instrument Control writes this value into the data file header.

(Top, SAMPLELOGTABLE, STARTRUNPANEL; Instrument Control, RUNSTART; MSWRITE, MSOPEN; Data Analysis, FILE)

_MiscInfo2$

For internal use only.

_MoreSamp

Used in Top by sequencing macro to indicate if more samples remain in the sample log table. 1=yes; 0=no.

(Top)

_MSCont

Determines how spectra will be drawn. 0=draw as bar graph; any other value = new spectra will be drawn as continuous curves

(Data Analysis, ALLCONT)

_MSID

0=no MS configured

n=MS configuration specified by device n in [PCS] section of win.ini

(Top, Instrument Control)

_Multiplr

The Multiplier value for quantitative reports for a sample in the sequence table (sample log). If the value is other than zero, it overrides the value in the currently running method .

(Top, SAMPLELOGTABLE, STARTRUNPANEL; Data Analysis)

_Operator$

The name of the operator from the Start Sequence dialog box. Instrument Control writes this value into the data file header.

(Top, STARTSEQPANEL, STARTRUNPANEL, SAMPLELOGTABLE; Instrument Control, RUNSTART, , MSOPEN, MSWRITE; Data Analysis, FILE )

_OrgMethFile$

Method used to acquire data.

(Data Analysis, FILE)

_OverWrite

1 = overwrite data file box is checked; 0=box is not checked

(Top, STARTSEQPANEL)

_PostCmd$

The postrun command macro path and file name. Default is null.

(Top, METHINFOPANEL)

_PostSeqCmd$

The postsequence macro drive, path, and file name. Default is null.

(Top, STARTSEQPANEL)

_PreCmd$

The prerun command macro path and file name. Default is null.

(Top, METHINFOPANEL)

_PreSeqCmd$

The presequence macro drive, path, and file name. Default is null.

(Top, STARTSEQPANEL)


Hpmsduntitled00001676

_R to _Z

_Replicate

If sequenced, this is the repetition count for the current method. If not sequenced, this is zero.

(Top, Data Analysis, FILE)

_Replicate2

For internal use only.

_RunAcq

1 = enable; 0=disable

(Top, METHINFOPANEL, STARTRUNPANEL)

_RunCount

Set by SampleLogTable. Currently not used.

(Top)

_RunDa

1 = enable; 0=disable

(Top, METHINFOPANEL, STARTRUNPANEL)

_RunPost

1 = enable; 0=disable

(Top, METHINFOPANEL, STARTRUNPANEL)

_RunPre

1 = enable; 0=disable

(Top, METHINFOPANEL, STARTRUNPANEL)

_RunType

One of the following possible types: -1=no type, 1=sample, 2=blank, 3=recalibration.

(Top, SAMPLELOGTABLE)

_SampAmt

The Sample Amount value for quantitative reports for a sample in the sequence table (sample log). If the value is other than zero, it overrides the value in the currently running method.

(Top, SAMPLELOGTABLE, STARTRUNPANEL; Data Analysis)

_SaveFlag

0=Don't save the method file; 1=prompt to save the method file; 2=save the method file

(Data Analysis)

_SaveMeth$

Fully qualified path for saving methods.

(Top, SAMPLELOGTABLE)

_SeqArgs[ ]

Eight-element array for scalar variables to be passed to Data Analysis when it is run from Top. Reference these as SeqArg[1], SeqArg[2], etc.

0= default

(Top, SAMPLELOGTABLE)

_SeqArgs2[]

Eight-element array for scalar variables passed from sequence table to other ChemStation applications.

_SeqComment$

The string from the Sequence Comment item.

(Top, STARTSEQPANEL)

_SeqFile$

The name of the sequence file. See SAVESEQUENCE.

(Top, LOADSEQUENCE)

_SeqIndex

If sequenced, this is the line number in the sequence file for the current method. If not sequenced, this is zero.

(Top, SAMPLELOGTABLE; Data Analysis, FILE)

_SeqIndex2

For internal use only.

_SeqInj

The current injection for the current vial.

(Top, SAMPLELOGTABLE)

_SeqLine

The line number from which the current values were extracted.

(Top, SAMPLELOGTABLE)

_SeqPath$

Sequence file drive and path information. See the command SAVESEQUENCE.

(Top, LOADSEQUENCE)

_SeqRunCount

Used by sequencing.

(Top)

_SeqStr$[]

Set of eight strings passed from sequence table to other ChemStation applications.

_SeqTimeStamp$

Time stamp of the sequence when the sequence is started, The initial time stamp of the file. Updated when sequence is edited.

(Top, STARTSEQPANEL)

_SkipAcq

Always set to zero. See the command STARTSEQPANEL.

(Top, SAMPLELOGTABLE START, STARTRUNPANEL, STARTSEQPANEL)

_TempPath$

Set by the CP at application activation time to the path from the MS-DOS TEMP environment variable (if it exists) otherwise to the Windows directory.

(All)

_TopWinId

Contains the window ID of the top level application.

_TuneData

0 = No MS data available in file number 10

1 = MS data available in file number 10

(Instrument Control)

_TunePath$

Location of tune files (*.U) directory, (e.g., MSDCHEM\1\5972)

(Top, Acq, Data Analysis, Instrument Control)

_UpdRf, _UpdRt, _UpdQi

Update response factors, retention times, qualifier ion relative responses.

0=do not update, 1=update

(Top, SAMPLELOGTABLE; Data Analysis)

_WindowID

The status of a window with a particular ID:

0=no window with that title exists

>0=the window exists

(All, GETWINDOWID)


Hpmsduntitled00001677

A to D

These variables are set in the 5972 and 5973 software.

A1$, A2$, A3$

User-defined string items.

(Data Analysis, GETRESULT)

AbsPeakHeight

Non baseline-corrected peak height. This differs from the height above zero in that the background (i.e., baseline at peak START) is subtracted to form the absolute peak height.

(Data Analysis, PEAKNUMBER, PEAKVARS)

Amt_Units$

Units to be used on quantitative reports

(Data Analysis, GETCOMPOUND, GETRESULT)

AutoIntItem

Specifies the state of the Autointegrate item on the Chromatogram menu as either normal or dimmed. 2=Use RTEINT selected in Quant Globals panel; 0=Use RTEINT deselected in Quant Globals panel.

(Data Analysis, LOADQUANTMETH, SETUPCALIB)

Barcode2$

The barcode read in by the barcode reader function in Instrument Control.

(Top, Instrument Control)

BasePeak1, BasePeak2, BasePeak3

The mass where the maximum abundance occurs.

(Instrument Control, PROFILE)

Bl0, Bl1

Integration baseline data

(Data Analysis, GETRESULT)

Boil_Pt

Boiling point (from the library header). If information is not available, -300.00 is reported.

(Data Analysis, GETSCALARS RESULTS)

BslPeakHeight

Baseline-corrected peak height. The baseline at the peak center is subtracted off. Thus, if the baseline is not horizontal, this will differ significantly from AbsPeakHeight.

(Data Analysis, PEAKNUMBER, PEAKVARS)

Cal_Fit

Curve fit type selected in the quantitation database; 0=linear; 1=average RF; 2=linear (0,0); 3=quadratic; 4=quadratic (0,0).

(Data Analysis, GETCOMPOUND, GETRESULT)

Cal_ISTD

0=not an ISTD;1=compound is an ISTD

(Data Analysis, GETCOMPOUND)

Cal_Peaks

The number of results in the result file.

(Data Analysis, STARTREPORT)

Cal_Pk_Amt

Calculated concentration of target signal.

(Data Analysis, GETRESULT)

Cal_Pk_Found

Target signal status: 1=found but qualifier ion criteria not saisfied, 2=found and qualifier ion criteria satisfied.

(Data Analysis, GETRESULT)

Cal_Pk_Num

Entry number of quant database compound retrieved by GETCOMPOUND (first compound in list is #1, second is #2, etc.). If GETCOMPOUND SELECT, n is specified, the value n is echoed in this variable.

(Data Analysis, GETCOMPOUND)

Cal_Pk_Ret

The actual observed retention time, in milliseconds of the quantitation results.

(Data Analysis, GETRESULT)

Cal_TR

0=not a time reference compound; 1=time reference compound.

(Data Analysis, GETCOMPOUND)

Cal_Title$

Identifying title associated with a quantitation database.

(Data Analysis)

Cal_UpdTime$

String giving time and date of the last update to the quantitation database.

(Data Analysis)

CapData

Data from capture.

(Instrument Control, CAPTURE)

CapDataPts

Number of data points captured.

(Instrument Control, CAPTURE)

CapMax

Maximum abundance.

(Instrument Control, CAPTURE)

CapMean

Mean of the abundance.

(Instrument Control, CAPTURE)

CapMin

Minimum abundance.

(Instrument Control, CAPTURE)

CapStdDev

Standard deviation.

(Instrument Control, CAPTURE)

CapTime

Time in microseconds required to obtain the data.

(Instrument Control, CAPTURE)

Cas_Hit1, Cas_Hit2, . . .

The reference number of each hit found.

(Data Analysis, FINDBYCAS)

Cas_Hits

The number of hits found.

(Data Analysis, FINDBYCAS)

Cas_Num$

CAS number (from library header) in the format nnnnn-nn-n.

(Data Analysis, GETSCALARS RESULTS)

CasNo$

Chemical Abstracts number.

(Data Analysis, GETRESULT)

Cavg[]

The calibration table level average counters from the quantitation database. An array variable; reference the values within the array as Cavg[1], Cavg[2], etc.

(Data Analysis, GETCOMPOUND, GETRESULT)

Cconc[]

The calibration table level concentrations in the quantitation database. An array variable; reference the values within the array as Cconc[1], Cconc[2], etc.

(Data Analysis, GETCOMPOUND, GETRESULT)

CIConfigured

Flag indicating if CI is configured. 1=yes; 0=no

(Instrument Control)

ClFl$[]

Calibration file base name. An array variable; reference the values within the array as ClFl$[1], ClFl$[2], etc.

(Data Analysis)

Clid$[]

A string ID for the calibration level. An array variable; reference the values within the array as Clid$[1], Clid$[2], etc.

Data Analysis

CmdLineState

Used by TOP and MSDA to track the display state of the command line. Its value is 0 if the command line is invisible/off, or 1 if the command line is visible/on.

(Data Analysis, Top)

Coef0, Coef1, Coef2

Calibration curve equation coefficients. y = concentration ratio, x = response ratio. y = coef0 + coef1(x) + coef2(xE2)

(Data Analysis, GETRESULT)

Company_ID$

Company ID (10 characters maximum) associated with retrieved reference compound.

(Data Analysis, GETMSREF)

Confidm_z

95% confidence of m/z value based on curve fitting.

(Instrument Control, PROFILE)

CpndType$

User-defined compound type.

(Data Analysis, GETRESULT)

Cresp[]

The calibration table level responses from the quantitation database. An array variable; reference the values within the array as Cresp[1], Cresp[2], etc.

(Data Analysis, GETCOMPOUND, GETRESULT)

DDS

Used by Top for internal housekeeping.

(Top)

DefSampAmt

Default sample amount value for quantitative reports.

(Data Analysis)

DirectPr

1 = send directly to printer (use this value for printing with LaserMaster card); ChemSpooler not used for printing jobs done with ENDPRINT (TABULATE still uses ChemStation spooler); 0=use ChemSpooler (default).

(Instrument Control, Data Analysis, STARTPRINT, ENDPRINT, PRINTTEXTFILE)

Do_Print

Flag to indicate whether an autotune report will be printed; 1=yes, 0=no.

(Instrument Control)


Hpmsduntitled00001679

E to M

EdpDefPos

1 = no automatic positioning and invoking of dialog boxes by Edit Parameters; 0=automatic (default).

(Instrument Control, EDPARMS)

End_Time

The ending time of the chromatographic peak. See the PEAKVARS command.

(Data Analysis, PEAKNUMBER)

Entry_Num

Library entry number of the result specified.

(Data Analysis, GETSCALARS RESULTS)

EntryNo

Entry number in mass spectral library.

(Data Analysis, GETRESULT, GETMSREF)

Eqn1$, Eqn2$

Eqn1$ contains calibration equation, Eqn2$ contains RSD or RHO and curve fit type.

(Data Analysis, CALIBPRINT)

Exp_Rt_Hi

The expected high retention time, in minutes, of the quantitation results.

(Data Analysis, GETRESULT)

Exp_Rt_Lo

The expected low retention time, in minutes, of the quantitation results.

(Data Analysis, GETRESULT)

File_End

The time, in minutes, of the last scan in the file.

(Data Analysis, FILE)

File_Start

The time, in minutes, of the first scan in the file.

(Data Analysis, FILE)

File_Type

The data file type.

(Data Analysis, FILE)

FilePrint_Lines

Retains the number of lines printed from an ASCII file.

(Data Analysis, FILEPRINT)

FilePrompt

0=no prompt, 1=prompt to save tune file (default).

(Instrument Control)

Font$

The name of the currently specified font.

(Data Analysis)

FontAnn

CP variable to set user-created annotations. See Font Selection in the MS Chemstation

FontAxis

CP variable to set plot axis fonts. See Font Selection in the MS Chemstation

FontTitle

CP variable to set fonts for plot titles. See Font Selection in the MS Chemstation

Graphics_On

Constant. Always on.

(Instrument Control)

HEDConfigured

1 = yes; 0=no.

(Instrument Control)

Height_Quant

1 = measure height selected; 0=measure area selected.

(Data Analysis, EDITCPNDS)

Hit

PBM Graphics Hit number that was selected. 0=Cancel selected; 1-20=hit from library search that was selected.

(Data Analysis, DLGGRESULTS)

Hit_Name$

The name recorded in the library header for the specified entry.

(Data Analysis, GETSCALARS RESULTS)

Inject_Time

The time of injection in Windows time (number of milliseconds that have elapsed since system was booted).

(Acq, RUNSTART, )

Int0, Int1

Integration baseline data.

(Data Analysis, GETRESULT)

IP[]

If Parameter 13 of RTEINTPARMS is set to nonzero, then IP is set to an array of 12 scalar elements containing the values of the previous 12 parameters.

(Data Analysis, RTEINTPARMS)

IsoAbund1, IsoAbund2, IsoAbund3

The abundance of the isotope peak.

(Instrument Control, PROFILE)

IsoMass1, IsoMass2, IsoMass3

The mass of the isotope peak.

(Instrument Control, PROFILE)

IStd_Amt

Amount of ISTD in unknown (if applicable, -1 if not applicable) compound.

(Data Analysis, GETCOMPOUND, GETRESULT)

IStd_Area

Contains the response of the ISTD, which could be area or height depending on the Measure Response By selection for a compound. Only has meaning if the target compound of interest is an analyte related to an internal standard compound.

(Data Analysis, CPDANALYZE, GETRESULT)

JobName$

Contains the name of the print job (specified in the first parameter to STARTJOB, defaulting to the string "MSDA Print").

(Data Analysis, Instrument Control, STARTJOB)

Label_Peaks_Thr

Minimum ratio of response between a given m/z peak and the basepeak for which that peak can be considered for labeling.

(Data Analysis)

LastPrint$

Reserved for use with the PRINT commands; useful for creating output to a variable. Must be defined before it will be updated.

(All, PRINT)

Lcv

Loop control flag for all options except SELECT. Set to 0 if command reaches the end of the list of time references (for TIMEREF option), or ISTDs (for ISTD option), or all compounds (for normal mode). Helpful for macros cycling through the quantitation database with GETCOMPOUND.

(Data Analysis, GETCOMPOUND, GETRESULT)

Lib$

Name of the library searched.

(Data Analysis,GETSCALARS RESULTS)

LogToDB

0 = disable 1 = enable

MSDA variable for Custom Reports. If when a Method is loaded there is no file called CUSTPARM.MAC, LogToDB is set to zero. Otherwise it can be set to 1 by Custom Reports related macros under the appropriate conditions.

(Data Analysis)

MatALo, MatAHi, MatARpd, MatAMdl

Matrix A data.

(Data Analysis, GETRESULT)

MatBLo, MatBHi, MatBRpd, MatBMdl

Matrix B data.

(Data Analysis, GETRESULT)

MatSpk

Matrix spike amount.

(Data Analysis, GETRESULT)

MaxA

Maximum autotune abundance.

(Instrument Control)

Melt_Pt

Melting point (from library header). If information is not available, -300.00 is reported.

(Data Analysis, GETSCALARS RESULTS)

MethCommentxxx$

Comments about the method (where xxx starts at 0 and steps up by 1).

(Top, METHINFOPANEL)

MinA

Minimum autotune abundance.

(Instrument Control)

Mi_Used

Manual integration: 0=not used, 1=used.

(Data Analysis, GETRESULT)

Misc_Info$

First 132 characters of miscellaneous information associated with retrieved reference compound.

(Data Analysis, GETMSREF)

Mol_Formula$

First 132 characters of the molecular formula of retrieved reference compound.

(Data Analysis, GETMSREF)

Mol_Wt

Molecular weight (from library header).

(Data Analysis, GETSCALARS RESULTS, MW)

MsAcq_State

The state of acquisition: 0=idle, 1=preinject phase (not ready for injection), 2=postinject phase (data acquired); 3=preinject phase (ready for injection); 4=postinject phase (solvent delay, no data collected).

(Instrument Control, RUNSTART)

MsDbName$

Mass spectral database (library name).

(Data Analysis, GETRESULT)

Multiplier

Multiplier value used in quantitative reports.

(Data Analysis)

MzRange

A range around an expected mass that an ion chromatogram can be and still be considered a potential match when ion chromatograms are extracted.

(Data Analysis)


Hpmsduntitled00001680

N to P

N4, N5, N6, N7, N8, N9

User-defined numeric items

(Data Analysis, GETRESULT)

NGroups

Set by the PEAKVARS command (scalar version) when the group number specified is nonzero but the peak number specified is zero.

(Data Analysis, PEAKVARS)

NIons

Reflects how many EICs were retrieved by the command.

(Data Analysis, CHROMATOGR)

No

NO = 0, YES = 1, OFF = 0, ON = 1

CP Variables predefined for the purpose of serving as alternate symbols to 0 and 1 for certain commands (historical reasons).

(All)

NObjects

The number of objects in the variable; always set to 1 by GETSCALARS POINT and GETSCALARS INFO.

(Data Analysis, GETSCALARS)

NPeaks

The number of chromatographic peaks found upon completion of the integration. See RTEINT.

(Data Analysis, INTEGRATE, AUTOINT)

NPoints

The number of data points in the object.

(Data Analysis, POINTS)

NRfWin

Non-reference window. One half this value is the limit in time that a given peak can lie and still be considered as a potential match for a non-time reference compound.

(Data Analysis)

NRfWin_TP

How NRfWin is expressed: 0=minutes; 1=percent relative to the expected retention time.

(Data Analysis)

NTimeRefs

Number of time reference compounds in the results file.

(Data Analysis, STARTREPORT)

Num_Hits

Number of matches found. Set to 0 if no hits were found (or if no hits search has been done).

(Data Analysis, GETSCALARS RESULTS)

NumScanPeaks

Number of peaks in scan.

(Instrument Control, SCAN)

Off/On

NO = 0, YES = 1, OFF = 0, ON = 1

CP Variables predefined for the purpose of serving as alternate symbols to 0 and 1 for certain commands (historical reasons).

(All)

OnFlagLabel$

Stores label name specified by the On_Flag keyword in Sample Log Table. This variable can be changed by Data Analysis, allowing different sub-sequences to be run based on the result of the analysis. The changed value becomes the default for the next sample.

(Top)

OpticsConfigure

Flag indicating if the instrument has negative ionization option.

(Instrument Control)

OrientPr

Determines printer orientation on a per page basis. Read by PRINTTEXTFILE. 1 = portrait mode; 2 = landscape mode. If OrientPR doesn't exist, the orientation set for the current printer in win.ini is used. If the orientation is not set in win.ini, portrait mode is used.

(Data Analysis)

Orphan

Scalar. Value is 0 if this execution instance of Data Analysis is connected to Top Level and 1 otherwise.

(Data Analysis)

PageNum

Page number of a page in a print job.

(Data Analysis)

PBMShowDiff

For internal use only. Reflection of the state of the Show Difference check box on the PBM search results dialog box.(Data Analysis)

PctSCWin

Signal correlation window value used for percent reports (analogous to that used in quantitative calculations)

(Data Analysis)

Peak_Area

The integrated area of the chromatographic peak.

(Data Analysis, PEAKNUMBER, PEAKVARS)

PeakHeight

This variable has been replaced by AbsPeakHeight and BslPeakHeight.

PeakMax1, PeakMax2, PeakMax3

The maximum abundance of each tune mass.

(Instrument Control, PROFILE)

PeakMin1, PeakMin2, PeakMin3

The minimum abundance of each tune mass.

(Instrument Control, PROFILE)

Peakm_z1, Peakm_z2, Peakm_z3

Mass to charge value from curve fitting. 1, 2, 3 indicate tune mass.

(Instrument Control, PROFILE)

Peak_Name$

The name of the compound selected in the quantitation database. See GETRESULT.

(Data Analysis, GETCOMPOUND, GETRESULT)

Peak_Sig

Set by the PEAKVARS command (scalar version) to the signal description (TIC or EIC m/z) for the group # and peak # specified in the command.

(Data Analysis, PEAKVARS)

Peak_Type

Set by PEAKVARS, PEAKNUMBER (GC/MS version). Gives the Peak Type code for the integration result specified. See TABULATE RESULTS for a description of Peak Type codes.

(Data Analysis, PEAKVARS, PEAKNUMBER)

Peak_Width

The width of the peak in time units.

(Data Analysis, PEAKVARS, PEAKNUMBER)

PeakWidth1, PeakWidth2, PeakWidth3

The peak width at 50% height of each tune mass.

(Instrument Control, PROFILE)

Percent_Events$

The name of the integration parameter file. Set to null if autointegration is specified.

(Data Analysis, PCTRPTOPT)

Percent_File$

Name of the file to send report to. Set to null if report not sent to a file.

(Data Analysis, PCTRPTOPT)

Percent_Method

0=report not generated during RunMethod; 1=report generated during RunMethod.

(Data Analysis, PCTRPTOPT)

Percent_Printer

0=report not sent to printer; 1=report sent to printer.

(Data Analysis, PCTRPTOPT)

Percent_Screen

0=report not sent to screen; 1=report sent to screen.

(Data Analysis, PCTRPTOPT)

Percent_Type

0=calculated by signal; 1=calculated by retention time.

(Data Analysis, PCTRPTOPT)

PlotFont

CP variable to set plot fonts. See Font Selection in the MS Chemstation

Pk_Area

Peak area.

(Data Analysis, GETRESULT)

Pk_End_BLine

Baseline height in counts at end of peak.

(Data Analysis, PEAKVARS, PEAKNUMBER)

Pk_Start_BLine

Baseline height in counts at beginning of peak.

(Data Analysis, PEAKVARS, PEAKNUMBER)

PreCursor1, PreCursor2, PreCursor3

The abundance of each precursor.

(Instrument Control, PROFILE)

PrintCustReport

0 = disable 1 = enable

MSDA variable for Custom Reports. If when a Method is loaded there is no file called CUSTPARM.MAC, PrintCustReport is set to zero. Otherwise it can be set to 1 by Custom Reports related macros under the appropriate conditions.

(Data Analysis)

ProfData1, ProfData2, ProfData3

Data from profile scans.

(Instrument Control, PROFILE)

ProfDataPts1, ProfDataPts2, ProfDataPts3

Number of profile data points.

(Instrument Control, PROFILE)

PRLibName$

The name of the library that was searched.

(Data Analysis, PRRETRIEVE)

PRMatches

An array of 100 entries containing the entry numbers for the last search.

(Data Analysis, PRRETRIEVE)

PRMaxMatches

The maximum number of matches specified.

(Data Analysis, PRRETRIEVE)

PRNumMatches

The number of matches actually found (0 to PRMaxMatches).

(Data Analysis, PRRETRIEVE)

PRSpectrum

Variable where the library spectrum is kept.

(Data Analysis, PRRESULTS)

PRSubtract

Variable where the normalized library search spectrum is kept.

(Data Analysis, PARAMRET.MAC)

PW101, PW102, PW103

Peak width at 10% height of each tune mass.

(Instrument Control, PROFILE)


Hpmsduntitled00001681

Q

Q1,Q2,Q3

The qualifier signal masses set in the quantitation database.

(Data Analysis, GETCOMPOUND, GETRESULT)

Q1_HiRat, Q2_HiRat, Q3_HiRat

High limit signal ratios for qualifiers.

(Data Analysis, GETRESULT)

Q1_LoRat, Q2_LoRat, Q3_LoRat

Low limit signal ratios for qualifiers.

(Data Analysis, GETRESULT)

Q1_Pk_Area, Q2_Pk_Area, Q3_Pk_Area

Integrated areas of qualifiers.

(Data Analysis, GETRESULT)

Q1_Pk_Ret, Q2_Pk_Ret, Q3_Pk_Ret

Retention times (integrated) of qualifiers.

(Data Analysis, GETRESULT)

Q1_Pu, Q2_Pu, Q3_Pu

Percent uncertainty from the quantitation database.

(Data Analysis, GETCOMPOUND, GETRESULT)

Q1_Rr, Q2_Rr, Q3_Rr

Relative response, in % from the quantitation database.

(Data Analysis, GETCOMPOUND, GETRESULT)

Q1_Sum, Q2_Sum, Q3_Sum

Area sum on/off for qualifier ions. 0=off, 1=on.

(Data Analysis, GETCOMPOUND, GETRESULT)

Q1Events$, Q2Events$, Q3Events$

The qualifier signal integration mode in the quantitation database. If null and RTEINT

(Data Analysis, GETCOMPOUND, GETRESULT)

QDBWinWidth

Internal use only. Related to Quant Setup dialog.

(Data Analysis)

QDB_Insert

Internal use only. Related to Quant Setup procedure. Gives the ordinal position in the database for insert via the Quant Setup method.

(Data Analysis)

QDel

1 = quantitation hit deleted; 0=quantitation hit not deleted.

(Data Analysis, GETRESULT)

QHits

Number of quantitation hits in the result record.

(Data Analysis, GETRESULT)

QHits_Max

Maximum number of target compound hits saved by the Target Compound Ident procedure.

(Data Analysis, GETCOMPOUND, GETRESULT)

Qrint_Print

Debug for quantitation. Default is off.

(Data Analysis)

QuadMax

Maximum recommended quadrupole temperature.

(Instrument Control)

Qual_Apex

1 = spectrum taken from peak apex; 2=spectrum at peak apex minus background at start of peak; 3=spectrum at peak apex minus background at specified time; 4=spectrum that is the average of all spectra in the peak.

(Data Analysis, QUALPARMS)

Qual_Edit$

The name of the library currently being edited. Its purpose is to keep the current edited library name from becoming the first search library for the method.

(Data Analysis)

Qual_Events$

The name of the integration parameter file. Set to null if autointegration is specified.

(Data Analysis, QUALPARMS)

Qual_File$

The name of the file report sent to. Set to null if report not sent to a file.

(Data Analysis, QUALRPTOPT)

Qual_Hit1, Qual_Hit2

The hit quality threshold for the primary and secondary MS library.

(Data Analysis, QUALPARMS)

Qual_Lib1$, Qual_Lib2$, Qual_Lib3$

The names of the primary, secondary, and tertiary MS library files for searching.

(Data Analysis, QUALPARMS)

Qual_Method

0=Don't generate a library search report when running a method; 1=generate a library search report when running a method.

(Data Analysis, QUALRPTOPT)

Qual_Printer

0=report not sent to printer; 1=report sent to printer.

(Data Analysis, QUALRPTOPT)

Qual_RepType

Current selection for Library Search Report style; 0 is "summary"; 1 is "detailed"

(Data Analysis, QUALRPTOPT)

Qual_Screen

0=report not sent to screen; 1=report sent to screen.

(Data Analysis, QUALRPTOPT)

Qual_Time

The time for the background spectrum.

(Data Analysis, QUALPARMS)

Quality

Quality of the result. If the result number is not specified, it is set to the maximum quality of all the matches.

(Data Analysis, GETSCALARS RESULTS)

Quant_Detailed

0 = summary; 1 = detailed / text; 2 = detailed + graphics; 3 = single compound; 4 = area %.

(Data Analysis, QUANTRPTOPT)

Quant_File$

Filename, if not null.

(Data Analysis, QUANTRPTOPT)

QuantItems

Tracks the selection of Integrator by the quant database for the method: It is 0 if RTEINT is selected and 2 otherwise. The reason for the existence of this Variable and the value assignments is that it is used in the MENUCMD command string for the Edit Quant Result and Save Quant Result menu items for the menu item display mode. 0 means normal display, 2 means a dimmed display.

(Data Analysis)

Quant_Method

0 = no; 1 = yes

(Data Analysis, QUANTRPTOPT)

Quant_Printer

0 = no; 1 = yes

(Data Analysis, QUANTRPTOPT)

Quant_Screen

0 = no; 1 = yes

(Data Analysis, QUANTRPTOPT)

Quant_Select

Single compound selection.

(Data Analysis, QUANTRPTOPT)

QValue

The computed QValue for a Target Compound hit. See description of QValue.

(Data Analysis, GETRESULT)

Q_XCF, Q_XCI

Area correction factor and area correction ion m/z from Edit Compounds panel for the target compound entry of interest.

(Data Analysis, GETCOMPOUND, GETRESULT)

Q_XCResp

Contains area correction response. Zero if area correction is not enabled. This is the value subtracted from the ordinary peak area to yield the corrected area. Set by CPDANALYZE, read by UPDATERSLT.

(Data Analysis, CPDANALYZE)


Hpmsduntitled00001682

R to S

RampData

Data from SIMRAMP.

(Instrument Control, SIMRAMP)

RampDataPts

Number of data points from SIMRAMP.

(Instrument Control, SIMRAMP)

RampMax

Maximum abundance of last ramp if the optimization type is Max.

(Instrument Control, SIMRAMP)

Ratio_Method

0 = Extended Area Quant

1 = No subtraction

2 = Low first & last

3 = Avg first & last

(Data Analysis, GETCOMPOUND)

RecalStat[]

Array providing information when an Update Calibration operation uses an MS ChemStation G1034C results file that was created at some previous time. RecalStat[1]=the number of compounds in the quant database. RecalStat[2]=the number of result records in the Quant Results file, including NOT FOUNDS and excluding multiple hit records. RecalStat[3]=the number of updates to the quant database that actually occurred during the Update Calibration operation. RecalStat[4]=the number of records in the Results file that were successful but for which no compound in the quant database yielded an exact name match.

(Data Analysis, RECALIB)

Ref_Name$

Set by GETCOMPOUND to the Ref Spec Name field for the given target compound entry.

(Data Analysis, GETCOMPOUND)

RefWin

Reference window: one-half of this value is the limit in time from the expected retention time a given peak can be and still be considered as a potential match for a time reference compound.

(Data Analysis)

RefWin_Tp

How the RefWin value is expressed: 0=minutes; 1=percent relative to the expected retention time.

(Data Analysis)

ReInt

0=directs macro to reintegration because user was not satisfied with peak assignment; 1=directs macro to accept peak assignment made during this session

(Data Analysis, ASSIGNPEAKS)

Ret_Index

Retention index (or retention time) from the library header.

(Data Analysis, GETSCALARS RESULTS)

Ret_Time

The current retention time in minutes; updated periodically during data acquisition.

(Instrument Control, RUNSTART, )

Ret_Time

The retention time of the integrated peak. See PEAKVARS, SCAN, SPECTRUM.

(Data Analysis, PEAKNUMBER, PEAKVARS)

RF array

Response factors.

(Data Analysis, GETRESULT)

Rho

Calibration curve fit statistic. For linear fits, it's the coefficient of determination for average RF, it's the relative standard deviation, etc.

(Data Analysis, GETRESULT)

RT_Delta

The range around an expected retention time a given peak can be and still be considered a potential match when a compound is added to the quant database.

(Data Analysis)

RTWinMod - format of extraction window

0 = display extraction window on Compounds panel in minutes format

1 = display extraction window on Compounds panel in percent format

(Data Analysis, GETCOMPOUND, PUTCOMPOUND)

Runlength

The length of the current run in minutes. Updated if user extends the run time during a run.

(Instrument Control, RUNSTART, , )

Scan_Num

The scan number of the retrieved spectrum. See PEAKVARS, SCAN, SPECTRUM.

(Data Analysis, PEAKNUMBER)

ScanAbund1, ScanAbund2, ScanAbund3

Abundance at each tune mass.

(Instrument Control, SCAN)

ScanBaseAbund

Abundance for base peak.

(Instrument Control, SCAN)

ScanBasePeak

Base peak (amu).

(Instrument Control, SCAN)

ScanData

Data from spectrum scan.

(Instrument Control, SCAN)

ScanDataPts

Number of data points from spectrum scan.

(Instrument Control, SCAN)

ScanIsoAbund1, ScanIsoAbund2, ScanIsoAbund3

Isotope abundance.

(Instrument Control, SCAN)

ScanIsoMass1, ScanIsoMass2, ScanIsoMass3

Isotope mass.

(Instrument Control, SCAN)

ScanMass1, ScanMass2, ScanMass3

Mass (amu) for each tune mass.

(Instrument Control, SCAN)

ScanNumOn

1 = Use scan number instead of time for files.

(Instrument Control, MSOPEN)

SCErrNum

Error number from MS interface during last I/O.

(Instrument Control)

SCErrString$

Error string from MS interface during last I/O.

(Instrument Control)

SCTimeOut

Allows modification of timeout for the SCWRITE, SCQUERY, and SCTRACE commands.

(Instrument Control)

SCWin

The signal correlation window for quantitation.

(Data Analysis)

SequenceFlag

Read by Sample Log Table keywords On_Flag and If_Flag. 1=on; 0=off.

(Top, TOPDOT)

Seq_Trace

Global variable set by user; turns sequence debugging tool on and off: 1=on; 0=off.

Sig_Num

The target signal mass for the quantitation database.

(Data Analysis, GETCOMPOUND, GETRESULT)

SigMin, SigMax

Minimum and maximum signal levels.

(Data Analysis, GETRESULT)

Size

The size in bytes if the file exists. Otherwise -1 if file does not exist.

(All, FILESIZE)

Snapshot

The status of a snapshot operation: 2=initiate a snapshot remotely with DDE; 1=initiate a snapshot interactively with the Make Snapshot File button; 0=snapshot successful; -1=snapshot unsuccessful.

(Instrument Control, RUNSTART)

Spectral_Window

Size in amu of an interval over which all m/z points in a mass spectrum are considered to be the same m/z value (used in MS addition with the + operator). Saved as part of a Method, in MSDAMISC.MAC. If set to zero before you call BSB, gives you a raw BSB.

(Data Analysis)

StackState

Used only by MSDA to track the display state of the Stack window. Its value is to be 0 if the Stack window is invisible/off, or 1 if the Stack window is visible/on.

(Data Analysis, STACK)

Start_Scan, Stop_Scan

Set by PEAKVARS and PEAKNUMBER (GC/MS version). Gives the starting and ending scan number associated with an integrated peak. Only useful for RTEINT integration -- values are always 1 for MS ChemStation integration.

(Data Analysis, PEAKVARS, PEAKNUMBER)

Start_Time

The starting time of the chromatographic peak. See the PEAKVARS command.

(Data Analysis, PEAKNUMBER)

StdMenu

This is a variable of class MENU that contains the data structure for the standard menu of the running ChemStation application.

(All)

Suppress

If set to 1, no negatively valued m/z points are created in a mass spectrum that results from MS subtraction; these points are moved from the result.

(Used in MS subtraction with the - operator.)

(Data Analysis)

Surrogate

Surrogate level.

(Data Analysis, GETRESULT)


Hpmsduntitled00001683

T to Z

T0,T1

The integration time range for the quantitation database.

(Data Analysis, GETCOMPOUND, GETRESULT)

TabFooter$

If TabFooter is set, PageNum will be printed at the bottom of each page of a tabulation.

TargMass, Target1, Target2,...Target6

(Instrument Control, OPTIM)

TgtEvents$

Target signal integration mode for the quantitation database.

(Data Analysis, GETCOMPOUND, GETRESULT)

TR_Corr

Time reference correlation; set to ratio of the actual and expected retention times if a compound is marked as a time reference compound; otherwise, not set.

(Data Analysis, STARTANALYSIS, CPDANALYZE)

TRun_Duration

Duration of tune acquisition run in minutes. Set when ScanNumOn is set to 0 by EDITFILEINFO.

(Instrument Control)

TRun_NScans

Duration of tune acquisition run in number of scans. Set when ScanNumOn is set to 1 by EDITFILEINFO.

(Instrument Control)

TuneFileName$

Current tune file. Initial default from the system is ATUNE.U. See SAVECONFIG.

(Instrument Control, GETCONFIG)

TuneFilePath$

Directory path for current tune file. Default is always the MS ChemStation's MSEXE directory. Any other path will result in an error. See SAVECONFIG.

(Instrument Control, GETCONFIG)

TuneSize

0=icon; 1=full screen.

(Instrument Control)

TuneTraceName$

The output file name for logging of the Tune process. The initial value is TUNE.TRC.

(Instrument Control, TRACE)

TuneTracePath$

The drive and path for Tune logging output. The initial value is the MS ChemStation's MSEXE directory.

(Instrument Control, TRACE)

TuneType$

Title string for autotune reports.

(Instrument Control)

Type

MS type: 4=5973.

(Instrument Control)

Unc_Tp

Percent uncertainty type selection; 0=relative, 1=absolute.

(Data Analysis, GETCOMPOUND, GETRESULT)

Uqr

0=update qualifier ratios, 1=do not update qualifier ratios.

(Data Analysis, GETRESULT)

UseQIons

A control flag for using qualifier ions; 0=ignore, 1=use qualifier ions.

(Data Analysis, GETCOMPOUND, GETRESULT)

UseRteInt

>0=the RTE integrator is used where integration is called for in standard MSDA procedures. 0=the MS ChemStation integrator is used.

(Data Analysis)

Valley1, Valley2, Valley3

The abundance of each valley.

(Instrument Control, PROFILE)

Value

The value found. If the index is out of range, the nearest existing index is used.

(Data Analysis, GETSCALARS INDEX)

ValvePrompt

No effect on instruments with automatic calibration valve.

0=no prompt, 1=prompt to close valve (default)

(Instrument Control)

Window_Drag

Internal use only. State variable for zooming.

(Data Analysis)

Xval

X-value corresponding to Y-value. See GETSCALARS POINT.

(Data Analysis, GETSCALARS)

Xhigh

Highest X-value in the object. See GETSCALARS POINT.

(Data Analysis, GETSCALARS)

Xlow

Lowest X-value in the object. See GETSCALARS POINT.

(Data Analysis, GETSCALARS)

Yes

NO = 0, YES = 1, OFF = 0, ON = 1

CP Variables predefined for the purpose of serving as alternate symbols to 0 and 1 for certain commands (historical reasons).

(All)

Yval

If the object is a single object, Y is the same as Yhigh. See GETSCALARS POINT.

(Data Analysis, GETSCALARS)

Ylow

Chromatograms: Lowest Y-value in the object (may be positive, negative, or zero).

Spectra: Lowest Y-value in the object if negative. Otherwise set to zero to reflect the fact that mass peaks not present in the spectrum have zero abundances.

See GETSCALARS POINT.

(Data Analysis, GETSCALARS)

Yhigh

Highest Y-value in the object. See GETSCALARS POINT.

(Data Analysis, GETSCALARS)


Hpmsduntitled00001688

Dual tower sequence

Sequence Name: C:\MSDCHEM\1\SEQUENCE\DEFAULT.S

Comment: Dual Tower/Dual Column Sequence

Operator:

Data Path: C:\MSDCHEM\1\DATA\

Pre-Seq Cmd:

Post-Seq Cmd:

Method Sections To Run On A Barcode Mismatch

(X) Full Method (X) Inject Anyway

( ) Reprocessing Only ( ) Don't Inject

Line Type Vial DataFile Method Sample Name

--------------------------------------------------------------

1 DualTwr

2 RearSamp 1 REAR1 RearTower Sample 1

3 Sample 2 FRONT2 FrontTower Sample 2

4 RearSamp 3 REAR3 RearTower Sample 3

5 Sample 4 FRONT4 FrontTower Sample 4

Front Tower data files are placed in the c:\MSDchem\1\data directory. Rear Tower data files are placed in the c:\MSDchem\1\data.sec directory.

The GC detector MUST be specified as GC signal 2 and the MSD must be specified as the front inlet in the MS Configuration program.


Hpmsduntitled00001689

Single inlet, single column, GC and MS detectors, one data file directory

Sequence Name: C:\MSDCHEM\1\SEQUENCE\DEFAULT.S

Comment: Single Data files containing both MS and GC signals

Operator:

Data Path: C:\MSDCHEM\1\DATA\

Pre-Seq Cmd:

Post-Seq Cmd:

Method Sections To Run On A Barcode Mismatch

(X) Full Method (X) Inject Anyway

( ) Reprocessing Only ( ) Don't Inject

Line Type Vial DataFile Method Sample Name

--------------------------------------------------------------

1 Sample 1 hp1 DEFAULT Sample 1

2 Sample 2 hp2 DEFAULT Sample 2

3 Sample 3 hp3 DEFAULT Sample 3

4 Sample 4 hp4 DEFAULT Sample 4

Data files are placed in the c:\MSDchem\1\data directory.


Hpmsduntitled00001760

 Not Available

This information is not yet available.


Update Calibration

When you select Calibrate / Update Levels/Single Level, the Update Calibration dialog box is displayed. This dialog box is also displayed when you use the AutoQuant Setup feature.

Calibration Data File

Calib Level ID

Add New Level

Recalibrate

Delete

After completing the items needed for your calibration update, click Do Update. The Edit Compounds box is automatically displayed to let you view the calibration data.

This dialog box is available only when the current method includes a quantitation database with entries.


Update Reference Spectra

Reference spectra are used to compare the known data from a standard or library to data acquired for target compounds. Reference spectra can be updated from the loaded data file interactively in EasyID or QEdit.

The reference spectra are obtained by selecting the scan at the apex of the peak and subtracting the scan prior to the first scan of the peak.


Update Responses

No Update

Nothing is done.

Average

The new value is an average of the initial calibration and all recalibrations. A counter is kept with each value in the calibration database to indicate the number of values used to calculate the current value. The equation used for the revised average is:

n * Response Old + Response New

n + 1

where

n = 1 (the initial calibration + the number of previous recalibrations)

Response Old = current response stored in the calibration table

Response New = newly acquired response

The current value of n can be obtained from the compound database for a compound by using the GETCOMPOUND command and then Cavg.

Whenever instrument conditions change and generate responses that differ significantly from the currently stored responses, the Replace update option is recommended.

Replace

The old value is replaced with the new one. All counters for this level are reset to 1.


Update Retention Times

No Update

Nothing is done.

Average

The new value is an exponential average:

New RT = 3/4 (Old RT) + 1/4 (new RT from results* file)

Replace

The old value is replaced with the new one.

* A results file is stored along with the data file when the data file is quantitated.


User Libraries

User libraries contain mass spectra that are manually entered into the library. Such libraries include compounds typically searched for in a specific application. The source of the entries may be a commercial library or a data file of standards.

See Also

Create Library

To Add a New Entry


User Tune - definition

User Tune is useful for selecting different tune masses, tuning for higher sensitivity (by sacrificing resolution), or obtaining different relative abundances.

User Tune on the 5972 is similar to Max Sensitivity Autotune except that it uses tune masses, scan settings, and emission current that you have previously set.


User-Defined Items

You may wish to enter compound specific information.

A1 through A3 are alphanumeric items with a maximum of 19 characters each.

N5 through N9 are numeric items.


Using Chromatograms

How to

Align GC and MS chromatograms

Display chromatograms in merged format

Display the total ion chromatogram (TIC)

Display a real-time (snapshot) TIC

Perform background subtraction (BSB)

Extract ion chromatograms (EIC)

Integrate chromatograms

Manually integrate a chromatogram

Use the peak purity tool

Reference

Chromatogram Menu


Using Mass Spectra

How to

Display a mass spectrum

Add mass spectra

Subtract mass spectra

Display an averaged mass spectrum

Perform a library search on a spectrum

Use DOSCAN

Reference

Spectrum menu


Using the ChemStation Integrator

The ChemStation integrator can satisfactorily integrate all types of chromatograms, including those with difficult baselines and negative peaks. You can control the integration process by setting integration parameters, usually referred to as integration events.

The ChemStation integrator allows you to AutoIntegrate using initial integration events. If the results are not suitable, you can set the integration parameters and then select Integrate from the Chromatogram menu.

To set integration parameters, select Chromatogram / MS (or GC) Signal Integration Parameters. The Edit Integration Events panel will appear.

See Also

Using the RTE Integrator


Using the Keyboard (Tune)

Using the Keyboard

  • To get from one field to another, press Alt+underscored character for the field nearest the one you want. Press Tab to go to the next field; press Shift+Tab to go to the previous field.

  • To cycle among the Edit Parameter dialog boxes, press Alt+Shift+F6.

  • To get to the scroll bar, press Alt+z.

  • To return from the Acquisition Parameters dialog box, press Alt+F6.


Using the RTE Integrator

The RTE integrator provides very fast integration of relatively simple chromatograms where peaks are narrow and well resolved. It is well suited for target compound analyses. The default parameters assume that the data to be integrated is a total ion current (TIC) of scanned data from capillary column chromatography over the entire chromatographic range. If the appropriate integration parameters are selected, the RTE integrator can handle acquisition (SIM) and integration objectives such as detecting internal standards within a small retention time window.

The integration process of the RTE integrator is controlled by integration parameters. To set or review parameters for the RTE integrator:

  1. Make sure the RTE integrator is selected (Calibrate / Set Up Quantitation)

  2. Select Chromatogram / Integration Parameters.

Integration parameter files can be created and saved with a method for use with quantitative, library search, or percent reports.

See Also

Using the ChemStation Integrator


Vacuum

The Vacuum menu in the Diagnostics view allows you to:

  • Check the vacuum status of the MSD

  • Initiate venting

  • Initiate pumpdown

  • Purge the calibration valve

Vent and pumpdown are automated procedures that begin when you select the menu item. A series of prompts will guide you through the process you have selected. You will be prompted to turn on the GC oven and GC/MSD interface heater. A status dialog box is displayed until the procedure is completed. You may cancel the display of the box by selecting Exit; the procedure continues to completion.

  • To cancel a vent, select Pump Down.

  • To cancel a pump down, select Vent.

  • To purge the PFTBA calibration valve, select Purge Cal Valve.

Caution

If you have refilled the calibration vial or replaced the calibration valve, you must purge the valve before tuning or acquiring data (before MS On). Details are given in the MSD Hardware Manual.


Vacuum (Parameter)

Vacuum displays the foreline pressure of the MSD in mTorr.

5972 / 6890 MSD only.


Valve

Note: Before specifying a valve setpoint you must specify how you will use it. See Configure.

To change the state of a valve to on, place an X in its On check box. (To download changes to the GC, click on either the Apply or the OK button. See Buttons for more information.)

The ChemStation saves on/off setpoints with the method. When you load the method, the ChemStation will turn on any valves with an X in the On check box.

Type is a read-only display of the valve's configuration.

Other Items in this Dialog Box:

Configure


Valve 1-8

Select the Type that signifies the valve's function. The ChemStation will prompt you for the configuration information that correponds to the function you specify.

Click on any Type for more details:

Gas Sampling

Switching

Multiposition

Other

Not Installed

For more information about valves, see Valves.

OK/Undo/Help Buttons


Valve Configuration

Review the configuration information about the valve(s) installed on your 6890 Series GC. Respond to the best of your knowledge, then click OK.

For each installed valve you want to configure:

  1. Click on the Configure button. The ChemStation will display a detailed dialog box for you to complete.

  2. Enter the information requested for the type of valve installed and click OK.


Variables / Macros Lists

To display these lists type the REMOVE command with no arguments at the command line of any ChemStation window. These lists are used to:

  • Display the current value of a variable (useful when troubleshooting a macro)

  • List the size (in bytes) of a macro

  • Remove a variable or macro

To find an entry in the Variables or Macros lists

  1. Activate the desired list by clicking on any item in the list.

  2. Browse through the list using the scroll bar or arrow keys.

To look for a specific item

  1. Press the key corresponding to the first letter of that item.

  2. Continue to press the key to browse through entries beginning with this letter.

To remove a variable or macro

  1. Select the entry and click OK.

  2. The REMOVE command is displayed on the command line; press Enter and the entry is removed.

Variables preceded by an underscore are reserved and cannot be removed or assigned; they may only be used.


Variations in pressure, column flow, and temperature

Keep the foreline pump and diffusion pump serviced. Make sure the carrier gas supply is steady and well-regulated. Avoid large changes in the ambient temperature. Keep the MSD out of drafts and direct sunlight.


View menu (Parametric Retrieval)

View Menu

You have four options for the display of parametric retrieval results. The currently active option is preceded by a check mark.

Standard Menu | Returns to the standard Data Analysis menus.
Library Entry Only | This item is active always.
TIC and Library Entry | This item is dimmed until a retrieval has been done and a TIC has been loaded.
Unknown and Library Entry | This item is dimmed until a retrieval has been done and a spectrum has been selected from the TIC.
Unknown, Library Entry, and Difference | This item is dimmed until a retrieval has been done, a spectrum has been selected from the TIC, and a subtraction has been done using Spectrum / Normalized Subtract.


View Sequence Quality Log

Sequence / View Sequence Quality Log lets you check Internal standard response and surrogate recovery for each sample in the last sequence completed.

While the sequence is running, you can check this information in Notepad by opening QA.LOG in the instrument directory, for example, MSDCHEM\1. (Be sure not to Save this file after viewing, or you will lose information about the current sample.)


Viscosity

Number of seconds the syringe plunger should pause between the last pumping stroke and the injection stroke. For viscous samples, the pause allows the sample to flow into the vacuum that has been created in the syringe.

In the G1513A GC Injector, the viscosity setting also be applies to the solvent wash steps. This allows more time for the wash solvent to dissolve any residual sample in the needle.

Valid entries: 0 to 7.

Other Items in this Dialog Box:

Sampling Depth (not available on all injectors)

PreInjection Dwell (not available on all injectors)

PostInjection Dwell (not available on all injectors)

Plunger Speed

OK/Cancel/Help Buttons


VOA compounds

VOA compounds are volatile organic analysis compounds that can be prepared for analysis using the purge and trap technique. Also referred to as volatile or purgeable compounds.


Washes

Specify the number of solvent washes, sample washes, and pumping strokes you want to control sample carryover from an injection. Click on any one of the parameters below for more details:

Sample

Solvent A

Solvent B

Pumps

PreInjection - Sample washing and pumping can be specified to take place before injection.

PostInjection - Solvent washing can be specified to take place after injection.

Other Items in this Dialog Box:

Injection Volume

More Button (6890 GC)

Extended Parameters Button

Configuration Button

OK/Cancel/Help Buttons


Washes

Specify the number of solvent washes, sample washes, and pumping strokes you want. Click on any one of the parameters below for more details:

Sample

SolventA

Solvent B

Pumps

PreInjection - Sample washing and pumping can be specified to take place before injection. No washes are performed before the rest of the injections in a multiple injection set.

PostInjection - Solvent washing can be specified to take place after injection. No washes are performed after the rest of the injections in a multiple injection set.


Wid219

Wid219 affects the width of mass peak at 219 amu. The value entered for this parameter is approximately the value of the correction applied at mass 219. For instance, if a peak width adjustment has been performed and the values are:

Mass | 69 | 219 | 502
Peak width | 0.60 | 0.63 | 0.60

then entering a value of -0.03 for the Wid219 parameter, followed by a peak width adjustment, should result in the peak widths of all masses being set very close to 0.60 amu.

MSD | MIN | MAX | STEPSIZE
5973 | -0.15 | +0.15 | 0.001
5972 / 6890 | -0.15 | +0.15 | 0.001


Windows for Workgroups - Example

Example

  1. Computer VOA_1 has an instrument connected for acquiring data.

  2. Computer Reports is a Data Analysis only system for generating and printing reports.

  3. Computer VOA_1 has a hard disk C labeled VOA_1_C.

  4. From Windows Explorer (or File Manager) on VOA_1, share drive C as VOA_1_C (same name as volume label).

  5. On computer Reports connect to network drive VOA_1_C. (assigned drive letter does not matter).

  6. Start Report Manager on both systems.

  7. Computer VOA_1 sends a request to Reports to generate a report.

  • On computer VOA_1, the data file is c:\MSDchem\1\data\mydata.d. The method file is c:\MSDchem\1\methods\mymeth.m. The drive label for C is VOA_1_C.

  • Computer Reports has VOA_1_C connected as drive D.

  • When computer Reports receives the request to process mydata.d using mymethod.m, it looks through its available drives for one labeled VOA_1_C.

  • Computer Reports finds that drive D is labeled VOA_1_C.

  • It then changes the paths to d:\MSDchem\1\data\mydata.d and d:\MSDchem\1\methods\mymeth.m.

Thus, when a report is generated on Reports, the drive letter will be different from VOA_1 but both are referring to the same files.


Wrong tune file

Make sure the tune file specified in the current method is appropriate for the samples being analyzed.


Wrong tune program

Tune programs other than autotune have different relative abundance targets. The DFTPP and BFB target tune programs adjust the 5973 MSD to achieve about a 0.8% ratio of m/z 502/69. Check which tune program was used. If the relative abundance you observe is not appropriate for the tune program used, refer to the other possible causes.


XPand Chromatographic Window

This menu item expands the chromatographic window by two minutes (one minute on each end of the window). It is useful if the peak of interest is on the edge of the window. If you have zoomed in using the mouse and then use the XPand function, the new, expanded window is based on the original data. It is not based on the zoomed in view.

To return to the original view, select Original Chromatographic Window.


X-Ray/HED (Parameter)

Xray(HED) sets the voltage of the Xray lens (part of the detector). The Xray lens focuses the ions into the detector, which is located off-axis, hidden from photons and electrons coming from the ion source. The optimal Xray voltage depends on the electron multiplier setting. Thus, the electron multiplier voltage is usually set first. Then, the Xray voltage is ramped to determine the setting that provides the greatest abundance.

MSD | MIN | MAX | STEPSIZE
5972 / 6890 | 0 | 218 | 0.9

Not used on a 5973 MSD.


Low Mass Autotune

Low Mass Autotune is identical to Autotune except it tunes on masses 69, 131, and 219 instead of 69, 219, and 502. It is intended for low molecular weight applications and natural gases under 250 daltons.


Macro

A macro is a list of instructions (commands) stored together in a file. You can execute a macro with a few keystrokes. Macros are useful for automating tasks you frequently perform on the MS ChemStation that otherwise require you to make many mouse actions, menu choices, panel entries, or command line entries. They can also be used to customize operation of the MS ChemStation, such as to print a report in a special format.


Method Resolution

The method resolution dialog box lists the initial configuration differences between the method you are loading and the 6890 GC's configuration, the assignments made to resolve the method, and the reasons why they were made.

Note: You can override any assignment that has just been made by clicking on the icon that moved and dragging it back to the left side of the dialog box.

To complete the method resolution process:

  1. Review the automatic assignments (on the right).

  2. Edit the assignment(s) as necessary. You can:·

  • Override an automatic assignment. Click on the GC icon that received the automatic assignment and drag it back to the left. (This may initiate new automatic assignments.)

  • Make manual assignments. Click on the icon on the left, drag it to the right, and drop it on the GC icon that should receive the assignment. If the ChemStation determines the assignment to be unreasonable (for example, if you are trying to assign setpoints from a multiposition valve to a valve that is configured as a switching valve), the icon you moved will return to the left automatically.

  • Start over again. To clear all of the assignments and begin again, use the Start Over button:

  3. When you are satisfied with the assignments, click OK and proceed to the Instrument Control screen.

  4. Adjust the setpoints, if necessary, to optimize the GC's performance when you run the method. (Refer to Edit Parameters for more information about editing the parameters in a specific instrument control dialog box.)

  5. Save the resolved method.


Method Resolution Setpoint Assignment Reasons

This method resolution dialog box lists:

  • the initial configuration differences between the method you are loading and the 6890 GC's configuration, and

  • the assignments made to resolve the method, and the reasons why they were made.

Review the reason for each assignment, and make note of any items that may need to be reassigned.

Click OK to return to the initial Method Resolution dialog box. (From there, you can clear the assignments and restart the assignment process if you need to.)


Spectral Manipulations Dialog Box

The spectral manipulations options are designed to clean-up mass spectra that have one of more of the following problems.

  • too many ions or noisy spectra

  • multiple ions within a 1 amu range

  • mass defects exceeding 1 amu.

  • require CNORM

Spectra with these characteristics may be manipulated with the following options.

Select N Biggest MZs...

Only the specified "N" largest ions are present in the modified spectrum.

Eliminate Noise Below X%

Only Ions whose abundances are above the specified threshold are present in the modified spectrum.

Sum Ions of the Same Mass

The ions in the mass spectrum are assigned to their nominal mass, i.e., 69.00 rather than 69.10. The modified spectrum has only one ion at each mass, and the abundance of that ion is the sum of any of the original ions at that mass.

Choose Largest Ion of Each Mass

The ions in the mass spectrum are assigned to their nominal mass, i.e., 69.00 rather than 69.10. The modified spectrum has only one ion at each mass, and the abundance of that ion is the largest abundance of any of the original ions at that mass.

Assign Nominal Mass Values

The ions in the mass spectrum are assigned to their nominal mass, i.e., 69.00 rather than 69.10

Select N Most Significant MZs

Only the specified "N" most significant ions are present in the modified spectrum. Significant is determined by an algorithm in the library search program that favors high mass weight ions over lower mass weight ions.

If the CNORM factor information is present (cnorm.ini within the datafile container and TuneName in pre_post.ini) a button will be displayed that will allow CNORM of the raw spectrum.

After the selection is made, the register stack contains:

X - original mass spectrum

Y - modified mass spectrum

Z - difference between the original and the modified

T - a set containing X,Y, and Z.

Window 1 is redrawn with T.


American Standard Code for Information Interchange

American Standard Code for Information Interchange (ASCII) is an internationally known eight-bit code that is used to represent text information. Most standard text editors are capable of generating this type of file.


CAS Number

CAS Number is a number used to identify a chemical. Sequentially assigned CAS numbers identify specific chemicals except when followed by an asterisk (*), which signifies a compound (often naturally occurring) of variable composition. The numbers have no chemical significance. The CAS number is a concise, unique means of chemical identification.


Chemical Abstract Service

Chemical Abstract Service is an organization that indexes information in Chemical Abstracts published by the American Chemical Society and that provides index guides to information about particular substances in the abstracts.

Chemical Abstract Service

Division of American Chemical Society

Box 3012

Columbus, OH 43210

(614) 447-3600


Display Options for Structure Drawings

These options let you change the color and thickness of various components of a structure and rotate the structure.

The Dashed Circles checkbox causes aromatic bonds to be displayed either as a dashed circle or as a solid circle. (Note that Mol files containing aromatic rings display the aromatic bonds as localized double bonds.)


Dynamic Link Library

Dynamic Link Library is a file that contains object code that is not statically linked into an application. DLLs are used to encapsulate commonly accessed code and to extend the capabilities of an application at run time. Microsoft Windows itself is simply a collection of DLLs.


HIA Compliant Applications

HIA-Compliant -- An application that adheres to the HIA interface specification is said to be HIA Compliant and can be extended through the use of HIA DLL modules.


Hyphenated Instrument Architecture

 Hyphenated Instrument Architecture is a software architecture that facilitates creation of applications supporting the various hyphenated analytical techniques (e.g., GC/MS, GC/IR, GC/IR/MS, LC/MS, LC/ES/MS, etc.).


Initialization File

Many of the parameters used for structure drawings are stored in an initialization file named struct.ini. This file is created and maintained in the same directory that the struct.dll file is located. An example of the contents of this file is listed below.

[Globals]

TextBkMode=2 ; Background mode for text strings

AromaticCircleMode=2 ; Drawing mode for circles inside aromatic rings

DefStructureCAS=-2363 ; CAS # to use when CSDrawOpts called with no parameter

TextSize=12 ; Size of atom text strings

DrawBorder=1 ; Whether or not to draw borders around structures

UseThickBonds=0 ; Whether or not to use thicker bond lines

HelpFile= ; Help file name (if other than struct.hlp in the MSEXE directory)

HelpContextBase= ; Start of structure help topic in other help file

; Ordered list of database libraries to search

[Databases]

  1. C:\MSDCHEM\MSEXE\SUBSET.SDB

  2. C:\DATABASE\MOLSTRUC.SDB

; Text strings font details

[Font Info]

FaceName=Arial

Height=12

Width=0

Weight=400

TypeFlags=0

Family=144

; Colors of the various components of a structure

[Colors]

CustomColor1= 192 192 192 ; Single bond

CustomColor2= 0 255 0 ; Double bond

CustomColor3= 0 0 255 ; Triple bond

CustomColor4= 255 0 255 ; Aromatic ring

CustomColor5= 0 0 0 ; Text background

CustomColor6= 0 255 255 ; Text strings

CustomColor7= 255 255 255 ; Border

CustomColor8= 255 0 255

CustomColor9= 0 0 128

CustomColor10= 0 128 0

CustomColor11= 0 128 128

CustomColor12= 128 0 0

CustomColor13= 128 0 128

CustomColor14= 128 128 0

CustomColor15= 128 128 128

CustomColor16= 0 0 0

The meaning of most of the parameters should be straightforward, with the following possible exceptions:

DefStructureCAS: The value listed here is the CAS number of a structure that is to be displayed in the Drawing Options dialog box if it was invoked without a specific structure (i.e., for global options setting). If the value is positive, then it specifies a CAS number, if negative then it specifies an absolute record number. The idea here is to provide a reasonably complete compound to display, one that has all or most of the changeable items (e.g., single, double, triple bonds, aromatic rings, and text strings).

TextSize: The value listed, if positive, is the relative height of a text character cell (which is slightly larger than the actual character), characters will scale when the structure size is changed. As a comparison, the standard bond length (for the NIST database) is 10 units, so a value of 12 is generally sufficient. If this value is negative than it is an absolute character point size that will not alter even if the structure is resized.

HelpFile: The filename listed here indicates that the help information for this HIA component is not located in a separate file (e.g., struct.hlp) but is embedding within a larger application's help file whose name is listed. When this is the case, the keyword HelpContextBase indicates the start of the context numbers that have been assigned for structures in this application's help file.

[Colors]: There are 16 items listed in this section, currently the first 7 have the predefined meanings as listed above, however, all 16 are displayed (and are alterable) in the Choose Color dialog box in the Custom Colors: section. The values listed here represent the Red, Green, and Blue (RGB) contributions to the given color and range from 0 to 255. White would be represented as all colors contributing to their maximum (255 255 255) and black would be represented as the absence of any contributions (0 0 0).


ISIS (Definition)

ISIS is a trademark of Molecular Design Limited.


Mol File (Definition)

Mol File is an ASCII text file that describes a connection table for a chemical structure. The layout of this file is documented in the Journal of Chemical Information and Computer Sciences Volume 32, May/June 1992 issue in the article Description of Several Chemical Structure File Formats Used by Computer Programs Developed at Molecular Design Limited (pp 244-54).

ISIS Draw is capable of generating this type of file for the structures created in the program.


Molecular Design Limited (Definition)

Molecular Design Limited is a company that produces integrated scientific information systems, including software that permits the user to draw chemical structures (e.g., ISIS Draw).

Molecular Design Limited

2132 Farallon Drive

San Leandro, Ca 94577

(510) 895-1313


National Institute of Standards and Technology

National Institute of Standards and Technology was formerly the National Bureau of Standards (NBS). This U.S. government body publishes a database of mass spectral information that currently includes connection table information for the various compounds listed therein.


Text Options for Structure Drawings

You may select any available font and size for element symbols used in the structures.

The Abs button causes them to be displayed in the specified size regardless of the size of the rest of the structure. The Rel button sizes the symbols relative to the structure.

The Opaque button causes them to obscure any underlying text or graphics. The Transparent button lets you see the underlying material.


Commands / Functions Lists

These lists include all of the commands and macros available in the current application. To display these lists, type the COMMAND command with no arguments at the command line of any ChemStation window. If you are looking for help on a specific command, go to System Commands.

To find an entry in the Commands or Functions lists

  1. Activate the desired list (e.g., click on any item in the list).

  2. Browse through the list using the scroll bar or arrow keys.

To look for a specific item

  1. Press the key corresponding to the first letter of that item.

  2. Continue to press the key to browse through entries beginning with this letter.

If you click OK, the currently highlighted item will be displayed on the command line.


CSEDITLIB

CSEDITLIB ["structure database file name"]

This command presents a dialog box that lets you examine and modify existing structure databases.

"structure database file name"

The name of the database file to examine.


CSIPACK

CSIPACK "input file name", "output file name"

This command creates an index file from an ASCII text file of ascending CAS numbers and file offsets.

"input file name"

The name of the file that contains the ordered ASCII text list of CAS numbers and database file offsets.

"output file name"

The name of the output database index binary file

This command is an unsupported testing utility and is not intended to be used in the normal operation of the system.


CSMFCREATE

object = CSMFCREATE ()

This function will create a metafile object from data that is currently on the clipboard.


CSPACK command

CSPACK "input structure text file name", "output binary file name" [, low:high]

This command creates a NIST-formatted structure database from an ASCII text file.

"input structure text file name"

The name of the file that contains the ASCII representation of the structure database.

"output binary file name"

The name of the database file that is to be generated.

low:high

The index range of structures that are to be converted.

This command is an unsupported testing utility and is not intended to be used in the normal operation of the system.


CSTESTHIT

CSTESTHIT (ms object, x0, y0, operation)

ms object

x0, y0,

operation


CSVIEW

CSVIEW structure object

This command displays a dialog box that shows the connection table data that is associated with the given structure object.

structure object

Any object that was created with the CSCREATE function.

This command is an unsupported testing utility and is not intended to be used in the normal operation of the system.


DELLEVEL

DELLEVEL ["level ID"]

Used in a macro to delete a calibration level from all compound entries in the quantitation database.

"level ID"

A string corresponding exactly to the ID of the level to be deleted. If not specified, the current calibration level (as designated in the Update Calibration dialog box) is deleted. This parameter is case-sensitive.


EDZONE

5973 MSD only. Displays a dialog box for viewing and setting source and quadrupole temperatures. This box displays the actual, setpoint, and limit; you can enter new values for the setpoint and limit. These new values will not be permanently stored with the method unless you save the tune file.


LSC

LSC (library search compound) is a non-target compound present in a sample. Such compounds are also referred to as LSRs (library search results), or TICs (tentatively identified compounds).


LSTSQFIT

LSTSQFIT <data matrix>, [m], [n]

This command processes matrix points to find the least squares solution of a polynomial of specified degree.

y = c0 + c1*x + c2*x^2 + ... + cn*x^n

data matrix

(q x 2) matrix that defines q (x,y) pairs of data points.

m

number of data points of data matrix to use. m <= q. Default = q (dimension of data matrix). 1000 >=m >= 2

n

number of coefficients to be determined by the least squares method. n<=m and n<6. For a polynomial, n is the degree of polynomial + 1. For example, n = 2 for estimating a line. Default = 2.

Output

The array of coefficients is defined in LstCoef. LstCoef has the dimension of n. The coefficients are ordered such that the first coefficient is c0, and the last is cn.

Discussion

If a least squares solution cannot be obtained with the given set of data, an error will NOT be generated, but the members of LstCoef will be set to 0.

Example

A least squares line is desired for a set of points (69, 11.9), (219, 26.9), (502,55.2).

DIM myData, 3,2

myData[1,1] = 69 | ! x of first data point
myData[1,2] = 11.9 | ! y of first data point
myData[2,1] = 219 | ! x of second data point
myData[2,2] = 26.9 | ! y of second data point
myData[3,1] = 502 | ! x of third data point
myData[3,2] = 55.2 | ! y of third data point

! A line is a polynomial of degree 1 so that n = 2.

LSTSQFIT myData, 3, 2

! LSTCOEF[1] is the offset c0 of the line.

! LSTCOEF[2] is the slope c1 of the line.

Comment

Currently statistics are not available. When the need arises in the future, a predefined matrix such as LSTVARIANCE to give variance and covariance of the estimated parameters can be added.


MDLSKDUMP

MDLSKDUMP "output file name"

This command will copy the binary MDLSK data on the clipboard to a file.

output file name

The name of the file that will receive the MDLSK data from the clipboard.

This command is an unsupported testing utility and is not intended to be used in the normal operation of the system.


MFDUMP

MFDUMP "output file name"

This function will copy any clipboard metafile data to a file.

output file name

The name of the file into which clipboard metafile data will be copied.

This command is an unsupported testing utility and is not intended to be used in the normal operation of the system.


MSMETHODLOAD

Loads the current MS method from the CP variables _MethPath$ and _MethFile$ if the MS is active.


TTI

TTI refers to true total ion mode of acquiring data, in which the MSD acts like a flame-ionization detector in that a single signal is produced. TTI mode can provide greater sensitivity than is obtained in Scan mode.

Not used on a 5973 MSD.


WRITEMODULE

WRITEMODULE "68GC", "command string"

Writes a command to the 6890 GC.

command string

A command string to the 6890 GC.

Example

WRITEMODULE "68GC", "OVTI 75"

This command sets the oven temperature to 75.